<?php
/******************************************************************************
*                                                                             *
*           Copyright (c) 2004-2007 CS-Cart.com. All rights reserved.         *
*                                                                             *
*******************************************************************************
*                                                                             *
* CS-Cart  is  commercial  software,  only  users  who have purchased a valid *
* license through  http://www.cs-cart.com/  and  accept  to the terms of this *
* License Agreement can install this product.                                 *
*                                                                             *
*******************************************************************************
* THIS  CS-CART  SHOP END-USER LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN *
* YOU  AND  YOUR  COMPANY  (COLLECTIVELY, "YOU") AND CS-CART.COM (HEREINAFTER *
* REFERRED  TO  AS  "THE AUTHOR")  FOR THE SOFTWARE PRODUCT IDENTIFIED ABOVE, *
* WHICH INCLUDES COMPUTER  SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED *
* MATERIALS,  AND  "ONLINE"  OR  ELECTRONIC  DOCUMENTATION (COLLECTIVELY, THE *
* "SOFTWARE").  BY  USING  THE  SOFTWARE,  YOU  SIGNIFY YOUR AGREEMENT TO ALL *
* TERMS, CONDITIONS, AND NOTICES CONTAINED  OR  REFERENCED HEREIN. IF YOU ARE *
* NOT  WILLING  TO  BE  BOUND  BY  THIS  AGREEMENT, DO NOT INSTALL OR USE THE *
* SOFTWARE.                                                                   *
*                                                                             *
* PLEASE READ THE FULL  TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" *
* FILE PROVIDED WITH THIS  DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE *
* AT THE FOLLOWING URL: http://www.cs-cart.com/license.html                   *
******************************************************************************/

//
// $Id: config.php,v 1.1.1.1 2007/12/13 10:08:01 pshevtsov Exp $
//

if ( !defined('IN_CSCART') ) { die('Access denied'); }

//
// Database tables aliases...
//
$db_tables['ads'] = 'cscart_ads';
$db_tables['ad_descriptions'] = 'cscart_ad_descriptions';

//
// Script targets
//
$script_targets['ads'] = ADDONS_DIR . 'ads' .DS. 'targets' .DS. 'ads.php';

// Listmania
$fn_inheritance['fn_lm_get_object_name'][] = array ('function' => 'fn_get_ad_name_listmania', 'params' => array('object_id', 'item', 'lang_code', 'object_name'));
$fn_inheritance['fn_lm_get_all_object_data'][] = array ('function' => 'fn_get_ad_data_listmania', 'params' => array('object', 'object_id', 'lang_code', 'result'));
$fn_inheritance['fn_search_listed_objects'][] = array ('function' => 'fn_search_listed_ads', 'params' => array('list_object', 'objects'));
$fn_inheritance['fn_lm_check_enabled_addons'][] = array ('function' => 'fn_ads_addon_is_enabled', 'params' => array('enabled', 'addon'));

?>