<?php
/******************************************************************************
*                                                                             *
*           Copyright (c) 2004-2007 CS-Cart.com. All rights reserved.         *
*                                                                             *
*******************************************************************************
*                                                                             *
* CS-Cart  is  commercial  software,  only  users  who have purchased a valid *
* license through  http://www.cs-cart.com/  and  accept  to the terms of this *
* License Agreement can install this product.                                 *
*                                                                             *
*******************************************************************************
* THIS  CS-CART  SHOP END-USER LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN *
* YOU  AND  YOUR  COMPANY  (COLLECTIVELY, "YOU") AND CS-CART.COM (HEREINAFTER *
* REFERRED  TO  AS  "THE AUTHOR")  FOR THE SOFTWARE PRODUCT IDENTIFIED ABOVE, *
* WHICH INCLUDES COMPUTER  SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED *
* MATERIALS,  AND  "ONLINE"  OR  ELECTRONIC  DOCUMENTATION (COLLECTIVELY, THE *
* "SOFTWARE").  BY  USING  THE  SOFTWARE,  YOU  SIGNIFY YOUR AGREEMENT TO ALL *
* TERMS, CONDITIONS, AND NOTICES CONTAINED  OR  REFERENCED HEREIN. IF YOU ARE *
* NOT  WILLING  TO  BE  BOUND  BY  THIS  AGREEMENT, DO NOT INSTALL OR USE THE *
* SOFTWARE.                                                                   *
*                                                                             *
* PLEASE READ THE FULL  TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" *
* FILE PROVIDED WITH THIS  DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE *
* AT THE FOLLOWING URL: http://www.cs-cart.com/license.html                   *
******************************************************************************/

//
// $Id: config.php,v 1.1.1.1 2007/12/13 10:08:01 pshevtsov Exp $
//

if ( !defined('IN_CSCART') ) { die('Access denied'); }

//
// Database tables aliases...
//
$db_tables['discussion_messages'] = 'cscart_discussion_messages';
$db_tables['discussion_rating'] = 'cscart_discussion_rating';
$db_tables['discussion_posts'] = 'cscart_discussion_posts';
$db_tables['discussion'] = 'cscart_discussion';

$script_targets['discussion'] = ADDONS_DIR . 'discussion' .DS. 'targets' .DS. 'discussion.php';
$script_targets['discussion_manager'] = ADDONS_DIR . 'discussion' .DS. 'targets' .DS. 'discussion_manager.php';

$fn_inheritance['fn_delete_product'][] = array ('function' => 'fn_delete_discussion', 'params' => array('product_id'), 'static' => array('P'));
$fn_inheritance['fn_delete_category'][] = array ('function' => 'fn_delete_discussion', 'params' => array('category_id'), 'static' => array('C'));
$fn_inheritance['fn_delete_order'][] = array ('function' => 'fn_delete_discussion', 'params' => array('order_id'), 'static' => array('O'));
$fn_inheritance['fn_delete_news'][] = array ('function' => 'fn_delete_discussion', 'params' => array('news_id'), 'static' => array('N'));
$fn_inheritance['fn_delete_topic'][] = array ('function' => 'fn_delete_discussion', 'params' => array('topic_ids'), 'static' => array('T'));
$fn_inheritance['fn_delete_page'][] = array ('function' => 'fn_delete_discussion', 'params' => array('page_inner_id'), 'static' => array('A'));
$fn_inheritance['fn_event_delete'][] = array ('function' => 'fn_delete_discussion', 'params' => array('event_id'), 'static' => array('G'));

$fn_inheritance['fn_clone_product'][] = array ('function' => 'fn_clone_discussion', 'params' => array('product_id', 'pid'), 'static' => array('P'));
// Listmania
$fn_inheritance['fn_lm_get_objects_list'][] = array ('function' => 'fn_get_rating_list_listmania', 'params' => array('object_id', 'item', 'lang_code', 'objects_list'));
$fn_inheritance['fn_lm_check_enabled_addons'][] = array ('function' => 'fn_discussion_addon_is_enabled', 'params' => array('enabled', 'addon'));

?>