<?php
/******************************************************************************
*                                                                             *
*           Copyright (c) 2004-2007 CS-Cart.com. All rights reserved.         *
*                                                                             *
*******************************************************************************
*                                                                             *
* CS-Cart  is  commercial  software,  only  users  who have purchased a valid *
* license through  http://www.cs-cart.com/  and  accept  to the terms of this *
* License Agreement can install this product.                                 *
*                                                                             *
*******************************************************************************
* THIS  CS-CART  SHOP END-USER LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN *
* YOU  AND  YOUR  COMPANY  (COLLECTIVELY, "YOU") AND CS-CART.COM (HEREINAFTER *
* REFERRED  TO  AS  "THE AUTHOR")  FOR THE SOFTWARE PRODUCT IDENTIFIED ABOVE, *
* WHICH INCLUDES COMPUTER  SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED *
* MATERIALS,  AND  "ONLINE"  OR  ELECTRONIC  DOCUMENTATION (COLLECTIVELY, THE *
* "SOFTWARE").  BY  USING  THE  SOFTWARE,  YOU  SIGNIFY YOUR AGREEMENT TO ALL *
* TERMS, CONDITIONS, AND NOTICES CONTAINED  OR  REFERENCED HEREIN. IF YOU ARE *
* NOT  WILLING  TO  BE  BOUND  BY  THIS  AGREEMENT, DO NOT INSTALL OR USE THE *
* SOFTWARE.                                                                   *
*                                                                             *
* PLEASE READ THE FULL  TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" *
* FILE PROVIDED WITH THIS  DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE *
* AT THE FOLLOWING URL: http://www.cs-cart.com/license.html                   *
******************************************************************************/

//
// $Id: config.php,v 1.1.1.1 2007/12/13 10:08:01 pshevtsov Exp $
//

if ( !defined('IN_CSCART') ) { die('Access denied'); }

//
// Database tables aliases...
//
$db_tables['giftreg_fields'] = 'cscart_giftreg_fields';
$db_tables['giftreg_field_variants'] = 'cscart_giftreg_field_variants';
$db_tables['giftreg_descriptions'] = 'cscart_giftreg_descriptions';

$db_tables['giftreg_events'] = 'cscart_giftreg_events';
$db_tables['giftreg_event_fields'] = 'cscart_giftreg_event_fields';
$db_tables['giftreg_event_subscribers'] = 'cscart_giftreg_event_subscribers';
$db_tables['giftreg_event_products'] = 'cscart_giftreg_event_products';


//
// Script targets
//
$script_targets['events'] = ADDONS_DIR . 'gift_registry' .DS. 'targets' .DS. 'events.php';

$fn_inheritance['fn_is_accessible_discussion'][] = array ('function' => 'fn_giftreg_is_accessible_discussion', 'params' => array('data', 'auth','access'));
$fn_inheritance['fn_get_discussion_object_data'][] = array ('function' => 'fn_get_giftreg_discussion', 'params' => array('data', 'object_id','object_type','lang_code'));
$fn_inheritance['fn_get_discussion_objects'][] = array ('function' => 'fn_get_giftreg_discussion_object', 'params' => array('discussion_object_types'));
$fn_inheritance['fn_change_order_status'][] = array ('function' => 'fn_giftreg_track_items', 'params' => array('status_to', 'status_from', 'order_statuses', 'order_info'));
$fn_inheritance['fn_place_order'][] = array ('function' => 'fn_giftreg_initial_track', 'params' => array('order_id'));

define('GIFTREG_STATUS_CHECK_PERIOD', 60 * 60 * 12); // 12 hours

?>
