<?php
/******************************************************************************
*                                                                             *
*           Copyright (c) 2004-2007 CS-Cart.com. All rights reserved.         *
*                                                                             *
*******************************************************************************
*                                                                             *
* CS-Cart  is  commercial  software,  only  users  who have purchased a valid *
* license through  http://www.cs-cart.com/  and  accept  to the terms of this *
* License Agreement can install this product.                                 *
*                                                                             *
*******************************************************************************
* THIS  CS-CART  SHOP END-USER LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN *
* YOU  AND  YOUR  COMPANY  (COLLECTIVELY, "YOU") AND CS-CART.COM (HEREINAFTER *
* REFERRED  TO  AS  "THE AUTHOR")  FOR THE SOFTWARE PRODUCT IDENTIFIED ABOVE, *
* WHICH INCLUDES COMPUTER  SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED *
* MATERIALS,  AND  "ONLINE"  OR  ELECTRONIC  DOCUMENTATION (COLLECTIVELY, THE *
* "SOFTWARE").  BY  USING  THE  SOFTWARE,  YOU  SIGNIFY YOUR AGREEMENT TO ALL *
* TERMS, CONDITIONS, AND NOTICES CONTAINED  OR  REFERENCED HEREIN. IF YOU ARE *
* NOT  WILLING  TO  BE  BOUND  BY  THIS  AGREEMENT, DO NOT INSTALL OR USE THE *
* SOFTWARE.                                                                   *
*                                                                             *
* PLEASE READ THE FULL  TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" *
* FILE PROVIDED WITH THIS  DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE *
* AT THE FOLLOWING URL: http://www.cs-cart.com/license.html                   *
******************************************************************************/

//
// $Id: config.php,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $
//

if ( !defined('IN_CSCART') ) { die('Access denied'); }

//
// Database tables aliases...
//
$db_tables['manufacturers'] = 'cscart_manufacturers';
$db_tables['manufacturer_descriptions'] = 'cscart_manufacturer_descriptions';

//
// Script targets
//
$script_targets['manufacturers'] = ADDONS_DIR .'manufacturers' .DS. 'targets' .DS. 'manufacturers.php';

$fn_inheritance['fn_export_google'][] = array ('function' => 'fn_manufacturer_export_google', 'params' => array('data', 'id'));
if (AREA == 'C') {
	$fn_inheritance['fn_convert_tpl_urls'][] = array ('function' => 'fn_convert_manufacturer_tpl_url', 'params' => array('tpl_source'));
	$fn_inheritance['fn_convert_php_urls'][] = array ('function' => 'fn_convert_manufacturer_php_url', 'params' => array('link', 'res', 'd'));
	$fn_inheritance['fn_seo_link'][] = array ('function' => 'fn_manufacturer_name', 'params' => array('object_id', 'object_type', 'object_name', 'suffix', '_suffix', 'item_names', 'seo_name'));
	$fn_inheritance['fn_get_seo_vars'][] = array ('function' => 'fn_get_seo_manuf_vars', 'params' => array('seo'));
	$fn_inheritance['fn_get_rewrite_rules'][] = array ('function' => 'fn_get_manufacturer_rewrite_rule', 'params' => array('rewrite_rules', 'lang_rule'));
} elseif (AREA == 'A') {
	// Statistics
	$fn_inheritance['fn_get_product_search_statistics'][] = array ('function' => 'fn_get_manufacturers2statistics', 'params' => array('manufacturers'));
	$fn_inheritance['fn_stat_product_search_data'][] = array ('function' => 'fn_get_manufacturers2search_data', 'params' => array('search_params', 'text_conditions'));
}

// Listmania
$fn_inheritance['fn_lm_get_all_object_data'][] = array ('function' => 'fn_get_product_manufacturer', 'params' => array('result', 'object'));

?>
