<?php
/******************************************************************************
*                                                                             *
*           Copyright (c) 2004-2007 CS-Cart.com. All rights reserved.         *
*                                                                             *
*******************************************************************************
*                                                                             *
* CS-Cart  is  commercial  software,  only  users  who have purchased a valid *
* license through  http://www.cs-cart.com/  and  accept  to the terms of this *
* License Agreement can install this product.                                 *
*                                                                             *
*******************************************************************************
* THIS  CS-CART  SHOP END-USER LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN *
* YOU  AND  YOUR  COMPANY  (COLLECTIVELY, "YOU") AND CS-CART.COM (HEREINAFTER *
* REFERRED  TO  AS  "THE AUTHOR")  FOR THE SOFTWARE PRODUCT IDENTIFIED ABOVE, *
* WHICH INCLUDES COMPUTER  SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED *
* MATERIALS,  AND  "ONLINE"  OR  ELECTRONIC  DOCUMENTATION (COLLECTIVELY, THE *
* "SOFTWARE").  BY  USING  THE  SOFTWARE,  YOU  SIGNIFY YOUR AGREEMENT TO ALL *
* TERMS, CONDITIONS, AND NOTICES CONTAINED  OR  REFERENCED HEREIN. IF YOU ARE *
* NOT  WILLING  TO  BE  BOUND  BY  THIS  AGREEMENT, DO NOT INSTALL OR USE THE *
* SOFTWARE.                                                                   *
*                                                                             *
* PLEASE READ THE FULL  TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" *
* FILE PROVIDED WITH THIS  DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE *
* AT THE FOLLOWING URL: http://www.cs-cart.com/license.html                   *
******************************************************************************/

//
// $Id: config.php,v 1.1.1.1 2007/12/13 10:08:01 pshevtsov Exp $
//
if ( !defined('IN_CSCART') ) { die('Access denied'); }

//
// Database tables aliases...
//
$db_tables['conf_compatible_classes']	= 'cscart_conf_compatible_classes';
$db_tables['conf_classes']				= 'cscart_conf_classes';
$db_tables['conf_class_products']		= 'cscart_conf_class_products';
$db_tables['conf_class_descriptions']	= 'cscart_conf_class_descriptions';
$db_tables['conf_groups']				= 'cscart_conf_groups';
$db_tables['conf_group_descriptions']	= 'cscart_conf_group_descriptions';
$db_tables['conf_group_products']		= 'cscart_conf_group_products';
$db_tables['conf_product_groups']		= 'cscart_conf_product_groups';
$db_tables['conf_group_images']			= 'cscart_conf_group_images';
$db_tables['conf_group_images_links']	= 'cscart_conf_group_images_links';
$db_tables['conf_steps']				= 'cscart_conf_steps';
$db_tables['conf_step_descriptions']	= 'cscart_conf_step_descriptions';
//
// New targets
//
$script_targets['configurator'] = ADDONS_DIR . 'product_configurator' .DS. 'targets' .DS. 'configurator.php';

if (AREA == 'C') {
	$fn_inheritance['fn_delete_cart_product'][] = array ('function' => 'fn_delete_conf_cart_product', 'params' => array('cart', 'cart_id', 'full_erase'));
	$fn_inheritance['fn_delete_wishlist_product'][] = array ('function' => 'fn_delete_conf_wishlist_product', 'params' => array('wishlist', 'cart_id'));
}
$fn_inheritance['fn_generate_cart_id'][] = array ('function' => 'fn_generate_conf_cart_id', 'params' => array('_cid', 'extra', 'only_selectable'));
$fn_inheritance['fn_clone_product'][] = array ('function' => 'fn_clone_configuration', 'params' => array('product_id', 'pid'));
$fn_inheritance['fn_convert_tpl_urls'][] = array ('function' => 'fn_convert_configurator_tpl_url', 'params' => array('tpl_source'));
?>
