<?php
/******************************************************************************
*                                                                             *
*           Copyright (c) 2004-2007 CS-Cart.com. All rights reserved.         *
*                                                                             *
*******************************************************************************
*                                                                             *
* CS-Cart  is  commercial  software,  only  users  who have purchased a valid *
* license through  http://www.cs-cart.com/  and  accept  to the terms of this *
* License Agreement can install this product.                                 *
*                                                                             *
*******************************************************************************
* THIS  CS-CART  SHOP END-USER LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN *
* YOU  AND  YOUR  COMPANY  (COLLECTIVELY, "YOU") AND CS-CART.COM (HEREINAFTER *
* REFERRED  TO  AS  "THE AUTHOR")  FOR THE SOFTWARE PRODUCT IDENTIFIED ABOVE, *
* WHICH INCLUDES COMPUTER  SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED *
* MATERIALS,  AND  "ONLINE"  OR  ELECTRONIC  DOCUMENTATION (COLLECTIVELY, THE *
* "SOFTWARE").  BY  USING  THE  SOFTWARE,  YOU  SIGNIFY YOUR AGREEMENT TO ALL *
* TERMS, CONDITIONS, AND NOTICES CONTAINED  OR  REFERENCED HEREIN. IF YOU ARE *
* NOT  WILLING  TO  BE  BOUND  BY  THIS  AGREEMENT, DO NOT INSTALL OR USE THE *
* SOFTWARE.                                                                   *
*                                                                             *
* PLEASE READ THE FULL  TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" *
* FILE PROVIDED WITH THIS  DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE *
* AT THE FOLLOWING URL: http://www.cs-cart.com/license.html                   *
******************************************************************************/

//
// $Id: config.php,v 1.1.1.1 2007/12/13 10:08:01 pshevtsov Exp $
//

if ( !defined('IN_CSCART') ) { die('Access denied'); }

//
// Database tables aliases...
//

$db_tables['rma_properties'] = 'cscart_rma_properties';
$db_tables['rma_property_descriptions'] = 'cscart_rma_property_descriptions';
$db_tables['rma_returns'] = 'cscart_rma_returns';
$db_tables['rma_return_products'] = 'cscart_rma_return_products';

//
// Defined variables
//

define('STATUSES_RETURN','R');
define('ORDER_DATA_RETURN','H');
define('ORDER_DATA_PRODUCTS_DELIVERY_DATE','V');

define('RMA_REASON','R');
define('RMA_ACTION','A');
define('RMA_DEFAULT_STATUS','R');
define('RETURN_PRODUCT_ACCEPTED','A');
define('RETURN_PRODUCT_DECLINED','D');


//
// Script targets
//
$script_targets['rma'] = ADDONS_DIR . 'rma' . DS . 'targets' . DS . 'rma.php';

$fn_inheritance['fn_get_order_info'][] = array ('function' => 'fn_get_rma_order_info', 'params' => array('order', 'additional_data'));
$fn_inheritance['fn_add_product_to_cart'][] = array ('function' => 'fn_add_rma_product_to_cart', 'params' => array('cart', 'product_id' , '_id'));
$fn_inheritance['fn_change_order_status'][] = array ('function' => 'fn_set_products_delivery_date', 'params' => array('order_id', 'status_to'));
$fn_inheritance['fn_delete_gift_certificate'][] = array ('function' => 'fn_delete_return_certificate_info', 'params' => array('gift_cert_id', 'extra'));
$fn_inheritance['fn_gather_additional_product_data'][] = array ('function' => 'fn_get_product_return_period', 'params' => array('product'));



?>
