<?php
/******************************************************************************
*                                                                             *
*           Copyright (c) 2004-2007 CS-Cart.com. All rights reserved.         *
*                                                                             *
*******************************************************************************
*                                                                             *
* CS-Cart  is  commercial  software,  only  users  who have purchased a valid *
* license through  http://www.cs-cart.com/  and  accept  to the terms of this *
* License Agreement can install this product.                                 *
*                                                                             *
*******************************************************************************
* THIS  CS-CART  SHOP END-USER LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN *
* YOU  AND  YOUR  COMPANY  (COLLECTIVELY, "YOU") AND CS-CART.COM (HEREINAFTER *
* REFERRED  TO  AS  "THE AUTHOR")  FOR THE SOFTWARE PRODUCT IDENTIFIED ABOVE, *
* WHICH INCLUDES COMPUTER  SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED *
* MATERIALS,  AND  "ONLINE"  OR  ELECTRONIC  DOCUMENTATION (COLLECTIVELY, THE *
* "SOFTWARE").  BY  USING  THE  SOFTWARE,  YOU  SIGNIFY YOUR AGREEMENT TO ALL *
* TERMS, CONDITIONS, AND NOTICES CONTAINED  OR  REFERENCED HEREIN. IF YOU ARE *
* NOT  WILLING  TO  BE  BOUND  BY  THIS  AGREEMENT, DO NOT INSTALL OR USE THE *
* SOFTWARE.                                                                   *
*                                                                             *
* PLEASE READ THE FULL  TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" *
* FILE PROVIDED WITH THIS  DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE *
* AT THE FOLLOWING URL: http://www.cs-cart.com/license.html                   *
******************************************************************************/

//
// $Id: config.php,v 1.1.1.1 2007/12/13 10:08:01 pshevtsov Exp $
//

if ( !defined('IN_CSCART') ) { die('Access denied'); }

//
// Database tables aliases...
//
$db_tables['seo_names'] = 'cscart_seo_names';

$fn_inheritance['fn_exim_get_product_url'][] = array ('function' => 'fn_convert_url_google_export', 'params' => array('url', 'product_id', 'options'));

$fn_inheritance['fn_get_product_data'][] = array ('function' => 'fn_get_product_seo_name', 'params' => array('product_data', 'product_id'));
$fn_inheritance['fn_delete_product'][] = array ('function' => 'fn_delete_seo_name', 'params' => array('product_id'), 'static' => array('p'));
$fn_inheritance['fn_clone_product'][] = array ('function' => 'fn_clone_seo_name', 'params' => array('pid', 'new_name', 'old_name'));

$fn_inheritance['fn_get_category_data'][] = array ('function' => 'fn_get_category_seo_name', 'params' => array('category_data', 'category_id'));
$fn_inheritance['fn_delete_category'][] = array ('function' => 'fn_delete_seo_name', 'params' => array('category_id'), 'static' => array('c'));

$fn_inheritance['fn_get_manufacturer_data'][] = array ('function' => 'fn_get_manufacturer_seo_name', 'params' => array('manufacturer', 'manufacturer_id'));

$fn_inheritance['fn_get_topic_data'][] = array ('function' => 'fn_get_topic_seo_name', 'params' => array('topic_data', 'topic_id'));
$fn_inheritance['fn_delete_topic'][] = array ('function' => 'fn_delete_seo_name', 'params' => array('topic_id'), 'static' => array('t'));

$fn_inheritance['fn_get_topic_data'][] = array ('function' => 'fn_get_topic_seo_name', 'params' => array('topic_data', 'topic_id'));
$fn_inheritance['fn_delete_topic'][] = array ('function' => 'fn_delete_seo_name', 'params' => array('topic_id'), 'static' => array('t'));

$fn_inheritance['fn_get_page_data'][] = array ('function' => 'fn_get_page_seo_name', 'params' => array('page_data'));
$fn_inheritance['fn_delete_page'][] = array ('function' => 'fn_delete_seo_name', 'params' => array('page_inner_id'), 'static' => array('a'));

if (AREA == 'C') {
	$fn_inheritance['fn_add_breadcrumb'][] = array ('function' => 'fn_convert_php_urls', 'params' => array('link'));
	$fn_inheritance['fn_redirect'][] = array ('function' => 'fn_convert_php_urls_add', 'params' => array('location', 'url_prefix'));
	$fn_inheritance['fn_object_link'][] = array ('function' => 'fn_convert_php_urls', 'params' => array('link'));
}

?>
