{*************************************************************** IPs **********************************************************}
{if $selected_section == 'ip' || $selected_section == 'admin_area'}
<div id="content_{$selected_section}">
{if $access.$selected_section}
{include file="common_templates/pagination.tpl" div_id="pagination_$selected_section"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_`$selected_section`');"}
{/if}
{/if}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td class="manage-header">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('access_restrictions', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=ip&sort_order={$sort_order}{$url_suffix}">{$lang.ips}</a>{if $sort_by == 'ip'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap" width="100%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=reason&sort_order={$sort_order}{$url_suffix}">{$lang.reason}</a>{if $sort_by == 'reason'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=created&sort_order={$sort_order}{$url_suffix}">{$lang.created}</a>{if $sort_by == 'created'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=avail&sort_order={$sort_order}{$url_suffix}">{$lang.avail}</a>{if $sort_by == 'avail'}{$sort_sign}{/if}</td>
</tr>
{if $access.$selected_section}
{include file="addons/access_restrictions/items_list.tpl" items=$access.$selected_section}
</table>
{include file="common_templates/pagination.tpl" div_id="pagination_$selected_section"}
<p>
<div style="float: left;">{include file="buttons/update.tpl" but_onclick="javascript:document.access_restrictions.submit();"}</div>
<div style="float: left;">&nbsp;&nbsp;&nbsp;</div>
<div>{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('access_restrictions','delete');"}</div>
</p>
{if $show_mp}
<p><div>{include file="buttons/button.tpl" but_text=$lang.make_permanent but_onclick="document.access_restrictions.`$mode_name`.value='make_permanent';document.access_restrictions.submit();"}</div></p>
{/if}

{else}
<tr>
<td colspan="7" class="no-items-row" valign="middle"><p><b>{$lang.text_no_items_defined|replace:'[items]':$lang.ips}</b></p></td>
</tr>
</table>
{/if}
<br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_ips}
{include file="addons/access_restrictions/add_items.tpl" object=$selected_section object_name='ip' ip='Y'}

<p>{include file="buttons/add_new.tpl" but_onclick="javascript:document.access_restrictions.`$mode_name`.value='add';document.access_restrictions.submit();"}</p>
<br />
</div>

{*************************************************************** Domains **********************************************************}
{elseif $selected_section}
<div id="content_{$selected_section}">
{if $access.$selected_section}
{include file="common_templates/pagination.tpl" div_id="pagination_$selected_section"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_`$selected_section`');"}
{/if}
{/if}

{if $selected_section == 'domain'}
{assign var="value_name" value=$lang.domain}
{elseif $selected_section == 'email'}
{assign var="value_name" value=$lang.email}
{elseif $selected_section == 'credit_card'}
{assign var="value_name" value=$lang.credit_card_number}
{/if}


<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td class="manage-header">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('access_restrictions', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=value&sort_order={$sort_order}{$url_suffix}">{$value_name}</a>{if $sort_by == 'value'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap" width="100%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=reason&sort_order={$sort_order}{$url_suffix}">{$lang.reason}</a>{if $sort_by == 'reason'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=created&sort_order={$sort_order}{$url_suffix}">{$lang.created}</a>{if $sort_by == 'created'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=avail&sort_order={$sort_order}{$url_suffix}">{$lang.avail}</a>{if $sort_by == 'avail'}{$sort_sign}{/if}</td>
</tr>
{if $access.$selected_section}
{include file="addons/access_restrictions/items_list.tpl" items=$access.$selected_section}
</table>
{include file="common_templates/pagination.tpl" div_id="pagination_$selected_section"}

<p>
<div style="float: left;">{include file="buttons/update.tpl" but_onclick="javascript:document.access_restrictions.submit();"}</div>
<div style="float: left;">&nbsp;&nbsp;&nbsp;</div>
<div>{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('access_restrictions','delete');"}</div>
</p>

{else}
<tr>
<td colspan="7" class="no-items-row" valign="middle"><p><b>{$lang.text_no_items_defined|replace:'[items]':$value_name}</b></p></td>
</tr>
</table>
{/if}
<br />
{if $selected_section == 'domain'}
{include file="common_templates/subheader.tpl" title=$lang.add_new_domains}
{elseif $selected_section == 'email'}
{include file="common_templates/subheader.tpl" title=$lang.add_new_emails}
{elseif $selected_section == 'credit_card'}
{include file="common_templates/subheader.tpl" title=$lang.add_new_credit_cards}
{/if}
{include file="addons/access_restrictions/add_items.tpl" object=$selected_section object_name=$value_name}

<p>{include file="buttons/add_new.tpl" but_onclick="javascript:document.access_restrictions.`$mode_name`.value='add';document.access_restrictions.submit();"}</p>
<br />
</div>
{/if}
