{* $Id: ads.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}
{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  

{** ads section **}  

<div align="right"><span class="bull">&bull;</span>&nbsp;<a href="#add_new" class="underlined">{$lang.add_new_ad}</a></div>
<p></p>

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="ads_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="ads">
<input type="hidden" name="{$mode_name}" value="update">

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('ads_form', this.checked);"></td>
	<td align="center" class="manage-header">{$lang.position_short}</td>
	<td align="center" class="manage-header">{$lang.location}</td>
	<td align="center" class="manage-header" nowrap>{$lang.show_order}</td>
	<td class="manage-header" nowrap>{$lang.ad}</td>
	<td class="manage-header" nowrap>{$lang.type}</td>
	<td class="manage-header" nowrap>{$lang.avail}</td>
	<td class="manage-header" nowrap width="100%">&nbsp;</td>
</tr>

{if $ads}

{foreach from=$ads item=ad}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="ads[{$ad.ad_id}][delete]" id="delete_checkbox" value="Y"></td>
	<td>
		<input type="text" name="ads[{$ad.ad_id}][position]" value="{$ad.position}" size="3" class="input-text"></td>
	<td>
		<select name="ads[{$ad.ad_id}][location]" class="input-text">
			<option {if $ad.location == 'L'}selected{/if} value="L">{$lang.left_column}
			<option {if $ad.location == 'C'}selected{/if} value="C">{$lang.central_part}
			<option {if $ad.location == 'R'}selected{/if} value="R">{$lang.right_column}
		</select></td>
	<td>
		<select name="ads[{$ad.ad_id}][show_order]" class="input-text">
			<option {if $ad.show_order == 'B'}selected{/if} value="B">{$lang.before_main_content}
			<option {if $ad.show_order == 'A'}selected{/if} value="A">{$lang.after_main_content}
		</select></td>
	<td>
		<input type="text" name="ads[{$ad.ad_id}][ad]" value="{$ad.ad|escape:html}" size="20" class="input-text"></td>
	<td class="side-padding" nowrap>{if $ad.type == 'G'}{$lang.graphic_banner}{else}{$lang.text_ad}{/if}</td>
	<td align="center">
		<input type="hidden" name="ads[{$ad.ad_id}][avail]" value="N">
		<input type="checkbox" name="ads[{$ad.ad_id}][avail]" value="Y" {if $ad.avail == 'Y'}checked{/if}></td>
	<td class="side-padding">{include file="buttons/button.tpl" but_style="text" but_text=$lang.edit but_href="$index_script?$target_name=ads&ad_id=`$ad.ad_id`"}</td>
</tr>
{/foreach}
<tr>
	<td colspan="5">
		<p>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/update.tpl" but_onclick="javascript:document.ads_form.submit();" but_type="input"}</td>
			<td>&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('ads_form', 'delete');"}<td>
		</tr>
		</table>
	</td>	
</tr>

{else}
<tr>
	<td class="manage-row" colspan="10" align="center">
		<p><b>{$lang.text_no_ads}</b></td>
</tr>
{/if}
</table>
</form>

<br><br>
<a name="add_new"></a>
{include file="common_templates/subheader.tpl" title=$lang.add_new_ad}

<script type="text/javascript" language="javascript 1.2">
	var add_ads_form = new cscart_form('add_ads');
	add_ads_form.set_required_fields('elm_ad');
</script>

<form action="{$index_script}" method="post" name="add_ads" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="ads" />
<input type="hidden" name="{$mode_name}" value="add" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td width="110" class="field-name">{$lang.ad}:</td>
	<td width="5" id="mark_elm_ad" class="required-field-mark">&nbsp;</td>
	<td width="85%">
		<input type="text" id="elm_ad" name="ad_data[ad]" value="" style="width:85%" size="20" class="input-text"></td>
</tr>
<tr>
	<td width="110" class="field-name" nowrap>{$lang.type}:</td>
	<td width="5">&nbsp;</td> 
	<td width="85%" align="left">
		<select name="ad_data[type]" class="input-text" onChange="javascript: fn_show_tag('ad_graphic');  fn_show_tag('ad_text'); fn_show_tag('ad_url');  fn_show_tag('ad_target')">
			<option value="G">{$lang.graphic_banner}
			<option value="T">{$lang.text_ad}
		</select></td>
</tr>
<tr style="display: none" id="ad_text">
	<td width="110" class="field-name">{$lang.description}:</td>
	<td width="5">&nbsp;</td> 
	<td width="85%">
		<textarea id="man_descr" name="ad_data[description]" cols="35" rows="8" class="input-text" style="width: 85%"></textarea><br>
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('man_descr');" but_style="text"}
	</td>
</tr>
<tr id="ad_graphic">
	<td width="110" class="field-name">{$lang.image}:</td>
	<td width="5">&nbsp;</td> 
	<td width="85%">
		{include file="common_templates/attach_images.tpl" image_name="ads_main" image_object_type="common" no_detailed=true hide_titles=true hide_images=true}
	</td>
</tr>
<tr>
	<td width="110" class="field-name">{$lang.location}:</td>
	<td width="5">&nbsp;</td> 
	<td width="85%" align="left">
		<select name="ad_data[location]" class="input-text">
			<option value="L">{$lang.left_column}
			<option value="C">{$lang.central_part}
			<option value="R">{$lang.right_column}
		</select></td>
</tr>
<tr>
	<td width="110" class="field-name" nowrap>{$lang.show_order}:</td>
	<td width="5">&nbsp;</td> 
	<td width="85%" align="left">
		<select name="ad_data[show_order]" class="input-text">
			<option value="B">{$lang.before_main_content}
			<option value="A">{$lang.after_main_content}
		</select></td>
</tr>
<tr>
	<td width="110" class="field-name" nowrap>{$lang.show_on_home_page_only}:</td>
	<td width="5">&nbsp;</td> 
	<td width="85%" align="left">
		<input type="hidden" name="ad_data[home_page_only]" value="N">
		<input type="checkbox" name="ad_data[home_page_only]" value="Y" checked></td>
</tr>
<tr id="ad_target">
	<td width="110" class="field-name" nowrap>{$lang.open_in_new_window}:</td>
	<td width="5">&nbsp;</td> 
	<td width="85%" align="left">
		<input type="hidden" name="ad_data[target]" value="T">
		<input type="checkbox" name="ad_data[target]" value="B"></td>
</tr>
<tr id="ad_url">
	<td width="110" class="field-name">{$lang.url}:</td>
	<td width="5">&nbsp;</td> 
	<td width="85%">
		<input type="text" name="ad_data[url]" value="" size="22" class="input-text" style="width: 85%"></td>
</tr>
<tr>
	<td width="110" class="field-name">{$lang.position}:</td>
	<td width="5">&nbsp;</td> 
	<td width="85%">
		<input type="text" name="ad_data[position]" value="0" size="3" maxlength="11" class="input-text"></td>
</tr>
<tr>
	<td class="field-name">{$lang.created_date}:</td>
	<td>&nbsp;</td>
	<td nowrap="nowrap">{html_select_date field_array="ad_data[timestamp]" time=$smarty.const.TIME start_year=$settings.Company.company_start_year}</td>
</tr>
<tr>
	<td width="110" class="field-name">{$lang.available}:</td>
	<td width="5">&nbsp;</td> 
	<td width="85%">
		<input type="hidden" name="ad_data[avail]" value="N">
		<input type="checkbox" name="ad_data[avail]" value="Y" checked></td>
</tr>
</table>

<p></p>{include file="buttons/add_new.tpl" but_onclick="javascript: add_ads_form.submit()"}

</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.ads content=$smarty.capture.mainbox}

{** ad section **}