{* $Id: discussion.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{assign var="discussion" value=$object_id|fn_get_discussion:$object_type}
<div id="content_discussion">
{if $discussion && $discussion.type != 'D'}
{capture name="mainbox"}
	
{assign var="posts" value=$discussion.thread_id|fn_get_discussion_posts:$smarty.get.page}
{if $posts && 'view_discussions'|fn_check_privileges:true}
<form action="{$index_script}" method="POST" name="update_posts_form">
<input type ="hidden" name="{$target_name}" value="discussion" />
<input type ="hidden" name="{$mode_name}" value="update_posts" />
<input type ="hidden" name="redirect_url" value="{$current_url}" />

{include file="common_templates/pagination.tpl" div_id="pagination_discussion"}
<table cellpadding="2" cellspacing="1" border="0" width="100%">
{foreach from=$posts item=post}
    <tr class="manage-row">
		<td nowrap="nowrap">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" class="manage-row">
			<tr>
				<td nowrap="nowrap"><b>{$lang.author}:&nbsp;</b><input type="text" name="posts[{$post.post_id}][name]" value="{$post.name|escape:html}" size="20" class="input-text" /></td>
				<td width="100%">
					<table cellpadding="2" cellspacing="1" border="0">
					<tr>
						<td>&nbsp;&nbsp;<b>{$lang.delete}:</b></td>
						<td><input type="checkbox" id="delete_checkbox" name="delete_posts[{$post.post_id}]" value="Y" /><input type="hidden" name="posts[{$post.post_id}][avail]" value="N" /></td>
						<td><b>{$lang.available}:</b></td>
						<td><input type="checkbox" name="posts[{$post.post_id}][avail]" {if $post.avail == "Y"}checked="checked"{/if} value="Y" /></td>
					</tr>
					</table>
				
				
				</td>
				<td align="right" nowrap="nowrap"><b>{$lang.date_added}:</b> {$post.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
				<td>&nbsp;&nbsp;&nbsp;</td>
			</tr>
			</table>
			<p></p>
		</td>
	</tr>
	{if $discussion.type == 'R' || $discussion.type == 'B'}
	<tr>
		<td>
		<select name="posts[{$post.post_id}][rating_value]">
			<option value="5" {if $post.rating_value == "5"}selected="selected"{/if}>{$lang.excellent}</option>
			<option value="4" {if $post.rating_value == "4"}selected="selected"{/if}>{$lang.very_good}</option>
			<option value="3" {if $post.rating_value == "3"}selected="selected"{/if}>{$lang.average}</option>
			<option value="2" {if $post.rating_value == "2"}selected="selected"{/if}>{$lang.fair}</option>
			<option value="1" {if $post.rating_value == "1"}selected="selected"{/if}>{$lang.poor}</option>
		</select>
		</td>
	</tr>
	{/if}
	{if $discussion.type == 'C' || $discussion.type == 'B'}
    <tr>
		<td width="100%">
			<textarea name="posts[{$post.post_id}][message]" class="input-text" cols="80" rows="3">{$post.message}</textarea></td>
	</tr>
	{/if}
{/foreach}
</table>
{include file="common_templates/pagination.tpl" div_id="pagination_discussion"}

{if 'manage_discussions'|fn_check_privileges:true}
	<div style="float:left;">
			{include file="buttons/button.tpl" but_text=$lang.update but_onclick="javascript: document.update_posts_form.submit();"}</div>
	<div style="padding-left: 10px; float:left;">
		{include file="buttons/button.tpl" but_text=$lang.delete_selected but_onclick="javascript: fn_delete_selected('update_posts_form','delete_posts');" but_type="input"}</div>
{/if}

<br style="clear: left" />
</form>
{else}
	<p align="center" class="manage-row"><br /><b>{$lang.no_posts_found}</b><br />&nbsp;</p>
{/if}
<br />

{if 'manage_discussions'|fn_check_privileges:true}
{if 'CRB'|strpos:$discussion.type !== false}
{include file="common_templates/subheader.tpl" title=$lang.add_new_post}

<form action="{$index_script}" method="POST" name="add_post_form">
<input type ="hidden" name="{$target_name}" value="discussion" />
<input type ="hidden" name="{$mode_name}" value="add_post" />
<input type ="hidden" name="post_data[thread_id]" value="{$discussion.thread_id}" />
<input type ="hidden" name="redirect_url" value="{$current_url}" />

<table cellpadding="2" cellspacing="1" border="0" width="100%">
	<tr>
		<td nowrap="nowrap">{$lang.your_name}:&nbsp;</td>
		<td width="100%">
			<input type="text" name="post_data[name]" value="{if $auth.user_id}{$user_info.firstname} {$user_info.lastname}{/if}" size="70" class="input-text" /></td>
	</tr>
	{if $discussion.type == 'R' || $discussion.type == 'B'}
	<tr>
		<td nowrap="nowrap">{$lang.your_rating}:&nbsp;</td>
		<td width="100%">
			<select name="post_data[rating_value]">
				<option value="5" selected="selected">{$lang.excellent}</option>
				<option value="4">{$lang.very_good}</option>
				<option value="3">{$lang.average}</option>
				<option value="2">{$lang.fair}</option>
				<option value="1">{$lang.poor}</option>
			</select>
		</td>
	</tr>
	{/if}
	{if $discussion.type == 'C' || $discussion.type == 'B'}
	<tr>
		<td nowrap="nowrap">{$lang.your_message}:&nbsp;</td>
		<td width="100%">
			<textarea name="post_data[message]" class="input-text" cols="70" rows="10"></textarea></td>
	</tr>
	{/if}
</table>
<p></p>

{include file="buttons/button.tpl" but_text=$lang.add but_onclick="javascript: document.add_post_form.submit();"}
</form>
{/if}
{/if}

{/capture}

{if $no_box}
	{$smarty.capture.mainbox}
{else}
	{include file="common_templates/mainbox.tpl" title=$title content=$smarty.capture.mainbox anchor="discussion"}
{/if}
{/if}
</div>