{* $Id: list_update_script.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

<script type="text/javascript" language="javascript" defer="defer">
var listmania_data = {$listmania_data|@to_json};
var LM_NOT_APPLICABLE = '{$smarty.const.LM_NOT_APPLICABLE}';
var lang_not_applicable = '{$lang.not_applicable}';

{literal}
var lm_forms = {'add': 'do_add_lm_lists_form', 'update': 'lm_lists_form'};
var prefixes = {'add': 'add_lm_list_data', 'update': 'lm_list_data'};

function fn_lm_check_params(master_name, value, field_name, mode)
{
	var lm_masters = listmania_data.masters;
	if (!master_name || !lm_masters[master_name] || !lm_masters[master_name][value]) {
		return false;
	}
	mode = mode || 'add';
	var slaves = lm_masters[master_name][value];
	var item_num;
	var dest_elm;
	var selected;
	var i = 0;
	var k;
	var variants;
	var _master;
	var do_continue;
	for (var slave in slaves) {
		item_num = field_name.substring(field_name.indexOf('['), field_name.indexOf(']') + 1);
		dest_elm = document.forms[lm_forms[mode]].elements[prefixes[mode] + item_num + '[' + slave + ']'];
		if (dest_elm) {
			selected = dest_elm.value;
			// Delete options
			while (dest_elm.options.length) {
				dest_elm.options[0] = null;
			}
			dest_elm.options.length = 0;
			// Add options
			i = 0;
			for (k in slaves[slave]) {
				if (k == LM_NOT_APPLICABLE) {
					dest_elm.options[i] = new Option('- '+ lang_not_applicable + ' -', 0);
					dest_elm.disabled = true;
					break;
				} else {
					// [Check available values]
					do_continue = false;
					for (variants in listmania_data.slaves[slave][k]) {
						for (_master in listmania_data.slaves[slave][k][variants]) {
							if (_master != master_name) {
								do_continue = true;
								if (document.forms[lm_forms[mode]].elements[prefixes[mode] + item_num + '[' + _master + ']'].value == listmania_data.slaves[slave][k][variants][_master]) {
									do_continue = false;
									break;
								}
							}
						}
						if (!do_continue) {
							break;
						}
					}
					if (do_continue) {
						continue;
					}
					// [/Check available values]
					
					dest_elm.disabled = false;
					dest_elm.options[i] = new Option(slaves[slave][k], k);
					dest_elm.options[i++].selected = selected == k ? true : false;
				}
			}
			fn_lm_check_params(slave, dest_elm.value, dest_elm.name, mode);
		}
	}
	return true;
}
{/literal}
</script>