{* $Id: manage_operators_update.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{capture name="mainbox"}

<p>{$lang.text_mandatory_fields}</p>

<form action="{$index_script}" method="post" name="operators_update_form">
<input type="hidden" name="{$target_name}" value="lh_manage_operators" />
<input type="hidden" name="{$mode_name}" value="do_{$mode}" />
<input type="hidden" name="operator_data[id]" value="{$operator_data.id}" />

{** General info section **}

<table cellpadding="1" cellspacing="1" border="0" width="400" align="center">

<tr>
	<td width="200" align="right" class="form-field-caption">{$lang.username}</td>
	<td width="5" class="required-field-mark">*</td>
	<td width="180">
		<input type="text" id="elm_username" name="operator_data[username]" size="32" value="{$operator_data.username|escape:html}" />
	</td>
	<td width="20" id="status_elm_username" class="required-field-mark">&nbsp;</td>
</tr>

<tr>
	<td width="200" align="right" class="form-field-caption">{$lang.name}</td>
	<td width="5" class="required-field-mark">*</td>
	<td width="180">
		<input type="text" id="elm_name" name="operator_data[name]" size="32" value="{$operator_data.name|escape:html}" />
	</td>
	<td width="20" id="status_elm_name" class="required-field-mark">&nbsp;</td>
</tr>

<tr>
	<td width="200" align="right" class="form-field-caption">{$lang.password}</td>
	<td width="5" class="required-field-mark">*</td>
	<td width="180">
		<input type="password" id="elm_password1"  name="operator_data[password1]" size="32" value="{$operator_data.password1|escape:html}" />
	</td>
	<td width="20" id="status_elm_password1" class="required-field-mark">&nbsp;</td>
</tr>

<tr>
	<td width="200" align="right" class="form-field-caption">{$lang.confirm_password}</td>
	<td width="5" class="required-field-mark">*</td>
	<td width="180">
		<input type="password" id="elm_password2"  name="operator_data[password2]" size="32" value="{$operator_data.password2|escape:html}" />
	</td>
	<td width="20" id="status_elm_password2" class="required-field-mark">&nbsp;</td>
</tr>

<tr>
	<td width="200" align="right" class="form-field-caption">{$lang.active}</td>
	<td width="5" class="required-field-mark">&nbsp;</td>
	<td width="180">
		<input type="hidden" name="operator_data[active]" value="N" />
		<input type="checkbox" name="operator_data[active]" value="Y" {if $operator_data.active == 'Y' || $mode == "add"}checked="checked"{/if} />
	</td>
	<td width="20" class="required-field-mark">&nbsp;</td>
</tr>

</table>
{** /General info section **}

{if 'manage_livehelp'|fn_check_privileges:true}
<br />
<p align="center">
	{if $mode == "update"}
		{include file="buttons/update_profile.tpl" but_onclick="javascript: ops_form.submit();"}
	{else}
		{include file="buttons/register_profile.tpl" but_onclick="javascript: ops_form..submit();"}
	{/if}
</p>
{/if}
{/capture}

{if $mode == "add"}
	{include file="common_templates/mainbox.tpl" title=$lang.lh_register_operator content=$smarty.capture.mainbox}
{else}
	{include file="common_templates/mainbox.tpl" title=$lang.lh_update_operator content=$smarty.capture.mainbox}
{/if}

<script type="text/javascript" language="javascript 1.2">
var ops_form = new cscart_form('operators_update_form');
ops_form.set_required_fields('elm_username', 'elm_name', 'elm_password1', 'elm_password2');
</script>