{* $Id: manufacturer_details.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  

{** Manufacturers section **}  

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="manufacturers_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="manufacturers">
<input type="hidden" name="{$mode_name}" value="update">
<input type="hidden" name="redirect_url" value="{$index_script}?{$target_name}=manufacturers&manufacturer_id={$manufacturer.manufacturer_id}">

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td width="110" class="field-name">{$lang.manufacturer}:</td>
	<td class="required-field-mark">*</td>
	<td width="85%">
		<input type="text" name="manufacturers[{$manufacturer.manufacturer_id}][manufacturer]" value="{$manufacturer.manufacturer|escape:html}" style="width:85%" size="20" class="input-text"></td>
</tr>
<tr>
	<td class="field-name">{$lang.image}:</td>
	<td>&nbsp;</td>
	<td>
		{include file="common_templates/attach_images.tpl" image_name="manufacturer_main" image_object_type="common" image_pair=$manufacturer.main_pair image_object_id=$manufacturer.manufacturer_id no_detailed=true hide_titles=true}
	</td>
</tr>
<tr>
	<td class="field-name">{$lang.description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="man_descr" name="manufacturers[{$manufacturer.manufacturer_id}][description]" cols="35" rows="8" class="input-text" style="width: 85%">{$manufacturer.description|escape:html}</textarea><br>
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('man_descr');" but_style="text"}
	</td>
</tr>
<tr>
	<td width="110" class="field-name">{$lang.page_title}:</td>
	<td >&nbsp;</td>
	<td width="85%">
		<input type="text" name="manufacturers[{$manufacturer.manufacturer_id}][page_title]" value="{$manufacturer.page_title|escape:html}" style="width:85%" size="20" class="input-text"></td>
</tr>
{if $settings.Addons.seo == 'Y'}
<tr>
	<td width="110" class="field-name">{$lang.seo_name}:</td>
	<td >&nbsp;</td>
	<td width="85%">
		<input type="text" name="manufacturers[{$manufacturer.manufacturer_id}][seo_name]" value="{$manufacturer.seo_name|escape:html}" style="width:85%" size="20" class="input-text"></td>
</tr>
{/if}
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.meta_description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="manufacturers[{$manufacturer.manufacturer_id}][meta_description]" cols="55" rows="3" class="input-text" style="width: 85%">{$manufacturer.meta_description|escape:html}</textarea></td>
</tr>

<tr>
	<td class="field-name" nowrap="nowrap">{$lang.meta_keywords}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="manufacturers[{$manufacturer.manufacturer_id}][meta_keywords]" cols="55" rows="2" class="input-text" style="width: 85%">{$manufacturer.meta_keywords|escape:html}</textarea></td>
</tr>
<tr>
	<td class="field-name">{$lang.url}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="manufacturers[{$manufacturer.manufacturer_id}][url]" value="{$manufacturer.url}" size="22" class="input-text" style="width: 85%"></td>
</tr>
<tr>
	<td class="field-name">{$lang.position}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="manufacturers[{$manufacturer.manufacturer_id}][position]" value="{$manufacturer.position}" size="3" maxlength="11" class="input-text"></td>
</tr>
<tr>
	<td class="field-name">{$lang.available}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="manufacturers[{$manufacturer.manufacturer_id}][avail]" value="N">
		<input type="checkbox" name="manufacturers[{$manufacturer.manufacturer_id}][avail]" value="Y" {if $manufacturer.avail == 'Y'}checked{/if}></td>
</tr>
</table>
<p>
{include file="buttons/update.tpl" but_onclick="javascript:document.manufacturers_form.submit();" but_type="input"}</td>
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.manufacturers content=$smarty.capture.mainbox}

{** Manufacturer section **}