{* $Id: newsletters.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

<div align="right"><span class="bull">&bull;</span>&nbsp;<a href="#add_new" class="underlined">{$lang.add_newsletter}</a></div>
<p></p>

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="newsletters_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="newsletters">
<input type="hidden" name="{$mode_name}" value="update">

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('newsletters_form', this.checked);"></td>
	<td class="manage-header" nowrap>{$lang.subject}</td>
	<td class="manage-header" nowrap>{$lang.status}</td>
	<td class="manage-header" nowrap>{$lang.date}</td>
	<td class="manage-header" nowrap width="100%">&nbsp;</td>
</tr>

{if $newsletters}

{foreach from=$newsletters item=newsletter}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="newsletters[{$newsletter.newsletter_id}][delete]" id="delete_checkbox" value="Y"></td>
	<td >
		<input type="text" name="newsletters[{$newsletter.newsletter_id}][newsletter]" value="{$newsletter.newsletter}" size="20" class="input-text"></td>
	<td align="center" nowrap>
		{if $newsletter.status == 'Q'}{$lang.queued}{else}{$lang.sent}{/if}</td>
	<td align="center" nowrap>
		{if $newsletter.sent_date}
		{$newsletter.sent_date|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}
		{else}
		&nbsp;-&nbsp;
		{/if}
	</td>
	<td>{include file="buttons/button.tpl" but_style="text" but_text=$lang.details but_href="$index_script?$target_name=newsletters&newsletter_id=`$newsletter.newsletter_id`"}</td>
</tr>
{/foreach}
<tr>
	<td colspan="5">
		<p>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/update.tpl" but_onclick="javascript:document.newsletters_form.submit();" but_type="input"}</td>
			<td>&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('newsletters_form', 'delete');"}<td>
		</tr>
		</table>
	</td>	
</tr>

{else}
<tr class="manage-row">
	<td colspan="10" align="center">
		<p><b>{$lang.text_no_newsletters}</b></td>
</tr>
{/if}
</table>
</form>

<br><br>
<a name="add_new"></a>
{include file="common_templates/subheader.tpl" title=$lang.add_newsletter}

<form action="{$index_script}" method="post" name="add_newsletters_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="newsletters">
<input type="hidden" name="{$mode_name}" value="add">

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td width="110" class="field-name">{$lang.subject}:</td>
	<td class="required-field-mark">*</td>
	<td width="85%">
		<input type="text" name="newsletters_data[newsletter]" value="" style="width:85%" size="20" class="input-text"></td>
</tr>
<input type="hidden" name="newsletters_data[newslist_id]" value="0">
<tr>
	<td class="field-name">{$lang.body}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="man_descr" name="newsletters_data[body_html]" cols="35" rows="8" class="input-text" style="width: 85%"></textarea><br>
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('man_descr');" but_style="text"}
	</td>
</tr>
</table>


<p>{include file="buttons/add_new.tpl" but_onclick="javascript: document.add_newsletters_form.submit()"}

</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.newsletters content=$smarty.capture.mainbox}
