{* $Id: configurator_groups.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

<div align="right">
	<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=products&{$mode_name}=manage&type=extended&configurable=Y" class="underlined">{$lang.all_configurable}</a>&nbsp;&nbsp;&nbsp;
	<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=products&{$mode_name}=add&product_type=C" class="underlined">{$lang.add_configurable_product}</a>
</div>
<p></p>

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

{capture name="tabsbox"}

<div id="content_groups_ajax">
<div id='content_groups'>

<form action="{$index_script}" method="post" name="configurator_groups_form">
<input type="hidden" name="{$target_name}" value="configurator" />
<input type="hidden" name="{$mode_name}" value="update" />

{** GROUP PRODUCTS **}

{include file="common_templates/pagination.tpl" prefix='_groups'}

{assign var="c_url" value=$current_url|fn_query_remove:"groups_sort_by":"groups_sort_order":"selected_section"}
{if $groups_sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{assign var="sl_section" value="#groups"}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'content_groups_ajax');"}
	{assign var="sl_section" value="&selected_section=groups"}
{/if}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('configurator_groups_form', this.checked, 'delete_{$type}_d');" title="{$lang.check_uncheck_all}" /></td>
	<td width="100%" class="manage-header" nowrap><a class="sort-link" href="{$url_prefix}{$c_url}&groups_sort_by=group_name&groups_sort_order={$groups_sort_order}{$sl_section}{$url_suffix}">{$lang.name}</a>{if $groups_sort_by == 'group_name'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&groups_sort_by=section_name&groups_sort_order={$groups_sort_order}{$sl_section}{$url_suffix}">{$lang.step}</a>{if $groups_sort_by == 'step_name'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&groups_sort_by=display_type&groups_sort_order={$groups_sort_order}{$sl_section}{$url_suffix}">{$lang.display_type}</a>{if $groups_sort_by == 'display_type'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&groups_sort_by=avail&groups_sort_order={$groups_sort_order}{$sl_section}{$url_suffix}">{$lang.avail}</a>{if $groups_sort_by == 'avail'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap">&nbsp;</td>
</tr>	
{if $configurator_groups}
{foreach from=$configurator_groups item=group} 
{assign var="pair" value=$group.image_pairs}
<tr {cycle values='class="manage-row", '}>
	<td align="center" width="1%" valign="top">
		<input type="checkbox" name="delete[{$group.group_id}]" id="delete_{$type}_d" value="Y" /></td>
	<td valign="top" nowrap="nowrap">
		<input type="text" name="configurator_group_descriptions[{$group.group_id}][configurator_group_name]" value="{$group.configurator_group_name|escape:html}" class="input-text-100" /></td>	
	<td valign="top" nowrap="nowrap">
		<select name="configurator_group_data[{$group.group_id}][step_id]">
			<option value="0">-&nbsp;{$lang.none}&nbsp;-</option>
			{foreach from=$configurator_steps item=step}
				<option value="{$step.step_id}" {if $group.step_id == $step.step_id}selected="selected"{/if}>{$step.step_name}</option>
			{/foreach}
		</select></td>
        <td valign="top" nowrap="nowrap">
		<select name="configurator_group_data[{$group.group_id}][configurator_group_type]">
			<option value="S" {if $group.configurator_group_type == "S"}selected="selected"{/if}>{$lang.selectbox}</option>
			<option value="R" {if $group.configurator_group_type == "R"}selected="selected"{/if}>{$lang.radiogroup}</option>
			<option value="C" {if $group.configurator_group_type == "C"}selected="selected"{/if}>{$lang.checkbox}</option>
		</select></td>
	<td align="center" width="1%" nowrap="nowrap" valign="top">
		<input type="hidden" name="configurator_group_data[{$group.group_id}][avail]" value="N" />
		<input type="checkbox" name="configurator_group_data[{$group.group_id}][avail]" value="Y" {if $group.avail=="Y"}checked="checked"{/if} /></td>
	<td class="side-padding" align="right" valign="top">
		{assign var="gr_id" value=$group.group_id}
		{include file="buttons/button.tpl" but_text=$lang.details but_style="text"  but_onclick="$index_script?$target_name=configurator&group_id=$gr_id"}</td>
</tr>
{/foreach}
{if 'manage_catalog'|fn_check_privileges:true}
<tr>
	<td colspan="10"><p></p>
	<table cellpadding="0" cellspacing="0" border="0">
	<tr>
		<td>
			{include file="buttons/update.tpl" but_onclick="javascript:document.configurator_groups_form.submit();"}</td>
		<td>&nbsp;&nbsp;&nbsp;</td>
		<td>
			{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('configurator_groups_form','delete', '', 'delete_`$type`','',false);"}</td>
	</tr>
	</table>
	</td>
</tr>
{/if}
{else}
<tr>
	<td colspan="10" align="center" class="manage-row">
		<p><b>{$lang.text_no_items_defined|replace:'[items]':$lang.groups}</b></p></td>
</tr>
{/if}
</table>

{include file="common_templates/pagination.tpl" prefix='_groups'}

</form>
<br />

{if 'manage_catalog'|fn_check_privileges:true}
{include file="common_templates/subheader.tpl" title=$lang.add_new_configurator_groups}

<form action="{$index_script}" method="post" name="add_configurator_group_form" enctype="multipart/form-data">
<input type="hidden" name="{$target_name}" value="configurator" />
<input type="hidden" name="{$mode_name}" value="add" />


<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
	<table cellpadding="1" cellspacing="1" border="0">
	<tbody id="header">
	<tr class="add-new-header">
		<td class="add-new-header" nowrap="nowrap" id="group_name">{$lang.name}</td>
		<td class="add-new-header" nowrap="nowrap">{$lang.step}</td>
		<td class="add-new-header" nowrap="nowrap">{$lang.display_type}</td>
                <td class="add-new-header" align="center" nowrap="nowrap">{$lang.avail}</td>
		<td>&nbsp;</td>
	</tr>
	</tbody>
	<tbody id="box_add_configurator_group">
	<tr class="manage-row" valign="top">
		<td width="100%">
			<input type="text" id="configurator_group_name" name="add_configurator_group_description[0][configurator_group_name]" value="" size="55" class="input-text" /></td>
                <td valign="top">
			<select name="add_configurator_group_data[0][step_id]" id="configurator_step">
				<option value="0">-&nbsp;{$lang.none}&nbsp;-</option>
				{foreach from=$configurator_steps item=step}
					<option value="{$step.step_id}">{$step.step_name}</option>
				{/foreach}
			</select></td>
                <td valign="top">
			<select name="add_configurator_group_data[0][configurator_group_type]" id="configurator_group_type">
				<option value="S" selected>{$lang.selectbox}</option>
				<option value="R">{$lang.radiogroup}</option>
				<option value="C">{$lang.checkbox}</option>
			</select></td>
		<td align="center">
			<input type="hidden" name="add_configurator_group_data[0][avail]" value="N" />
			<input type="checkbox" name="add_configurator_group_data[0][avail]" value="Y" checked /></td>
		<td align="right" nowrap="nowrap">{include file="buttons/multiple_buttons.tpl" item_id="add_configurator_group"}</td>
	</tr>
	</tbody>
	</table>
	</td>
</tr>
</table>

<p></p>
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_configurator_group_form.submit();"}
</form>
{/if}
</div>
<!--content_groups_ajax--></div>

{**Product types section**}
{include file="addons/product_configurator/product_classes.tpl"}
{**/Product types section**}


{**Product types section**}
{include file="addons/product_configurator/steps.tpl"}
{**/Product types section**}

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name='configurator'}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.product_configurator content=$smarty.capture.mainbox}