<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>

<head>
<title>{$lang.products}</title>
<link href="{$skin_dir}/styles.css" rel="stylesheet" type="text/css">
{include file="scripts/form_scripts.tpl"}
<script language="JavaScript">
	var def = {$ldelim}
		ANY_OPTION_COMBINATIONS: '{$smarty.const.ANY_OPTION_COMBINATIONS}',
		ACTION_DISCOUNT_ON_PRODUCTS: '{$smarty.const.ACTION_DISCOUNT_ON_PRODUCTS}'
	{$rdelim}
	
	lang.no = '{$lang.no}';
	lang.yes = '{$lang.yes}';
	lang.aoc = '{$lang.any_option_combinations}';
	lang.isset = '{$lang.isset_js_product_combination}';
	lang.exception = '{$lang.isset_js_product_exception}';
	lang.options = '{$lang.options}';	
	
	var iframe = {$ldelim}
		id: window.frameElement.id,
		mode: '{$smarty.get.promotion_mode}',
		type: '{$smarty.get.type}',
		item: '{$smarty.get.item}'
	{$rdelim}
	
	var exception_combinations = {$ldelim}{$rdelim};
	{if $products}
		{foreach from=$products item="p"}
			{if $p.exception_combinations}
				{foreach from=$p.exception_combinations item="ec" key="ex_comb"}
					exception_combinations['{$p.product_id}_{$ex_comb}'] = true;
				{/foreach}
			{/if}
		{/foreach}
	{/if}
{literal}
	var options_routine = {
		disable: function (obj) {
			var d_form = document.forms['add_promotion_products'];		
			var id = obj.id.replace(/\D+/g,'');
			for(j=0; j < d_form.length; j++) {						
				var op = d_form.elements[j];
				if (op.id.indexOf('option_'+id) != -1 && op.id != obj.id){
					op.disabled = obj.checked;			
				}
			}
		},
		get_description: function (obj, id) {
			var p = '';
			var d = '';	
			var aoc = document.getElementById('option_' + id + '_' + def.ANY_OPTION_COMBINATIONS);
			if (aoc && aoc.checked) {
				p = def.ANY_OPTION_COMBINATIONS;			
				d = "<b>" + lang.options + ":&nbsp;</b>" + lang.aoc;
			} else {		
				for(j=0; j < obj.length; j++) {
					var op = obj.elements[j];
					if (op.id.indexOf('option_'+id) != -1 && op.id != 'option_' + id + '_' + def.ANY_OPTION_COMBINATIONS) {
						var option_id = op.id.replace('option_'+id+'_','');
						if (op.type == 'checkbox') {
							var variant = (op.checked == false) ? lang.no : lang.yes;
						}
						if (op.type == 'radio' && op.checked == true) {
							var variant = document.getElementById('option_description_'+id+'_'+option_id+'_'+op.value).innerHTML;
						}
						if (op.type == 'select-one') {
							var variant = op.options[op.selectedIndex].text;
						}
						if ((op.type == 'text' || op.type == 'textarea') && op.value != '') {
							var variant = op.value;
						}
						if ((op.type == 'checkbox') || ((op.type == 'text' || op.type == 'textarea') && op.value != '') || (op.type == 'select-one') || (op.type == 'radio' && op.checked == true)) {
							if (op.type == 'checkbox') {
								p += option_id +':';
								p += (op.checked == false) ? document.getElementById('unchecked_'+op.id).value : op.value;
								p += '|';
							}else{
								p += option_id+':'+op.value+'|';							
							}
							d += document.getElementById('option_description_'+id+'_'+option_id).innerHTML+variant+'; ';
						}
					}
				}
				
				if (p != ''){
					p = p.substr(0, p.length-1);
					d = "<b>" + lang.options + ":&nbsp;</b>" + d; 
				}
			}
			return {path: p, desc: d};
		}
		
	}
	
	function fn_add_js_products()
	{

		var message = '';		
		var isset_message = '';
		var exception_message = '';
		var d_form = document.forms["add_promotion_products"];
		var suffix = iframe.id.str_replace("iframe_" + iframe.mode + "_" + iframe.type + "_" + iframe.item, "");
		var clone = suffix.substring((suffix.lastIndexOf("_") == -1 ? 0 : suffix.lastIndexOf("_") + 1) , suffix.length);
			clone = (clone == "") ? 0 : clone;
		var root_id = iframe.mode + "_" + iframe.type + "_" + iframe.item + "_content" + suffix;
		var root = parent.document.getElementById(root_id);		
		var js_product_ids = {};
		
		for (var i = root.childNodes.length-1; i>=0; i--){
			jp = root.childNodes[i];
			if (jp.tagName == "TR" && jp.id) {
				if (jp.id.indexOf("empty") != -1) {
					parent.fn_delete_js_product(root_id, "empty");
				}
				if (jp.id.indexOf("clone") != -1){
					var clone_item = jp;
				}
				if (jp.id.indexOf("clone") == -1 && jp.id.indexOf("empty") == -1) {
					var temp_id = jp.id.split("_").reverse().pop();
					if (document.getElementById('product_' + temp_id)) {
						js_product_ids[jp.id] = document.getElementById('product_' + temp_id).value;				
					}
				}				
			}
		}

		for(i=0; i < d_form.length; i++) {
			if (fn_compare_strings(d_form.elements[i].id, "add_promotion_product_checkbox", true)) {
				if (d_form.elements[i].checked) {
					var product_id = d_form.elements[i].name.replace(/\D+/g, "");
					var option = options_routine.get_description(d_form, product_id);
					var child_id = product_id + ((option.path != "") ? "_" + option.path : "");

					if (!js_product_ids[child_id] && !exception_combinations[child_id]) {
						
						var child  = clone_item.cloneNode(true);
						var child_elms = child.getElementsByTagName('*');
						for (k=0; k < child_elms.length; k++) {
							if (child_elms[k].tagName == 'SPAN') {
								child_elms[k].innerHTML = child_elms[k].innerHTML.str_replace("{$product}", document.getElementById('product_' + product_id).value);
								child_elms[k].innerHTML = child_elms[k].innerHTML.str_replace("{$options_descriptions}", (option.desc != "") ? option.desc : "");
							}
                       		if (child_elms[k].tagName == 'A' && child_elms[k].href) {
                            	child_elms[k].href = child_elms[k].href.str_replace('{$root_id}', root_id).str_replace("{$delete_id}", child_id);
							}
                        	if (child_elms[k].tagName == 'INPUT' && child_elms[k].name) {
                            	child_elms[k].name = iframe.mode + "_" + iframe.type + "s[" + clone + "][" + iframe.item + "][products][" + product_id + "]" + ((option.path != "") ? "[" + option.path + "]" : "");
                            	child_elms[k].value = (iframe.type == 'action' && iframe.item == def.ACTION_DISCOUNT_ON_PRODUCTS) ? 0 : 1;
							}
						}

						child.setAttribute("id", child_id);
						child.style.display = '';

						if (root.rows) {
                        	child.className = (root.rows.length/2) != Math.round(root.rows.length/2) ? 'manage-row-clear' : 'manage-row';
						}
						root.appendChild(child);
					} else {
						if (typeof(js_product_ids[child_id]) != "undefined") {
							isset_message += "\n   -" +  js_product_ids[child_id];
							isset_message += "\n        " +  option.desc.str_replace("<b>","").str_replace("</b>","").str_replace("&nbsp;"," ");							
						}
						if (document.getElementById("product_" + product_id) && exception_combinations[child_id]){
							exception_message += "\n   -" +  document.getElementById("product_" + product_id).value;
							exception_message += "\n        " +  option.desc.str_replace("<b>","").str_replace("</b>","").str_replace("&nbsp;"," ");
						}
					}
				}
			}
		}

		if (isset_message != '' || exception_message != '') {
			if (isset_message != '') {
				message += lang.isset.str_replace("[products]", isset_message + "\n") + "\n\n";
			}
			if (exception_message != '') {
				if (root.getElementsByTagName("TR").length == 1 && root.getElementsByTagName("TR")[0].id == "clone") {
					parent.fn_delete_js_product(root_id, "insert_empty");
				}
				message += lang.exception.str_replace("[products]", exception_message + "\n");
			}			
			alert(message);
		}
		
	}
{/literal}
</script>
</head>

<body>
{**[LOADING_MESSAGE]**}
{include file="common_templates/loading_box.tpl"}
{**[/LOADING_MESSAGE]**}
<div id="fullbody">

	{capture name="section"}
		{include file="products_pages/products_search_form.tpl" search_products="Y" page_part="purchased_products" extra="<input type=\"hidden\" name=\"promotion_mode\" value=\"`$smarty.get.promotion_mode`\"><input type=\"hidden\" name=\"type\" value=\"`$smarty.get.type`\"><input type=\"hidden\" name=\"item\" value=\"`$smarty.get.item`\">"}
	{/capture}
	{include file="common_templates/section.tpl" section_title=$lang.search_for_products section_content=$smarty.capture.section}

	{if $smarty.get.search_products == 'Y'}
	
	{if $products}
	<form action="{$index_script}" method="post" name="add_promotion_products">
	<input type="hidden" name="{$target_name}" value="{$smarty.get.target|escape:'html'}" />
	<input type="hidden" name="{$mode_name}" value="add_promotion_products" />
	<input type="hidden" name="promotion_id" value="{$smarty.get.promotion_id}" />
	<input type="hidden" name="redirect_url" value="{$current_url}" />		
	{/if}
	
	{include file="products_pages/products_list.tpl" products=$products form_name="add_promotion_products" checkbox_id="add_promotion_product_checkbox" pagination_suffix="#add_promotion_products" no_href="Y"}
	
	{if $products}
	
	<p></p>{include file="buttons/add_products.tpl" but_onclick="javascript: if (fn_check_selected('add_promotion_products','add_promotion_product_checkbox')) fn_add_js_products();"}
	
	</form>
	{/if}
	{/if}

</div>
</body>

</html>