{* $Id: rma_properties.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{include file="addons/rma/sections.tpl" section=$smarty.get.property_type}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="rma_properties_form">
<input type="hidden" name="{$target_name}" value="rma" />
<input type="hidden" name="{$mode_name}" value="update_properties" />
<input type="hidden" name="property_type" value="{$smarty.get.property_type|default:$smarty.const.RMA_REASON}" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	{if $smarty.get.property_type == $smarty.const.RMA_REASON}
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('rma_properties_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	{/if}
	<td class="manage-header" nowrap="nowrap" >{$lang.position}</td>		
	<td class="manage-header" nowrap="nowrap" >{if $smarty.get.property_type == 'R'}{$lang.reason}{else}{$lang.action}{/if}</td>
	<td class="manage-header" align="center" nowrap="nowrap" >{$lang.avail}</td>
	{if $smarty.get.property_type != $smarty.const.RMA_REASON}
	<td class="manage-header" align="center" nowrap="nowrap" >{$lang.update_totals_and_inventory}</td>
	{/if}
	<td class="manage-header" width="100%" nowrap="nowrap" >&nbsp;</td>
</tr>
{if $properties}
{foreach from=$properties item=property}
<tr {cycle values='class="manage-row", '}>
	{if $smarty.get.property_type == $smarty.const.RMA_REASON}
	<td width="1%">
		<input type="checkbox" name="delete[{$property.property_id}]" id="delete_checkbox" value="Y" /></td>
	{/if}
	<td align="center">
		<input type="text" name="property_data[{$property.property_id}][position]" size="7" value="{$property.position}" class="input-text" /></td>
	<td>
		<input type="text" name="property_description[{$property.property_id}][property]" size="35" value="{$property.property|escape:html}" class="input-text" /></td>
	<td align="center">
		<input type="hidden" name="property_data[{$property.property_id}][avail]" value="N" />
		<input type="checkbox" name="property_data[{$property.property_id}][avail]" value="Y" {if $property.avail == "Y"}checked="checked"{/if} /></td>
	{if $smarty.get.property_type != $smarty.const.RMA_REASON}
	<td align="center">
		<input type="checkbox" value="{$property.update_totals_and_inventory}" {if $property.update_totals_and_inventory == "Y"}checked="checked"{/if} disabled="disabled"/></td>		
	{/if}		
	<td class="side-padding">&nbsp;</td>
</tr>
{/foreach}
</table>
<p></p>

{if 'manage_rma'|fn_check_privileges:true}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.rma_properties_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	{if $smarty.get.property_type == $smarty.const.RMA_REASON}
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('rma_properties_form','delete_properties');"}</td>
	{/if}
</tr>
</table>
{/if}
{else}
<tr class="manage-row">
	<td colspan="5" class="manage-row" align="center">
	<p><b>
	{if $smarty.get.property_type == 'R'}
		{$lang.text_no_items_defined|replace:'[items]':$lang.reasons}
	{else}
		{$lang.text_no_items_defined|replace:'[items]':$lang.actions_lower}
	{/if}
	</b></p></td>
</tr>
</table>
{/if}
</form>
{if $smarty.get.property_type == $smarty.const.RMA_REASON}
	<br /><br />
	{include file="common_templates/subheader.tpl" title=$lang.add_new_reasons}
	<form action="{$index_script}" method="post" name="add_rma_properties_form">
	<input type="hidden" name="{$target_name}" value="rma" />
	<input type="hidden" name="{$mode_name}" value="add_properties" />
	<input type="hidden" name="property_type" value="{$smarty.get.property_type|default:$smarty.const.RMA_REASON}" />
	<table cellpadding="1" cellspacing="1" border="0">
	<tr class="add-new-header" id="header">
		<td class="add-new-header" nowrap="nowrap" >{$lang.position}</td>
		<td class="add-new-header" nowrap="nowrap" >{if $smarty.get.property_type == $smarty.const.RMA_REASON}{$lang.reason}{else}{$lang.action}{/if}</td>
		<td class="add-new-header" nowrap="nowrap" >{$lang.avail}</td>
		<td>&nbsp;</td>
	</tr>
	<tr class="manage-row" id="box_add_property">
		<td align="center">
			<input type="text" name="add_property_data[0][position]" size="7" value="" class="input-text" /></td>
		<td>
			<input type="text" name="add_property_description[0][property]" size="35" value="" class="input-text" /></td>
		<td align="center">
			<input type="hidden" name="add_property_data[0][avail]" value="N" />
			<input type="checkbox" name="add_property_data[0][avail]" value="Y" checked="checked" /></td>
		<td>
			{include file="buttons/multiple_buttons.tpl" item_id="add_property"}</td>
	</tr>
	</table>
	<p></p>
	{if 'manage_rma'|fn_check_privileges:true}
	{include file="buttons/add_new.tpl" but_onclick="document.add_rma_properties_form.submit();"}
	{/if}
	</form>
{/if}

{/capture}
{if $smarty.get.property_type == $smarty.const.RMA_REASON}
	{include file="common_templates/mainbox.tpl" title=$lang.rma_reasons content=$smarty.capture.mainbox}
{else}
	{include file="common_templates/mainbox.tpl" title=$lang.rma_actions content=$smarty.capture.mainbox}
{/if}
