{* $Id: audience_statistics.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{capture name="tabsbox"}

{assign var='stat_type' value=$audience_statistics.type}
<div id="content_{$stat_type}">
	{if $audience_statistics.$stat_type}
	{capture name='table_chart'}
	
	<table cellpadding="2" cellspacing="1" border="0">
	{foreach from=$audience_statistics.$stat_type item='page' name='page' key='key'}
	<tr {cycle values=',class="manage-row"'}>
		<td valign="top">
			{if $stat_type == $smarty.const.STAT_PAGE_LOAD_SPEED}
			<div id="div_audience_statistics_load_{$key}">
			{/if}
			{if $page.label}{$page.label}{else}{$lang.undefined}{/if}
			{if $stat_type == $smarty.const.STAT_PAGE_LOAD_SPEED}
				{if $page.pages}
					<a href="javascript: fn_show_tag('audience_statistics_load_{$key}');">{$lang.view_pages}&nbsp;&raquo;</a>
					<table cellpadding="0" cellspacing="1" border="0" width="400" id="audience_statistics_load_{$key}">
					{foreach from=$page.pages item='_page'}
					<tr>
						<td><div style="overflow: hidden; width: 100%;"><a href="{$_page.url}">{$_page.url}</a></div></td>
						{math equation="loadtime/1000000" assign="time" loadtime=$_page.loadtime}
						<td align="right">&nbsp;&nbsp;{$time|string_format:'%07.6f'}</td>
					</tr>
					{/foreach}
					</table>
				{else}
					<a href="javascript: fn_ajax_http_request('{$index_script}?{$target_name}=view_statistics&{$mode_name}=audience&selected_section={$smarty.const.STAT_PAGE_LOAD_SPEED}&load_speed_detail={$key}', 'div_audience_statistics_load_{$key}', null, null, null, true);">{$lang.view_pages}&nbsp;&raquo;</a>
				{/if}
			{/if}
			{if $stat_type == $smarty.const.STAT_PAGE_LOAD_SPEED}
			<!--div_audience_statistics_load_{$key}--></div>
			{/if}
			{include file="statistics_pages/graph_bar.tpl" bar_width='400px' value_width=$page.percent|round}
		</td>
		{if $stat_type == $smarty.const.STAT_PAGE_LOAD_SPEED}
		<td align="right"><span class="small-note">+</span>{$page.sum_count}<br />&nbsp;<span class="small-note">{$page.sum_percent}%</span>&nbsp;</td>
		{/if}
		<td align="right">
			{if $stat_type == $smarty.const.STAT_SITE_ATTENDANCE || $stat_type == $smarty.const.STAT_PAGE_LOAD_SPEED}

				{* select filed of value *}
				{if $stat_type == $smarty.const.STAT_SITE_ATTENDANCE}
					{assign var="object_code" value=$page.hour}
				{else}
					{assign var="object_code" value=$page.label}
				{/if}
				{include file="addons/statistics/buttons/visitors_log.tpl" but_text=$page.count form_prefix="`$mode`_`$stat_type`_$key" from_section=$stat_type object_code=$object_code}
				
			{else}
				{$page.count}
			{/if}
			
			{if $stat_type != $smarty.const.STAT_SITE_ATTENDANCE}<br /><span class="small-note">{$page.percent}%</span>{/if}</td>
	</tr>
	{/foreach}
	{if $stat_type == $smarty.const.STAT_TOTAL_PAGES_VIEWED}
	<tr>
		<td><br />{$lang.average_depth}:&nbsp;</td>
		<td align="right"><br /><b>{$audience_statistics.average_depth}</b></td>
	</tr>
	{elseif $stat_type == $smarty.const.STAT_VISIT_TIME}
	<tr>
		<td><br />{$lang.average_duration}:&nbsp;</td>
		<td align="right"><br /><b>{$audience_statistics.average_duration|date_format:$settings.Appearance.time_format}</b></td>
	</tr>
	{elseif $stat_type == $smarty.const.STAT_SITE_ATTENDANCE}
	<tr>
		<td><br />{$lang.total}:&nbsp;</td>
		<td align="right"><br /><b>{$audience_statistics.total|default:'0'}</b></td>
	</tr>
	{/if}
	</table>
	
	{/capture}
	{include file='addons/statistics/select_charts.tpl' chart_div_prefix="audience_`$stat_type`_view_style_" content=$smarty.capture.table_chart selected_section=$stat_type chart_title=$lang.$stat_type column_height=$column_height column_data=$audience_statistics.column_data column_height=$audience_statistics.column_height pie_data=$audience_statistics.pie_data pie_height=$audience_statistics.pie_height}
	{else}
	<div align="center" class="manage-row vertical-padding">
		<b>{$lang.text_no_items_found|replace:'[items]':$lang.statistics}</b></div>
	{/if}
<!--content_{$stat_type}--></div>

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name='audience'}
