{* $Id: select_charts.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

<script type="text/javascript" language="javascript 1.2">
//<![CDATA[
{literal}
	if (typeof(fn_switch_stat_graphics) != 'function') {
		function fn_switch_stat_graphics(id_prefix, item)
		{
			var items = ['0', 'bar', 'pie', 'line'];
			for (var i in items) {
				if (document.getElementById(id_prefix + items[i])) {
					if (item == items[i]) {
						document.getElementById(id_prefix + items[i]).style.display = '';
					} else {
						document.getElementById(id_prefix + items[i]).style.display = 'none';
					}
				}
			}
			if (document.getElementById('id_' + id_prefix + 'chart_limit')) {
				if (item != '0') {
					document.getElementById('id_' + id_prefix + 'chart_limit').disabled = '';
					var options = document.getElementById('id_' + id_prefix + 'chart_limit').options;
					for (var i = 0; i < options.length; i++) {
						if (options[i].value == stat_charts[id_prefix+item]) {
							options[i].selected = "selected";
						}
					}
				} else {
					document.getElementById('id_' + id_prefix + 'chart_limit').disabled = 'disabled';
				}
			}
		}
	}
	
	if (typeof(stat_charts) == 'undefined') {
		var stat_charts = {};
	}
{/literal}

	stat_charts.{$chart_div_prefix}0 = '{$stat_charts.$mode.$selected_section.max_items.0|default:$settings.Appearance.admin_elements_per_page}';
	stat_charts.{$chart_div_prefix}bar = '{$stat_charts.$mode.$selected_section.max_items.bar|default:$settings.Appearance.admin_elements_per_page}';
	stat_charts.{$chart_div_prefix}pie = '{$stat_charts.$mode.$selected_section.max_items.pie|default:$settings.Appearance.admin_elements_per_page}';
	stat_charts.{$chart_div_prefix}line = '{$stat_charts.$mode.$selected_section.max_items.line|default:$settings.Appearance.admin_elements_per_page}';
//]]>
</script>

{assign var='chart' value=$stat_charts.$mode.$selected_section.chart}
<div align="right">
{strip}
	<b>{$lang.chart_type}:</b>&nbsp;
	<select id="id_{$chart_div_prefix}select_chart" name="{$chart_div_prefix}select_chart" onchange="javascript: fn_switch_stat_graphics('{$chart_div_prefix}', this.value); fn_ajax_http_request('{$index_script}?{$target_name}={$target}&amp;{$mode_name}={$mode}&selected_section={$selected_section}&amp;change_chart=' + this.value);">
		<option value="0" {if !$chart}selected="selected"{/if}>{$lang.table}</option>
		{if $column_data}<option value="bar" {if $chart == 'bar'}selected="selected"{/if}>{$lang.graphic} [{$lang.bar}]</option>{/if}
		{if $pie_data}<option value="pie" {if $chart == 'pie'}selected="selected"{/if}>{$lang.graphic} [{$lang.pie}]</option>{/if}
		{if $line_data}<option value="line" {if $chart == 'line'}selected="selected"{/if}>{$lang.graphic} [{$lang.line}]</option>{/if}
	</select>
	
	{if $column_data || $pie_data}
	&nbsp;&nbsp;&nbsp;<b>{$lang.max_bars_pieces}:</b>&nbsp;
	<select id="id_{$chart_div_prefix}chart_limit" name="{$chart_div_prefix}chart_limit" {if !$chart}disabled="disabled"{/if} onchange="javascript: stat_charts['{$chart_div_prefix}' + document.getElementById('id_{$chart_div_prefix}select_chart').value] = this.value; fn_ajax_http_request('{$index_script}?{$target_name}={$target}&amp;{$mode_name}={$mode}&selected_section={$selected_section}&amp;chart_type=' + document.getElementById('id_{$chart_div_prefix}select_chart').value + '&amp;change_max_items=' + this.value, '{$chart_div_prefix}' + document.getElementById('id_{$chart_div_prefix}select_chart').value);">
		{assign var='max_items' value=$stat_charts.$mode.$selected_section.max_items.$chart|default:$settings.Appearance.admin_elements_per_page}
		{section name="limit" loop=16 start=2}
		<option value="{$smarty.section.limit.index}" {if $smarty.section.limit.index == $max_items}selected="selected"{/if}>{$smarty.section.limit.index}</option>
		{/section}
		{section name="limit" loop=51 start=20 step=5}
		<option value="{$smarty.section.limit.index}" {if $smarty.section.limit.index == $max_items}selected="selected"{/if}>{$smarty.section.limit.index}</option>
		{/section}
	</select>
	{/if}
{/strip}
	<p></p>
</div>

{if	$content_class}
<div class="{$content_class}">
{/if}
<div id="{$chart_div_prefix}0"{if $chart} style="display: none;"{/if}>
	{$content}<!--{$chart_div_prefix}0--></div>
<div id="{$chart_div_prefix}bar"{if $chart != 'bar'} style="display: none;"{/if}>
	{include file='statistics_pages/amchart.tpl' type='column' set_type='bar' chart_data=$column_data chart_id=$chart_div_prefix chart_title=$chart_title chart_height=$column_height}<!--{$chart_div_prefix}bar--></div>
<div id="{$chart_div_prefix}pie"{if $chart != 'pie'} style="display: none;"{/if}>
	{include file='statistics_pages/amchart.tpl' type='pie' chart_data=$pie_data chart_id=$chart_div_prefix chart_title=$chart_title chart_height=$pie_height}<!--{$chart_div_prefix}pie--></div>
<div id="{$chart_div_prefix}line"{if $chart != 'line'} style="display: none;"{/if}>
	{include file='statistics_pages/amchart.tpl' type='line' chart_data=$line_data chart_id=$chart_div_prefix chart_title=$chart_title chart_height=$line_height}<!--{$chart_div_prefix}line--></div>
{if	$content_class}
</div>
{/if}
