{* $Id: products.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{** Wholesale trade section **}  

<div id="content_wholesale" style="display: none">
<p>
<table cellpadding="1" cellspacing="1" border="0">
<tr>
	<td>
		<table cellpadding="1" cellspacing="1" border="0" width="100%">
		<tbody id="header">
		<tr class="manage-header">
			<td width="1%">
				<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('product_update_form', this.checked, 'wholesale_checkbox');" title="{$lang.check_uncheck_all}"></td></td>
			<td class="manage-header">{$lang.quantity}</td>
			<td class="manage-header">{$lang.price}&nbsp;({$currencies.$primary_currency.symbol})</td>
			<td class="manage-header" align="center">{$lang.membership}</td>
		</tr>
		</tbody>
		{if $wholesale_prices}
		{foreach from=$wholesale_prices item=price}
		<tr {cycle values='class="manage-row", ' reset=1}>
			<td>
				<input type="checkbox" name="wholesale_prices[{$price.price_id}][delete]" id="wholesale_checkbox" value="Y" {if $price.lower_limit == '1' && $price.membership_id == '0'}disabled{/if}></td>
			<td>
				{if $price.lower_limit == '1' && $price.membership_id == '0'}
					&nbsp;{$price.lower_limit}
				{else}
				<input type="text" name="wholesale_prices[{$price.price_id}][lower_limit]" value="{$price.lower_limit}" class="input-text">
				{/if}</td>
			<td>
				{if $price.lower_limit == '1' && $price.membership_id == '0'}
					&nbsp;{$price.price|default:'0.00'}
				{else}
				<input type="text" name="wholesale_prices[{$price.price_id}][price]" value="{$price.price|default:'0.00'}" size="10" class="input-text">
				{/if}</td>
			<td>
				{if $price.lower_limit == '1' && $price.membership_id == '0'}
					&nbsp;{$lang.all}
				{else}
				<select id="membership_id" name="wholesale_prices[{$price.price_id}][membership_id]">
					<option value="0">- {$lang.all} -</option>
					{foreach from=$memberships item=membership}
					<option {if $price.membership_id == $membership.membership_id}selected{/if} value="{$membership.membership_id}">{$membership.membership}</option>
					{/foreach}
				</select>
				{/if}</td>
		</tr>
		{/foreach}
		{else}
		<tr>
			<td colspan="4" align="center"><p><b>{$lang.no_wholesale_prices}</b></td>
		</tr>
		{/if}
		
		</table>

		<br><br>
		{include file="common_templates/subheader.tpl" title=$lang.add_new_prices}

		<table cellpadding="1" cellspacing="1" border="0" width="100%">
		<tbody id="header">
		<tr class="add-new-header">
			<td class="add-new-header" nowrap>{$lang.quantity}</td>
			<td class="add-new-header" nowrap>{$lang.price}&nbsp;({$currencies.$primary_currency.symbol})</td>
			<td class="add-new-header" align="center" nowrap>{$lang.membership}</td>
			<td class="add-new-header">&nbsp;</td>
		</tr>
		</tbody>
		<tbody id="box_new_prices">
		<tr {cycle values='class="manage-row"'}>
			<td>
				<input type="text" name="wholesale_prices_add[0][lower_limit]" value="" class="input-text"></td>
			<td>
				<input type="text" name="wholesale_prices_add[0][price]" value="0.00" size="10" class="input-text"></td>
			<td>
				<select id="membership_id" name="wholesale_prices_add[0][membership_id]">
					<option value="0">- {$lang.all} -</option>
					{foreach from=$memberships item=membership}
					<option {if $category_data.membership_id == $membership.membership_id}selected{/if} value="{$membership.membership_id}">{$membership.membership}</option>
					{/foreach}
				</select></td>
			<td width="1%">
				{include file="buttons/multiple_buttons.tpl" item_id="new_prices"}</td>
		</tr>				
		</tbody>
		</table>
	</td>
</tr>
</table>
</p>
</div>
{** /Wholesale trade section **}