{* $Id: affiliate_plan_update.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $	*}

<div id="no_id" align="right">
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}={$target}&{$mode_name}=manage#add_affiliate_plan" class="underlined">{$lang.add_new_affiliate_plan}</a>&nbsp;&nbsp;
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=settings&section_id=Affiliate" class="underlined">{$lang.affiliate_settings}</a>
</div>
<p></p>

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}
<p>{$lang.text_mandatory_fields}</p>

<form action="{$index_script}" method="post" name="affiliate_plan_form">
<input type="hidden" name="{$target_name}" value="affiliate_plans">
<input type="hidden" name="{$mode_name}" value="do_update">
<input type="hidden" name="affiliate_plan[plan_id]" value="{$affiliate_plan.plan_id}" />
<input type="hidden" name="selected_section" value="">

<table cellpadding="1" cellspacing="1" border="0">
<tr>
	<td class="field-name" width="220">{$lang.name}:&nbsp;</td>
	<td class="required-field-mark" width="5">*</td>
	<td><input type="text" name="affiliate_plan[name]" value="{$affiliate_plan.name|escape:html}" size="50" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name">{$lang.description}:&nbsp;</td>
	<td>&nbsp;</td>
	<td><textarea name="affiliate_plan[description]" cols="50" rows="4" class="input-text">{$affiliate_plan.description|escape:html}</textarea></td>
</tr>
<tr>
	<td class="field-name" width="220">{$lang.aff_cookie_expiration}:&nbsp;</td>
	<td>&nbsp;</td>
	<td><input type="text" name="affiliate_plan[cookie_expiration]" value="{$affiliate_plan.cookie_expiration|escape:html|default:0}" size="10" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name" width="220">{$lang.set_initial_balance} ({$currencies.$primary_currency.symbol}):&nbsp;</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="affiliate_plan[payout_types][init_balance][value]" value="{$affiliate_plan.payout_types.init_balance.value|escape:"html"|default:'0'}" size="10" class="input-text" />
		<input type="hidden" name="affiliate_plan[payout_types][init_balance][value_type]" value="{$affiliate_plan.payout_types.init_balance.value_type|default:"A"}" />
	</td>
</tr>
<tr>
	<td class="field-name" width="220">{$lang.minimum_commission_payment} ({$currencies.$primary_currency.symbol}):&nbsp;</td>
	<td class="required-field-mark">*</td>
	<td><input type="text" name="affiliate_plan[min_payment]" value="{$affiliate_plan.min_payment|escape:html}" size="10" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name" width="220">{$lang.method_based_selling_price}:&nbsp;</td>
	<td>&nbsp;</td>
	<td><input type="hidden" name="affiliate_plan[method_based_selling_price]" value="N"/>
		<input type="checkbox" name="affiliate_plan[method_based_selling_price]" {if $affiliate_plan.method_based_selling_price=='Y'}checked="checked"{/if} value="Y"/></td>
</tr>
<tr>
	<td class="field-name" width="220">{$lang.show_orders}:&nbsp;</td>
	<td>&nbsp;</td>
	<td><input type="hidden" name="affiliate_plan[show_orders]" value="N"/>
		<input type="checkbox" name="affiliate_plan[show_orders]" {if $affiliate_plan.show_orders=='Y' || !$affiliate_plan}checked="checked"{/if} value="Y"/></td>
</tr>
<tr>
	<td class="field-name" width="220">{$lang.coupon_commission_overide_all}:&nbsp;</td>
	<td>&nbsp;</td>
	<td><input type="hidden" name="affiliate_plan[use_coupon_commission]" value="N"/>
		<input type="checkbox" name="affiliate_plan[use_coupon_commission]" {if $affiliate_plan.use_coupon_commission=='Y' || !$affiliate_plan}checked="checked"{/if} value="Y"/></td>
</tr>
<tr>
	<td class="field-name">{$lang.available}:&nbsp;</td>
	<td>&nbsp;</td>
	<td><input type="hidden" name="affiliate_plan[avail]" value="N"/>
		<input type="checkbox" name="affiliate_plan[avail]" {if $affiliate_plan.avail=='Y' || !$affiliate_plan}checked="checked"{/if} value="Y"/></td>
</tr>
<tr>
	<td colspan="3">
		<p></p><br>{include file='common_templates/subheader.tpl' title=$lang.commission_rates}</td>
</tr>
{foreach from=$payout_types key='payout_id' item=payout_data}
{if $payout_data.default=='Y'}
<tr>
	{assign var='payout_var' value=$payout_data.title}
	<td class="field-name">{$lang.$payout_var|escape:"html"}</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="affiliate_plan[payout_types][{$payout_data.id}][value]" value="{$affiliate_plan.payout_types.$payout_id.value|escape:"html"|default:'0'}" size="10" class="input-text"
		 />&nbsp;<select name="affiliate_plan[payout_types][{$payout_data.id}][value_type]">
		{foreach from=$payout_data.value_types key="value_type" item="name_lang_var"}
			<option value="{$value_type}" {if $affiliate_plan.payout_types.$payout_id.value_type==$value_type}selected="selected"{/if}>{$lang.$name_lang_var} {if $value_type=='A'}({$currencies.$primary_currency.symbol}){elseif $value_type=='P'}(%){/if}</option>
		{/foreach}
		</select>
	</td>
</tr>
{/if}
{/foreach}
</table>

<p></p>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.affiliate_plan_form.submit();"}</td>
</tr>
</table>
</form>

<p></p><br />
{capture name="tabsbox"}

{** Multi affiliates **}
<div id='content_multi_tier_affiliates'>

{include file='common_templates/subheader.tpl' title=$lang.commissions_multi_affiliates}
<form action="{$index_script}" method="post" name="add_level_commissions_to_plan_form">
<input type="hidden" name="{$target_name}" value="affiliate_plans">
<input type="hidden" name="{$mode_name}" value="do_update_level_commissions">
<input type="hidden" name="affiliate_plan[plan_id]" value="{$affiliate_plan.plan_id}" />
<input type="hidden" name="selected_section" value="">
<table cellpadding="1" cellspacing="1" border="0">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('affiliate_plan_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" align="center" nowrap="nowrap">{$lang.level}</td>
	<td class="manage-header" align="center" nowrap="nowrap">{$lang.commission} (%)</td>
</tr>
{if $affiliate_plan.commissions}
{foreach from=$affiliate_plan.commissions key='com_id' item='commission'}
<tr {cycle values='class="manage-row", '}>
	<td>
   		<input type="checkbox" name="commissions_ids[{$com_id}]" id="delete_checkbox" value="Y" /></td>
	<td>
		{$lang.level}&nbsp;{$com_id+1}</td>
   	<td align="center">
   		<input type="text" name="affiliate_plan[commissions][{$com_id}]" value="{$commission|escape:"html"}" size="10" class="input-text" /></td>
</tr>
{/foreach}
{else}
<tr>
	<td colspan="5" align="center" class="manage-row"><p><b>{$lang.text_no_levels_found}</b></p></td>
</tr>
{/if}
</table>
{if $affiliate_plan.commissions}
<p></p>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript: document.add_level_commissions_to_plan_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/button.tpl" but_text=$lang.delete_selected but_onclick="javascript: fn_delete_selected('add_level_commissions_to_plan_form','levels_do_m_delete');" but_arrow="on"}</td>
</tr>
</table>
{/if}
</form>

<p></p><br />
{include file='common_templates/subheader.tpl' title=$lang.add_commissions_multi_affiliates}
<form action="{$index_script}" method="post" name="levels_m_addition_form">
<input type="hidden" name="{$target_name}" value="affiliate_plans">
<input type="hidden" name="{$mode_name}" value="levels_do_m_add">
<input type="hidden" name="plan_id" value="{$smarty.get.plan_id|escape:"html"}">
<input type="hidden" name="selected_section" value="">

<table cellpadding="1" cellspacing="1" border="0" width="1">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap="nowrap">{$lang.commission} (%)</td>
	<td class="add-new-header" nowrap="nowrap">&nbsp;</td>
</tr>
<tr class="manage-row" id="box_new_level">
	<td><input type="text" name="levels[0][commission]" size="10" class="input-text" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="new_level"}</td>
</table>
<p></p>
{include file="buttons/add_new.tpl" but_onclick="javascript: document.levels_m_addition_form.submit();"}
</form>
</div>
{** /Multi affiliates **}

{** Linked products **}
{include file='affiliate/linked_products.tpl' target='affiliate_plans' plan_id=$smarty.get.plan_id}
{** /Linked products **}

{** Linked categories **}
<div id='content_linked_categories'>

<form action="{$index_script}" method="post" name="update_linked_categories_form">
<input type="hidden" name="{$target_name}" value="affiliate_plans">
<input type="hidden" name="{$mode_name}" value="do_update_linked_categories">
<input type="hidden" name="plan_id" value="{$affiliate_plan.plan_id}" />
<input type="hidden" name="selected_section" value="">

<table cellpadding="1" cellspacing="1" border="0">
<tr class="manage-header">
	<td width="3%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('update_linked_categories_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" width="87%" nowrap>{$lang.category_name}</td>
	<td class="manage-header" width="10%" nowrap>{$lang.sales_commission}</td>
</tr>
{if $linked_categories}
{foreach from=$linked_categories item=category}
<tr {cycle values='class="manage-row", '}>
	<td><input type="checkbox" name="delete[{$category.category_id}]" id="delete_checkbox" value="Y" /></td>
	<td class="side-padding">
		<a href="{$index_script}?{$target_name}=categories&{$mode_name}=update&category_id={$category.category_id}" class="manage-root-item">{$category.category}</a></td>
	<td class="side-padding" nowrap="nowrap">
		<input type="text" name="sales[{$category.category_id}][value]" value="{$category.sale.value|escape:"html"}" size="10" class="input-text"
		/>&nbsp;<select name="sales[{$category.category_id}][value_type]">
		{foreach from=$payout_types.sale.value_types key="value_type" item="name_lang_var"}
			<option value="{$value_type}" {if $category.sale.value_type==$value_type}selected="selected"{/if}>{$lang.$name_lang_var} {if $value_type=='A'}({$currencies.$primary_currency.symbol}){elseif $value_type=='P'}(%){/if}</option>
		{/foreach}
		</select>
	</td>
</tr>
{/foreach}
{else}
<tr>
	<td colspan="3" class="manage-row" align="center">
		<p><b>{$lang.text_all_items_included|replace:'[items]':$lang.categories}</b></p></td>
</tr>
{/if}
</table>
{if $linked_categories}
<p>
{** Form submit section **}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript: document.update_linked_categories_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('update_linked_categories_form','do_delete_linked_categories', true);" but_arrow="on"}</td>
</tr>
</table>
{** /Form submit section **}

</form>
{/if}

</form>
<p></p>
{if $categories_tree}
<br />

<form action="{$index_script}" method="post" name="add_linked_categories_form">
<input type="hidden" name="{$target_name}" value="affiliate_plans">
<input type="hidden" name="{$mode_name}" value="do_add_linked_categories">
<input type="hidden" name="plan_id" value="{$affiliate_plan.plan_id}" />
<input type="hidden" name="selected_section" value="">

{include file='common_templates/subheader.tpl' title=$lang.add_categories_to_section}
<p></p>
<div id="category_rows">{include file="affiliate/categories_tree.tpl" parent_id="0" header="1" level="0"}</div>
<p></p>
{include file="buttons/button.tpl" but_text=$lang.add_categories but_onclick="javascript: fn_delete_selected('add_linked_categories_form', 'do_add_linked_categories', true, 'category_checkbox');" action_but="action_"}

</form>

{/if}

</div>
{** /Linked categories **}

{** Coupons **}
<div id='content_coupons'>
<form action="{$index_script}" name="delete_coupons_form" method="POST">
<input type="hidden" name="{$target_name}" value="affiliate_plans" />
<input type="hidden" name="{$mode_name}" value="update_coupons" />
<input type="hidden" name="plan_id" value="{$affiliate_plan.plan_id}" />
<input type="hidden" name="selected_section" value="coupons">
<table cellpadding="1" cellspacing="1" border="0">
<tr class="manage-header">
	<td width="1%">
	<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('delete_coupons_form', this.checked, 'delete_checkbox');" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" width="44%" nowrap="nowrap">{$lang.coupon_code}</td>
	<td class="manage-header" width="20%" nowrap="nowrap">{$lang.use_coupons_commission}</td>
	<td class="manage-header" width="10%" nowrap="nowrap">{$lang.coupon_type}</td>
	<td class="manage-header" width="10%" nowrap="nowrap">{$lang.value}</td>
	<td class="manage-header" width="15%" nowrap="nowrap">{$lang.valid}</td>
</tr>
{if $affiliate_plan.coupons}
{foreach from=$affiliate_plan.coupons item=coupon}
	{if $coupon.type=='G'}
		{assign var="type_text" value=$lang.global}
		{assign var='type' value='globals'}
	{elseif $coupon.type=='C'}
		{assign var="type_text" value=$lang.category}
		{assign var='type' value='categories'}
	{elseif $coupon.type=='P'}
		{assign var="type_text" value=$lang.product}
		{assign var='type' value='products'}
	{elseif $coupon.type=='U'}
		{assign var="type_text" value=$lang.user}
		{assign var='type' value='users'}
	{/if}
<tr {cycle values='class="manage-row", '}>
	<td align="center" width="1%">
		<input type="checkbox" name="selected_coupon[{$coupon.discount_id}]" id="delete_checkbox" value="Y" /></td>
	<td class="side-padding">
		<a href="{$index_script}?{$target_name}=discounts&{$mode_name}={$type}&discount_id={$coupon.discount_id}" class="manage-root-item">{$coupon.coupon_code|escape:html}</a></td>
	<td class="side-padding" nowrap="nowrap">
		<input type="text" name="coupons[{$coupon.discount_id}][value]" value="{$coupon.use_coupon.value|escape:"html"}" size="10" class="input-text"
		/>&nbsp;<select name="coupons[{$coupon.discount_id}][value_type]">
		{foreach from=$payout_types.use_coupon.value_types key="value_type" item="name_lang_var"}
			<option value="{$value_type}" {if $coupon.use_coupon.value_type==$value_type}selected="selected"{/if}>{$lang.$name_lang_var} {if $value_type=='A'}({$currencies.$primary_currency.symbol}){elseif $value_type=='P'}(%){/if}</option>
		{/foreach}
		</select>
	</td>
	<td class="side-padding">
		{$type_text}</td>
	<td class="side-padding" nowrap="nowrap">
		{if $coupon.value_type == "A" || $coupon.value_type == "P"}
			{include file="common_templates/modifier.tpl" mod_value=$coupon.value mod_type=$coupon.value_type}
		{elseif $coupon.value_type == "S"}
			{$lang.free_shipping}
		{/if}
	</td>
	<td nowrap="nowrap" align="center" class="side-padding" {if (($coupon.from_date<=$coupon.current_date)&&($coupon.to_date>=$coupon.current_date))}style="font-weight: bold;"{/if}>
		{$coupon.from_date|date_format:"`$settings.Appearance.date_format`"} - {$coupon.to_date|date_format:"`$settings.Appearance.date_format`"}</td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="6" align="center"><p><b>{'[items]'|str_replace:$lang.coupons:$lang.text_no_items_found}</b></p></td>
</tr>
{/if}
</table>
{if $affiliate_plan.coupons}
<p></p>
<table cellpadding="0" cellspacing="1" border="0">
<tr>
	<td>{include file="buttons/button.tpl" but_text=$lang.update but_type="input" but_onclick="javascript: document.delete_coupons_form.submit();"}</td>
	<td>&nbsp;&nbsp;</td>
	<td>{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('delete_coupons_form','delete_coupons');" but_arrow="on"}</td>
</tr>
</table>
{/if}
</form>

<p></p><br />
{include file="common_templates/subheader.tpl" title=$lang.add_coupons}
<form action="{$index_script}" name="add_coupons_form" method="POST">
<input type="hidden" name="{$target_name}" value="affiliate_plans" />
<input type="hidden" name="{$mode_name}" value="add_coupons" />
<input type="hidden" name="plan_id" value="{$affiliate_plan.plan_id}" />
<input type="hidden" name="selected_section" value="coupons">
<table cellpadding="1" cellspacing="1" border="0">
<tr class="manage-header">
	<td width="1%">
	<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('add_coupons_form', this.checked, 'delete');" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" width="44%" nowrap="nowrap">{$lang.coupon_code}</td>
	<td class="manage-header" width="20%" nowrap="nowrap">{$lang.use_coupons_commission}</td>
	<td class="manage-header" width="10%" nowrap="nowrap">{$lang.coupon_type}</td>
	<td class="manage-header" width="10%" nowrap="nowrap">{$lang.value}</td>
	<td class="manage-header" width="15%" nowrap="nowrap">{$lang.valid}</td>
</tr>
{if $coupons}
{foreach from=$coupons item=coupon}
	{if $coupon.type=='G'}
		{assign var="type_text" value=$lang.global}
		{assign var='type' value='globals'}
	{elseif $coupon.type=='C'}
		{assign var="type_text" value=$lang.category}
		{assign var='type' value='categories'}
	{elseif $coupon.type=='P'}
		{assign var="type_text" value=$lang.product}
		{assign var='type' value='products'}
	{elseif $coupon.type=='U'}
		{assign var="type_text" value=$lang.user}
		{assign var='type' value='users'}
	{/if}
<tr {cycle values='class="manage-row", '}>
	<td align="center" width="1%">
		<input type="checkbox" name="selected_coupon[{$coupon.discount_id}]" id="delete" value="Y" /></td>
	<td class="side-padding">
		<a href="{$index_script}?{$target_name}=discounts&{$mode_name}={$type}&discount_id={$coupon.discount_id}" class="manage-root-item">{$coupon.coupon_code|escape:html}</a></td>
	<td class="side-padding" nowrap="nowrap">
		<input type="text" name="coupons[{$coupon.discount_id}][value]" size="10" class="input-text"
		/>&nbsp;<select name="coupons[{$coupon.discount_id}][value_type]">
		{foreach from=$payout_types.use_coupon.value_types key="value_type" item="name_lang_var"}
			<option value="{$value_type}">{$lang.$name_lang_var} {if $value_type=='A'}({$currencies.$primary_currency.symbol}){elseif $value_type=='P'}(%){/if}</option>
		{/foreach}
		</select>
	</td>
	<td class="side-padding">
		{$type_text}</td>
	<td class="side-padding" nowrap="nowrap">
		{if $coupon.value_type == "A" || $coupon.value_type == "P"}
			{include file="common_templates/modifier.tpl" mod_value=$coupon.value mod_type=$coupon.value_type}
		{elseif $coupon.value_type == "S"}
			{$lang.free_shipping}
		{/if}
	</td>
	<td nowrap="nowrap" align="center" class="side-padding" {if (($coupon.from_date<=$coupon.current_date)&&($coupon.to_date>=$coupon.current_date))}style="font-weight: bold;"{/if}>
		{$coupon.from_date|date_format:"`$settings.Appearance.date_format`"} - {$coupon.to_date|date_format:"`$settings.Appearance.date_format`"}</td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="6" align="center"><p><b>{'[items]'|str_replace:$lang.coupons:$lang.text_no_items_found}</b></p></td>
</tr>
{/if}
</table>
</form>
{if $coupons}
<p></p>
{include file="buttons/button.tpl" but_text=$lang.add_selected but_type="input" but_onclick="javascript: if (fn_check_selected('add_coupons_form', 'delete')) document.add_coupons_form.submit();" action_but="action_" but_arrow="on"}
{/if}
</div>
{** /Coupons **}

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name=$target}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.update_affiliate_plan content=$smarty.capture.mainbox}