{* $Id: create_payouts.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $	*}

{capture name="mainbox"}

{if $mode == 'add'}
<script type="text/javascript" language="javascript">
	function fn_format_price(price)
	{$smarty.ldelim}
		var frmt_price = '';
		var tmp = '';
		frmt_price = Math.round((price - Math.floor(price)) * 100);
		frmt_price = '{$currencies.$secondary_currency.decimals_separator}'+((frmt_price<'10') ? '0' : '') + frmt_price.toString();
		if (price < 1) frmt_price = '0' + frmt_price;
		while (price >= 1) {$smarty.ldelim}
			price = Math.floor(price) / 1000;
			tmp = Math.round((price - Math.floor(price)) * 1000);
			if (price >= 1) tmp = ((tmp < 10) ? '00' : ((tmp < 100) ? '0' : '')) + tmp;
			frmt_price = tmp + frmt_price;
			if (price >= 1) frmt_price = '{$currencies.$secondary_currency.thousands_separator}' + frmt_price;
		{$smarty.rdelim}
		return '{if $currencies.$secondary_currency.after != 'Y'}{$currencies.$secondary_currency.symbol}{/if}'+frmt_price+'{if $currencies.$secondary_currency.after == 'Y'}{$currencies.$secondary_currency.symbol}{/if}';
	{$smarty.rdelim}

	var payout_amounts = new Array();
	var _payout_amounts = new Array();
	var action_amounts = new Array();

	function fn_replace_payment_amount(partner_id, action_id, check_status)
	{$smarty.ldelim}
		if (typeof(payout_amounts[partner_id]) != undefined && typeof(action_amounts[action_id]) != undefined) {$smarty.ldelim}
			payout_amounts[partner_id] += (check_status)?action_amounts[action_id]:-action_amounts[action_id];
			document.getElementById('id_td_amount_'+partner_id).innerHTML = fn_format_price((payout_amounts[partner_id]/{$currencies.$secondary_currency.coefficient}).toFixed(2));
		{$smarty.rdelim}
	{$smarty.rdelim}
</script>
{/if}

{if $payouts}
{foreach from=$payouts key='user_id' item='payout' name='for_payouts'}

{if $mode == 'add'}
<script type="text/javascript" language="javascript">
	payout_amounts[{$user_id}] = {$payout.amount};
	_payout_amounts[{$user_id}] = {$payout.amount};
</script>
<form action="{$index_script}" method="POST" name="payout_{$user_id}_form">
<input type="hidden" name="{$target_name}" value="payouts" />
<input type="hidden" name="{$mode_name}" value="do_m_add_payouts" />
{/if}

<table cellpadding="1" cellspacing="1" border="0">
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.partner}:&nbsp;</td>
	<td width="100%"><a href="{$index_script}?{$target_name}=partners&{$mode_name}=update&user_id={$user_id}">{$payout.partner.firstname} {$payout.partner.lastname}</a></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.email}:&nbsp;</td>
	<td>{$payout.partner.email}</td>
</tr>
{if $payout.plan && $mode=='add'}
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.affiliate_plan}:&nbsp;</td>
	<td><a href="{$index_script}?{$target_name}=affiliate_plans&{$mode_name}=update&plan_id={$payout.plan.plan_id}">{$payout.plan.name}</a></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.minimum_commission_payment}:&nbsp;</td>
	<td>{include file="common_templates/price.tpl" value=$payout.plan.min_payment}</td>
</tr>
{/if}
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.chart_period}:&nbsp;</td>
	<td>{$payout.date_range.min|date_format:$settings.Appearance.date_format}&nbsp;-&nbsp;{$payout.date_range.max|date_format:$settings.Appearance.date_format}</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.amount}:&nbsp;</td>
	<td id="id_td_amount_{$user_id}">{include file="common_templates/price.tpl" value=$payout.amount}</td>
</tr>
</table>

<p></p>{include file="common_templates/subheader.tpl" title=$lang.actions}

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table cellpadding="1" cellspacing="1" border="0">
<tr class="manage-header">
	{if $mode=='add'}
	<td width="3%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('payout_{$user_id}_form', this.checked); payout_amounts[{$user_id}] = (this.checked) ? _payout_amounts[{$user_id}] : 0.00; document.getElementById('id_td_amount_{$user_id}').innerHTML = fn_format_price(payout_amounts[{$user_id}])" title="{$lang.check_uncheck_all}" checked="checked" /></td>
	{/if}
	<td class="manage-header" width="10%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=action&sort_order={$sort_order}{$url_suffix}">{$lang.action}</a>{if $sort_by == 'action'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="10%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=date&sort_order={$sort_order}{$url_suffix}">{$lang.date}</a>{if $sort_by == 'date'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="10%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=cost&sort_order={$sort_order}{$url_suffix}">{$lang.cost}</a>{if $sort_by == 'cost'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="20%" nowrap="nowrap">{$lang.customer}<br />({$lang.ip_address})</td>
	<td class="manage-header" width="10%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=banner&sort_order={$sort_order}{$url_suffix}">{$lang.banner}</a>{if $sort_by == 'banner'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="30%" nowrap="nowrap">{$lang.additional_data}</td>
	<td class="manage-header" width="7%" nowrap="nowrap">{$lang.status}</td>
</tr>
{if $payout.actions}
{foreach from=$payout.actions key='action_id' item='action'}
<tr {cycle values='class="manage-row", '}>
	{if $mode=='add'}
	<td>
		<script type="text/javascript" language="javascript">
			action_amounts[{$action_id}]={$action.amount};
		</script>
   		<input type="checkbox" name="action_ids[{$user_id}][{$action_id}]" id="delete_checkbox" value="Y" onclick="javascript: fn_replace_payment_amount({$user_id}, {$action_id}, this.checked);" checked="checked" /></td>
   	{/if}
	<td class="field-name">&nbsp;{$action.title}</td>
	<td class="side-padding">{$action.date|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
	<td class="side-padding">{include file="common_templates/price.tpl" value=$action.amount|round:2}</td>
	<td class="side-padding">
		{if $action.customer_firstname || $action.customer_lastname}<a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$action.customer_id}">{$action.customer_firstname} {$action.customer_lastname}</a>{/if}
		{if ($action.customer_firstname || $action.customer_lastname) && $action.ip}<br />{/if}
		{if $action.ip}<i>({$action.ip})</i>{/if}</td>
	<td class="side-padding">{if $action.banner}<a href="{$index_script}?{$target_name}={$action.banner_type}&{$mode_name}=update&banner_id={$action.banner_id}">{$action.banner}</a>{else}&nbsp;&nbsp;---&nbsp;{/if}</td>
	<td class="side-padding">
		{include file="affiliate/additional_data.tpl" data=$action.data}</td>
	</td>
	<td class="side-padding">{if $action.payout_id}{$lang.paidup}{elseif $action.approved=='Y'}{$lang.approved}{else}&nbsp;&nbsp;---&nbsp;{/if}</td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="8" align="center"><p><b>{"[items]"|str_replace:$lang.actions:$lang.text_no_items_found}</b></p></td>
</tr>
{/if}
</table>

{include file="common_templates/pagination.tpl"}

{if $mode=='add'}
	{include file="buttons/button.tpl" but_text=$lang.add_payout but_onclick="javascript: if (fn_check_selected('payout_`$user_id`_form')) document.payout_`$user_id`_form.submit();" but_arrow="on" action_but="action_"}
</form>
{/if}
{if !$smarty.foreach.for_payouts.last}<hr /><br />{/if}
{/foreach}

{/if}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.payout content=$smarty.capture.mainbox}