{* $Id: previous_payouts.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	{if $settings.General.use_email_as_login == 'Y'}
	<td class="manage-header" width="10%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=email&sort_order={$sort_order}{$url_suffix}">{$lang.email}</a>{if $sort_by == 'email'}{$sort_sign}{/if}</td>
	{else}
	<td class="manage-header" width="10%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=username&sort_order={$sort_order}{$url_suffix}">{$lang.username}</a>{if $sort_by == 'username'}{$sort_sign}{/if}</td>
	{/if}
	<td class="manage-header" width="20%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=name&sort_order={$sort_order}{$url_suffix}">{$lang.partner}</a>{if $sort_by == 'name'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="15%" align="right"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=balance&sort_order={$sort_order}{$url_suffix}">{$lang.balance_account}</a>{if $sort_by == 'balance'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="10%" align="right">{$lang.last_payout}</td>
	<td class="manage-header" width="10%" align="right"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=avg&sort_order={$sort_order}{$url_suffix}">{$lang.avg_payout}</a>{if $sort_by == 'avg'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="20%" colspan="2" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=total&sort_order={$sort_order}{$url_suffix}">{$lang.total_payouts}</a>{if $sort_by == 'total'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="15%">&nbsp;</td>
</tr>
{if $payouts}
{foreach from=$payouts key='user_id' item='payouts_data'}
<tr {cycle values='class="manage-row", '}>
	{if $settings.General.use_email_as_login == 'Y'}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=partners&{$mode_name}=update&user_id={$payouts_data.partner_id}">{$payouts_data.email}</a></td>
	{else}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=partners&{$mode_name}=update&user_id={$payouts_data.partner_id}">{$payouts_data.user_login}</a></td>
	{/if}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=partners&{$mode_name}=update&user_id={$payouts_data.partner_id}">{$payouts_data.firstname} {$payouts_data.lastname}</a></td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$payouts_data.balance}</td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$payouts_data.last_amount}</td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$payouts_data.avg_amount}</td>
	<td class="side-padding" align="right" width="10%">{include file="common_templates/price.tpl" value=$payouts_data.total_amount}</td>
	<td class="side-padding">
		{math equation="amount/max*width_perc" width_perc=100 max=$max_amount amount=$payouts_data.total_amount assign='w' format='%d'}
		{*if $w}<img src="{$images_dir}/spacer.gif" class="manage-header" height="7" width="{$w}" border="0" alt="" title="" />{else}&nbsp;{/if*}
		{include file="statistics_pages/graph_bar.tpl" bar_width=70 value_width=$w}
	</td>
	<td class="side-padding" align="right" nowrap="nowrap">
		<form action="{$index_script}" method="POST" name="partner{$user_id}_payouts_form">
		<input type="hidden" name="{$target_name}" value="{$target}" />
		<input type="hidden" name="{$mode_name}" value="do_search" />
		<input type="hidden" name="payout_search[partner_id]" value="{$payouts_data.partner_id|escape:"html"}" />
		{include file="buttons/button.tpl" but_text=$lang.view_history but_style="text" but_onclick="javascript: document.partner`$user_id`_payouts_form.submit();"}
		</form>
	</td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="8" align="center" class="side-padding"><p><b>{$lang.no_payouts_found}</b></p></td>
</tr>
{/if}
</table>

{include file="common_templates/pagination.tpl"}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.previous_payouts content=$smarty.capture.mainbox}