{* $Id: text_banners_list.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

<form action="{$index_script}" method="post" name="manage_{$prefix}_banners_form">
<input type="hidden" name="{$target_name}" value="banners_manager" />
<input type="hidden" name="{$mode_name}" value="banner_do_m_update" />
<input type="hidden" name="selected_section" value="{$selected_section}" />
<input type="hidden" name="page" value="{$smarty.get.page}" />
{if $smarty.get.banner_type}
<input type="hidden" name="banner_type" value="{$smarty.get.banner_type}" />
{/if}

{include file="common_templates/pagination.tpl" pagination_contents_id="`$prefix`_pagination_contents"}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td class="manage-header" width="3%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('manage_{$prefix}_banners_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" align="center" nowrap="nowrap" width="37%">{$lang.title}</td>
	<td class="manage-header" align="center" nowrap="nowrap" width="4%">{$lang.show_title}</td>
	<td class="manage-header" align="center" nowrap="nowrap" width="6%">{$lang.width}</td>
	<td class="manage-header" align="center" nowrap="nowrap" width="6%">{$lang.height}</td>
	{if $prefix=='groups'}
		{assign var='field_name' value='product_groups'}
	{else}
		{assign var='field_name' value=$prefix}
	{/if}
	<td class="manage-header" align="center" nowrap="nowrap" width="45%">{$lang.$field_name}</td>
	<td class="manage-header" align="center" nowrap="nowrap" width="4%">{$lang.open_in_new_window}</td>
	<td class="manage-header" align="center" nowrap="nowrap" width="4%">{$lang.avail}</td>
	<td class="manage-header" width="5%">&nbsp;</td>
</tr>
{if $banners.$prefix}
{foreach from=$banners.$prefix item=c_banner}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
   		<input type="checkbox" name="banners_ids[{$c_banner.banner_id}]" id="delete_checkbox" value="Y" /></td>
	<td class="side-padding">
		<a href="{$index_script}?{$target_name}=banners_manager&{$mode_name}=update&banner_id={$c_banner.banner_id}"><b>{$c_banner.title}</b></a></td>
	<td align="center">
		<input type="hidden" name="banners_data[{$c_banner.banner_id}][show_title]" value="N" />
   		<input type="checkbox" name="banners_data[{$c_banner.banner_id}][show_title]" {if $c_banner.show_title=='Y'}checked="checked"{/if} value="Y" /></td>
   	<td>
   		<input type="text" name="banners_data[{$c_banner.banner_id}][width]" value="{$c_banner.width|escape:html}" size="10" class="input-text" /></td>
   	<td>
   		<input type="text" name="banners_data[{$c_banner.banner_id}][height]" value="{$c_banner.height|escape:html}" size="10" class="input-text" /></td>
   	<td class="side-padding">
   		{if $prefix == 'categories' || $prefix == 'products'}
	   		{foreach from=$c_banner.$prefix key='item_id' item='item_name' name=$prefix}
   			<a href="{$index_script}?{$target_name}={$prefix}&{$mode_name}=update&{if $prefix == 'categories'}category_id{else}product_id{/if}={$item_id}">{$item_name}</a>{if !$smarty.foreach.$prefix.last}, {/if}
   			{/foreach}
   		{elseif $prefix == 'groups'}
   			<a href="{$index_script}?{$target_name}=product_{$prefix}&{$mode_name}=update&group_id={$c_banner.group_id}">{$c_banner.group_name}</a>
   		{else}
   			<a href="{$c_banner.$prefix}">{$c_banner.$prefix}</a>
   		{/if}
   	</td>
	<td align="center">
		<input type="hidden" name="banners_data[{$c_banner.banner_id}][new_window]" value="N" />
   		<input type="checkbox" name="banners_data[{$c_banner.banner_id}][new_window]" {if $c_banner.new_window=='Y'}checked="checked"{/if} value="Y" /></td>
	<td align="center">
		<input type="hidden" name="banners_data[{$c_banner.banner_id}][avail]" value="N" />
   		<input type="checkbox" name="banners_data[{$c_banner.banner_id}][avail]" {if $c_banner.avail=='Y'}checked="checked"{/if} value="Y" /></td>
   	<td nowrap>
   		&nbsp;{include file='buttons/button.tpl' but_text=$lang.edit but_style='text' href="$index_script?$target_name=banners_manager&$mode_name=update&banner_id=`$c_banner.banner_id`"}&nbsp;</td>
</tr>
{/foreach}
{else}
<tr>
	<td colspan="9" align="center" class="manage-row">
		<p><b>{$lang.text_no_banners_found}</b></p></td>
</tr>
{/if}
</table>

{include file="common_templates/pagination.tpl" pagination_contents_id="`$prefix`_pagination_contents"}

{if $banners.$prefix}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript: document.manage_`$prefix`_banners_form.submit()" but_type="input"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('manage_`$prefix`_banners_form','banner_do_m_delete');" but_arrow="on"}</td>
</tr>
</table>
{/if}

</form>

<p></p><br />

