{* $Id: attach_images.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{*
image_key - required
image_name - required
image_object_type - required

image_object_id - optional
image_type - optional
*}

{if !'SMARTY_ATTACH_IMAGES_LOADED'|defined}
{assign var="tmp" value='SMARTY_ATTACH_IMAGES_LOADED'|define:true}
<script type="text/javascript" language="javascript 1.2">
lang['delete_image_warning'] = '{$lang.delete_image_warning|escape:"javascript"}';
lang['delete_image_pair_warning'] = '{$lang.delete_image_pair_warning|escape:"javascript"}';

{literal}
function fn_delete_image(pair_id, image_id, object_type, image_type)
{
	var elm_id = 'image_' + ((image_type == 'detailed') ? 'detailed' : object_type) + '_' + image_id;
	if (document.getElementById(elm_id)) {
		if (confirm(lang['delete_image_warning'])) {
			document.getElementById(elm_id).src = image_index + '?' + mode_name + '=delete_image&pair_id=' + pair_id + '&image_id=' + image_id + '&object_type=' + object_type + '&image_type=' + image_type;
			document.getElementById('delete_' + elm_id).style.display = 'none';
		}
	}
}

function fn_delete_image_pair(elm_id, pair_id, object_type)
{
	if (document.getElementById('box_' + elm_id)) {
		if (confirm(lang['delete_image_pair_warning'])) {
			var image = new Image();
			image.src = image_index + '?' + mode_name + '=delete_image_pair&pair_id=' + pair_id + '&object_type=' + object_type;
			document.getElementById('box_' + elm_id).style.display = 'none';
		}
	}
}
{/literal}
</script>
{/if}

{assign var="_plug" value='.'|explode:''}
{assign var="key" value=$image_key|default:"0"}
{assign var="object_id" value=$image_object_id|default:"0"}
{assign var="name" value=$image_name|default:""}
{assign var="object_type" value=$image_object_type|default:""}
{assign var="type" value=$image_type|default:"M"}
{assign var="pair" value=$image_pair|default:$_plug}

<input type="hidden" name="{$name}_image_data[{$key}][pair_id]" value="{$pair.pair_id}" />
<input type="hidden" name="{$name}_image_data[{$key}][type]" value="{$type|default:"M"}" />
<input type="hidden" name="{$name}_image_data[{$key}][object_id]" value="{$object_id}" />

<table id="box_attach_images_{$name}_{$key}">
<tr>
	<td valign="top">
		{if !$hide_titles}
		<p>
		<span class="field-name">{$icon_title|default:$lang.thumbnail}:</span>{if $icon_text}<br /><span style="font-size:10px">{$icon_text}</span>{/if}
		</p>
		{/if}
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			{if !$hide_images}
			<td valign="top" align="center">
				{include file="common_templates/image.tpl" image=$pair.icon image_id=$pair.image_id image_width=85 object_type=$object_type}<br />
				{if $pair.image_id}
				<a id="delete_image_{$object_type}_{$pair.image_id}" href="javascript: fn_delete_image('{$pair.pair_id}', '{$pair.image_id}', '{$object_type}', 'image');" class="underlined"><img src="{$images_dir}/catalog_del.gif" width="10" height="8" border="0" alt="" align="bottom">{$lang.delete_image}</a>
				{/if}
			</td>
			<td>&nbsp;&nbsp;</td>
			{/if}
			<td valign="top">
				{include file="common_templates/fileuploader.tpl" var_name="`$name`_image_icon[`$key`]"}

				<p>
				<b>{$lang.alt_text}</b>:<br />
				<input type="text" class="input-text" name="{$name}_image_data[{$key}][image_alt]" value="{$pair.icon.alt|escape:html}" />
				</p>
			</td>
		</tr>
		</table>
	</td>
	{if !$no_detailed}
	<td valign="top">
		{if !$hide_titles}
		<p>
		<span class="field-name">{$detailed_title|default:$lang.popup_larger_image}:</span>{if $detailed_text}<br /><span style="font-size:10px">{$detailed_text}</span>{/if}
		</p>
		{/if}
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			{if !$hide_images}
			<td valign="top" align="center">
				{include file="common_templates/image.tpl" image=$pair.detailed image_id=$pair.detailed_id image_width=85 object_type="detailed"}<br />
				{if $pair.detailed_id}
				<a id="delete_image_detailed_{$pair.detailed_id}" href="javascript: fn_delete_image('{$pair.pair_id}', '{$pair.detailed_id}', '{$object_type}', 'detailed');" class="underlined"><img src="{$images_dir}/catalog_del.gif" width="10" height="8" border="0" alt="" align="bottom" />{$lang.delete_image}</a>
				{/if}
			</td>
			<td>&nbsp;&nbsp;</td>
			{/if}
			<td valign="top">
				{include file="common_templates/fileuploader.tpl" var_name="`$name`_image_detailed[`$key`]"}

				<p>
				<b>{$lang.alt_text}</b>:<br />
				<input type="text" class="input-text" name="{$name}_image_data[{$key}][detailed_alt]" value="{$pair.detailed.alt|escape:html}" />
				</p>
				
			</td>
		</tr>
		</table>
	</td>
	{/if}
	{if $delete_pair && $pair.pair_id}
	<td valign="top">
		<p>
		&nbsp;&nbsp;<a id="attach_images_{$name}_{$key}" href="javascript: void(0);" onclick="fn_delete_image_pair(this.id, '{$pair.pair_id}', '{$object_type}');"  class="underlined"><img src="{$images_dir}/catalog_del.gif" width="10" height="8" border="0" alt="" align="bottom" />{$lang.delete_image_pair}</a>
		</p>
	{/if}

</tr>
</table>
