{* $Id: discount_users.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

{** discounted users section **}  
<a name="Discounted users"></a>
<br />
{capture name="mainbox"}
<form action="{$index_script}" method="post" name="discounted_users_form">
<input type="hidden" name="{$target_name}" value="{$smarty.get.target|escape:'html'}" />
<input type="hidden" name="{$mode_name}" value="update_discount_properties" />
<input type="hidden" name="discount_type" value="users" />
<input type="hidden" name="category_id" value="{$smarty.get.category_id|escape:'html'}" />
<input type="hidden" name="discount_id" value="{$discount.discount_id}" />
{include file="discounts_pages/discount_details.tpl" discount=$discount}
<p></p>
{if 'manage_discounts'|fn_check_privileges:true}
{include file="buttons/update.tpl" but_onclick="javascript: document.discounted_users_form.submit()" but_type="input"}
{/if}

<br />
<br />
{include file="common_templates/subheader.tpl" title=$lang.defined_discounted_users}

{* LIST OF USERS ASSIGNED TO DISCOUNT *}
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('discounted_users_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" align="center" nowrap="nowrap">{$lang.id}</td>
	{if $settings.General.use_email_as_login != 'Y'}
	<td class="manage-header">{$lang.username}</td>
	{/if}
	<td class="manage-header">{$lang.email}</td>
	<td class="manage-header">{$lang.name}</td>
	<td class="manage-header">{$lang.registered}</td>
	<td class="manage-header">{$lang.type}</td>
	<td class="manage-header" align="center">{$lang.active}</td>
</tr>
{if $discounted_users}
{foreach from=$discounted_users item=user}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="delete[{$user.user_id}]" id="delete_checkbox" value="Y" /></td>
	<td align="center"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">&nbsp;{$user.user_id}&nbsp;</a></td>
	{if $settings.General.use_email_as_login != 'Y'}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.user_login}</b></a></td>
	{/if}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.email}</b></a></td>
	<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">{$user.firstname} {$user.lastname}</a></td>
	<td class="side-padding">{$user.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
	<td class="side-padding">{if $user.user_type == 'A'}{$lang.administrator}{elseif $user.user_type == 'C'}{$lang.customer}{elseif $user.user_type == 'P'}{$lang.partner}{elseif $user.user_type == 'S'}{$lang.supplier}{/if}</td>
	<td align="center"><img src="{$images_dir}/checkbox_{if $user.active == 'N'}un{/if}ticked.gif" width="13" height="13" alt="{$user.active}" /></td>
</tr>
{/foreach}
</table>
{if 'manage_discounts'|fn_check_privileges:true}
<p>{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('discounted_users_form', 'delete_discounted_users');"}</p>
{/if}

{else}
<tr>
	<td colspan="8" class="manage-row" align="center">
		<p><b>{$lang.text_no_users_defined}</b></p></td>
</tr>
</table>

{/if}


{* //LIST OF USERS ASSIGNED TO DISCOUNT *}
</form>
<br />
<br />
{include file="common_templates/subheader.tpl" title=$lang.add_users_to_section}

{include file="profiles_pages/profiles_scripts.tpl"}
{include file="profiles_pages/user_search.tpl" target="discounts" mode="users" action="search" discount_id=$discount.discount_id user_type="C"}

{if $users}
<form action="{$index_script}" method="post" name="add_discounted_users">
<input type="hidden" name="{$target_name}" value="{$smarty.get.target|escape:'html'}" />
<input type="hidden" name="{$mode_name}" value="add_discounted_users" />
<input type="hidden" name="category_id" value="{$smarty.get.category_id|escape:'html'}" />
<input type="hidden" name="discount_id" value="{$discount.discount_id}" />

{include file="common_templates/pagination.tpl"}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="add-new-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('add_discounted_users', this.checked, 'add_user');" title="{$lang.check_uncheck_all}" /></td>
	<td class="add-new-header" align="center" nowrap="nowrap">{$lang.id}</td>
	{if $settings.General.use_email_as_login != 'Y'}
	<td class="add-new-header">{$lang.username}</td>
	{/if}
	<td class="add-new-header">{$lang.email}</td>
	<td class="add-new-header">{$lang.name}</td>
	<td class="add-new-header">{$lang.registered}</td>
	<td class="add-new-header">{$lang.type}</td>
	<td class="add-new-header" align="center">{$lang.active}</td>
</tr>
{foreach from=$users item=user}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="add_users[{$user.user_id}]" id="add_user" value="Y" /></td>
	<td align="center"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">&nbsp;{$user.user_id}&nbsp;</a></td>
	{if $settings.General.use_email_as_login != 'Y'}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.user_login}</b></a></td>
	{/if}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.email}</b></a></td>
	<td class="side-padding">{if $user.firstname || $user.lastname}<a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">{$user.firstname} {$user.lastname}</a>{else}-{/if}</td>
	<td class="side-padding">{$user.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
	<td class="side-padding">{if $user.user_type == 'A'}{$lang.administrator}{elseif $user.user_type == 'C'}{$lang.customer}{elseif $user.user_type == 'S'}{$lang.supplier}{elseif $user.user_type == 'P'}{$lang.partner}{/if}</td>
	<td align="center"><img src="{$images_dir}/checkbox_{if $user.active == 'N'}un{/if}ticked.gif" width="13" height="13" alt="{$user.active}" /></td>
</tr>
{/foreach}
</table>
{include file="common_templates/pagination.tpl"}
{if 'manage_discounts'|fn_check_privileges:true}
<p>{include file="buttons/button.tpl" but_text=$lang.add_users action_but="action_" but_onclick="javascript: if (fn_check_selected('add_discounted_users','add_user')) document.add_discounted_users.submit();"}</p>
{/if}
</form>
{/if}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.discounted_users content=$smarty.capture.mainbox}

{** /discounted users section **}