{* $Id: form_elements.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{literal}
<script type="text/javascript" language="javascript 1.2">

function fn_check_element_type(elm, id, type_id)
{
	var noopts = 'ITCHDVWXYZFP';
	if (noopts.indexOf(elm) != -1) {
		document.getElementById(id).style.display = 'none';
	} else {
		document.getElementById(id).style.display = '';
	}

	// Hide description box for separator
	document.getElementById('descr_'+type_id).style.display = (elm == 'D') ? 'none' : '';
	document.getElementById('hr_'+type_id).style.display = (elm == 'D') ? '' : 'none';
}

</script>
{/literal}

{capture name="mainbox"}
{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="elements_form">
<input type="hidden" name="{$target_name}" value="forms" />
<input type="hidden" name="{$mode_name}" value="update_elements" />
<input type="hidden" name="form_id" value="{$form_id}" />
<table width="100%">
{if $settings.Addons.seo == 'Y'}
	<td class="field-name" nowrap="nowrap">{$lang.seo_name}:&nbsp;</td>
	<td><input type="text" name="form_texts[seo_name]" size="40" maxlength="255" value="{$form_texts.seo_name|escape:html}" class="input-text" style="width: 85%" /></td>
{/if}
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.form_description}:&nbsp;</td>
	<td width="100%">
		<textarea id="form_descr" class="input-text-100" rows="5" cols="50" name="form_texts[body]" rows="5">{$form_texts.B|escape:html}</textarea>
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('form_descr');" but_style="text"}
	</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.form_submit_text}:&nbsp;</td>
	<td width="100%">
		<textarea id="form_submit_text" class="input-text-100" rows="5" cols="50" name="form_texts[submit]" rows="5">{$form_texts.S|escape:html}</textarea>
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('form_submit_text');" but_style="text"}
	</td>
</tr>
</table>
<hr width="100%" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td nowrap="nowrap"  class="manage-header">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('elements_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td nowrap="nowrap"  class="manage-header">{$lang.position_short}</td>
	<td width="100%" nowrap="nowrap"  class="manage-header">{$lang.description}</td>
	<td nowrap="nowrap"  class="manage-header">{$lang.type}</td>
	<td nowrap="nowrap"  class="manage-header">{$lang.required}</td>
	<td nowrap="nowrap"  class="manage-header">{$lang.avail}</td>
</tr>
{if $elements}
{foreach from=$elements item=element}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="delete_elm[{$element.element_id}]" id="delete_checkbox" value="Y" /></td>
	<td><input class="input-text" type="text" size="3" name="elements_data[{$element.element_id}][position]" value="{$element.position}" /></td>
	<td>
		<input id="descr_elm_{$element.element_id}" class="input-text-100" type="text" name="elements_data[{$element.element_id}][description]" value="{$element.description|escape:html}" {if $element.element_type=='D'}style="display: none;"{/if} />
		<hr id="hr_elm_{$element.element_id}" width="100%" {if $element.element_type!='D'}style="display: none;"{/if} /></td>
	<td>
		<select id="elm_{$element.element_id}" name="elements_data[{$element.element_id}][element_type]" onchange="fn_check_element_type(this.value, 'box_element_variants_{$element.element_id}', this.id);">
			<optgroup label="{$lang.base}">
			<option value="C" {if $element.element_type=='C'}selected{/if}>{$lang.checkbox}</option>
			<option value="H" {if $element.element_type=='H'}selected{/if}>{$lang.header}</option>
			<option value="I" {if $element.element_type=='I'}selected{/if}>{$lang.input_field}</option>
			<option value="N" {if $element.element_type=='N'}selected{/if}>{$lang.multiple_checkboxes}</option>
			<option value="M" {if $element.element_type=='M'}selected{/if}>{$lang.multiple_selectbox}</option>
			<option value="R" {if $element.element_type=='R'}selected{/if}>{$lang.radiogroup}</option>
			<option value="S" {if $element.element_type=='S'}selected{/if}>{$lang.selectbox}</option>
			<option value="D" {if $element.element_type=='D'}selected{/if}>{$lang.separator}</option>
			<option value="T" {if $element.element_type=='T'}selected{/if}>{$lang.textarea}</option>
			</optgroup>
			<optgroup label="{$lang.special}">
			<option value="V" {if $element.element_type=='V'}selected{/if}>{$lang.date}</option>
			<option value="Y" {if $element.element_type=='Y'}selected{/if}>{$lang.email}</option>
			<option value="Z" {if $element.element_type=='Z'}selected{/if}>{$lang.number}</option>
			<option value="P" {if $element.element_type=='P'}selected{/if}>{$lang.phone}</option>
			<option value="X" {if $element.element_type=='X'}selected{/if}>{$lang.countries_list}</option>
			<option value="W" {if $element.element_type=='W'}selected{/if}>{$lang.states_list}</option>
			<option value="F" {if $element.element_type=='F'}selected{/if}>{$lang.file}</option>
			</optgroup>
		</select></td>
	<td align="center">
		<input type="hidden" name="elements_data[{$element.element_id}][required]" value="N" />
		<input type="checkbox" {if 'HD'|strstr:$element.element_type}disabled{/if} name="elements_data[{$element.element_id}][required]" value="Y" {if $element.required == 'Y'}checked="checked"{/if} /></td>
	<td align="center">
		<input type="hidden" name="elements_data[{$element.element_id}][avail]" value="N" />
		<input type="checkbox" name="elements_data[{$element.element_id}][avail]" value="Y" {if $element.avail == 'Y'}checked="checked"{/if} /></td>
</tr>
<tr id="box_element_variants_{$element.element_id}" {if 'ITHDCVWXYZFP'|substr_count:$element.element_type}style="display: none;"{/if}>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td colspan="3">
		<table cellpadding="1" cellspacing="1" border="0">
		<tr id="header">
			<td style="height:19px;" class="manage-header">&nbsp;</td>
			<td style="height:19px;" class="manage-header">{$lang.position_short}</td>
			<td style="height:19px;" class="manage-header">{$lang.description}</td>
			<td style="height:19px;" class="manage-header">&nbsp;</td>
		</tr>
		{foreach from=$element.variants item=var}
		<tr id="header">
			<td align="center">
				<input type="checkbox" name="delete_vars[{$var.variant_id}]" id="delete_checkbox" value="Y" /></td>
			<td><input class="input-text" size="3" type="text" name="elements_data[{$element.element_id}][variants][{$var.variant_id}][position]" value="{$var.position|escape:html}" /></td>
			<td><input class="input-text" type="text" name="elements_data[{$element.element_id}][variants][{$var.variant_id}][description]" value="{$var.description|escape:html}" /></td>
			<td>&nbsp;</td>
		</tr>
		{/foreach}
		<tr id="box_elm_variants_{$element.element_id}">
			<td>&nbsp;</td>
			<td><input class="input-text" size="3" type="text" name="elements_data[{$element.element_id}][add_variants][0][position]" /></td>
			<td><input class="input-text" type="text" name="elements_data[{$element.element_id}][add_variants][0][description]" /></td>
			<td>{include file="buttons/multiple_buttons.tpl" item_id="elm_variants_`$element.element_id`" tag_level=2}</td>
		</tr>
		</table>
	</td>
</tr>
{/foreach}
</table>
<p></p>

{else}
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td class="manage-row" align="center">
		<p><b>{$lang.text_no_items_found|replace:'[items]':$lang.form_elements}</b></p></td>
</tr>
</table>
{/if}

{if 'manage_forms'|fn_check_privileges:true}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.elements_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	{if $elements}
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('elements_form','delete');"}</td>
	{/if}
</tr>
</table>
{/if}

</form>
<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_element}
<p></p>
<form action="{$index_script}" method="post" name="add_elements_form">
<input type="hidden" name="{$target_name}" value="forms" />
<input type="hidden" name="{$mode_name}" value="add_elements" />
<input type="hidden" name="form_id" value="{$smarty.get.form_id}" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tbody id="header">
<tr>
	<td nowrap="nowrap"  class="add-new-header">{$lang.position_short}</td>
	<td width="100%" nowrap="nowrap"  class="add-new-header">{$lang.description}</td>
	<td nowrap="nowrap"  class="add-new-header">{$lang.type}</td>
	<td nowrap="nowrap"  class="add-new-header">{$lang.required}</td>
	<td nowrap="nowrap"  class="add-new-header">{$lang.avail}</td>
	<td nowrap="nowrap"  class="add-new-header">&nbsp;</td>
</tr>
</tbody>
<tbody id="box_add_elements">
<tr>
	<td><input class="input-text" size="3" type="text" name="add_elements_data[0][position]" value="" /></td>
	<td>
		<input id="descr_add_element_variants" class="input-text-100" type="text" name="add_elements_data[0][description]" value="" />
		<hr id="hr_add_element_variants" width="100%" style="display: none;" /></td>
	<td>
		<select id="add_element_variants" name="add_elements_data[0][element_type]" onchange="fn_check_element_type(this.value, 'box_'+this.id, this.id);">
			<optgroup label="{$lang.base}">
			<option value="S">{$lang.selectbox}</option>
			<option value="R">{$lang.radiogroup}</option>
			<option value="C">{$lang.checkbox}</option>
			<option value="M">{$lang.multiple_selectbox}</option>
			<option value="N">{$lang.multiple_checkboxes}</option>
			<option value="I">{$lang.input_field}</option>
			<option value="T">{$lang.textarea}</option>
			<option value="H">{$lang.header}</option>
			<option value="D">{$lang.separator}</option>
			</optgroup>
			<optgroup label="{$lang.special}">
			<option value="V">{$lang.date}</option>
			<option value="W">{$lang.states_list}</option>
			<option value="X">{$lang.countries_list}</option>
			<option value="Y">{$lang.email}</option>
			<option value="Z">{$lang.number}</option>
			<option value="P">{$lang.phone}</option>
			<option value="F">{$lang.file}</option>
			</optgroup>
		</select></td>
	<td align="center">
		<input type="hidden" name="add_elements_data[0][required]" value="N" />
		<input type="checkbox" name="add_elements_data[0][required]" value="Y" checked="checked" /></td>
	<td align="center">
		<input type="hidden" name="add_elements_data[0][avail]" value="N" />
		<input type="checkbox" name="add_elements_data[0][avail]" value="Y" checked="checked" /></td>
	<td>{include file="buttons/multiple_buttons.tpl" item_id="add_elements" tag_level=1}</td>
</tr>
<tr id="box_add_element_variants">
	<td>&nbsp;</td>
	<td colspan="2">
		<table cellpadding="1" cellspacing="1" border="0" width="1">
		<tr id="header">
			<td class="add-new-header">{$lang.position_short}</td>
			<td class="add-new-header">{$lang.description}</td>
			<td class="add-new-header">&nbsp;</td>
		</tr>
		<tr id="box_add_elm_variants">
			<td><input class="input-text" size="3" type="text" name="add_elements_data[0][variants][0][position]" /></td>
			<td><input class="input-text" type="text" name="add_elements_data[0][variants][0][description]" /></td>
			<td>{include file="buttons/multiple_buttons.tpl" item_id="add_elm_variants" tag_level=2}</td>
		</tr>
		</table>
	</td>
</tr>
</tbody>
</table>
<p></p>
{if 'manage_forms'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_elements_form.submit();"}
{/if}
</form>



{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.form_elements content=$smarty.capture.mainbox}