{* $Id: orders.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{capture name="mainbox"}
{if $mode == "new"}
{$lang.text_admin_new_orders}<br><br>
{/if}

{capture name="section"}
	{include file="orders_pages/orders_search_form.tpl" search_orders="Y"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.section}

<form action="{$index_script}" method="post" target="" name="orders_list_form">
<input type="hidden" name="{$target_name}" value="orders" />
<input type="hidden" name="{$mode_name}" value="update_status" />
<input type="hidden" name="redirect_url" value="{$smarty.get.redirect_url|default:$current_url}" />
{if $settings.Addons.gift_certificates == 'Y'}
	{include file="addons/gift_certificates/orders_pages/orders.tpl"}
{/if}

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table border="0" cellpadding="1" cellspacing="1" width="100%">
<tr class="manage-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('orders_list_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" align="center" width="10%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=order_id&sort_order={$sort_order}{$url_suffix}">{$lang.id}</a>{if $sort_by == 'order_id'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="15%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=status&sort_order={$sort_order}{$url_suffix}">{$lang.status}</a>{if $sort_by == 'status'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="25%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=customer&sort_order={$sort_order}{$url_suffix}">{$lang.customer}</a>{if $sort_by == 'customer'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="25%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=email&sort_order={$sort_order}{$url_suffix}">{$lang.email}</a>{if $sort_by == 'email'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="25%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=date&sort_order={$sort_order}{$url_suffix}">{$lang.date}</a>{if $sort_by == 'date'}{$sort_sign}{/if}</td>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/orders_pages/orders_head.tpl"}		
	{/if}
	<td class="manage-header" width="24%" align="right" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=total&sort_order={$sort_order}{$url_suffix}">{$lang.total}</a>{if $sort_by == 'total'}{$sort_sign}{/if}</td>
</tr>

{if $orders}
{foreach from=$orders item="o"}
<tr {cycle values='class="manage-row", '}>
	<td>
		<input type="checkbox" name="delete[{$o.order_id}]" id="delete_checkbox" value="Y" /></td>	
	<td align="center">
		<a href="{$index_script}?{$target_name}=orders&{$mode_name}=details&order_id={$o.order_id}" class="underlined">&nbsp;<b>#{$o.order_id}</b>&nbsp;</a></td>
	<td class="side-padding"><input type="hidden" name="origin_statuses[{$o.order_id}]" value="{$o.status}">{include file="orders_pages/order_status.tpl" status=$o.status display="select" name="order_statuses[`$o.order_id`]"}</td>
	<td class="side-padding">{$o.firstname} {$o.lastname}</td>
	<td class="side-padding"><a href="mailto:{$o.email}?body={$lang.dear} {$o.firstname},&subject={$settings.Company.company_name}: {$lang.order} #{$o.order_id}">{$o.email}</a></td>
	<td class="side-padding">
		<a href="{$index_script}?{$target_name}=orders&{$mode_name}=details&order_id={$o.order_id}" class="underlined">{$o.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</a></td>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/orders_pages/orders_body.tpl"}
	{/if}
	<td class="side-padding" align="right">
		{include file="common_templates/price.tpl" value=$o.total}</td>
</tr>
{/foreach}
{else}
<tr>
	<td class="manage-row" align="center" colspan="8">
		<p><b>{$lang.text_no_orders}</b></p></td>
</tr>
{/if}
</table>
{if $orders}
<div align="right">
<table border="0" cellpadding="1" cellspacing="0">
{if $total_pages > 1 && $smarty.get.page != 'full_list'}
		<tr>
			<td nowrap="nowrap"><b>{$lang.for_this_page_orders}:&nbsp;&nbsp;&nbsp;</b></td>
			<td nowrap="nowrap" align="right">{$lang.gross_total}:&nbsp;</td>
			<td align="right" nowrap="nowrap"><b>{include file="common_templates/price.tpl" value=$display_totals.gross_total}</b></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td nowrap="nowrap" align="right">{$lang.totally_paid}:&nbsp;</td>
			<td align="right"><b>{include file="common_templates/price.tpl" value=$display_totals.totally_paid}</b></td>
		</tr>
		<tr><td colspan="3"><hr /></td></tr>
{/if}
		<tr>
			{if $total_pages > 1 && $smarty.get.page != 'full_list'}
			<td nowrap="nowrap"><b>{$lang.for_all_found_orders}:&nbsp;&nbsp;&nbsp;</b></td>
			{/if}
			<td nowrap="nowrap">{$lang.gross_total}:&nbsp;</td>
			<td align="right" nowrap="nowrap"><b>{include file="common_templates/price.tpl" value=$totals.gross_total}</b></td>
		</tr>
		<tr>
			{if $total_pages > 1 && $smarty.get.page != 'full_list'}
			<td>&nbsp;</td>
			{/if}
			<td nowrap="nowrap">{$lang.totally_paid}:&nbsp;</td>
			<td align="right" nowrap="nowrap"><b>{include file="common_templates/price.tpl" value=$totals.totally_paid}</b></td>
		</tr>
</table>
</div>
{include file="common_templates/pagination.tpl"}
<p></p>
	<table cellpadding="0" cellspacing="0" border="0">
	<tr>
		<td>
			<input type="hidden" name="notify_user" value="N" />
			<input type="checkbox" name="notify_user" value="Y" /></td>
		<td>{$lang.notify_customer}</td>
	</tr>
	</table>
<p></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr>
	{if 'change_order_status'|fn_check_privileges:true}
	<td>
		{include file="buttons/button.tpl" but_text=$lang.update_status but_onclick="javascript: document.orders_list_form.`$mode_name`.value='update_status'; document.orders_list_form.submit();" but_type="input"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	{/if}
	{if 'delete_orders'|fn_check_privileges:true}
	<td>
		{include file="buttons/button.tpl" but_text=$lang.delete_selected but_onclick="javascript: fn_delete_selected('orders_list_form','delete_orders');" but_type="input"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	{/if}
	{if 'view_orders'|fn_check_privileges:true}
	<td>
		{include file="buttons/button.tpl" but_text=$lang.bulk_print but_onclick="javascript: fn_bulk_print();" but_type="input"}</td>
	{/if}
	{if 'edit_order'|fn_check_privileges:true}
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/button.tpl" but_text=$lang.remove_cc_info but_onclick="javascript: if (fn_check_selected('orders_list_form', 'delete_checkbox')) `$ldelim` document.orders_list_form.`$mode_name`.value='remove_cc_info'; document.orders_list_form.submit();`$rdelim`" but_type="input"}</td>
	{/if}
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/export_selected.tpl" but_onclick="javascript: fn_delete_selected('orders_list_form','export_range', true);" but_arrow="on"}</td>
</tr>
{if $settings.Addons.quickbooks == 'Y'}
<tr>
	<td colspan="4">
		<p>{include file="buttons/button.tpl" but_text=$lang.export_to_quickbooks but_onclick="javascript: if (fn_check_selected('orders_list_form', 'delete_checkbox')) `$ldelim`  document.orders_list_form.`$mode_name`.value='export_to_iif'; document.orders_list_form.submit();`$rdelim`" but_type="input"}</p></td>
	<td>&nbsp;&nbsp;&nbsp;</td>
</tr>
{/if}
</table>

{/if}
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.orders content=$smarty.capture.mainbox}

{literal}
<script type="text/javascript" language="javascript 1.2">
function fn_bulk_print()
{
	if (fn_check_selected('orders_list_form', 'delete_checkbox')) {
		attrs = document.forms['orders_list_form'].attributes;
		for (i=0; i<attrs.length; i++) {
			if (attrs[i].name.toLowerCase() == 'target') {
				attrs[i].value = "_blank";
				break;
			}
		}

		document.orders_list_form[mode_name].value='bulk_print'; 
		document.orders_list_form.submit();
		attrs[i].value = '';
	}
}
</script>
{/literal}