{* $Id: product_options.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}


{** Product options section **}
<form action="{$index_script}" method="post" name="product_options_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="product_options" />
<input type="hidden" name="{$mode_name}" value="{$mode}" />
<input type="hidden" name="{$action_name}" value="update" />
<input type="hidden" name="product_id" value="{$product_id}" />

{if $mode == "option_details"}
<input type="hidden" name="product_ref" value="{$product_ref.id}" />
<input type="hidden" name="option_id" value="{$option_id}" />
{capture name="mainbox"}
{include file="common_templates/subheader.tpl" title=$lang.option_details}
<table cellpadding="4" cellspacing="1" border="0" width="100%">
<tr>
	<td class="manage-header" align="center">&nbsp;{$lang.position}&nbsp;</td>
	<td width="100%" class="manage-header">&nbsp;{$lang.option_name}&nbsp;</td>
	<td class="manage-header" align="center">&nbsp;{$lang.type}&nbsp;</td>
	<td class="manage-header" align="center">&nbsp;{$lang.avail}&nbsp;</td>
</tr>
<tr>
	<td class="manage-row" align="center"><input type="text" name="option_data[position]" value="{$option.position}" size="3" class="input-text" /></td>
	<td class="manage-row"><input type="text" name="option_data[option_name]" value="{$option.option_name|escape:html}" class="input-text-100" /></td>
	<td class="manage-row" align="center">{include file="products_pages/option_types.tpl" name="option_data[option_type]" value=$option.option_type tag_id="option_variants"}</td>
	<td class="manage-row" align="center">
		<input type="hidden" name="option_data[avail]" value="N" />
		<input type="checkbox" name="option_data[avail]" value="Y" {if $option.avail == "Y"}checked="checked"{/if} /></td>
</tr>
</table>

<br />
{include file="common_templates/subheader.tpl" title=$lang.option_variants}

<table cellpadding="1" cellspacing="1" border="0" width="50%" id="option_variants">
<tr id="header">
	{if $option.option_type != "C"}
	<td class="manage-header" width="1%" align="center">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('product_options_form', this.checked, 'del_cbox');" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" align="center">&nbsp;{$lang.position}&nbsp;</td>
	<td class="manage-header">&nbsp;{$lang.variant_name}&nbsp;</td>
	{/if}
	<td class="manage-header" align="center">&nbsp;{$lang.modifier}&nbsp;/&nbsp;{$lang.type}&nbsp;</td>
	<td class="manage-header" nowrap="nowrap" align="center">&nbsp;{$lang.weight_modifier}&nbsp;/&nbsp;{$lang.type}&nbsp;</td>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/products_pages/product_options_head.tpl"}
	{/if}
	<td class="manage-header" align="center">&nbsp;{$lang.avail}&nbsp;</td>
	{if $option.option_type != "C"}
	<td class="manage-header">&nbsp;</td>
	{/if}
</tr>
{foreach from=$option.variants item="vr"}
<tr {cycle values='class="manage-row", '} id="header">
	{if $option.option_type != "C"}
	<td align="center"><input type="checkbox" id="del_cbox" name="delete_product_option_variants[{$vr.variant_id}]" value="Y" /></td>
	<td align="center"><input type="text" name="variants_data[{$vr.variant_id}][position]" value="{$vr.position}" size="3" class="input-text" /></td>
	<td><input type="text" name="variants_data[{$vr.variant_id}][variant_name]" value="{$vr.variant_name|escape:html}" class="input-text" /></td>
	{/if}
	{if $option.option_type != "C" || ($option.option_type == "C" && $vr.position == "1")}
	<td align="center" nowrap="nowrap" class="side-padding">
		<input type="text" name="variants_data[{$vr.variant_id}][modifier]" value="{$vr.modifier}" size="5" class="input-text" />&nbsp;/
		<select name="variants_data[{$vr.variant_id}][modifier_type]">
			<option value="A" {if $vr.modifier_type == "A"}selected="selected"{/if}>{$lang.absolute} ({$currencies.$primary_currency.symbol})</option>
			<option value="P" {if $vr.modifier_type == "P"}selected="selected"{/if}>{$lang.percent} (%)</option>
		</select>
	</td>
	<td align="center" nowrap="nowrap" class="side-padding">
		<input type="text" name="variants_data[{$vr.variant_id}][weight_modifier]" value="{$vr.weight_modifier}" size="5" class="input-text" />&nbsp;/
		<select name="variants_data[{$vr.variant_id}][weight_modifier_type]">
			<option value="A" {if $vr.weight_modifier_type == "A"}selected="selected"{/if}>{$lang.absolute} ({$settings.General.weight_symbol})</option>
			<option value="P" {if $vr.weight_modifier_type == "P"}selected="selected"{/if}>{$lang.percent} (%)</option>
		</select>
	</td>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/products_pages/product_options_body.tpl"}	
	{/if}
	<td align="center">
		<input type="hidden" name="variants_data[{$vr.variant_id}][avail]" value="N" />
		<input type="checkbox" name="variants_data[{$vr.variant_id}][avail]" value="Y" {if $vr.avail == "Y"}checked="checked"{/if} /></td>
	<td>&nbsp;</td>
	{/if}
</tr>
{/foreach}
{if $option.option_type != "C"}
<tr id="box_variants_for_existing">
	<td>&nbsp;</td>
	<td align="center"><input type="text" name="add_variants_data[0][position]" value="" size="3" class="input-text" /></td>
	<td><input type="text" name="add_variants_data[0][variant_name]" value="" class="input-text" /></td>
	<td align="center" nowrap="nowrap">
		<input type="text" name="add_variants_data[0][modifier]" value="" size="5" class="input-text" />&nbsp;/
		<select name="add_variants_data[0][modifier_type]">
			<option value="A">{$lang.absolute} ({$currencies.$primary_currency.symbol})</option>
			<option value="P">{$lang.percent} (%)</option>
		</select>
	</td>
	<td align="center" nowrap="nowrap">
		<input type="text" name="add_variants_data[0][weight_modifier]" value="" size="5" class="input-text" />&nbsp;/
		<select name="add_variants_data[0][weight_modifier_type]">
			<option value="A">{$lang.absolute} ({$settings.General.weight_symbol})</option>
			<option value="P">{$lang.percent} (%)</option>
		</select>
	</td>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/products_pages/product_options_add_body.tpl"}
	{/if}
	<td align="center">
		<input type="hidden" name="add_variants_data[0][avail]" value="N" />
		<input type="checkbox" name="add_variants_data[0][avail]" value="Y" checked="checked" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="variants_for_existing" tag_level="1"}</td>
</tr>
{/if}
</table>
<p>
{if 'manage_catalog'|fn_check_privileges:true}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.product_options_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('product_options_form','delete','','del_cbox','$action_name');"}</td>
</tr>
</table>

{if $product_ref}
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td align="right">
		{$lang.product}: <a href="{$product_ref.href}"><b>{$product_ref.name}<b></td>
</tr>
</table>
{/if}
</p>
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$option.option_name content=$smarty.capture.mainbox}


{elseif $mode == "inventory"}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  

{capture name="mainbox"}

{include file="common_templates/create_thumbnails.tpl" width=$settings.Thumbnails.product_thumbnail_width option_name="product_thumbnail_width"}

{include file="common_templates/pagination.tpl"}
{if $inventory}
<input type="hidden" name="page" value="{$smarty.get.page}" />
<table cellpadding="1" cellspacing="1" border="0">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('product_options_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap">{$lang.combination}</td>
	{if $product_inventory == "O"}
	<td class="manage-header" nowrap="nowrap">{$lang.in_stock}</td>
	{/if}
	<td class="manage-header" nowrap="nowrap">{$lang.images}</td>
</tr>
{foreach from=$inventory item="i"}
<tr {cycle values='class="manage-row", '}>
	<td valign="top"><input type="checkbox" id="delete_checkbox" name="delete[{$i.combination_hash}]" value="Y" /></td>
	<td valign="top">
		<table>
		{foreach from=$i.combination item="c" key="k"}
		<tr>
			<td>{$product_options.$k.option_name}:</td>
			<td><b>
				{if $product_options.$k.option_type == "C"}
					[{if $product_options.$k.variants.$c.position == "1"}{$lang.yes}{else}{$lang.no}{/if}]
				{else}
					{$product_options.$k.variants.$c.variant_name}
				{/if}
				</b>
			</td>
		</tr>
		{/foreach}
		</table>
		<br />
		{$lang.product_code}:<input type="text" name="inventory[{$i.combination_hash}][product_code]" class="input-text" size="16" value="{$i.product_code|escape:html}" />

	</td>
	{if $product_inventory == "O"}
		<td valign="top">
			<input type="text" name="inventory[{$i.combination_hash}][amount]" size="10" value="{$i.amount}" class="input-text" />
		</td>
	{else}
		<input type="hidden" name="inventory[{$i.combination_hash}][amount]" size="10" value="{$i.amount}" />
	{/if}

	<td valign="top">
		{include file="common_templates/attach_images.tpl" image_name="combinations" image_object_type="product_option" image_pair=$i.image_pairs image_object_id=$i.combination_hash image_key=$i.combination_hash icon_title=$lang.additional__option_thumbnail}</td>
</tr>
{/foreach}
</table>

{if 'manage_catalog'|fn_check_privileges:true}
<table>
<tr>
	<td>{include file="buttons/update.tpl" but_onclick="javascript: document.product_options_form.`$action_name`.value='update'; document.product_options_form.submit();"}</td>
	<td>&nbsp;</td>
	<td>{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('product_options_form','delete', false, 'delete_checkbox', '$action_name');"}</td>
</tr>
</table>
{/if}

{/if}
{include file="common_templates/pagination.tpl"}

{if 'manage_catalog'|fn_check_privileges:true}
<table>
<tr>
	<td>
		{include file="buttons/button.tpl" but_text=$lang.rebuild_combinations but_onclick="javascript: document.product_options_form.`$action_name`.value='rebuild_combinations'; document.product_options_form.submit();"}</td>
</tr>
</table>

<br />
<br />
{/if}

{include file="common_templates/subheader.tpl" title=$lang.add_new_combination}

<table cellpadding="1" cellspacing="1" border="0">
<tr id="header">
	<td class="add-new-header" nowrap="nowrap">{$lang.combination}</td>
	{if $product_inventory == "O"}
	<td class="add-new-header" nowrap="nowrap">{$lang.in_stock}</td>
	{/if}
	<td class="add-new-header">&nbsp;</td>
</tr>
<tr id="box_new_item">
	<td>
		<table>
		{foreach from=$product_options item="option" name="add_inv_fe"}
		{if $option.inventory=="Y"}
		<tr>
			<td>{$option.option_name}</td>
			<td>{if $option.option_type == 'C'}
					<select name="add_options_combination[0][{$option.option_id}]">
						{foreach from=$option.variants item="variant"}
						<option value="{$variant.variant_id}">{if $variant.position == 0}{$lang.no}{else}{$lang.yes}{/if}</option>
						{/foreach}
					</select>
				{else}
					<select name="add_options_combination[0][{$option.option_id}]">
						{foreach from=$option.variants item="variant"}
						<option value="{$variant.variant_id}">{$variant.variant_name}</option>
						{/foreach}
					</select>
				{/if}
			</td>
		</tr>
		{/if}
		{/foreach}
		</table>
	{if $product_inventory != "O"}
		<input type="hidden" name="add_inventory[0][amount]" value="" />
	{/if}
	</td>
	{if $product_inventory == "O"}
	<td valign="top"><input type="text" name="add_inventory[0][amount]" size="10" value="1" class="input-text" /></td>
	{/if}
	<td valign="top">{include file="buttons/multiple_buttons.tpl" item_id="new_item"}</td>
</tr>
</table>
{if 'manage_catalog'|fn_check_privileges:true}
<p></p>
{include file="buttons/add_new.tpl" but_onclick="javascript: document.product_options_form.`$action_name`.value='add'; document.product_options_form.submit();"}
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.inventory content=$smarty.capture.mainbox}
{/if}
</form>
{** /Product options section **}
