{* $Id: products_update.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  


{if $mode == "update"}
<div align="right">
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=products&{$mode_name}=add" class="underlined">{$lang.add_new_product}</a>&nbsp;&nbsp;
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=products&{$mode_name}=clone&product_id={$product_data.product_id}" class="underlined">{$lang.clone_this_product}</a>&nbsp;&nbsp;
<span class="bull">&bull;</span>&nbsp;<a href="{$customer_index}?{$target_name}=products&product_id={$product_data.product_id}" class="underlined" target="_blank">{$lang.preview}</a>&nbsp;&nbsp;
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=products&{$mode_name}=delete&product_id={$product_data.product_id}" class="underlined">{$lang.delete_this_product}</a>&nbsp;&nbsp;
</div>
<p></p>
{/if}

{capture name="mainbox"}

{if $mode == "update"}{include file="common_templates/select_language.tpl"}{/if}
<p>{$lang.text_mandatory_fields}</p>
<form action="{$index_script}" method="post" name="product_update_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="products" />
<input type="hidden" name="{$mode_name}" value="do_{$mode}" />
<input type="hidden" name="selected_section" id="selected_section" value="{$selected_section}" />
<input type="hidden" name="product_data[product_id]" value="{$product_data.product_id}" />

{** General info section **}

{include file="common_templates/subheader.tpl" title=$lang.general_info}

<table cellpadding="1" cellspacing="2" border="0" width="100%">
<tr>
	<td class="field-name" width="120" nowrap="nowrap">{$lang.main_category}:</td>
	<td>&nbsp;</td>
	<td width="100%">
		<select	name="products_categories[M]" style="width: 85%">
			{foreach from=$all_categories_list item="cat"}
			<option	value="{$cat.category_id}" {if $product_data.main_category == $cat.category_id || $cat.category_id == $smarty.get.category_id}selected{/if}>{$cat.category|indent:$cat.level:"&#166;&nbsp;&nbsp;&nbsp;&nbsp;":"&#166;--&nbsp;"}</option>
			{/foreach}
		</select></td>
</tr>

<tr>
	<td class="field-name" nowrap="nowrap">{$lang.product_name}:</td>
	<td class="required-field-mark">*</td>
	<td>
		<input type="text" name="product_description[product]" size="55" value="{$product_data.product|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.full_description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="product_full_descr" name="product_description[full_description]" cols="55" rows="10" class="input-text" style="width: 85%">{$product_data.full_description|escape:html}</textarea><br />
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('product_full_descr');" but_style="text"}
	</td>
</tr>

</table>
{** /General info section **}
<br />
{include file="common_templates/create_thumbnails.tpl" width=$settings.Thumbnails.product_thumbnail_width option_name="product_thumbnail_width"}

{capture name="tabsbox"}
{** /Item menu section **}

{** Product description section **}
<div id='content_detailed'>

<table cellpadding="2" cellspacing="0" border="0" width="100%">
<tr>
	<td class="field-name" width="110" nowrap="nowrap">{$lang.images}:</td>
	<td>&nbsp;</td>
	<td width="100%">
		{include file="common_templates/attach_images.tpl" image_name="product_main" image_object_type="product" image_pair=$product_data.main_pair icon_text=$lang.text_product_thumbnail detailed_text=$lang.text_product_detailed_image}</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.price} ({$currencies.$primary_currency.symbol}) :</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="price[price]" size="10" value="{$product_data.price|default:'0.00'}" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.zero_price_action}:</td>
	<td>&nbsp;</td>
	<td>
		<select name="product_data[zero_price_action]">
			<option value="R" {if $product_data.zero_price_action == 'R'}selected="selected"{/if}>{$lang.zpa_refuse}</option>
			<option value="P" {if $product_data.zero_price_action == 'P'}selected="selected"{/if}>{$lang.zpa_permit}</option>
			<option value="A" {if $product_data.zero_price_action == 'A'}selected="selected"{/if}>{$lang.zpa_ask_price}</option>
		</select>
	</td>
</tr>

<tr>
	<td class="field-name" nowrap="nowrap">{$lang.list_price} ({$currencies.$primary_currency.symbol}) :</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="product_data[list_price]" size="10" value="{$product_data.list_price|default:'0.00'}" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.in_stock}:</td>
	<td>&nbsp;</td>
	<td>
		{if $product_data.tracking == 'O'}
			{include file="buttons/button.tpl" but_text=$lang.edit but_onclick="$index_script?$target_name=product_options&$mode_name=inventory&product_id=`$product_data.product_id`" but_style="text"}
		{else}
		<input type="text" name="product_data[amount]" size="10" value="{$product_data.amount|default:'1'}" class="input-text" />{/if}
	</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.inventory}:</td>
	<td>&nbsp;</td>
	<td>
		<select name="product_data[tracking]">
			{if $product_options}
			<option value="O" {if $product_data.tracking == 'O'}selected="selected"{/if}>{$lang.track_with_options}</option>
			{/if}
			<option value="B" {if $product_data.tracking == 'B'}selected="selected"{/if}>{$lang.track_without_options}</option>
			<option value="D" {if $product_data.tracking == 'D'}selected="selected"{/if}>{$lang.dont_track}</option>
		</select>
	</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.weight} ({$settings.General.weight_symbol}) :</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="product_data[weight]" size="10" value="{$product_data.weight|default:'0'}" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name">{$lang.free_shipping}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="product_data[free_shipping]" value="N" />
		<input type="checkbox" name="product_data[free_shipping]" value="Y" {if $product_data.free_shipping == "Y"}checked="checked"{/if} /></td>
</tr>
<tr>
	<td class="field-name">{$lang.shipping_freight} ({$currencies.$primary_currency.symbol}):</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="product_data[shipping_freight]" size="10" value="{$product_data.shipping_freight|default:'0.00'}" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.short_description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="product_short_descr" name="product_description[short_description]" cols="55" rows="6" class="input-text" style="width: 85%">{$product_data.short_description|escape:html}</textarea><br />
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('product_short_descr');" but_style="text"}
	</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.page_title}:</td>
	<td >&nbsp;</td>
	<td>
		<input type="text" name="product_description[page_title]" size="55" value="{$product_data.page_title|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>
{if $settings.Addons.seo == 'Y'}
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.seo_name}:</td>
	<td >&nbsp;</td>
	<td>
		<input type="text" name="product_description[seo_name]" size="55" value="{$product_data.seo_name|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>
{/if}
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.meta_description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="product_description[meta_description]" cols="55" rows="3" class="input-text" style="width: 85%">{$product_data.meta_description|escape:html}</textarea></td>
</tr>

<tr>
	<td class="field-name" nowrap="nowrap">{$lang.meta_keywords}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="product_description[meta_keywords]" cols="55" rows="2" class="input-text" style="width: 85%">{$product_data.meta_keywords|escape:html}</textarea></td>
</tr>

<tr>
	<td class="field-name" nowrap="nowrap">{$lang.search_words}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="product_description[search_words]" cols="55" rows="2" class="input-text" style="width: 85%">{$product_data.search_words|escape:html}</textarea></td>
</tr>


<tr>
	<td class="field-name" nowrap="nowrap">{$lang.product_code}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="product_data[product_code]" size="20" value="{$product_data.product_code|escape:html}" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.product_taxes}:</td>
	<td>&nbsp;</td>
	<td>
		<select	name="products_taxes[][tax_id]" multiple="multiple" size="3">
			{foreach from=$taxes item="tax"}
			{assign var="t_id" value=$tax.tax_id}
			<option	value="{$tax.tax_id}" {if $product_data.taxes.$t_id == "Y"}selected="selected"{/if}>{$tax.tax}</option>
			{/foreach}
		</select>
		{$lang.multiple_selectbox_notice}</td>
</tr>
{**[MAIN_ADDONS]**}

{** Manufacturer **}
{if $manufacturers}
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.manufacturer}:</td>
	<td>&nbsp;</td>
	<td>
		<select	name="product_data[manufacturer_id]">
			<option	value="0" {if $product_data.manufacturer_id == '0'}selected{/if}>- {$lang.none} -</option>
			{foreach from=$manufacturers item="manufacturer"}
			<option	value="{$manufacturer.manufacturer_id}" {if $manufacturer.manufacturer_id == $product_data.manufacturer_id}selected="selected"{/if}>{$manufacturer.manufacturer}</option>
			{/foreach}
		</select></td>
</tr>
{/if}
{** /Manufacturer **}

{** Suppliers **}
{if $settings.Addons.suppliers == "Y"}
	{include file="addons/suppliers/products_pages/products_update.tpl"}
{/if}
{** /Suppliers **}

{** Product configurator **}
{if $settings.Addons.product_configurator == "Y"}
<tr>
	<td class="field-name">{$lang.configurable_product}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="product_data[product_type]" value="" />
		<input type="checkbox" name="product_data[product_type]" value="C" {if $product_data.product_type == 'C' || $smarty.get.product_type == 'C'}checked="checked"{/if} /></td>
</tr>
{/if}
{** /Product configurator **}

{**[/MAIN_ADDONS]**}

<tr>
	<td class="field-name" nowrap="nowrap">{$lang.feature_comparison}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="product_data[feature_comparison]" value="N" />
		<input type="checkbox" name="product_data[feature_comparison]" value="Y" {if $product_data.feature_comparison == 'Y'}checked="checked"{/if} /></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.available}:</td>
	<td>&nbsp;</td>
	<td>
		<select name="product_data[avail]">
			<option value="Y" {if $product_data.avail == 'Y'}selected="selected"{/if}>{$lang.yes}</option>
			<option value="H" {if $product_data.avail == 'H'}selected="selected"{/if}>{$lang.hidden}</option>
			<option value="N" {if $product_data.avail == 'N'}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>
<tr>
	<td class="field-name">{$lang.downloadable_product}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="product_data[is_edp]" value="N" />
		<input type="checkbox" name="product_data[is_edp]" value="Y" {if $product_data.is_edp == 'Y'}checked="checked"{/if} onclick="javascript: fn_show_tag('edp_shipping', !this.checked);" /></td>
</tr>

<tr id="edp_shipping" {if $product_data.is_edp != 'Y'}style="display: none;"{/if}>
	<td class="field-name">{$lang.edp_enable_shipping}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="product_data[edp_shipping]" value="N" />
		<input type="checkbox" name="product_data[edp_shipping]" value="Y" {if $product_data.edp_shipping == 'Y'}checked="checked"{/if} /></td>
</tr>
<tr>
	<td class="field-name">{$lang.created_date}:</td>
	<td>&nbsp;</td>
	<td nowrap="nowrap">{html_select_date field_array="product_data[timestamp]" time=$product_data.timestamp|default:$smarty.const.TIME start_year=$settings.Company.company_start_year}</td>
</tr>

{if $settings.Addons.discussion == "Y"}
{include file="addons/discussion/allow_discussion.tpl" object_id=$product_data.product_id object_type="P" title=$lang.discussion_title_product}
{/if}

</table>
</div>
{** /Product description section **}

{** Product categories section **}
<div id='content_categories' style="display: none;">
<p>
<table cellpadding="1" cellspacing="2" border="0" width="100%">
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.additional_categories}:<br /><br /><br /></td>
	<td>&nbsp;</td>
	<td width="100%">
		<select	name="products_categories[A][]" multiple size="8" style="width: 85%">
			{foreach from=$all_categories_list item="cat"}
			{assign var="cat_id" value=$cat.category_id}
			<option	value="{$cat.category_id}" {if $product_data.add_categories.$cat_id}selected="selected"{/if}>{$cat.category|indent:$cat.level:"&#166;&nbsp;&nbsp;&nbsp;&nbsp;":"&#166;--&nbsp;"}</option>
			{/foreach}
		</select>
		{$lang.multiple_selectbox_notice}</td>
</tr>
</table>
</p>
</div>
{** /Product categories section **}

{** Product images section **}
<div id="content_images" style="display: none;">
<p>
{include file="common_templates/subheader.tpl" title=$lang.additional_images}
{foreach from=$product_data.image_pairs item=pair name="detailed_images"}
{include file="common_templates/attach_images.tpl" image_name="product_additional" image_object_type="product" image_key=$pair.pair_id image_type="A" image_pair=$pair icon_title=$lang.additional_thumbnail detailed_title=$lang.additional_popup_larger_image icon_text=$lang.text_additional_thumbnail detailed_text=$lang.text_additional_detailed_image delete_pair=true}
<hr />
{/foreach}

<div id="box_new_image">
<div style="float: left;">{include file="common_templates/attach_images.tpl" image_name="product_add_additional" image_object_type="product" image_type="A" icon_title=$lang.additional_thumbnail detailed_title=$lang.additional_popup_larger_image icon_text=$lang.text_additional_thumbnail detailed_text=$lang.text_additional_detailed_image}</div>
<div style="padding-top: 40px; float: left;">{include file="buttons/multiple_buttons.tpl" item_id="new_image"}</div>
</div>
</p>
<p style="clear: left;"></p>
</div>
{** /Product images section **}

{** Product options section **}
{include file="products_pages/products_update_options.tpl"}
{** /Product options section **}

{** Wholesale trade section **}
{include file="addons/wholesale_trade/products.tpl"}
{** /Wholesale trade section **}

{** Reward points section **}
{if $settings.Addons.reward_points == 'Y'}
	{include file="addons/reward_points/object.tpl" object_form='product_update_form'}
{/if}
{** /Reward points section **}

{** Product features section **}
{include file="products_pages/products_update_features.tpl"}
{** /Product features section **}

{** RMA section **}
{if $settings.Addons.rma == 'Y'}
	{include file="addons/rma/products_pages/products_update.tpl"}
{/if}
{** RMA section **}

{** Form submit section **}
<p></p>
<div id="product_save_button">
{if 'manage_catalog'|fn_check_privileges:true}
{if $mode == "add"}
	{include file="buttons/add_new.tpl" but_onclick="javascript:document.product_update_form.submit();"}
{else}
	{include file="buttons/save_changes.tpl" but_onclick="javascript:document.product_update_form.submit();"}
{/if}
{/if}
</div>
{** /Form submit section **}

</form>

{** Discussion addon section **}
{if $settings.Addons.discussion == "Y"}
{include file="addons/discussion/discussion.tpl" object_id=$product_data.product_id object_type="P" no_box=true}
{/if}
{** /Discussion addon section **}

{** Product configuration section **}
{if $settings.Addons.product_configurator == "Y"}
{include file="addons/product_configurator/products_update_configurator_groups.tpl"}
{/if}
{** /Product configuration section **}

<div id="content_files" style="display: none;">

<form action="{$index_script}" method="post" name="edp_files_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="products" />
<input type="hidden" name="{$mode_name}" value="add_edp_files" />
<input type="hidden" name="selected_section" id="selected_section" value="files" />
<input type="hidden" name="product_data[product_id]" value="{$product_data.product_id}" />


{* {$lang.text_edp_files_section_description}<br /> *}
<table cellpadding="1" cellspacing="1" border="0">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('edp_files_form', this.checked, 'edpcheckbox');" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header">{$lang.filename}</td>
	<td class="manage-header">{$lang.filesize_in_bytes}</td>
</tr>
{if $edp_files}
{foreach from=$edp_files item=file}
<tr {cycle values='class="manage-row", '}>
	<td>
		<input type="checkbox" id="edpcheckbox" name="delete_edp_files[{$file.filename}]" value="Y" /></td>
	<td class="side-padding"><a href="{$index_script}?{$target_name}=products&{$mode_name}=getfile&product_id={$product_data.product_id}&file={$file.filename}">{$file.filename}</td>
	<td class="side-padding" align="right">{$file.size|number_format}</td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="3" height="22" align="center"><b>{$lang.no_files_uploaded}</b></td>
</tr>
{/if}
</table>
{if $edp_files}
<p></p>
{if 'manage_catalog'|fn_check_privileges:true}
{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('edp_files_form','delete_edp_files', false, 'edpcheckbox');"}
{/if}
{/if}

<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.add_files}

<table cellpadding="0" cellspacing="0" border="0">
<tr id="box_add_edp_files">
	<td>
		{include file="common_templates/fileuploader.tpl" var_name="add_edp_files[0]"}<p></p></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="add_edp_files"}</td>
</tr>
</table>
<p></p>

{if 'manage_catalog'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.edp_files_form.`$mode_name`.value='add_edp_files'; document.edp_files_form.submit();"}
{/if}
</form>
</div>

{if $settings.Addons.listmania == 'Y'}
	{include file="addons/listmania/select_list.tpl" object_id=$product_data.product_id lists=$lm_lists extra="<input type=\"hidden\" name=\"product_id\" value=\"`$product_data.product_id`\" />"}
{/if}

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name=$target}
<p></p>
{/capture}
{if $mode == "add"}
{include file="common_templates/mainbox.tpl" title=$lang.add_new_product content=$smarty.capture.mainbox}
{else}
{include file="common_templates/mainbox.tpl" title=$lang.update_products content=$smarty.capture.mainbox}
{/if}
