{* $Id: products_update_options.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{** Product options section **}
<div id='content_options' style="display: none;">
<p>
{** Select some option class **}
{if $global_options}
{include file="common_templates/subheader.tpl" title=$lang.select_global_options}

<table cellpadding="2" cellspacing="0" border="0">
<tr>
	<td class="field-name">{$lang.global_options}:</td>
	<td>
		<select name="global_option[id]">
		{foreach from=$global_options item="option_" key="option_id"}
		<option value="{$option_id}">{$option_.option_name|escape:html}</option>
		{/foreach}
		</select></td>
<tr>
</tr>
	<td class="field-name">{$lang.apply_as_link}:</td>
	<td><input type="hidden" name="global_option[link]" value="N" />
	    <input type="checkbox" name="global_option[link]" value="Y" /></td>
<tr>
</table>
<p>{include file="buttons/button.tpl"  but_text=$lang.apply but_onclick="javascript: document.product_update_form.elements[mode_name].value = 'apply_global_option'; document.product_update_form.submit();"  action_but="action_"}
</p>
{/if}

<br />
{include file="common_templates/subheader.tpl" title=$lang.product_options}
<p>
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%" align="center" nowrap="nowrap">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('product_update_form', this.checked, 'pocheckbox');" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" align="center" nowrap="nowrap">&nbsp;{$lang.position_short}&nbsp;</td>
	<td class="manage-header" width="75%" nowrap="nowrap">&nbsp;{$lang.option_name}&nbsp;</td>
	<td class="manage-header" align="center" nowrap="nowrap">&nbsp;{$lang.inventory}&nbsp;</td>
	<td class="manage-header" align="center" nowrap="nowrap">&nbsp;{$lang.type}&nbsp;</td>
	<td class="manage-header" align="center" nowrap="nowrap">&nbsp;{$lang.avail}&nbsp;</td>
	<td>&nbsp;</td>
</tr>
{if $product_options}
{foreach from=$product_options item="po"}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" id="pocheckbox" name="delete_product_options[{$po.option_id}]" value="Y" /></td>
	<td align="left">
		{if $po.product_id!='0'}<input type="text" name="product_options[{$po.option_id}][position]" value="{$po.position}" size="3" class="input-text" />{else}&nbsp;{$po.position}{/if}</td>
	<td>
		{if $po.product_id!='0'}<input type="text" name="product_options[{$po.option_id}][option_name]" value="{$po.option_name|escape:html}" class="input-text-100" />{else}{$po.option_name|escape:html}{/if}</td>
	<td align="center">
		{if 'SRC'|strpos:$po.option_type !== false}
		<input type="hidden" name="{if $po.product_id!='0'}product_options[{$po.option_id}][inventory]{else}{/if}" value="{if $po.product_id!='0'}N{else}Y{/if}" />
		<input type="checkbox" name="product_options[{$po.option_id}][inventory]" value="Y" {if $po.inventory=="Y"}checked="checked"{/if} {if $po.product_id=='0'}disabled{/if} />
		{else}
		<input type="hidden" name="{if $po.product_id!='0'}product_options[{$po.option_id}][inventory]{else}{/if}" value="N" />-
		{/if}
	</td>
	<td align="left">
		{if $po.product_id!='0'}{include file="products_pages/option_types.tpl" name="product_options[`$po.option_id`][option_type]" value=$po.option_type display="select"}
		{else}&nbsp;{include file="products_pages/option_types.tpl" name="product_options[`$po.option_id`][option_type]" value=$po.option_type display="view"}&nbsp;
		{/if}
	</td>
	<td align="center">
		{if $po.product_id != '0'}<input type="hidden" name="product_options[{$po.option_id}][avail]" value="N" />{/if}
		<input type="checkbox" name="product_options[{$po.option_id}][avail]" value="Y" {if $po.avail == "Y"}checked="checked"{/if} {if $po.product_id == '0'}disabled{/if} />
	</td>
	<td align="right" nowrap="nowrap">
		{if $po.product_id!='0'}
		&nbsp;{if $po.option_type == 'S' || $po.option_type == 'R' || $po.option_type == 'C'}{include file="buttons/button.tpl" but_text=$lang.details but_style="text" but_href="$index_script?$target_name=product_options&$mode_name=option_details&product_id=`$product_data.product_id`&option_id=`$po.option_id`"}{/if}
		{else}{include file="buttons/button.tpl" but_text=$lang.details but_style="text" but_href="$index_script?$target_name=product_options&$mode_name=option_details&product_ref=`$product_data.product_id`&option_id=`$po.option_id`&opt_class=Y"}
		{/if}
	</td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="7" align="center"><p><b>{$lang.text_no_items_found|replace:'[items]':$lang.product_options}</b></p></td>
</tr>
{/if}
</table>
</p>
{if 'manage_catalog'|fn_check_privileges:true}
{if $mode == 'update' && $product_options}
{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('product_update_form','do_update', false, 'pocheckbox');"}


<p>
<table>
<tr>
	<td>{include file="buttons/button.tpl" but_text=$lang.exceptions but_onclick="$index_script?$target_name=product_options&$mode_name=exceptions&product_id=`$product_data.product_id`" but_style="text"}</td>
	<td>&nbsp;</td>
	<td>{include file="buttons/button.tpl" but_text=$lang.option_combinations but_onclick="$index_script?$target_name=product_options&$mode_name=inventory&product_id=`$product_data.product_id`" but_style="text"}</td>
</tr>
</table>
</p>
{/if}
{/if}
<br />
{** New options dialog **}

{include file="common_templates/subheader.tpl" title=$lang.add_product_options}

{include file="products_pages/products_update_add_options.tpl"}


{** /New options dialog **}
</p>
</div>
{** /Product options section **}
