{* $Id: profile_fields.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{if $profile_fields.$section}

{if !$shipping_flag}
<tr>
	<td colspan="6" class="form-title">
		<p>{$title}</p><hr /></td>
</tr>
{else}
<tr>
	<td colspan="6">
	<p></p>
	<table cellpadding="0" cellspacing="0" border="0">
	<tr>
		<td>
		<input type="hidden" name="shipping_eq_billing" value="N" />
		<input id="seqb" type="checkbox" name="shipping_eq_billing" value="Y" onclick="javascript: {if $profile_fields_equals == 'Y'}fn_show_tag('sa',this.checked);{/if} fn_copy_fields(this.checked);" {if $shipping_eq_billing == 'Y'}checked="checked"{/if}></td>
		<td class="form-title">{$lang.shipping_same_as_billing}</td>
	</table>
	<hr />
</tr>
{/if}

{if $section == 'B' || $section == 'S'}
<script type="text/javascript" language="javascript 1.2" defer="defer">
	country_state['{$section}'] = {$ldelim}country_id: '', state_id: '', state: ''{$rdelim};
	{if $section == 'B'}
	var field_groups = new Array();
	{/if}
</script>
{/if}

{if $body_id}
<tbody id="{$body_id}" {if $shipping_eq_billing == 'Y' && $profile_fields_equals == 'Y'}style="display: none;"{/if}>
{/if}
{foreach from=$profile_fields.$section item=field}
{if $field.field_name}
{assign var="data_name" value="user_data"}
{assign var="data_id" value=$field.field_name}
{assign var="value" value=$user_data.$data_id}
{else}
{assign var="data_name" value="user_data[fields]"}
{assign var="data_id" value=$field.field_id}
{assign var="value" value=$user_data.fields.$data_id}
{/if}
<tr>
	<td>&nbsp;</td>
	<td width="200" align="right" class="form-field-caption">{$field.description}</td>
	<td width="5" id="mark_elm_{$field.field_id}" class="required-field-mark">{if $field.required == 'Y'}*{else}&nbsp;{/if}</td>
	<td width="180">
		{if $field.field_type == 'L'} {* Titles selectbox *}

			<select id="elm_{$field.field_id}" name="{$data_name}[{$data_id}]" {if $section == 'B'}onchange="fn_copy_field(this.id, 'elm_{$field.matching_id}');"{/if}>
				{foreach from=$titles item="t"}
				<option {if $value == $t.param}selected="selected"{/if} value="{$t.param}">{$t.descr}</option>
				{/foreach}
			</select>
		{elseif $field.field_type == 'A'}  {* State selectbox *}

			<input type="text" id="elm_{$field.field_id}_d" name="{$data_name}[{$data_id}]" size="32" maxlength="64" value="{$value}" disabled="disabled" style="display: none;" {if $section == 'B'}onkeyup="fn_copy_field('elm_{$field.field_id}', 'elm_{$field.matching_id}');"{/if} />
			<select id="elm_{$field.field_id}" name="{$data_name}[{$data_id}]" onchange="fn_copy_field(this.id, 'elm_{$field.matching_id}');">
				<option value="">- {$lang.select_state} -</option>
			</select>
		{elseif $field.field_type == 'O'}  {* Countries selectbox *}

			{assign var="_country" value=$value|default:$settings.General.default_country}
			<select id="elm_{$field.field_id}" name="{$data_name}[{$data_id}]" onchange="{if $section == 'B'}fn_copy_field(this.id, 'elm_{$field.matching_id}');{/if} fn_rebuild_states('{$section}');">
				<option value="">- {$lang.select_country} -</option>
				{foreach from=$countries item=country}
				<option {if $_country == $country.code}selected="selected"{/if} value="{$country.code}">{$country.country}</option>
				{/foreach}
			</select>
		{elseif $field.field_type == 'C'}  {* Checkbox *}

			<input type="hidden" name="{$data_name}[{$data_id}]" value="N" />
			<input type="checkbox" id="elm_{$field.field_id}" name="{$data_name}[{$data_id}]" value="Y" {if $value == 'Y'}checked="checked"{/if} {if $section == 'B'}onclick="fn_copy_field(this.id, 'elm_{$field.matching_id}');"{/if} class="checkbox" />
		{elseif $field.field_type == 'T'}  {* Textarea *}

			<textarea id="elm_{$field.field_id}" name="{$data_name}[{$data_id}]" cols="32" rows="3" {if $section == 'B'}onkeyup="fn_copy_field(this.id, 'elm_{$field.matching_id}');"{/if}>{$value|escape:html}</textarea>
		{elseif $field.field_type == 'D'}  {* Date *}
	
			{html_select_date field_array="`$data_name`[`$data_id`]" start_year="1970" end_year="+5" time=$value day_extra="id=\"elm_`$field.field_id`_day\" onchange=\"fn_copy_field(this.id, 'elm_`$field.matching_id`_day');\"" month_extra="id=\"elm_`$field.field_id`_month\" onchange=\"fn_copy_field(this.id, 'elm_`$field.matching_id`_month');\"" year_extra="id=\"elm_`$field.field_id`_year\" onchange=\"fn_copy_field(this.id, 'elm_`$field.matching_id`_year');\""}
		{elseif $field.field_type == 'S'}  {* Selectbox *}

			<select id="elm_{$field.field_id}" name="{$data_name}[{$data_id}]" onchange="{if $section == 'B'}fn_copy_field(this.id, 'elm_{$field.matching_id}');{/if}">
				{if $field.required != "Y"}
				<option value="">--</option>
				{/if}
				{foreach from=$field.values key=k item=v}
				<option {if $value == $k}selected="selected"{/if} value="{$k}">{$v}</option>
				{/foreach}
			</select>
		{elseif $field.field_type == 'R'}  {* Radiogroup *}

			{foreach from=$field.values key=k item=v name="rfe"}
			<input type="radio" id="elm_{$field.field_id}_{$k}" name="{$data_name}[{$data_id}]" value="{$k}" {if (!$value && $smarty.foreach.rfe.first) || $value == $k}checked="checked"{/if} {if $section == 'B'}onclick="fn_copy_field(this.id, 'elm_{$field.matching_id}_{$k}');"{/if} class="radio" />{$v}
			{/foreach}
		{else}  {* Simple input *}

			<input type="text" id="elm_{$field.field_id}" name="{$data_name}[{$data_id}]" size="32" value="{$value|escape:html}" {if $section == 'B'}onkeyup="fn_copy_field(this.id, 'elm_{$field.matching_id}');"{/if} />
		{/if}

	</td>
	<td width="20" id="status_elm_{$field.field_id}" class="required-field-mark">&nbsp;</td>
	<td>&nbsp;

	{if $section == 'B' || $section == 'S'}
	<script type="text/javascript" language="javascript 1.2" defer="defer">
		{if $field.field_type == 'A'}
		country_state['{$section}'].state_id = 'elm_{$field.field_id}';
		country_state['{$section}'].state = '{$value|escape:javascript}';
		{/if}
		{if $field.field_type == 'O'}
		country_state['{$section}'].country_id = 'elm_{$field.field_id}';
		{/if}
		{if $section == 'B'}
		{if $field.field_type == 'D'}
			field_groups['elm_{$field.field_id}_day'] = 'elm_{$field.matching_id}_day';
			field_groups['elm_{$field.field_id}_month'] = 'elm_{$field.matching_id}_month';
			field_groups['elm_{$field.field_id}_year'] = 'elm_{$field.matching_id}_year';
		{elseif $field.field_type == 'R'}
			{foreach from=$field.values key=k item=v}
			field_groups['elm_{$field.field_id}_{$k}'] = 'elm_{$field.matching_id}_{$k}';
			{/foreach}
			
		{else}
			field_groups['elm_{$field.field_id}'] = 'elm_{$field.matching_id}';
		{/if}
		{/if}
	</script>
	{/if}
	
	</td>
</tr>
{/foreach}
</tbody>
{/if}


{if $section == 'B' || $section == 'S'}
<script type="text/javascript" language="javascript 1.2" defer="defer">
fn_rebuild_states('{$section}', false);
</script>
{/if}
