{* $Id: profiles.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{include file="profiles_pages/profiles_scripts.tpl"}

<div align="right">
{if $settings.Addons.suppliers == 'Y'}
	{include file="addons/suppliers/profiles_pages/profiles.tpl"}
{/if}
{if $user_data.user_type == 'C'}
	{if $settings.Addons.gift_certificates == 'Y'}
		{include file="addons/gift_certificates/profiles_pages/profiles.tpl"}
	{/if}
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/profiles_pages/profiles.tpl"}
	{/if}
	<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=orders&search_orders=Y&user_id={$smarty.get.user_id|default:$auth.user_id}" class="underlined">{$lang.view_all_orders}</a>&nbsp;&nbsp;<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=profiles&amp;{$mode_name}=act_as_user&amp;user_id={$smarty.get.user_id|default:$auth.user_id}" class="underlined" target="_blank">{$lang.act_on_behalf}</a>&nbsp;&nbsp;
{/if}
</div>
<p></p>
{capture name="mainbox"}

<form name="profile_form" action="{$index_script}" method="post" onsubmit="return false;">
<input type="hidden" name="{$target_name}" value="profiles" />
<input type="hidden" name="{$mode_name}" value="{$mode|default:"add"}" />
<input type="hidden" name="{$action_name}" value="{$action}" />
{if $mode != 'add'}<input type="hidden" name="user_id" value="{$smarty.get.user_id|default:$auth.user_id}" />{/if}

<p>{$lang.text_mandatory_fields}</p>


<table cellpadding="1" cellspacing="1" border="0" width="100%" align="center">
<table cellpadding="1" cellspacing="1" border="0" width="100%" align="center">
{if 'ACP'|strstr:$profile_type}
	{include file="profiles_pages/profiles_account.tpl"}
{else}
	{if $settings.Addons.suppliers == 'Y'}
		{include file="addons/suppliers/profiles_pages/profiles_account.tpl"}
	{/if}
{/if}
{include file="profiles_pages/profile_fields.tpl" section="C" title=$lang.contact_information}
</table>

{if $settings.General.user_multiple_profiles == "Y"}
<p class="form-title">{$lang.user_profile_info}<hr /></p>
<p class="form-note">{$lang.text_multiprofile_notice}</p>
{/if}

{capture name="tabsbox"}
<table cellpadding="1" cellspacing="1" border="0" width="100%" align="center">
	{include file="profiles_pages/multiple_profiles.tpl"}
{if $profile_fields.B}
	{include file="profiles_pages/profile_fields.tpl" section="B" title=$lang.billing_address}
	{include file="profiles_pages/profile_fields.tpl" section="S" title=$lang.shipping_address body_id="sa" shipping_flag=$profile_fields.B|@sizeof|default:false}
{else}
	{include file="profiles_pages/profile_fields.tpl" section="S" title=$lang.shipping_address}
{/if}
</table>
{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name=$target}

<br />
<p align="center">
	{if $mode == "update"}
		{include file="buttons/update_profile.tpl" but_onclick="javascript: profiles_form.submit();"}
	{else}
		{include file="buttons/register_profile.tpl" but_onclick="javascript: profiles_form.submit();"}
	{/if}
</p>
<p>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td><input type="checkbox" name="notify_customer" value="Y" checked="checked" /></td>
	<td>{$lang.notify_user}</td>
</tr>
</table>

<p>
</form>

{/capture}
{if $mode == 'add'}
	{include file="common_templates/mainbox.tpl" title=$lang.register_profile content=$smarty.capture.mainbox}
{else}
	{include file="common_templates/mainbox.tpl" title=$lang.update_profile content=$smarty.capture.mainbox}
{/if}