{* $Id: userlist.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}
{include file="profiles_pages/profiles_scripts.tpl"}

<div align="right"><span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=profiles&{$mode_name}=add&user_type={$smarty.get.user_type}" class="underlined">{$lang.create_account}</a>&nbsp;</div>
<p></p>
{capture name="mainbox"}

{include file="profiles_pages/user_search.tpl" target="profiles" mode="userlist" action="search"}

{if $smarty.get.user_type == 'A'}
{$lang.text_list_of_admin_accounts}
{elseif $smarty.get.user_type == 'C'}
{$lang.text_list_of_customer_accounts}
{elseif $smarty.get.user_type == 'P'}
{$lang.text_list_of_partner_accounts}
{elseif $smarty.get.user_type == 'S'}
{$lang.text_list_of_supplier_accounts}
{elseif $action != 'search'}
{$lang.text_list_of_all_accounts}
{/if}
<p>

<form action="{$index_script}" method="post" enctype="multipart/form-data" name="userlist_form">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="profiles" />
<input type="hidden" name="{$mode_name}" value="do_userlist_update" />
<input type="hidden" name="page" value="{$smarty.get.page|escape}" />
<input type="hidden" name="user_type" value="{$smarty.get.user_type|escape}" />
{if $smarty.get.redirect_url}
<input type="hidden" name="redirect_url" value="{$smarty.get.redirect_url|escape:html}" />
{/if}

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}

{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}


<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('userlist_form', this.checked);" title="{$lang.check_uncheck_all}"></td>
	<td class="manage-header" align="center" nowrap><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=id&sort_order={$sort_order}{$url_suffix}">{$lang.id}</a>{if $sort_by == 'id'}{$sort_sign}{/if}</td>
	<td class="manage-header"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=email&sort_order={$sort_order}{$url_suffix}">{$lang.email}</a>{if $sort_by == 'email'}{$sort_sign}{/if}</td>
	{if $settings.General.use_email_as_login != 'Y'}
	<td class="manage-header"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=username&sort_order={$sort_order}{$url_suffix}">{$lang.username}</a>{if $sort_by == 'username'}{$sort_sign}{/if}</td>
	{/if}
	<td class="manage-header"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=name&sort_order={$sort_order}{$url_suffix}">{$lang.name}</a>{if $sort_by == 'name'}{$sort_sign}{/if}</td>
	<td class="manage-header"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=date&sort_order={$sort_order}{$url_suffix}">{$lang.registered}</a>{if $sort_by == 'date'}{$sort_sign}{/if}</td>
	<td class="manage-header"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=type&sort_order={$sort_order}{$url_suffix}">{$lang.type}</a>{if $sort_by == 'type'}{$sort_sign}{/if}</td>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/profiles_pages/userlist_head.tpl"}	
	{/if}
	<td class="manage-header" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=active&sort_order={$sort_order}{$url_suffix}">{$lang.active}</a>{if $sort_by == 'active'}{$sort_sign}{/if}</td>
	<td class="manage-header">&nbsp;</td>
</tr>
{foreach from=$users item=user}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="delete[{$user.user_id}]" id="delete_checkbox" value="Y"></td>
	<td align="center"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">&nbsp;{$user.user_id}&nbsp;</a></td>
	<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined" style="float: left;"><b>{$user.email}</b></a></td>
	{if $settings.General.use_email_as_login != 'Y'}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.user_login}</b></a></td>
	{/if}
	<td class="side-padding">{if $user.firstname || $user.lastname}<a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">{$user.firstname} {$user.lastname}</a>{else}-{/if}</td>
	<td class="side-padding">{$user.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
	<td class="side-padding">{if $user.user_type == 'A'}{$lang.administrator}{elseif $user.user_type == 'C'}{$lang.customer}{elseif $user.user_type == 'P'}{$lang.partner}{elseif $user.user_type == 'S'}{$lang.supplier}{/if}</td>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/profiles_pages/userlist_body.tpl"}
	{/if}
	<td align="center"><input type="hidden" name="user_types[{$user.user_id}]" value="{$user.user_type}" /><input type="hidden" name="update_data[{$user.user_id}][active]" value="N" /><input type="checkbox" name="update_data[{$user.user_id}][active]" value="Y" {if $user.active == 'Y'}checked="checked"{/if} {if $user.user_id == 1}disabled="disabled"{/if}/></td>
	<td align="right" class="side-padding">
		{strip}
		{if $user.user_type == 'C'}
			<a href="{$index_script}?{$target_name}=orders&search_orders=Y&user_id={$user.user_id}">{$lang.view_all_orders}&nbsp&#155;&#155;</a><br />
		{elseif $user.user_type == 'S'}
			<a href="{$index_script}?{$target_name}=products&{$mode_name}=manage&sid={$user.user_id}">{$lang.view_supplier_products}&nbsp&#155;&#155;</a><br />
		{/if}
		{if ($smarty.get.user_type && 'ACP'|strpos:$smarty.get.user_type !== false)}
			<a href="{$index_script}?{$target_name}=profiles&amp;{$mode_name}=act_as_user&amp;user_id={$user.user_id}" target="_blank" >{$lang.act_on_behalf}&nbsp&#155;&#155;</a>
		{/if}
		{/strip}
	</td>
</tr>
{/foreach}
{if !$users}
<tr class="manage-row">
	<td colspan="10" align="center"><p><b>{$lang.no_users_found}</b></p></td>
{/if}
</table>
{include file="common_templates/pagination.tpl"}
<p></p>

{if $users && 'manage_users'|fn_check_privileges:true}
<table border="0" cellpadding="0" cellspacing="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript: document.userlist_form.submit()" but_type="input"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('userlist_form', 'do_userlist_delete');"}<td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/export_selected.tpl" but_onclick="javascript: fn_delete_selected('userlist_form', 'export_range', true);"}<td>

</tr>
</table>
{/if}
</form>

<p></p>
{if 'manage_users'|fn_check_privileges:true}
{include file="buttons/button.tpl" but_text=$lang.create_account but_href="$index_script?$target_name=profiles&$mode_name=add&user_type=`$smarty.get.user_type`" action_but="action_"}
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.users content=$smarty.capture.mainbox}

</form>