{* $Id: links.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{capture name="mainbox"}
{include file="common_templates/select_language.tpl"}
<p>{$lang.text_sitemap_link}</p>

<form action="{$index_script}" method="post" name="links_form">
<input type="hidden" name="{$target_name}" value="sitemap" />
<input type="hidden" name="{$mode_name}" value="update_links" />
<input type="hidden" name="section_id" value="{$smarty.get.section_id|escape:'html'}" />

<table cellpadding="1" cellspacing="1" width="100%"	border="0">
<tr class="manage-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('links_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" width="4%" nowrap>{$lang.position_short}</td>
	<td class="manage-header" width="20%" nowrap>{$lang.link_name}</td>
	<td class="manage-header" width="25%" nowrap>{$lang.url}</td>
	<td class="manage-header" width="25%" nowrap>{$lang.description}</td>
	<td class="manage-header" width="25%">&nbsp;</td>
</tr>
{if $links}

	{foreach from=$links item=link key=keys}
	<tr {cycle values='class="manage-row", '}>
		<td valign="top">
			<input type="checkbox" name="delete_links[{$link.link_id}]" id="delete_checkbox" value="Y" /></td>
		<td valign="top">
			<input type="text" name="link_data[{$link.link_id}][position]" size="2" value="{$link.position}" class="input-text" /></td>
		<td valign="top">
			<input type="text" name="link_descriptions[{$link.link_id}][link]" size="25" value="{$link.link|escape:html}" class="input-text" /></td>
		<td valign="top">
			<input type="text" name="link_data[{$link.link_id}][link_href]" size="35" value="{$link.link_href}" class="input-text" /></td>
		<td valign="top">
			<textarea name="link_descriptions[{$link.link_id}][description]" cols="25" rows="3" class="input-text">{$link.description|escape:html}</textarea></td>
		<td>&nbsp;</td>
	</tr>
	{/foreach}
	<tr>
		<td colspan="5">
			<p></p>
			{if 'manage_sitemap'|fn_check_privileges:true}
			<table cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td>
					{include file="buttons/update.tpl" but_onclick="javascript:document.links_form.submit();" but_type="input"}</td>
				<td>&nbsp;&nbsp;&nbsp;</td>
				<td>
					{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('links_form','delete_links');"}</td>
			</tr>
			</table>
			{/if}
	</tr>
{else}
	<tr>
		<td colspan="6" align="center" class="manage-row">
			<p><b>{$lang.text_no_sitemap_section_links}</b></p></td>
	</tr>
{/if}
</table>

</form>

<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_sitemap_section_link}

<form action="{$index_script}" method="post" name="add_links_form">
<input type="hidden" name="{$target_name}" value="sitemap" />
<input type="hidden" name="{$mode_name}" value="add_links" />
<input type="hidden" name="section_id" value="{$smarty.get.section_id|escape:'html'}" />

<table cellpadding="1" cellspacing="1" border="0">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap>{$lang.position_short}</td>
	<td class="add-new-header" nowrap>{$lang.link_name}</td>
	<td class="add-new-header" nowrap>{$lang.url}</td>
	<td class="add-new-header" nowrap>{$lang.description}</td>
	<td class="add-new-header" width="100%">&nbsp;</td>
</tr>			 
<tr id="box_add_link">
	<td valign="top">
		<input type="text" name="add_link_data[0][position]" size="2" value="" class="input-text" /></td>
	<td valign="top">
		<input type="text" name="add_link_descriptions[0][link]" size="25" value="" class="input-text" /></td>
	<td valign="top">
		<input type="text" name="add_link_data[0][link_href]" size="35" value="" class="input-text" /></td>
	<td valign="top">
		<textarea name="add_link_descriptions[0][description]" cols="25" rows="3" class="input-text"></textarea></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="add_link"}</td>
</tr>
</table>
<p></p>
{if 'manage_sitemap'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_links_form.submit();"}
{/if}

</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.section_links content=$smarty.capture.mainbox}