{* $Id: edit_report.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{capture name="mainbox"}
<form action="{$index_script}" method="post" name="statistics_form">
<input type="hidden" name="{$target_name}" value="statistics" />
<input type="hidden" name="{$mode_name}" value="report" />
<input type="hidden" name="action" value="update" />
<input type="hidden" name="report_id" value="{$report.report_id}" />
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td><b>{$lang.report_name}:	</b></td>
	<td><input type="text" name="report_description[description]" value="{$report.description|escape:html}" size="70" class="input-text" /></td>
</tr>
<tr>
	<td><b>{$lang.position}:	</b></td>
	<td><input type="text" name="report[position]" value="{$report.position}" size="3" class="input-text" /></td>
</tr>
<tr>
	<td><b>{$lang.available}:	</b></td>
	<input type="hidden" name="report[avail]" value="N" />
	<td><input type="checkbox" name="report[avail]" value="Y" {if $report.avail=='Y'}checked="checked"{/if} /></td>
</tr>
</table>
<br />
{include file="common_templates/subheader.tpl" title=$lang.charts}
{* --------------- CHARTS --------------------*}
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr style="height: 23px;">
	<td class="manage-header" width="40" align="center" ><input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('statistics_form', this.checked);" /></td>
	<td class="manage-header" align="center">{$lang.position_short}</td>
	<td class="manage-header" width="70%">{$lang.chart_name}</td>
	<td class="manage-header" width="10%" nowrap="nowrap">{$lang.chart_type}</td>
	<td class="manage-header" width="10%" nowrap="nowrap">{$lang.value_to_display}</td>
	<td class="manage-header" width="10%">&nbsp;</td>
</tr>
{if $report.tables}
{foreach from=$report.tables item=table}
<input type="hidden" name="tables[{$table.table_id}][table_id]" value="{$table.table_id}" />
{assign var="table_id" value=$table.table_id}
<tr {cycle values='class="manage-row", '}>
	<td align="center"><input type="checkbox" name="del[{$table.table_id}]" id="delete_checkbox" value="Y" /></td>
	<td class="side-padding" style="height:23"><input type="text" name="tables[{$table.table_id}][position]" value="{$table.position}" size="3" class="input-text" /></td>
	<td class="side-padding"><input type="text" name="table_description[{$table.table_id}][description]" value="{$table.description|escape:html}" class="input-text-100" /></td>
	<td class="side-padding">
	<select	name="tables[{$table.table_id}][type]">
		<option	value="T">{$lang.table}</option>
		<option	value="B" {if $table.type=='B'}selected="selected"{/if}>{$lang.graphic} [{$lang.bar}] </option>
		<option	value="P" {if $table.type=='P'}selected="selected"{/if}>{$lang.graphic} [{$lang.pie_3d}] </option>
		<option	value="C" {if $table.type=='C'}selected="selected"{/if}>{$lang.graphic} [{$lang.pie}] </option>
	</select></td>
	<td class="side-padding">	
	<select	name="tables[{$table.table_id}][display]">
		{foreach from=$report_elements.values item=element}
		{assign var="element_id" value=$element.element_id}
		{assign var="element_name" value="reports_parameter_$element_id"}
		<option	value="{$element.code}" {if $table.display == $element.code}selected="selected"{/if}>{$lang.$element_name|escape:html}</option>
		{/foreach}
	</select></td>
	<td class="side-padding" nowrap="nowrap">&nbsp;{include file="buttons/button.tpl" but_text=$lang.edit_chart  but_onclick="$index_script?$target_name=statistics&$mode_name=table&action=edit&report_id=$report_id&table_id=$table_id" but_style="text"}&nbsp;</td>
</tr>
{/foreach}
</table>
<p>
<table cellpadding="0" cellspacing="0" border="0" width="">
<tr>
	<td>{include file="buttons/button.tpl" but_text=$lang.update but_onclick="javascript:document.statistics_form.submit();" but_type="input" but_style=$but_style}</td>
	<td nowrap="nowrap">&nbsp;&nbsp;&nbsp;</td>
	<td>	{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('statistics_form','delete_table','','','$action_name');"}</td>
</tr>
</table>
</p>
{else}
<tr>
	<td colspan="6" class="manage-row" align="center"><p><b>{$lang.text_no_items_defined|replace:'[items]':$lang.charts}</b></p></td>
</tr>
</table>
{/if}
<p>
{include file="buttons/button.tpl" but_text=$lang.add_new but_onclick="fn_redirect('$index_script?$target_name=statistics&$mode_name=table&action=add_new&report_id=$report_id');" but_type="input" action_but="action_"}
</p>
<br />
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title="Edit Report" content=$smarty.capture.mainbox}
