{* $Id: table_condition.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{capture name="selected_sections"}
{** Item menu section **}
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<form action="{$index_script}" method="post" name="table_conditions_delete">
	<input type="hidden" name="{$target_name}" value="{$target}">
	<input type="hidden" name="{$mode_name}" value="{$mode}">
	<input type="hidden" name="{$action_name}" value="clear_conditions">
	<input type="hidden" name="table_id" value="{$table.table_id}">
	<input type="hidden" name="report_id" value="{$report_id}">
	<td width="100%" align="right">{include file="buttons/button.tpl" but_text=$lang.clear_conditions but_onclick="javascript: document.table_conditions_delete.submit();" but_style="text"}</td>
	</form>
</tr>
</table>
{** /Item menu section **}

{capture name="tabsbox"}
{************************************************** P A Y M E N T ****************************************}
<div id="content_payment" style="display: none;">
	<form action="{$index_script}" method="post" name="table_condition_payment">
	<input type="hidden" name="{$target_name}" value="statistics">
	<input type="hidden" name="{$mode_name}" value="table">
	<input type="hidden" name="{$action_name}" value="add_condition">
	<input type="hidden" name="table_id" value="{$table.table_id}">
	<input type="hidden" name="report_id" value="{$report_id}">
	<input type="hidden" id="selected_section" name="selected_section" value="payment">

	<table cellpadding="1" cellspacing="1" border="0" width="100%">
	<tr class="manage-header">
		<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('table_condition_payment', this.checked);" title="{$lang.check_uncheck_all}"></td>
		<td width="100%" class="manage-header" nowrap>{$lang.payment}</td>
		<td width="1%" class="manage-header" nowrap>{$lang.processor}</td>
		<td width="1%" class="manage-header" nowrap>{$lang.membership}</td>
	</tr>
	{if $payments}
	{foreach from=$payments item=payment name="pf"}
	<tr {cycle values='class="manage-row", ''}>
		<td valign="top">
			{assign var="pay_id" value=$payment.payment_id}
			<input type="checkbox" name="add_parameter[payment][{$payment.payment_id}]" id="delete_checkbox" value="Y" {if $conditions.payment.$pay_id}checked{/if}></td>
		<td valign="top">
			{$payment.payment|escape:html}</td>
		<td valign="top" nowrap align="center">
				{foreach from=$payment_processors item="processor"}
				{if $payment.processor_id == $processor.processor_id}{$processor.processor}{/if}
				{/foreach}
		</td>
		<td valign="top" align="center">
			{if $payment.membership}{$payment.membership}{else}-{$lang.all}-{/if}
		</td>
	</tr>
	{/foreach}
	</table>
	<p>
	{include file="buttons/update.tpl" but_onclick="javascript: document.table_condition_payment.submit();"}
	</p>
	{else}
	<tr class="manage-row">
		<td colspan="7" align="center"><p><b>{$lang.text_no_items_found|replace:'[items]':$lang.payment_methods}</b></p></td>
	</tr>
	{/if}
	</form>
</div>
{************************************************** L O C A T I O N ****************************************}
<div id="content_location" style="display: none;">
	<form action="{$index_script}" method="post" name="table_condition_location">
	<input type="hidden" name="{$target_name}" value="statistics">
	<input type="hidden" name="{$mode_name}" value="table">
	<input type="hidden" name="{$action_name}" value="add_condition">
	<input type="hidden" name="table_id" value="{$table.table_id}">
	<input type="hidden" name="report_id" value="{$report_id}">
	<input type="hidden" id="selected_section" name="selected_section" value="location">
	
	<table cellpadding="1" cellspacing="1" border="0">
	<tr class="manage-header">
		<td width="1%">
			<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('table_condition_location', this.checked);" title="{$lang.check_uncheck_all}"></td>
		<td class="manage-header" nowrap>{$lang.destination_name}</td>
	</tr>			 

	{foreach from=$destinations item=destination}
	<tr {cycle values='class="manage-row", '}>
		<td align="center">
			{assign var="dest_id" value=$destination.destination_id}
			<input name="add_parameter[location][{$destination.destination_id}]" type="checkbox" id="delete_checkbox" value="Y" {if $conditions.location.$dest_id}checked{/if}></td>
		<td>
			{$destination.destination|escape:html}</td>
	</tr>
	{/foreach}
	</table>
	<p>
	{include file="buttons/update.tpl" but_onclick="javascript:document.table_condition_location.submit();" but_type="input"}
	</p>
	</form>
</div>
{************************************************** S T A T U S ****************************************}
<div id="content_status" style="display: none;">
	<form action="{$index_script}" method="post" name="table_condition_status">
	<input type="hidden" name="{$target_name}" value="statistics">
	<input type="hidden" name="{$mode_name}" value="table">
	<input type="hidden" name="{$action_name}" value="add_condition">
	<input type="hidden" name="table_id" value="{$table.table_id}">
	<input type="hidden" name="report_id" value="{$report_id}">
	<input type="hidden" id="selected_section" name="selected_section" value="status">

	<table cellpadding="1" cellspacing="1" border="0">
	<tr class="manage-header">
		<td width="1%">
			<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('table_condition_status', this.checked);" title="{$lang.check_uncheck_all}"></td>
		<td class="manage-header" nowrap>{$lang.status}</td>
	</tr>			 

	{foreach from=$order_status_descr key=id item=status}
	<tr {cycle values='class="manage-row", '}>
		<td align="center">
			<input name="add_parameter[status][{$id}]" type="checkbox" id="delete_checkbox" value="Y" {if $conditions.status.$id}checked="checked"{/if}></td>
		<td>
			{$status|escape:html}</td>
	</tr>
	{/foreach}
	</table>
	<p>
	{include file="buttons/update.tpl" but_onclick="javascript:document.table_condition_status.submit();" but_type="input"}
	</p>

	</form>
</div>
{************************************************** C A T E G O R Y ****************************************}
<div id="content_category" style="display: none;">
	<form action="{$index_script}" method="post" name="table_condition_category">
	<input type="hidden" name="{$target_name}" value="statistics">
	<input type="hidden" name="{$mode_name}" value="table">
	<input type="hidden" name="{$action_name}" value="add_condition">
	<input type="hidden" name="table_id" value="{$table.table_id}">
	<input type="hidden" name="report_id" value="{$report_id}">
	<input type="hidden" id="selected_section" name="selected_section" value="category">

	{assign var="level" value="0"}
	<div id="category_rows">{include file="discounts_pages/categories_tree.tpl" parent_id="0" header="1" form_name="table_condition_category" checkbox_name="add_parameter[category]" path=$conditions.category.path conditions=$conditions.category}</div>
	<p>
	{include file="buttons/update.tpl" but_onclick="javascript:document.table_condition_category.submit();" but_type="input"}
	</p>
	</form>
</div>
{************************************************** O R D E R ****************************************}
<div id="content_order" style="display: none;">
	{************** defined Orders ****************}
	{include file="common_templates/subheader.tpl" title=$lang.defined_orders}
	<form action="{$index_script}" method="post" name="condition_orders_form">
	<input type="hidden" name="{$target_name}" value="statistics">
	<input type="hidden" name="{$mode_name}" value="table">
	<input type="hidden" name="{$action_name}" value="remove_condition">
	<input type="hidden" name="report_id" value="{$report_id}">
	<input type="hidden" name="table_id" value="{$table.table_id}">
	<input type="hidden" name="selected_section" value="order">
	
	<table border="0" cellpadding="1" cellspacing="1" width="100%">
	<tr class="manage-header">
		<td width="1%">
			<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('condition_orders_form', this.checked);" title="{$lang.check_uncheck_all}"></td>
		<td class="manage-header" align="center" width="10%" nowrap>{$lang.id}</td>
		<td class="manage-header" width="15%" nowrap>{$lang.status}</td>
		<td class="manage-header" width="25%" nowrap>{$lang.customer}</td>
		<td class="manage-header" width="25%" nowrap>{$lang.date}</td>
		<td class="manage-header" width="24%" align="right" nowrap>{$lang.total}</td>
	</tr>

	{if $conditions.order}
	{foreach from=$conditions.order item="o"}
	<tr {cycle values='class="manage-row", '}>
		<td>
			<input type="checkbox" name="delete[{$o.order_id}]" id="delete_checkbox" value="Y"></td>	
		<td align="center">
			<a href="{$index_script}?{$target_name}=orders&{$mode_name}=details&order_id={$o.order_id}" class="underlined">&nbsp;<b>#{$o.order_id}</b>&nbsp;</a></td>
		<td class="side-padding"><input type="hidden" name="origin_statuses[{$o.order_id}]" value="{$o.status}">{include file="orders_pages/order_status.tpl" status=$o.status display="view" name="order_statuses[`$o.order_id`]"}</td>
		<td class="side-padding">{$o.firstname} {$o.lastname}</td>	
		<td class="side-padding">
			<a href="{$index_script}?{$target_name}=orders&{$mode_name}=details&order_id={$o.order_id}" class="underlined">{$o.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</a></td>
		<td class="side-padding" align="right">
			{include file="common_templates/price.tpl" value=$o.total}</td>
	</tr>
	{/foreach}
	</table>
	<p>
	{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('condition_orders_form','table', true);"}
	</p>
	{else}
	<tr>
		<td class="manage-row" align="center" colspan="6">
			<p><b>{$lang.text_all_items_included|replace:'[items]':$lang.orders}</b></p></td>
	</tr>
	</table>
	{/if}	
	</form>
	<br>
	{************** search for Orders ****************}	
	{include file="common_templates/subheader.tpl" title=$lang.add_orders_to_section}
	{capture name="section"}
		{include file="orders_pages/orders_search_form.tpl" target=$target mode=$mode action=$action search_orders="Y"  report_id=$report_id table_id=$table.table_id selected_section="order" additional_advanced_id="orders"}
	{/capture}
	{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.section}
	<script>
	var trg = '';
	</script>
	
	{************** List of found Orders ****************}	
	{if $orders}
	<form action="{$index_script}" method="post" name="add_condition_orders">
	<input type="hidden" name="{$target_name}" value="statistics">
	<input type="hidden" name="{$mode_name}" value="table">
	<input type="hidden" name="{$action_name}" value="add_condition">
	<input type="hidden" name="report_id" value="{$report_id}">
	<input type="hidden" name="table_id" value="{$table.table_id}">
	<input type="hidden" name="selected_section" value="order">
	<input type="hidden" name="page" value="{$smarty.get.page|escape}">

	{include file="common_templates/pagination.tpl"}
	<table border="0" cellpadding="1" cellspacing="1" width="100%">
	<tr class="manage-header">
		<td width="1%">
			<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('add_condition_orders', this.checked, 'add_condition_orders_checkbox');" title="{$lang.check_uncheck_all}"></td>
		<td class="manage-header" align="center" width="10%" nowrap>{$lang.id}</td>
		<td class="manage-header" width="15%" nowrap>{$lang.status}</td>
		<td class="manage-header" width="25%" nowrap>{$lang.customer}</td>
		<td class="manage-header" width="25%" nowrap>{$lang.date}</td>
		<td class="manage-header" width="24%" align="right" nowrap>{$lang.total}</td>
	</tr>
	{foreach from=$orders item="o"}
	<tr {cycle values='class="manage-row", '}>
		<td>
			<input type="checkbox" name="add_parameter[order][{$o.order_id}]" id="add_condition_orders_checkbox" value="Y"></td>	
		<td align="center">
			<a href="{$index_script}?{$target_name}=orders&{$mode_name}=details&order_id={$o.order_id}" class="underlined">&nbsp;<b>#{$o.order_id}</b>&nbsp;</a></td>
		<td class="side-padding"><input type="hidden" name="origin_statuses[{$o.order_id}]" value="{$o.status}">{include file="orders_pages/order_status.tpl" status=$o.status display="view" name="order_statuses[`$o.order_id`]"}</td>
		<td class="side-padding">{$o.firstname} {$o.lastname}</td>	
		<td class="side-padding">
			<a href="{$index_script}?{$target_name}=orders&{$mode_name}=details&order_id={$o.order_id}" class="underlined">{$o.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</a></td>
		<td class="side-padding" align="right">
			{include file="common_templates/price.tpl" value=$o.total}</td>
	</tr>
	{/foreach}
	</table>
	{include file="common_templates/pagination.tpl"}
	<p>{include file="buttons/button.tpl" but_onclick="javascript: if (fn_check_selected('add_condition_orders','add_condition_orders_checkbox')) document.add_condition_orders.submit();"  but_text=$lang.add_orders but_type="input" action_but="action_"}</p>
	</form>
	{/if}
</div>
{************************************************** P R O D U C T ****************************************}
<div id="content_product" style="display: none;">
	{include file="common_templates/subheader.tpl" title=$lang.defined_products}
	{if $conditions.product}
	<form action="{$index_script}" method="post" name="condition_products_form" enctype="multipart/form-data">
	<input type="hidden" name="fake" value="1" />
	<input type="hidden" name="{$target_name}" value="statistics">
	<input type="hidden" name="{$mode_name}" value="table">
	<input type="hidden" name="{$action_name}" value="remove_condition">
	<input type="hidden" name="report_id" value="{$report_id}">
	<input type="hidden" name="table_id" value="{$table.table_id}">
	<input type="hidden" name="selected_section" value="product">
	{/if}

	{include file="products_pages/products_list_update.tpl" products=$conditions.product form_name="condition_products_form" no_pos="Y"}

	<p>
	{if $conditions.product}
	{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('condition_products_form','table', true);"}
	</form>
	<br>
	{/if}
	{include file="common_templates/subheader.tpl" title=$lang.add_products_to_section}

	{capture name="section"}
		{include file="products_pages/products_search_form.tpl" selected_section="product" search_products="Y" extra="<input type=\"hidden\" id=\"table_id\" name=\"table_id\" value=\"`$table.table_id`\"><input type=\"hidden\" id=\"report_id\" name=\"report_id\" value=\"`$report_id`\">"}
	{/capture}
	{include file="common_templates/section.tpl" section_title=$lang.search_for_products section_content=$smarty.capture.section}

	{if $smarty.get.search_products == 'Y'}
	{if $products}
		<form action="{$index_script}" method="post" name="add_condition_products">
		<input type="hidden" name="{$target_name}" value="statistics">
		<input type="hidden" name="{$mode_name}" value="table">
		<input type="hidden" name="{$action_name}" value="add_condition">
		<input type="hidden" name="report_id" value="{$report_id}">
		<input type="hidden" name="table_id" value="{$table.table_id}">
		<input type="hidden" name="category_id" value="{$smarty.get.category_id|escape:'html'}">
		<input type="hidden" name="page" value="{$smarty.get.page|escape}">
		<input type="hidden" name="selected_section" value="product">
	{/if}

	{include file="products_pages/products_list.tpl" products=$products form_name="add_condition_products" checkbox_id="add_condition_product_checkbox" checkbox_name="add_parameter[product]"}

	{if $products}
		{** Form submit section **}
		<p>{include file="buttons/add_products.tpl" but_onclick="javascript: if (fn_check_selected('add_condition_products','add_condition_product_checkbox')) document.add_condition_products.submit();"}
		{** /Form submit section **}
		</form>
	{/if}
	{/if}

	{** /featured products section **}
</div>
{************************************************** U S E R ****************************************}
<div id="content_user" style="display: none;">
	{include file="profiles_pages/profiles_scripts.tpl"}
	{include file="common_templates/subheader.tpl" title=$lang.defined_users}
	{if $conditions.user}
	<form action="{$index_script}" method="post" name="condition_users_form" enctype="multipart/form-data">
	<input type="hidden" name="fake" value="1" />
	<input type="hidden" name="{$target_name}" value="{$target}">
	<input type="hidden" name="{$mode_name}" value="add_condition">
	<input type="hidden" name="{$action_name}" value="remove_condition">
	<input type="hidden" name="report_id" value="{$report_id}">
	<input type="hidden" name="table_id" value="{$table.table_id}">
	<input type="hidden" name="selected_section" value="user">
	{/if}
	<table cellpadding="1" cellspacing="1" border="0" width="100%">
	<tr class="manage-header">
		<td width="1%">
			<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('condition_users_form', this.checked);" title="{$lang.check_uncheck_all}"></td>
		<td class="manage-header" align="center" nowrap>{$lang.id}</td>
		<td class="manage-header">{$lang.email}</td>
		{if $settings.General.use_email_as_login != 'Y'}
		<td class="manage-header">{$lang.username}</td>
		{/if}
		<td class="manage-header">{$lang.name}</td>
		<td class="manage-header">{$lang.registered}</td>
		<td class="manage-header">{$lang.type}</td>
		<td class="manage-header" align="center">{$lang.active}</td>
	</tr>
	{if $conditions.user}
	{foreach from=$conditions.user item=user}
	<tr {cycle values='class="manage-row", '}>
		<td align="center">
			<input type="checkbox" name="delete[{$user.user_id}]" id="delete_checkbox" value="Y"></td>
		<td align="center"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">&nbsp;{$user.user_id}&nbsp;</a></td>
		<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.email}</b></a></td>
		{if $settings.General.use_email_as_login != 'Y'}
		<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.user_login}</b></a></td>
		{/if}
		<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">{$user.firstname} {$user.lastname}</a></td>
		<td class="side-padding">{$user.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
		<td class="side-padding">{if $user.user_type == 'A'}{$lang.administrator}{elseif $user.user_type == 'C'}{$lang.customer}{/if}</td>
		<td align="center"><img src="{$images_dir}/checkbox_{if $user.active == 'N'}un{/if}ticked.gif" width="13" height="13" alt="{$user.active}" /></td>
	</tr>
	{/foreach}
	</table>
	<p>
	{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('condition_users_form','table', true);"}
	</p>
	</form>
	{else}
	<tr>
		<td colspan="8" class="manage-row" align="center">
			<p><b>{$lang.text_all_items_included|replace:'[items]':$lang.users}</b></p>
	</tr>	
	</table>
	{/if}
	<br>

	{include file="common_templates/subheader.tpl" title=$lang.add_users_to_section}
	{include file="profiles_pages/user_search.tpl" target=$target mode=$mode action=$action search_users="Y" report_id=$report_id table_id=$table.table_id selected_section="user" additional_advanced_id='users'}

	{if $users}
	<form action="{$index_script}" method="post" name="add_condition_users">
	<input type="hidden" name="{$target_name}" value="statistics">
	<input type="hidden" name="{$mode_name}" value="table">
	<input type="hidden" name="{$action_name}" value="add_condition">
	<input type="hidden" name="report_id" value="{$report_id}">
	<input type="hidden" name="table_id" value="{$table.table_id}">
	<input type="hidden" name="page" value="{$smarty.get.page|escape}">
	<input type="hidden" name="selected_section" value="user">
	<p>
	{include file="common_templates/pagination.tpl"}
	</p>
	<table cellpadding="1" cellspacing="1" border="0" width="100%">
	<tr class="manage-header">
		<td width="1%">
			<input type="checkbox" name="check_all" value="Y" onclick="javascript: fn_check_all_checkboxes('add_condition_users', this.checked, 'add_condition_users_checkbox');" title="{$lang.check_uncheck_all}"></td>
		<td class="manage-header" align="center" nowrap>{$lang.id}</td>
		<td class="manage-header">{$lang.email}</td>
		{if $settings.General.use_email_as_login != 'Y'}
		<td class="manage-header">{$lang.username}</td>
		{/if}
		<td class="manage-header">{$lang.name}</td>
		<td class="manage-header">{$lang.registered}</td>
		<td class="manage-header">{$lang.type}</td>
		<td class="manage-header" align="center">{$lang.active}</td>
	</tr>
	{foreach from=$users item=user}
	<tr {cycle values='class="manage-row", '}>
		<td align="center">
			<input type="checkbox" name="add_parameter[user][{$user.user_id}]" id="add_condition_users_checkbox" value="Y"></td>
		<td align="center"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">&nbsp;{$user.user_id}&nbsp;</a></td>
		<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.email}</b></a></td>
		{if $settings.General.use_email_as_login != 'Y'}
		<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.user_login}</b></a></td>
		{/if}
		<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">{$user.firstname} {$user.lastname}</a></td>
		<td class="side-padding">{$user.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
		<td class="side-padding">{if $user.user_type == 'A'}{$lang.administrator}{elseif $user.user_type == 'C'}{$lang.customer}{/if}</td>
		<td align="center"><img src="{$images_dir}/checkbox_{if $user.active == 'N'}un{/if}ticked.gif" width="13" height="13" alt="{$user.active}" /></td>
	</tr>
	{/foreach}
	</table>
	{include file="common_templates/pagination.tpl"}
	<p>{include file="buttons/button.tpl" but_onclick="javascript: if (fn_check_selected('add_condition_users','add_condition_users_checkbox')) document.add_condition_users.submit();"  but_text=$lang.add_users but_type="input" action_but="action_"}
	</p>
	</form>
	{/if}
</div>
{********************************* /// ***********************************}
{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name=$target}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.chart_conditions content=$smarty.capture.selected_sections}
