{* $Id: tax_update.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="tax_form">
<input type="hidden" name="{$target_name}" value="taxes" />
<input type="hidden" name="{$mode_name}" value="update_tax" />
<input type="hidden" name="tax_id" value="{$tax.tax_id}" />
<input type="hidden" name="destination_id" value="{$destination_id}" />

{include file="common_templates/subheader.tpl" title=$lang.tax_properties}

<table cellpadding="1" cellspacing="1" border="0">
<tr>
	<td class="field-name" width="110" nowrap="nowrap">{$lang.tax_name}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="tax_description[tax]" size="30" value="{$tax.tax|escape:html}" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.regnumber}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="tax_data[regnumber]" size="30" value="{$tax.regnumber|escape:html}" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.priority}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="tax_data[priority]" size="5" value="{$tax.priority}" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.rates_depend_on}:</td>
	<td>&nbsp;</td>
	<td>
		<select name="tax_data[address_type]">
			<option value="S" {if $tax.address_type == "S"}selected="selected"{/if}>{$lang.shipping_address}</option>
			<option value="B" {if $tax.address_type == "B"}selected="selected"{/if}>{$lang.billing_address}</option>
		</select>
	</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.available}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="tax_data[avail]" value="N" />
		<input type="checkbox" name="tax_data[avail]" value="Y" {if $tax.avail == "Y"}checked="checked"{/if} /></td>
	</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.price_includes_tax}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="tax_data[price_includes_tax]" value="N" />
		<input type="checkbox" name="tax_data[price_includes_tax]" value="Y" {if $tax.price_includes_tax == "Y"}checked="checked"{/if} /></td>
</tr>
</table>

<p></p>
{if 'manage_taxes'|fn_check_privileges:true}
{include file="buttons/update.tpl" but_onclick="javascript:document.tax_form.submit();"}
{/if}
</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$tax.tax content=$smarty.capture.mainbox}

{capture name="mainbox"}
{include file="taxes_pages/rates.tpl"}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.tax_rates content=$smarty.capture.mainbox}
