{* $Id: upgrade_center.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{include file="tools_pages/sections.tpl" section="upgrade_center"}

{capture name="mainbox"}

{if $mode == 'upgrade'}

<center>
<table>
<tr>
	<td>{if $action == 'check_patches'}<b>{/if}{$lang.uc_stage1}{if $action == 'check_patches'}</b>{/if}</td>
	<td>&nbsp;&nbsp;</td>
	<td>{if $action == 'upgrade'}<b>{/if}{$lang.uc_stage2}{if $action == 'upgrade'}</b>{/if}</td>
	<td>&nbsp;&nbsp;</td>
	<td>{if $action == 'upgrade_db'}<b>{/if}{$lang.uc_stage3}{if $action == 'upgrade_db'}</b>{/if}</td>
</tr>
</table>
</center>

<form name="upgrade_form" action="{$index_script}" method="post">
<input type="hidden" name="{$target_name}" value="upgrade_center" />
<input type="hidden" name="{$mode_name}" value="upgrade" />

{if $action == 'check_patches'}
<input type="hidden" name="{$action_name}" value="upgrade" />
	<table cellpadding="2" cellspacing="1">
	<tr>
		<td class="manage-header">{$lang.file}</td>
		<td class="manage-header">{$lang.writable}</td>
		<td class="manage-header">{$lang.patchable}</td>
	</tr>
	{foreach from=$patches item="item"}
	<tr {cycle values='class="manage-row", '}>
		<td>{if $item.new_file}<span style="color: green; font-weight: bold;">{$lang.uc_new}&nbsp;</span>{/if}{$item.name}</td>
		<td align="center">
			{if $item.new_file} 
				<b>DIR:</b>{if $item.dir_is_writable}<span style="color: green;">{$lang.uc_ok}</span>{else}<span style="color: red;">{$lang.uc_failed}</span>{/if}
			{else}
				{if $item.is_writable}<span style="color: green;">{$lang.uc_ok}</span>{else}<span style="color: red;">{$lang.uc_failed}</span>{/if}
			{/if}
		</td>
		<td align="center">
			{if $item.is_patchable == 'R'}
				<span style="color: green;">{$lang.uc_ok}</span>
			{elseif $item.is_patchable == 'P'}
				<span style="color: blue;">{$lang.uc_already_patched}</span>
			{else}
				<span style="color: red;">{$lang.uc_failed}</span>
			{/if}
		</td>
	</tr>
	{/foreach}
	</table>

{elseif $action == 'upgrade'}

<input type="hidden" name="{$action_name}" value="upgrade_db" />
	<table cellpadding="2" cellspacing="1">
	<tr>
		<td class="manage-header">{$lang.file}</td>
		<td class="manage-header">{$lang.status}</td>
	</tr>
	{foreach from=$patches item="item"}
	<tr {cycle values='class="manage-row", '}>
		<td>{$item.name}</td>
		<td align="center">
			{if $item.is_patched}
				<span style="color: green;">{$lang.uc_patched}</span>
			{elseif $item.is_skipped}
				<span style="color: blue;">{$lang.uc_skipped}</span>
			{else}
				<span style="color: red;">{$lang.uc_failed}</span>
			{/if}
		</td>
	</tr>
	{/foreach}

	{if $deleted_files}
	<tr>
		<td colspan="2"><hr width="100%" /></td>
	</tr>
	{foreach from=$deleted_files item="item"}
	<tr {cycle values='class="manage-row", '}>
		<td>{$item.name}</td>
		<td align="center">
			{if $item.is_deleted}
				<span style="color: green;">{$lang.uc_deleted}</span>
			{else}
				<span style="color: red;">{$lang.uc_failed}</span>
			{/if}
		</td>
	</tr>
	{/foreach}
	{/if}
	</table>
{elseif $action == 'upgrade_db'}
	<table cellpadding="2" cellspacing="1">
		<tr>
			<td class="manage-header">{$lang.text}</td>
			<td class="manage-header">{$lang.status}</td>
		</tr>
		{foreach from=$db_upgrade_results item="item"}
		<tr {cycle values='class="manage-row", '}>
			<td>{$item.text}</td>
			<td align="center">
				{if $item.is_ok}
					<span style="color: green;">{$lang.uc_ok}</span>
				{else}
					<span style="color: red;">{$lang.uc_failed}</span>
				{/if}
			</td>
		</tr>
		{/foreach}
	</table>
{/if}

<hr width="100%" />
{if $can_continue == false}
<p>{$lang.uc_patch_testing_failed}</p>
<center>
<table>
<tr>
	<td><b>{$lang.text_uc_ignore_errors}</b></td>
	<td><input type="checkbox" name="skip_failed" value="Y" onclick="fn_show_tag('cont_btn', !this.checked);" /></td>
</tr>
</table>
<br />
{/if}
<table>
<tr>
	<td>
		{include file="buttons/button.tpl" but_text=$lang.back but_onclick="javascript: history.go(-2);"}</td>
	<td>
		&nbsp;&nbsp;</td>
	<td width="100">
		<div id="cont_btn" {if $can_continue == false}style="display: none;"{/if}>
		{if $action == 'upgrade_db'}
			{include file="buttons/button.tpl" but_text=$lang.finish but_href="$index_script?$target_name=upgrade_center&$mode_name=cleanup_session"}
		{else}
			{include file="buttons/button.tpl" but_text=$lang.continue but_onclick="javascript: upgrade_form.submit();"}
		{/if}
		</div>
	</td>
</tr>
</table>
</center>
</form>
{else}

	{include file="common_templates/subheader.tpl" title=$lang.upgrade}
	<form name="start_upgrade_form" action="{$index_script}" method="post">
	<input type="hidden" name="{$target_name}" value="upgrade_center" />
	<input type="hidden" name="{$mode_name}" value="upgrade" />
	<input type="hidden" name="{$action_name}" value="check_patches" />
	<table>
	<tr>
		<td>{$lang.current_version}:</td>
		<td><b>{$smarty.const.CSCART_VERSION}</b></td>
	</tr>
	{*<tr>
		<td>{$lang.upgrade_to}:</td>
		<td>
			{if $available_upgrade}
			<input type="hidden" name="ver" value="{$available_upgrade}" />
			<b>{$available_upgrade}</b>
			{else}
			<b>{$lang.no_upgrade_kits}</b>
			{/if}
		</td>
	</tr>*}
	</table>
	<p><b>{$lang.attention}</b><br />
	{$lang.text_upgrade_center_obsolete}
	</p>
	{if $available_upgrade}
		{if $config_is_writable}
			{include file="buttons/button.tpl" but_text=$lang.start but_onclick="javascript: document.start_upgrade_form.submit();"}
		{else}
			{$lang.uc_config_isnt_writable}
		{/if}
	{/if}
	</form>

	<br />
	{include file="common_templates/subheader.tpl" title=$lang.apply_patch}

	<form name="patch_files_form" action="{$index_script}" method="post">
	<input type="hidden" name="{$target_name}" value="upgrade_center" />
	<input type="hidden" name="{$mode_name}" value="patch_files" />
	<textarea class="input-text" cols="80" rows="10" name="patch_content"></textarea><br />
	<p>{$lang.text_patch_reverse_note}</p>
	<table cellpadding="0" cellspacing="0" border="0">
	<tr>
		<td>
			{include file="buttons/button.tpl" but_text=$lang.submit but_onclick="javascript: patch_files_form.submit();"}</td>
		<td nowrap="nowrap">&nbsp;&nbsp;&nbsp;&nbsp;{$lang.reverse}:</td>
		<td>
			<input type="checkbox" name="reverse_patch" value="Y" /></td>
	</tr>
	</table>
	</form>

	<br />
	{include file="common_templates/subheader.tpl" title=$lang.update_database}

	<form name="patch_database_form" action="{$index_script}" method="post">
	<input type="hidden" name="{$target_name}" value="upgrade_center" />
	<input type="hidden" name="{$mode_name}" value="patch_database" />
	<textarea class="input-text" cols="80" rows="10" name="patch_content"></textarea>
	<p></p>{include file="buttons/button.tpl" but_text=$lang.submit but_onclick="javascript: patch_database_form.submit();"}
	</form>
	<br />

{/if}
{/capture}
{include file="common_templates/mainbox.tpl" title="Upgrade center" content=$smarty.capture.mainbox}
