{* $Id: wishlist_gift_certificates.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}
{if $wishlist.gift_certificates}

{foreach from=$wishlist.gift_certificates item="gift" key="gift_key" name="gift_certificates"}

{if $show_hr}
<hr class="clear-both" />
{else}
	{assign var='show_hr' value=true}
{/if}

<form action="{$index_script}" method="post" name="{$form_prefix}gift_cert_form_{$gift_key}">
<input type="hidden" name="{$target_name}" value="gift_certificates" />
<input type="hidden" name="{$mode_name}" value="do_add" />

{assign var="form_obj" value="certificate_`$form_prefix`_`$gift_key`"}
<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
	var {$form_obj} = new cscart_form('{$form_prefix}gift_cert_form_{$gift_key}', {if $settings.DHTML.ajax_add_to_cart == 'Y'}true{else}false{/if}, 'cart_status');
//]]>
</script>
	<input type="hidden" name="gift_cert_data[send_via]" value="{$gift.send_via}" />
	<input type="hidden" name="gift_cert_data[amount_type]" value="{$gift.amount_type}" />
	<input type="hidden" name="gift_cert_data[amount]" value="{$gift.amount}" />
	<input type="hidden" name="gift_cert_data[correct_amount]" value="N" />	
	<input type="hidden" name="gift_cert_data[recipient]" value="{$gift.recipient}" />
	<input type="hidden" name="gift_cert_data[sender]" value="{$gift.sender}" />
	<input type="hidden" name="gift_cert_data[message]" value="{$gift.message}" />
	{if $gift.email}
	<input type="hidden" name="gift_cert_data[email]" value="{$gift.email}" />
	{/if}
	{if $gift.title}
	<input type="hidden" name="gift_cert_data[title]" value="{$gift.title}" />
	{/if}
	{if $gift.firstname}
	<input type="hidden" name="gift_cert_data[firstname]" value="{$gift.firstname}" />
	{/if}
	{if $gift.lastname}
	<input type="hidden" name="gift_cert_data[lastname]" value="{$gift.lastname}" />
	{/if}
	{if $gift.address}
	<input type="hidden" name="gift_cert_data[address]" value="{$gift.address}" />
	{/if}
	{if $gift.city}
	<input type="hidden" name="gift_cert_data[city]" value="{$gift.city}" />
	{/if}
	{if $gift.country}
	<input type="hidden" name="gift_cert_data[country]" value="{$gift.country}" />
	{/if}
	{if $gift.state}
	<input type="hidden" name="gift_cert_data[state]" value="{$gift.state}" />
	{/if}
	{if $gift.zipcode}
	<input type="hidden" name="gift_cert_data[zipcode]" value="{$gift.zipcode}" />
	{/if}

<div class="products-list-wrapper">
	<div class="product-image" style="width: {$settings.Appearance.thumbnail_width}px;">
		<a href="{$index_script}?{$target_name}=gift_certificates&amp;{$mode_name}=update&amp;gift_cert_wishlist_id={$gift_key}"><img src="{$images_dir}/gift_certificates_cart_icon.gif" width="73" height="76" border="0" alt="{$lang.gift_certificate}" title="{$lang.gift_certificate}" /></a><br />
		<span class="more-info"><a href="{$index_script}?{$target_name}=gift_certificates&amp;{$mode_name}=update&amp;gift_cert_wishlist_id={$gift_key}" class="underlined">{$lang.view_details}&nbsp;<b>&#8250;&#8250;</b></a></span>
	</div>
	<div class="product-description" style="width: 70%;">
		<a href="{$index_script}?{$target_name}=gift_certificates&amp;{$mode_name}=update&amp;gift_cert_wishlist_id={$gift_key}" class="list-product-title">{$lang.gift_certificate}</a>&nbsp;<a href="{$index_script}?{$target_name}=gift_certificates&{$mode_name}=delete&gift_cert_wishlist_id={$gift_key}"><img src="{$images_dir}/delete_product.gif" width="12" height="12" border="0" alt="{$lang.remove}" title="{$lang.remove}" style="vertical-align: bottom;" /></a>
		<p></p>
		<div class="form-field product-list-field">
			<label>{$lang.gift_cert_to}:</label>
			<span>{$gift.recipient}</span>
		</div>
		<div class="form-field product-list-field">
			<label>{$lang.gift_cert_from}:</label>
			<span>{$gift.sender}</span>
		</div>
		<div class="form-field product-list-field">
			<label>{$lang.amount}:</label>
			<span>{include file="common_templates/price.tpl" value=$gift.amount}</span>
		</div>
		<div class="form-field product-list-field">
			<label>{$lang.send_via}:</label>
			<span>{if $gift.send_via == 'E'}{$lang.email}{else}{$lang.postal_mail}{/if}</span>
		</div>

		{if $gift.products && $settings.Addons.gift_certificates_opts.free_products_allow == 'Y'}
		<div class="form-field product-list-field">
			<p></p>
			<label>{$lang.free_products}:</label>
			<div style="clear: both;"></div>
			<p></p>
			{assign var="gift_price" value=""}
			<table cellpadding="0" cellspacing="0" border="0" width="100%" class="table" style="clear: both;">
			<tr>
				<th height="20" width="50%">{$lang.product}</th>
				<th align="center" width="10%">{$lang.price}</th>
				<th align="center" width="10%">{$lang.amount}</th>
				<th align="right" width="10%">{$lang.subtotal}</th>
			</tr>
			{foreach from=$products item="gift_certificate_product" key="key_cert_prod"}
			{if $wishlist.products.$key_cert_prod.extra.in_certificate == $gift_key}
			{assign var="product_id" value=$gift_certificate_product.product_id}
			<input type="hidden" name="gift_cert_data[products][{$gift_certificate_product.product_id}]" value="{$gift.products.$product_id}" />
			{math equation="item_price + gift_" item_price=$gift_certificate_product.subtotal|default:"0" gift_=$gift_price|default:"0" assign="gift_price"}	
			<tr {cycle values=',class="table-row"'}>
				<td>
					<a href="{$index_script}?{$target_name}=products&{$mode_name}=view&product_id={$gift_certificate_product.product_id}" class="underlined">{$gift_certificate_product.product}</a></td>
				<td align="center" class="side-padding" nowrap="nowrap">
					{include file="common_templates/price.tpl" value=$gift_certificate_product.price}</td>
				<td align="center" class="side-padding" nowrap="nowrap">
					{$gift.products.$product_id}</td>
				<td align="right" class="side-padding" nowrap="nowrap">
					{math equation="item_price*amount" item_price=$gift_certificate_product.price|default:"0" assign="subtotal" amount=$gift.products.$product_id}	
					{math equation="subtotal + gift_" subtotal=$subtotal|default:"0" gift_=$gift_price|default:"0" assign="gift_price"}	
					{include file="common_templates/price.tpl" value=$subtotal}</td>
			</tr>
			{/if}
			{/foreach}
			<tr class="table-footer">
				<td colspan="4"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
			</tr>
			</table>
			<p></p>
		</div>

		<div class="form-field product-list-field">
			<label>{$lang.price_summary}:</label>
			<span>{math equation="item_price + gift_" item_price=$gift_price|default:"0" gift_=$gift.amount|default:"0" assign="gift_price"}	
				<b>{include file="common_templates/price.tpl" value=$gift_price}</b></span>
		</div>
		{/if}
	
		<div class="clear-both"><img src="{$images_dir}/spacer.gif" width="1" height="1" border="0" alt="" /></div>

		<div class="buttons-wrapper">
			{include file="buttons/add_to_cart.tpl" but_onclick="$form_obj.submit();"}
		</div>
	</div>
</div>

</form>

{/foreach}

{/if}