{* $Id: event_view.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

{capture name="mainbox"}

<table cellpadding="1" cellspacing="2" width="100%" border="0">
<tr>
	<td class="field-name">{$lang.name}:&nbsp;</td>
	<td width="100%">{$event_data.owner}</td>
</tr>
<tr>
	<td class="field-name" align="left">{$lang.start_date}:&nbsp;</td>
	<td width="100%">{$event_data.start_date|date_format:$settings.Appearance.date_format}</td>
</tr>

<tr>
	<td class="field-name" align="left">{$lang.end_date}:&nbsp;</td>
	<td>{$event_data.end_date|date_format:$settings.Appearance.date_format}</td>
</tr>
{foreach from=$event_fields item=field key=f_id}
<tr>
	<td class="field-name" valign="top">{$field.description}:&nbsp;</td>
	<td>
		{if $field.field_type == 'S' || $field.field_type == 'R'}
			{assign var="i" value=$event_data.fields.$f_id}
			{$field.variants.$i.description}
		{elseif $field.field_type == 'C'}
			{if $event_data.fields.$f_id =='Y'}{$lang.yes}{else}{$lang.no}{/if}
		{elseif $field.field_type == 'I' || $field.field_type == 'T'}
			{$event_data.fields.$f_id}
		{elseif $field.field_type == 'V'}
			{$event_data.fields.$f_id|date_format:$settings.Appearance.date_format}
		{/if}
	</td>
</tr>
{/foreach}
</table>
</form>


<br />
{include file="common_templates/subheader.tpl" title=$lang.defined_desired_products}

{if $event_data.products}
<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/exceptions.js"></script>

<form action="{$index_script}" method="post" name="event_products_form">
<input type="hidden" name="{$target_name}" value="checkout" />
<input type="hidden" name="{$mode_name}" value="add" />

{foreach from=$event_data.products item="product" key="key" name="products"}
<div class="products-list-wrapper">
	<div class="product-image">
		<a href="{$index_script}?{$target_name}=products&product_id={$product.product_id}&combination={$product.product_options_combination}">
		{include file="common_templates/image.tpl" image_width=$settings.Appearance.thumbnail_width obj_id=$key images=$product.main_pair object_type="product"}</a>
	</div>
	<div class="product-description">
		<a href="{$index_script}?{$target_name}=products&product_id={$product.product_id}&combination={$product.product_options_combination}" class="product-title">{$product.product|escape:html}</a>&nbsp;
		<p class="sku" id="sku_{$product.product_id}" {if !$product.product_code}style="display:none"{/if}>
			{$lang.sku}: <span class="sku" id="product_code_{$product.product_id}">{$product.product_code}</span>
		</p>

		<div style="padding-top: 7px">&nbsp;</div>
		{if $product.product_options}
		<p></p>
		{foreach from=$product.product_options_ids item=v key=k}
		<input type="hidden" name="product_data[{$product.product_id}][product_options][{$k}]" value="{$v|escape:html}" />
		{/foreach}
		{include file="common_templates/options_info.tpl" product_options=$product.product_options}
		{/if}

		<div class="clear-both" style="padding-top: 10px">&nbsp;</div>
		<table cellpadding="0" cellspacing="0" border="0" class="table">
		<tr>
			<th>{$lang.price}</th>
			<th>{$lang.desired_amount}</th>
			<th>{$lang.bought_amount}</th>
			<th>{$lang.amount}</th>
		</tr>
		<tr>
			<td nowrap="nowrap" align="center" height="23">
				{if $product.discounts}
					{include file="common_templates/price.tpl" value=$product.discounted_price span_id="discounted_price_`$key`" class="sub-price"}
				{else}
					{include file="common_templates/price.tpl" value=$product.price span_id="original_price_`$key`" class="sub-price"}
				{/if}</td>
			<td nowrap="nowrap" align="center">
				<b>{$product.amount}</b></td>
			<td nowrap="nowrap" align="center">
				<b>{$product.ordered_amount}</b></td>
			<td align="center">
				<input id="giftreg_item_amount_{$product.item_id}" type="hidden" name="product_data[{$product.product_id}][extra][events][{$product.item_id}]" value="1"  />
				{if $product.avail_amount}
				{assign var="range" value=1|range:$product.avail_amount}
				<select name="product_data[{$product.product_id}][amount]" onchange="document.getElementById('giftreg_item_amount_{$product.item_id}').value = this.value;">
				<option value="">0</option>
				{foreach from=$range item=r}
				<option value="{$r}">{$r}</option>
				{/foreach}
				</select>
				{assign var="show_add_to_cart" value="Y"}
				{else}
				&nbsp;-&nbsp;
				{/if}
			</td>
		</tr>
		<tr class="table-footer">
			<td colspan="4"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
		</tr>
		</table>

		<div class="box" style="margin-top: 20px;">
		{if $product.short_description}
			{$product.short_description}
		{else}
			{$product.full_description|strip_tags|escape:html|truncate:280:"...<a href=\"`$index_script`?`$target_name`=products&amp;product_id=`$product.product_id`\" class=\"underlined\">`$lang.more_link`</a>"}
		{/if}
		</div>

	</div>
	<div class="clear-both">&nbsp;</div>
</div>	

{if !$smarty.foreach.products.last}
<hr />
{/if}

{/foreach}

{if $show_add_to_cart == 'Y'}
<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
var event_products = new cscart_form('event_products_form', {if $settings.DHTML.ajax_add_to_cart == 'Y' && !$no_ajax}true{else}false{/if}, 'cart_status');
event_products.set_failed_message(lang.cannot_buy);
event_products.set_onsubmit(fn_check_exceptions, '{$product.product_id}');
//]]>
</script>
<div class="buttons-wrapper">
	{include file="buttons/add_to_cart.tpl" but_onclick="event_products.submit();"}
</div>
{/if}

</form>
{else}
<p align="center" class="table-row"><br /><b>{$lang.text_no_products_defined}</b><br />&nbsp;</p>
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$event_data.title content=$smarty.capture.mainbox}

{if $settings.Addons.discussion == 'Y'}
{include file="addons/discussion/discussion.tpl" object_id=$event_data.event_id object_type="G" title=$lang.discussion_title_giftreg}
{/if}