{* $Id: listboxes.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

{if $lm_listboxes.$box.$order}
	{foreach from=$lm_listboxes.$box.$order item='list'}
		{if $list.objects}
		<div id="content_listmania_{$list.list_id}_{$list.object}_{$list.object_id}">
			{capture name="listbox"}
			{if $list.appearance_type != $smarty.const.LM_ORIGINAL}
				{if $list.description}
				<div class="lm-description">{$list.description}</div>
				{/if}
			{/if}
			{if $target == 'checkout' && ($mode == 'cart' || $mode == 'checkout')}	{* can not use AJAX on cart and checkout pages *}
				{assign var='no_ajax' value='Y'}
				{assign var='redirect_url' value="$index_script?$target_name=$target&amp;$mode_name=$mode"}
			{/if}
			{if ($list.add_to_cart == 'Y' && $list.list_object == $smarty.const.LM_PRODUCT) || $list.appearance_type == $smarty.const.LM_PRODUCTS2}
				{* define variable for button buy_now.tpl *}
				{assign var='form_prefix' value="lm_`$list.list_id`_`$list.object``$list.object_id`"}
				{if $smarty.capture.js_loaded != "Y"}
				<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/exceptions.js"></script>
				{capture name="js_loaded"}Y{/capture}
				{/if}
			{/if}
			{if $list.appearance_type == $smarty.const.LM_SCROLLER}
					{include file="addons/listmania/listboxes/scroller.tpl" object=$list.list_object lm_objects=$list.objects list_id=$list.list_id list=$list add_to_cart=$list.add_to_cart}
			{elseif $list.appearance_type == $smarty.const.LM_LINKS_THUMB}
					{include file="addons/listmania/listboxes/link_thumb.tpl" object=$list.list_object lm_objects=$list.objects add_to_cart=$list.add_to_cart}
			{elseif $list.appearance_type == $smarty.const.LM_MULTICOLUMNS || $list.appearance_type == $smarty.const.LM_MULTICOLUMNS_SMALL}
					{include file="addons/listmania/listboxes/multicolumns.tpl" object=$list.list_object lm_objects=$list.objects lm_list_title=$list.list add_to_cart=$list.add_to_cart}
			{elseif $list.appearance_type == $smarty.const.LM_ORIGINAL}
					{include file="addons/listmania/listboxes/original.tpl" object=$list.list_object lm_objects=$list.objects}
			{elseif $list.appearance_type == $smarty.const.LM_PRODUCTS && $list.list_object == $smarty.const.LM_PRODUCT}
					{include file="addons/listmania/listboxes/products.tpl" object=$list.list_object lm_objects=$list.objects}
			{elseif $list.appearance_type == $smarty.const.LM_PRODUCTS2 && $list.list_object == $smarty.const.LM_PRODUCT}
					{include file="addons/listmania/listboxes/products2.tpl" object=$list.list_object lm_objects=$list.objects}
			{elseif $list.appearance_type == $smarty.const.LM_SIDEBOX_1_ITEM && $list.list_object == $smarty.const.LM_PRODUCT}
					{include file="addons/listmania/listboxes/sidebox_1_item.tpl" object=$list.list_object lm_objects=$list.objects add_to_cart=$list.add_to_cart}
			{elseif $list.appearance_type == $smarty.const.LM_SMALL_ITEMS && $list.list_object == $smarty.const.LM_PRODUCT}
					{include file="addons/listmania/listboxes/small_items.tpl" object=$list.list_object lm_objects=$list.objects add_to_cart=$list.add_to_cart}
			{elseif $list.appearance_type == $smarty.const.LM_WITHOUT_IMAGE && $list.list_object == $smarty.const.LM_PRODUCT}
					{include file="addons/listmania/listboxes/small_items.tpl" object=$list.list_object lm_objects=$list.objects add_to_cart=$list.add_to_cart without_image="Y"}
			{elseif $list.appearance_type == $smarty.const.LM_SCROLLER2}
					{include file="addons/listmania/listboxes/scroller.tpl" object=$list.list_object lm_objects=$list.objects list_id=$list.list_id list=$list add_to_cart=$list.add_to_cart scroller_type=$smarty.const.LM_SCROLLER2}
			{elseif $list.appearance_type == $smarty.const.LM_SCROLLER3}
					{include file="addons/listmania/listboxes/scroller.tpl" object=$list.list_object lm_objects=$list.objects list_id=$list.list_id list=$list add_to_cart=$list.add_to_cart scroller_type=$smarty.const.LM_SCROLLER2 without_image="Y"}
			{else}
					{include file="addons/listmania/listboxes/text_links.tpl" object=$list.list_object lm_objects=$list.objects add_to_cart=$list.add_to_cart}
			{/if}
			{if $list.appearance_type != $smarty.const.LM_ORIGINAL}
				{if $list.on_separate_page == 'Y' && $list.list_object == $smarty.const.LM_PRODUCT}
				<div align="center"><a href="{$index_script}?{$target_name}=listmania&amp;{$mode_name}=view_list&amp;lm_id={$list.lm_id}" class="underlined">{$lang.display_on_separate_page}</a></div>
				{/if}
			{/if}
			{/capture}
			{if $list.appearance_type != $smarty.const.LM_ORIGINAL && !$no_box}
				{if $list.appearance_box == $smarty.const.LM_CENTRAL}
					{if $order == $smarty.const.LM_BEFORE_MAIN_CONTENT}
					{include file="common_templates/mainbox.tpl" title=$list.list content=$smarty.capture.listbox}
					{else}
					{include file="addons/listmania/listboxes/mainbox2.tpl" title=$list.list content=$smarty.capture.listbox}
					{/if}
				{else}
					{include file="common_templates/sidebox.tpl" title=$list.list content=$smarty.capture.listbox icon="sidebox_icon_catalog.gif"}
				{/if}
			{else}
				{$smarty.capture.listbox}
			{/if}
		</div>
		{/if}
	{/foreach}
{/if}