{* $Id: rma_returns.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}
{capture name="mainbox"}

{capture name="section"}
	{include file="addons/rma/rma_search_form.tpl"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.section}
<br />
<form action="{$index_script}" method="post" enctype="multipart/form-data" name="rma_list_form">
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="update_returns" />

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"|escape:html}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table cellpadding="0" cellspacing="0" border="0" width="100%" class="table">
<tr>
	<th width="10%" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&amp;sort_by=return_id&amp;sort_order={$sort_order}{$url_suffix}">{$lang.id}</a>{if $sort_by == 'return_id'}{$sort_sign}{/if}</th>
	<th width="10%"><a class="sort-link" href="{$url_prefix}{$c_url}&amp;sort_by=status&amp;sort_order={$sort_order}{$url_suffix}">{$lang.status}</a>{if $sort_by == 'status'}{$sort_sign}{/if}</th>
	<th width="30%"><a class="sort-link" href="{$url_prefix}{$c_url}&amp;sort_by=customer&amp;sort_order={$sort_order}{$url_suffix}">{$lang.customer}</a>{if $sort_by == 'customer'}{$sort_sign}{/if}</th>
	<th width="25%"><a class="sort-link" href="{$url_prefix}{$c_url}&amp;sort_by=timestamp&amp;sort_order={$sort_order}{$url_suffix}">{$lang.date}</a>{if $sort_by == 'timestamp'}{$sort_sign}{/if}</th>
	<th width="10%" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&amp;sort_by=order_id&amp;sort_order={$sort_order}{$url_suffix}">{$lang.order}&nbsp;{$lang.id}</a>{if $sort_by == 'order_id'}{$sort_sign}{/if}</th>
	<th width="10%" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&amp;sort_by=amount&amp;sort_order={$sort_order}{$url_suffix}">{$lang.quantity}</a>{if $sort_by == 'amount'}{$sort_sign}{/if}</th>
</tr>

{if $return_requests}

{foreach from=$return_requests item="request"}
<tr {cycle values=",class='table-row'"}>
	<td class="side-padding" align="center"><a href="{$index_script}?{$target_name}=rma&amp;{$mode_name}=details&amp;return_id={$request.return_id}" class="underlined">&nbsp;<b>#{$request.return_id}</b>&nbsp;</a></td>
	<td class="side-padding">
		<input type="hidden" name="origin_statuses[{$request.return_id}]" value="{$request.status}">
		{include file="orders_pages/order_status.tpl" status=$request.status display="view" name="return_statuses[`$request.return_id`]" type=$smarty.const.STATUSES_RETURN}
	</td>
	<td class="side-padding">{$request.firstname} {$request.lastname}</td>
	<td class="side-padding"><a href="{$index_script}?{$target_name}=rma&{$mode_name}=details&amp;return_id={$request.return_id}" class="underlined">{$request.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</a></td>
	<td class="side-padding" align="center"><a href="{$index_script}?{$target_name}=orders&amp;{$mode_name}=details&amp;order_id={$request.order_id}" class="underlined">&nbsp;<b>#{$request.order_id}</b>&nbsp;</a></td>
	<td class="side-padding" align="center">{$request.total_amount}</td>
<tr>
{/foreach}

{else}

<tr>
	<td colspan="6" align="center">
		<p></p><b>{$lang.no_return_requests_found}</b><p></p>
	</td>
</tr>
{/if}
<tr class="table-footer">
	<td colspan="6"><img src="{$images_dir}/spacer.gif" border="0" width="1" height="5" alt="" /></td>
</tr>
</table>
</form>
{include file="common_templates/pagination.tpl"}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.return_requests content=$smarty.capture.mainbox}