{* $Id: order_details.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $	*}

<div align="right">
<ul class="action-bullets">
{if $settings.Addons.rma == 'Y'}
	{include file="addons/rma/orders_pages/order_details_top.tpl"}
{/if}
{if $settings.Addons.discussion == 'Y'}
	{include file="addons/discussion/order_allow_discussion.tpl"}	
{/if}
</ul>
</div>
<p class="clear-both"></p>

{capture name="mainbox"}

{if $order_info}
<div align="right">{include file="buttons/button_popup.tpl" but_text=$lang.print_invoice but_href="`$index_script`?`$target_name`=orders&`$mode_name`=print_invoice&order_id=`$order_info.order_id`" width="800" height="600"}</div>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		<table cellpadding="2" cellspacing="0" border="0">
		<tr>
			<td><b>{$lang.order}</b>:&nbsp;</td><td>#{$order_info.order_id}</td>
		</tr>
		<tr>
			<td><b>{$lang.date}</b>:&nbsp;</td><td>{$order_info.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
		</tr>
		<tr>
			<td><b>{$lang.status}</b>:&nbsp;</td><td>{include file="orders_pages/order_status.tpl" status=$order_info.status display="view" name="update_order[status]"}</td>
		</tr>
		</table>
	</td>
	{if $settings.Addons.barcode == 'Y'}
	<td align="right">{include file="addons/barcode/barcode.tpl" id=$order_info.order_id}</td>
	{/if}
</tr>
</table>

{capture name="group"}

{include file="common_templates/subheader.tpl" title=$lang.products_information}

<table cellpadding="0" cellspacing="0" border="0" class="table" width="100%">
<tr>
	<th width="1%" nowrap="nowrap">&nbsp;{$lang.sku}</th>
	<th>{$lang.product}</th>
	<th>{$lang.price}</th>
	<th>{$lang.quantity}</th>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/orders_pages/order_details_head.tpl"}
	{/if}
	{if $order_info.use_discount}
	<th>{$lang.discount}</th>
	{/if}
	{if $order_info.taxes}
	<th>{$lang.tax}</th>
	{/if}

	<th>{$lang.subtotal}</th>
</tr>
{foreach from=$order_info.items item="oi" key="key"}
{if $settings.Addons.product_configurator == 'Y' && $oi.extra.configuration}
{cycle values=",class='table-row'" name="class_cycle" assign="_class"}
	{include file="addons/product_configurator/order_details_configurable.tpl"}
{elseif ($settings.Addons.product_configurator != 'Y' || !$oi.extra.in_configuration) && ($settings.Addons.gift_certificates != 'Y' || !$oi.extra.in_certificate)}
{cycle values=",class='table-row'" name="class_cycle" assign="_class"}
<tr {$_class} valign="top">
	<td nowrap="nowrap">&nbsp;{$oi.product_code}&nbsp;</td>
	<td>&nbsp;<a href="{$index_script}?{$target_name}=products&amp;product_id={$oi.product_id}">{$oi.product}</a>
	{if ($order_info.status == 'P' || $order_info.status == 'C') && $oi.extra.is_edp}
	<div align="right"><a href="{$index_script}?{$target_name}=products&amp;{$mode_name}=download&amp;ekey={$oi.extra.ekey}"><b>[{$lang.download}]</b></a></div>
	{/if}
	{if $oi.product_options}<div style="padding-top: 1px; padding-bottom: 2px;">&nbsp;{include file="common_templates/options_info.tpl" product_options=$oi.product_options}</div>{/if}
	{if $settings.Addons.promotions == 'Y'}
		{include file="addons/promotions/orders_pages/order_details_body.tpl"}
	{/if}
	{if $settings.Addons.gift_certificates == 'Y'}
		{include file="addons/gift_certificates/orders_pages/order_details_body.tpl"}
	{/if}
	{if $settings.Addons.rma == 'Y'}
		{include file="addons/rma/orders_pages/order_details_body.tpl"}
	{/if}
	</td>
	<td align="right" nowrap="nowrap">
		{if $oi.extra.exclude_from_calculate}{$lang.free}{else}{include file="common_templates/price.tpl" value=$oi.price}{/if}</td>
	<td align="center">&nbsp;{$oi.amount}</td>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/orders_pages/order_details_body.tpl"}
	{/if}
	{if $order_info.use_discount}
	<td align="right" nowrap="nowrap">
		{if $oi.extra.discount|floatval}{include file="common_templates/price.tpl" value=$oi.extra.discount}{else}-{/if}</td>
	{/if}
	{if $order_info.taxes}
	<td align="center" nowrap="nowrap">
		{if $oi.tax_value|floatval}{include file="common_templates/price.tpl" value=$oi.tax_value}{else}-{/if}</td>
	{/if}
	<td align="right">
             &nbsp;<b>{if $oi.extra.exclude_from_calculate}{$lang.free}{else}{include file="common_templates/price.tpl" value=$oi.subtotal}{/if}</b></td>
</tr>
{/if}
{/foreach}
{if $settings.Addons.gift_certificates == 'Y'}
	{include file="addons/gift_certificates/orders_pages/order_details_gift_certificates.tpl"}
{/if}
<tr class="table-footer">
	{assign var="colsp" value=5}
	{if $settings.Addons.reward_points == 'Y'}{assign var="colsp" value=$colsp+2}{/if}
	{if $order_info.use_discount}{assign var="colsp" value=$colsp+1}{/if}
	{if $order_info.taxes}{assign var="colsp" value=$colsp+1}{/if}
	<td colspan="{$colsp}"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
</tr>
</table>


{if $settings.Addons.rma == 'Y'}
	{include file="addons/rma/orders_pages/order_details.tpl"}
{/if}

{include file="common_templates/subheader.tpl" title=$lang.order_info}

<table>
{if $order_info.payment_id}
<tr>
	<td><b>{$lang.payment_method}:&nbsp;</b></td>
	<td>{$order_info.payment_method.payment}&nbsp;{if $order_info.payment_method.description}({$order_info.payment_method.description}){/if}</td>
</tr>
{/if}
{if $settings.Addons.gift_certificates == 'Y'}
	{include file="addons/gift_certificates/orders_pages/order_details_payment_info.tpl"}
{/if}
{if $order_info.shipping}
<tr>
	<td valign="top"><b>{$lang.shipping}:&nbsp;</b></td>
	<td valign="top">
		{foreach from=$order_info.shipping item="shipping" key="shipping_id" name="f_shipp"}
				{if !$smarty.foreach.f_shipp.first}<p style="margin-top: 4px;">{/if}

				{if $shipping.carrier && $shipping.tracking_number}
					{if $shipping.carrier == 'USP'}
						{assign var="url" value="http://trkcnfrm1.smi.usps.com/PTSInternetWeb/InterLabelInquiry.do?strOrigTrackNum=`$shipping.tracking_number`"}
					{elseif $shipping.carrier == 'UPS'}
						{assign var="url" value="http://wwwapps.ups.com/WebTracking/processInputRequest?AgreeToTermsAndConditions=yes&amp;tracknum=`$shipping.tracking_number`"}
					{elseif $shipping.carrier == 'FDX'}
						{assign var="url" value="http://fedex.com/Tracking?action=track&amp;tracknumbers=`$shipping.tracking_number`"}
					{elseif $shipping.carrier == 'AUP'}
						<form name="tracking_form{$shipping_id}" target="_blank" action="http://ice.auspost.com.au/display.asp?ShowFirstScreenOnly=FALSE&ShowFirstRecOnly=TRUE" method="post">
						<input type="hidden"  name="txtItemNumber" maxlength="13" value="{$shipping.tracking_number}" />
						</form>
						{assign var="url" value="javascript: document.tracking_form`$shipping_id`.submit();"}
					{elseif $shipping.carrier == 'DHL' || $shipping.carrier == 'ARB'}
						<form name="tracking_form{$shipping_id}" target="_blank" method="post" action="http://track.dhl-usa.com/TrackByNbr.asp?nav=Tracknbr">
						<input type="hidden" name="txtTrackNbrs" value="{$shipping.tracking_number}" />
						</form>
						{assign var="url" value="javascript: document.tracking_form`$shipping_id`.submit();"}
					{/if}
					{$shipping.shipping}&nbsp;({$lang.tracking_num}<a class="underlined" {if $url|strpos:"://"}target="_blank"{/if} href="{$url}">{$shipping.tracking_number}</a>)
				{else}
					{$shipping.shipping}
				{/if}
				{if !$smarty.foreach.f_shipp.first}</p>{/if}
		{/foreach}	
	</td>
</tr>
{/if}
<tr>
	<td><b>{$lang.subtotal}:&nbsp;</b></td>
	<td>{include file="common_templates/price.tpl" value=$order_info.subtotal}</td>
</tr>
{if $order_info.shipping_cost|floatval}
<tr>
	<td><b>{$lang.shipping_cost}:&nbsp;</b></td>
	<td>{include file="common_templates/price.tpl" value=$order_info.shipping_cost}</td>
</tr>
{/if}
{if $order_info.discount|floatval}
<tr>
	<td nowrap="nowrap"><b>{$lang.including_discount}:</b></td>
	<td nowrap="nowrap">
		{include file="common_templates/price.tpl" value=$order_info.discount}</td>
</tr>
{/if}

{if $settings.Addons.reward_points == 'Y'}
	{include file="addons/reward_points/orders_pages/order_details_info.tpl"}
{/if}

{if $order_info.shipping_discount.free_shipping=='Y' && $order_info.shipping_discount.discount_id|intval}
<tr>
	<td colspan="2" nowrap="nowrap"><b>{$lang.discount}</b> ({$lang.free_shipping})</td>
</tr>
{/if}

{if $settings.Addons.promotions == 'Y'}
	{include file="addons/promotions/orders_pages/order_details_info.tpl"}
{/if}

{if $order_info.coupons}
{foreach from=$order_info.coupons item="coupon" key="key"}
<tr>
	<td colspan="2" nowrap="nowrap">
	<b>{$lang.discount_coupon}</b> {$key} ({if $coupon.free_shipping == 'Y'}{$lang.free_shipping}{else}{include file="common_templates/modifier.tpl" mod_value=$coupon.value mod_type=$coupon.value_type}{/if})
	</td>
</tr>
{/foreach}
{/if}

{if $order_info.taxes}
<tr>
	<td align="left"><b>{$lang.including_taxes}:</b></td>
	<td>&nbsp;</td>
</tr>
{foreach from=$order_info.taxes item=tax_data}
<tr>
	<td>{$tax_data.description}&nbsp;{include file="common_templates/modifier.tpl" mod_value=$tax_data.rate_value mod_type=$tax_data.rate_type}&nbsp;{if $tax_data.regnumber}({$tax_data.regnumber}){/if}&nbsp;</td>
	<td>{include file="common_templates/price.tpl" value=$tax_data.tax_subtotal}</td>
</tr>
{/foreach}
{/if}
{if $order_info.tax_exempt == 'Y'}
<tr>
	<td><b>{$lang.tax_exempt}</b></td>
	<td>&nbsp;</td>
<tr>
{/if}

{if $order_info.payment_surcharge|floatval}
<tr>
	<td>{$lang.payment_surcharge}:&nbsp;</td>
	<td>{include file="common_templates/price.tpl" value=$order_info.payment_surcharge}</td>
</tr>
{/if}
{if $settings.Addons.rma == 'Y'}
	{include file="addons/rma/orders_pages/order_details_info.tpl"}
{/if}
<tr>
	<td><b>{$lang.total}:&nbsp;</b></td>
	<td><b>{include file="common_templates/price.tpl" value=$order_info.total}</b></td>
</tr>
<tr>
	<td valign="top"><b>{$lang.customer_notes}:&nbsp;</b></td>
	<td>{$order_info.notes|replace:"\n":"<br />"|default:"-"}</td>
</tr>
</table>


{* Customer info *}
{include file="profiles_pages/profiles_info.tpl" user_data=$order_info location="I" details="Y"}
{* /Customer info *}


{/capture}
{include file="common_templates/group.tpl"  content=$smarty.capture.group}

{/if}

{if $settings.Addons.discussion == 'Y'}
{include file="addons/discussion/discussion.tpl" object_id=$order_info.order_id object_type="O" title=$lang.discussion_title_order}
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.order_info content=$smarty.capture.mainbox}

{* REPAY functionality*}
{if $settings.General.repay == 'Y' && $payment_methods}
	{include file="orders_pages/order_repay.tpl"}
{/if}
{* /REPAY functionality*}


{if $smarty.get.confirmation == 'Y'}
{* place any code you wish to display on this page right after the order has been placed *}

{if $settings.Addons.google_analytics == "Y"}
{include file="addons/google_analytics/reporter.tpl"}
{/if}

{/if}