{* $Id: cc.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

<div class="form-field">
	<label for="cc_type">{$lang.select_card}:</label>
	<span class="required-field-mark">*</span>
	<select id="cc_type" name="payment_info[card]" onchange="fn_check_cc_type(this.value);">
		{foreach from=$credit_cards item="c"}
			<option value="{$c.param}" {if $cart.payment_info.card == $c.param}selected="selected"{/if}>{$c.descr}</option>
		{/foreach}
	</select>
</div>
<div class="form-field">
	<label for="cc_number">{$lang.card_number}:</label>
	<span class="required-field-mark">*</span>
	<input id="cc_number" size="35" type="text" name="payment_info[card_number]" value="{$cart.payment_info.card_number}" class="input-text" />
</div>
<div class="form-field">
	<label for="cc_name">{$lang.cardholder_name}:</label>
	<span class="required-field-mark">*</span>
	<input id="cc_name" size="35" type="text" name="payment_info[cardholder_name]" value="{$cart.payment_info.cardholder_name}" class="input-text" />
</div>

<div class="form-field" id="display_start_date" style="display: none;">
	<label for="cc_name">{$lang.start_date}:</label>
	<span class="required-field-mark">*</span>
	{if $cart.payment_info.start_date|@is_array}
		{assign var="stime" value="`$cart.payment_info.start_date.Date_Year`-`$cart.payment_info.start_date.Date_Month`-01"}
	{elseif $cart.payment_info.start_date}
		{assign var="t_year" value=$cart.payment_info.start_date|substr:-2}
		{assign var="t_month" value=$cart.payment_info.start_date|substr:0:2}
		{assign var="stime" value="20`$t_year`-`$t_month`-01"}
	{else}
		{assign var="stime" value=$smarty.const.TIME}
	{/if}
	{html_select_date year_extra="id='cc_start_year'" month_extra="id='cc_start_month'" field_array="payment_info[start_date]" time=$stime start_year="-10" display_days=false month_format="%m" field_separator="&nbsp;/&nbsp;"}
</div>
<div class="form-field">
	<label for="cc_name">{$lang.expiry_date}:</label>
	<span class="required-field-mark">*</span>
	{if $cart.payment_info.expiry_date|@is_array}
		{assign var="stime" value="`$cart.payment_info.expiry_date.Date_Year`-`$cart.payment_info.expiry_date.Date_Month`-01"}
	{elseif $cart.payment_info.expiry_date}
		{assign var="t_year" value=$cart.payment_info.expiry_date|substr:-2}
		{assign var="t_month" value=$cart.payment_info.expiry_date|substr:0:2}
		{assign var="stime" value="20`$t_year`-`$t_month`-01"}
	{else}
		{assign var="stime" value=$smarty.const.TIME}
	{/if}
	{html_select_date year_extra="id='cc_exp_year'" month_extra="id='cc_exp_month'" field_array="payment_info[expiry_date]" time=$stime end_year="+10" display_days=false month_format="%m" field_separator="&nbsp;/&nbsp;"}
</div>
<div class="form-field" id="display_cvv2" style="display:none">
	<label for="cc_cvv2">{$lang.cvv2}:</label>
	<span class="required-field-mark" id="cvv2_required">*</span>
	<input id="cc_cvv2" type="text" name="payment_info[cvv2]" value="{$cart.payment_info.cvv2}" size="4" maxlength="4" class="input-text" />
	<span>&nbsp;&nbsp;</span>
	<span>&nbsp;</span>
</div>
<div class="form-field" id="display_issue_number" style="display:none">
	<label>{$lang.issue_number}:</label>
	<span class="required-field-mark" id="issue_number_required">*</span>
	<input id="cc_issue_number" type="text" name="payment_info[issue_number]" value="{$cart.payment_info.issue_number}" size="2" maxlength="2" class="input-text" />
	<span>&nbsp;&nbsp;</span>
	<span>&nbsp;</span>
</div>

		<script type="text/javascript" language="javascript 1.2">
		//<![CDATA[
		var check_cc = true;

		var validator_messages = new Array();
		validator_messages['number_not_valid'] = '{$lang.error_card_number_not_valid|escape:javascript}';
		validator_messages['wrong_card'] = '{$lang.error_wrong_card|escape:javascript}';
		validator_messages['expired'] = '{$lang.error_card_expired|escape:javascript}';
		validator_messages['wrong_cvv2'] = '{$lang.error_wrong_cvv2|escape:javascript}';

		var cvv2_required = new Array();
		var start_date_required = new Array();
		var issue_number_required = new Array();
		{foreach from=$credit_cards item="c"}
		cvv2_required['{$c.param}'] = '{$c.param_2}';
		start_date_required['{$c.param}'] = '{$c.param_3}';
		issue_number_required['{$c.param}'] = '{$c.param_4}';
		{/foreach}

		// Check payment info fields
		function fn_can_place_order()
		{$ldelim}
			if (false == fn_check_agreement()){$ldelim}
				return false;
			{$rdelim}
			var card_number = document.getElementById('cc_number').value.replace(/[ -]/gi, '');
			var card_type = document.getElementById('cc_type').value;
			var exp_mon = document.getElementById('cc_exp_month').value;
			var exp_year = document.getElementById('cc_exp_year').value;

			// Reserved
			var start_mon = start_date_required[card_type] == 'Y' ? document.getElementById('cc_start_month').value : '';
			var start_year = start_date_required[card_type] == 'Y' ? document.getElementById('cc_start_year').value : '';
			var cvv2 = cvv2_required[card_type] == 'Y' ? document.getElementById('cc_cvv2').value : '';
			if (CheckCardNumber(card_number, card_type, exp_mon, exp_year)) {$ldelim}
				document.getElementById('cc_number').value = card_number;
				return true;
			{$rdelim}

			return false;
		{$rdelim}

		function fn_check_cc_type(card)
		{$ldelim}
			if (cvv2_required[card] == 'Y') {$ldelim}
				document.getElementById('display_cvv2').style.display = '';
			{$rdelim} else {$ldelim}
				document.getElementById('display_cvv2').style.display = 'none';
			{$rdelim}
			if (start_date_required[card] == 'Y') {$ldelim}
				document.getElementById('display_start_date').style.display = '';
			{$rdelim} else {$ldelim}
				document.getElementById('display_start_date').style.display = 'none';
			{$rdelim}
			if (issue_number_required[card] == 'Y') {$ldelim}
				document.getElementById('display_issue_number').style.display = '';
			{$rdelim} else {$ldelim}
				document.getElementById('display_issue_number').style.display = 'none';
			{$rdelim}
		{$rdelim}
		fn_check_cc_type(document.getElementById('cc_type').value);
		//]]>
		</script>
