{* $Id: profiles_account.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

{if !$nothing_extra}
	{include file="common_templates/subheader.tpl" title=$lang.user_account_info}
{/if}

{if $memberships}
<div class="form-field">
	<label for="membership_id">{$lang.signup_for_membership}:</label>
	<span id="status_membership_id" class="required-field-mark">&nbsp;&nbsp;</span>
	<select id="membership_id" name="user_data[membership_id]">
			<option value="0">{$lang.not_a_member}</option>
			{foreach from=$memberships item=membership}
			<option value="{$membership.membership_id}" {if $user_data.membership_id == $membership.membership_id}selected="selected"{/if}>{$membership.membership}</option>
			{/foreach}
	</select>
</div>
{/if}

{if $settings.Affiliate.enable == 'Y' && $user_data.user_type != 'P' && $mode == 'update'}
<div class="form-field">
	<label for="user_type">{$lang.account_type}:</label>
	<span id="status_user_type" class="required-field-mark">&nbsp;&nbsp;</span>
	<select id="user_type" name="user_data[user_type]" onchange="document.getElementById('id_affiliate_agree_notification').style.display=((this.value == 'P')?'':'none');">
		<option value="C" {if $user_data.user_type == 'C' || ($mode == 'add' && $smarty.get.user_type == 'C')}selected="selected"{/if}>{$lang.customer}</option>
		<option value="P" {if $user_data.user_type == 'P' || ($mode == 'add' && $smarty.get.user_type == 'P')}selected="selected"{/if}>{$lang.partner}</option>
	</select>
</div>
{/if}

{if $settings.General.use_email_as_login == 'Y'}
{if $location != 'checkout'}
<div class="form-field">
	<label for="email">{$lang.email}:</label>
	<span id="mark_email" class="required-field-mark">*</span>
	<input type="text" id="email" name="user_data[email]" size="32" maxlength="128" value="{$user_data.email|escape:html}" class="input-text" />
</div>
{/if}
{else}
<div class="form-field">
	<label for="user_login_profile">{$lang.username}:</label>
	<span id="mark_user_login_profile" class="required-field-mark">*</span>
	<input id="user_login_profile" type="text" name="user_data[user_login]" size="32" maxlength="32" value="{$user_data.user_login|escape:html}" class="input-text" />
</div>
{/if}

<div class="form-field">
	<label for="password1">{$lang.password}:</label>
	<span id="mark_password1" class="required-field-mark">*</span>
	<input type="password" id="password1" name="user_data[password1]" size="32" maxlength="32" value="{if $mode == 'update'}            {/if}" class="input-text" />
</div>

<div class="form-field">
	<label for="password2">{$lang.confirm_password}:</label>
	<span id="mark_password2" class="required-field-mark">*</span>
	<input type="password" id="password2" name="user_data[password2]" size="32" maxlength="32" value="{if $mode == 'update'}            {/if}" class="input-text" />
</div>
