{* $Id: manage_payouts.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file='affiliate/payout_search.tpl"}

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.partner_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="table-head">
	<td class="table-head" width="10%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=username&sort_order={$sort_order}{$url_suffix}">{$lang.username}</a>{if $sort_by == 'username'}{$sort_sign}{/if}</td>
	<td class="table-head" width="27%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=partner&sort_order={$sort_order}{$url_suffix}">{$lang.partner}</a>{if $sort_by == 'partner'}{$sort_sign}{/if}</td>
	<td class="table-head" width="15%" align="right"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=amount&sort_order={$sort_order}{$url_suffix}">{$lang.amount}</a>{if $sort_by == 'amount'}{$sort_sign}{/if}</td>
	<td class="table-head" width="15%" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=date&sort_order={$sort_order}{$url_suffix}">{$lang.date}</a>{if $sort_by == 'date'}{$sort_sign}{/if}</td>
	<td class="table-head" width="20%" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=status&sort_order={$sort_order}{$url_suffix}">{$lang.status}</a>{if $sort_by == 'status'}{$sort_sign}{/if}</td>
	<td class="table-head" width="10%">&nbsp;</td>
</tr>
{if $payouts}
{foreach from=$payouts key='payout_id' item='payout'}
<tr {cycle values='class="manage-row", '}>
	<td class="side-padding" style="height: 20px;">{$payout.user_login}</td>
	<td class="side-padding">{$payout.firstname} {$payout.lastname}</td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$payout.amount}</td>
	<td class="side-padding" align="center">{$payout.date|date_format:"`$settings.Appearance.date_format` `$settings.Appearance.time_format`"}</td>
	<td class="side-padding" align="center">
			{if $payout.status=='O'}{$lang.open}{else}{$lang.successful}{/if}
	</td>
	<td class="side-padding" align="right">
		{include file="buttons/button.tpl" but_text=$lang.details but_onclick="$index_script?$target_name=$target&payout_id=$payout_id" but_style="text"}
	</td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="6" align="center" class="side-padding"><p><b>{$lang.no_payouts_found}</b></p></td>
</tr>
{/if}
</table>

{include file="common_templates/pagination.tpl"}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.affiliate_payouts content=$smarty.capture.mainbox}