{* $Id: products_search_form.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

<form action="{$index_script}{if $page_part}#{$page_part}{/if}" name="search_form" method="get">
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="{$mode}" />
{if $action}
<input type="hidden" name="{$action_name}" value="{$action}" />
{/if}
<input type="hidden" name="type" value="{$search_type|default:'simple'}" />

{if $search_products == 'Y'}
<input type="hidden" name="search_products" value="Y" />
{/if}

{if $selected_section != ""}
<input type="hidden" id="selected_section" name="selected_section" value="{$selected_section}" />
{/if}

{$extra}

{if $search_products == 'Y'}
<input type="hidden" value="Y" name="pname" />
<input type="hidden" value="Y" name="pshort" />
<input type="hidden" value="Y" name="pfull" />
<input type="hidden" value="Y" name="subcats" />
{/if}

<table cellpadding="1" cellspacing="1" border="0">
<tr>
	<td width="120">{$lang.find_results_with}:</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				<select name="match">
					<option value="any" {if $smarty.get.match == 'any'}selected="selected"{/if}>{$lang.any_words}</option>
					<option value="all" {if $smarty.get.match == 'all'}selected="selected"{/if}>{$lang.all_words}</option>
					<option value="exact" {if $smarty.get.match == 'exact'}selected="selected"{/if}>{$lang.exact_phrase}</option>
				</select></td>
			<td>&nbsp;</td>
			<td>
				<input type="text" name="q" size="45" value="{$search_data.search_string|fn_stripslashes|escape:html}" class="input-text" /></td>
		</tr>
		</table>
	</td>
</tr>
{if $search_products != 'Y'}
<tr>
	<td>{$lang.search_in}:</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td><input type="checkbox" value="Y" {if $search_data.search_product_name == 'Y'}checked="checked"{/if} name="pname" /></td>
			<td>{$lang.product_name}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" {if $search_data.search_short_description == 'Y'}checked="checked"{/if} name="pshort" /></td>
			<td>{$lang.short_description}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" {if $search_data.search_full_description == 'Y'}checked="checked"{/if} name="pfull" /></td>
			<td>{$lang.full_description}</td>
		</tr>
		</table>
	</td>
</tr>
{if $product_features}
<tr>
	<td class="" valign="top">{$lang.search_by_product_features}:</td>
	<td>
		{html_checkboxes name="feature" options=$product_features columns=4 selected=$smarty.get.feature}
	</td>
</tr>
{/if}
{/if}
<tr>
	<td>{$lang.search_in_category}:</td>
	<td>
		<select	name="cid">
			<option	value="0" {if $category_data.parent_id == "0"}selected{/if}>- {$lang.all_categories} -</option>
			{foreach from=$all_categories_list item="search_cat"}
			<option	value="{$search_cat.category_id}" {if $search_data.search_category_id == $search_cat.category_id}selected="selected"{/if}>{$search_cat.category|indent:$search_cat.level:"&#166;&nbsp;&nbsp;&nbsp;&nbsp;":"&#166;--&nbsp;"}</option>
			{/foreach}
		</select>
	</td>
</tr>
{if $search_products != 'Y'}
<tr>
	<td>&nbsp;</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				<input type="checkbox" value="Y" {if $search_data.search_subcategories == 'Y'}checked="checked"{/if} name="subcats" /></td>
			<td>{$lang.search_in_subcategories}</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td class="">{$lang.search_by_sku}:</td>
	<td>
		<input type="text" name="pcode" value="{$smarty.get.pcode|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
<tr>
	<td colspan="2"><p></p>
	{include file="buttons/button.tpl" but_text=$lang.advanced_search_options but_onclick="javascript: fn_show_tag('advanced_options');" but_style="text"}
	</td>
</tr>
<tbody id="advanced_options" {if !($smarty.get.mid || $smarty.get.price_from || $smarty.get.weight_from || $smarty.get.price_to || $smarty.get.weight_to || $smarty.get.amount_to || $smarty.get.amount_from || $smarty.get.shipping_freight_from || $smarty.get.shipping_freight_to || $smarty.get.free_shipping || $smarty.get.avail)}style="display: none;"{/if}>
<tr>
	<td colspan="2"><hr /></td>
</tr>
{if $manufacturers}
<tr>
	<td class="">{$lang.search_by_manufacturer}:</td>
	<td>
		<select	name="mid">
			<option	value="0">- {$lang.all_manufacturers} -</option>
			{foreach from=$manufacturers item="manufacturer"}
			<option	value="{$manufacturer.manufacturer_id}" {if $smarty.get.mid == $manufacturer.manufacturer_id}selected="selected"{/if}>{$manufacturer.manufacturer}</option>
			{/foreach}
		</select>
	</td>
</tr>
{/if}
<tr>
	<td class="">{$lang.price}&nbsp;({$currencies.$primary_currency.symbol}):</td>
	<td nowrap="nowrap">
		<input type="text" name="price_from" value="{$smarty.get.price_from|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="price_to" value="{$smarty.get.price_to|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
<tr>
	<td class="">{$lang.shipping_freight}&nbsp;({$currencies.$primary_currency.symbol}):</td>
	<td nowrap="nowrap">
		<input type="text" name="shipping_freight_from" value="{$smarty.get.shipping_freight_from|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="shipping_freight_to" value="{$smarty.get.shipping_freight_to|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
<tr>
	<td class="">{$lang.weight}&nbsp;({$settings.General.weight_symbol}):</td>
	<td nowrap="nowrap">
		<input type="text" name="weight_from" value="{$smarty.get.weight_from|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="weight_to" value="{$smarty.get.weight_to|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
<tr>
	<td class="">{$lang.amount}&nbsp;:</td>
	<td nowrap="nowrap">
		<input type="text" name="amount_from" value="{$smarty.get.amount_from|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="amount_to" value="{$smarty.get.amount_to|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
<tr>
	<td class="">{$lang.free_shipping}&nbsp;:</td>
	<td nowrap="nowrap">
		<select name="free_shipping">
			<option value="">--</option>
			<option value="Y" {if $smarty.get.free_shipping == 'Y'}selected="selected"{/if}>{$lang.yes}</option>
			<option value="N" {if $smarty.get.free_shipping == 'N'}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>
<tr>
	<td class="">{$lang.avail}&nbsp;:</td>
	<td nowrap="nowrap">
		<select name="avail">
			<option value="">--</option>
			<option value="Y" {if $smarty.get.avail == 'Y'}selected="selected"{/if}>{$lang.yes}</option>
			<option value="N" {if $smarty.get.avail == 'N'}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>
</tbody>
{/if}
</table>
<p></p>

{if 'view_catalog'|fn_check_privileges:true}
{include file="buttons/search.tpl" but_onclick="javascript:document.search_form.submit();" but_type="input" but_arrow="on"}
{/if}
</form>
