{* $Id: event_form.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

<script type="text/javascript" language="javascript 1.2">
var event_frm = new cscart_form('event_form');
event_frm.set_required_fields({foreach from=$event_fields item=field}{if $field.required == 'Y'}'elm_{$field.field_id}', {/if}{/foreach}'elm_title', 'elm_owner', 'elm_email');
</script>

{capture name="mainbox"}
<p>{$lang.text_mandatory_fields}</p>

<form action="{$index_script}" method="post" name="event_form">
<input type="hidden" name="{$target_name}" value="events" />
<input type="hidden" name="{$mode_name}" value="{$mode}" />
{if $event_id}
<input type="hidden" name="event_id" value="{$event_id}" />
{/if}
{if $access_key}
<input type="hidden" name="access_key" value="{$access_key}" />
{/if}

<table cellpadding="1" cellspacing="2" width="100%" border="0">
<tr>
	<td width="15%" nowrap="nowrap" class="field-name">{$lang.title}:</td>
	<td valign="middle" id="mark_elm_title" class="required-field-mark">*</td>
	<td nowrap="nowrap"><input type="text" id="elm_title" class="input-text" size="70" name="event_data[title]" value="{$event_data.title|escape:html}" /></td>
	<td width="100%" id="status_elm_title" class="required-field-mark">&nbsp;</td>
</tr>
<tr>
	<td width="15%" nowrap="nowrap" class="field-name">{$lang.your_name}:</td>
	<td valign="middle" id="mark_elm_owner" class="required-field-mark">*</td>
	<td nowrap="nowrap"><input type="text" id="elm_owner" class="input-text" size="70" name="event_data[owner]" value="{$event_data.owner|escape:html|default:"`$user_info.firstname` `$user_info.lastname`"}" /></td>
	<td width="100%" id="status_elm_owner" class="required-field-mark">&nbsp;</td>
</tr>
<tr>
	<td width="15%" nowrap="nowrap" class="field-name">{$lang.email}:</td>
	<td valign="middle" id="mark_elm_email" class="required-field-mark">*</td>
	<td nowrap="nowrap"><input type="text" id="elm_email" class="input-text" size="70" name="event_data[email]" value="{$event_data.email|escape:html|default:$user_info.email}" /></td>
	<td width="100%" id="status_elm_email" class="required-field-mark">&nbsp;</td>
</tr>
<tr>
	<td width="15%" nowrap="nowrap" class="field-name">{$lang.start_date}:&nbsp;</td>
	<td valign="middle" id="mark_elm_start_date" class="required-field-mark">*</td>
	<td nowrap="nowrap">{html_select_date prefix='from_' field_array="event_data[start_date]" end_year="+1" time=$event_data.start_date start_year=$settings.Company.company_start_year}</td>
	<td width="100%" id="status_elm_start_date" class="required-field-mark">&nbsp;</td>
</tr>

<tr>
	<td width="15%" nowrap="nowrap" class="field-name">{$lang.end_date}:&nbsp;</td>
	<td valign="middle" id="mark_elm_end_date" class="required-field-mark">*</td>
	<td nowrap="nowrap">{html_select_date prefix='to_' field_array="event_data[end_date]" end_year="+1" time=$event_data.end_date start_year=$settings.Company.company_start_year}</td>
	<td width="100%" id="status_elm_end_date" class="required-field-mark">&nbsp;</td>
</tr>
<tr>
	<td width="15%" nowrap="nowrap" class="field-name">{$lang.type}:</td>
	<td valign="middle" id="mark_elm_type" class="required-field-mark">*</td>
	<td nowrap="nowrap">
		<select id="elm_type" class="input-text" name="event_data[type]">
				<option value="P" {if $event_data.type == 'P'}selected="selected"{/if}>{$lang.public}</option>
				<option value="U" {if $event_data.type == 'U'}selected="selected"{/if}>{$lang.private}</option>
				<option value="D" {if $event_data.type == 'D'}selected="selected"{/if}>{$lang.disabled}</option>
		</select></td>
	<td width="100%" id="status_elm_type" class="required-field-mark">&nbsp;</td>
</tr>
{foreach from=$event_fields item=field}
{assign var="f_id" value=$field.field_id}
<tr>
	<td width="15%" nowrap="nowrap" class="field-name">{$field.description}:&nbsp;</td>
	<td valign="middle" id="mark_elm_{$field.field_id}" class="required-field-mark">{if $field.required == 'Y'}*{/if}&nbsp;</td>
	<td style="height: 23px;" nowrap="nowrap">
		{if $field.field_type == 'S'}
			<select id="elm_{$field.field_id}" class="input-text" name="event_data[fields][{$field.field_id}]">
			{if $field.required != "Y"}
			<option value="">--</option>
			{/if}
			{foreach from=$field.variants item=var name="vars"}
			<option value="{$var.variant_id}" {if $var.variant_id == $event_data.fields.$f_id}selected="selected"{/if}>{$var.description}</option>
			{/foreach}
			</select>
		{elseif $field.field_type == 'R'}
			{foreach from=$field.variants item=var name="vars"}
			<input {if $var.variant_id == $event_data.fields.$f_id || ($mode == 'add' && $smarty.foreach.vars.first)}checked="checked"{/if} type="radio" name="event_data[fields][{$field.field_id}]" value="{$var.variant_id}">{$var.description}&nbsp;&nbsp;
			{/foreach}
		{elseif $field.field_type == 'C'}
			<input type="hidden" name="event_data[fields][{$field.field_id}]" value="N" />
			<input id="elm_{$field.field_id}" type="checkbox" name="event_data[fields][{$field.field_id}]" value="Y" {if $event_data.fields.$f_id == 'Y'}checked="checked"{/if} />
		{elseif $field.field_type == 'I'}
			<input id="elm_{$field.field_id}" class="input-text" size="50" type="text" name="event_data[fields][{$field.field_id}]" value="{$event_data.fields.$f_id}" />
		{elseif $field.field_type == 'T'}
			<textarea id="elm_{$field.field_id}"  class="input-text" cols="70" rows="10" name="event_data[fields][{$field.field_id}]">{$event_data.fields.$f_id|escape:html}</textarea>
		{elseif $field.field_type == 'V'}
			{html_select_date field_array="event_data[fields][`$field.field_id`]" start_year="1970" end_year="+5" time=$event_data.fields.$f_id}
		{/if}
	</td>
	<td width="100%" id="status_elm_{$field.field_id}" class="required-field-mark">&nbsp;</td>
</tr>
{/foreach}
<tr>
	<td width="15%" nowrap="nowrap" valign="top" class="field-name">{$lang.invitees}:</td>
	<td valign="top" id="mark_elm_subscribers" class="required-field-mark">*</td>
	<td nowrap="nowrap" valign="top">
		<table cellpadding="2" cellspacing="1" border="0" width="1">
		<tr id="header">
			<td class="manage-header">{$lang.name}</td>
			<td class="manage-header">{$lang.email}</td>
			<td class="manage-header">&nbsp;</td>
		</tr>
		{if $event_data.subscribers}
		<tbody id="header">
		{strip}
		{foreach from=$event_data.subscribers item=s name="s_fe"}
		<tr id="box_subscriber_{$smarty.foreach.s_fe.iteration}">
			<td><input class="input-text" type="text" name="event_data[subscribers][{$smarty.foreach.s_fe.iteration}][name]" value="{$s.name|escape:html}" /></td>
			<td><input class="input-text" type="text" name="event_data[subscribers][{$smarty.foreach.s_fe.iteration}][email]" value="{$s.email|escape:html}" /></td>
			{*<td>{include file="buttons/multiple_buttons.tpl" item_id="subscriber_`$smarty.foreach.s_fe.iteration`" hide_add="Y" hide_clone="Y"}</td>*}
			{*<td align="right"><img src="{$images_dir}/remove_item.gif" width="14" height="15" border="0" name="remove_hidden" id="subscriber_{$smarty.foreach.s_fe.iteration}" alt="{$lang.remove_this_item}" title="{$lang.remove_this_item}" class="hand" align="top" onClick="javascript:fn_remove_tag(this.id,1);">&nbsp;</td>*}
			<td align="center">&nbsp;<a href="javascript:fn_remove_tag('subscriber_{$smarty.foreach.s_fe.iteration}',1);"><img src="{$images_dir}/delete_icon.gif" width="10" height="8" border="0" alt="" align="bottom" />{$lang.delete}</a>&nbsp;</td>

		</tr>
		{assign var="iteration" value=$smarty.foreach.s_fe.iteration}
		{/foreach}
		</tbody>
		{/strip}
		{/if}
		<tr id="box_new_subscriber">
			<td><input class="input-text" type="text" name="event_data[add_subscribers][0][name]" value="" /></td>
			<td><input class="input-text" type="text" name="event_data[add_subscribers][0][email]" value="" /></td>
			<td>{include file="buttons/multiple_buttons.tpl" item_id="new_subscriber"}</td>
		</tr>
		</table>
		{if $event_data.subscribers}
			{$lang.text_delete_recipients}
		{/if}
	</td>
	<td width="100%" id="status_elm_subscribers" class="required-field-mark">&nbsp;</td>
</tr>
{if $settings.Addons.discussion == "Y"}
{include file="addons/discussion/allow_discussion_gr.tpl" object_id=$event_data.event_id object_type="G" title=$lang.discussion_title_giftreg}
{/if}
</table>

<p></p>
{if 'manage_events'|fn_check_privileges:true}
	{if $mode == 'update'}
		{include file="buttons/update.tpl" but_onclick="javascript: event_frm.submit();"}
	{else}
		{include file="buttons/add_new.tpl" but_onclick="javascript: event_frm.submit();" action_but="action_"}
	{/if}
{/if}
</form>
<br />

{if $mode == 'update'}
	{capture name="tabsbox"}

		{include file="addons/gift_registry/event_products.tpl"}
		{include file="addons/gift_registry/notifications.tpl"}
		{if $settings.Addons.discussion == "Y"}
		{include file="addons/discussion/discussion.tpl" object_id=$event_data.event_id object_type="G" no_box=true}
		{/if}
	
	{/capture}
	{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name=$target}

{/if}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.events content=$smarty.capture.mainbox}
