{* $Id: site_subscribers.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

<div align="right"><span class="bull">&bull;</span>&nbsp;<a href="#add_new" class="underlined">{$lang.add_subscriber}</a></div>
<p></p>

{capture name="mainbox"}

<form action="{$index_script}" method="post" name="site_subscribers_form">
<input type="hidden" name="{$target_name}" value="site_subscribers">
<input type="hidden" name="{$mode_name}" value="update">
<input type="hidden" name="page" value="{$smarty.get.page}">
{include file="common_templates/pagination.tpl"}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('site_subscribers_form', this.checked);"></td>
	<td class="manage-header" nowrap>{$lang.email}</td>
	<td class="manage-header" nowrap>{$lang.language}</td>
	<td class="manage-header" nowrap>{$lang.date}</td>
	<td class="manage-header" nowrap>{$lang.avail}</td>
	<td class="manage-header" nowrap width="100%">&nbsp;</td>
</tr>

{if $site_subscribers}

{foreach from=$site_subscribers item=s}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="delete_emails[{$s.email}]" id="delete_checkbox" value="Y"></td>
	<td nowrap>
		<b>{$s.email}</b></td>
	<td nowrap align="center">
		<select name="site_subscribers[{$s.email}][lang_code]">
		{foreach from=$all_languages item=lng}
		<option value="{$lng.lang_code}" {if $s.lang_code == $lng.lang_code}selected{/if}>{$lng.name}</option>
		{/foreach}
		</select></td>
	<td align="center" nowrap>
		{$s.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
	<td align="center" nowrap>
		<input type="hidden" name="site_subscribers[{$s.email}][avail]" value="N">
		<input type="checkbox" name="site_subscribers[{$s.email}][avail]" value="Y" {if $s.avail == 'Y'}checked{/if}></td>
	<td>&nbsp;</td>
</tr>
{/foreach}
<tr>
	<td colspan="5">
		<p>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/update.tpl" but_onclick="javascript:document.site_subscribers_form.submit();" but_type="input"}</td>
			<td>&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('site_subscribers_form', 'delete');"}<td>
		</tr>
		</table>
	</td>	
</tr>

{else}
<tr>
	<td colspan="10" align="center" class="manage-row">
		<p><b>{$lang.text_no_site_subscribers}</b></td>
</tr>
{/if}
</table>
</form>

{include file="common_templates/pagination.tpl"}
<br><br>
<a name="add_new"></a>
{include file="common_templates/subheader.tpl" title=$lang.add_subscriber}

<form action="{$index_script}" method="post" name="add_site_subscribers_form">
<input type="hidden" name="{$target_name}" value="site_subscribers">
<input type="hidden" name="{$mode_name}" value="add">

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap>{$lang.email}</td>
	<td class="add-new-header" nowrap>{$lang.language}</td>
	<td class="add-new-header" nowrap>{$lang.avail}</td>
	<td class="add-new-header" nowrap width="100%">&nbsp;</td>
</tr>
<tr id="box_new_subscriber">
	<td nowrap>
		<input type="text" name="add_subscribers[0][email]" value="" class="input-text"></td>
	<td nowrap>
		<select name="add_subscribers[0][lang_code]">
		{foreach from=$all_languages item=lng}
		<option value="{$lng.lang_code}">{$lng.name}</option>
		{/foreach}
		</select>
	</td>
	<td align="center" nowrap>
		<input type="hidden" name="add_subscribers[0][avail]" value="N">
		<input type="checkbox" name="add_subscribers[0][avail]" value="Y" checked></td>
	<td>{include file="buttons/multiple_buttons.tpl" item_id="new_subscriber"}</td>
</tr>
</table>

{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_site_subscribers_form.submit();" but_type="input"}</td>

</form>


{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.site_subscribers content=$smarty.capture.mainbox}
