{* $Id: steps.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

<div id="content_steps_ajax">
<div id="content_steps" {if $selected_section != 'steps'}style="display: none;"{/if} >

<form action="{$index_script}" method="post" name="steps_form">
<input type="hidden" name="{$target_name}" value="configurator" />
<input type="hidden" name="{$mode_name}" value="update_steps" />

{assign var="c_url" value=$current_url|fn_query_remove:"steps_sort_by":"steps_sort_order":"selected_section"}
{if $steps_sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}

{assign var="sl_section" value="#configurator_steps"}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'content_steps_ajax');"}
	{assign var="sl_step" value="&selected_section=steps"} 
{/if}

<table cellpadding="1" cellspacing="1" border="0">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('steps_form', this.checked, 'delete_{$type}_d');" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&steps_sort_by=pos&steps_sort_order={$steps_sort_order}{$sl_step}{$url_suffix}">{$lang.position_short}</a>{if $steps_sort_by == 'pos'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&steps_sort_by=step_name&steps_sort_order={$steps_sort_order}{$sl_step}{$url_suffix}">{$lang.name}</a>{if $steps_sort_by == 'step_name'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&steps_sort_by=avail&steps_sort_order={$steps_sort_order}{$sl_step}{$url_suffix}">{$lang.avail}</a>{if $steps_sort_by == 'avail'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap" width="100%">&nbsp;</td>
</tr>	
{if $configurator_steps}
{foreach from=$configurator_steps item=step} 
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="delete[{$step.step_id}]" id="delete_{$type}_d" value="Y" /></td>
	<td align="center">
		<input type="text" name="step_data[{$step.step_id}][position]" value="{$step.position|escape:html}" class="input-text" size="3" /></td>
	<td>
		<input type="text" name="step_descriptions[{$step.step_id}][step_name]" value="{$step.step_name|escape:html}" size="60" class="input-text" /></td>		
	<td align="center">
		<input type="hidden" name="step_data[{$step.step_id}][avail]" value="N" />
		<input type="checkbox" name="step_data[{$step.step_id}][avail]" value="Y" {if $step.avail=="Y"}checked="checked"{/if} /></td>
	<td>&nbsp;</td>
</tr>
{/foreach}
{if 'manage_catalog'|fn_check_privileges:true}
<tr>
	<td colspan="4">
		<p>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/update.tpl" but_onclick="javascript:document.steps_form.submit();"}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('steps_form','delete_step', '', 'delete_`$type`','',false);"}</td>
		</tr>
		</table>
		</p>
	</td>
</tr>
{/if}
{else}
<tr>
	<td colspan="5" align="center" class="manage-row">
		<p><b>{$lang.text_no_items_defined|replace:'[items]':$lang.steps}</b></p></td>
</tr>
{/if}
</table>

</form>

<br />

{if 'manage_catalog'|fn_check_privileges:true}
{include file="common_templates/subheader.tpl" title=$lang.add_new_steps}

<form action="{$index_script}" method="post" name="add_steps_form">
<input type="hidden" name="{$target_name}" value="configurator" />
<input type="hidden" name="{$mode_name}" value="add_steps" />
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tbody id="header">
<tr class="add-new-header">
	<td class="add-new-header" nowrap="nowrap" align="center">{$lang.position_short}</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.name}</td>
	<td class="add-new-header"  nowrap="nowrap" align="center">{$lang.avail}</td>
	<td width="100%">&nbsp;</td>
</tr>
</tbody>
<tbody id="box_add_step">
<tr class="manage-row" valign="top">
	<td>
		<input type="text" name="add_step_data[0][position]" value="" class="input-text" size="3" /></td>
	<td>
		<input type="text" id="step_name" name="add_step_description[0][step_name]" value="" class="input-text" size="60" /></td>
	<td align="center">
		<input type="hidden" name="add_step_data[0][avail]" value="N" />
		<input type="checkbox" name="add_step_data[0][avail]" value="Y" checked="checked" /></td>
	<td align="left" nowrap="nowrap">{include file="buttons/multiple_buttons.tpl" item_id="add_step"}</td>	
</tr>
</tbody>
</table>

<p></p>
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_steps_form.submit();"}
</form>
{/if}
</div>
<!--content_steps_ajax--></div>