{* $Id: general_statistics.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}


{capture name="table_chart"}
{include file='common_templates/pagination.tpl' div_id='general_pagination_content'}

<table cellpadding="2" cellspacing="1" border="0" width="100%">
<tr>
	<td class="manage-header">&nbsp;{$lang.date}&nbsp;</td>
	<td class="manage-header" align="right">&nbsp;{$lang.total}&nbsp;</td>
	<td class="manage-header" align="right">&nbsp;{$lang.robots}&nbsp;</td>
	<td class="manage-header" align="right">&nbsp;{$lang.visitors}&nbsp;</td>
	<td class="manage-header" align="right">&nbsp;{$lang.visitor_hosts}&nbsp;</td>
</tr>
	{if	$general_statistics }
	{foreach from=$general_statistics key='date' item='stat'}
<tr {cycle values=',class="manage-row"'}>
	<td class="side-padding" height="22">
		{if $statistic_period == $smarty.const.STAT_PERIOD_DAY}
			{$stat.from_date|date_format:$settings.Appearance.date_format}
		{elseif $statistic_period == $smarty.const.STAT_PERIOD_HOUR}
			{$stat.from_date|date_format:"`$settings.Appearance.time_format`, `$settings.Appearance.date_format`"}
		{/if}
	</td>
	<td class="side-padding" align="right">{$stat.total}</td>
	<td class="side-padding" align="right">{if $stat.robots}<a href="{$index_script}?{$target_name}=view_statistics&amp;{$mode_name}=visitors_log&amp;statistic_period={$statistic_period}&amp;from_date={$stat.from_date}&amp;filter_id={$stat_selected_filters.$mode.filter_id}&amp;client_type=B">{/if}{$stat.robots}{if $stat.robots}</a>{/if}</td>
	<td class="side-padding" align="right">{if $stat.visitors}<a href="{$index_script}?{$target_name}=view_statistics&amp;{$mode_name}=visitors_log&amp;statistic_period={$statistic_period}&amp;from_date={$stat.from_date}&amp;filter_id={$stat_selected_filters.$mode.filter_id}&amp;client_type=U">{/if}{$stat.visitors}{if $stat.visitors}</a>{/if}</td>
	<td class="side-padding" align="right">{$stat.hosts}</td>
</tr>
	{/foreach}
	{else}
<tr>
	<td align="center" class="manage-row" colspan="5">
			<p><b>{$lang.text_no_items_found|replace:'[items]':$lang.statistics}</b></p></td>
</tr>
	{/if}
</table>
{include file='common_templates/pagination.tpl' div_id='general_pagination_content'}

{/capture}
{include file='addons/statistics/select_charts.tpl' chart_div_prefix="general_view_style_" content=$smarty.capture.table_chart selected_section='' chart_title=$lang.general line_height=300}
