{* $Id: geography_statistics.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="tabsbox"}

{assign var='stat_type' value=$geography_statistics.type}
<div id="content_{$stat_type}">
	{if $geography_statistics.$stat_type}
	{capture name='table_chart'}
	
	{include file="common_templates/pagination.tpl" div_id="geography_pagination_contents_$stat_type"}
	<table cellpadding="2" cellspacing="1" border="0">
	{foreach from=$geography_statistics.$stat_type item='row' key='k' name='row'}
	<tr {cycle values=',class="manage-row"'}>
		{math equation="start + i" assign="iteration" start=$num_start i=$smarty.foreach.row.iteration}
		<td>{$iteration}</td>
		<td style="overflow: hidden;">
			{if $stat_type == $smarty.const.STAT_GEO_IP}
				{$row.host_ip} {if $row.proxy_ip}<span class="small-note">({$lang.proxy} {$row.proxy_ip})</span>{/if}
			{elseif $stat_type == $smarty.const.STAT_GEO_LANGUAGE}
				{if $row.label}{$row.label}{elseif $row.client_language}{$row.client_language}{else}{$lang.undefined}{/if}
			{else}
				{if $row.label}{$row.label}{else}{$lang.undefined}{/if}
			{/if}
			{include file="statistics_pages/graph_bar.tpl" bar_width='400px' value_width=$row.percent|round}
		</td>
		<td align="right">
			{* set empty value *}
			{capture name="extra"}{/capture}
			
			{* select filed of value *}
			{if $stat_type == $smarty.const.STAT_GEO_COUNTRY}
				{assign var="object_code" value=$row.country_code}
			{elseif $stat_type == $smarty.const.STAT_GEO_LANGUAGE}
				{assign var="object_code" value=$row.client_language}
			{elseif $stat_type == $smarty.const.STAT_GEO_IP}
				{assign var="object_code" value=$row.host_ip}
				{capture name="extra"}<input type="hidden" name="proxy_ip" value="{$row.proxy_ip|escape:html}" />{/capture}
			{/if}
			{include file="addons/statistics/buttons/visitors_log.tpl" but_text=$row.count form_prefix="`$mode`_`$stat_type`_$k" from_section=$stat_type object_code=$object_code extra=$smarty.capture.extra}
			<br /><span class="small-note">{$row.percent}%</span></td>
	</tr>
	{/foreach}
	</table>
	{include file="common_templates/pagination.tpl" div_id="geography_pagination_contents_$stat_type"}

	{/capture}
	{include file='addons/statistics/select_charts.tpl' chart_div_prefix="geography_`$stat_type`_view_style_" content=$smarty.capture.table_chart selected_section=$stat_type chart_title=$lang.$stat_type column_data=$geography_statistics.column_data column_height=$geography_statistics.column_height pie_data=$geography_statistics.pie_data pie_height=$geography_statistics.pie_height}
	{else}
	<div align="center" class="manage-row vertical-padding">
		<b>{$lang.text_no_items_found|replace:'[items]':$lang.statistics}</b></div>
	{/if}
<!--content_{$stat_type}--></div>

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name='geography'}
