{* $Id: graph_general_fields.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}

{if !$banner}
<a name="add_banner"></a>
{include file='common_templates/subheader.tpl' title=$lang.add_new_banner}
<p>{$lang.text_mandatory_fields}</p>
{/if}

<form action="{$index_script}" method="post" name="{$prefix}_banner_form" enctype="multipart/form-data">
<input type="hidden" name="{$target_name}" value="banners_manager">
<input type="hidden" name="{$mode_name}" value="banner_do_{if $banner}update{else}add{/if}">
<input type="hidden" name="selected_section" id="selected_section" value="{$prefix}" />
<input type="hidden" name="page" id="page" value="{$current_page}" />
<input type="hidden" name="banner[type]" value="G" />
{if $smarty.get.banner_type}
<input type="hidden" name="banner_type" value="{$smarty.get.banner_type}" />
{/if}
{if $banner.banner_id}
<input type="hidden" name="banner[banner_id]" value="{$banner.banner_id}" />
{/if}

<table cellpadding="1" cellspacing="1" border="0">
<tr>
	<td class="field-name" width="150">{$lang.title}:&nbsp;</td>
	<td class="required-field-mark" width="5">*</td>
	<td><input type="text" name="banner[title]" value="{$banner.title|escape:html}" size="50" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name" width="150">{$lang.description}:&nbsp;</td>
	<td>&nbsp;</td>
	<td><input type="text" name="banner[content]" value="{$banner.content|escape:html}" size="50" class="input-text" /></td>
</tr>
{*<tr>
	<td class="field-name">{$lang.width}&nbsp;({$lang.pixels}):&nbsp;</td>
	<td>&nbsp;</td>
	<td><input type="text" name="banner[width]" value="{$banner.width|escape:html}" size="10" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name">{$lang.height}&nbsp;({$lang.pixels}):&nbsp;</td>
	<td>&nbsp;</td>
	<td><input type="text" name="banner[height]" value="{$banner.height|escape:html}" size="10" class="input-text" /></td>
</tr>*}
<tr>
	<td class="field-name">{$lang.image}:&nbsp;</td>
	<td class="required-field-mark">*</td>
	<td valign="top">
		{include file="common_templates/attach_images.tpl" image_name="banner" image_object_type="common" image_pair=$banner image_object_id=$banner.banner_id hide_titles='Y' no_detailed='Y'}</td>
	</td>
</tr>
<tr>
	<td class="field-name" width="150">{$lang.open_in_new_window}:&nbsp;</td>
	<td>&nbsp;</td>
	<td><input type="hidden" name="banner[new_window]" value="N" />
		<input type="checkbox" name="banner[new_window]" {if $banner.new_window=='Y'}checked="checked"{/if} value="Y" /></td>
</tr>
<tr>
	<td class="field-name" width="150">{$lang.available}:&nbsp;</td>
	<td>&nbsp;</td>
	<td><input type="hidden" name="banner[avail]" value="N" />
		<input type="checkbox" name="banner[avail]" {if $banner.avail=='Y' || !$banner}checked="checked"{/if} value="Y" /></td>
</tr>
</table>
{if !$content_below_form}
	{$content}
{/if}
{if $banner}
	{assign var='but_tpl' value='update'}
{else}
	{assign var='but_tpl' value='add_new'}
{/if}
<p></p>{include file="buttons/`$but_tpl`.tpl" but_onclick="javascript:document.`$prefix`_banner_form.submit();"}
</form>

{if $content_below_form && $content|trim}
	<hr />{$content}
{/if}

