{* $Id: manage_payouts.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file='affiliate/payout_search.tpl"}

<form action="{$index_script}" method="post" name="payouts_form">
<input type="hidden" name="{$target_name}" value="payouts" />
<input type="hidden" name="{$mode_name}" value="do_update" />
<input type="hidden" name="page" value="{$smarty.get.page|escape}" />

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="3%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('payouts_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	{if $settings.General.use_email_as_login == 'Y'}
	<td class="manage-header" width="10%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=email&sort_order={$sort_order}{$url_suffix}">{$lang.email}</a>{if $sort_by == 'email'}{$sort_sign}{/if}</td>
	{else}
	<td class="manage-header" width="10%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=username&sort_order={$sort_order}{$url_suffix}">{$lang.username}</a>{if $sort_by == 'username'}{$sort_sign}{/if}</td>
	{/if}
	<td class="manage-header" width="27%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=partner&sort_order={$sort_order}{$url_suffix}">{$lang.partner}</a>{if $sort_by == 'partner'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="15%" align="right"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=amount&sort_order={$sort_order}{$url_suffix}">{$lang.amount}</a>{if $sort_by == 'amount'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="15%" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=date&sort_order={$sort_order}{$url_suffix}">{$lang.date}</a>{if $sort_by == 'date'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="20%" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=status&sort_order={$sort_order}{$url_suffix}">{$lang.status}</a>{if $sort_by == 'status'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="10%">&nbsp;</td>
</tr>
{if $payouts}
{foreach from=$payouts key='payout_id' item='payout'}
<tr {cycle values='class="manage-row", '}>
	<td>
		<input type="checkbox" name="delete[{$payout.payout_id}]" id="delete_checkbox" value="Y" /></td>
	{if $settings.General.use_email_as_login == 'Y'}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=partners&{$mode_name}=update&user_id={$payout.partner_id}">{$payout.email}</a></td>
	{else}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=partners&{$mode_name}=update&user_id={$payout.partner_id}">{$payout.user_login}</a></td>
	{/if}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=partners&{$mode_name}=update&user_id={$payout.partner_id}">{$payout.firstname} {$payout.lastname}</a></td>
	<td class="side-padding" align="right"><input type="hidden" name="payouts[{$payout_id}][amount]" value="{$payout.amount}" />{include file="common_templates/price.tpl" value=$payout.amount}</td>
	<td class="side-padding" align="center">{$payout.date|date_format:"`$settings.Appearance.date_format` `$settings.Appearance.time_format`"}</td>
	<td class="side-padding" align="center">
		<select name="payouts[{$payout_id}][status]">
			<option value="O" {if $payout.status=='O'}selected="selected"{/if}>{$lang.open}</option>
			{*<option value="C" {if $payout.status=='C'}selected="selected"{/if}>{$lang.cancelled}</option>*}
			<option value="S" {if $payout.status=='S'}selected="selected"{/if}>{$lang.successful}</option>
		</select>
		{*if $payout.status=='S'}{$lang.successful}{elseif $payout.status=='C'}{$lang.cancelled}{else}---{/if*}
	</td>
	<td class="side-padding" align="right">
		{include file="buttons/button.tpl" but_text=$lang.details but_onclick="$index_script?$target_name=$target&$mode_name=update&payout_id=$payout_id" but_style="text"}
	</td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="7" align="center" class="side-padding"><p><b>{$lang.no_payouts_found}</b></p></td>
</tr>
{/if}
</table>

{include file="common_templates/pagination.tpl"}

{if $payouts}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.payouts_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('payouts_form','do_delete');"}</td>
</tr>
</table>
{/if}

</form>

{*
<p></p><br />

{include file="common_templates/subheader.tpl" title=$lang.add_new_payouts}

<form action="{$index_script}" method="post" name="add_payouts_form">
<input type="hidden" name="{$target_name}" value="payouts" />
<input type="hidden" name="{$mode_name}" value="do_add" />
<table cellpadding="1" cellspacing="1" border="0" width="1">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap="nowrap" >{$lang.partner}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.amount} ({$currencies.$primary_currency.symbol})</td>
	<td>&nbsp;</td>
</tr>
<tr class="manage-row" id="box_add_payout">
	<td>
		<select name="payout_data[0][partner_id]">
		{html_options options=$partner_list}
		</select>
	</td>
	<td>
		<input type="text" name="payout_data[0][amount]" size="15" class="input-text" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="add_payout"}</td>
</tr>
</table>
<p></p>
{include file="buttons/add_new.tpl" but_onclick="document.add_payouts_form.submit();"}
</form>
*}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.affiliate_payouts content=$smarty.capture.mainbox}