{* $Id: categories_update.tpl,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $ *}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  


{if $mode == 'update'}
<div align="right">
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=categories&{$mode_name}=add&parent_id={$smarty.get.category_id}" class="underlined">{$lang.add_subcategory}</a>&nbsp;&nbsp;
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=products&{$mode_name}=add&category_id={$smarty.get.category_id}" class="underlined">{$lang.add_product}</a>&nbsp;&nbsp;
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=products&{$mode_name}=manage&category_id={$smarty.get.category_id}" class="underlined">{$lang.view_products}</a>&nbsp;&nbsp;
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=categories&{$mode_name}=delete&category_id={$smarty.get.category_id}" class="underlined">{$lang.delete_this_category}</a>
</div>
<p></p>
{/if}

{capture name="mainbox"}
   	{if $mode == "update"}{include file="common_templates/select_language.tpl"}{/if}
<p>{$lang.text_mandatory_fields}</p>
<form action="{$index_script}" method="post" name="category_update_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="categories" />
<input type="hidden" name="{$mode_name}" value="do_{$mode}" />
{if $mode == "update"}
<input type="hidden" name="category_data[category_id]" value="{$category_data.category_id}" />
{/if}

<table cellpadding="1" cellspacing="2" border="0" width="100%">
<tr>
	<td class="field-name" width="110" nowrap>{$lang.category_location}:</td>
	<td width="1">&nbsp;</td>
	<td>
		<select	name="category_data[parent_id]" style="width: 85%">
			<option	value="0" {if $category_data.parent_id eq "0"}selected{/if}>- {$lang.root_level} -</option>
			{foreach from=$all_categories_list item="cat" }
			{if	$cat.id_path|strpos:"`$category_data.id_path`/" === false && $cat.category_id != $category_data.category_id || $mode == 'add'}
			<option	value="{$cat.category_id}" {if $category_data.parent_id eq $cat.category_id}selected{/if}>{$cat.category|indent:$cat.level:"&#166;&nbsp;&nbsp;&nbsp;&nbsp;":"&#166;--&nbsp;"}</option>
			{/if}
			{/foreach}
		</select></td>
</tr>

<tr>
	<td class="field-name" nowrap>{$lang.category_name}:</td>
	<td class="required-field-mark">*</td>
	<td>
		<input type="text" name="category_description[category]" size="55" value="{$category_data.category|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>
<tr>
	<td class="field-name" nowrap>{$lang.images}:</td>
	<td>&nbsp;</td>
	<td>
		{include file="common_templates/create_thumbnails.tpl" width=$settings.Thumbnails.category_thumbnail_width option_name="category_thumbnail_width"}
		{include file="common_templates/attach_images.tpl" image_name="category_main" image_object_type="category" image_pair=$category_data.main_pair image_object_id=$category_data.category_id icon_text=$lang.text_category_icon detailed_text=$lang.text_category_detailed_image}
	</td>
</tr>

<tr>
	<td class="field-name" nowrap>{$lang.description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="cat_descr" name="category_description[description]" cols="55" rows="10" class="input-text" style="width: 85%">{$category_data.description|escape:html}</textarea><br />
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('cat_descr');" but_style="text"}
	</td>
</tr>
<tr>
	<td class="field-name" nowrap>{$lang.page_title}:</td>
	<td >&nbsp;</td>
	<td>
		<input type="text" name="category_description[page_title]" size="55" value="{$category_data.page_title|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>
{if $settings.Addons.seo == 'Y'}
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.seo_name}:</td>
	<td >&nbsp;</td>
	<td>
		<input type="text" name="category_description[seo_name]" size="55" value="{$category_data.seo_name|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>
{/if}

<tr>
	<td class="field-name" nowrap>{$lang.meta_description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="category_description[meta_description]" cols="55" rows="3" class="input-text" style="width: 85%">{$category_data.meta_description|escape:html}</textarea></td>
</tr>

<tr>
	<td class="field-name" nowrap>{$lang.meta_keywords}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="category_description[meta_keywords]" cols="55" rows="2" class="input-text" style="width: 85%">{$category_data.meta_keywords|escape:html}</textarea></td>
</tr>

<tr>
	<td class="field-name" nowrap>{$lang.membership}:</td>
	<td>&nbsp;</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				<select id="membership_id" name="category_data[membership_id]">
				<option value="0">- {$lang.all} -</option>
				{foreach from=$memberships item=membership}
				<option {if $category_data.membership_id eq $membership.membership_id}selected{/if} value="{$membership.membership_id}">{$membership.membership}</option>
				{/foreach}
				</select></td>
			<td nowrap>&nbsp;&nbsp;&nbsp;{$lang.to_all_subcats}</td>
			<td><input type="checkbox" name="category_data[membership_to_subcats]" value="Y" /><td>
		</tr>
		</table>
	</td>
</tr>

<tr>
	<td class="field-name" nowrap>{$lang.position}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="category_data[position]" size="10" value="{$category_data.position}" class="input-text" /></td>
</tr>

<tr>
	<td class="field-name">{$lang.created_date}:</td>
	<td>&nbsp;</td>
	<td nowrap="nowrap">{html_select_date field_array="category_data[timestamp]" time=$category_data.timestamp|default:$smarty.const.TIME start_year=$settings.Company.company_start_year}</td>
</tr>

<tr>
	<td class="field-name" nowrap>{$lang.available}:</td>
	<td>&nbsp;</td>
	<td>
		<select name="category_data[avail]">
			<option value="Y" {if $category_data.avail == 'Y'}selected="selected"{/if}>{$lang.yes}</option>
			<option value="H" {if $category_data.avail == 'H'}selected="selected"{/if}>{$lang.hidden}</option>
			<option value="N" {if $category_data.avail == 'N'}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>

{if $settings.Addons.discussion == "Y"}
{include file="addons/discussion/allow_discussion.tpl" object_id=$category_data.category_id object_type="C" title=$lang.discussion_title_category}
{/if}

</table>
<br />
{if 'manage_catalog'|fn_check_privileges:true}
{if $mode == "add"}
	{include file="buttons/add_new.tpl" but_onclick="document.category_update_form.submit();"}
{else}
	{include file="buttons/save_changes.tpl" but_onclick="document.category_update_form.submit();"}
{/if}
{/if}
</form>
<br />

{if $mode != "add"}
	{capture name="tabsbox"}
	{if $settings.Addons.discussion == 'Y'}
		{include file="addons/discussion/discussion.tpl" object_id=$category_data.category_id object_type="C" no_box=true}
	{/if}
	{** Reward points section **}
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/object.tpl"}
	{/if}
	{** /Reward points section **}
	
	{if $settings.Addons.listmania == 'Y'}
		{include file="addons/listmania/select_list.tpl" object_id=$category_data.category_id lists=$lm_lists extra="<input type=\"hidden\" name=\"category_id\" value=\"`$category_data.category_id`\" />"}
	{/if}
	
	{/capture}
	{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name=$target}
{/if}

{/capture}

{if $mode == "add"}
	{include file="common_templates/mainbox.tpl" title=$lang.add_new_category content=$smarty.capture.mainbox}
{else}
	{include file="common_templates/mainbox.tpl" title=$lang.update_category content=$smarty.capture.mainbox}
{/if}
