{* $Id: tabsbox.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{assign var='tabs' value=$page_sections.$group_name}
{assign var='tab_style' value=$tabs.style|default:'general'}

{if $page_sections && $smarty.capture.tab_js_included != 'Y'}
<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/tabs.js"></script>
{capture name="tab_js_included"}Y{/capture}
{/if}

{if $tabs.tabs}

	{capture name='content'}
	<div id="id_tabsbox_content_{$group_name}">{$content}</div>
	{/capture}
	
	{capture name='tabs'}
		{math equation="floor(100 / c)" assign='width' c=$tabs.tabs|@count}
		{foreach from=$tabs.tabs item=tab key=key name='tabs'}
			{if $smarty.foreach.tabs.last}
				{assign var='width' value=''}
			{/if}
			{include file="buttons/`$tab_style`_tab.tpl"
				key=$key
				tab_text=$tab.name
				url=$tab.url
				js_code=$tab.js_code
				separate_form=$tab.separate_form
				js_switch=$js_switch
				tab_type=$tab.tab_type
				ajax_data=$tab.ajax_data
				tab_width=$width
				extra_params=$tab.extra_params
				selected=$tab.selected}
		{/foreach}
	{/capture}

	{if $tab_style == 'general'}

	<table width="100%" cellpadding="0" cellspacing="1" border="0">
	<tr>
		<td>
			{$smarty.capture.tabs}
		</td>
	</tr>
	<tr>
		<td class="section-outer-border" style="padding: 5px;">{$smarty.capture.content}</td>
	</tr>
	</table>
	
	{elseif $tab_style == 'section'}
	
	{capture name='section'}
	<div align="center" style="padding: 4px;">
		{$smarty.capture.tabs}
	</div>
	{/capture}
	{include file="common_templates/section.tpl" section_content=$smarty.capture.section section_width='90%'}
	<p></p>
	{$smarty.capture.content}
	{/if}

	<script type="text/javascript" language="javascript 1.2">
	{if $tab_style == 'general'}
		var images_dir = '{$images_dir}/';
		var tab_left_image_path = images_dir + 'tab_left.gif';
		var tab_right_image_path = images_dir + 'tab_right.gif';
		var tab_left_active_image_path = images_dir + 'tab_left_active.gif';
		var tab_right_active_image_path = images_dir + 'tab_right_active.gif';
	{/if}

	var cscart_tabs_parents = {$cscart_tabs_parents|@to_json};

	// Create sections
	{foreach from=$tabs.tabs item="s" key="key" name='tabs'}
	cscart_tabs.add_section('{$group_name}', '{$tab_style}', '{$key}', '{$s.separate_form|default:"N"}', '{$s.tab_type|default:"js_switch"}', '{$s.key}');
		{if $smarty.foreach.tabs.first}
			{assign var='selected_section' value=$key}
		{/if}
	{/foreach}
	
	// Set default selected_section
	{assign var='selected_section' value=$tabs.selected_section|default:$selected_section}
	
	// Set group's parent
	{if $tabs.parent}
	cscart_tabs.set_parent('{$group_name}', '{$tabs.parent.group_name}', '{$tabs.parent.section}');
	{/if}

	var s_group_name = '{$group_name|escape:javascript}';
	var s_section = '{$selected_section|escape:javascript}';
	var AJAX_REQUEST_defined = '{'AJAX_REQUEST'|defined}';

	{literal}
	if (!AJAX_REQUEST_defined) {
		// If it is not AJAX request, then take selected_section from location.hash.
		// It is useing when user is refreshing page.
		if (typeof(tabs_hash) == 'undefined') {
			var tabs_hash = ['', ''];
		}
		// Check group_name from hash and redirect to neighbouring or parental section.
		s_hash = cscart_tabs.set_section(s_group_name, s_section, tabs_hash[0], tabs_hash[1]);
		
		var s_group_name = s_hash.group_name;
		var s_section = s_hash.section;
	}

	if (s_group_name && s_section) {
		cscart_tabs.show_section(s_group_name, s_section, true);
	}
	{/literal}
	</script>

{else}
	{$content}
{/if}