{* $Id: discount_products.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{** discounted products section **}  
<a name="Discounted products"></a>
<br />
{capture name="mainbox"}
<form action="{$index_script}" method="post" name="discounted_products_form">
<input type="hidden" name="{$target_name}" value="{$smarty.get.target|escape:'html'}" />
<input type="hidden" name="{$mode_name}" value="update_discount_properties" />
<input type="hidden" name="discount_type" value="products" />
<input type="hidden" name="category_id" value="{$smarty.get.category_id|escape:'html'}" />
<input type="hidden" name="discount_id" value="{$discount.discount_id}" />
{include file="discounts_pages/discount_details.tpl" discount=$discount}
<p></p>
{if 'manage_discounts'|fn_check_privileges:true}
{include file="buttons/update.tpl" but_onclick="javascript:document.discounted_products_form.submit()"}
{/if}
<br />
<br />
{include file="common_templates/subheader.tpl" title=$lang.defined_discounted_products}
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('discounted_products_form', this.checked);" title="{$lang.check_uncheck_all}"></td>
	<td class="manage-header" width="100%" nowrap>{$lang.product_name}</td>
	<td class="manage-header" align="center" nowrap>{$lang.price}</td>
	<td class="manage-header" align="center" nowrap>{$lang.discounted_price}</td>
	{if $discount.value_type == "P"}
	<td class="manage-header" align="center" nowrap>{$lang.discount}</td>
	{/if}
</tr>
{if $discounted_products}
{foreach from=$discounted_products item=product}
<tr {cycle values='class="manage-row", '}>
	<td>
		<input type="checkbox" name="delete[{$product.product_id}]" id="delete_checkbox" value="Y" /></td>
	<td class="side-padding">
		<a href="{$index_script}?{$target_name}=products&{$mode_name}=update&product_id={$product.product_id}" class="manage-root-item">{$product.product|escape:html}</a></td>
	<td align="right">
		{include file="common_templates/price.tpl" value=$product.price}</td>
	<td align="right">
		{include file="common_templates/price.tpl" value=$product.discounted_price}</td>
	{if $discount.value_type == "P"}
	{math equation="price - disc_price" disc_price=$product.discounted_price|default:"0" price=$product.price|default:"0" assign="product_discount"}
	<td align="right">
		{include file="common_templates/price.tpl" value=$product_discount}</td>
	{/if}

</tr>
{/foreach}

{else}
<tr>
	<td colspan="4" class="manage-row" align="center">
		<p><b>{$lang.text_no_products_defined}</b></p></td>
</tr>
{/if}
</table>
{if $discounted_products}
{if 'manage_discounts'|fn_check_privileges:true}
<p>{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('discounted_products_form','delete_discounted_products', true);"}</p>
{/if}
{/if}
<br />
</form>

<a name="add_discounted_products"></a>
<br />
{include file="common_templates/subheader.tpl" title=$lang.add_products_to_section}

{capture name="section"}
	{include file="products_pages/products_search_form.tpl" search_products="Y" page_part="discounted_products" extra="<input type=\"hidden\" id=\"discount_id\" name=\"discount_id\" value=\"`$smarty.get.discount_id`\">"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search_for_products section_content=$smarty.capture.section}

{if $smarty.get.search_products == 'Y'}

{if $products}
<form action="{$index_script}" method="post" name="add_discounted_products">
<input type="hidden" name="{$target_name}" value="{$smarty.get.target|escape:'html'}" />
<input type="hidden" name="{$mode_name}" value="add_discounted_products" />
<input type="hidden" name="category_id" value="{$smarty.get.category_id|escape:'html'}" />
<input type="hidden" name="discount_id" value="{$discount.discount_id}" />
{/if}

{include file="products_pages/products_list.tpl" products=$products form_name="add_discounted_products" checkbox_id="add_discounted_product_checkbox" pagination_suffix="#add_discounted_products"}

{if $products}

{if 'manage_discounts'|fn_check_privileges:true}
<p></p>{include file="buttons/add_products.tpl" but_onclick="javascript: if (fn_check_selected('add_discounted_products','add_discounted_product_checkbox')) document.add_discounted_products.submit();"}
{/if}

</form>
{/if}
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.discounted_products content=$smarty.capture.mainbox}

{** /discounted products section **}