{* $Id: import.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  

{include file="exim_pages/sections.tpl" p_section=$pattern.#section}

<div align="right"><span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=exim&amp;{$mode_name}=export&amp;section={$pattern.#section}" class="underlined">{$lang.export}</a><p></p></div>

{capture name="mainbox"}

{capture name="tabsbox"}

{assign var="p_id" value=$pattern.#pattern_id}
<div id="content_{$p_id}">
	{include file="common_templates/subheader.tpl" title=$pattern.#name}

	<p>{$lang.text_exim_import_notice}</p>
	{split data=$pattern.#export_fields size=3 assign="splitted_fields" simple=true}
	{foreach from=$splitted_fields item=fields}
	<ul style="float: left; margin-left: 10px; list-style: none;">
	{foreach from=$fields key=field item=f}
	<li {if $f.#required}style="font-weight: bold;"{/if}>{$field}</li>
	{/foreach}
	</ul>
	{/foreach}

	<p style="clear: left;"></p>
	{include file="common_templates/subheader.tpl" title=$lang.import_options}
	<form action="{$index_script}" method="post" name="{$p_id}_import_form" enctype="multipart/form-data">
	<input type="hidden" name="{$target_name}" value="exim" />
	<input type="hidden" name="{$mode_name}" value="import" />
	<input type="hidden" name="section" value="{$pattern.#section}" />
	<input type="hidden" name="pattern_id" value="{$p_id}" />

	{if $pattern.#options}
	{foreach from=$pattern.#options key=k item=o}
	<div>
	<label class="form-label">{$lang[$o.title]}:</label>
		{if $o.type == 'checkbox'}
			<input type="hidden" name="import_options[{$k}]" value="N" />
			<input class="form-checkbox" type="checkbox" name="import_options[{$k}]" value="Y" {if $o.default_value == 'Y'}checked="checked"{/if} />
		{elseif $o.type == 'input'}
			<input class="form-input" type="text" name="import_options[{$k}]" value="{$o.default_value|escape:html}" />
		{elseif $o.type == 'languages'}
			<select class="form-select" name="import_options[{$k}]">
			{foreach from=$all_languages item=language}
				<option value="{$language.lang_code}" {if $language.lang_code == $cart_language}selected="selected"{/if}>{$language.name}</option>
			{/foreach}
			</select>
		{elseif $o.type == 'select'}
			<select class="form-select" name="import_options[{$k}]">
			{foreach from=$o.variants key=vk item=vi}
			<option value="{$vk}" {if $vk == $o.default_value}checked="checked"{/if}>{$lang.$vi}</option>
			{/foreach}
			</select>
		{/if}
		<br />
	</div>
	{if $o.description}<p class="manage-row" style="clear: left; font-size: 10px;">{$lang[$o.description]}</p>{/if}
	{/foreach}
	{/if}
	<div>
		<label class="form-label">{$lang.csv_delimiter}:</label>
		{include file="exim_pages/csv_delimiters.tpl" name="import_options[delimiter]" class="form-select"}
	</div>
	<div>
		<label class="form-label">{$lang.text_select_file}:</label>
		<div class="form-other">{include file="common_templates/fileuploader.tpl" var_name="csv_file[0]" prefix=$p_id}</div>
	</div>
	<div class="form-buttons">
	{if $pattern.#notes}
	<a href="javascript: fn_show_tag('notes_box_{$p_id}');" class="underlined"><b>{$lang.notes}&#155;&#155;</b></a>
	<div id="notes_box_{$p_id}" class="notice-box" style="padding: 10px; margin-top: 3px; display: none;">
	{foreach from=$pattern.#notes item=note}
	{eval var=$lang.$note}
	<hr />
	{/foreach}
	</div>
	{/if}
	<p></p>

	{include file="buttons/button.tpl" but_text=$lang.import but_onclick="javascript: document.`$p_id`_import_form.submit();" but_arrow="on"}
	</div>
	</form>
<!--content_{$p_id}--></div>

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name='exp'}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.import content=$smarty.capture.mainbox}