{*$Id: forms.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $*}

{capture name="mainbox"}
{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="forms_form">
<input type="hidden" name="{$target_name}" value="forms" />
<input type="hidden" name="{$mode_name}" value="update_form" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td class="manage-header">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('forms_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td nowrap="nowrap" class="manage-header">{$lang.title}</td>
	<td nowrap="nowrap" class="manage-header">{$lang.email_to}</td>
	<td nowrap="nowrap" class="manage-header">{$lang.access_name}</td>
	<td nowrap="nowrap" class="manage-header">{$lang.secure}</td>
	<td nowrap="nowrap" class="manage-header">{$lang.avail}</td>
	<td class="manage-header">&nbsp;</td>
</tr>
{if $forms}
{foreach from=$forms item=form}
<tr class="manage-row">
	<td align="center">
		<input type="checkbox" name="delete_forms[{$form.form_id}]" id="delete_checkbox" value="Y" /></td>
	<td width="50%"><input class="input-text-100" size="50" type="text" name="form_data[{$form.form_id}][title]" value="{$form.title|escape:html}" /></td>
	<td width="50%"><input class="input-text-100" size="50" type="text" name="form_data[{$form.form_id}][email]" value="{$form.email|escape:html}" /></td>
	<td><input class="input-text" type="text" name="form_data[{$form.form_id}][name]" value="{$form.name}" /></td>
	<td align="center">
		<input type="hidden" name="form_data[{$form.form_id}][is_secure]" value="N" />
		<input type="checkbox" name="form_data[{$form.form_id}][is_secure]" value="Y" {if $form.is_secure == 'Y'}checked="checked"{/if} /></td>
	<td align="center">
		<input type="hidden" name="form_data[{$form.form_id}][avail]" value="N" />
		<input type="checkbox" name="form_data[{$form.form_id}][avail]" value="Y" {if $form.avail == 'Y'}checked="checked"{/if} /></td>
	<td>{include file="buttons/button.tpl" but_text=$lang.details but_style="text" but_href="$index_script?$target_name=forms&form_id=`$form.form_id`"}</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td colspan="2">
		{$lang.form_url}:&nbsp;<b>{$customer_index}?{$target_name}=forms&name={$form.name}</b></td>
	<td>
		[&nbsp;<a href="{$index_script}?{$target_name}=forms&{$mode_name}=create_link&form_id={$form.form_id}" class="underlined">{$lang.create_link_in_cms}</a>&nbsp;]</td>
	<td colspan="2">&nbsp;</td>
</tr>
{/foreach}
</table>
<p></p>
{if 'manage_forms'|fn_check_privileges:true}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.forms_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('forms_form','delete');"}</td>
</tr>
</table>
{/if}
{else}
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td class="manage-row" align="center">
		<p><b>{$lang.text_no_items_found|replace:'[items]':$lang.form_elements}</b></p></td>
</tr>
</table>
{/if}
</form>
<br /><br />

{include file="common_templates/subheader.tpl" title=$lang.add_new_form}

<form action="{$index_script}" method="post" name="add_forms_form">
<input type="hidden" name="{$target_name}" value="forms" />
<input type="hidden" name="{$mode_name}" value="add_form" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tbody id="header">
<tr>
	<td class="add-new-header" width="50%">{$lang.title}</td>
	<td class="add-new-header" width="50%">{$lang.email_to}</td>
	<td nowrap="nowrap" class="add-new-header">{$lang.access_name}</td>
	<td nowrap="nowrap" class="add-new-header">{$lang.avail}</td>
	<td nowrap="nowrap" class="add-new-header">&nbsp;</td>
</tr>
</tbody>
<tbody id="box_new_form">
<tr>
	<td><input class="input-text-100" size="50" type="text" name="add_form_data[0][title]" value="" /></td>
	<td><input class="input-text-100" size="50" type="text" name="add_form_data[0][email]" value=""/></td>
	<td><input class="input-text" type="text" name="add_form_data[0][name]" value="" /></td>
	<td align="center">
		<input type="hidden" name="add_form_data[0][avail]" value="N" />
		<input type="checkbox" name="add_form_data[0][avail]" value="Y" checked="checked" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="new_form"}</td>
</tr>
</tbody>
</table>
<p></p>
{if 'manage_forms'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_forms_form.submit();"}
{/if}
</form>



{/capture}
{include file="common_templates/mainbox.tpl" title="Forms" content=$smarty.capture.mainbox}