{* $Id: states.tpl,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $ *}

{capture name="mainbox"}
{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="states_form">
<input type="hidden" name="page" value="{$smarty.get.page|escape}" />
<input type="hidden" name="{$target_name}" value="states" />
<input type="hidden" name="{$mode_name}" value="update" />
<input type="hidden" name="country_code" value="{$country_code}" />

<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td nowrap="nowrap" >
		<b>{$lang.select_country}:</b>&nbsp;</td>
	<td>
		<select	name="states_country" onchange="fn_redirect('{$index_script}?{$target_name}=states&{$mode_name}=manage&country_code='+this.value);">
		{foreach from=$countries item=country}
			<option	{if	$country.code == $country_code}selected{/if} value="{$country.code}">{$country.country}</option>
		{/foreach}
		</select></td>
</tr>
</table>
<br />

{include file="common_templates/pagination.tpl"}
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('states_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" width="10%" nowrap="nowrap" >{$lang.code}</td>
	<td class="manage-header" width="40%" nowrap="nowrap" >{$lang.state}</td>
	<td class="manage-header" align="right" width="5%" nowrap="nowrap" >{$lang.avail}
		<input type="checkbox" name="check_all_avail" value="" onclick="fn_check_all_checkboxes('states_form', this.checked, 'cb_avail_', false);" title="{$lang.check_uncheck_all}" /></td>
	<td width="45%">&nbsp;</td>
</tr>

{if $states}

{foreach from=$states item=state}
<tr {cycle values='class="manage-row", '}>
	<td>
		<input type="checkbox" name="delete[{$state.state_id}]" id="delete_checkbox" value="Y" /></td>
	<td align="center" nowrap="nowrap" >
		<b>{$state.code}</b>
		{*<input type="text" name="state_data[{$state.state_id}][code]" size="8" value="{$state.code|escape:html}" class="input-text" />*}</td>
	<td> 
		<input type="text" name="state_description[{$state.state_id}][state]" size="55" value="{$state.state|escape:html}" class="input-text" /></td>
	<td align="right" class="side-padding">
		<input type="hidden" name="state_data[{$state.state_id}][avail]" value="N" />
		<input type="checkbox" id="cb_avail_{$state.state_id}" name="state_data[{$state.state_id}][avail]" value="Y" {if $state.avail == 'Y'}checked="checked"{/if} /></td>
	<td>&nbsp;</td>
</tr>
{/foreach}

{else}
<tr>
	<td colspan="5" align="center" class="manage-row">
		<p><b>{$lang.text_no_states}</b></td>
</tr>
{/if}

</table>

{if $states}
{include file="common_templates/pagination.tpl"}
<p></p>
{if 'manage_locations'|fn_check_privileges:true}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.states_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('states_form','delete');"}</td>
</tr>
</table>
{/if}
{/if}

</form>
<br /><br />	
{foreach from=$countries item=country}
	{if	$country.code == $country_code}
		{assign var="title" value="`$lang.add_new_states` (`$country.country`)"}
	{/if}
{/foreach}
{include file="common_templates/subheader.tpl" title=$title}

<form action="{$index_script}" method="post" name="add_states_form">
<input type="hidden" name="{$target_name}" value="states" />
<input type="hidden" name="{$mode_name}" value="add" />
<input type="hidden" name="country_code" value="{$country_code}" />

<table cellpadding="1" cellspacing="1" border="0" width="1">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap="nowrap" >{$lang.code}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.state}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.avail}</td>
	<td>&nbsp;</td>
</tr>			 
<tr class="manage-row" id="box_new_state">
	<td>
		<input type="text" name="state_data_add[0][code]" size="8" value="" class="input-text" /></td>
	<td>
		<input type="text" name="state_description_add[0][state]" size="55" value="" class="input-text" /></td>
	<td align="center">
		<input type="hidden" name="state_data_add[0][avail]" value="N" />
		<input type="checkbox" name="state_data_add[0][avail]" value="Y" checked="checked" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="new_state"}</td>
</tr>
</table>
<p></p>
{if 'manage_locations'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_states_form.submit();"}
{/if}
</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.manage_states content=$smarty.capture.mainbox}

