{* $Id: site_layout.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  

	{capture name="tabsbox"}
	
	{capture name="mainbox"}
	{** index page section **}
	<div id='content_home_page'>
		{include file="common_templates/select_language.tpl"}

		{capture name="tabsbox"}

		<div id="content_home">
			<form action="{$index_script}" method="post" name="language_variables_form">
			<input type="hidden" name="{$target_name}" value="site_layout" />
			<input type="hidden" name="{$mode_name}" value="update_variables" />
			
			<table cellspacing="1" cellpadding="1" border="0" width="100%">
			<tr>
				<td valign="top" width="100%">
					<b>{$lang.page_title}:</b><br />
					<input type="hidden" name="lang_data[0][name]" value="page_title_text" />
					<input type="text" name="lang_data[0][value]" size="85" class="input-text-100" value="{$lang.page_title_text|escape:html}" /></td>
			</tr>
			<tr>
				<td valign="top" width="100%">
					<b>{$lang.text_edit_index_page_text}:</b><br />
					<input type="hidden" name="lang_data[1][name]" value="text_welcome" />
					<textarea id="index_page_text" name="lang_data[1][value]" cols="85" rows="15" class="input-text" style="width: 100%">{$lang.text_welcome|escape:html}</textarea><br>
					{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('index_page_text');" but_style="text"}<br />&nbsp;</td>
			</tr>
			<tr>
				<td>
					<b>{$lang.meta_description}:</b><br />
					<input type="hidden" name="lang_data[2][name]" value="home_meta_description" />
					<textarea name="lang_data[2][value]" cols="55" rows="3" class="input-text" style="width: 100%">{$lang.home_meta_description|escape:html}</textarea></td>
			</tr>
			<tr>
				<td>
					<b>{$lang.meta_keywords}:</b><br />
					<input type="hidden" name="lang_data[3][name]" value="home_meta_keywords" />
					<textarea name="lang_data[3][value]" cols="55" rows="2" class="input-text" style="width: 100%">{$lang.home_meta_keywords|escape:html}</textarea></td>
			</tr>
			</table>
			<br />

			{if $settings.Addons.discussion == 'Y'}
				{include file="addons/discussion/allow_discussion_te.tpl" object_type="E" title=$lang.discussion_title_home_page}
			{/if}
			</form>
			
			<p></p>
			{include file="buttons/update.tpl" but_onclick="javascript:document.language_variables_form.submit();"}
		<!--content_home--></div>

		{if $settings.Addons.listmania == 'Y'}
			{include file="addons/listmania/select_list.tpl" object_id=$smarty.const.COMMON_PAGES_ID lists=$lm_lists.home_page lm_prefix='home_page' div_prefix=true no_selected_section="Y"  selected_list_id=$selected_list_id.home_page lm_objects=$lm_objects.home_page objects=$objects.home_page extra="<input type=\"hidden\" name=\"page_section\" value=\"home_page\" />"}
		{/if}

		{if $settings.Addons.discussion == "Y"}
			{include file="addons/discussion/discussion.tpl" object_type="E" title=$lang.discussion_title_home_page no_box=true current_url=$current_url|replace:"page_section=$page_section":"page_section=home_page"}
		{/if}

		{/capture}
		{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name="home_page_$target"}

	</div>
	{** /index page section **}

	{** cart page section **}
	<div id='content_cart_page'>
		{capture name="tabsbox"}

		{if $settings.Addons.listmania == 'Y'}
			{include file="addons/listmania/select_list.tpl" object_id=$smarty.const.COMMON_PAGES_ID lists=$lm_lists.cart_page lm_prefix='cart_page' div_prefix=true no_selected_section="Y" selected_list_id=$selected_list_id.cart_page lm_objects=$lm_objects.cart_page objects=$objects.cart_page extra="<input type=\"hidden\" name=\"page_section\" value=\"cart_page\" />"}
		{/if}

		{/capture}
		{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name="cart_page_$target"}
	</div>
	{** /cart page section **}

	{** checkout page section **}
	<div id='content_checkout_page'>
		{capture name="tabsbox"}

		{if $settings.Addons.listmania == 'Y'}
			{include file="addons/listmania/select_list.tpl" object_id=$smarty.const.COMMON_PAGES_ID lists=$lm_lists.checkout_page lm_prefix='checkout_page' div_prefix=true no_selected_section="Y" selected_list_id=$selected_list_id.checkout_page lm_objects=$lm_objects.checkout_page objects=$objects.checkout_page extra="<input type=\"hidden\" name=\"page_section\" value=\"checkout_page\" />"}
		{/if}

		{/capture}
		{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name="checkout_page_$target"}
	</div>
	{** /checkout page section **}

	{** all pages section **}
	<div id='content_all_pages'>
		{capture name="tabsbox"}

		{if $settings.Addons.listmania == 'Y'}
			{include file="addons/listmania/select_list.tpl" object_id=$smarty.const.COMMON_PAGES_ID lists=$lm_lists.all_pages lm_prefix='all_pages' div_prefix=true no_selected_section="Y" selected_list_id=$selected_list_id.all_pages lm_objects=$lm_objects.all_pages objects=$objects.all_pages extra="<input type=\"hidden\" name=\"page_section\" value=\"all_pages\" />"}
		{/if}

		{/capture}
		{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name="all_pages_$target"}
	</div>
	{** /all pages section **}

	<div id='content_logos'>

	<form action="{$index_script}" method="post" name="logotypes_form" enctype="multipart/form-data">
	<input type="hidden" name="{$target_name}" value="site_layout" />
	<input type="hidden" name="{$mode_name}" value="update_logos" />


	<p>{$lang.text_customer_area_logo}</p>
	<div style="float: left;">{include file="common_templates/fileuploader.tpl" var_name="logotypes[C]"}</div>
	<div style="float: left; margin-left: 10px;"><img class="solid-border" src="{$smarty.const.CSCART_HOST_DIR}/skins/{$settings.skin_name_customer}/customer/images/{$customer_manifest.Customer_logo.filename}" width="{$customer_manifest.Customer_logo.width}" height="{$customer_manifest.Customer_logo.height}" /></div>
	<br style="clear: left;" />
	<hr />

	<p>{$lang.text_mail_area_logo}</p>
	<div style="float: left;">{include file="common_templates/fileuploader.tpl" var_name="logotypes[M]"}</div>
	<div style="float: left; margin-left: 10px;"><img class="solid-border" src="{$smarty.const.CSCART_HOST_DIR}/skins/{$settings.skin_name_customer}/mail/images/{$customer_manifest.Mail_logo.filename}" width="{$customer_manifest.Mail_logo.width}" height="{$customer_manifest.Mail_logo.height}" /></div>
	<br style="clear: left;" />
	<hr />

	{if $settings.Affiliate.enable == 'Y'}
	<p>{$lang.text_partner_area_logo}</p>
	<div style="float: left;">{include file="common_templates/fileuploader.tpl" var_name="logotypes[P]"}</div>
	<div style="float: left; margin-left: 10px;"><img class="solid-border" src="{$smarty.const.CSCART_HOST_DIR}/skins/{$settings.skin_name_partner}/partner/images/{$partner_manifest.Partner_logo.filename}" width="{$partner_manifest.Partner_logo.width}" height="{$partner_manifest.Partner_logo.height}" /></div>
	<br style="clear: left;" />
	<hr />
	{/if}

	<p>{$lang.text_admin_area_logo}</p>
	<div style="float: left;">{include file="common_templates/fileuploader.tpl" var_name="logotypes[A]"}</div>
	<div style="float: left; margin-left: 10px;"><img class="solid-border" src="{$smarty.const.CSCART_HOST_DIR}/skins/{$settings.skin_name_admin}/admin/images/{$manifest.Admin_logo.filename}" width="{$manifest.Admin_logo.width}" height="{$manifest.Admin_logo.height}" /></div>
	<br style="clear: left;" /><br />
	
	<p></p>
	{include file="buttons/button.tpl" but_text=$lang.update but_onclick="document.logotypes_form.submit();"}

	</form>
	</div>

	{/capture}
	{include file="common_templates/mainbox.tpl" title=$lang.site_layout content=$smarty.capture.mainbox}

	{/capture}
	{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name=$target}

