{* $Id: statuses.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="statuses_form">
<input name="{$target_name}" type="hidden" value="{$target}" />
<input name="status_type" type="hidden" value="{$status_type|default:'O'}" />
<input name="{$mode_name}" type="hidden" value="update_statuses" />
{$extra_fields}

<table cellspacing="1" cellpadding="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('statuses_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap" >{$lang.status}</td>
	<td class="manage-header" nowrap="nowrap" >{$lang.name}</td>
</tr>
{if $statuses}
{foreach from=$statuses item="s" key="key"}
{cycle values='class="manage-row", ' assign="row"}
<tr {$row}>
	<td width="1%">
		{if $default_statuses|strpos:$s.status !== false}
		&nbsp;
		{else}{assign var="custom_statuses" value=true}
		<input type="checkbox" name="delete[{$s.status}]" id="delete_checkbox" value="Y" />
		{/if}
	</td>
	<td align="center">
		<input type="hidden" name="statuses[{$s.status}][status]" value="{$s.status}" />
		<b>{$s.status}</b></td>
	<td nowrap="nowrap">
		<input type="text" size="70" name="descr_data[{$s.status}][description]" value="{$s.description|escape:html}" class="input-text" />&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
</tr>
<tr {$row}>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td colspan="3">
	<table width="100%">
	<tr>
		<td nowrap="nowrap">{$lang.email_subject}:&nbsp;</td>
		<td width="100%"><input type="text" size="40" name="descr_data[{$s.status}][email_subj]" value="{$s.email_subj|escape:html}" class="input-text-100" /></td>
	</tr>
	<tr>
		<td nowrap="nowrap" valign="top">{$lang.email_header}:&nbsp;</td>
		<td width="100%">
			<textarea id="email_header_{$s.status}" name="descr_data[{$s.status}][email_header]" class="input-text-100">{$s.email_header|escape:html}</textarea>
			<div align="right">{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('email_header_`$s.status`');" but_style="text"}</div>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" valign="top">{$lang.notify_customer}:&nbsp;</td>
		<td width="100%">
			<input type="hidden" name="status_data[{$s.status}][notify]" value="N" />
			<input type="checkbox" name="status_data[{$s.status}][notify]" value="Y" {if $additional_fields.$key.notify == 'Y'} checked="checked"{/if} />
		</td>
	</tr>
	{if $settings.Addons.suppliers == 'Y'}
	{include file="addons/suppliers/look_n_feel_pages/statuses.tpl" var_name="status_data" status=$s.status notify_supplier=$additional_fields.$key.notify_supplier}
	{/if}
	{if $status_type == $smarty.const.STATUSES_ORDER}
	<tr>
		<td nowrap="nowrap" valign="top">{$lang.inventory}:&nbsp;</td>
		<td width="100%">
			{if $default_statuses|strpos:$s.status !== false}
				{if $additional_fields.$key.inventory == 'I'}{$lang.increase}{else}{$lang.decrease}{/if}
			{else}
				<select name="status_data[{$s.status}][inventory]">
				<option value="I" {if $additional_fields.$key.inventory == 'I'}selected="selected"{/if}>{$lang.increase}</option>
				<option value="D" {if $additional_fields.$key.inventory == 'D'}selected="selected"{/if}>{$lang.decrease}</option>
				</select>
			{/if}
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" valign="top">{$lang.remove_cc_info}:&nbsp;</td>
		<td width="100%">
			<input type="hidden" name="status_data[{$s.status}][remove_cc_info]" value="N" />
			<input type="checkbox" name="status_data[{$s.status}][remove_cc_info]" value="Y" {if $additional_fields.$key.remove_cc_info == 'Y'} checked="checked"{/if} /></td>
	</tr>
	<tr>
		<td nowrap="nowrap" valign="top">{$lang.pay_order_again}:&nbsp;</td>
		<td width="100%">
			<input type="hidden" name="status_data[{$s.status}][repay]" value="N" />
			<input type="checkbox" name="status_data[{$s.status}][repay]" value="Y" {if $additional_fields.$key.repay == 'Y'} checked="checked"{/if} /></td>
	</tr>
	
	{if $settings.Addons.gift_certificates == 'Y'}
		{include file="addons/gift_certificates/look_n_feel_pages/statuses_update.tpl"}
	{/if}
	
	{if $settings.Addons.rma == 'Y'}
		{include file="addons/rma/look_n_feel_pages/statuses_update.tpl"}
	{/if}

	{/if}	
	</table>
	</td>
</tr>
<tr>
	<td colspan="5">
	<hr /><br />
	</td>
</tr>
{/foreach}
<tr>
	<td colspan="5">
		{if $privilege|fn_check_privileges:true}
		<p>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/update.tpl" but_onclick="javascript:document.statuses_form.submit();"}</td>
			{if $custom_statuses}
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('statuses_form','delete_statuses');"}</td>
			{/if}
		</tr>
		</table>
		</p>
		{/if}
	</td>
</tr>
{else}
<tr>
	<td colspan="5" align="center" class="manage-row"><p><b>{$lang.text_no_items_found|replace:'[items]':$item}</b>&nbsp;</p></td>
</tr>
{/if}
</table>
</form>


<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_status}
<form action="{$index_script}" method="post" name="add_statuses_form" />
<input name="{$target_name}" type="hidden" value="{$target}" />
<input name="status_type" type="hidden" value="{$status_type|default:'O'}" />
<input name="{$mode_name}" type="hidden" value="add_statuses" />
{$extra_fields}

<table cellspacing="1" cellpadding="1" border="0" width="100%">
<tbody id="header">
<tr class="add-new-header">
	<td class="add-new-header" nowrap="nowrap" >{$lang.status}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.name}</td>
	<td>&nbsp;</td>
</tr>
</tbody>
<tbody  id="box_add_statuses">
<tr>
	<td align="center">
		<select name="add_statuses[0][status]">
		{foreach from="A"|range:"Z" item=st}
		{if !$statuses[$st]}
		<option value="{$st}">{$st}</option>
		{/if}
		{/foreach}
		</select></td>
	<td nowrap="nowrap" width="100%">
		<input type="text" size="40" name="add_descr_data[0][description]" value="" class="input-text" />&nbsp;&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="add_statuses"}</td>
</tr>

<tr>
	<td>&nbsp;</td>
	<td colspan="2">
	<table width="100%">
	<tr>
		<td nowrap="nowrap">{$lang.email_subject}:&nbsp;</td>
		<td width="100%"><input type="text" size="40" name="add_descr_data[0][email_subj]" value="" class="input-text-100" /></td>
	</tr>
	<tr>
		<td nowrap="nowrap">{$lang.email_header}:&nbsp;</td>
		<td width="100%">
			<textarea id="add_email_header_beh" name="add_descr_data[0][email_header]" class="input-text-100"></textarea>
			<div align="right">{include file="buttons/button.tpl" but_id="beh" but_text=$lang.edit_in_visual_editor extra_onclick="javascript: fn_open_editor('add_email_header_' + this.id);" but_style="text"}</div>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" valign="top">{$lang.notify_customer}:&nbsp;</td>
		<td width="100%">
			<input type="hidden" name="add_status_data[0][notify]" value="N" />
			<input type="checkbox" name="add_status_data[0][notify]" value="Y" checked="checked" /></td>
		</td>
	</tr>
	{if $settings.Addons.suppliers == 'Y'}
	{include file="addons/suppliers/look_n_feel_pages/statuses.tpl" var_name="add_status_data" status=0 notify_supplier='Y'}
	{/if}
	{if $status_type == $smarty.const.STATUSES_ORDER}
	<tr>
		<td nowrap="nowrap" valign="top">{$lang.inventory}:&nbsp;</td>
		<td width="100%">
			<select name="add_status_data[0][inventory]">
				<option value="I">{$lang.increase}</option>
				<option value="D">{$lang.decrease}</option>
			</select>
		</td>
		</td>
	</tr>
	<tr>
		<td nowrap="nowrap" valign="top">{$lang.remove_cc_info}:&nbsp;</td>
		<td width="100%">
			<input type="hidden" name="add_status_data[0][remove_cc_info]" value="N" />
			<input type="checkbox" name="add_status_data[0][remove_cc_info]" value="Y" /></td>
	</tr>
	<tr>
		<td nowrap="nowrap" valign="top">{$lang.pay_order_again}:&nbsp;</td>
		<td width="100%">
			<input type="hidden" name="add_status_data[0][repay]" value="N" />
			<input type="checkbox" name="add_status_data[0][repay]" value="Y" checked="checked" /></td>
		</td>
	</tr>

	{if $settings.Addons.gift_certificates == 'Y'}
		{include file="addons/gift_certificates/look_n_feel_pages/statuses_add.tpl"}
	{/if}
	
	{if $settings.Addons.rma == 'Y'}
		{include file="addons/rma/look_n_feel_pages/statuses_add.tpl"}
	{/if}
	{/if}
	</table>
	</td>
	<td>&nbsp;</td>
</tr>
</tbody>
</table>
<p></p>
{include file="buttons/add_new.tpl" but_onclick="javascript: document.add_statuses_form.submit();"}
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$title content=$smarty.capture.mainbox}
