{* $Id: om_profiles.tpl,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $ *}

{include file="profiles_pages/profiles_scripts.tpl"}

{capture name="mainbox"}

<form name="profile_form" action="{$index_script}" method="post" onsubmit="return false">
<input type="hidden" name="{$target_name}" value="order_management" />
<input type="hidden" name="{$mode_name}" value="customer_info" />
<input type="hidden" name="{$action_name}" value="" />

<table cellpadding="1" cellspacing="1" border="0" align="center" width="100%">
	{if $customer_auth.user_id && $settings.General.user_multiple_profiles == 'Y'} {* Select user profile *}
	<tr>
		<td>&nbsp;</td>
		<td width="200" class="form-field-caption" align="right">{$lang.select_profile}</td>
		<td width="5" id="mark_profile_id" class="required-field-mark">&nbsp;</td>
		<td width="180">
			<select name="profile_id" onchange="fn_redirect('{$index_script}?{$target_name}=order_management&{$mode_name}=customer_info&profile_id='+this.value);" class="select-expanded">
			{foreach from=$user_profiles item="user_profile"}
				<option value="{$user_profile.profile_id}" {if $cart.profile_id == $user_profile.profile_id}selected="selected"{/if}>{$user_profile.profile_name}</option>
			{/foreach}
			</select></td>
		<td width="20" id="status_profile_id" class="required-field-mark">&nbsp;</td>
		<td>&nbsp;</td>
	</tr>
	{/if}

	{include file="profiles_pages/profile_fields.tpl" user_data=$cart.user_data section="C" title=$lang.contact_information}

	{include file="profiles_pages/profile_fields.tpl" user_data=$cart.user_data section="B" title=$lang.billing_address}
	{include file="profiles_pages/profile_fields.tpl" user_data=$cart.user_data section="S" title=$lang.shipping_address body_id="sa" shipping_flag=$profile_fields.B|@sizeof|default:false shipping_eq_billing=$cart.shipping_eq_billing|default:'Y'}

	{if !$customer_auth.user_id && $settings.General.disable_anonymous_checkout == 'Y'}
	{include file="profiles_pages/profiles_account.tpl"}
	{/if}
</table>

<br />
<div style="float:left;">
	{include file="buttons/button.tpl" but_text=$lang.update but_onclick="javascript: profiles_form.submit();" but_type="input"}</div>
<div style="float:right;">
	{include file="buttons/button.tpl" but_text=$lang.continue but_onclick="javascript: profiles_form.set_field_value('$action_name', 'continue'); profiles_form.submit();" action_but="action_"}</div>

</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.customer_information content=$smarty.capture.mainbox anchor="profile"}


{capture name="mainbox"}

{include file="profiles_pages/user_search.tpl" target="order_management" mode="customer_info" action="search"}

{if $users}
<form action="{$index_script}" method="post" name="om_customerlist">
<input type="hidden" name="{$target_name}" value="order_management" />
<input type="hidden" name="{$mode_name}" value="select_customer" />
<input type="hidden" name="page" value="{$smarty.get.page|escape}" />
{include file="common_templates/pagination.tpl"}

<table cellpadding="3" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%">&nbsp;</td>
	<td class="manage-header">{$lang.email}</td>
	{if $settings.General.use_email_as_login != 'Y'}
	<td class="manage-header">{$lang.username}</td>
	{/if}
	<td class="manage-header">{$lang.name}</td>
	<td class="manage-header">{$lang.registered}</td>
	<td class="manage-header">{$lang.type}</td>
	<td class="manage-header">{$lang.active}</td>
</tr>
{foreach from=$users item=user}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="radio" name="selected_user_id" value="{$user.user_id}" checked="checked" /></td>
	<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">&nbsp;{$user.email}&nbsp;</a></td>
	{if $settings.General.use_email_as_login != 'Y'}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.user_login}</b></a></td>
	{/if}
	<td class="side-padding">{if $user.firstname || $user.lastname}<a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">{$user.firstname} {$user.lastname}</a>{else}-{/if}</td>
	<td class="side-padding">{$user.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
	<td class="side-padding">{if $user.user_type == 'A'}{$lang.administrator}{elseif $user.user_type == 'C'}{$lang.customer}{elseif $user.user_type == 'P'}{$lang.partner}{elseif $user.user_type == 'S'}{$lang.supplier}{/if}</td>
	<td class="side-padding" align="center"><img src="{$images_dir}/checkbox_{if $user.active == 'N'}un{/if}ticked.gif" width="13" height="13" alt="{$user.active}" /></td>
</tr>
{/foreach}
</table>
{include file="common_templates/pagination.tpl"}
<br />
{include file="buttons/button.tpl" but_text=$lang.choose but_onclick="javascript: document.om_customerlist.submit()" but_type="input" action_but="action_"}
</form>

{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.search content=$smarty.capture.mainbox}