{* $Id: pages_search_form.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

<form action="{$index_script}{if $page_part}#{$page_part}{/if}" method="get" name="{$search_form_prefix}search_form">
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="{$search_mode}" />

{if $selected_section != ""}
<input type="hidden" id="selected_section" name="selected_section" value="{$selected_section}" />
{/if}

{if $page_id != ""}
<input type="hidden" id="page_id" name="page_id" value="{$page_id}" />
{/if}

{if $topic_id != ""}
<input type="hidden" id="topic_id" name="topic_id" value="{$topic_id}" />
{/if}

{$extra}

<input type="hidden" name="type" value="{$search_type|default:'simple'}" />

<table cellpadding="1" cellspacing="1" border="0">
<tr>
	<td width="120">{$lang.search_string}:</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				<input type="text" name="q" value="{$search_data.search_string|fn_stripslashes}" size="30" class="input-text" /></td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td>
				{if 'view_cms'|fn_check_privileges:true}
				{include file="buttons/search.tpl" but_onclick="javascript:document.`$search_form_prefix`search_form.submit();" but_type="input" but_arrow="on"}
				{/if}</td>
		</tr>
		</table>

</tr>
<tr>
	<td>{$lang.search_in}:</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0" class="dashed-border">
		<tr>
			<td><input type="checkbox" value="Y" {if $search_data.search_page_name == 'Y'}checked="checked"{/if} name="pname" /></td>
			<td>{$lang.page_name}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" {if $search_data.search_short_description == 'Y'}checked="checked"{/if} name="pshort" /></td>
			<td>{$lang.short_description}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" {if $search_data.search_full_description == 'Y'}checked="checked"{/if} name="pfull" /></td>
			<td>{$lang.full_description}&nbsp;</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td>{$lang.search_in_topic}:</td>
	<td>
		<select	name="tid">
			<option	value="0" {if $topic_data.parent_id == "0"}selected{/if}>- {$lang.all_topics} -</option>
			{foreach from=$all_topics_list item="topic"}
			<option	value="{$topic.topic_id}" {if $search_data.search_topic_id == $topic.topic_id}selected{/if}>{$topic.topic|indent:$topic.level:"&#166;&nbsp;&nbsp;&nbsp;&nbsp;":"&#166;--&nbsp;"}</option>
			{/foreach}
		</select>
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td><input type="checkbox" value="Y" {if $search_data.search_subtopics == 'Y'}checked="checked"{/if} name="subtops" /></td>
			<td>{$lang.search_in_subtopics}</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td>{$lang.search_by_page_id}:</td>
	<td><input type="text" name="pid" value="{$search_data.search_page_id}" size="30" class="input-text" /></td>
</tr>
</table>

</form>
