{** /Options exceptions section **}

{capture name="mainbox"}

<form action="{$index_script}" method="post" name="product_options_form">
<input type="hidden" name="{$target_name}" value="product_options" />
<input type="hidden" name="{$mode_name}" value="exceptions" />
<input type="hidden" name="{$action_name}" value="add" />
<input type="hidden" name="product_id" value="{$product_id}" />
{include file="common_templates/pagination.tpl"}

{$lang.text_exception_note}
{if $exceptions}
<br />
<input type="hidden" name="page" value="{$smarty.get.page}" />
<table cellpadding="1" cellspacing="1" border="0">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('product_options_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap">{$lang.combination}</td>
</tr>

{foreach from=$exceptions item="i"}
<tr {cycle values='class="manage-row", '}>
	<td valign="top"><input type="checkbox" id="delete_checkbox" name="delete[{$i.options_group_id}]" value="Y" /></td>
	<td valign="top">
		<table>
		{foreach from=$i.combination item="c" key="k"}
		{if ($product_options.$k.option_type == "S") || ($product_options.$k.option_type == "R") || ($product_options.$k.option_type == "C")}
		<tr>
			<td>{$product_options.$k.option_name}:</td>
			<td><b>
				{if $product_options.$k.option_type == "C"}
					{if ($c=='-2')}- {$lang.disabled} -
					{elseif ($c=='-1')}- {$lang.disregard} -
					{else}[{if $product_options.$k.variants.$c.position == "1"}{$lang.yes}{else}{$lang.no}{/if}]{/if}
				{else}
					{if ($c=='-2')}- {$lang.disabled} -
					{elseif ($c=='-1')}- {$lang.disregard} -
					{else}{$product_options.$k.variants.$c.variant_name}{/if}
				{/if}
				</b>
			</td>
		</tr>
		{/if}
		{/foreach}
		</table>
	</td>
</tr>
{/foreach}
</table>
<p></p>
{include file="common_templates/pagination.tpl"}

{if 'manage_catalog'|fn_check_privileges:true}
{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('product_options_form','delete', false, 'delete_checkbox', '$action_name');"}
{/if}

{/if}
<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_combination}

<table cellpadding="1" cellspacing="1" border="0">
<tr id="header">
	<td class="add-new-header" nowrap="nowrap">{$lang.combination}</td>
	<td class="add-new-header">&nbsp;</td>
</tr>
<tr id="box_new_item">
	<td>
		<table>
		{foreach from=$product_options item="option" name="add_inv_fe"}
		<tr>
			<td>{$option.option_name}</td>
			<td>{if $option.option_type == 'C' }
					<select name="add_options_combination[0][{$option.option_id}]">
						{foreach from=$option.variants item="variant"}
							<option value="{$variant.variant_id}">{if $variant.position == 0}{$lang.no}{else}{$lang.yes}{/if}</option>
						{/foreach}
						<option value="-1">- {$lang.disregard} -</option>					
						<option value="-2">- {$lang.disabled} -</option>
					</select>
				{else}
					<select name="add_options_combination[0][{$option.option_id}]">
						{foreach from=$option.variants item="variant"}
						<option value="{$variant.variant_id}">{$variant.variant_name}</option>
							{/foreach}
						<option value="-1">- {$lang.disregard} -</option>					
						<option value="-2">- {$lang.disabled} -</option>
					</select>
				{/if}
			</td>
		</tr>
		{/foreach}
		</table>
	</td>
	<td valign="top">{include file="buttons/multiple_buttons.tpl" item_id="new_item"}</td>
</tr>
</table>
<p></p>
{if 'manage_catalog'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript: document.product_options_form.submit();"}
{/if}
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.exceptions content=$smarty.capture.mainbox}

{** /Options exceptions section **}
