{* $Id: product_features.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="mainbox"}

{literal}
<script type="text/javascript" language="javascript 1.2">
	function fn_check_product_feature_type(value, tag_id)
	{
		var i = 0;

		if (document.getElementById(tag_id)) {
			if (value == 'S') {
				document.getElementById('box_'+tag_id).style.display = '';
			}
			if (value == 'T' || value == 'C') {
				document.getElementById('box_'+tag_id).style.display = 'none';
			}
		}
	}
</script>
{/literal}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="update_features_form">
<input type="hidden" name="{$target_name}" value="product_features" />
<input type="hidden" name="{$mode_name}" value="update" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header" id="header">
	<td width="1%" align="center">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('update_features_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap">{$lang.position_short}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.description}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.type}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.hidden}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.avail}</td>
	<td class="manage-header" width="100%">&nbsp;</td>
</tr>
{if $features}

{foreach from=$features item="feature"}
<tr {cycle values='class="manage-row", '}>
	<td>
   		<input type="checkbox" name="features_ids[{$feature.feature_id}]" id="delete_checkbox" value="Y" /></td>
	<td>
		<input type="text" size="3" name="features_data[{$feature.feature_id}][position]" value="{$feature.position}" class="input-text" /></td>
	<td>
		<input type="text" name="features_data_descr[{$feature.feature_id}][description]" value="{$feature.description|escape:html}" class="input-text" /></td>
	<td>
		<select name="features_data[{$feature.feature_id}][feature_type]">
			<option value="S" {if $feature.feature_type == 'S'}selected="selected"{/if}>{$lang.selectbox}</option>
			<option value="C" {if $feature.feature_type == 'C'}selected="selected"{/if}>{$lang.checkbox}</option>
			<option value="T" {if $feature.feature_type == 'T'}selected="selected"{/if}>{$lang.text}</option>
		</select></td>
	<td align="center">
		<input type="hidden" name="features_data[{$feature.feature_id}][hidden]" value="N" />
		<input type="checkbox" name="features_data[{$feature.feature_id}][hidden]" value="Y" {if $feature.hidden == 'Y'}checked="checked"{/if} /></td>
	<td align="center">
		<input type="hidden" name="features_data[{$feature.feature_id}][avail]" value="N">
		<input type="checkbox" name="features_data[{$feature.feature_id}][avail]" value="Y" {if $feature.avail == 'Y'}checked="checked"{/if} /></td>
	<td>
		{if $feature.feature_type == 'S'}
			{include file="buttons/button.tpl" but_style="text" but_text=$lang.variants but_href="$index_script?$target_name=product_features&feature_id=`$feature.feature_id`"}
		{else}&nbsp;{/if}</td>
</tr>
{/foreach}
{else}
	<tr>
		<td align="center" class="manage-row" colspan="7"><p><b>{$lang.no_product_features_found}</b></p></td>
	</tr>
{/if}
</table>
<br />
{if $features}

{if 'manage_catalog'|fn_check_privileges:true}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.update_features_form.submit()" but_type="input"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('update_features_form','delete','','delete_checkbox','',false);" but_arrow="on"}</td>
</tr>
</table>
{/if}

{/if}
</form>
<br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_feature}
<form action="{$index_script}" method="post" name="add_features_form">
<input type="hidden" name="{$target_name}" value="product_features" />
<input type="hidden" name="{$mode_name}" value="add" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tbody id="header">
<tr class="add-new-header">
	<td nowrap="nowrap" class="add-new-header">{$lang.position_short}</td>
	<td nowrap="nowrap" class="add-new-header">{$lang.description}</td>
	<td nowrap="nowrap" class="add-new-header">{$lang.type}</td>
	<td nowrap="nowrap" class="add-new-header">{$lang.avail}</td>
	<td nowrap="nowrap" class="add-new-header" width="100%">&nbsp;</td>
</tr>
</tbody>
<tbody id="box_add_product_features">
<tr>
	<td>
		<input type="text" name="add_features_data[0][position]" size="3" value="" class="input-text" /></td>
	<td>
		<input type="text" name="add_features_data_descr[0][description]" value="" class="input-text" /></td>
	<td>
		<select name="add_features_data[0][feature_type]" id="feature_variants" onchange="fn_check_product_feature_type(this.value, this.id);">
			<option value="S">{$lang.selectbox}</option>
			<option value="C">{$lang.checkbox}</option>
			<option value="T">{$lang.text}</option>
		</select></td>
	<td align="center">
		<input type="hidden" name="add_features_data[0][avail]" value="N" />
		<input type="checkbox" name="add_features_data[0][avail]" value="Y" checked="checked" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="add_product_features" tag_level="1"}</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td colspan="5">
		<table cellpadding="0" cellspacing="0" border="0"> {* DONT DELETE THIS TABLE. ITS REALLY NEEDED!*}
		<tr>
			<td id="box_feature_variants"> 
				<table cellpadding="1" cellspacing="1" border="0" width="1">
				<tr class="add-new-header" id="header">
					<td class="add-new-header">{$lang.variant}</td>
					<td class="add-new-header">&nbsp;</td>
				</tr>
				<tr id="box_add_feature_variants">
					<td>
						<input type="text" name="add_variants[0][0][variant]" value="" class="input-text" /></td>
					<td>
						{include file="buttons/multiple_buttons.tpl" item_id="add_feature_variants" tag_level="2"}</td>
				</tr>
				</table>
			</td>
		</tr>
		</table>
	</td>
</tr>
</tbody>
</table>

{if 'manage_catalog'|fn_check_privileges:true}
<p></p>
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_features_form.submit()" but_type="input"}
{/if}
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.product_features content=$smarty.capture.mainbox}