{* $Id: products.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

<div align="right"><span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=products&{$mode_name}=add" class="underlined">{$lang.add_new_product}</a><p></p></div>


{capture name="mainbox"}

{capture name="section"}
	{include file="products_pages/products_search_form.tpl" search_type="extended" target="products"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search_for_products section_content=$smarty.capture.section}

<form action="{$index_script}" method="post" name="manage_products_form">
<input type="hidden" name="{$target_name}" value="products" />
<input type="hidden" name="{$mode_name}" value="do_m_update" />
<input type="hidden" name="category_id" value="{$smarty.get.cid}" />
<input type="hidden" name="page" value="{$smarty.get.page}" />
<input type="hidden" name="redirect_url" value="{if $smarty.get.redirect_url}{$smarty.get.redirect_url}{else}{$redirect_url|default:$current_url}{/if}" />

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('manage_products_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	{if $smarty.get.cid && $smarty.get.subcats!='Y'}
	<td class="manage-header" align="center" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=position&sort_order={$sort_order}{$url_suffix}">{$lang.position_short}</a>{if $sort_by == 'position'}{$sort_sign}{/if}</td>
	{/if}
	<td class="manage-header" align="center" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=code&sort_order={$sort_order}{$url_suffix}">{$lang.code}</a>{if $sort_by == 'code'}{$sort_sign}{/if}</td>
	<td class="manage-header" align="center" width="100%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=product&sort_order={$sort_order}{$url_suffix}">{$lang.product}</a>{if $sort_by == 'product'}{$sort_sign}{/if}</td>
	<td class="manage-header" align="center" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=price&sort_order={$sort_order}{$url_suffix}">{$lang.price} ({$currencies.$primary_currency.symbol})</a>{if $sort_by == 'price'}{$sort_sign}{/if}</td>
	<td class="manage-header" align="center" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=list_price&sort_order={$sort_order}{$url_suffix}">{$lang.list_price} ({$currencies.$primary_currency.symbol})</a>{if $sort_by == 'list_price'}{$sort_sign}{/if}</td>
	<td class="manage-header" align="center" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=amount&sort_order={$sort_order}{$url_suffix}">{$lang.quantity}</a>{if $sort_by == 'amount'}{$sort_sign}{/if}</td>
	<td class="manage-header" align="center" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=avail&sort_order={$sort_order}{$url_suffix}">{$lang.avail}</a>{if $sort_by == 'avail'}{$sort_sign}{/if}</td>
</tr>
{if $products}
{foreach from=$products item=product}
<tr {cycle values='class="manage-row", '}>
	<td>
   		<input type="checkbox" name="products_ids[{$product.product_id}]" id="delete_checkbox" value="Y" /></td>
	{if $smarty.get.cid && $smarty.get.subcats!='Y'}
	<td>
		<input type="text" name="positions[{$product.product_id}]" size="3" value="{$product.position}" class="input-position" /></td>
	{/if}
	<td>
		<input type="text" name="products_data[{$product.product_id}][product_code]" size="6" value="{$product.product_code|escape:html}" class="input-product-code" /></td>
	<td width="100%">
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td class="side-padding" width="100%">
				<input type="hidden" name="products_description[{$product.product_id}][product]" value="{$product.product|escape:html}" />
				<a href="{$index_script}?{$target_name}=products&{$mode_name}=update&product_id={$product.product_id}" class="manage-root-item{if $product.avail == "N"}-disabled{/if}">{$product.product|escape:html}</a></td>
			<td align="right" nowrap="nowrap">
				&nbsp;<a href="{$index_script}?{$target_name}=products&{$mode_name}=delete&product_id={$product.product_id}" class="manage-small"><img src="{$images_dir}/catalog_del.gif" width="10" height="8" border="0" alt="" align="bottom">{$lang.delete}</a>&nbsp;</td>
		</tr>
		</table>
	</td>
	<td>
		<input type="text" name="prices[{$product.product_id}][price]" size="6" value="{$product.price}" class="input-product-price" /></td>
	<td>
		<input type="text" name="products_data[{$product.product_id}][list_price]" size="6" value="{$product.list_price}" class="input-product-price" /></td>
	<td>
		{if $product.tracking == 'O'}
		{include file="buttons/button.tpl" but_text=$lang.edit but_onclick="$index_script?$target_name=product_options&$mode_name=inventory&product_id=`$product.product_id`" but_style="text"}
		{else}
		<input type="text" name="products_data[{$product.product_id}][amount]" size="6" value="{$product.amount}" class="input-product-price" />
		{/if}
	</td>
	<td align="center">	
		<select name="products_data[{$product.product_id}][avail]">
			<option value="Y" {if $product.avail == 'Y'}selected="selected"{/if}>{$lang.yes}</option>
			<option value="H" {if $product.avail == 'H'}selected="selected"{/if}>{$lang.hidden}</option>
			<option value="N" {if $product.avail == 'N'}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>
{/foreach}

{else}
<tr>
	<td colspan="{if $smarty.get.category_id}11{else}10{/if}" align="center" class="manage-row">
		<p><b>{$lang.text_no_products_found}</b></p></td>
</tr>
{/if}
</table>
{include file="common_templates/pagination.tpl"}

<p></p>

{if 'manage_catalog'|fn_check_privileges:true}
{if $products}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.manage_products_form.submit()" but_type="input"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('manage_products_form','do_m_delete');" but_arrow="on"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/button.tpl" but_text=$lang.clone_selected but_onclick="javascript: fn_delete_selected('manage_products_form','m_clone', true);" but_arrow="on"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/export_selected.tpl" but_onclick="javascript: fn_delete_selected('manage_products_form','export_range', true);" but_arrow="on"}</td>

</tr>
</table>
{/if}

<p>{include file="buttons/add_new.tpl" but_href="$index_script?$target_name=products&$mode_name=add"}

{if $products}
<br />
<p>{$lang.text_select_fields2edit_note}</p>

{include file="products_pages/products_select_fields.tpl"}

{include file="buttons/modify_selected.tpl" but_onclick="javascript: fn_delete_selected('manage_products_form','do_store_selection',true);" but_arrow="on"}
{/if}

{/if}

</form>
<br />

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.products content=$smarty.capture.mainbox}