{* $Id: products_search_fields.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if !$schema || $schema == '' || $schema == 'products'}
	{assign var='sch_find_results_with' 			value='Y'}
	{assign var='sch_search_by_product_features' 	value='Y'}
	{assign var='sch_search_in_category' 			value='Y'}
	{assign var='sch_search_by_sku' 				value='Y'}
	{assign var='sch_advanced_search_options' 		value='Y'}
	{assign var='sch_search_by_manufacturer' 		value='Y'}
	{assign var='sch_price' 						value='Y'}
	{assign var='sch_shipping_freight' 				value='Y'}
	{assign var='sch_weight' 						value='Y'}
	{assign var='sch_amount' 						value='Y'}
	{assign var='sch_configurable' 					value='Y'}
	{assign var='sch_free_shipping' 				value='Y'}
	{assign var='sch_avail'		 					value='Y'}
	{assign var='colspan' 							value='1'}
{elseif $schema == 'orders'}
	{assign var='sch_find_results_with' 			value='Y'}
	{assign var='sch_search_by_product_features' 	value='Y'}
	{assign var='sch_search_in_category' 			value='Y'}
	{assign var='sch_search_by_sku' 				value='Y'}
	{assign var='sch_advanced_search_options' 		value='N'}
	{assign var='sch_search_by_manufacturer' 		value='Y'}
	{assign var='sch_price' 						value='Y'}
	{assign var='sch_shipping_freight' 				value='N'}
	{assign var='sch_weight' 						value='N'}
	{assign var='sch_amount' 						value='Y'}
	{assign var='sch_configurable' 					value='Y'}
	{assign var='sch_free_shipping' 				value='Y'}
	{assign var='sch_avail'		 					value='N'}
	{assign var='colspan' 							value='4'}
{elseif $schema == 'customers'}
	{assign var='sch_find_results_with' 			value='Y'}
	{assign var='sch_search_by_product_features' 	value='Y'}
	{assign var='sch_search_in_category' 			value='Y'}
	{assign var='sch_search_by_sku' 				value='Y'}
	{assign var='sch_advanced_search_options' 		value='N'}
	{assign var='sch_search_by_manufacturer' 		value='Y'}
	{assign var='sch_price' 						value='Y'}
	{assign var='sch_shipping_freight' 				value='N'}
	{assign var='sch_weight' 						value='N'}
	{assign var='sch_amount' 						value='Y'}
	{assign var='sch_configurable' 					value='Y'}
	{assign var='sch_free_shipping' 				value='Y'}
	{assign var='sch_avail'		 					value='N'}
	{assign var='colspan' 							value='7'}
{elseif $schema == 'carts'}
	{assign var='sch_find_results_with' 			value='Y'}
	{assign var='sch_search_by_product_features' 	value='Y'}
	{assign var='sch_search_in_category' 			value='Y'}
	{assign var='sch_search_by_sku' 				value='Y'}
	{assign var='sch_advanced_search_options' 		value='N'}
	{assign var='sch_search_by_manufacturer' 		value='Y'}
	{assign var='sch_price' 						value='Y'}
	{assign var='sch_shipping_freight' 				value='N'}
	{assign var='sch_weight' 						value='N'}
	{assign var='sch_amount' 						value='Y'}
	{assign var='sch_configurable' 					value='Y'}
	{assign var='sch_free_shipping' 				value='Y'}
	{assign var='sch_avail' 						value='N'}
	{assign var='colspan' 							value='4'}
{/if}

{if $sch_find_results_with == 'Y'}
<tr>
	<td width="120">{$lang.find_results_with}:</td>
	<td colspan="{$colspan}">
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				<select name="match">
					<option value="any" {if $smarty.get.match == 'any'}selected="selected"{/if}>{$lang.any_words}</option>
					<option value="all" {if $smarty.get.match == 'all'}selected="selected"{/if}>{$lang.all_words}</option>
					<option value="exact" {if $smarty.get.match == 'exact'}selected="selected"{/if}>{$lang.exact_phrase}</option>
				</select></td>
			<td>&nbsp;</td>
			<td>
				<input type="text" name="q" size="45" value="{$search_data.search_string|fn_stripslashes|escape:html}" class="input-text" /></td>
		</tr>
		</table>
	</td>
</tr>
{/if}
{if $search_products != 'Y'}
{if $sch_find_results_with == 'Y'}
<tr>
	<td>{$lang.search_in}:</td>
	<td colspan="{$colspan}">
		<table cellpadding="0" cellspacing="0" border="0" class="dashed-border">
		<tr>
			<td><input type="checkbox" value="Y" {if $search_data.search_product_name == 'Y'}checked="checked"{/if} name="pname" /></td>
			<td>{$lang.product_name}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" {if $search_data.search_short_description == 'Y'}checked="checked"{/if} name="pshort" /></td>
			<td>{$lang.short_description}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" {if $search_data.search_full_description == 'Y'}checked="checked"{/if} name="pfull" /></td>
			<td>{$lang.full_description}&nbsp;</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" {if $search_data.search_keywords == 'Y'}checked="checked"{/if} name="pkeywords"></td>
			<td>{$lang.keywords}</td>
		</tr>
		</table>
	</td>
</tr>
{/if}
{if $sch_search_by_product_features == 'Y' && $product_features}
<tr>
	<td class="" valign="top">{$lang.search_by_product_features}:</td>
	<td colspan="{$colspan}">
		{html_checkboxes name="feature" options=$product_features columns=4 selected=$smarty.get.feature}
	</td>
</tr>
{/if}
{/if}
{if $sch_search_in_category == 'Y'}
{if !$all_categories_list}
{assign var="all_categories_list" value=0|fn_get_plain_categories_tree:false}
{/if}
<tr>
	<td>{$lang.search_in_category}:</td>
	<td colspan="{$colspan}">
		<select	name="cid">
			<option	value="0" {if $category_data.parent_id == "0"}selected{/if}>- {$lang.all_categories} -</option>
			{foreach from=$all_categories_list item="search_cat"}
			<option	value="{$search_cat.category_id}" {if $smarty.get.cid == $search_cat.category_id}selected="selected"{/if}>{$search_cat.category|indent:$search_cat.level:"&#166;&nbsp;&nbsp;&nbsp;&nbsp;":"&#166;--&nbsp;"}</option>
			{/foreach}
		</select>
	</td>
</tr>
{/if}
{if $search_products != 'Y'}
{if $sch_search_in_category == 'Y'}
<tr>
	<td>&nbsp;</td>
	<td colspan="{$colspan}">
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				<input type="checkbox" value="Y" {if $smarty.get.subcats == 'Y'}checked="checked"{/if} name="subcats" /></td>
			<td>{$lang.search_in_subcategories}</td>
		</tr>
		</table>
	</td>
</tr>
{/if}
{/if}
{if $sch_search_by_sku == 'Y'}
<tr>
	<td class="">{$lang.search_by_sku}:</td>
	<td colspan="{$colspan}">
		<input type="text" name="pcode" value="{$smarty.get.pcode|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
{/if}
{if $search_products != 'Y'}
{if $sch_advanced_search_options == 'Y'}
<tr>
	<td colspan="{$colspan+1}"><p></p>
	{include file="buttons/button.tpl" but_text=$lang.advanced_search_options but_onclick="javascript: fn_show_tag('advanced_options');" but_style="text"}
	</td>
</tr>
<tbody id="advanced_options" {if !($smarty.get.mid || $smarty.get.price_from || $smarty.get.weight_from || $smarty.get.price_to || $smarty.get.weight_to || $smarty.get.amount_to || $smarty.get.amount_from || $smarty.get.shipping_freight_from || $smarty.get.shipping_freight_to || $smarty.get.free_shipping || $smarty.get.avail || $smarty.get.sid)}style="display: none;"{/if}>
<tr>
	<td colspan="{$colspan+1}"><hr /></td>
</tr>
{/if}
{if $sch_search_by_manufacturer == 'Y' && $manufacturers}
<tr>
	<td class="">{$lang.search_by_manufacturer}:</td>
	<td colspan="{$colspan}">
		<select	name="mid">
			<option	value="0">- {$lang.all_manufacturers} -</option>
			{foreach from=$manufacturers item="manufacturer"}
			<option	value="{$manufacturer.manufacturer_id}" {if $smarty.get.mid == $manufacturer.manufacturer_id}selected="selected"{/if}>{$manufacturer.manufacturer}</option>
			{/foreach}
		</select>
	</td>
</tr>
{/if}
{** Suppliers **}
{if $settings.Addons.suppliers == "Y"}
	{include file="addons/suppliers/products_pages/products_search_fields.tpl"}
{/if}
{** /Suppliers **}
{if $sch_price == 'Y'}
<tr>
	<td class="">{$lang.price}&nbsp;({$currencies.$primary_currency.symbol}):</td>
	<td colspan="{$colspan}" nowrap="nowrap">
		<input type="text" name="price_from" value="{$smarty.get.price_from|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="price_to" value="{$smarty.get.price_to|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
{/if}
{if $sch_shipping_freight == 'Y'}
<tr>
	<td class="">{$lang.shipping_freight}&nbsp;({$currencies.$primary_currency.symbol}):</td>
	<td colspan="{$colspan}" nowrap="nowrap">
		<input type="text" name="shipping_freight_from" value="{$smarty.get.shipping_freight_from|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="shipping_freight_to" value="{$smarty.get.shipping_freight_to|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
{/if}
{if $sch_weight == 'Y'}
<tr>
	<td class="">{$lang.weight}&nbsp;({$settings.General.weight_symbol}):</td>
	<td colspan="{$colspan}" nowrap="nowrap">
		<input type="text" name="weight_from" value="{$smarty.get.weight_from|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="weight_to" value="{$smarty.get.weight_to|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
{/if}
{if $sch_amount == 'Y'}
<tr>
	<td class="">{$lang.quantity}:</td>
	<td colspan="{$colspan}" nowrap="nowrap">
		<input type="text" name="amount_from" value="{$smarty.get.amount_from|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="amount_to" value="{$smarty.get.amount_to|fn_stripslashes|escape:html}" onFocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
{/if}
{if $sch_configurable == 'Y' && $settings.Addons.product_configurator == 'Y'}
<tr>
	<td class="">{$lang.configurable}:</td>
	<td colspan="{$colspan}" nowrap="nowrap">
		<select name="configurable">
			<option value="">--</option>
			<option value="Y" {if $smarty.get.configurable == 'Y'}selected="selected"{/if}>{$lang.yes}</option>
			<option value="N" {if $smarty.get.configurable == 'N'}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>
{/if}
{if $sch_free_shipping == 'Y'}
<tr>
	<td class="">{$lang.free_shipping}:</td>
	<td colspan="{$colspan}" nowrap="nowrap">
		<select name="free_shipping">
			<option value="">--</option>
			<option value="Y" {if $smarty.get.free_shipping == 'Y'}selected="selected"{/if}>{$lang.yes}</option>
			<option value="N" {if $smarty.get.free_shipping == 'N'}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>
{/if}
{if $sch_avail == 'Y'}
<tr>
	<td class="">{$lang.available}:</td>
	<td colspan="{$colspan}" nowrap="nowrap">
		<select name="avail">
			<option value="">--</option>
			<option value="Y" {if $smarty.get.avail == 'Y'}selected="selected"{/if}>{$lang.yes}</option>
			<option value="H" {if $smarty.get.avail == 'H'}selected="selected"{/if}>{$lang.hidden}</option>
			<option value="N" {if $smarty.get.avail == 'N'}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>
{/if}
{if $sch_advanced_search_options == 'Y'}
</tbody>
{/if}
{/if}
