{* $Id: select_product_options.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if $product_options}

<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>&nbsp;<b>{$lang.product_options}:</b></a>
</tr>
<tr>
	<td>
		<table cellpadding="1" cellspacing="2" border="0">
		{foreach from=$product_options item="po"}
		<tr>
			<td valign="middle">{$po.option_name}:&nbsp;</td>
			<td>
			{if $po.option_type == "S"} {*Selectbox*}
				<select name="{$name}[{$id}][product_options][{$po.option_id}]" style="display:'';" id="option_{$id}_{$po.option_id}" onchange="fn_check_exceptions({$id});" {if $cp.exclude_from_calculate && !$product.choosable_product_options}disabled="disabled"{/if}>
				{foreach from=$po.variants item="vr"}
				<option value="{$vr.variant_id}" {if $po.value == $vr.variant_id}selected="selected"{/if}>{$vr.variant_name}{if $settings.General.display_options_modifiers == 'Y'}{if $vr.modifier|floatval} ({include file="common_templates/modifier.tpl" mod_type=$vr.modifier_type mod_value=$vr.modifier display_sign=true}){/if}{if $settings.Addons.reward_points == 'Y' && $vr.point_modifier|floatval}&nbsp;{include file="addons/reward_points/common_templates/point_modifier.tpl" mod_type=$vr.point_modifier_type mod_value=$vr.point_modifier }{/if}{/if}</option>
				{/foreach}
				</select>
			{elseif $po.option_type == "R"} {*Radiobutton*}
				<table cellpadding="0" cellspacing="0" border="0">
				<tr id="{$id}_option_{$po.option_id}">
					{foreach from=$po.variants item="vr"}
					<td>
						<input id="{$id}_variant_{$vr.variant_id}" type="radio" name="{$name}[{$id}][product_options][{$po.option_id}]" value="{$vr.variant_id}" {if $po.value == $vr.variant_id}checked="checked"{/if} onclick="fn_check_exceptions({$id});" style="disabled:false;" {if $cp.exclude_from_calculate && !$product.choosable_product_options}disabled="disabled"{/if}/></td>
					<td>
						{$vr.variant_name}&nbsp;{if $settings.General.display_options_modifiers == 'Y'}{if $vr.modifier|floatval}({include file="common_templates/modifier.tpl" mod_type=$vr.modifier_type mod_value=$vr.modifier display_sign=true}){/if}{if $settings.Addons.reward_points == 'Y' && $vr.point_modifier|floatval}&nbsp;{include file="addons/reward_points/common_templates/point_modifier.tpl" mod_type=$vr.point_modifier_type mod_value=$vr.point_modifier }{/if}{/if}</td>
					<td>&nbsp;</td>
					{/foreach}
				</tr>
				</table>
			{elseif $po.option_type == "C"} {*Checkbox*}

				{foreach from=$po.variants item="vr"}
				{if $vr.position == 0}
					<input id="unchecked_{$id}_option_{$po.option_id}" type="hidden" name="{$name}[{$id}][product_options][{$po.option_id}]" value="{$vr.variant_id}" />
				{else}
					<table cellpadding="0" cellspacing="0" border="0">
					<tr>
						<td>
							<input id="{$id}_option_{$po.option_id}" type="checkbox" name="{$name}[{$id}][product_options][{$po.option_id}]" value="{$vr.variant_id}" {if $po.value == $vr.variant_id}checked="checked"{/if} onclick="fn_check_exceptions({$id});" style="disabled:false;" {if $cp.exclude_from_calculate && !$product.choosable_product_options}disabled="disabled"{/if}/></td>
						<td>
							{if $settings.General.display_options_modifiers == 'Y'}{if $vr.modifier|floatval}&nbsp;({include file="common_templates/modifier.tpl" mod_type=$vr.modifier_type mod_value=$vr.modifier display_sign=true}){/if}{if $settings.Addons.reward_points == 'Y' && $vr.point_modifier|floatval}&nbsp;{include file="addons/reward_points/common_templates/point_modifier.tpl" mod_type=$vr.point_modifier_type mod_value=$vr.point_modifier }{/if}{/if}</td>
						<td>&nbsp;</td>
					</tr>
					</table>
				{/if}
				{/foreach}

			{elseif $po.option_type == "I"} {*Input*}
				<input type="text" name="{$name}[{$id}][product_options][{$po.option_id}]" value="{$po.value}" {if $cp.exclude_from_calculate && !$product.choosable_product_options}disabled="disabled"{/if}/>
			{elseif $po.option_type == "T"} {*Textarea*}
				<textarea name="{$name}[{$id}][product_options][{$po.option_id}]" {if $cp.exclude_from_calculate}disabled="disabled"{/if}>{$po.value|escape:html}</textarea>
			{/if}
			</td>
		</tr>
		{/foreach}
		</table>
	</td>
</tr>
</table>
{/if}

{if $use_exceptions}
<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
// Option features
var exception_style = '{$settings.General.exception_style}';
var image_location = '{$settings.General.images_location}';
{if $product.exclude_from_calculate}
exclude_from_calculate[{$id}] = '{$product.exclude_from_calculate}';
{/if}
{if $product.exception}
exceptions[{$id}] = {$product.exception};
{/if}
price[{$id}] = '{if $location == 'cart'}{$product.pure_price}{else}{$product.price}{/if}';
/*
{if $product.list_price}
list_price[{$id}] = '{$product.list_price}';
{/if}
// Define the discounts for the product
{if $product.discounts}
pr_d[{$id}] = {$ldelim}
	'P': {if $product.discounts.P}{$product.discounts.P}{else}0{/if},
	'A': {if $product.discounts.A}{$product.discounts.A}{else}0{/if}
{$rdelim}
{/if}*/
// Define the array of all options of the product
pr_o[{$id}] = {$ldelim}{$rdelim};
{foreach from=$product_options item="po" name="ii"}
	pr_o[{$id}][{$po.option_id}] = {$ldelim}
		'type': '{$po.option_type}',
		'option_id': '{$po.option_id}',
		'id': 'option_{$id}_{$po.option_id}',
		'inventory': '{$po.inventory}',
		'name': '{$po.option_name|escape:javascript}',
		'm': {$ldelim}{$rdelim},
		'v': {$ldelim}{$rdelim}
	{$rdelim};
	{foreach from=$po.variants item="var" name="jj"}
		pr_o[{$id}][{$po.option_id}]['m'][{$var.variant_id}] = {if $var.modifier|floatval}'{$var.modifier_type}{$var.modifier}'{else}'0'{/if};
		pr_o[{$id}][{$po.option_id}]['v'][{$var.variant_id}] = fn_html_entity_decode('{$var.variant_name|escape:javascript}'{if $settings.General.display_options_modifiers == 'Y'}{if $var.modifier|floatval}+' ({include file="common_templates/modifier.tpl" mod_type=$var.modifier_type mod_value=$var.modifier display_sign=true})'{/if}{if $settings.Addons.reward_points == 'Y' && $var.point_modifier|floatval}+' {include file="addons/reward_points/common_templates/point_modifier.tpl" mod_type=$var.point_modifier_type mod_value=$var.point_modifier }'{/if}{/if});
	{/foreach}
{/foreach}

//]]>
</script>
{/if}