{* $Id: taxes.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="taxes_form">
<input type="hidden" name="{$target_name}" value="taxes" />
<input type="hidden" name="{$mode_name}" value="update_taxes" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('taxes_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td width="100%" class="manage-header" nowrap="nowrap">{$lang.tax_name}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.regnumber}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.priority}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.rates_depend_on}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.price_includes_tax}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.avail}</td>
	<td class="manage-header">&nbsp;</td>
</tr>
{if $taxes}
{foreach from=$taxes item=tax}
<tr {cycle values='class="manage-row", '}>
	<td align="center" width="1%">
		<input type="checkbox" name="selected_tax[{$tax.tax_id}]" id="delete_checkbox" value="Y" /></td>
	<td nowrap="nowrap">
		<input type="text" name="tax_description[{$tax.tax_id}][tax]" size="20" value="{$tax.tax|escape:html}" class="input-text" /><br /></td>
	<td>
		<input type="text" name="tax_data[{$tax.tax_id}][regnumber]" size="10" value="{$tax.regnumber}" class="input-text" /></td>
	<td align="center">
		<input type="text" name="tax_data[{$tax.tax_id}][priority]" size="3" value="{$tax.priority}" class="input-text" /></td>
	<td><select name="tax_data[{$tax.tax_id}][address_type]">
			<option value="S" {if $tax.address_type == "S"}selected="selected"{/if}>{$lang.shipping_address}</option>
			<option value="B" {if $tax.address_type == "B"}selected="selected"{/if}>{$lang.billing_address}</option>
		</select>
	</td>
	<td align="center">
		<input type="hidden" name="tax_data[{$tax.tax_id}][price_includes_tax]" value="N" />
		<input type="checkbox" name="tax_data[{$tax.tax_id}][price_includes_tax]" value="Y" {if $tax.price_includes_tax == "Y"}checked="checked"{/if} />
	</td>
	<td align="center">
		<input type="hidden" name="tax_data[{$tax.tax_id}][avail]" value="N" />
		<input type="checkbox" name="tax_data[{$tax.tax_id}][avail]" value="Y" {if $tax.avail == "Y"}checked="checked"{/if} />
	</td>
	<td class="side-padding" align="right">
		{include file="buttons/button.tpl" but_text=$lang.edit but_style="text" but_href="$index_script?$target_name=taxes&tax_id=`$tax.tax_id`"}</td>
</tr>
{/foreach}
<tr>
	<td colspan="8"><p></p>
		{if 'manage_taxes'|fn_check_privileges:true}
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/update.tpl" but_onclick="javascript:document.taxes_form.submit();"}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('taxes_form','delete_taxes');"}</td>
		</tr>
		</table>
		{/if}
	</td>
</tr>
<tr>
	<td colspan="8">
		{if 'manage_taxes'|fn_check_privileges:true}
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/button.tpl" but_text=$lang.apply_tax_to_products but_onclick="javascript: document.taxes_form.`$mode_name`.value='apply_selected_taxes'; document.taxes_form.submit();"}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/button.tpl" but_text=$lang.unset_tax_to_products but_onclick="javascript: document.taxes_form.`$mode_name`.value='unset_selected_taxes'; document.taxes_form.submit();"}</td>
		</tr>
		</table>
		{/if}
	</td>
</tr>
{else}
<tr class="manage-row">
	<td colspan="8" align="center"><p><b>{$lang.text_no_items_found|replace:'[items]':$lang.taxes}</b></p></td>
</tr>
{/if}
</table>	
</form>

<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_taxes}

<form action="{$index_script}" method="post" name="add_taxes_form">
<input type="hidden" name="{$target_name}" value="taxes" />
<input type="hidden" name="{$mode_name}" value="add_taxes" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap="nowrap" width="100%">{$lang.tax_name}</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.regnumber}</td>
	<td class="add-new-header" align="center" nowrap="nowrap">{$lang.priority}</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.rates_depend_on}</td>
	<td class="add-new-header" align="center" nowrap="nowrap">{$lang.price_includes_tax}</td>
	<td class="add-new-header" align="center" nowrap="nowrap">{$lang.avail}</td>
	<td>&nbsp;</td>
</tr>
<tr class="manage-row" id="box_add_tax">
	<td>
		<input type="text" name="add_tax_description[0][tax]" size="20" value="" class="input-text" /></td>
	<td>
		<input type="text" name="add_tax_data[0][regnumber]" size="10" value="" class="input-text" /></td>
	<td align="center">
		<input type="text" name="add_tax_data[0][priority]" size="3" value="" class="input-text" /></td>
	<td>
		<select name="add_tax_data[0][address_type]">
			<option value="S">{$lang.shipping_address}</option>
			<option value="B">{$lang.billing_address}</option>
		</select></td>
	<td align="center">
		<input type="hidden" name="add_tax_data[0][price_includes_tax]" value="N" />
		<input type="checkbox" name="add_tax_data[0][price_includes_tax]" value="Y" /></td>
	<td align="center">
		<input type="hidden" name="add_tax_data[0][avail]" value="N" />
		<input type="checkbox" name="add_tax_data[0][avail]" value="Y" checked="checked" /></td>
	<td nowrap="nowrap">
		{include file="buttons/multiple_buttons.tpl" item_id="add_tax"}</td>
</tr>
</table>
<br />
{if 'manage_taxes'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_taxes_form.submit();"}
{/if}

</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.manage_taxes content=$smarty.capture.mainbox}
