{* $Id: template_editor.tpl,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $ *}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  


{include file="template_editor_pages/chmod.tpl"}

<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/template_editor_scripts.js"></script>
<script type="text/javascript" language="javascript 1.2">
	lang.text_enter_filename = '{$lang.text_enter_filename|escape:"javascript"}';
	lang.text_are_you_sure_to_proceed = '{$lang.text_are_you_sure_to_proceed|escape:"javascript"}';

	cscart_handlers.set_handler(cscart_template_editor.refresh.bind(cscart_template_editor));
</script>

{capture name="mainbox"}
<div style="float: left; padding-top: 2px;"><b>{$lang.current_path}</b>:&nbsp;<span id="path"></span></div>
<div style="clear: right;" align="right">
	<table cellspacing="0" cellpadding="0" border="0">
	<tr>
		<td><input type="checkbox" name="show_active_skins_only" value="Y" {if $show_active_skins_only == 'Y'}checked="checked"{/if} onclick="fn_ajax_http_request('{$index_script}?{$target_name}=template_editor&{$mode_name}=active_skins&show_active_skins_only='+(this.checked ? 'Y' : 'N'), '', '', '', cscart_template_editor.refresh.bind(cscart_template_editor), false);" /></td>
		<td>{$lang.show_active_skins_only}</td>
	</tr>
	</table>
</div>
<hr />

<div id="error_box" style="display:none;"><p>
<table cellpadding="1" cellspacing="1" border="0" width="90%" align="center" class="notification-border-e">
<tr>
	<td class="notification-body-e" align="center"><p><div id="error_status"></div></p></td>
</tr>
</table>
</p><br /></div>
<div id="status_box" style="display:none;"><p>
<table cellpadding="1" cellspacing="1" border="0" width="90%" align="center" class="notification-border-n">
<tr>
	<td class="notification-body-n" align="center"><p><div id="status"></div></p></td>
</tr>
</table>
</p><br /></div>

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td width="5">&nbsp;&nbsp;</td>
	<td valign="top">

		<div id="filelist">{$lang.loading}</div>
		<div id="legend" style="display: none;"><br /><b>{$lang.legend}:</b><p></p>
		<table cellpadding="2" cellspacing="2" border="0" style="border: 1px solid #999999;">
		<tr>
			<td>&nbsp;</td>
			<td valign="top"><img src="{$images_dir}/icon_folder_c.gif" width="15" height="13" alt="" border="0" /></td>
			<td valign="top">-&nbsp;{$lang.legend_customer_directory}</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td valign="top"><img src="{$images_dir}/icon_folder_a.gif" width="15" height="13" alt="" border="0" /></td>
			<td valign="top">-&nbsp;{$lang.legend_admin_directory}</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td valign="top"><img src="{$images_dir}/icon_folder_ac.gif" width="15" height="13" alt="" border="0" /></td>
			<td valign="top">-&nbsp;{$lang.legend_all_areas_directory}</td>
		</tr>
		</table></div>
		<hr align="left" width="95%" />

		<table cellpadding="1" cellspacing="3" border="0">
		<tr>
			<td class="field-name">{$lang.create_file}:</td>
			<td>
				<form name="create_file" onsubmit="cscart_template_editor.create_file(document.getElementById('new_file').value, false); return false;">
				<input class="input-text" type="text" name="new_file" id="new_file" value="" style="width:156px" /></td>
			<td>
				{include file="buttons/button.tpl" but_text=$lang.create but_onclick="cscart_template_editor.create_file(document.getElementById('new_file').value, false);" but_type="input"}</form></td>
		</tr>
		<tr>
			<td class="field-name">{$lang.create_directory}:</td>
			<td>
				<form name="create_directory" onsubmit="cscart_template_editor.create_file(document.getElementById('new_directory').value, true); return false;">
				<input class="input-text" type="text" name="new_directory" id="new_directory" value="" style="width:156px" /></td>
			<td>
				{include file="buttons/button.tpl" but_text=$lang.create but_onclick="cscart_template_editor.create_file(document.getElementById('new_directory').value, true);" but_type="input"}</form></td>
		</tr>
		<tr>
			<td class="field-name">{$lang.upload_file}:</td>
			<td>
				<form name="upload_form" action="{$index_script}" method="post" enctype="multipart/form-data">
				<input type="hidden" name="fake" value="1" />
				<input type="hidden" name="{$target_name}" value="template_editor" />
				<input type="hidden" name="{$mode_name}" value="upload_file" />
				{include file="common_templates/fileuploader.tpl" var_name="uploaded_data[0]"}
				</form>
			</td>
			<td valign="bottom">
				<p>{include file="buttons/button.tpl" but_text=$lang.upload but_onclick="document.upload_form.submit();" but_type="input"}</p></td>
		</tr>
		</table>
	</td>
	<td valign="top" align="right" width="200">
		<table cellpadding="3" cellspacing="3" border="0" width="100%" id="actions_table" style="border: 1px solid #999999;" style="display:none;">
		<tr>
			<td>
				<b><div id="selected_file"></div></b><br />
				<a href="javascript: cscart_template_editor.delete_file();" class="underlined">{$lang.delete}</a><br />
				<a href="javascript: cscart_template_editor.rename();" class="underlined">{$lang.rename}</a><br />
				<a href="javascript: cscart_template_editor.restore_file();" class="underlined">{$lang.restore_from_repository}</a><br />
				{if $smarty.const.IS_WINDOWS == false}<a href="javascript: cscart_template_editor.show_perms_dialog();" class="underlined">{$lang.change_permissions}</a><br />{/if}
				<span id="file_actions">
				<a href="javascript: cscart_template_editor.show_content('');" class="underlined">{$lang.edit}</a><br />
				<a href="javascript: cscart_template_editor.get_file();" class="underlined">{$lang.download}</a><br />
				</span>
			</td>
		</tr>
		</table><br />
		<img src="{$images_dir}/spacer.gif" width="200" height="1" alt="" border="0" /><br />
	</td>
</tr>
</table><br />

{/capture}
{include file="common_templates/mainbox.tpl" content=$smarty.capture.mainbox title=$lang.template_editor}
