{* $Id: topics_update.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if $mode == "update"}
<div align="right">
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=topics&{$mode_name}=add&parent_id={$smarty.get.topic_id}" class="underlined">{$lang.add_subtopic}</a>&nbsp;&nbsp;
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=pages&{$mode_name}=add&topic_id={$smarty.get.topic_id}" class="underlined">{$lang.add_page}</a>&nbsp;&nbsp;
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=pages&{$mode_name}=manage&topic_id={$smarty.get.topic_id}" class="underlined">{$lang.view_pages}</a>&nbsp;&nbsp;
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=topics&{$mode_name}=delete&topic_id={$smarty.get.topic_id}" class="underlined">{$lang.delete_this_topic}</a>
</div>
<p></p>
{/if}

{capture name="mainbox"}

{if $mode == "update"}{include file="common_templates/select_language.tpl"}{/if}
<p>{$lang.text_mandatory_fields}</p>

<form action="{$index_script}" method="post" name="topic_update_form">
<input type="hidden" name="{$target_name}" value="topics" />
<input type="hidden" name="{$mode_name}" value="do_{$mode}" />

{if $mode == "update"}
<input type="hidden" name="topic_data[topic_id]" value="{$topic_data.topic_id}" />
{/if}

<table cellpadding="1" cellspacing="2" border="0" width="100%">
<tr>
	<td class="field-name" width="120" nowrap="true">{$lang.topic_location}:</td>
	<td width="1">&nbsp;</td>
	<td>
		<select	name="topic_data[parent_id]" style="width: 85%">
			<option	value="0" {if $topic_data.parent_id == "0"}selected{/if}>- {$lang.root_level} -</option>
			{foreach from=$all_topics_list item="topic"}
			{if	$topic.id_path|strpos:"`$topic_data.id_path`/" === false && $topic.topic_id != $topic_data.topic_id || $mode == 'add'}
			<option	value="{$topic.topic_id}" {if $topic_data.parent_id == $topic.topic_id}selected{/if}>{$topic.topic|indent:$topic.level:"&#166;&nbsp;&nbsp;&nbsp;&nbsp;":"&#166;--&nbsp;"}</option>
			{/if}
			{/foreach}
		</select></td>												 
</tr>			 

<tr>
	<td class="field-name" nowrap="true">{$lang.topic_name}:</td>
	<td class="required-field-mark">*</td>
	<td>
		<input type="text" name="topic_description[topic]" size="40" maxlength="255" value="{$topic_data.topic|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>			 
<tr>
	<td class="field-name" nowrap="true">{$lang.description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="topic_descr" name="topic_description[description]" cols="55" rows="10" class="input-text" style="width: 85%">{$topic_data.description|escape:html}</textarea><br>
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('topic_descr');" but_style="text"}
	</td>												  
</tr>			 
<tr>
	<td class="field-name" nowrap="true">{$lang.page_title}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="topic_description[page_title]" size="40" maxlength="255" value="{$topic_data.page_title|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>
{if $settings.Addons.seo == 'Y'}
<tr>
	<td class="field-name" nowrap="true">{$lang.seo_name}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="topic_description[seo_name]" size="40" maxlength="255" value="{$topic_data.seo_name|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>
{/if}
<tr>
	<td class="field-name" nowrap="true">{$lang.meta_description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="topic_description[meta_description]" cols="55" rows="3" class="input-text" style="width: 85%">{$topic_data.meta_description|escape:html}</textarea></td>
</tr>			 

<tr>
	<td class="field-name" nowrap="true">{$lang.meta_keywords}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="topic_description[meta_keywords]" cols="55" rows="2" class="input-text" style="width: 85%">{$topic_data.meta_keywords|escape:html}</textarea></td>
</tr>			 

<tr>
	<td class="field-name" nowrap="true">{$lang.membership}:</td>
	<td>&nbsp;</td>
	<td>
		<select id="membership_id" name="topic_data[membership_id]">
		<option value="0">- {$lang.all} -</option>
		{foreach from=$memberships item=membership}
		<option {if $topic_data.membership_id == $membership.membership_id}selected{/if} value="{$membership.membership_id}">{$membership.membership}</option>
		{/foreach}
		</select>
	</td>
</tr>

<tr>
	<td class="field-name">{$lang.created_date}:</td>
	<td>&nbsp;</td>
	<td nowrap="nowrap">{html_select_date field_array="topic_data[timestamp]" time=$topic_data.timestamp|default:$smarty.const.TIME start_year=$settings.Company.company_start_year}</td>
</tr>

<tr>
	<td class="field-name" nowrap="true">{$lang.available}:</td>
	<td>&nbsp;</td>
	<td>
		<select name="topic_data[avail]">
			<option value="Y" {if $topic_data.avail == 'Y'}selected="selected"{/if}>{$lang.yes}</option>
			<option value="H" {if $topic_data.avail == 'H'}selected="selected"{/if}>{$lang.hidden}</option>
			<option value="N" {if $topic_data.avail == 'N'}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>			 

<tr>
	<td class="field-name" nowrap="true">{$lang.position}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="topic_data[position]" size="10" maxlength="10" value="{$topic_data.position}" class="input-text" /></td>
</tr>

{if $settings.Addons.discussion == "Y"}
{include file="addons/discussion/allow_discussion.tpl" object_id=$topic_data.topic_id object_type="T" title=$lang.discussion_title_topic}
{/if}

</table>

<p></p>

{if 'manage_cms'|fn_check_privileges:true}
{if $mode == "add"}
	{include file="buttons/add_new.tpl" but_onclick="javascript: document.topic_update_form.submit();"}
{else}
	{include file="buttons/save_changes.tpl" but_onclick="javascript: document.topic_update_form.submit();"}
{/if}
{/if}

</form>

<br />
{capture name="tabsbox"}

{if $mode == "update" && $settings.Addons.listmania == 'Y'}
	{include file="addons/listmania/select_list.tpl" object_id=$topic_data.topic_id lists=$lm_lists extra="<input type=\"hidden\" name=\"topic_id\" value=\"`$topic_data.topic_id`\" />"}
{/if}

{if $mode == 'update' && $settings.Addons.discussion == 'Y'}
	{include file="addons/discussion/discussion.tpl" object_id=$topic_data.topic_id object_type="T" no_box='Y'}
{/if}

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name=$target}

{/capture}

{if $mode == "add"}
	{include file="common_templates/mainbox.tpl" title=$lang.add_new_topic content=$smarty.capture.mainbox}
{else}
	{include file="common_templates/mainbox.tpl" title=$lang.update_topic content=$smarty.capture.mainbox}
{/if}
