{* $Id: discussion.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}
<div id="content_discussion">

{assign var="discussion" value=$object_id|fn_get_discussion:$object_type}
{if $discussion && $discussion.type != 'D'}
{assign var="posts" value=$discussion.thread_id|fn_get_discussion_posts:$smarty.get.page}

{if $quicklink}
<script type="text/javascript" language="javascript 1.2">
//<![CDATA[
if (document.getElementById('{$quicklink}')) {$ldelim}
document.getElementById('{$quicklink}').style.display = 'inline';
{$rdelim}
//]]>
</script>
{/if}

{capture name="mainbox"}

{if $posts}
{include file="common_templates/pagination.tpl"}
{foreach from=$posts item=post}
<div class="info-field-title">
	<div class="float-left"><b>{$lang.author}:</b> {$post.name}</div>
	<div class="float-right"><b>{$lang.date_added}:</b> {$post.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</div>
</div>
<div class="info-field-body">
{if $discussion.type == 'R' || $discussion.type == 'B'}
	<p>{include file="addons/discussion/stars.tpl" stars=$post.rating_value|fn_get_discussion_rating}</p>
{/if}
{if $discussion.type == 'C' || $discussion.type == 'B'}
	<div>
	{$post.message|nl2br}
	</div>
{/if}
</div>
{/foreach}
{include file="common_templates/pagination.tpl"}
{else}
<p align="center" class="table-row"><br /><b>{$lang.no_posts_found}</b><br />&nbsp;</p>
{/if}

<br />
{if 'CRB'|strpos:$discussion.type !== false}
{include file="common_templates/subheader.tpl" title=$lang.add_new_post}
<p></p>


<form action="{$index_script}" method="post" name="add_post_form">
<input type ="hidden" name="{$target_name}" value="discussion" />
<input type ="hidden" name="{$mode_name}" value="add_post" />
<input type ="hidden" name="post_data[thread_id]" value="{$discussion.thread_id}" />
<input type ="hidden" name="redirect_url" value="{$current_url|escape:html}" />
<input type="hidden" name="selected_section" value="" />

<div class="form-field">
	<label for="dsc_name">{$lang.your_name}:</label>
	<span class="required-field-mark">*</span>
	<input type="text" id="dsc_name" name="post_data[name]" value="{if $auth.user_id}{$user_info.firstname} {$user_info.lastname}{elseif $discussion.post_data.name}{$discussion.post_data.name}{/if}" size="50" class="input-text" />
</div>

{if $discussion.type == 'R' || $discussion.type == 'B'}
<div class="form-field">
	<label for="dsc_rating">{$lang.your_rating}:</label>
	<span class="required-field-mark">*</span>
	<select id="dsc_rating" name="post_data[rating_value]">
		<option value="5" selected="selected">{$lang.excellent}</option>
		<option value="4" {if $discussion.post_data.rating_value == '4'}selected="selected"{/if}>{$lang.very_good}</option>
		<option value="3" {if $discussion.post_data.rating_value == '3'}selected="selected"{/if}>{$lang.average}</option>
		<option value="2" {if $discussion.post_data.rating_value == '2'}selected="selected"{/if}>{$lang.fair}</option>
		<option value="1" {if $discussion.post_data.rating_value == '1'}selected="selected"{/if}>{$lang.poor}</option>
	</select>
</div>
{/if}

{if $discussion.type == 'C' || $discussion.type == 'B'}
<div class="form-field">
	<label for="dsc_message">{$lang.your_message}:</label>
	<span class="required-field-mark">*</span>
	<p class="textarea-break"><textarea id="dsc_message" name="post_data[message]" class="input-textarea" rows="5" cols="78" style="width: 453px;">{$discussion.post_data.message}</textarea></p>
</div>
{/if}

{if $settings.Image_verification.use_for_discussion == 'Y'}
	{include file="common_templates/image_verification.tpl" id="discussion" align="left"}
{/if}

<div class="buttons-wrapper">
	{include file="buttons/button.tpl" but_text=$lang.submit but_onclick="dsc_form.submit();"}
</div>

</form>

<script type="text/javascript" language="javascript 1.2">
//<![CDATA[
var dsc_form = new cscart_form('add_post_form', null, null, null, true);
dsc_form.set_required_fields('dsc_name'{if $discussion.type == 'C' || $discussion.type == 'B'}, 'dsc_message'{/if});
//]]>
</script>


{/if}

{/capture}

{if $no_box}
{$smarty.capture.mainbox}
{else}
{include file="common_templates/mainbox.tpl" title=$title content=$smarty.capture.mainbox anchor="discussion"}
{/if}

{/if}
</div>