{* $Id: cart_items.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if $settings.Addons.gift_certificates == 'Y' && $cart.gift_certificates}
{foreach from=$cart.gift_certificates item="gift" key="gift_key" name="f_gift_certificates"}
<div class="wrapper">
	<div class="product-image">
		{if !$gift.extra.exclude_from_calculate}	
			<a href="{$index_script}?{$target_name}=gift_certificates&amp;{$mode_name}=update&amp;gift_cert_cart_id={$gift_key}">
			<img src="{$images_dir}/gift_certificates_cart_icon.gif" width="73" height="76" border="0" alt="{$lang.gift_certificate}" title="{$lang.gift_certificate}" />
			</a>
			<div align="center"><p>{include file="buttons/button.tpl" but_text="`$lang.edit`" but_href="$index_script?$target_name=gift_certificates&$mode_name=update&gift_cert_cart_id=$gift_key" but_style="text"}</p></div>
		{else}
			<img src="{$images_dir}/gift_certificates_cart_icon.gif" width="73" height="76" border="0" alt="{$lang.gift_certificate}" title="{$lang.gift_certificate}" />
		{/if}
	</div>
	<div class="product-description">
		{if !$gift.extra.exclude_from_calculate}
			<a href="{$index_script}?{$target_name}=gift_certificates&amp;{$mode_name}=update&amp;gift_cert_cart_id={$gift_key}" class="product-title">{$lang.gift_certificate}</a>&nbsp;
			<a href="{if $use_ajax == true && 1 != $cart.amount}javascript: fn_ajax_http_request('{$index_script}?{$target_name}=gift_certificates&{$mode_name}=delete&gift_cert_cart_id={$gift_key}&redirect_mode={$mode}',['cart_items', 'cart_status', 'checkout_totals', 'checkout_steps' ]);{else}{$index_script}?{$target_name}=gift_certificates&amp;{$mode_name}=delete&amp;gift_cert_cart_id={$gift_key}&amp;redirect_mode={$mode}{/if}"><img src="{$images_dir}/delete_product.gif" width="12" height="12" border="0" alt="{$lang.remove}" title="{$lang.remove}" style="vertical-align: bottom;" /></a>
		{else}
			<b>{$lang.gift_certificate}</b>
		{/if}
		<div class="form-field product-list-field">
			<label class="valign">{$lang.gift_cert_to}:</label>{$gift.recipient}
		</div>
		<div class="form-field product-list-field">
			<label class="valign">{$lang.gift_cert_from}:</label>{$gift.sender}
		</div>
		<div class="form-field product-list-field">
			<label class="valign">{$lang.amount}:</label>{include file="common_templates/price.tpl" value=$gift.amount}
		</div>
		<div class="form-field product-list-field">
			<label class="valign">{$lang.send_via}:</label>{if $gift.send_via == 'E'}{$lang.email}{else}{$lang.postal_mail}{/if}
		</div>
		{if $gift.products && $settings.Addons.gift_certificates_opts.free_products_allow == 'Y' && !$gift.extra.exclude_from_calculate}
		<div class="form-field product-list-field">
			<label class="valign">{$lang.free_products}:</label>
		</div>		
		<div class="form-field product-list-field">
		<p></p>
		<table cellpadding="0" cellspacing="0" border="0" class="table">
		<tr>
			<th width="70%">{$lang.product}</th>
			<th align="center" width="10%">{$lang.price}</th>
			<th align="center" width="10%">{$lang.quantity}</th>
			<th align="right" width="10%">{$lang.subtotal}</th>
		</tr>	
		{foreach from=$cart_products item="gift_certificate_product" key="key_cert_prod"}
		{if $cart.products.$key_cert_prod.extra.in_certificate == $gift_key}
		<tr {cycle values=',class="table-row"'}>
			<td>
				<a href="{$index_script}?{$target_name}=products&amp;{$mode_name}=view&amp;product_id={$gift_certificate_product.product_id}" class="underlined">{$gift_certificate_product.product|truncate:70:"...":true}</a>
				<a href="{if $use_ajax == true}javascript: fn_ajax_http_request('{$index_script}?{$target_name}=checkout&amp;cart_id={$key_cert_prod}&amp;{$mode_name}=delete&amp;redirect_mode={$mode}',['cart_items', 'checkout_totals', 'cart_status', 'checkout_steps' ]);{else}{$index_script}?{$target_name}=checkout&amp;cart_id={$key_cert_prod}&amp;{$mode_name}=delete&amp;redirect_mode={$mode}{/if}"><img src="{$images_dir}/delete_product.gif" width="12" height="12" border="0" alt="" align="bottom" /></a>
				<input type="hidden" name="cart_products[{$key_cert_prod}][in_certificate]" value="{$cart.products.$key_cert_prod.extra.in_certificate}" /></td>
			<td align="center" nowrap="nowrap">
				{include file="common_templates/price.tpl" value=$gift_certificate_product.price}</td>
			<td align="center" nowrap="nowrap">
				<input type="text" size="3" name="cart_products[{$key_cert_prod}][amount]" value="{$gift_certificate_product.amount}" class="input-text" {if $gift_certificate_product.is_edp == 'Y'}readonly="readonly"{/if} />
				<input type="hidden" name="cart_products[{$key_cert_prod}][product_id]" value="{$gift_certificate_product.product_id}" /></td>
			<td align="right" nowrap="nowrap">
				{math equation="item_price + gift_" item_price=$gift_certificate_product.subtotal|default:"0" gift_=$gift_price|default:"0" assign="gift_price"}	
				{include file="common_templates/price.tpl" value=$gift_certificate_product.subtotal}</td>
		</tr>
		{/if}
		{/foreach}
		<tr class="table-footer">
			<td colspan="4"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
		</tr>		
		</table>			
		</div>		
		{/if}
		<div class="product-list-field">
			<label class="valign">{$lang.price_summary}:</label>{if !$gift.extra.exclude_from_calculate}{include file="common_templates/price.tpl" value=$gift.subtotal class="price"}{else}<span class="price">{$lang.free}</span>{/if}
		</div>		
	</div>	
	<div class="clear-both">&nbsp;</div>
	{if !$smarty.foreach.f_gift_certificates.last}
	<hr class="dark-hr" />
	{/if}
</div>
{/foreach}
{/if}