{* $Id: cart_configurable_product.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}
<div class="product-image">
	<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}">
	{include file="common_templates/image.tpl" image_width=$settings.Appearance.thumbnail_width obj_id=$key images=$product.main_pair object_type="product"}</a></div>
<div class="product-description">
	<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="product-title">{$product.product|escape:html}</a>&nbsp;<a href="{$index_script}?{$target_name}=checkout&amp;cart_id={$key}&amp;{$mode_name}=delete&amp;redirect_mode={$mode}"><img src="{$images_dir}/delete_product.gif" width="12" height="12" border="0" alt="{$lang.remove}" title="{$lang.remove}" style="vertical-align: bottom;" /></a>
	<div class="sku" id="sku_{$key}" {if !$product.product_code}style="display:none"{/if}>{$lang.sku}: <span id="product_code_{$key}">{$product.product_code}</span></div>

	<p></p>

	{if $settings.Addons.suppliers == 'Y'}
		{include file="addons/suppliers/supplier_representation.tpl"}
	{/if}		
	
	{include file="products_pages/product_options.tpl" product_options=$product.product_options product=$product name="cart_products" id=$key location="cart"}
	
	<p></p>
	<div class="form-field">
		<label>{$lang.base_price}:</label>
			<b>{$product.amount}</b>&nbsp;<b>X</b>&nbsp;{include file="common_templates/price.tpl" value=$product.unit_price span_id="product_price_`$key`" class="sub-price"}
			{math equation="item_price * amount" item_price=$product.unit_price|default:"0" amount=$product.amount|default:"1" assign="base_subtotal"}	
			&nbsp;<b>=</b>&nbsp;{include file="common_templates/price.tpl" value=$base_subtotal span_id="product_subtotal_`$key`" class="sub-price"}
	</div>

	<p><b>{$lang.configuration}:</b></p>
	<p></p>

	<table cellpadding="0" cellspacing="0" border="0" width="85%" class="table">
	<tr>
		<th width="50%">{$lang.product}</th>
		<th align="center" width="10%">{$lang.price}</th>
		<th align="center" width="10%">{$lang.amount}</th>
		<th align="right" width="10%">{$lang.subtotal}</th>
	</tr>
	{foreach from=$cart_products item="product_conf" key="key_conf"}
	{if $cart.products.$key_conf.extra.in_configuration == $key}
	<tr {cycle values=',class="table-row"'}>
		<td><a href="{$index_script}?{$target_name}=products&amp;product_id={$product_conf.product_id}" class="underlined">{$product_conf.product}</a></td>
		<td align="center" class="side-padding" nowrap="nowrap">
			{include file="common_templates/price.tpl" value=$product_conf.price}</td>
		<td align="center" class="side-padding" nowrap="nowrap">
			<input type="hidden" name="prev_amount[{$key_conf}]" value="{$product.amount}" />
			<input type="text" size="3" name="cart_products[{$key_conf}][amount]" value="{$product_conf.amount}" class="input-text" {if $product_conf.is_edp == 'Y'}readonly="readonly"{/if} /><input type="hidden" name="cart_products[{$key_conf}][product_id]" value="{$product_conf.product_id}" /></td>
		<td align="right" class="side-padding" nowrap="nowrap">
			{include file="common_templates/price.tpl" value=$product_conf.subtotal}</td>
	</tr>
	{/if}
	{/foreach}
	<tr {cycle values=',class="table-row"'}>
		<td colspan="4"><hr /></td>
	</tr>
	<tr {cycle values=',class="table-row"'}>
		<td colspan="2">
			<div class="float-left">
				{include file="buttons/button.tpl" but_text=$lang.edit but_href="$index_script?$target_name=products&edit_configuration=$key&product_id=`$product.product_id`"}
			</div>
			
			<div class="float-right" style="margin-top: 3px;"><b>{$lang.product_summary}:</b></div>
		</td>
		<td align="center" class="side-padding" nowrap="nowrap">
			<input type="hidden" name="prev_amount[{$key}]" value="{$product.amount}" />
			<input type="text" size="3" name="cart_products[{$key}][amount]" value="{$product.amount}" class="input-text" {if $product.is_edp == 'Y'}readonly="readonly"{/if} /><input type="hidden" name="cart_products[{$key}][product_id]" value="{$product.product_id}" /></td>
		<td align="right" class="side-padding" nowrap="nowrap">
			<b>{include file="common_templates/price.tpl" value=$product.subtotal}</b></td>
	</tr>
	<tr class="table-footer">
		<td colspan="4"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
	</tr>
	</table>
</div>
<hr />
