{* $Id: send_to_friend.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="mainbox"}
<div id="content_send_to_friend">
<form name="send_to_friend_form" action="{$index_script}" method="post">
<input type="hidden" name="{$target_name}" value="send_to_friend" />
<input type="hidden" name="redirect_url" value="{$current_url|escape:html}&amp;selected_section=send_to_friend" />

<div class="form-field">
	<label for="send_name">{$lang.name_of_friend}:</label>
	<span class="required-field-mark">&nbsp;&nbsp;</span>
	<input id="send_name" class="input-text" size="50" type="text" name="send_data[to_name]" value="{$send_data.to_name|escape:html}" />
</div>

<div class="form-field">
	<label for="send_email">{$lang.email_of_friend}:</label>
	<span class="required-field-mark">*</span>
	<input id="send_email" class="input-text" size="50" type="text" name="send_data[to_email]" value="{$send_data.to_email|escape:html}" />
</div>

<div class="form-field">
	<label for="send_yourname">{$lang.your_name}:</label>
	<span class="required-field-mark">&nbsp;&nbsp;</span>
	<input id="send_yourname" size="50" class="input-text" type="text" name="send_data[from_name]" value="{if $send_data.from_name}{$send_data.from_name|escape:html}{elseif $auth.user_id}{$user_info.firstname|escape:html} {$user_info.lastname|escape:html}{/if}" />
</div>

<div class="form-field">
	<label for="send_youremail">{$lang.your_email}:</label>
	<span class="required-field-mark">&nbsp;&nbsp;</span>
	<input id="send_youremail" class="input-text" size="50" type="text" name="send_data[from_email]" value="{if $send_data.from_email}{$send_data.from_email|escape:html}{elseif $auth.user_id}{$user_info.email|escape:html}{/if}" />
</div>

<div class="form-field">
	<label for="send_notes">{$lang.your_message}:</label>
	<span class="required-field-mark">*</span>
	<p class="textarea-break"><textarea id="send_notes"  class="input-textarea" rows="5" cols="78" name="send_data[notes]" style="width: 453px;">{if $send_data.notes}{$send_data.notes|escape:html}{else}{$notes_data|escape:html}{/if}</textarea></p>
</div>

{if $settings.Image_verification.use_for_send_to_friend == 'Y'}
	{include file="common_templates/image_verification.tpl" id="send_to_friend" align="left"}
{/if}

<div class="buttons-wrapper">
	{include file="buttons/button.tpl" but_text=$lang.send but_onclick="send2friend.submit();"}
</div>

</form>

<script type="text/javascript" language="javascript 1.2">
//<![CDATA[
	var send2friend = new cscart_form('send_to_friend_form', null, null, null, true);
	send2friend.set_required_fields('send_notes', 'send_email');
	send2friend.set_extra('send_email', 'E');
//]]>
</script>

</div>
{/capture}

{if $no_box}
{$smarty.capture.mainbox}
{else}
{include file="common_templates/mainbox.tpl" content=$smarty.capture.mainbox title=$lang.send_to_friend anchor="send_to_friend"}
{/if}
