{* $Id: checkout.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}
{if $smarty.capture.js_loaded != "Y"}
<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/exceptions.js"></script>
{capture name="js_loaded"}Y{/capture}
{/if}

{if $settings.General.one_page_checkout != 'Y' && ($cart_products || $mode == 'customer_info' || $mode == 'summary')}
	{include file="cart_pages/progressbar.tpl"}
{/if}

<script type="text/javascript" language="javascript 1.2">
//<![CDATA[ 
	var ch_form = new cscart_form('checkout_form', {$use_ajax|default:'false'});
	var order_form = new cscart_form('order_info_form');
	var sf_form = new cscart_form('summary_form', {$use_ajax|default:'false'});
	var cart_changed = false;
	lang['text_cart_changed'] = '{$lang.text_cart_changed|escape:javascript}';

	{literal}
	function fn_proceed_to_checkout(m_name)
	{
		if (cart_changed == true) {
			if (confirm(lang.text_cart_changed)) {
				if (fn_check_all_exceptions(true)) {
					ch_form.set_field_value('redirect_mode', 'checkout');
					ch_form.submit();
				} else {
					alert(lang.cannot_buy);
					return false;
				}
			}
		} else {
			if (fn_check_all_exceptions(true)) {
				fn_redirect(index_script + '?' + target_name + '=checkout&' + mode_name + '=' + m_name);
			} else {
				alert(lang.cannot_buy);
			}
		}
	}
	{/literal}
	function fn_check_agreement()
	{$ldelim}
		{if $settings.General.agree_terms_conditions == 'Y'}
			if (document.forms[{if $settings.General.one_page_checkout != 'Y'}'summary_form'{else}'order_info_form'{/if}].accept_terms.checked == false) {$ldelim}
				alert('{$lang.checkout_terms_n_conditions_alert|escape:javascript}');
				return false;
			{$rdelim}
		{/if}		
		return true;		
	{$rdelim}
//]]>
</script>

{if $mode == 'cart'}

	{if $cart_products || ($settings.Addons.gift_certificates == 'Y' && $cart.gift_certificates)}
	
	<form name="checkout_form" action="{$index_script}" method="post">
	<input type="hidden" name="{$target_name}" value="checkout" />
	<input type="hidden" name="{$mode_name}" value="update" />
	<input type="hidden" name="redirect_mode" value="cart" />
	{if $cart.coupons|floatval}<input type="hidden" name="c_id" value="" />{/if}
	{if $cart.use_gift_certificates}<input type="hidden" name="cert_code" value="" />{/if}	
			
	{include file="cart_pages/cart_items.tpl"}

	<div class="cart-buttons-wrapper">
		<div class="float-left">{include file="buttons/clear_cart.tpl" but_href="$index_script?$target_name=checkout&$mode_name=clear" lowercase="Y" but_style="text"}</div>
		<div class="float-right">{include file="buttons/update_cart.tpl" but_onclick="ch_form.submit();" lowercase="Y"}</div>
	</div>
	<script type="text/javascript" language="javascript 1.2" defer="defer">
	//<![CDATA[
		ch_form.set_onsubmit(fn_check_all_exceptions, true);
		ch_form.set_failed_message(lang.cannot_buy);
		fn_check_all_exceptions(false);
	//]]>
	</script>
	</form>

	{include file="cart_pages/checkout_totals.tpl" location="cart"}

	<div class="buttons-wrapper">
		<div class="float-left">
			{include file="buttons/continue_shopping.tpl" but_href=$continue_url|default:$index_script but_arrow="on"}</div>
		<div class="float-right" align="right">
		{if $payment_methods}
			{if $settings.General.one_page_checkout != 'Y'}
				{assign var='m_name' value='customer_info'}
			{else}
				{assign var='m_name' value='checkout'}
			{/if}
			{include file="buttons/checkout.tpl" but_onclick="fn_proceed_to_checkout('$m_name');"}
			{if $checkout_add_button}
			<p>{$checkout_add_button}</p>
			{/if}			
		{else}
			{if $checkout_add_button}
				{$checkout_add_button}
			{/if}		
		{/if}

		</div>
	</div>

	{else}
	<br />
	<div align="center"><b>{$lang.text_cart_empty}</b><br /><br />
	{include file="buttons/continue_shopping.tpl" but_href=$continue_url|default:$index_script but_arrow="on"}
	<p></p>
	</div>
	{/if}

	
	{if !$cart_products && $recently_viewed_products}
	<br />
	{capture name="mainbox"}
	
	{if $settings.Appearance.columns_in_products_list > 1}
		{include file="products_pages/products_multicolumns.tpl" products=$recently_viewed_products form_prefix="recent" columns=$settings.Appearance.columns_in_products_list no_ajax="Y"}
	{else}
		{include file="products_pages/products.tpl" products=$recently_viewed_products form_prefix="recent" no_sorting="Y" no_pagination="Y" no_ajax="Y"}
	{/if}
	
	
	{/capture}
	{include file="common_templates/mainbox.tpl" title=$lang.recent_products content=$smarty.capture.mainbox}
	{/if}
	
{elseif $mode == 'customer_info'} {* Step1: Enter shipping and billing information *}

	{include file="cart_pages/profiles.tpl"}

{elseif $mode == 'checkout'} {* Step1: Select shipping and payment methods *}

	{if $settings.General.one_page_checkout != 'Y'}

		{capture name="cartbox"}

			{* Cart content table*}
			<form action="{$index_script}" method="post" name="checkout_form">
			<input type="hidden" name="{$target_name}" value="checkout" />
			<input type="hidden" name="{$mode_name}" value="update" id="mode" />
			<input type="hidden" name="redirect_mode" value="checkout" />	
			{if $cart.coupons|floatval}<input type="hidden" name="c_id" value="" />{/if}
			{if $cart.use_gift_certificates}<input type="hidden" name="cert_code" value="" />{/if}	

			<table cellpadding="0" cellspacing="0" border="0" width="100%" class="table">
			<tr>
				<th width="50%">{$lang.product}</th>
				<th align="center" width="10%">{$lang.price}</th>
				<th align="center" width="10%">{$lang.quantity}</th>
				{if $settings.Addons.reward_points == 'Y'}
					{include file="addons/reward_points/cart_pages/checkout_head.tpl"}
				{/if}
				{if $cart.use_discount}
				<th align="right" width="10%">{$lang.discount}</th>
				{/if}
				{if $cart.taxes}
				<th align="center" width="10%">{$lang.tax}</th>
				{/if}
				<th align="right" width="10%">{$lang.subtotal}</th>
			</tr>
			{if $cart_products}
			{foreach from=$cart_products item="product" key="key"}
			{if $settings.Addons.product_configurator == 'Y' && $cart.products.$key.extra.configuration}
				{cycle values=",class='table-row'" name="class_cycle" assign="_class"}
				{include file="addons/product_configurator/checkout_configurable_product.tpl"}
			{elseif !$cart.products.$key.extra.in_configuration && !$cart.products.$key.extra.in_certificate} 
			{cycle values=",class='table-row'" name="class_cycle" assign="_class"}
			<tr valign="top" {$_class}>
				<td>
					<div class="float-left"><a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="sidebox-link"><b>{$product.product|escape:html}</b></a></div>
					<div class="float-right"><a href="{$index_script}?{$target_name}=checkout&amp;cart_id={$key}&amp;{$mode_name}=delete&amp;redirect_mode=checkout"><img src="{$images_dir}/delete_product.gif" width="12" height="12" border="0" alt="" align="bottom" /></a></div>
					<div class="clear-both">
					{if $product.product_options}
						<div style="padding-top: 3px; padding-bottom: 2px;">
							{include file="common_templates/options_info.tpl" product_options=$product.product_options}
						</div>
					{/if}
					{if $settings.Addons.promotions == 'Y'}
						<div style="padding-top: 1px; padding-bottom: 2px;">
							{include file="addons/promotions/cart_pages/checkout_body.tpl"}
						</div>
					{/if}
					{if $settings.Addons.gift_certificates == 'Y'}
						<div style="padding-top: 1px; padding-bottom: 2px;">
							{include file="addons/gift_certificates/cart_pages/checkout_body.tpl"}
						</div>
					{/if}
					</div>
				</td>
				<td align="center" class="side-padding" nowrap="nowrap">
				{if $product.exclude_from_calculate}
					{$lang.free}
				{else}
					{include file="common_templates/price.tpl" value=$product.price}
				{/if}
				</td>
				<td align="center" class="side-padding" nowrap="nowrap">
					<input type="text" size="3" name="cart_products[{$key}][amount]" value="{$product.amount}" class="input-text" {if $product.is_edp == 'Y' || $product.exclude_from_calculate}readonly="readonly"{/if} /><input type="hidden" name="cart_products[{$key}][product_id]" value="{$product.product_id}" /></td>
				{if $settings.Addons.reward_points == 'Y'}
					{include file="addons/reward_points/cart_pages/checkout_body.tpl"}
				{/if}
				{if $cart.use_discount}
				<td align="right" class="side-padding" nowrap="nowrap">
					{if $product.discount|floatval}{include file="common_templates/price.tpl" value=$product.discount}{else}-{/if}</td>
				{/if}
				{if $cart.taxes}
				<td align="center" class="side-padding" nowrap="nowrap">
					{if $product.tax_value|floatval}{include file="common_templates/price.tpl" value=$product.tax_value}{else}-{/if}</td>
				{/if}
				<td align="right" class="side-padding" nowrap="nowrap">
				{if $product.exclude_from_calculate}
					{$lang.free}
				{else}
					{include file="common_templates/price.tpl" value=$product.subtotal}
				{/if}
				</td>
			</tr>
			{/if}
			{/foreach}
			{/if}
			{if $settings.Addons.gift_certificates == 'Y'}
				{include file="addons/gift_certificates/cart_pages/checkout_gift_certificates.tpl"}
			{/if}
			<tr class="table-footer">
				<td colspan="8"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
			</tr>
			</table>
		
			</form>
			{* /Cart content table*}
			<p></p>
		{/capture}
		{include file="common_templates/mainbox_cart.tpl" content=$smarty.capture.cartbox title=$lang.cart_contents mainbox_body="mainbox-cart-body-flex"}
	
		<div class="cart-buttons-wrapper">
			{include file="buttons/update_cart.tpl" but_onclick="ch_form.submit();" lowercase="Y"}
		</div>

		{include file="cart_pages/checkout_totals.tpl" location="checkout"}


		<p></p>		<p></p>
		
		{capture name="group"}
			{include file="cart_pages/shipping_rates.tpl"}
			{include file="cart_pages/payment_methods.tpl"}
		{/capture}
		{include file="common_templates/group.tpl" content=$smarty.capture.group}

		{if $shipping_rates|@fn_allow_place_order:$cart}
			<div align="center" class="buttons-wrapper">{include file="buttons/continue.tpl" but_onclick="order_form.submit();"}</div>
		{/if}

	{else}
		<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/cc_validator.js"></script>	
		<a name="checkout_top"></a>
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td width="50%" valign="top">
				<div>
					{if $cart_products || ($settings.Addons.gift_certificates == 'Y' && $cart.gift_certificates)}
						
						<form name="checkout_form" action="{$index_script}" method="post">
						<input type="hidden" name="{$target_name}" value="checkout" />
						<input type="hidden" name="{$mode_name}" value="update" />
						<input type="hidden" name="redirect_mode" value="checkout" />

						{include file="cart_pages/cart_items.tpl"}
						<script type="text/javascript" language="javascript 1.2" defer="defer">
						//<![CDATA[
							ch_form.set_onsubmit(fn_check_all_exceptions, true);
							ch_form.set_failed_message(lang.cannot_buy);
							fn_check_all_exceptions(false);
						//]]>
						</script>
						</form>					
					{/if}
				</div>
				<div class="cart-buttons-wrapper">
					{assign var='result_ids' value="'cart_items','checkout_totals', 'checkout_steps', 'cart_status'"}
					{if $settings.Addons.promotions == 'Y'}
						{assign var='result_ids' value=$result_ids|cat:",'convenient_promotion'"}
					{/if}
					<div class="float-left">{include file="buttons/clear_cart.tpl" but_href="$index_script?$target_name=checkout&$mode_name=clear"  but_style="text"}</div>
					<div class="float-right">{include file="buttons/update_cart.tpl" but_onclick="ch_form.set_field_value('`$mode_name`', 'update'); ch_form.result_id = [`$result_ids`]; ch_form.submit();" lowercase="Y"}</div>
				</div>

				{include file="cart_pages/checkout_totals.tpl" location="checkout"}

				<div align="center" class="buttons-wrapper">
						{include file="buttons/continue_shopping.tpl" but_href=$continue_url|default:$index_script but_arrow="on"}
				</div>
				</td>
			<td><img src="{$images_dir}/spacer.gif" width="10" height="1" border="0" alt="" /></td>
			<td width="50%" valign="top">{include file="cart_pages/checkout_steps.tpl"}</td>
		</tr>
		</table>
	{/if}

{elseif $mode == 'summary'} {* Step3: Check all entered information and place order *}

	{include file="cart_pages/checkout_summary.tpl"}

{/if}
<br />