{* $Id: orders.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $	*}

{capture name="mainbox"}

{capture name="section"}
	{include file="orders_pages/orders_search_form.tpl"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.section}
<br />
{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"|escape:html}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.customer_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

{include file="common_templates/pagination.tpl"}
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="table">
<tr>
	<th align="center" width="10%"><a class="sort-link" href="{$url_prefix}{$c_url}&amp;sort_by=order_id&sort_order={$sort_order}{$url_suffix}">{$lang.id}</a>{if $sort_by == 'order_id'}{$sort_sign}{/if}</th>
	<th width="15%"><a class="sort-link" href="{$url_prefix}{$c_url}&amp;sort_by=status&amp;sort_order={$sort_order}{$url_suffix}">{$lang.status}</a>{if $sort_by == 'status'}{$sort_sign}{/if}</th>
	<th width="25%"><a class="sort-link" href="{$url_prefix}{$c_url}&amp;sort_by=customer&amp;sort_order={$sort_order}{$url_suffix}">{$lang.customer}</a>{if $sort_by == 'customer'}{$sort_sign}{/if}</th>
	<th width="25%"><a class="sort-link" href="{$url_prefix}{$c_url}&amp;sort_by=email&amp;sort_order={$sort_order}{$url_suffix}">{$lang.email}</a>{if $sort_by == 'email'}{$sort_sign}{/if}</th>
	<th width="25%"><a class="sort-link" href="{$url_prefix}{$c_url}&amp;sort_by=date&amp;sort_order={$sort_order}{$url_suffix}">{$lang.date}</a>{if $sort_by == 'date'}{$sort_sign}{/if}</th>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/orders_pages/orders_head.tpl"}	
	{/if}
	<th width="24%" align="right"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=total&sort_order={$sort_order}{$url_suffix}">{$lang.total}</a>{if $sort_by == 'total'}{$sort_sign}{/if}</th>
</tr>
{if $orders}
{foreach from=$orders item="o"}
<tr {cycle values=",class='table-row'"}>
	<td style="height:20px" align="center"><a href="{$index_script}?{$target_name}=orders&amp;{$mode_name}=details&amp;order_id={$o.order_id}" class="underlined"><b>#{$o.order_id}</b></a></td>
	<td>{include file="orders_pages/order_status.tpl" status=$o.status display="view"}</td>
	<td>{$o.firstname} {$o.lastname}</td>	
	<td>{$o.email}</td>	
	<td><a href="{$index_script}?{$target_name}=orders&amp;{$mode_name}=details&amp;order_id={$o.order_id}">{$o.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</a></td>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/orders_pages/orders_body.tpl"}	
	{/if}
	<td align="right">{include file="common_templates/price.tpl" value=$o.total}</td>
</tr>
{/foreach}
{else}
<tr>
	<td colspan="{if $settings.Addons.reward_points == 'Y'}7{else}6{/if}" align="center">
		<p></p><b>{$lang.text_no_orders}</b><p></p></td>
</tr>
{/if}
<tr class="table-footer">
	<td colspan="7"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
</tr>
</table>

{include file="common_templates/pagination.tpl"}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.orders content=$smarty.capture.mainbox}