{* $Id: product_options.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}
{if $product_options}
<div>
	{foreach from=$product_options item="po"}
	<div class="form-field product-list-field">
		<label for="option_{$id}_{$po.option_id}">{$po.option_name}:</label>
		{if $po.option_type == "S"} {*Selectbox*}
			<select name="{$name}[{$id}][product_options][{$po.option_id}]" style="display: inline;" id="option_{$id}_{$po.option_id}" onchange="fn_check_exceptions({$id}); cart_changed = true;" {if $product.exclude_from_calculate && !$product.choosable_product_options}disabled="disabled"{/if}>
			{foreach from=$po.variants item="vr" name=vars}
				<option value="{$vr.variant_id}" {if $po.value == $vr.variant_id || ($location != 'cart' && $smarty.foreach.vars.first)}selected="selected"{/if}>{$vr.variant_name} {if $settings.General.display_options_modifiers == 'Y'}{if $vr.modifier|floatval}({include file="common_templates/modifier.tpl" mod_type=$vr.modifier_type mod_value=$vr.modifier display_sign=true}){/if}{if $settings.Addons.reward_points == 'Y' && $vr.point_modifier|floatval}&nbsp;{include file="addons/reward_points/common_templates/point_modifier.tpl" mod_type=$vr.point_modifier_type mod_value=$vr.point_modifier }{/if}{/if}</option>
			{/foreach}
			</select>
		{elseif $po.option_type == "R"} {*Radiobutton*}
				<div id="option_{$id}_{$po.option_id}" class="float-left">
					{foreach from=$po.variants item="vr" name="vars"}
						<span class="valign"><input type="radio" name="{$name}[{$id}][product_options][{$po.option_id}]" value="{$vr.variant_id}" {if $po.value == $vr.variant_id || ($location != 'cart' && $smarty.foreach.vars.first)}checked="checked"{/if} onclick="fn_check_exceptions({$id}); cart_changed = true;" {if $product.exclude_from_calculate && !$product.choosable_product_options}disabled="disabled"{/if}/></span>
						<span class="valign">{$vr.variant_name}&nbsp;{if $settings.General.display_options_modifiers == 'Y'}{if $vr.modifier|floatval}({include file="common_templates/modifier.tpl" mod_type=$vr.modifier_type mod_value=$vr.modifier display_sign=true}){/if}{if $settings.Addons.reward_points == 'Y' && $vr.point_modifier|floatval}&nbsp;{include file="addons/reward_points/common_templates/point_modifier.tpl" mod_type=$vr.point_modifier_type mod_value=$vr.point_modifier }{/if}{/if}</span>
						<br />
					{/foreach}
				</div>
				<div class="clear-both"></div>
		{elseif $po.option_type == "C"} {*Checkbox*}

			{foreach from=$po.variants item="vr"}
			{if $vr.position == 0}
				<input id="unchecked_option_{$id}_{$po.option_id}" type="hidden" name="{$name}[{$id}][product_options][{$po.option_id}]" value="{$vr.variant_id}" />
			{else}
				<div>
					<input id="option_{$id}_{$po.option_id}" type="checkbox" name="{$name}[{$id}][product_options][{$po.option_id}]" value="{$vr.variant_id}" {if $po.value == $vr.variant_id}checked="checked"{/if} onclick="fn_check_exceptions({$id}); cart_changed = true;" {if $product.exclude_from_calculate && !$product.choosable_product_options}disabled="disabled"{/if}/>
					{if $settings.General.display_options_modifiers == 'Y'}{if $vr.modifier|floatval}({include file="common_templates/modifier.tpl" mod_type=$vr.modifier_type mod_value=$vr.modifier display_sign=true}){/if}{if $settings.Addons.reward_points == 'Y' && $vr.point_modifier|floatval}&nbsp;{include file="addons/reward_points/common_templates/point_modifier.tpl" mod_type=$vr.point_modifier_type mod_value=$vr.point_modifier }{/if}{/if}
				</div>
			{/if}
			{/foreach}

		{elseif $po.option_type == "I"} {*Input*}
			<input type="text" name="{$name}[{$id}][product_options][{$po.option_id}]" value="{$po.value}" {if $product.exclude_from_calculate && !$product.choosable_product_options}disabled="disabled"{/if} onkeypress="cart_changed = true;"/>
		{elseif $po.option_type == "T"} {*Textarea*}
			<p class="textarea-break"><textarea class="input-textarea" style="width: 250px;" rows="3" name="{$name}[{$id}][product_options][{$po.option_id}]" {if $product.exclude_from_calculate && !$product.choosable_product_options}disabled="disabled"{/if} onkeypress="cart_changed = true;">{$po.value|escape:html}</textarea></p>
		{/if}
	</div>
	{/foreach}
</div>
<div id='warning_{$id}' style="display: none; margin-bottom: 10px;" class="form-field product-list-field price">{$lang.nocombination}</div>

<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
// Option features
var exception_style = '{$settings.General.exception_style}';
var image_location = '{$settings.General.images_location}';
{if $product.exclude_from_calculate}
exclude_from_calculate[{$id}] = '{$product.exclude_from_calculate}';
{/if}
{if $product.choosable_product_options}
choosable_product_options[{$id}] = '{$product.choosable_product_options}';
{/if}
{if $product.exception}
exceptions[{$id}] = {$product.exception};
{/if}
price[{$id}] = '{if $location == 'cart'}{$product.pure_price}{else}{$product.price}{/if}';
{if $product.list_price}
list_price[{$id}] = '{$product.list_price}';
{/if}
// Define the discounts for the product
{if $product.discounts}
pr_d[{$id}] = {$ldelim}
	'P': {if $product.discounts.P}{$product.discounts.P}{else}0{/if},
	'A': {if $product.discounts.A}{$product.discounts.A}{else}0{/if}
{$rdelim}
{/if}
// Define the array of all options of the product
pr_o[{$id}] = {$ldelim}{$rdelim};
{foreach from=$product_options item="po" name="ii"}
	pr_o[{$id}][{$po.option_id}] = {$ldelim}
		'type': '{$po.option_type}',
		'option_id': '{$po.option_id}',
		'id': 'option_{$id}_{$po.option_id}',
		'inventory': '{$po.inventory}',
		'name': '{$po.option_name|escape:javascript}',
		'm': {$ldelim}{$rdelim},
		'v': {$ldelim}{$rdelim}
	{$rdelim};
	{foreach from=$po.variants item="var" name="jj"}
		pr_o[{$id}][{$po.option_id}]['m'][{$var.variant_id}] = {if $var.modifier|floatval}'{$var.modifier_type}{$var.modifier}'{else}'0'{/if};
		pr_o[{$id}][{$po.option_id}]['v'][{$var.variant_id}] = fn_html_entity_decode('{$var.variant_name|escape:javascript}'{if $settings.General.display_options_modifiers == 'Y'}{if $var.modifier|floatval}+' ({include file="common_templates/modifier.tpl" mod_type=$var.modifier_type mod_value=$var.modifier display_sign=true})'{/if}{if $settings.Addons.reward_points == 'Y' && $var.point_modifier|floatval}+' {include file="addons/reward_points/common_templates/point_modifier.tpl" mod_type=$var.point_modifier_type mod_value=$var.point_modifier }'{/if}{/if});
	{/foreach}
{/foreach}
{if $settings.Addons.reward_points == 'Y'}
	{include file="addons/reward_points/products_pages/product_options.tpl"}
{/if}

// images
pr_i[{$id}] = {$ldelim}{$rdelim};
{foreach from=$product.option_image_pairs item="imag" name="ii" key="_key"}
	pr_i[{$id}][{$smarty.foreach.ii.iteration}-1] = {$ldelim}
		'image_id': '{$imag.image_id}',
		'detailed_id': '{$imag.detailed_id}',
		'options': '{$imag.options}'
	{$rdelim};
	{if $imag.image_id}
	pr_i[{$id}][{$smarty.foreach.ii.iteration}-1]['icon'] = {$ldelim}
		'image_x': '{$imag.icon.image_x}',
		'image_y': '{$imag.icon.image_y}',
		'alt': '{$imag.icon.alt}',
		'type': '{$imag.icon.type}',
		'src': '{if $settings.General.images_location == "database"}{$image_index}?object_type=product&image_id={$imag.image_id}{else}{$imag.icon.image_path}{/if}'
	{$rdelim};
	{/if}	
	{if $imag.detailed_id}
	pr_i[{$id}][{$smarty.foreach.ii.iteration}-1]['detailed'] = {$ldelim}
		'image_x': '{$imag.detailed.image_x}',
		'image_y': '{$imag.detailed.image_y}'
	{$rdelim};
	{/if}	
{/foreach}

// amount and product code 
pr_c[{$id}] = '{$product.product_code|escape:javascript}' // define default product code
pr_a[{$id}] = {$ldelim}{$rdelim};
{foreach from=$product.option_inventory item="amount" name="ii" key="_key"}
	pr_a[{$id}]['{$amount.options}|'] = {$ldelim}
		'amount': '{$amount.amount}',
		'product_code': '{$amount.product_code|escape:javascript}'
	{$rdelim};
{/foreach}

{if $settings.Appearance.show_prices_taxed_clean == 'Y' || $location == 'cart'}
	{include file="products_pages/product_taxes.tpl" id=$id}
{/if}
//]]>
</script>
{/if}

