{* $Id: products.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if $products}

{if $smarty.capture.js_loaded != "Y"}
<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/exceptions.js"></script>
{capture name="js_loaded"}Y{/capture}
{/if}

{capture name="mainbox"}
{if !$no_pagination}
	{include file="common_templates/pagination.tpl" div_id=$pagination_id}
{/if}
{if !$no_sorting}
	{include file="products_pages/sorting.tpl"}
{/if}
{foreach from=$products item=product key=key name="products"}
{assign var="obj_id" value="`$obj_prefix``$product.product_id`"}
<div class="products-list-wrapper">
	<div class="product-image">
		<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}">{include file="common_templates/image.tpl" image_width=$settings.Appearance.thumbnail_width obj_id=$obj_id images=$product.main_pair object_type="product"}</a>
		<div class="more-info"><a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="underlined">{$lang.view_details}&nbsp;<b>&#8250;&#8250;</b></a></div>
	</div>
	<div class="product-description">
		<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="list-product-title">{$product.product|escape:html}</a><br />
		
		<p class="sku" id="sku_{$obj_id}" {if !$product.product_code}style="display:none"{/if}>{$lang.sku}: <span id="product_code_{$obj_id}">{$product.product_code}</span></p>
		
		{if !($settings.Addons.product_configurator == 'Y' && $product.product_type == 'C')}
			<div class="{if $product.discounts}product-price-float{else}product-price-wrap{/if}">
			{if $product.price|floatval || $product.zero_price_action == 'P'}{assign var="show_price_values" value=1}{else}{assign var="show_price_values" value=0}{/if}
			{******************************* List price, Old Price **************************}
			{if $product.discounts && $show_price_values}
				<span class="list-price" id="line_old_price_{$obj_id}">{$lang.old_price}: {include file="common_templates/price.tpl" value=$product.price span_id="old_price_`$obj_id`" class="list-price"}</span>
			{elseif $show_price_values}
				{if $product.list_price > $product.price}
					<span class="list-price" id="line_list_price_{$obj_id}">{$lang.list_price}: {include file="common_templates/price.tpl" value=$product.list_price span_id="list_price_`$obj_id`" class="list-price"}</span>
				{/if}
			{/if}
			{************************ Discounted Price, Our Price, Price ********************}
			<p class="price" >
			{if $show_price_values}
				{if $product.discounts}
					<span class="price" id="line_discounted_price_{$obj_id}">{$lang.discounted_price}: {include file="common_templates/price.tpl" value=$product.discounted_price span_id="discounted_price_`$obj_id`" class="price"}</span>
				{else}
				<span class="price" id="line_original_price_{$obj_id}">
					{if $product.list_price > $product.price}
						{$lang.our_price}
					{else}
						{$lang.price}
					{/if}
				: {include file="common_templates/price.tpl" value=$product.price span_id="original_price_`$obj_id`" class="price"}
				</span>
				{/if}
			{/if}
			{if $show_price_values}
			<span class="price" id="line_zero_price_{$obj_id}" style="display: none;">{if $product.discounts && !$product.discounted_price|floatval}{$lang.discounted_price}{else}{$lang.price}{/if}: {include file="common_templates/price.tpl" value=0 class="price"}</span>
			{/if}
			{if ($product.price != 0 || $product.zero_price_action == 'P') && $settings.Appearance.show_prices_taxed_clean == 'Y' && $product.taxed_price}
				{if $product.clean_price != $product.taxed_price && $product.included_tax}
					<span class="list-price" id="line_product_price_{$obj_id}">({include file="common_templates/price.tpl" value=$product.taxed_price span_id="product_price_`$obj_id`" class='list-price'} {$lang.inc_tax})	</span>
				{elseif $product.clean_price != $product.taxed_price && !$product.included_tax}
					<span class="list-price">({$lang.including_tax})</span>
				{/if}
			{/if}
			</p>
			{*************************************  You Save: *******************************}
			{if $product.discounts && $show_price_values}
				<span class="list-price" id="line_discount_value_{$obj_id}">{$lang.you_save}: {include file="common_templates/price.tpl" value=$product.discounts.total span_id="discount_value_`$obj_id`" class="list-price"}</span>
			{elseif  $show_price_values}
				{if $product.list_price > $product.price}
					<span class="list-price" id="line_discount_value_{$obj_id}">{$lang.you_save}: {include file="common_templates/price.tpl" value=$product.you_save_abs span_id="discount_value_`$obj_id`" class="list-price"}&nbsp;(<span id="prc_discount_value_{$obj_id}" class="list-price">{$product.you_save}</span>%)</span>
				{/if}
			{/if}
			</div>
			{************************************ Discount label ****************************}
			{if $product.discounts && $show_price_values}
			<div class="discount-label" id="line_prc_discount_value_{$obj_id}" >
				<img class="valign" src="{$images_dir}/discount_label_left.gif" width="5" height="27" border="0" alt="" style="padding-right: 3px;"/>
				{include file="common_templates/modifier.tpl" mod_type="P" mod_value=$product.discount_amount is_integer=true span_id="prc_discount_value_`$obj_id`" class="discount-label-text valign" display_sign=true}
			</div>
			<div class="clear-both"><img src="{$images_dir}/spacer.gif" width="1" height="1" border="0" alt="" /></div>
			{/if}
			{*********************************** / Discount label ***************************}
			{if $settings.Addons.reward_points == 'Y'}
				{include file="addons/reward_points/products_pages/product_representation.tpl"}
			{/if}
			{if $settings.Addons.suppliers == 'Y'}
				{include file="addons/suppliers/supplier_representation.tpl"}
			{/if}
			{if $settings.Addons.rma == 'Y'}
				{include file="addons/rma/return_period_representation.tpl"}
			{/if}
			<p></p>
			{include file="products_pages/buy_now.tpl" obj_id=$obj_id}
		{/if}

		{if $product.short_description || $product.full_description}
		<div class="box" style="margin-top: 20px;">
		{if $product.short_description}
			{$product.short_description}
		{else}
			{$product.full_description|strip_tags|truncate:280:"...<a href=\"`$index_script`?`$target_name`=products&amp;product_id=`$product.product_id`\" class=\"underlined\">`$lang.more_link`</a>"}
		{/if}
		</div>
		{/if}
	</div>
</div>		

{if !$smarty.foreach.products.last}
<hr />
{/if}

{/foreach}

<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
	fn_check_all_exceptions(false);
//]]>
</script>

{if !$no_pagination}
	{include file="common_templates/pagination.tpl" div_id=$pagination_id}
{/if}
<div class="clear-both" style="font-size: 3px;">&nbsp;</div>

{/capture}
{if !$title}
	{$smarty.capture.mainbox}
{else}
	{include file="common_templates/mainbox.tpl" title=$title content=$smarty.capture.mainbox}
{/if}

{/if}