{* $Id: products_small_list.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if $products}

{capture name="mainbox"}
{if !$no_sorting}
	{include file="products_pages/sorting.tpl"}
{/if}
{if !$no_pagination}
	{include file="common_templates/pagination.tpl"}
{/if}

{if $products|@sizeof < $columns}
{assign var="columns" value=$products|@sizeof}
{/if}
{split data=$products size=$columns|default:"2" assign="splitted_products"}

{assign var='img_width' value="2"}
{assign var='space_width' value="7"}
{math equation="(100 + space_width) / x - space_width - img_width" x=$columns|default:"2" assign="cell_width" space_width=$space_width img_width=$img_width}
{math equation="cell_width + img_width" cell_width=$cell_width img_width=$img_width assign="2_cell_width"}


<table cellpadding="3" cellspacing="3" border="0" width="100%">
{foreach from=$splitted_products item="sproducts" name="splitted_products"}
<tr>
	<td><img src="{$images_dir}/spacer.gif" width="25" height="1" border="0" alt="" /></td>
{foreach from=$sproducts item="product" name="sproducts"}
	<td align="left" valign="top" style="width: {$cell_width}%; {if !$smarty.foreach.splitted_products.last}border-bottom: 1px solid #d5d5d5{/if};">
		{if $product}
		{assign var="obj_id" value="`$obj_prefix``$product.product_id`"}
		<table border="0" cellpadding="3" cellspacing="3" width="100%">
		<tr>
			<td align="center" valign="top" width="{$img_width}%">
			<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}">{include file="common_templates/image.tpl" image_width="40" obj_id=$obj_id images=$product.main_pair object_type="product"}</a></td>
		<td width="{$cell_width}%" valign="top">
			{if $lm_simultaneous_add == 'Y'}
			<form action="{$index_script}" method="post" onsubmit="return false;" name="{$list.lm_id}_{$product.product_id}_lm_simultaneous_add_form">
				<input type="hidden" name="product_data[{$product.product_id}][product_id]" value="{$product.product_id}" />
				<input type="hidden" name="product_data[{$product.product_id}][amount]" value="1" />
				<input type="checkbox" name="simultaneous_add" value="Y" />
			</form>
			{/if}
			<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="underlined">{$product.product|escape:html}</a>
			<p class="price" style="padding: 3px 0px 2px 0px;">
			{if ($settings.Addons.product_configurator == 'Y' && $product.product_type == 'C')}&nbsp;
			{elseif $product.price != 0}
				{if $product.list_price > $product.price && $product.price != 0}{$lang.our_price}{else}{$lang.price}{/if}: {include file="common_templates/price.tpl" value=$product.price class="price" span_id="original_price_`$obj_id`"}
			{else}
				{$lang.contact_us_for_price}
			{/if}</p>
			{if $hide_buy_now_button != 'Y'}
				{include file="products_pages/buy_now.tpl" but_style="text" hide_wishlist_button="Y" obj_id=$obj_id}
			{/if}
		</td>
		</tr>
		</table>
		{else}
		&nbsp;
		{/if}
	</td>
	{if !$smarty.foreach.sproducts.last}
	<td width="{$space_width}%">&nbsp;</td>
	{/if}
{/foreach}
	<td><img src="{$images_dir}/spacer.gif" width="25" height="1" border="0" alt="" /></td>
</tr>
{/foreach}
</table>

{if !$no_pagination}
	{include file="common_templates/pagination.tpl"}
{/if}
{/capture}
{if !$title}
	{$smarty.capture.mainbox}
{else}
	{include file="common_templates/mainbox.tpl" title=$title content=$smarty.capture.mainbox}
{/if}

{/if}