{* $Id: profile_fields.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if $profile_fields.$section}

{if $shipping_flag}
<div style="padding: 15px 0px 6px 0px;">
		<input type="hidden" name="shipping_eq_billing" value="N" />
		<input class="valign" id="seqb" type="checkbox" name="shipping_eq_billing" value="Y" onclick="{if $profile_fields_equals == 'Y'}fn_show_tag('sa',this.checked);{/if} fn_copy_fields(this.checked);" {if $shipping_eq_billing == 'Y' || $mode == 'add'}checked="checked"{/if} />
		<label class="valign" for="seqb">{$lang.shipping_same_as_billing}</label>
</div>
{/if}

{if $body_id}
	<div id="{$body_id}" {if ($shipping_eq_billing == 'Y' && $profile_fields_equals == 'Y') || $mode == 'add'}style="display: none;"{/if}>
{/if}

{if !$nothing_extra}
	{include file="common_templates/subheader.tpl" title=$title}
{/if}


{if $section == 'B' || $section == 'S'}
<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
	country_state['{$section}'] = {$ldelim}country_id: '', state_id: '', state: ''{$rdelim};
	{if $section == 'B'}
	var field_groups = new Array();
	{/if}
//]]>
</script>
{/if}


{if $location == "checkout" && $auth.user_id && $settings.General.user_multiple_profiles == 'Y' && ($section == 'B' || $section == 'S')} {* Select user profile *}
<div class="form-field">
	<label for="elm_profile_id">{$lang.select_profile}:</label>
	<span id="mark_elm_profile_id" class="required-field-mark">&nbsp;</span>
	<select name="profile_id" id="elm_profile_id" onchange="fn_ajax_http_request('{$index_script}?{$target_name}=checkout&{$mode_name}=checkout', 'checkout_steps', 'GET', {$smarty.ldelim}'user_data': {$smarty.ldelim}'profile_id': this.value{$smarty.rdelim}, 'update_step': '{$update_step}', 'shipping_eq_billing': '{$cart.shipping_eq_billing}'{$smarty.rdelim});" class="select-expanded">
	{*if !$skip_create}
		<option selected="selected" value="0">-&nbsp;{$lang.create_profile}&nbsp;-</option>
	{/if*}
	{foreach from=$user_profiles item="user_profile"}
		<option value="{$user_profile.profile_id}" {if $cart.profile_id == $user_profile.profile_id}selected="selected"{/if}>{$user_profile.profile_name}</option>
	{/foreach}
	</select>
	{if $cart.user_data.profile_id && $cart.user_data.profile_type != 'P'}
		{assign var='delete_link' value="$index_script?$target_name=profiles&$mode_name=update&$action_name=delete_profile&profile_id=`$cart.profile_id`"}
		<a href="{if $use_ajax}javascript: fn_ajax_http_request('{$delete_link}',['checkout_steps', 'cart_items', 'checkout_totals']);{else}{$delete_link}{/if}">{$lang.delete}</a>
	{/if}
</div>
{/if}

{foreach from=$profile_fields.$section item=field}
{if $field.field_name}
{assign var="data_name" value="user_data"}
{assign var="data_id" value=$field.field_name}
{assign var="value" value=$user_data.$data_id}
{else}
{assign var="data_name" value="user_data[fields]"}
{assign var="data_id" value=$field.field_id}
{assign var="value" value=$user_data.fields.$data_id}
{/if}
<div class="form-field">
	<label for="{$id_prefix}elm_{$field.field_id}">{$field.description}:</label>
	<span id="mark_elm_{$field.field_id}" class="required-field-mark">{if $field.required == 'Y'}*{else}&nbsp;&nbsp;{/if}</span>
	{if $field.field_type == 'L'} {* Titles selectbox *}
		<select id="{$id_prefix}elm_{$field.field_id}" name="{$data_name}[{$data_id}]" {if $section == 'B'}onchange="fn_copy_field(this.id, 'elm_{$field.matching_id}');"{/if}>
			{foreach from=$titles item="t"}
			<option {if $value == $t.param}selected="selected"{/if} value="{$t.param}">{$t.descr}</option>
			{/foreach}
		</select>
	{elseif $field.field_type == 'A'}  {* State selectbox *}
		<select id="{$id_prefix}elm_{$field.field_id}" name="{$data_name}[{$data_id}]" onchange="fn_copy_field(this.id, 'elm_{$field.matching_id}');">
			<option value="">- {$lang.select_state} -</option>
		</select><input type="text" id="elm_{$field.field_id}_d" name="{$data_name}[{$data_id}]" size="32" maxlength="64" value="{$value}" disabled="disabled" class="input-text" style="display: none;" {if $section == 'B'}onkeyup="fn_copy_field('elm_{$field.field_id}', 'elm_{$field.matching_id}');"{/if} />
	{elseif $field.field_type == 'O'}  {* Countries selectbox *}
		{assign var="_country" value=$value|default:$settings.General.default_country}
		<select id="{$id_prefix}elm_{$field.field_id}" name="{$data_name}[{$data_id}]" onchange="{if $section == 'B'}fn_copy_field(this.id, 'elm_{$field.matching_id}');{/if} fn_rebuild_states('{$section}');">
			<option value="">- {$lang.select_country} -</option>
			{foreach from=$countries item=country}
			<option {if $_country == $country.code}selected="selected"{/if} value="{$country.code}">{$country.country}</option>
			{/foreach}
		</select>
	{elseif $field.field_type == 'C'}  {* Checkbox *}
		<input type="hidden" name="{$data_name}[{$data_id}]" value="N" />
		<input type="checkbox" id="{$id_prefix}elm_{$field.field_id}" name="{$data_name}[{$data_id}]" value="Y" {if $value == 'Y'}checked="checked"{/if} {if $section == 'B'}onclick="fn_copy_field(this.id, 'elm_{$field.matching_id}');"{/if} class="checkbox" />
	{elseif $field.field_type == 'T'}  {* Textarea *}
		<textarea class="input-textarea" id="{$id_prefix}elm_{$field.field_id}" name="{$data_name}[{$data_id}]" cols="32" rows="3" {if $section == 'B'}onkeyup="fn_copy_field(this.id, 'elm_{$field.matching_id}');"{/if}>{$value|escape:html}</textarea>
	{elseif $field.field_type == 'D'}  {* Date *}
		{html_select_date field_array="`$data_name`[`$data_id`]" start_year="1970" end_year="+5" time=$value day_extra="id=\"`$id_prefix`elm_`$field.field_id`_day\" onchange=\"fn_copy_field(this.id, 'elm_`$field.matching_id`_day');\"" month_extra="id=\"elm_`$field.field_id`_month\" onchange=\"fn_copy_field(this.id, 'elm_`$field.matching_id`_month');\"" year_extra="id=\"`$id_prefix`elm_`$field.field_id`_year\" onchange=\"fn_copy_field(this.id, 'elm_`$field.matching_id`_year');\""}
	{elseif $field.field_type == 'S'}  {* Selectbox *}
		<select id="{$id_prefix}elm_{$field.field_id}" name="{$data_name}[{$data_id}]" onchange="{if $section == 'B'}fn_copy_field(this.id, 'elm_{$field.matching_id}');{/if}">
			{if $field.required != "Y"}
			<option value="">--</option>
			{/if}
			{foreach from=$field.values key=k item=v}
			<option {if $value == $k}selected="selected"{/if} value="{$k}">{$v}</option>
			{/foreach}
		</select>
	{elseif $field.field_type == 'R'}  {* Radiogroup *}
		{foreach from=$field.values key=k item=v name="rfe"}
		<input class="radio valign" type="radio" id="{$id_prefix}elm_{$field.field_id}_{$k}" name="{$data_name}[{$data_id}]" value="{$k}" {if (!$value && $smarty.foreach.rfe.first) || $value == $k}checked="checked"{/if} {if $section == 'B'}onclick="fn_copy_field(this.id, 'elm_{$field.matching_id}_{$k}');"{/if} /><span class="valign">{$v}</span>
		{/foreach}
	{else}  {* Simple input *}
		<input type="text" id="{$id_prefix}elm_{$field.field_id}" name="{$data_name}[{$data_id}]" size="32" value="{$value|escape:html}" {if $section == 'B'}onkeyup="fn_copy_field(this.id, 'elm_{$field.matching_id}');"{/if} class="input-text" />
	{/if}
	<span>&nbsp;

	{if $section == 'B' || $section == 'S'}
	<script type="text/javascript" language="javascript 1.2" defer="defer">
	//<![CDATA[
		{if $field.field_type == 'A'}
		country_state['{$section}'].state_id = 'elm_{$field.field_id}';
		country_state['{$section}'].state = '{$value|default:$settings.General.default_country|escape:javascript}';
		{/if}
		{if $field.field_type == 'O'}
		country_state['{$section}'].country_id = 'elm_{$field.field_id}';
		{/if}
		{if $section == 'B'}
		{if $field.field_type == 'D'}
			field_groups['elm_{$field.field_id}_day'] = 'elm_{$field.matching_id}_day';
			field_groups['elm_{$field.field_id}_month'] = 'elm_{$field.matching_id}_month';
			field_groups['elm_{$field.field_id}_year'] = 'elm_{$field.matching_id}_year';
		{elseif $field.field_type == 'R'}
			{foreach from=$field.values key=k item=v}
			field_groups['elm_{$field.field_id}_{$k}'] = 'elm_{$field.matching_id}_{$k}';
			{/foreach}
			
		{else}
			field_groups['elm_{$field.field_id}'] = 'elm_{$field.matching_id}';
		{/if}
		{/if}
	//]]>
	</script>
	{/if}
	
	</span>
</div>
{/foreach}
{if $body_id}
</div>
{/if}

{/if}

{if $section == 'B' || $section == 'S'}
<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
fn_rebuild_states('{$section}', false);
//]]>
</script>
{/if}