{* $Id: search.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $	*}

{capture name="mainbox"}


{capture name="section"}

<form action="{$index_script}" name="advanced_search_form" method="get">
<input type="hidden" name="{$target_name}" value="products" />
<input type="hidden" name="{$mode_name}" value="search" />
<input type="hidden" name="type" value="extended" />

<table cellpadding="0" cellspacing="3" border="0" width="100%">
<tr>
	<td class="search-label">{$lang.find_results_with}:</td>
	<td>
		<select name="match" class="valign">
			<option value="any">{$lang.any_words}</option>
			<option value="all">{$lang.all_words}</option>
			<option value="exact">{$lang.exact_phrase}</option>
		</select>&nbsp;&nbsp;

		<input type="text" name="q" size="55" value="" class="input-text valign" />
	</td>
</tr>

<tr>
	<td class="padding-td search-label">{$lang.search_in}:</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td><input type="checkbox" value="Y" checked="checked" name="pname" /></td>
			<td>{$lang.product_name}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" checked="checked" name="pshort" /></td>
			<td>{$lang.short_description}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" checked="checked" name="pfull" /></td>
			<td>{$lang.full_description}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" checked="checked" name="pkeywords" /></td>
			<td>{$lang.keywords}</td>
		</tr>
		</table>
	</td>
</tr>
{if $product_features}
<tr>
	<td class="padding-td search-label" valign="top">{$lang.search_by_product_features}:</td>
	<td>
		{html_checkboxes name="feature" options=$product_features columns=4 selected=$smarty.get.feature}
	</td>
</tr>
{/if}
<tr>
	<td class="search-label">{$lang.search_in_category}:</td>
	<td>
		<select	name="cid" class="valign">
			<option	value="0">- {$lang.all_categories} -</option>
			{foreach from=$all_categories item="cat"}
			<option	value="{$cat.category_id}">{$cat.category|escape:html|indent:$cat.level:"&#166;&nbsp;&nbsp;&nbsp;&nbsp;":"&#166;--&nbsp;"}</option>
			{/foreach}
		</select>
		&nbsp;&nbsp;<input type="checkbox" value="Y" checked="checked" name="subcats" class="valign" /><span class="valign">{$lang.search_in_subcategories}</span>
	</td>
</tr>
<tr>
	<td colspan="2"><p></p>
		{include file="common_templates/subheader.tpl" title=$lang.advanced_search_options}</td>
</tr>
{if $manufacturers_list}
<tr>
	<td class="search-label">{$lang.search_by_manufacturer}:</td>
	<td>
		<select	name="mid">
			<option	value="0">- {$lang.all_manufacturers} -</option>
			{foreach from=$manufacturers_list item="manufacturer"}
			<option	value="{$manufacturer.manufacturer_id}">{$manufacturer.manufacturer}</option>
			{/foreach}
		</select>
	</td>
</tr>
{/if}
<tr>
	<td class="search-label">{$lang.search_by_sku}:</td>
	<td>
		<input type="text" name="pcode" value="" onfocus="fn_select_input(this)" class="input-text" /></td>
</tr>
<tr>
	<td class="search-label">{$lang.search_by_price}&nbsp;({$currencies.$primary_currency.symbol}):</td>
	<td nowrap="nowrap">
		<input type="text" name="price_from" value="" onfocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="price_to" value="" onfocus="fn_select_input(this)" class="input-text" /></td>
</tr>
<tr>
	<td class="search-label">{$lang.search_by_weight}&nbsp;({$settings.General.weight_symbol}):</td>
	<td nowrap="nowrap">
		<input type="text" name="weight_from" value="" onfocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="weight_to" value="" onfocus="fn_select_input(this)" class="input-text" /></td>
</tr>
</table>

<div class="buttons-wrapper">
	{include file="buttons/search.tpl" but_onclick="document.advanced_search_form.submit();" but_type="input" but_arrow="on"}
</div>
</form>


{if $settings.General.extended_product_features_search == 'Y' && $product_features_ex}
<br />
{include file="common_templates/subheader.tpl" title=$lang.search_by_product_features}
<form action="{$index_script}" name="features_search_form" method="get">
<input type="hidden" name="{$target_name}" value="products">
<input type="hidden" name="{$mode_name}" value="search">
<input type="hidden" name="type" value="extended">
<input type="hidden" name="{$action_name}" value="feature_search">

<table>
{foreach from=$product_features_ex item="pf"}
<tr>
	<td>{$pf.description}:</td>
	<td>
		{if $pf.feature_type == 'S'}
		<select name="feature[{$pf.feature_id}]">
			<option value=''>  --  </option>
			{assign var="f_id" value=$pf.feature_id}
			{foreach from=$pf.variants item="var"}
				<option value="{$var.variant}" {if $smarty.get.feature.$f_id==$var.variant}selected{/if}>{$var.variant}</option>
			{/foreach}
		</select>
		{elseif $pf.feature_type == 'C'}
			<input type="hidden" name="feature[{$pf.feature_id}]" value="" />
			<input type="checkbox" name="feature[{$pf.feature_id}]" value="Y" {if $smarty.get.feature.$f_id == 'Y'}checked="checked"{/if} />
		{else}
			<input type="text" class="input-text" name="feature[{$pf.feature_id}]" value="{$smarty.get.feature.$f_id}" />
		{/if}
	</td>
</tr>
{/foreach}
</table>
<div class="buttons-wrapper">
	{include file="buttons/search.tpl" but_onclick="document.features_search_form.submit();" but_arrow="on"}
</div>

</form>

{/if}

{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.section}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.advanced_search content=$smarty.capture.mainbox}