{* $Id: profiles.tpl,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $ *}

{include file="profiles_pages/profiles_scripts.tpl"}

{capture name="mainbox"}

<form name="profile_form" action="{$index_script}" method="post" onsubmit="return false;">
<input type="hidden" name="{$target_name}" value="profiles" />
<input type="hidden" name="{$mode_name}" value="{$mode|default:"add"}" />
<input type="hidden" name="{$action_name}" value="{$action}" />
<input type="hidden" name="referrer_partner_id" value="{$smarty.get.aff_id|escape:"html"}" />

<p>{$lang.text_mandatory_fields}</p>


<table cellpadding="1" cellspacing="1" border="0" width="100%" align="center">
<table cellpadding="1" cellspacing="1" border="0" width="100%" align="center">
{include file="profiles_pages/profiles_account.tpl"}
{include file="profiles_pages/profile_fields.tpl" section="C" title=$lang.contact_information}
</table>

{if $settings.General.user_multiple_profiles == "Y"}
<p class="form-title">{$lang.user_profile_info}<hr /></p>
<p class="form-note">{$lang.text_multiprofile_notice}</p>
{/if}

{capture name="tabsbox"}
<table cellpadding="1" cellspacing="1" border="0" width="100%" align="center">
{include file="profiles_pages/multiple_profiles.tpl"}
{include file="profiles_pages/profile_fields.tpl" section="B" title=$lang.billing_address}
{include file="profiles_pages/profile_fields.tpl" section="S" title=$lang.shipping_address body_id="sa" shipping_flag=$profile_fields.B|@sizeof|default:false}
</table>
{if $mode != "update"}
<p align="center">{'[button_name]'|str_replace:$lang.register:$lang.affiliate_agree_to_terms_conditions} (<a href="{$customer_index}?{$target_name}=pages&page_id=affiliate_policy">{$lang.go_to_terms_and_conditions}</a>)</p>
{/if}
{/capture}
{include file="common_templates/tabsbox.tpl" tabs=$user_profiles content=$smarty.capture.tabsbox js_switch="N"}

{if $mode == 'add' && $settings.Image_verification.use_for_register == 'Y'}
	{include file="common_templates/image_verification.tpl" id="register" align="center"}
{/if}

<br />
<p align="center">
	{if $mode == "update"}
		{include file="buttons/update_profile.tpl" but_onclick="javascript: profiles_form.submit();"}
	{else}
		{include file="buttons/register_profile.tpl" but_onclick="javascript: profiles_form.submit();"}
	{/if}
</p>
</form>

{/capture}
{if $mode == 'add'}
	{include file="common_templates/mainbox.tpl" title=$lang.register_profile content=$smarty.capture.mainbox}
{else}
	{include file="common_templates/mainbox.tpl" title=$lang.update_profile content=$smarty.capture.mainbox}
{/if}