<?php
/******************************************************************************
*                                                                             *
*           Copyright (c) 2004-2007 CS-Cart.com. All rights reserved.         *
*                                                                             *
*******************************************************************************
*                                                                             *
* CS-Cart  is  commercial  software,  only  users  who have purchased a valid *
* license through  http://www.cs-cart.com/  and  accept  to the terms of this *
* License Agreement can install this product.                                 *
*                                                                             *
*******************************************************************************
* THIS  CS-CART  SHOP END-USER LICENSE AGREEMENT IS A LEGAL AGREEMENT BETWEEN *
* YOU  AND  YOUR  COMPANY  (COLLECTIVELY, "YOU") AND CS-CART.COM (HEREINAFTER *
* REFERRED  TO  AS  "THE AUTHOR")  FOR THE SOFTWARE PRODUCT IDENTIFIED ABOVE, *
* WHICH INCLUDES COMPUTER  SOFTWARE AND MAY INCLUDE ASSOCIATED MEDIA, PRINTED *
* MATERIALS,  AND  "ONLINE"  OR  ELECTRONIC  DOCUMENTATION (COLLECTIVELY, THE *
* "SOFTWARE").  BY  USING  THE  SOFTWARE,  YOU  SIGNIFY YOUR AGREEMENT TO ALL *
* TERMS, CONDITIONS, AND NOTICES CONTAINED  OR  REFERENCED HEREIN. IF YOU ARE *
* NOT  WILLING  TO  BE  BOUND  BY  THIS  AGREEMENT, DO NOT INSTALL OR USE THE *
* SOFTWARE.                                                                   *
*                                                                             *
* PLEASE READ THE FULL  TEXT OF SOFTWARE LICENSE AGREEMENT IN THE "COPYRIGHT" *
* FILE PROVIDED WITH THIS  DISTRIBUTION. THE AGREEMENT TEXT IS ALSO AVAILABLE *
* AT THE FOLLOWING URL: http://www.cs-cart.com/license.html                   *
******************************************************************************/

//
// $Id: config.php,v 1.1.1.1 2007/12/13 10:08:01 pshevtsov Exp $
//

if ( !defined('IN_CSCART') ) { die('Access denied'); }

//
// Database tables aliases...
//
$db_tables['news'] = 'cscart_news';
$db_tables['news_descriptions'] = 'cscart_news_descriptions';
$db_tables['newsletters'] = 'cscart_newsletters';
$db_tables['newsletters_descriptions'] = 'cscart_newsletters_descriptions';
$db_tables['site_subscribers'] = 'cscart_site_subscribers';

//
// Script targets
//

$fn_inheritance['fn_is_accessible_discussion'][] = array ('function' => 'fn_news_is_accessible_discussion', 'params' => array('data', 'auth','access'));

$script_targets['news'] = ADDONS_DIR . 'news_and_emails' .DS. 'targets' .DS. 'news.php';
$script_targets['newsletters'] = ADDONS_DIR . 'news_and_emails' .DS. 'targets' .DS. 'newsletters.php';
$script_targets['site_subscribers'] = ADDONS_DIR . 'news_and_emails' .DS. 'targets' .DS. 'site_subscribers.php';

$fn_inheritance['fn_get_discussion_object_data'][] = array ('function' => 'fn_get_news_discussion', 'params' => array('data', 'object_id','object_type','lang_code'));
$fn_inheritance['fn_get_discussion_objects'][] = array ('function' => 'fn_get_news_discussion_object', 'params' => array('discussion_object_types'));
// Listmania
$fn_inheritance['fn_lm_get_object_name'][] = array ('function' => 'fn_get_news_title_listmania', 'params' => array('object_id', 'item', 'lang_code', 'object_name'));
$fn_inheritance['fn_lm_get_list_owners'][] = array ('function' => 'fn_get_all_news', 'params' => array('object_ids', 'object'));
$fn_inheritance['fn_lm_check_enabled_addons'][] = array ('function' => 'fn_news_addon_is_enabled', 'params' => array('enabled', 'addon'));


define('NEWSLETTERS_PER_PASS', 40);

?>