{* $Id: ad_details.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  

{** ads section **}  

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="ads_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="ads">
<input type="hidden" name="{$mode_name}" value="update">
<input type="hidden" name="redirect_url" value="{$index_script}?{$target_name}=ads&ad_id={$ad.ad_id}">

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td width="110" class="field-name">{$lang.ad}:</td>
	<td class="required-field-mark">*</td>
	<td width="85%">
		<input type="text" name="ads[{$ad.ad_id}][ad]" value="{$ad.ad|escape:html}" style="width:85%" size="20" class="input-text"></td>
</tr>
<tr>
	<td class="field-name" nowrap>{$lang.type}:</td>
	<td>&nbsp;</td>
	<td align="left">
		<select name="ads[{$ad.ad_id}][type]" class="input-text" onChange="javascript: fn_show_tag('ad_graphic');  fn_show_tag('ad_text'); fn_show_tag('ad_url');  fn_show_tag('ad_target')">
			<option {if $ad.type == 'G'}selected{/if} value="G">{$lang.graphic_banner}
			<option {if $ad.type == 'T'}selected{/if} value="T">{$lang.text_ad}
		</select></td>
</tr>
<tr id="ad_graphic" {if $ad.type == 'T'}style="display:none"{/if}>
	<td class="field-name">{$lang.image}:</td>
	<td>&nbsp;</td>
	<td><p>
		{include file="common_templates/attach_images.tpl" image_name="ads_main" image_object_type="common" image_pair=$ad.main_pair image_object_id=$ad.ad_id no_detailed=true hide_titles=true}
		</p>
	</td>
</tr>
<tr id="ad_text" {if $ad.type == 'G'}style="display:none"{/if}>
	<td class="field-name">{$lang.description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="man_descr" name="ads[{$ad.ad_id}][description]" cols="35" rows="8" class="input-text" style="width: 85%">{$ad.description|escape:html}</textarea><br>
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('man_descr');" but_style="text"}
	</td>
</tr>
<tr>
	<td class="field-name">{$lang.location}:</td>
	<td>&nbsp;</td>
	<td align="left">
		<select name="ads[{$ad.ad_id}][location]" class="input-text">
			<option {if $ad.location == 'L'}selected{/if} value="L">{$lang.left_column}
			<option {if $ad.location == 'C'}selected{/if} value="C">{$lang.central_part}
			<option {if $ad.location == 'R'}selected{/if} value="R">{$lang.right_column}
		</select></td>
</tr>
<tr>
	<td class="field-name" nowrap>{$lang.show_order}:</td>
	<td>&nbsp;</td>
	<td align="left">
		<select name="ads[{$ad.ad_id}][show_order]" class="input-text">
			<option {if $ad.show_order == 'B'}selected{/if} value="B">{$lang.before_main_content}
			<option {if $ad.show_order == 'A'}selected{/if} value="A">{$lang.after_main_content}
		</select></td>
</tr>
<tr>
	<td class="field-name" nowrap>{$lang.show_on_home_page_only}:</td>
	<td>&nbsp;</td>
	<td align="left">
		<input type="hidden" name="ads[{$ad.ad_id}][home_page_only]" value="N">
		<input type="checkbox" name="ads[{$ad.ad_id}][home_page_only]" value="Y"  {if $ad.home_page_only == 'Y'}checked{/if}></td>
</tr>
<tr id="ad_target" {if $ad.type == 'T'}style="display:none"{/if}>
	<td class="field-name" nowrap>{$lang.open_in_new_window}:</td>
	<td>&nbsp;</td>
	<td align="left">
		<input type="hidden" name="ads[{$ad.ad_id}][target]" value="T">
		<input type="checkbox" name="ads[{$ad.ad_id}][target]" value="B" {if $ad.target == 'B'}checked{/if}></td>
</tr>
<tr id="ad_url" {if $ad.type == 'T'}style="display:none"{/if}>
	<td class="field-name">{$lang.url}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="ads[{$ad.ad_id}][url]" value="{$ad.url|escape:html}" size="22" class="input-text" style="width: 85%"></td>
</tr>
<tr>
	<td class="field-name">{$lang.position}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="ads[{$ad.ad_id}][position]" value="{$ad.position}" size="3" maxlength="11" class="input-text"></td>
</tr>
<tr>
	<td class="field-name">{$lang.created_date}:</td>
	<td>&nbsp;</td>
	<td nowrap="nowrap">{html_select_date field_array="ads[`$ad.ad_id`][timestamp]" time=$ad.timestamp|default:$smarty.const.TIME start_year=$settings.Company.company_start_year}</td>
</tr>
<tr>
	<td class="field-name">{$lang.available}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="ads[{$ad.ad_id}][avail]" value="N">
		<input type="checkbox" name="ads[{$ad.ad_id}][avail]" value="Y" {if $ad.avail == 'Y'}checked{/if}></td>
</tr>
</table>
<p>
{include file="buttons/update.tpl" but_onclick="javascript:document.ads_form.submit();" but_type="input"}
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.ads content=$smarty.capture.mainbox}

{** ad section **}