{* $Id: fields.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{literal}
<script type="text/javascript" language="javascript 1.2">

function fn_check_field_type(elm, id, type_id)
{
	var noopts = 'ITCV';
	if (noopts.indexOf(elm) != -1) {
		document.getElementById(id).style.display = 'none';
	} else {
		document.getElementById(id).style.display = '';
	}

	// Hide description box for separator
	document.getElementById('descr_'+type_id).style.display = (elm == 'D') ? 'none' : '';
	document.getElementById('hr_'+type_id).style.display = (elm == 'D') ? '' : 'none';
}

</script>
{/literal}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="POST" name="event_fields_form">
<input type="hidden" name="{$target_name}" value="events" />
<input type="hidden" name="{$mode_name}" value="update_fields" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td nowrap="nowrap" class="manage-header">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('event_fields_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td nowrap="nowrap" class="manage-header">{$lang.position_short}</td>
	<td width="100%" nowrap="nowrap" class="manage-header">{$lang.description}</td>
	<td nowrap="nowrap" class="manage-header">{$lang.type}</td>
	<td nowrap="nowrap" class="manage-header">{$lang.required}</td>
	<td nowrap="nowrap" class="manage-header">{$lang.avail}</td>
</tr>
{if $event_fields}
{foreach from=$event_fields item=field}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="delete_fields[{$field.field_id}]" id="delete_checkbox" value="Y" /></td>
	<td><input class="input-text" type="text" size="3" name="fields_data[{$field.field_id}][position]" value="{$field.position}" /></td>
	<td>
		<input id="descr_elm_{$field.field_id}" class="input-text-100" type="text" name="fields_data[{$field.field_id}][description]" value="{$field.description|escape:html}" {if $field.field_type=='D'}style="display: none;"{/if} />
		<hr id="hr_elm_{$field.field_id}" width="100%" {if $field.field_type!='D'}style="display: none;"{/if} /></td>
	<td>
		<select id="elm_{$field.field_id}" name="fields_data[{$field.field_id}][field_type]" onchange="fn_check_field_type(this.value, 'box_field_variants_{$field.field_id}', this.id);">
			<option value="C" {if $field.field_type=='C'}selected="selected"{/if}>{$lang.checkbox}</option>
			<option value="V" {if $field.field_type=='V'}selected="selected"{/if}>{$lang.date}</option>
			<option value="I" {if $field.field_type=='I'}selected="selected"{/if}>{$lang.input_field}</option>
			<option value="R" {if $field.field_type=='R'}selected="selected"{/if}>{$lang.radiogroup}</option>
			<option value="S" {if $field.field_type=='S'}selected="selected"{/if}>{$lang.selectbox}</option>
			<option value="T" {if $field.field_type=='T'}selected="selected"{/if}>{$lang.textarea}</option>
		</select></td>
	<td align="center">
		<input type="hidden" name="fields_data[{$field.field_id}][required]" value="N" />
		<input type="checkbox" name="fields_data[{$field.field_id}][required]" value="Y"  {if $field.required == 'Y'}checked="checked"{/if} /></td>
	<td align="center">
		<input type="hidden" name="fields_data[{$field.field_id}][avail]" value="N" />
		<input type="checkbox" name="fields_data[{$field.field_id}][avail]" value="Y" {if $field.avail == 'Y'}checked="checked"{/if} /></td>
</tr>
<tr id="box_field_variants_{$field.field_id}" {if 'ITCV'|substr_count:$field.field_type}style="display: none;"{/if}>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td colspan="3">
		<table cellpadding="1" cellspacing="1" border="0" width="1">
		<tr id="header">
			<td style="height:19px;" class="manage-header">&nbsp;</td>
			<td style="height:19px;" class="manage-header">{$lang.position_short}</td>
			<td style="height:19px;" class="manage-header">{$lang.description}</td>
			<td style="height:19px;" class="manage-header">&nbsp;</td>
		</tr>
		{foreach from=$field.variants item=var}
		<tr id="header">
			<td align="center">
				<input type="checkbox" name="delete_vars[{$var.variant_id}]" id="delete_checkbox" value="Y" /></td>
			<td><input class="input-text" size="3" type="text" name="fields_data[{$field.field_id}][variants][{$var.variant_id}][position]" value="{$var.position|escape:html}" /></td>
			<td><input class="input-text" type="text" name="fields_data[{$field.field_id}][variants][{$var.variant_id}][description]" value="{$var.description|escape:html}" /></td>
			<td>&nbsp;</td>
		</tr>
		{/foreach}
		<tr id="box_elm_variants_{$field.field_id}">
			<td>&nbsp;</td>
			<td><input class="input-text" size="3" type="text" name="fields_data[{$field.field_id}][add_variants][0][position]" /></td>
			<td><input class="input-text" type="text" name="fields_data[{$field.field_id}][add_variants][0][description]" /></td>
			<td>{include file="buttons/multiple_buttons.tpl" item_id="elm_variants_`$field.field_id`" tag_level=2}</td>
		</tr>
		</table>
	</td>      
</tr>
{/foreach}
</table>
<p></p>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.event_fields_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('event_fields_form','delete');"}</td>
</tr>
</table>

{else}
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td class="manage-row" align="center">
		<p><b>{$lang.text_no_items_found|replace:'[items]':$lang.event_fields}</b></p></td>
</tr>
</table>
{/if}

</form>
<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_field}
<p></p>
<form action="{$index_script}" method="post" name="add_event_fields_form">
<input type="hidden" name="{$target_name}" value="events" />
<input type="hidden" name="{$mode_name}" value="add_fields" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tbody id="header">
<tr>
	<td nowrap="nowrap"  class="add-new-header">{$lang.position_short}</td>
	<td width="100%" nowrap="nowrap"  class="add-new-header">{$lang.description}</td>
	<td nowrap="nowrap"  class="add-new-header">{$lang.type}</td>
	<td nowrap="nowrap"  class="add-new-header">{$lang.required}</td>
	<td nowrap="nowrap"  class="add-new-header">{$lang.avail}</td>
	<td nowrap="nowrap"  class="add-new-header">&nbsp;</td>
</tr>
</tbody>
<tbody id="box_add_fields">
<tr>      
	<td><input class="input-text" size="3" type="text" name="add_fields_data[0][position]" value="" /></td>
	<td>
		<input id="descr_add_field_variants" class="input-text-100" type="text" name="add_fields_data[0][description]" value="" />
		<hr id="hr_add_field_variants" width="100%" style="display: none;" /></td>
	<td>
		<select id="add_field_variants" name="add_fields_data[0][field_type]" onchange="fn_check_field_type(this.value, 'box_'+this.id, this.id);">
			<option value="C">{$lang.checkbox}</option>
			<option value="V">{$lang.date}</option>
			<option value="I">{$lang.input_field}</option>
			<option value="R">{$lang.radiogroup}</option>
			<option value="S">{$lang.selectbox}</option>
			<option value="T">{$lang.textarea}</option>
		</select></td>
	<td align="center">
		<input type="hidden" name="add_fields_data[0][required]" value="N" />
		<input type="checkbox" name="add_fields_data[0][required]" value="Y" checked="checked" /></td>
	<td align="center">
		<input type="hidden" name="add_fields_data[0][avail]" value="N" />
		<input type="checkbox" name="add_fields_data[0][avail]" value="Y" checked="checked" /></td>
	<td>{include file="buttons/multiple_buttons.tpl" item_id="add_fields" tag_level=1}</td>
</tr>
<tr id="box_add_field_variants" style="display: none;">
	<td>&nbsp;</td>
	<td colspan="2">
		<table cellpadding="1" cellspacing="1" border="0" width="1">
		<tr id="header">
			<td class="add-new-header">{$lang.position_short}</td>
			<td class="add-new-header">{$lang.description}</td>
			<td class="add-new-header">&nbsp;</td>
		</tr>
		<tr id="box_add_elm_variants">
			<td><input class="input-text" size="3" type="text" name="add_fields_data[0][variants][0][position]" /></td>
			<td><input class="input-text" type="text" name="add_fields_data[0][variants][0][description]" /></td>
			<td>{include file="buttons/multiple_buttons.tpl" item_id="add_elm_variants" tag_level=2}</td>
		</tr>
		</table>
	</td>
</tr>
</tbody>
</table>
<p></p>
{if 'manage_events'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_event_fields_form.submit();"}
{/if}
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.custom_event_fields content=$smarty.capture.mainbox}
