{* $Id: select_list.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{if $object_id}

{if $show_subheader == 'Y'}
<p id="listmania"></p><br />
{include file="common_templates/subheader.tpl" title=$lang.listmania}
{elseif $lm_show_mainbox == 'Y'}
{capture name="lm_mainbox"}
{/if}

<div id="content_{if $div_prefix}{$lm_prefix}_{/if}listmania">
{if $smarty.capture.lm_select_list_js != 'Y'}
	{capture name="lm_select_list_js"}Y{/capture}
	{literal}
	<script type="text/javascript" language="javascript 1.2">
	//<![CDATA[
	function fn_enable_disable_listmania_list(responseJS, responseText)
	{
		if (responseJS.list_id) {
			document.getElementById('enable_list_' + responseJS.list_id).checked = responseJS.list_use == 'Y' ? true : false;
		}
	}
	//]]>
	</script>
	{/literal}
{/if}
{if $lists}

	{if $no_selected_section}
		{assign var='selected_section' value=''}
	{else}
		{assign var='selected_section' value='listmania'}
	{/if}

<div id="content_{if $div_prefix}{$lm_prefix}_{/if}listmania_lists" style="margin: 2px 2px 10px 2px; padding: 6px; border: 1px dashed #909090; float: left">
{foreach from=$lists item=lm_list name="lm_lists"}
	&nbsp;<span class="bull">&bull;</span>&nbsp;{if $selected_list_id == $lm_list.list_id}<span class="bold">{else}<a href="{$lm_list.object_id|fn_object_link:$lm_list.object}&amp;selected_list_id={$lm_list.list_id}">{/if}{$lm_list.list}{if $selected_list_id == $lm_list.list_id}</span>{else}</a>{/if}{if $lm_list.use == 'Y'}&nbsp;(+){else}{/if}&nbsp;&nbsp;&nbsp;&nbsp;
{/foreach}
</div>
<p style="clear: left;"></p>

{assign var='_list_object' value=$lists.$selected_list_id.list_object|fn_lm_get_lang_var:'list_object'}

	<div style="float: left; width: 70%; padding-right: 10px;">
	
		{include file="common_templates/subheader.tpl" title=$lang.listed_items}
		
		{** Form to update Listed objects **}
		
		<form action="{$index_script}" method="post" name="{$lm_prefix}_list_objects_form">
		<input type="hidden" name="{$target_name}" value="listmania">
		<input type="hidden" name="{$mode_name}" value="do_update_lm_objects">
		<input type="hidden" name="lm_object_id" value="{$object_id|escape:'html'}">
		<input type="hidden" name="list_id" value="{$selected_list_id}">
		<input type="hidden" name="lm_redirect_url" value="{$object_id|fn_object_link:$lists.$selected_list_id.object}&amp;selected_list_id={$selected_list_id}">

		{include file="common_templates/pagination.tpl" div_id="lm_pagination_$selected_list_id"}
		
		<table cellpadding="1" cellspacing="1" border="0" width="100%">
		<tr class="manage-header">
			<td>
				<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('{$lm_prefix}_list_objects_form', this.checked);" title="{$lang.check_uncheck_all}" {if $lists.$selected_list_id.type != $smarty.const.LM_MANUALLY_SET || !('manage_listmania'|fn_check_privileges:true)}disabled="disabled"{/if} /></td>
			<td class="manage-header" align="center" nowrap>{$lang.position_short}</td>
			<td class="manage-header" width="100%" nowrap>{$_list_object}</td>
		</tr>
		{if $lm_objects}
		{foreach from=$lm_objects item=object}
		<tr {cycle values='class="manage-row", '}>
			<td><input type="checkbox" name="lm_objects[{$object.object_id}][delete]" id="delete_checkbox" value="Y" {if $lists.$selected_list_id.type != $smarty.const.LM_MANUALLY_SET || !('manage_listmania'|fn_check_privileges:true)}disabled="disabled"{/if} /></td>
			<td><input type="text" name="lm_objects[{$object.object_id}][position]" value="{$object.extra|default:0}" size="2" class="input-text" {if $lists.$selected_list_id.type != $smarty.const.LM_MANUALLY_SET || !('manage_listmania'|fn_check_privileges:true)}disabled="disabled"{/if} /></td>
			<td class="side-padding">
				<a href="{$object.object_id|fn_object_link:$lists.$selected_list_id.list_object}" class="manage-root-item">{$object.object|escape:html}<a/></td>
		</tr>
		{/foreach}
		
		{else}
		<tr>
			<td colspan="3" class="manage-row" align="center">
				<p><b>{$lang.text_no_items_found|replace:'[items]':$_list_object}</b></p></td>
		</tr>
		{/if}
		</table>
		
		{include file="common_templates/pagination.tpl" div_id="lm_pagination_$selected_list_id"}
		
		{if $lm_objects && $lists.$selected_list_id.type == $smarty.const.LM_MANUALLY_SET && 'manage_listmania'|fn_check_privileges:true}
		<p></p>
		{** Form submit section **}
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/update.tpl" but_onclick="javascript:document.`$lm_prefix`_list_objects_form.submit();"}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('`$lm_prefix`_list_objects_form','do_delete_lm_objects', true);"}</td>
		</tr>
		</table>
		{** /Form submit section **}
		{/if}
		
		</form>
		
		{** /Form to update Listed objects **}
	</div>
	
	<div style="float: right; width: 28%;">
		{include file="common_templates/subheader.tpl" title=$lang.general}
		<table cellpadding="2" cellspacing="2" border="0">
		<tr>
			<td><b>{$lang.list_name}</b>:&nbsp;</td>
			<td><a href="{"$index_script?$target_name=listmania&amp;$mode_name=list_update&amp;list_id=`$selected_list_id`"}">{$lists.$selected_list_id.list}</a></td>
		</tr>
		<tr>
			<td><b>{$lang.type}</b>:&nbsp;</td>
			<td>{$lists.$selected_list_id.type|fn_lm_get_lang_var:'type'}</td>
		</tr>
		<tr>
			<td><b>{$lang.enable_for_this_page}</b>:&nbsp;</td>
			<td><input id="enable_list_{$selected_list_id}" type="checkbox" name="enable_list_{$selected_list_id}" value="Y" {if $lists.$selected_list_id.use == 'Y'}checked="checked"{/if} onchange="fn_ajax_http_request('{"$index_script?$target_name=listmania&$mode_name=enable_disable&lm_object_id=$object_id&list_id=$selected_list_id&list_use="}' + (this.checked ? this.value : 'N'), null, null, null, fn_enable_disable_listmania_list, false); void(0);" {if !('manage_listmania'|fn_check_privileges:true)}disabled="disabled"{/if} /></td>
		</tr>
		{if $lists.$selected_list_id.disabled}
		<tr>
			<td class="not-approved-text"><b>{$lang.disabled}</b>:&nbsp;</td>
			<td class="not-approved-text">{$lists.$selected_list_id.disabled}</td>
		</tr>
		{/if}
		<tr>
			<td colspan="2">
				{include file="buttons/button.tpl" but_text=$lang.edit_general_list_properties but_onclick="$index_script?$target_name=listmania&$mode_name=list_update&list_id=`$selected_list_id`" but_style="text"}</td>
		</tr>
		</table>
	</div>

{if $lists.$selected_list_id.type == $smarty.const.LM_MANUALLY_SET && 'manage_listmania'|fn_check_privileges:true}

<p style="clear: both;"></p>
<br />

{include file="common_templates/subheader.tpl" title=$lang.add_items_to_section|replace:'[items]':$_list_object}

{if $lists.$selected_list_id.list_object != $smarty.const.LM_CATEGORY && $lists.$selected_list_id.list_object != $smarty.const.LM_TOPIC && $lists.$selected_list_id.list_object != $smarty.const.LM_ADS} {*categories*} {*topics*} {*ads*}
	{capture name="section"}
	{if $lists.$selected_list_id.list_object == $smarty.const.LM_PRODUCT} {*products*}
		{include file="products_pages/products_search_form.tpl" target=$target mode=$mode search_type="extended" selected_section=$selected_section product_search_form_prefix=$lm_prefix page_part="list_`$selected_list_id`_objects" extra="$extra<input type=\"hidden\" id=\"lm_object_id\" name=\"lm_object_id\" value=\"$object_id\" /><input type=\"hidden\" id=\"list_id\" name=\"list_id\" value=\"`$lists.$selected_list_id.list_id`\" />"}
	{elseif $lists.$selected_list_id.list_object == $smarty.const.LM_PAGE} {*pages*}
		{include file="pages_pages/pages_search_form.tpl" target=$target search_mode=$mode search_type="extended" search_form_prefix=$lm_prefix page_part="list_`$selected_list_id`_objects" extra="$extra<input type=\"hidden\" id=\"lm_object_id\" name=\"lm_object_id\" value=\"$object_id\" /><input type=\"hidden\" id=\"list_id\" name=\"list_id\" value=\"`$lists.$selected_list_id.list_id`\" />"}
	{/if}
	{/capture}
	{include file="common_templates/section.tpl" section_title=$lang.search_for_items|replace:'[items]':$_list_object section_content=$smarty.capture.section}
{/if}

{if $objects || ($lists.$selected_list_id.list_object == $smarty.const.LM_CATEGORY && $categories_tree) || ($lists.$selected_list_id.list_object == $smarty.const.LM_TOPIC && $topics_tree)}

<form action="{$index_script}" method="post" name="{$lm_prefix}_add_objects_form">
<input type="hidden" name="{$target_name}" value="listmania">
<input type="hidden" name="{$mode_name}" value="do_add_lm_objects">
<input type="hidden" name="lm_object_id" value="{$object_id}">
<input type="hidden" name="list_id" value="{$selected_list_id}">
<input type="hidden" name="lm_redirect_url" value="{$object_id|fn_object_link:$lists.$selected_list_id.object}&amp;selected_list_id={$selected_list_id}">
{$extra}

{if $lists.$selected_list_id.list_object == $smarty.const.LM_CATEGORY} {*categories*}
	{assign var="level" value="0"}
	<div id="category_rows">{include file="addons/listmania/categories_tree.tpl" parent_id="0" header="1" form_name="`$lm_prefix`_add_objects_form" checkbox_name="add_objects"}</div>
{elseif $lists.$selected_list_id.list_object == $smarty.const.LM_TOPIC} {*topics*}
	{assign var="level" value="0"}
	<div id="topic_rows">{include file="addons/listmania/topics_tree.tpl" topics=$topics_tree parent_id="0" header="1"}</div>
{else}
	{include file="common_templates/pagination.tpl" div_id=''}
	<table cellpadding="1" cellspacing="1" border="0" width="100%" id="list_{$selected_list_id}_objects">
	<tr class="manage-header">
		<td>
			<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('{$lm_prefix}_add_objects_form', this.checked, 'add_checkbox');" title="{$lang.check_uncheck_all}" /></td>
		<td class="manage-header" width="100%" nowrap>{$_list_object}</td>
	</tr>
	{if $objects}
	{foreach from=$objects item=object}
	<tr {cycle values='class="manage-row", '}>
		<td><input type="checkbox" name="add_objects[{$object.object_id}]" id="add_checkbox" value="Y" /></td>
		<td class="side-padding">
			<a href="{$object.object_id|fn_object_link:$lists.$selected_list_id.list_object}" class="manage-root-item">{$object.object|escape:html}</a></td>
	</tr>
	{/foreach}
	
	{else}
	<tr>
		<td colspan="3" class="manage-row" align="center">
			<p><b>{$lang.text_no_items_found|replace:'[items]':$_list_object}</b></p></td>
	</tr>
	{/if}
	</table>
	{include file="common_templates/pagination.tpl" div_id=''}
{/if}

{** Form submit section **}

<p>
{include file="buttons/button.tpl" but_text=$lang.add_items|replace:'[items]':$_list_object but_onclick="javascript: if (fn_check_selected('`$lm_prefix`_add_objects_form','add_checkbox')) document.`$lm_prefix`_add_objects_form.submit();" but_type="input" action_but="action_"}
{** /Form submit section **}

</form>

{/if}

{/if} {* /if MANUALLY_SET *}

{else} {* else $lists *}
<div align="center" class="manage-row vertical-padding">
	<b>{$lang.text_no_items_found|replace:'[items]':$lang.lists}</b>
</div>
{/if} {* /if $lists *}

<!--content_{if $div_prefix}{$lm_prefix}_{/if}listmania--></div>

{if $lm_show_mainbox == 'Y'}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.listmania content=$smarty.capture.lm_mainbox}
{/if}

{/if}