{* $Id: history_view.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

<div align="right">
	<span class="bull">&bull;</span>&nbsp;<a href="javascript: if (confirm('{$lang.delete_livehelp_warning|escape:javascript}')) fn_redirect('{$index_script}?{$target_name}={$target}&{$mode_name}=delete'); else void(0);" class="underlined">{$lang.remove_livehelp_data}</a>
	<p></p>
</div>

{capture name="mainbox"}

{if $type != 'message'}
{capture name="section"}
<form action="{$index_script}" method="get" name="report_form_visitor">
<input type="hidden" name="{$target_name}" value="lh_history" />
<input type="hidden" name="{$mode_name}" value="view" />
<input type="hidden" name="type" value="{$type}" />
<input type="hidden" name="id" value="{$id}" />
<input type="hidden" name="operator" value="{$operator}" />
<input type="hidden" name="selected_section" value="{$selected_section}" />
<input type="hidden" name="action" value="update" />
<table cellpadding="1" cellspacing="1" border="0" width="100%">
	<tr>
		<td width="15%"><b>{$lang.period}:</b></td>
		<td nowrap="nowrap">
			{include file="common_templates/period_selector.tpl" period=$smarty.get.period form_name="report_form_visitor"}</td>
	</tr>
	<tr>
		<td></td>
		<td>{include file="buttons/button.tpl" but_text=$lang.search but_onclick="javascript:document.report_form_visitor.submit();" but_type="input" but_style=$but_style}</td>
	</tr>
</table>
</form>
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.lh_site_visitors_filter section_content=$smarty.capture.section}
{/if}

{capture name="tabsbox"}

{include file="common_templates/pagination.tpl"}
	
{if $selected_section == 'events_log' || $selected_section == 'notes'}

	{assign var="c_url" value=$current_url|fn_query_remove:'sort_by':'sort_order'}
	{if $sort_order == 'asc'}
		{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
	{else}
		{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
	{/if}
	{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
		{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
		{assign var="url_suffix" value="', 'pagination_contents');"}
	{/if}
	
	<table cellpadding="3" cellspacing="1" border="0" width="100%">
	<tr class="manage-header">
		{foreach from=$columns item=column}
			{assign var="column_lang" value=$column.lang}
			<td align="center" class="manage-header" nowrap {if $column.type == 'date' || $column.type == 'operator'}width="15%"{/if}><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by={$column.name}&sort_order={$sort_order}{$url_suffix}">
				{$lang.$column_lang}
			</a>{if $sort_by == $column.name}{$sort_sign}{/if}</td>
		{/foreach}
	</tr>
	
	{if $data}
		{foreach from=$data item=item}
		<tr {cycle values='class="manage-row", '}>
			{assign var="column_num" value=1}
			{foreach from=$columns item=column}
				{assign var="value" value=$item[$column.name]|stripslashes}

				{if $column.type == 'date'}
					<td>{$value|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
				
				{elseif $column.type == 'event'}
					{assign var="event_lang" value=$event_to_lang[$value]}
					<td>{$lang.$event_lang|replace:"[name]":"<b>`$item.operator`</b>"}</td>
				
				{elseif $column.type == 'url'}
					<td><a href="{$value}" title="{$value}" target="_blank">{$value|replace:"&amp;":"&"|fn_compact_value:50}</a></td>
				
				{else}
					<td>{$value}</td>
				{/if}
				{math equation="column_num+1" column_num=$column_num assign="column_num"}
			{/foreach}
		</tr>
		{/foreach}
	{else}
		<tr>
			<td colspan="4" align="center" class="manage-row">
				<p><b>{$lang.lh_no_data_found}</b></p></td>
		</tr>
	{/if}
	
	</table>

{else}

	<table cellpadding="3" cellspacing="1" border="0" width="100%">
	{if $messages}
		{foreach from=$messages item=message}
	<tr {cycle values='class="manage-row", '}>
		<td>
			<img src="{$images_dir}/chat_arrow_{if $message.direction == 0}in{else}out{/if}.gif" width="4" height="7" alt="" />
			<span class="{if $message.direction == 0}chat-visitor{else}chat-operator{/if}">
				&nbsp;[{$message.date|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}]
				&lt;{$message.from_name}&gt;</span>&nbsp;
			{$message.message}</td>
	</tr>
		{/foreach}
	{else}
	<tr>
		<td align="center" class="manage-row">
			<p><b>{$lang.lh_no_messages_found}</b></p></td>
	</tr>
	{/if}
	</table>

{/if}

{include file="common_templates/pagination.tpl"}
<p></p>

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name=$target}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.lh_chat_history content=$smarty.capture.mainbox}
