{* $Id: manufacturers.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  


{** Manufacturers section **}  

<div align="right"><span class="bull">&bull;</span>&nbsp;<a href="#add_new" class="underlined">{$lang.add_new_manufacturer}</a></div>
<p></p>

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="manufacturers_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="manufacturers">
<input type="hidden" name="{$mode_name}" value="update">

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('manufacturers_form', this.checked);"></td>
	<td align="center" class="manage-header">{$lang.position_short}</td>
	<td class="manage-header" nowrap>{$lang.manufacturer}</td>
	<td class="manage-header" nowrap>{$lang.avail}</td>
	<td class="manage-header" nowrap width="100%">&nbsp;</td>
</tr>

{if $manufacturers}

{foreach from=$manufacturers item=manufacturer}
<tr {cycle values='class="manage-row", '}>
	<td valign="top" align="center">
		<input type="checkbox" name="manufacturers[{$manufacturer.manufacturer_id}][delete]" id="delete_checkbox" value="Y"></td>
	<td valign="top" align="center">
		<input type="text" name="manufacturers[{$manufacturer.manufacturer_id}][position]" value="{$manufacturer.position}" size="3" class="input-text"></td>
	<td valign="top">
		<input type="text" name="manufacturers[{$manufacturer.manufacturer_id}][manufacturer]" value="{$manufacturer.manufacturer|escape:html}" size="20" class="input-text"></td>
	<td valign="top" align="center">
		<input type="hidden" name="manufacturers[{$manufacturer.manufacturer_id}][avail]" value="N">
		<input type="checkbox" name="manufacturers[{$manufacturer.manufacturer_id}][avail]" value="Y" {if $manufacturer.avail == 'Y'}checked{/if}></td>
	<td>{include file="buttons/button.tpl" but_style="text" but_text=$lang.details but_href="$index_script?$target_name=manufacturers&manufacturer_id=`$manufacturer.manufacturer_id`"}</td>
</tr>
{/foreach}
<tr>
	<td colspan="5">
		<p>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/update.tpl" but_onclick="javascript:document.manufacturers_form.submit();" but_type="input"}</td>
			<td>&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('manufacturers_form', 'delete');"}<td>
		</tr>
		</table>
	</td>	
</tr>

{else}
<tr>
	<td colspan="10" align="center">
		<p><b>{$lang.text_no_manufacturers}</b></td>
</tr>
{/if}
</table>
</form>

<br><br>
{include file="common_templates/subheader.tpl" title=$lang.add_new_manufacturer}
<form action="{$index_script}" method="post" name="add_manufacturer_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="manufacturers">
<input type="hidden" name="{$mode_name}" value="add">

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td width="110" class="field-name">{$lang.manufacturer}:</td>
	<td class="required-field-mark">*</td>
	<td width="85%">
		<input type="text" name="manufacturer_data[manufacturer]" value="" style="width:85%" size="20" class="input-text"></td>
</tr>
<tr>
	<td width="110" class="field-name">{$lang.image}:</td>
	<td >&nbsp;</td> 
	<td width="85%">
		{include file="common_templates/attach_images.tpl" image_name="manufacturer_main" image_object_type="common" no_detailed=true hide_titles=true hide_images=true}
	</td>
</tr>
<tr>
	<td class="field-name">{$lang.description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="man_descr" name="manufacturer_data[description]" cols="35" rows="8" class="input-text" style="width: 85%"></textarea><br>
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('man_descr');" but_style="text"}
	</td>
</tr>
<tr>
	<td width="110" class="field-name">{$lang.page_title}:</td>
	<td >&nbsp;</td>
	<td width="85%">
		<input type="text" name="manufacturer_data[page_title]" value="" style="width:85%" size="20" class="input-text"></td>
</tr>
{if $settings.Addons.seo == 'Y'}
<tr>
	<td width="110" class="field-name">{$lang.seo_name}:</td>
	<td >&nbsp;</td>
	<td width="85%">
		<input type="text" name="manufacturer_data[seo_name]" value="" style="width:85%" size="20" class="input-text"></td>
</tr>
{/if}
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.meta_description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="manufacturer_data[meta_description]" cols="55" rows="3" class="input-text" style="width: 85%"></textarea></td>
</tr>

<tr>
	<td class="field-name" nowrap="nowrap">{$lang.meta_keywords}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="manufacturer_data[meta_keywords]" cols="55" rows="2" class="input-text" style="width: 85%"></textarea></td>
</tr>
<tr>
	<td class="field-name">{$lang.url}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="manufacturer_data[url]" value="" size="22" class="input-text" style="width: 85%"></td>
</tr>
<tr>
	<td class="field-name">{$lang.position}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="manufacturer_data[position]" value="" size="3" maxlength="11" class="input-text"></td>
</tr>
<tr>
	<td class="field-name">{$lang.available}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="manufacturer_data[avail]" value="N">
		<input type="checkbox" name="manufacturer_data[avail]" value="Y" checked></td>
</tr>
</table>
<p>
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_manufacturer_form.submit();" but_type="input"}</td>
</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.manufacturers content=$smarty.capture.mainbox}

{** Manufacturer section **}