{* $Id: class_details.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

{include file="common_templates/subheader.tpl" title=$lang.class_properties}

<form action="{$index_script}" method="post" name="class_products_form" enctype="multipart/form-data">
<input type="hidden" name="{$target_name}" value="{$smarty.get.target|escape:'html'}" />
<input type="hidden" name="{$mode_name}" value="update_class_properties" />
<input type="hidden" name="class_id" value="{$pclass.class_id}" />

<table cellpadding="0" cellspacing="5" border="0" width="100%">
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.name}:</td>
	<td align="left" width="100%">
	<input type="text" name="update_class_descriptions[class_name]" value="{$pclass.class_name|escape:html}" class="input-text-100" style="width: 85%" /></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.group}:</td>
	<td align="left" width="100%">
		<select name="update_class_data[group_id]">
			{foreach from=$configurator_groups item=group}
				<option value="{$group.group_id}" {if $pclass.group_id == $group.group_id}selected="selected"{/if}>{$group.configurator_group_name}</option>
			{/foreach}
		</select></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.available}:</td>
	<td align="left" width="100%">
		<input type="hidden" name="update_class_data[avail]" value="N" />
		<input type="checkbox" name="update_class_data[avail]" value="Y" {if $pclass.avail=="Y"}checked="checked"{/if} /></td>
	</td>
</tr>
</table>

<p>
{if 'manage_catalog'|fn_check_privileges:true}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.class_products_form.submit()"}</td>
</tr>
</table>
{/if}
</p>
<br />
{include file="common_templates/subheader.tpl" title=$lang.defined_class_products}
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('class_products_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" width="100%" nowrap="nowrap">{$lang.product_name}</td>
</tr>
{if $class_products}
{foreach from=$class_products item=product}
<tr {cycle values='class="manage-row", '}>
	<td>
		<input type="checkbox" name="delete[{$product.product_id}]" id="delete_checkbox" value="Y" /></td>
	<td class="side-padding">
		<a href="{$index_script}?{$target_name}=products&{$mode_name}=update&product_id={$product.product_id}" class="manage-root-item">{$product.product|escape:html}</a></td>
</tr>
{/foreach}
{else}
<tr>
	<td colspan="2" class="manage-row" align="center">
		<p><b>{$lang.text_no_products_defined}</b></p></td>
</tr>
{/if}
</table>
<p>
{if 'manage_catalog'|fn_check_privileges:true}
{if $class_products}
{** Form submit section **}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('class_products_form','delete_class_products', true);"}</td>
</tr>
</table>
{** /Form submit section **}
{/if}
<br />
</form>
</p>

<br />
{include file="common_templates/subheader.tpl" title=$lang.add_products_to_section}
<a name="add_class_products"></a>

{capture name="section"}
	{include file="products_pages/products_search_form.tpl" search_products="Y" page_part="discounted_products" extra="<input type=\"hidden\" id=\"class_id\" name=\"class_id\" value=\"`$smarty.get.class_id`\">"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search_for_products section_content=$smarty.capture.section}

{if $smarty.get.search_products == 'Y'}


<form action="{$index_script}" method="post" name="add_class_products">
<input type="hidden" name="{$target_name}" value="{$smarty.get.target|escape:'html'}" />
<input type="hidden" name="{$mode_name}" value="add_class_products" />
<input type="hidden" name="category_id" value="{$smarty.get.category_id|escape:'html'}" />
<input type="hidden" name="class_id" value="{$pclass.class_id}" />


{include file="products_pages/products_list.tpl" products=$products form_name="add_class_products" checkbox_id="add_class_product_checkbox" pagination_suffix="#add_class_products"}

{** Form submit section **}

<p>{include file="buttons/add_products.tpl" but_onclick="javascript: if (fn_check_selected('add_class_products','add_class_product_checkbox')) document.add_class_products.submit();"}
</p>

{** /Form submit section **}

</form>
{/if}
{/if}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.update_class content=$smarty.capture.mainbox}

{capture name="mainbox"}

{include file="common_templates/subheader.tpl" title=$lang.compatible_with_classes}
<form action="{$index_script}" method="post" name="classes_form" enctype="multipart/form-data">
<input type="hidden" name="{$target_name}" value="configurator" />
<input type="hidden" name="{$mode_name}" value="update_classes" />
<input type="hidden" name="master_class_id" value="{$pclass.class_id}" />
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%">
	<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('classes_form', this.checked, 'delete_{$type}_d');" title="{$lang.check_uncheck_all}" /></td>
	<td width="99%" class="manage-header" nowrap="nowrap">{$lang.name}</td>
</tr>	
{if $compatible_classes}
{foreach from=$compatible_classes item=c_class} 
<tr {cycle values='class="manage-row", '}>
	<td align="center" width="1%" valign="top">
		<input type="checkbox" name="delete[{$c_class.slave_class_id}]" id="delete_{$type}_d" value="Y" /></td>
	<td colspan="2" valign="top" nowrap="nowrap" width="25%"><b>{$c_class.class_name|escape:html}</b></td>		
</tr>
{/foreach}
{if 'manage_catalog'|fn_check_privileges:true}
<tr>
	<td colspan="2"><p></p>
	<table cellpadding="0" cellspacing="0" border="0">
	<tr>
		<td>
			{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('classes_form','delete_compatible_classes', '', 'delete_`$type`','',false);"}</td>
	</tr>
	</table>
	</td>
</tr>
{/if}
{else}
<tr>
	<td colspan="8" align="center">
		<p><b>{$lang.text_no_items_defined|replace:'[items]':$lang.classes}</b></p></td>
</tr>
{/if}
</table>
</form>

<br />
{if 'manage_catalog'|fn_check_privileges:true}
{include file="common_templates/subheader.tpl" title=$lang.add_new_compatible_classes}

<form action="{$index_script}" method="post" name="add_compatible_classes_form" enctype="multipart/form-data">
<input type="hidden" name="{$target_name}" value="configurator" />
<input type="hidden" name="{$mode_name}" value="add_compatible_classes" />
<input type="hidden" name="master_class_id" value="{$pclass.class_id}" />
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td>
	<table cellpadding="1" cellspacing="1" border="0" width="100%">
	<tbody id="header">
	<tr class="add-new-header">
		<td class="add-new-header" nowrap="nowrap" width="25%">{$lang.name}</td>
		<td>&nbsp;</td>
	</tr>
	</tbody>
	<tbody id="box_add_compatible_class">
	<tr class="manage-row" valign="top">
		<td>
			<select name="compatible_class[0][slave_class_id]" id="class_name">
				{foreach from=$product_classes item='p_class'}
					<option value="{$p_class.class_id}">{$p_class.class_name}</option>
				{/foreach}
			</select>
		</td>	
		<td align="left" nowrap="nowrap">{include file="buttons/multiple_buttons.tpl" item_id="add_compatible_class"}</td>	
	</tr>
	</tbody>
	</table>
	</td>
</tr>
</table>
<br>
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_compatible_classes_form.submit();"}
</form>
{/if}


{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.compatible_classes content=$smarty.capture.mainbox}