{* $Id: promotions.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}
{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  


{** promotions section **}  

<div align="right"><span class="bull">&bull;</span>&nbsp;<a href="#add_new" class="underlined">{$lang.add_new_promotion}</a></div>
<p></p>

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="promotions_form" enctype="multipart/form-data">
<input type="hidden" name="{$target_name}" value="promotions" />
<input type="hidden" name="{$mode_name}" value="update" />
<input type="hidden" name="redirect_url" value="{$current_url}" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('promotions_form', this.checked);" /></td>
	<td align="center" class="manage-header">{$lang.position_short}</td>
	<td class="manage-header" nowrap>{$lang.promotion}</td>
	<td class="manage-header" nowrap>{$lang.avail}</td>
	<td class="manage-header" nowrap width="100%">&nbsp;</td>
</tr>

{if $promotions}

{foreach from=$promotions item=promotion}
<tr {cycle values='class="manage-row", '}>
	<td valign="top" align="center">
		<input type="checkbox" name="promotions[{$promotion.promotion_id}][delete]" id="delete_checkbox" value="Y" /></td>
	<td valign="top" align="center">
		<input type="text" name="promotions[{$promotion.promotion_id}][position]" value="{$promotion.position}" size="3" class="input-text" /></td>
	<td valign="top">
		<input type="text" name="promotion_descriptions[{$promotion.promotion_id}][promotion]" value="{$promotion.promotion|escape:html}" size="50" class="input-text" /></td>
	<td valign="top" align="center">
		<input type="hidden" name="promotions[{$promotion.promotion_id}][avail]" value="N" />
		<input type="checkbox" name="promotions[{$promotion.promotion_id}][avail]" value="Y" {if $promotion.avail == 'Y'}checked="checked"{/if} /></td>
	<td>{include file="buttons/button.tpl" but_style="text" but_text=$lang.details but_href="$index_script?$target_name=promotions&promotion_id=`$promotion.promotion_id`"}</td>
</tr>
{/foreach}
{if 'manage_promotions'|fn_check_privileges:true}
<tr>
	<td colspan="5">
		<p>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/update.tpl" but_onclick="javascript:document.promotions_form.submit();" but_type="input"}</td>
			<td>&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('promotions_form', 'delete');"}<td>
			<td>&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/button.tpl" but_text=$lang.clone_selected but_onclick="javascript: fn_delete_selected('promotions_form', 'clone', true);" but_arrow="on"}<td>
		</tr>
		</table>
	</td>	
</tr>
{/if}
{else}
<tr class="manage-row">
	<td colspan="10" align="center">
		<p><b>{$lang.text_no_items_found|replace:"[items]":"`$lang.promotions_lower`"}</b></td>
</tr>
{/if}
</table>
</form>

<br><br>
<a name="add_new"></a>
{include file="common_templates/subheader.tpl" title=$lang.add_new_promotion}

<form action="{$index_script}" method="post" name="add_promotions_form" enctype="multipart/form-data">
<input type="hidden" name="{$target_name}" value="promotions" />
<input type="hidden" name="{$mode_name}" value="add" />
<input type="hidden" name="redirect_url" value="{$current_url}" />

<table cellpadding="1" cellspacing="1" border="0">
<tr class="add-new-header" id="header">
	<td align="center" class="add-new-header" nowrap>{$lang.position_short}</td>
	<td class="add-new-header" nowrap>{$lang.promotion}</td>
	<td class="add-new-header" nowrap>{$lang.avail}</td>
	<td class="add-new-header">&nbsp;</td>
</tr>
<tr  class="manage-row" id="box_add_promotion">
	<td valign="top" align="center">
		<input type="text" name="add_promotion_descriptions[0][position]" value="0" size="3" class="input-text" /></td>
	<td valign="top">
		<input type="text" name="add_promotion_descriptions[0][promotion]" value="" size="50" class="input-text" /></td>
	<td valign="top" align="center">
		<input type="hidden" name="add_promotion_descriptions[0][avail]" value="N" />
		<input type="checkbox" name="add_promotion_descriptions[0][avail]" value="Y" checked="checked" /></td>
	<td>{include file="buttons/multiple_buttons.tpl" item_id="add_promotion"}</td>
</tr>				
</table>
<p></p>
{if 'manage_promotions'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript: document.add_promotions_form.submit()"}
{/if}
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.promotions content=$smarty.capture.mainbox}

{** promotion section **}