{* $Id: product_search_statistics.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{assign var='stat_type' value=$product_search_statistics.type}
<div id="content_{$stat_type}">

	{include file="common_templates/pagination.tpl" div_id="product_search_pagination_contents_$stat_type"}
	<table cellpadding="1" cellspacing="1" border="0" width="100%">
	<tr class="manage-header">
		<td class="manage-header" width="55%">{$lang.search_conditions}</td>
		<td class="manage-header" width="15%" align="right" nowrap="nowrap">{$lang.date}</td>
		<td class="manage-header" width="15%" align="right" nowrap="nowrap">{$lang.visitors}</td>
		<td class="manage-header" width="15%" align="right" nowrap="nowrap">{$lang.found_products}</td>
	</tr>
	{if $product_search_statistics.$stat_type}
	{foreach from=$product_search_statistics.$stat_type item='row' key='k' name='row'}
	<tr {cycle values=',class="manage-row"'}>
		<td class="side-padding">
			<p></p>
			{strip}
			<div style="float: left;">
				<b>{if $row.label.q}{$row.label.q}{else}-&nbsp;{$lang.empty}&nbsp;-{/if}</b>&nbsp;
				<br />
				<span class="approved-text">[{if $row.label.match == 'exact'}{$lang.exact_phrase}{elseif $row.label.match == 'all'}{$lang.all_words}{else}{$lang.any_words}{/if}]</span>
			</div>
			
			<div style="float: right; margin-top: 7px;">
			&nbsp;<a href="javascript: fn_show_tag('stat_product_search_{$k}');">{$lang.details}&nbsp;&raquo;</a>
			</div>
			<div style="margin: 0; padding: 0; clear: both;"></div>
			<div id="stat_product_search_{$k}" class="light-notice-box" style="margin: 3px 0 0 0; padding: 10px; display: none;">
			{if $row.label.pname || $row.label.pshort || $row.label.pfull || $row.label.pkeywords}
			<b>{$lang.search_in}:</b>&nbsp;
				{assign var='comma' value=''}
				{if $row.label.pname}
					{$lang.product_name}
					{assign var='comma' value=',&nbsp;'}
				{/if}
				{if $row.label.pshort}
					{$comma}{$lang.short_description}
					{assign var='comma' value=',&nbsp;'}
				{/if}
				{if $row.label.pfull}
					{$comma}{$lang.full_description}
					{assign var='comma' value=',&nbsp;'}
				{/if}
				{if $row.label.pkeywords}
					{$comma}{$lang.keywords}
				{/if}
			<br />
			{/if}
				
			{if $row.label.feature && $product_features}
			<b>{$lang.search_by_product_features}:</b>&nbsp;
				{assign var='comma' value=''}
				{foreach from=$row.label.feature item='feature_id'}
					{if $product_features.$feature_id.description}
						{$comma}{$product_features.$feature_id.description}
						{assign var='comma' value=',&nbsp;'}
					{/if}
				{/foreach}
			<br />
			{/if}
			
			{if $row.label.category}
				<b>{$lang.search_in_category}:</b>&nbsp;
				{$row.label.category}
				{if $row.label.subcats}&nbsp;[{$lang.search_in_subcategories}]{/if}
			<br />
			{/if}
			
			{if $row.label.mid && $manufacturers}
				<b>{$lang.search_by_manufacturer}:</b>&nbsp;
				{assign var='_mid' value=$row.label.mid}
				{$manufacturers.$_mid.manufacturer}
			<br />
			{/if}
			
			{if $row.label.pcode}
				<b>{$lang.search_by_sku}:</b>&nbsp;{$row.label.pcode}
			<br />
			{/if}
			
			{if $row.label.price_from || $row.label.price_to}
				<b>{$lang.search_by_price}:</b>&nbsp;{$row.label.price_from|format_price:$currencies.$primary_currency:"price_from_$k"}&nbsp;-&nbsp;{$row.label.price_to|format_price:$currencies.$primary_currency:"price_to_$k"}
			<br />
			{/if}
			
			{if $row.label.weight_from || $row.label.weight_to}
				<b>{$lang.search_by_weight}&nbsp;({$settings.General.weight_symbol}):</b>&nbsp;{$row.label.weight_from|default:0}&nbsp;-&nbsp;{$row.label.weight_to|default:0}
			{/if}
			</div>
			
			{/strip}
			<p></p>
		</td>
		<td class="side-padding" align="right">{$row.date|date_format:$settings.Appearance.date_format}</td>
		<td class="side-padding" align="right">
			{* select filed of value *}
			{assign var="object_code" value=$row.md5}
			{include file="addons/statistics/buttons/visitors_log.tpl" but_text=$row.count form_prefix="`$mode`_`$stat_type`_$k" from_section=$stat_type object_code=$object_code}
		</td>
		<td class="side-padding" align="right">
			{if $row.quantity}<a href="{$customer_index}?{$target_name}=products&amp;{$mode_name}=search&amp;{$row.url|escape:html}" target="_blank">{/if}{$row.quantity|string_format:'%d'}{if $row.quantity}</a>{/if}</td>
	</tr>
	{/foreach}
	{else}
	<tr>
		<td class="manage-row" colspan="4" align="center"><p><b>{$lang.text_no_items_found|replace:'[items]':$lang.search_words}</b></p></td>
	</tr>
	{/if}
	</table>
	{include file="common_templates/pagination.tpl" div_id="product_search_pagination_contents_$stat_type"}

<!--content_{$stat_type}--></div>
