{* $Id: referrers_statistics.tpl,v 1.1.1.1 2007/12/13 10:08:04 pshevtsov Exp $ *}

{capture name="tabsbox"}

{assign var='stat_type' value=$referrers_statistics.type}
<div id="content_{$stat_type}">
	{if $referrers_statistics.$stat_type}
	{capture name='table_chart'}

	{include file="common_templates/pagination.tpl" div_id="referrers_pagination_contents_$stat_type"}
	<table cellpadding="2" cellspacing="1" border="0">
	{foreach from=$referrers_statistics.$stat_type item='page' key='k' name='page'}
	<tr {cycle values=',class="manage-row"'}>
		{math equation="start + i" assign="iteration" start=$num_start i=$smarty.foreach.page.iteration}
		<td>{$iteration}</td>
		{if $stat_type == $smarty.const.STAT_CAME_TO ||  $stat_type == $smarty.const.STAT_CAME_FROM}
			{assign var='engine_value' value=$page.engine}
		<td><a href="{$search_engines.$engine_value.url}" target="_blank">{$engine_value}</a></td>
		{/if}
		<td style="overflow: hidden;">
			<div style="overflow: hidden; width: 100%;">
				{if $stat_type == $smarty.const.STAT_ALL_REFERRERS || $stat_type == $smarty.const.STAT_BY_DOMAIN}
					<a href="{$page.label}" target="_blank">{$page.label}</a>
				{elseif $stat_type == $smarty.const.STAT_BY_SEARCH_ENGINE}
					{assign var='field_value' value=$page.label}
					<a href="{$search_engines.$field_value.url}" target="_blank">{$field_value}</a>
				{else}
					{$page.label}
				{/if}
				{if $stat_type == $smarty.const.STAT_ALL_REFERRERS && $page.phrase}<br /><span class="small-note">{$lang.phrase}: {$page.phrase}</span>{/if}
			</div>
			{include file="statistics_pages/graph_bar.tpl" bar_width='400px' value_width=$page.percent|round}
		</td>
		<td align="right">
			{* set empty value *}
			{capture name="extra"}{/capture}
			
			{* select filed of value *}
			{if $stat_type == $smarty.const.STAT_ALL_REFERRERS || $stat_type == $smarty.const.STAT_BY_DOMAIN}
				{assign var="object_code" value=$page.label}
			{elseif $stat_type == $smarty.const.STAT_BY_SEARCH_ENGINE}
				{assign var="object_code" value=$page.engine_id}
			{elseif $stat_type == $smarty.const.STAT_SEARCH_WORDS}
				{assign var="object_code" value=$page.phrase_id}
			{elseif $stat_type == $smarty.const.STAT_CAME_TO}
				{assign var="object_code" value=$page.label}
				{capture name="extra"}<input type="hidden" name="engine_id" value="{$page.engine_id|escape:html}" />{/capture}
			{elseif $stat_type == $smarty.const.STAT_CAME_FROM}
				{assign var="object_code" value=$page.phrase_id}
				{capture name="extra"}<input type="hidden" name="engine_id" value="{$page.engine_id|escape:html}" />{/capture}
			{/if}
			
			{include file="addons/statistics/buttons/visitors_log.tpl" but_text=$page.count form_prefix="`$mode`_`$stat_type`_$k" from_section=$stat_type object_code=$object_code extra=$smarty.capture.extra}
			
			<br /><span class="small-note">{$page.percent}%</span></td>
	</tr>
	{/foreach}
	</table>
	{include file="common_templates/pagination.tpl" div_id="referrers_pagination_contents_$stat_type"}

	{/capture}
	{include file='addons/statistics/select_charts.tpl' chart_div_prefix="referrers_`$stat_type`_view_style_" content=$smarty.capture.table_chart selected_section=$stat_type chart_title=$lang.$stat_type column_data=$referrers_statistics.column_data column_height=$referrers_statistics.column_height pie_data=$referrers_statistics.pie_data pie_height=$referrers_statistics.pie_height}
	{else}
	<div align="center" class="manage-row vertical-padding">
		<b>{$lang.text_no_items_found|replace:'[items]':$lang.referrers}</b></div>
	{/if}
<!--content_{$stat_type}--></div>

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name='referrers'}
