{* $Id*}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="destinations_form">
<input type="hidden" name="{$target_name}" value="destinations" />
<input type="hidden" name="{$mode_name}" value="update" />
<input type="hidden" name="destination_id" value="{$smarty.get.destination_id|escape:'html'}" />

<table cellpadding="0" cellspacing="0" width="100%"	border="0">
<tr>
	<td nowrap="nowrap" >{$lang.destination_name}</td>
	<td>&nbsp;</td>
	<td width="100%"><input type="text" name="destination_description[destination]" size="25" value="{$destination.destination|escape:html}" class="input-text" /></td>
</tr>
</table>
<br />

{* Countries list *}
<table cellpadding="0" cellspacing="0" width="100%"	border="0">
<tr>
	<td colspan="3">{include file="common_templates/subheader.tpl" title=$lang.countries}</td>
</tr>
<tr>
	<td width="50%">
		<select name="destination_countries[]" id="destination_countries" size="8" value="" multiple="multiple" style="width:100%;">
			{foreach from=$destination_data.countries item=country}
			<option	value="{$country.code}">{$country.country}</option>
			{/foreach}
		</select>
		{$lang.multiple_selectbox_notice}
		</td>
	<td align="center">

		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td><img src="{$images_dir}/spacer.gif" width="50" height="1" alt="" /></td>
		</tr>
		<tr>
			<td align="center">
				{include file="buttons/button.tpl" but_text="&lt;&lt;" but_onclick="fn_select_move_elements('destination_countries', 'all_countries');" }
			</td>
		</tr>
		<tr>
			<td align="center"><br /><br />
				{include file="buttons/button.tpl" but_text="&gt;&gt;" but_onclick="fn_select_move_elements('all_countries', 'destination_countries');"}
			</td>
		</tr>
		</table>
	</td>

	<td width="50%">
		<select name="all_countries" id="all_countries" size="8" value="" multiple="multiple" style="width:100%;">
			{foreach from=$countries item=country}
			<option	value="{$country.code}">{$country.country}</option>
			{/foreach}
		</select>
		{$lang.multiple_selectbox_notice}
		</td>
</tr>
</table>
<br />

{* States list *}
<table cellpadding="0" cellspacing="0" width="100%"	border="0">
<tr>
	<td colspan="3">{include file="common_templates/subheader.tpl" title=$lang.states}</td>
</tr>
<tr>
	<td width="50%">
		<select name="destination_states[]" id="destination_states" size="8" value="" multiple="multiple" style="width:100%;">
			{foreach from=$destination_data.states item=state}
			<option	value="{$state.state_id}">{$state.country}: {$state.state}</option>
			{/foreach}
		</select>
		{$lang.multiple_selectbox_notice}
		</td>
	<td align="center">
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td><img src="{$images_dir}/spacer.gif" width="50" height="1" alt="" /></td>
		</tr>
		<tr>
			<td align="center">
				{include file="buttons/button.tpl" but_text="&lt;&lt;" but_onclick="fn_select_move_elements('destination_states', 'all_states');" }
			</td>
		</tr>
		<tr>
			<td align="center"><br /><br />
				{include file="buttons/button.tpl" but_text="&gt;&gt;" but_onclick="fn_select_move_elements('all_states', 'destination_states');"}
			</td>
		</tr>
		</table>
	</td>

	<td width="50%">
		<select name="all_states" id="all_states" size="8" value="" multiple="multiple" style="width:100%;">
			{foreach from=$states item=state}
			<option	value="{$state.state_id}">{$state.country}: {$state.state}</option>
			{/foreach}
		</select>
		{$lang.multiple_selectbox_notice}</td>
</tr>
</table>
<br />

{* Zipcodes list *}
<table cellpadding="0" cellspacing="0" width="100%"	border="0">
<tr>
	<td colspan="3">{include file="common_templates/subheader.tpl" title=$lang.zipcodes}</td>
</tr>
<tr>
	<td width="50%">
		<textarea name="destination_zipcodes" id="destination_zipcodes" rows="8" class="input-text" style="width:100%;">{$destination_data.zipcodes|escape:html}</textarea></td>
	<td align="center"><img src="{$images_dir}/spacer.gif" width="50" height="1" alt="" /></td>

	<td width="50%">{$lang.text_zipcodes_wildcards}</td>
</tr>
</table>
<br />

{* Cities list *}
<table cellpadding="0" cellspacing="0" width="100%"	border="0">
<tr>
	<td colspan="3">{include file="common_templates/subheader.tpl" title=$lang.cities}</td>
</tr>
<tr>
	<td width="50%">
		<textarea name="destination_cities" id="destination_cities" rows="8" class="input-text" style="width:100%;">{$destination_data.cities|escape:html}</textarea></td>
	<td align="center"><img src="{$images_dir}/spacer.gif" width="50" height="1" alt="" /></td>

	<td width="50%">{$lang.text_cities_wildcards}</td>
</tr>
</table>
<br />

{* Addresses list *}
<table cellpadding="0" cellspacing="0" width="100%"	border="0">
<tr>
	<td colspan="3">{include file="common_templates/subheader.tpl" title=$lang.addresses}</td>
</tr>
<tr>
	<td width="50%">
		<textarea name="destination_addresses" id="destination_cities" rows="8" class="input-text" style="width:100%;">{$destination_data.addresses|escape:html}</textarea></td>
	<td align="center"><img src="{$images_dir}/spacer.gif" width="50" height="1" alt="" /></td>

	<td width="50%">{$lang.text_addresses_wildcards}</td>
</tr>
</table>
<br />

<br />
{if 'manage_locations'|fn_check_privileges:true}
{include file="buttons/update.tpl" but_onclick="javascript: if (fn_select_save_elements('destination_states','destination_countries')) document.destinations_form.submit();"}
{/if}
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$destination.destination content=$smarty.capture.mainbox}
