{* $Id: destinations.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="destinations_form">
<input type="hidden" name="{$target_name}" value="destinations" />
<input type="hidden" name="{$mode_name}" value="update_destinations" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('destinations_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" width="80%" nowrap="nowrap" >{$lang.destination_name}</td>
	<td class="manage-header" width="10%" align="center" nowrap="nowrap" >{$lang.avail}</td>
	<td width="9%" nowrap="nowrap" >&nbsp;</td>
</tr>			 

{foreach from=$destinations item=destination}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input name="destination_delete[{$destination.destination_id}]" type="checkbox" id="delete_checkbox" value="Y" {if $destination.destination_id == 1}disabled="disabled"{/if} /></td>
	<td>
		<input type="text" name="destinations[{$destination.destination_id}][description]" size="50" value="{$destination.destination|escape:html}" class="input-text" /></td>
	<td align="center"><input type="hidden" name="destinations[{$destination.destination_id}][avail]" value="N" />
		<input type="checkbox" name="destinations[{$destination.destination_id}][avail]" value="Y" {if $destination.avail == "Y"}checked="checked"{/if} /></td>
	<td align="center" nowrap="nowrap" >
		{if $destination.destination_id != 1}
		{include file="buttons/button.tpl" but_text=$lang.edit but_style="text" but_href="$index_script?$target_name=destinations&destination_id=`$destination.destination_id`"}
		{else}&nbsp;
		{/if}</td>

</tr>
{/foreach}
</table>
<p></p>
{if 'manage_locations'|fn_check_privileges:true}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.destinations_form.submit();" but_type="input"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('destinations_form','delete_destinations');"}</td>
</tr>
</table>
{/if}
</form>

<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_destinations}

<form action="{$index_script}" method="post" name="add_destination_form">
<input type="hidden" name="{$target_name}" value="destinations" />
<input type="hidden" name="{$mode_name}" value="add_destinations" />

<table cellpadding="1" cellspacing="1" border="0">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap="nowrap" >{$lang.destination_name}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.avail}
	<td>&nbsp;</td>
</tr>			 
<tr class="manage-row" id="box_add_destination">
	<td>
		<input type="text" name="add_destination[0]" size="50" value="" class="input-text" /></td>
	<td align="center">
		<input type="checkbox" name="avail" value="Y" checked="checked" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="add_destination"}</td>
</tr>
</table>
<p></p>
{if 'manage_locations'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_destination_form.submit();"}
{/if}

</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.manage_destinations content=$smarty.capture.mainbox}
