{* $Id: languages.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

<div align="right">
<span class="bull">&bull;</span>&nbsp;<a href="#lang_vars" class="underlined">{$lang.language_variables}</a>
{if 'view_memberships'|fn_check_privileges:true}&nbsp;&nbsp;&nbsp;<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=memberships&{$mode_name}=privileges" class="underlined">{$lang.translate_privileges}</a>{/if}
{if 'update_settings'|fn_check_privileges:true}&nbsp;&nbsp;&nbsp;<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=settings&{$mode_name}=translate" class="underlined">{$lang.translate_settings}</a>{/if}
&nbsp;&nbsp;
<p></p>
</div>

{capture name="mainbox"}
<form action="{$index_script}" method="post" name="languages_form">
<input type="hidden" name="{$target_name}" value="languages" />
<input type="hidden" name="{$mode_name}" value="update_languages" />
<input type="hidden" name="page" value="{$smarty.get.page|escape}" />

<table cellspacing="1" cellpadding="1" border="0" width="100%">
<tr class="manage-header" id="header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('languages_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap" >{$lang.language_code}</td>
	<td class="manage-header" nowrap="nowrap" >{$lang.language_name}</td>
	<td class="manage-header" nowrap="nowrap" >{$lang.charset}</td>
	<td class="manage-header" nowrap="nowrap" >{$lang.avail}</td>
	<td width="100%">&nbsp;</td>
</tr>
{foreach from=$languages item="language"}
<tr {cycle values='class="manage-row", '}>
	<td>
		<input type="checkbox" name="delete_ids[{$language.lang_code}]" {if $language.lang_code == 'EN'}disabled{/if} id="delete_checkbox" /></td>
	<td class="side-padding">
		<b>{$language.lang_code}</b></td>
	<td>
		<input type="text" name="update_language[{$language.lang_code}][name]" value="{$language.name|escape:html}" maxlength="64" class="input-text" /></td>
	<td>
		<input type="text" name="update_language[{$language.lang_code}][charset]" value="{$language.charset}" maxlength="16" class="input-text" /></td>
	<td align="center">
		<input type="hidden" name="update_language[{$language.lang_code}][avail]" value="N" />
		<input type="checkbox" name="update_language[{$language.lang_code}][avail]" value="Y" {if $language.avail == 'Y'}checked="checked"{/if} /></td>
	<td>&nbsp;</td>
</tr>
{/foreach}
</table>
<p></p>

{if 'manage_languages'|fn_check_privileges:true}
<table cellspacing="0" cellpadding="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript: document.languages_form.submit();" but_type="input"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('languages_form','delete_languages');"}</td>
</tr>
</table>
{/if}
</form>

<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_language}

<form action="{$index_script}" method="post" name="add_language_form">
<input type="hidden" name="{$target_name}" value="languages" />
<input type="hidden" name="{$mode_name}" value="add_languages" />
<input type="hidden" name="page" value="{$smarty.get.page|escape}" />
	
<table cellspacing="1" cellpadding="1" border="0">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap="nowrap" >{$lang.language_code}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.language_name}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.charset}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.avail}</td>
</tr>
<tr>
	<td>
		<input type="text" name="new_language[lang_code]" value="" size="6" maxlength="2" class="input-text" /></td>
	<td>
		<input type="text" name="new_language[name]" value="" maxlength="64" class="input-text" /></td>
	<td>
		<input type="text" name="new_language[charset]" value="iso-8859-1" maxlength="16" class="input-text" /></td>
	<td align="center">
		<input type="hidden" name="new_language[avail]" value="N" />
		<input type="checkbox" name="new_language[avail]" value="Y" checked="checked" /></td>
</tr>
</table>
<p></p>
{if 'manage_languages'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript: document.add_language_form.submit();"}
{/if}
</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.manage_languages content=$smarty.capture.mainbox}

<br />

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

{include file="common_templates/subheader.tpl" title=$lang.add_new_items}

<form action="{$index_script}" method="post" name="lang_add_var">
<input type="hidden" name="{$target_name}" value="languages" />
<input type="hidden" name="{$mode_name}" value="add_variables" />
<input type="hidden" name="page" value="{$smarty.get.page|escape}" />
<input type="hidden" name="string" value="{$smarty.get.string|fn_stripslashes}" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="add-new-header" id="header">
	<td class="add-new-header" height="22" width="35%" nowrap="nowrap" >{$lang.variable}</td>
	<td class="add-new-header" width="64%" nowrap="nowrap" >{$lang.value}</td>
	<td width="1%">&nbsp;</td>
</tr>
<tr class="manage-row" id="box_new_lang_tag">
	<td valign="top">
		<input type="text" size="24" name="new_lang_data[0][name]" class="input-text" style="width: 100%;" /></td>
	<td valign="top">
		<textarea name="new_lang_data[0][value]" cols="48" rows="2" class="input-text" style="width: 100%;"></textarea></td>
	<td valign="top">
		{include file="buttons/multiple_buttons.tpl" item_id="new_lang_tag"}</td>
</tr>
</table>
<p></p>
{if 'manage_languages'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.lang_add_var.submit();" but_type="input" action_but="action_"}
{/if}
</form>

<br /><br />

<form action="{$index_script}" method="get" name="lang_search">
<input type="hidden" name="{$target_name}" value="languages" />

<table cellspacing="0" cellpadding="0" border="0">
<tr>
	<td>
		<b>{$lang.search_for_pattern}:</b>&nbsp;</td>
	<td>
		<input type="text" size="16" name="string" value="{$smarty.get.string|escape:'html'|fn_stripslashes}" class="input-text" /></td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/button.tpl" but_text=$lang.search but_onclick="javascript:document.lang_search.submit();" but_type="input" but_arrow="on"}</td>
</tr>
</table>

</form>

<br />
<form action="{$index_script}" method="post" name="language_variables_form">
<input type="hidden" name="{$target_name}" value="languages" />
<input type="hidden" name="{$mode_name}" value="update_variables" />
<input type="hidden" name="page" value="{$smarty.get.page|escape}" />
<input type="hidden" name="string" value="{$smarty.get.string|fn_stripslashes}" />

{include file="common_templates/pagination.tpl"}

<table cellspacing="1" cellpadding="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('language_variables_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" width="35%">{$lang.variable}</td>
	<td class="manage-header" width="64%">{$lang.value}</td>
</tr>
{if $lang_data}
{foreach from=$lang_data item="var" key="key"}
<tr {cycle values='class="manage-row", '}>
	<td valign="top" width="1%">
		<input type="checkbox" name="delete[{$var.name}]" id="delete_checkbox" value="Y" /></td>
	<td valign="top" class="side-padding" width="29%">
		<input type="hidden" name="lang_data[{$key}][name]" value="{$var.name}" />
		<div style="padding-top:3px"><b>{$var.name}</b><div></td>
	<td valign="top" width="70%">
		<textarea name="lang_data[{$key}][value]" cols="55" rows="3" class="input-text">{$var.value|escape:html}</textarea></td>
</tr>
{/foreach}
{else}
<tr>
	<td colspan="3" align="center">
		<p><b>{$lang.no_items_found}</b></p></td>
</tr>
{/if}
</table>
<p></p>
{include file="common_templates/pagination.tpl"}

{if $lang_data}
{if 'manage_languages'|fn_check_privileges:true}
<table cellspacing="0" cellpadding="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.language_variables_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('language_variables_form','delete_variables', true);"}</td>
</tr>
</table>
{/if}
{/if}
</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.language_variables content=$smarty.capture.mainbox anchor="lang_vars"}