{* $Id: memberships.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="memberships_form">
<input type="hidden" name="{$target_name}" value="memberships" />
<input type="hidden" name="{$mode_name}" value="update" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('memberships_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap" >{$lang.membership}</td>
	<td class="manage-header" nowrap="nowrap" >{$lang.type}</td>
	<td class="manage-header" align="center" nowrap="nowrap" >{$lang.avail}</td>
	<td class="manage-header" width="100%" nowrap="nowrap" >&nbsp;</td>
</tr>
{if $memberships}
{foreach from=$memberships item=membership}
<tr {cycle values='class="manage-row", '}>
	<td width="1%">
		<input type="checkbox" name="delete[{$membership.membership_id}]" id="delete_checkbox" value="Y" /></td>
	<td>
		<input type="text" name="membership_description[{$membership.membership_id}][membership]" size="35" value="{$membership.membership|escape:html}" class="input-text" />
	</td>
	<td>
		<select name="membership_data[{$membership.membership_id}][type]">
		<option value="C" {if $membership.type == 'C'}selected="selected"{/if}>{$lang.customer}</option>
		<option value="A" {if $membership.type == 'A'}selected="selected"{/if}>{$lang.administrator}</option>
		</select></td>
	<td align="center">
		<input type="hidden" name="membership_data[{$membership.membership_id}][avail]" value="N" />
		<input type="checkbox" name="membership_data[{$membership.membership_id}][avail]" value="Y" {if $membership.avail == "Y"}checked="checked"{/if} /></td>
	<td class="side-padding">{if $membership.type == 'A'}{include file="buttons/button.tpl" but_style="text" but_text=$lang.privileges but_href="$index_script?$target_name=memberships&$mode_name=assign_privileges&membership_id=`$membership.membership_id`"}{else}&nbsp;{/if}</td>
</tr>
{/foreach}
</table>
<p></p>

{if 'manage_memberships'|fn_check_privileges:true}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.memberships_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('memberships_form','delete');"}</td>
</tr>
</table>
{/if}
{else}
<tr class="manage-row">
	<td colspan="5" class="manage-row" align="center"><p><b>{$lang.text_no_items_defined|replace:'[items]':$lang.memberships}</b></p></td>
</tr>
</table>
{/if}
</form>
<br /><br />

{include file="common_templates/subheader.tpl" title=$lang.add_new_memberships}

<form action="{$index_script}" method="post" name="add_memberships_form">
<input type="hidden" name="{$target_name}" value="memberships" />
<input type="hidden" name="{$mode_name}" value="add" />
<table cellpadding="1" cellspacing="1" border="0">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap="nowrap" >{$lang.membership}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.type}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.avail}</td>
	<td>&nbsp;</td>
</tr>
<tr class="manage-row" id="box_add_membership">
	<td>
		<input type="text" name="add_membership_description[0][membership]" size="35" value="" class="input-text" /></td>
	<td>
		<select name="add_membership_data[0][type]">
		<option value="C">{$lang.customer}</option>
		<option value="A">{$lang.administrator}</option>
		</select></td>
	<td align="center">
		<input type="hidden" name="add_membership_data[0][avail]" value="N" />
		<input type="checkbox" name="add_membership_data[0][avail]" value="Y" checked="checked" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="add_membership"}</td>
</tr>
</table>
<p></p>
{if 'manage_memberships'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="document.add_memberships_form.submit();"}
{/if}
</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.manage_memberships content=$smarty.capture.mainbox}

