{if $smarty.capture.js_loaded != "Y"}
<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/exceptions.js"></script>
{capture name="js_loaded"}Y{/capture}
{/if}

{if $cart_products}
{capture name="mainbox"}

<form action="{$index_script}" method="post" name="om_cart_products" >
<input type="hidden" name="{$target_name}" value="order_management" />
<input type="hidden" name="{$mode_name}" value="update" />
<input type="hidden" name="{$action_name}" value="" />

<table cellpadding="2" cellspacing="1" border="0" width="100%">

<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('om_cart_products', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td width="100%" class="manage-header">{$lang.product}</td>
	<td align="center" class="manage-header">{$lang.price}</td>
	{if $cart.use_discount}
	<td align="center" class="manage-header" width="10%" nowrap="nowrap">{$lang.discount}</td>
	{/if}
	<td class="manage-header">{$lang.quantity}</td>
</tr>
{foreach from=$cart_products item="cp" key="key"}
{cycle values='class="manage-row", ' assign="color"}
<tr {$color}>
	<td align="center" {if $cp.product_options}valign="top" rowspan="2"{/if}>
		<input type="checkbox" name="delete[{$key}]" id="delete_checkbox" value="Y" /></td>	
	<td class="side-padding">
		<a href="{$index_script}?{$target_name}=products&{$mode_name}=update&product_id={$cp.product_id}" class="underlined"><b>{$cp.product|escape:html}</b></a></td>
	<td nowrap="nowrap" align="right" class="side-padding">
	{if $cp.exclude_from_calculate}
			{$lang.free}
	{else}
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td nowrap="nowrap">
			<input type="hidden" name="cart_products[{$key}][stored_price]" value="N" />
			<input type="checkbox" name="cart_products[{$key}][stored_price]" value="Y" {if $cp.stored_price == 'Y'}checked="checked"{/if} onclick="fn_display_trigger('db_price_{$key}','manual_price_{$key}');" />
			</td>
			<td nowrap="nowrap">
			<span {if $cp.stored_price == 'Y'}style="display: none;"{/if} id="db_price_{$key}">{include file="common_templates/price.tpl" value=$cp.price}</span>
			<span {if $cp.stored_price != 'Y'}style="display: none;"{/if} id="manual_price_{$key}">{$currencies.$primary_currency.symbol}&nbsp;<input type="text" class="input-text" size="5" name="cart_products[{$key}][price]" value="{$cp.price}" /></span>
			</td>
		</tr>
		</table>
	{/if}
	</td>
	{if $cart.use_discount}
	<td align="right" class="side-padding" nowrap="nowrap">
	{if $cp.exclude_from_calculate}
		{include file="common_templates/price.tpl" value=''}
	{else}
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td nowrap="nowrap">
			<input type="hidden" name="cart_products[{$key}][stored_discount]" value="N" />
			<input type="checkbox" name="cart_products[{$key}][stored_discount]" value="Y" {if $cp.stored_discount == 'Y'}checked="checked"{/if} onclick="fn_display_trigger('db_discount_{$key}','manual_discount_{$key}');" />
			</td>
			<td nowrap="nowrap">
			<span {if $cp.stored_discount == 'Y'}style="display: none;"{/if} id="db_discount_{$key}">{include file="common_templates/price.tpl" value=$cp.discount}</span>
			<span {if $cp.stored_discount != 'Y'}style="display: none;"{/if} id="manual_discount_{$key}">{$currencies.$primary_currency.symbol}&nbsp;<input type="text" class="input-text" size="5" name="cart_products[{$key}][discount]" value="{$cp.discount}" /></span>
			</td>
		</tr>
		</table>
	{/if}
	</td>
	{/if}
	<td align="center">
		<input type="hidden" name="cart_products[{$key}][product_id]" value="{$cp.product_id}" />
		{if $cp.exclude_from_calculate}
		<input type="hidden" size="3" name="cart_products[{$key}][amount]" value="{$cp.amount}"/>
		{/if}
		<input class="input-text" type="text" size="3" name="cart_products[{$key}][amount]" value="{$cp.amount}" {if $cp.exclude_from_calculate}disabled="disabled"{/if}/></td>
</tr>
{if $cp.product_options}
<tr {$color}>
	<td colspan="5" style="padding-left: 10px;">
		<div style="float:left;">{include file="products_pages/select_product_options.tpl" product_options=$cp.product_options name="cart_products" id=$key use_exceptions='Y' product=$cp}</div>
		<div id='warning_{$key}' style="float:left; display:none;" class="notification-title-e">&nbsp;&nbsp;&nbsp;{$lang.nocombination}</div>

	</td>
</tr>
{/if}
{/foreach}
</table>
<p></p>
<div align="right"><b>{$lang.subtotal}:</b>&nbsp;{include file="common_templates/price.tpl" value=$cart.subtotal}</div>
<br />
<div style="float:left;">
	{include file="buttons/button.tpl" but_text=$lang.update but_onclick="javascript:document.om_cart_products.submit();" but_type="input"}</div>
<div style="padding-left: 10px; float:left;">
	{include file="buttons/button.tpl" but_text=$lang.delete_selected but_onclick="javascript: fn_delete_selected('om_cart_products','delete');" but_type="input"}</div>
<div style="float:right;">
	{include file="buttons/button.tpl" but_text=$lang.continue but_onclick="javascript: document.om_cart_products.$action_name.value='continue'; document.om_cart_products.submit();" action_but="action_"}</div>

</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.products content=$smarty.capture.mainbox}

{/if}

{capture name="mainbox"}

{capture name="section"}
	{include file="products_pages/products_search_form.tpl" target="order_management" mode="products" action="search" search_type="extended"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search_for_products section_content=$smarty.capture.section}

{if $products}
<form action="{$index_script}" method="post" name="om_products">
<input type="hidden" name="{$target_name}" value="order_management" />
<input type="hidden" name="{$mode_name}" value="add" />

{include file="common_templates/pagination.tpl"}
<table cellpadding="3" cellspacing="1" border="0">
<tr>
	<td width="100%" class="manage-header">{$lang.product}</td>
	<td align="center" class="manage-header">{$lang.price}</td>
	<td align="center" class="manage-header">{$lang.quantity}</td>
</tr>
{foreach from=$products item=product}
{cycle values='class="manage-row", ' assign="color"}
<tr {$color}>
	<td class="underlined">
		<a href="{$index_script}?{$target_name}=products&{$mode_name}=update&product_id={$product.product_id}" class="underlined"><b>{$product.product|escape:html}</b></a></td>
	<td align="right">&nbsp;{if !$product.price|floatval}<input class="input-text" type="text" size="3" name="product_data[{$product.product_id}][price]" value="" />{else}{include file="common_templates/price.tpl" value=$product.price}{/if}</td>
	<td align="center"><input class="input-text" type="text" size="3" name="product_data[{$product.product_id}][amount]" value="0" /></td>
</tr>
{if $product.product_options}
<tr {$color}>
	<td colspan="3" style="padding-left: 10px;" valign="middle">
		<div style="float:left;">{include file="products_pages/select_product_options.tpl" product_options=$product.product_options name="product_data" id=$product.product_id use_exceptions='Y'}</div>
		<div id='warning_{$product.product_id}' style="float:left; display:none;" class="notification-title-e">&nbsp;&nbsp;&nbsp;{$lang.nocombination}</div>
	</td>
</tr>
{/if}
{/foreach}
</table>
{include file="common_templates/pagination.tpl"}

{include file="buttons/button.tpl" but_text=$lang.add but_onclick="document.om_products.submit();" action_but="action_"}
</form>
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.search content=$smarty.capture.mainbox}


<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
	fn_check_all_exceptions(false);
//]]>
</script>
