{* $Id: payments_list.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="payments_form">
<input type="hidden" name="{$target_name}" value="payments" />
<input type="hidden" name="{$mode_name}" value="update" />
<input type="hidden" name="redirect_url" value="" />


{assign var="highlight" value=','|explode:$smarty.get.highlight}


<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('payments_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td width="1%" align="center" class="manage-header" nowrap="nowrap">{$lang.position_short}</td>
	<td width="100%" class="manage-header" nowrap="nowrap">{$lang.payment}</td>
	<td width="1%" class="manage-header" nowrap="nowrap">{$lang.processor}</td>
	<td width="1%" class="manage-header" nowrap="nowrap">{$lang.template}</td>
	<td width="1%" class="manage-header" nowrap="nowrap">{$lang.membership}</td>
	<td width="1%" class="manage-header" nowrap="nowrap">{$lang.protocol}</td>
	<td width="1%" align="center" class="manage-header">{$lang.avail}</td>
</tr>
{if $payments}
{foreach from=$payments item=payment name="pf"}
{cycle values='class="manage-row", ' assign='class'}
<tr {$class}>
	<td valign="top">
		<input type="checkbox" name="payment_ids[{$payment.payment_id}]" id="delete_checkbox" value="Y" /></td>
	<td valign="top" align="center">
		<input type="text" name="payment_data[{$payment.payment_id}][position]" size="3" value="{$payment.position}" class="input-position" /></td>
	<td valign="top" {if $payment.payment_id|in_array:$highlight}class="highlight"{/if}>
		<input type="text" name="payment_data[{$payment.payment_id}][payment]" value="{$payment.payment|escape:html}" class="input-text-100" /></td>
	<td valign="top" nowrap="nowrap" align="right">
		<select id="selected_processor_{$payment.payment_id}" name="payment_data[{$payment.payment_id}][processor_id]" onchange="document.getElementById('template_selector_{$payment.payment_id}').disabled = (this.value=='')? false : true; document.getElementById('config_btn_{$payment.payment_id}').style.display = (this.value=='')? 'none' : 'block';">
			<option value="">{$lang.offline}</option>
			<optgroup label="{$lang.checkout}">
			{foreach from=$payment_processors item="processor"}
			{if $processor.checkout == 'Y'}
			<option value="{$processor.processor_id}" {if $payment.processor_id == $processor.processor_id}selected{/if}>{$processor.processor}</option>
			{/if}
			{/foreach}
			<optgroup label="{$lang.gateways}">
			{foreach from=$payment_processors item="processor"}
			{if $processor.checkout != 'Y'}
			<option value="{$processor.processor_id}" {if $payment.processor_id == $processor.processor_id}selected{/if}>{$processor.processor}</option>
			{/if}
			{/foreach}
			</optgroup>
			</select>
			{if 'manage_payments'|fn_check_privileges:true}
			<div id="config_btn_{$payment.payment_id}" {if !$payment.processor_id}style="display: none;"{/if}>{include file="buttons/button.tpl" but_text=$lang.configure but_style="text" onclick="javascript: document.payments_form.redirect_url.value='`$index_script`?`$target_name`=payments&payment_id=`$payment.payment_id`'; document.payments_form.submit();"}
			</div>
			{/if}
	</td>
	<td valign="top">
		<select id="template_selector_{$payment.payment_id}" name="payment_data[{$payment.payment_id}][template]" {if $payment.processor_id}disabled{/if}>
		{foreach from=$templates item="template"}
		<option value="{$template}" {if $payment.template == $template}selected{/if}>{$template}</option>
		{/foreach}
		</select>
	</td>
	<td valign="top">
		<select name="payment_data[{$payment.payment_id}][membership_id]">
		<option value="">- {$lang.all} -</option>
		{foreach from=$memberships item="membership"}
		<option value="{$membership.membership_id}" {if $payment.membership_id == $membership.membership_id}selected{/if}>{$membership.membership}</option>
		{/foreach}
		</select>	
	</td>
	<td valign="top" align="center">
		<select name="payment_data[{$payment.payment_id}][protocol]">
		<option value="http" {if $payment.protocol == 'http'}selected{/if}>HTTP</option>
		<option value="https" {if $payment.protocol == 'https'}selected{/if}>HTTPS</option>
		</select>	
	</td>
	<td valign="top" align="center" >&nbsp;&nbsp;
		<input type="hidden" name="payment_data[{$payment.payment_id}][avail]" value="N"><input type="checkbox" name="payment_data[{$payment.payment_id}][avail]" value="Y" {if $payment.avail == 'Y'}checked="checked"{/if} />&nbsp;&nbsp;</td>
</tr>
<tr {$class}>
	<td width="1%">&nbsp;</td>
	<td colspan="6">
		<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
			<td><b>{$lang.description}:&nbsp;&nbsp;</b></td>
			<td width="100%">
				<input type="text" name="payment_data[{$payment.payment_id}][description]" value="{$payment.description|escape:html}" class="input-text-100" />
			</td>
		</tr>
		<tr>
			<td><b>{$lang.surcharge}:&nbsp;&nbsp;</b></td>
			<td width="100%" nowrap="nowrap" style="padding-top: 1px;">
				<input type="text" name="payment_data[{$payment.payment_id}][p_surcharge]" value="{$payment.p_surcharge|escape:html}" class="input-text" size="4" /> % + <input type="text" name="payment_data[{$payment.payment_id}][a_surcharge]" value="{$payment.a_surcharge|escape:html}" class="input-text" size="4"/> {$currencies.$primary_currency.symbol}
			</td>
		</tr>
		</table>
	</td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td colspan="8">
	<hr /><br />
	</td>
</tr>
{/foreach}
<tr>
	<td colspan="8">
		{if 'manage_payments'|fn_check_privileges:true}
		<table cellspacing="0" cellpadding="0" border="0">
		<tr>
			<td>

				{include file="buttons/update.tpl" but_onclick="javascript: document.payments_form.submit();"}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('payments_form','delete');"}</td>
		</tr>
		</table>
		{/if}
	</td>
</tr>
{else}
<tr class="manage-row">
	<td colspan="8" align="center"><p><b>{$lang.text_no_items_found|replace:'[items]':$lang.payment_methods}</b></p></td>
</tr>
{/if}
</table>
</form>

<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_payments}

<form action="{$index_script}" method="post" name="add_payment_form">
<input type="hidden" name="{$target_name}" value="payments" />
<input type="hidden" name="{$mode_name}" value="add" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="add-new-header" id="header">
	<td class="add-new-header">{$lang.position_short}</td>
	<td class="add-new-header">{$lang.payment}</td>
	<td class="add-new-header">{$lang.description}</td>
	<td class="add-new-header">{$lang.membership}</td>
	<td class="add-new-header">{$lang.protocol}</td>
	<td class="add-new-header" align="center">{$lang.avail}</td>
	<td>&nbsp;</td>
</tr>
<tr class="manage-row" id="box_new_payment">
	<td>
		<input type="text" name="add_payment[0][position]" size="3" value="" class="input-text" /></td>
	<td>
		<input type="text" name="add_payment[0][payment]" value="" class="input-text" /></td>
	<td>
		<input type="text" name="add_payment[0][description]" value="" class="input-text" /></td>
	<td>
		<select name="add_payment[0][membership_id]">
		<option value="">- {$lang.all} -</option>
		{foreach from=$memberships item="membership"}
		<option value="{$membership.membership_id}">{$membership.membership}</option>
		{/foreach}
		</select></td>
	<td>
		<select name="payment_data[{$payment.payment_id}][protocol]">
		<option value="http">HTTP</option>
		<option value="https">HTTPS</option>
		</select></td>
	<td align="center">
		<input type="hidden" name="add_payment[0][avail]" value="N" /><input type="checkbox" name="add_payment[0][avail]" value="Y" checked="checked" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="new_payment"}</td>
</tr>
</table>
<p></p>
{if 'manage_payments'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_payment_form.submit();"}
{/if}

</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.payment_methods content=$smarty.capture.mainbox}
