{* $Id: profiles_account.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

<tr>
	<td colspan="6" class="form-title">
		<p></p>{$lang.user_account_info}<hr /></td>
</tr>

{if $uid == 1 || ($user_data.user_type == 'A' && 'RESTRICTED_ADMIN'|defined)}
<tr>
    <td colspan="6">
		<input type="hidden" name="user_data[active]" value="Y" />
		<input type="hidden" name="user_data[user_type]" value="A" />
		<input type="hidden" name="user_data[membership_id]" value="{$user_data.membership_id}" />
		<input type="hidden" name="user_data[membership_status]" value="{$user_data.membership_status}" />
	</td>
</tr>
{else}
<tr>
	<td>&nbsp;</td>
	<td width="200" align="right" nowrap="nowrap" class="form-field-caption">{$lang.account_is_active}</td>
    <td width="5" id="mark_user_active" class="required-field-mark">&nbsp;</td>
    <td width="180" nowrap="nowrap">
		<input type="hidden" name="user_data[active]" value="N" />
        <input id="active" type="checkbox" name="user_data[active]" value="Y" {if $user_data.active == 'Y' or $mode == 'add'}checked="checked"{/if} />
    </td>
    <td width="20" id="status_user_active" class="required-field-mark" width="100%">&nbsp;</td>
	<td>&nbsp;</td>
</tr>

<tr>
	<td>&nbsp;</td>
    <td width="200" align="right" nowrap="nowrap" class="form-field-caption">{$lang.account_type}</td>
    <td width="5" id="mark_user_type" class="required-field-mark">&nbsp;</td>
    <td width="180" nowrap="nowrap">
		<select id="user_type" name="user_data[user_type]">
			<option value="C" {if $user_data.user_type == 'C' || ($mode == 'add' && $smarty.get.user_type == 'C')}selected="selected"{/if}>{$lang.customer}</option>
			{if $settings.Affiliate.enable == 'Y' || $user_data.user_type == 'P'}
			<option value="P" {if $user_data.user_type == 'P' || ($mode == 'add' && $smarty.get.user_type == 'P')}selected="selected"{/if}>{$lang.partner}</option>
			{/if}
			<option value="A" {if $user_data.user_type == 'A' || ($mode == 'add' && $smarty.get.user_type == 'A')}selected="selected"{/if}>{$lang.administrator}</option>
		</select>
    </td>
    <td width="20" id="status_user_type" class="required-field-mark" width="100%">&nbsp;</td>
	<td>&nbsp;</td>
</tr>

<tr>
	<td>&nbsp;</td>
    <td width="200" align="right" nowrap="nowrap" class="form-field-caption">{$lang.tax_exempt}</td>
    <td width="5" id="mark_tax_exempt" class="required-field-mark">&nbsp;</td>
    <td width="180" nowrap="nowrap">
		<input type="hidden" name="user_data[tax_exempt]" value="N" />
        <input id="tax_exempt" type="checkbox" name="user_data[tax_exempt]" value="Y" {if $user_data.tax_exempt == 'Y'}checked="checked"{/if} />
    </td>
    <td width="20" id="status_user_type" class="required-field-mark" width="100%">&nbsp;</td>
	<td>&nbsp;</td>
</tr>

{if $memberships}
<tr valign="middle">
	<td>&nbsp;</td>
	<td width="200" align="right" class="form-field-caption">{$lang.signup_for_membership}</td>
	<td width="5" id="mark_membership_id" class="required-field-mark">&nbsp;</td>
	<td width="180">
		<select id="membership_id" name="user_data[membership_id]" class="expanded">
			<option value="0">{$lang.not_a_member}</option>
			{foreach from=$memberships item=membership}
			<option value="{$membership.membership_id}" {if $user_data.membership_id == $membership.membership_id}selected="selected"{/if}>{$membership.membership}</option>
			{/foreach}
		</select></td>
	<td width="20" id="status_membership_id" class="required-field-mark">&nbsp;</td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td width="200" align="right" nowrap="nowrap" class="form-field-caption">{$lang.activate_membership}</td>
    <td width="5" id="mark_membership_status" class="required-field-mark">&nbsp;</td>
    <td width="180" nowrap="nowrap">
		<input type="hidden" name="user_data[membership_status]" value="P" />
        <input id="membership_status" type="checkbox" name="user_data[membership_status]" value="A" {if $user_data.membership_status == 'A'}checked="checked"{/if} />
    </td>
    <td width="20" id="status_membership_status" class="required-field-mark" width="100%">&nbsp;</td>
	<td>&nbsp;</td>
</tr>
{/if}
{/if}

{if $settings.General.use_email_as_login == 'Y'}
<tr>
	<td>&nbsp;</td>
	<td width="200" align="right" class="form-field-caption">{$lang.email}</td>
	<td width="5" id="mark_email" class="required-field-mark">*</td>
	<td width="180">
		<input type="text" id="email" name="user_data[email]" size="32" maxlength="128" value="{$user_data.email|escape:html}" /></td>
	<td width="20" id="status_email" class="required-field-mark">&nbsp;</td>
	<td>&nbsp;</td>
</tr>
{else}
<tr>
	<td>&nbsp;</td>
	<td width="200" align="right" class="form-field-caption">{$lang.username}</td>
	<td width="5" id="mark_user_login_profile" class="required-field-mark">*</td>
	<td width="180">
		<input id="user_login_profile" type="text" name="user_data[user_login]" size="32" maxlength="32" value="{$user_data.user_login|escape:html}" /></td>
	<td width="20" id="status_user_login_profile" class="required-field-mark">&nbsp;</td>
	<td>&nbsp;</td>
</tr>
{/if}
<tr>
	<td>&nbsp;</td>
	<td width="200" align="right" class="form-field-caption">{$lang.password}</td>
	<td width="5" id="mark_password1" class="required-field-mark">*</td>
	<td width="180">
		<input type="password" id="password1" name="user_data[password1]" size="32" maxlength="32" value="{if $mode == 'update'}            {/if}" /></td>
	<td width="20" id="status_password1" class="required-field-mark">&nbsp;</td>
	<td>&nbsp;</td>
</tr>

<tr>
	<td>&nbsp;</td>
	<td width="200" align="right" class="form-field-caption">{$lang.confirm_password}</td>
	<td width="5" id="mark_password2" class="required-field-mark">*</td>
	<td width="180">
		<input type="password" id="password2" name="user_data[password2]" size="32" maxlength="32" value="{if $mode == 'update'}            {/if}" /></td>
	<td width="20" id="status_password2" class="required-field-mark">&nbsp;</td>
	<td>&nbsp;</td>
</tr>
