{* $Id: logs.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}

{include file="tools_pages/sections.tpl" section="logs"}

{capture name="mainbox"}

{if $mode == 'show'}
<pre style="font-family: Courier; font-size: 10px;">{$file_contents|escape:html}</pre>
{else}

{capture name="section"}

<form action="{$index_script}" name="logs_search_form" method="get">
<input type="hidden" name="{$target_name}" value="logs" />
<input type="hidden" name="{$mode_name}" value="search" />

<table cellpadding="1" cellspacing="2" border="0">

<tr>
	<td nowrap="nowrap" valign="top"><p>{$lang.period}:</p></td>
	<td>
		{include file="common_templates/period_selector.tpl" period=$smarty.get.period form_name="logs_search_form"}</td>
</tr>
<tr>
	<td nowrap="nowrap">{$lang.type}:</td>
	<td>
		<select name="log_type">
			<option value="" > -- </option>
			<option value="O" {if $smarty.get.log_type == 'O'}selected="selected"{/if}>{$lang.order_status_changes}</option>
			<option value="P" {if $smarty.get.log_type == 'P'}selected="selected"{/if}>{$lang.products_deletion}</option>
			<option value="S" {if $smarty.get.log_type == 'S'}selected="selected"{/if}>{$lang.database_errors}</option>
			<option value="H" {if $smarty.get.log_type == 'H'}selected="selected"{/if}>{$lang.payments_shipping_responses}</option>
			<option value="D" {if $smarty.get.log_type == 'D'}selected="selected"{/if}>{$lang.orders_deletion}</option>
			<option value="M" {if $smarty.get.log_type == 'M'}selected="selected"{/if}>{$lang.database_maintenance}</option>
			<option value="E" {if $smarty.get.log_type == 'E'}selected="selected"{/if}>{$lang.php_logs}</option>
		</select>
		</td>
</tr>
</table>
{if 'view_orders'|fn_check_privileges:true}
{include file="buttons/button.tpl" but_text=$lang.search but_onclick="javascript: document.logs_search_form.submit();" but_type="input"}
{/if}
</form>

{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.section}

{if $mode == 'search'}

	<form action="{$index_script}" method="post" name="logs_list_form">
	<input type="hidden" name="{$target_name}" value="logs" />
	<input type="hidden" name="{$mode_name}" value="delete" />
	<input type="hidden" name="redirect_url" value="{$current_url}" />
	
	<table border="0" cellpadding="1" cellspacing="1" width="100%">
	<tr class="manage-header">
		<td width="1%">
			<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('logs_list_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
		<td width="100%" class="manage-header" width="10%" nowrap="nowrap">{$lang.filename}</td>
	</tr>

	{if $logs}
	{foreach from=$logs item=log}
	<tr {cycle values='class="manage-row", '}>
		<td>
			<input type="checkbox" name="delete[{$log}]" id="delete_checkbox" value="Y" /></td>	
		<td>
			<a href="{$index_script}?{$target_name}=logs&{$mode_name}=show&file={$log}" class="underlined">{$log}</a></td>
	</tr>
	{/foreach}
	{else}
	<tr>
		<td class="manage-row" align="center" colspan="2">
			<p><b>{$lang.text_no_items_found|replace:"[items]":$lang.files}</b></p></td>
	</tr>
	{/if}
	</table>

	{if $logs}
	<p></p>
	{if 'delete_logs'|fn_check_privileges:true}
	{include file="buttons/button.tpl" but_text=$lang.delete_selected but_onclick="javascript: document.logs_list_form.submit();" but_type="input"}
	{/if}
	{/if}

	</form>
{/if}

{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.logs content=$smarty.capture.mainbox}

