{* $Id: event_form.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

<script type="text/javascript" language="javascript 1.2">
//<![CDATA[
var event_frm = new cscart_form('event_form');
event_frm.set_required_fields({foreach from=$event_fields item=field}{if $field.required == 'Y'}'elm_{$field.field_id}', {/if}{/foreach}'elm_title', 'elm_owner', 'elm_email');
//]]>
</script>

{capture name="mainbox"}

{$lang.text_mandatory_fields}<p></p>

<form action="{$index_script}" method="post" name="event_form">
<input type="hidden" name="{$target_name}" value="events" />
<input type="hidden" name="{$mode_name}" value="{$mode}" />
<input type="hidden" name="selected_section" value="" />
{if $event_id}
<input type="hidden" name="event_id" value="{$event_id}" />
{/if}
{if $access_key}
<input type="hidden" name="access_key" value="{$access_key}" />
<p></p>&nbsp;{$lang.text_remember_access_key}:&nbsp;&nbsp;<b>{$access_key}</b><p></p>
{/if}

{if $auth.user_id}
	{assign var="default_name" value="`$user_info.firstname` `$user_info.lastname`"}
	{assign var="default_email" value=$user_info.email}
{/if}

<div class="form-field">
	<label for="elm_title">{$lang.title}:</label>
	<span id="mark_elm_title" class="required-field-mark">*</span>
	<input type="text" id="elm_title" class="input-text" size="70" name="event_data[title]" value="{$event_data.title|escape:html}" />
</div>

<div class="form-field">
	<label for="elm_owner">{$lang.your_name}:</label>
	<span id="mark_elm_owner" class="required-field-mark">*</span>
	<input type="text" id="elm_owner" class="input-text" size="70" name="event_data[owner]" value="{$event_data.owner|escape:html|default:$default_name}" />
</div>

<div class="form-field">
	<label for="elm_email">{$lang.email}:</label>
	<span id="mark_elm_email" class="required-field-mark">*</span>
	<input type="text" id="elm_email" class="input-text" size="70" name="event_data[email]" value="{$event_data.email|escape:html|default:$default_email}" />
</div>

<div class="form-field">
	<label for="elm_start_date">{$lang.start_date}:</label>
	<span id="mark_elm_start_date" class="required-field-mark">*</span>
	{html_select_date prefix='from_' field_array="event_data[start_date]" time=$event_data.start_date start_year=$settings.Company.company_start_year end_year="+1"}
</div>

<div class="form-field">
	<label for="elm_end_date">{$lang.end_date}:</label>
	<span id="mark_elm_end_date" class="required-field-mark">*</span>
	{html_select_date prefix='to_' field_array="event_data[end_date]" time=$event_data.end_date start_year=$settings.Company.company_start_year end_year="+1"}
</div>

<div class="form-field">
	<label for="elm_type">{$lang.event_type}:</label>
	<span id="mark_elm_type" class="required-field-mark">*</span>
	<select id="elm_type" class="input-text" name="event_data[type]">
		<option value="P" {if $event_data.type == 'P'}selected="selected"{/if}>{$lang.public}</option>
		<option value="U" {if $event_data.type == 'U'}selected="selected"{/if}>{$lang.private}</option>
	</select>
</div>

{foreach from=$event_fields item=field}
{assign var="f_id" value=$field.field_id}
<div class="form-field">
	<label for="event_data[fields][{$field.field_id}]">{$field.description}:</label>
	<span id="mark_elm_{$field.field_id}" class="required-field-mark">{if $field.required == 'Y'}*{else}&nbsp;{/if}</span>
	{if $field.field_type == 'S'}
			<select id="elm_{$field.field_id}" class="input-text" name="event_data[fields][{$field.field_id}]">
			{if $field.required != "Y"}
			<option value="">--</option>
			{/if}
			{foreach from=$field.variants item=var name="vars"}
			<option value="{$var.variant_id}" {if $var.variant_id == $event_data.fields.$f_id}selected="selected"{/if}>{$var.description}</option>
			{/foreach}
			</select>
		{elseif $field.field_type == 'R'}
			{foreach from=$field.variants item=var name="vars"}
			<input {if $var.variant_id == $event_data.fields.$f_id || ($mode == 'add' && $smarty.foreach.vars.first)}checked="checked"{/if} type="radio" name="event_data[fields][{$field.field_id}]" value="{$var.variant_id}" class="radio" />{$var.description}&nbsp;&nbsp;
			{/foreach}
		{elseif $field.field_type == 'C'}
			<input type="hidden" name="event_data[fields][{$field.field_id}]" value="N" />
			<input id="elm_{$field.field_id}" type="checkbox" name="event_data[fields][{$field.field_id}]" value="Y" {if $event_data.fields.$f_id == 'Y'}checked="checked"{/if} class="checkbox" />
		{elseif $field.field_type == 'I'}
			<input id="elm_{$field.field_id}" class="input-text" size="50" type="text" name="event_data[fields][{$field.field_id}]" value="{$event_data.fields.$f_id}" />
		{elseif $field.field_type == 'T'}
			<p class="textarea-break"><textarea id="elm_{$field.field_id}"  class="input-textarea" cols="70" rows="10" name="event_data[fields][{$field.field_id}]" style="width: 453px;">{$event_data.fields.$f_id|escape:html}</textarea></p>
		{elseif $field.field_type == 'V'}
			{html_select_date field_array="event_data[fields][`$field.field_id`]" start_year="1970" end_year="+5" time=$event_data.fields.$f_id}
		{/if}
</div>
{/foreach}

<div class="form-field">
	<label for="elm_invitees">{$lang.invitees}:</label>
	<span id="mark_elm_invitees" class="required-field-mark">*</span>
	<div class="float-left" id="elm_invitees" style="padding-left: 3px;">
		<table cellpadding="0" cellspacing="0" border="0" class="table">
		<tr id="header">
			<th>{$lang.name}</th>
			<th>{$lang.email}</th>
			<th>&nbsp;</th>
		</tr>
		{if $event_data.subscribers}
		{strip}
		<tbody id="header">
		{foreach from=$event_data.subscribers item=s name="s_fe"}
		<tr id="box_subscriber_{$smarty.foreach.s_fe.iteration}">
			<td><input class="input-text" type="text" name="event_data[subscribers][{$smarty.foreach.s_fe.iteration}][name]" value="{$s.name|escape:html}" /></td>
			<td><input class="input-text" type="text" name="event_data[subscribers][{$smarty.foreach.s_fe.iteration}][email]" value="{$s.email|escape:html}" /></td>
			{*<td>{include file="buttons/multiple_buttons.tpl" item_id="subscriber_`$smarty.foreach.s_fe.iteration`" hide_add="Y" hide_clone="Y"}</td>*}
			{*<td align="right"><img src="{$images_dir}/remove_item.gif" width="14" height="15" border="0" name="remove_hidden" id="subscriber_{$smarty.foreach.s_fe.iteration}" alt="{$lang.remove_this_item}" title="{$lang.remove_this_item}" class="hand" align="top" onclick="fn_remove_tag(this.id,1);" />&nbsp;</td>*}
			<td align="center">&nbsp;<a href="javascript: fn_remove_tag('subscriber_{$smarty.foreach.s_fe.iteration}',1);"><img src="{$images_dir}/delete_icon.gif" width="10" height="8" border="0" alt="" align="bottom" />{$lang.delete}</a>&nbsp;</td>
		</tr>
		{/foreach}
		{/strip}
		</tbody>
		{/if}
		<tr id="box_new_subscriber">
			<td><input class="input-text" type="text" name="event_data[add_subscribers][0][name]" value="" /></td>
			<td><input class="input-text" type="text" name="event_data[add_subscribers][0][email]" value="" /></td>
			<td>{include file="buttons/multiple_buttons.tpl" item_id="new_subscriber"}</td>
		</tr>
		<tr class="table-footer">
			<td colspan="3"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
		</tr>
		</table>
		{if $event_data.subscribers}
			{$lang.text_delete_recipients}
		{/if}
	</div>
</div>

{if $settings.Addons.discussion == "Y"}
	{include file="addons/discussion/allow_discussion_gr.tpl" object_id=$event_data.event_id object_type="G"}
{/if}

<p></p>
{if $mode == 'update'}
{assign var="title" value=$lang.update_event}
<table border="0" cellpadding="0" cellspacing="0">
<tr>
	<td>
		<p>{include file="buttons/update.tpl" but_onclick="event_frm.submit();"}</p></td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		<p>{include file="buttons/button.tpl" but_text=$lang.delete_this_event but_href="$index_script?$target_name=events&$mode_name=delete_event&event_id=$event_id&access_key=$access_key"}</p></td>
</tr>
</table>
{else}
	<div class="buttons-wrapper">
	{include file="buttons/add_new.tpl" but_onclick="event_frm.submit();" action_but="action_"}
	</div>
{/if}
</form>
<br />

{/capture}
{include file="common_templates/mainbox.tpl" content=$smarty.capture.mainbox title=$lang.add_new_event}

{if $mode == 'update'}

	{capture name="tabsbox"}

		{include file="addons/gift_registry/event_products.tpl"}		
		{include file="addons/gift_registry/notifications.tpl"}
		{if $settings.Addons.discussion == "Y"}
		{include file="addons/discussion/discussion.tpl" object_id=$event_data.event_id object_type="G" no_box=true}
		{/if}
	<br />	
	{/capture}
	{include file="common_templates/tabsbox.tpl" tabs=$page_sections js_switch="Y" content=$smarty.capture.tabsbox selected_section=$smarty.get.selected_section}

{/if}