<div id="content_products">

{$lang.text_gr_desired_products}
<p></p>
{include file="common_templates/subheader.tpl" title=$lang.defined_desired_products}

<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/exceptions.js"></script>

{if $event_data.products}
<form action="{$index_script}" method="post" name="event_products_form" >
<input type="hidden" name="{$target_name}" value="events" />
<input type="hidden" name="{$mode_name}" value="update_products" />
<input type="hidden" name="event_id" value="{$event_id}" />
<input type="hidden" name="{$action_name}" value="" />
{if $access_key}
<input type="hidden" name="access_key" value="{$access_key}" />
{/if}

{foreach from=$event_data.products item="product" key="key" name="products"}
<div class="products-list-wrapper">
	<div class="product-image">
		<a href="{$index_script}?{$target_name}=products&product_id={$product.product_id}">
		{include file="common_templates/image.tpl" image_width=$settings.Appearance.thumbnail_width obj_id=$key images=$product.main_pair object_type="product"}</a>
	</div>
	<div class="product-description">
		<a href="{$index_script}?{$target_name}=products&product_id={$product.product_id}" class="product-title">{$product.product|escape:html}</a>&nbsp;<a href="{$index_script}?{$target_name}=events&item_id={$key}&{$mode_name}=delete&event_id={$event_id}&access_key={$access_key}"><img src="{$images_dir}/delete_product.gif" width="12" height="12" border="0" alt="{$lang.remove}" title="{$lang.remove}" style="vertical-align: bottom;" /></a>
		<p class="sku" id="sku_{$product.product_id}" {if !$product.product_code}style="display:none"{/if}>
			{$lang.sku}: <span class="sku" id="product_code_{$product.product_id}">{$product.product_code}</span>
		</p>

		<div style="padding-top: 7px">&nbsp;</div>
		{if $product.product_options}
		<p></p>
		{include file="products_pages/product_options.tpl" product_options=$product.product_options product=$product name="event_products" id=$key location="cart"}
		{/if}

		<div class="clear-both" style="padding-top: 10px">&nbsp;</div>
		<table cellpadding="0" cellspacing="0" border="0" class="table">
		<tr>
			<th>{$lang.price}</th>
			<th>{$lang.desired_amount}</th>
			<th>{$lang.bought_amount}</th>
		</tr>
		<tr>
			<td nowrap="nowrap" align="center">
				{if $product.discounts}
					{include file="common_templates/price.tpl" value=$product.discounted_price span_id="discounted_price_`$key`" class="sub-price"}
				{else}
					{include file="common_templates/price.tpl" value=$product.price span_id="original_price_`$key`" class="sub-price"}
				{/if}</td>
			<td nowrap="nowrap" align="center">
				<input type="hidden" name="event_products[{$key}][product_id]" value="{$product.product_id}" />
				<input type="text" size="3" id="amount_{$key}" name="event_products[{$key}][amount]" value="{$product.amount}" class="input-text" {if $product.is_edp == 'Y'}readonly="readonly"{/if} /></td>
			<td nowrap="nowrap" align="center">
				<b>{$product.ordered_amount}</b></td>
		</tr>
		<tr class="table-footer">
			<td colspan="3"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
		</tr>
		</table>

		{if $product.short_description || $product.full_description}
		<div class="box" style="margin-top: 20px;">
		{if $product.short_description}
			{$product.short_description}
		{else}
			{$product.full_description|strip_tags|truncate:280:"...<a href=\"`$index_script`?`$target_name`=products&amp;product_id=`$product.product_id`\" class=\"underlined\">`$lang.more_link`</a>"}
		{/if}
		</div>
		{/if}
	</div>
	<div class="clear-both">&nbsp;</div>
</div>

{if !$smarty.foreach.products.last}
<hr />
{/if}
{/foreach}


<div class="buttons-wrapper">
	{include file="buttons/button.tpl" but_text=$lang.update but_onclick="document.event_products_form.submit();" but_type="input"}
</div>
</form>
<br />
<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
fn_check_all_exceptions(false);
//]]>
</script>

{else}
<p class="table-row" align="center"><br /><b>{$lang.text_no_products_defined}</b><br />&nbsp;</p><br />
{/if}

<br />
{include file="common_templates/subheader.tpl" title=$lang.add_products_to_section}
{capture name="section"}
	{include file="products_pages/products_search_form.tpl" target="events" mode="update" search_type="extended" form_name="event_search_products" search_form="N" search_products='Y' extra="<input type=\"hidden\" id=\"event_id\" name=\"event_id\" value=\"`$event_id`\" /><input type=\"hidden\" name=\"access_key\" value=\"`$access_key`\" />"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search_for_products section_content=$smarty.capture.section}

{if $products}

{if $smarty.capture.js_loaded != "Y"}
<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/exceptions.js"></script>
{capture name="js_loaded"}Y{/capture}
{/if}

<form action="{$index_script}" method="post" name="add_products_form">
<input type="hidden" name="{$target_name}" value="events" />
<input type="hidden" name="{$mode_name}" value="add_products" />
<input type="hidden" name="event_id" value="{$event_id}" />
<input type="hidden" name="selected_section" value="" />
{if $access_key}
<input type="hidden" name="access_key" value="{$access_key}" />
{/if}

{include file="common_templates/pagination.tpl"}

{foreach from=$products item=product key=key name="products"}
<div class="products-list-wrapper">
	<div class="product-image">
		<a href="{$index_script}?{$target_name}=products&product_id={$product.product_id}">{include file="common_templates/image.tpl" image_width=$settings.Appearance.thumbnail_width obj_id=$product.product_id images=$product.main_pair object_type="product"}</a>
		<span class="more-info"><a href="{$index_script}?{$target_name}=products&product_id={$product.product_id}" class="underlined">{$lang.view_details}&nbsp;<b>&#8250;&#8250;</b></a></span>
	</div>
	<div class="float-right">
		<input type="checkbox" id="bulk_addition_{$product.product_id}" name="product_data[{$product.product_id}][amount]" value="1" {if ($product.zero_price_action == 'R' && $product.price == 0)}disabled="disabled"{/if} />
	</div>
	<div class="product-description">
		<a href="{$index_script}?{$target_name}=products&product_id={$product.product_id}" class="product-title">{$product.product|escape:html}</a><br />
		<p class="sku" id="sku_{$product.product_id}" {if !$product.product_code}style="display:none"{/if}>
			{$lang.sku}: <span class="sku" id="product_code_{$product.product_id}">{$product.product_code}</span>
		</p>

		<p class="price">
		{if $product.price|floatval || $product.zero_price_action == 'P'}
			{if $product.discounts && $product.price|floatval}{$lang.discounted_price}
				{include file="common_templates/price.tpl" value=$product.discounted_price span_id="discounted_price_`$product.product_id`" class="price"}
			{else}
				{if $product.list_price > $product.price && $product.price != 0}{$lang.our_price}{else }{$lang.price}{/if}: {include file="common_templates/price.tpl" value=$product.price span_id="original_price_`$product.product_id`" class="price"}
			{/if}
		{elseif $product.zero_price_action == 'A'}
			{$lang.enter_your_price}: <input class="input-text" type="text" size="3" name="product_data[{$product.product_id}][price]" value="" />
		{elseif $product.zero_price_action == 'R'}
			{$lang.contact_us_for_price}
		{/if}
		</p>

		<p></p>
		{if $product.is_edp == 'Y'}
		<b>[{$lang.text_edp_product}]</b><br /><input type="hidden" name="product_data[{$product.product_id}][is_edp]" value="Y" />
		{/if}

		{if $product.product_options}
		{include file="products_pages/product_options.tpl" id=$product.product_id product_options=$product.product_options name="product_data"}
		<p></p>
		{/if}

		{if $settings.General.inventory_tracking == 'Y' && $product.amount <= 0 && $product.is_edp != 'Y' && $product.tracking == 'B'}
		<div class="price">{$lang.text_out_of_stock}</div>
		{/if}

		<div class="box" style="margin-top: 20px;">
		{if $product.short_description}
			{$product.short_description}
		{else}
			{$product.full_description|strip_tags|escape:html|truncate:280:"...<a href=\"`$index_script`?`$target_name`=products&amp;product_id=`$product.product_id`\" class=\"underlined\">`$lang.more_link`</a>"}
		{/if}
		</div>
	</div>
	<div class="clear-both">&nbsp;</div>
</div>	

{if !$smarty.foreach.products.last}
<hr />
{/if}

{/foreach}


<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
	var add_products = new cscart_form('add_products_form', false, 'cart_status');
	add_products.set_failed_message(lang.cannot_buy);
	fn_check_all_exceptions(false);

{literal}
	function fn_bulk_purchase()
	{
		add_products.clear_onsubmit();

		if (fn_check_selected('add_products_form', 'bulk_addition_', true, false) == false) {
			alert(lang.no_products_selected);
		} else {
			for(var i = 0; i < document.forms['add_products_form'].length; i++) {
				if (fn_compare_strings(document.forms['add_products_form'].elements[i].id, 'bulk_addition') && !document.forms['add_products_form'].elements[i].disabled) {
					if (document.forms['add_products_form'].elements[i].checked) {
						add_products.set_onsubmit(fn_check_exceptions, parseInt(document.forms['add_products_form'].elements[i].id.substring(14)));
					}
				}
			}
			add_products.submit();
		}
	}
{/literal}
//]]>
</script>

{include file="common_templates/pagination.tpl"}

<div class="buttons-wrapper clear-both" align="right">
	{include file="buttons/button.tpl" but_text=$lang.add_selected but_onclick="fn_bulk_purchase();" action_but="action_"}
</div>
</form>
{/if}

</div>