{* $Id: search.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

{capture name="mainbox"}

{if $action != 'today_events'}

{literal}
<script type="text/javascript" language="javascript 1.2">
//<![CDATA[
var fields = new Array('start_date[Date_Month]', 'start_date[Date_Day]' , 'start_date[Date_Year]', 'end_date[Date_Month]', 'end_date[Date_Day]' , 'end_date[Date_Year]');

function fn_disable_select_date(disable)
{
	for (i in fields) {
		document.events_search.elements[fields[i]].disabled = disable;
	}
}
//]]>
</script>
{/literal}

{capture name="section"}
<form action="{$index_script}" method="get" name="events_search">
<input type="hidden" name="{$target_name}" value="events" />
<input type="hidden" name="{$mode_name}" value="search" />
<input type="hidden" name="{$action_name}" value="search" />
{if $access_key}
<input type="hidden" name="access_key" value="{$access_key}" />
{/if}

<div class="search-field">
	<label for="period">{$lang.period}:</label>
	<div class="order-search-label">{include file="common_templates/period_selector.tpl" period=$smarty.get.period form_name="events_search"}</div>
</div>

<div class="search-field">
	<label for="title">{$lang.title}:</label>
	<input class="input-text" name="title" size="50" type="text" value="{$smarty.get.title|escape:html}" />
</div>

<div class="search-field">
	<label for="owner">{$lang.owner}:</label>
	<input class="input-text" name="owner" size="25" type="text" value="{$smarty.get.owner|escape:html}" />
</div>

<div class="search-field">
	<label for="subscriber">{$lang.subscriber}:</label>
	<input class="input-text" name="subscriber" size="25" type="text" value="{$smarty.get.subscriber|escape:html}" />
</div>

<div class="search-field">
	<label for="status">{$lang.status}:</label>
	<select name="status">
			<option value="">--</option>
			<option {if $smarty.get.status == 'A'}selected="selected"{/if} value="A">{$lang.awaiting}</option>
			<option {if $smarty.get.status == 'P'}selected="selected"{/if} value="P">{$lang.in_progress}</option>
			<option {if $smarty.get.status == 'F'}selected="selected"{/if} value="F">{$lang.finished}</option>
		</select>
</div>

<div class="search-field">
	<label for="type">{$lang.event_type}:</label>
	<select name="type">
			<option value="">--</option>
			<option {if $smarty.get.type == 'P'}selected="selected"{/if} value="P">{$lang.public}</option>
			<option {if $smarty.get.type == 'U'}selected="selected"{/if} value="U">{$lang.private}</option>
			<option {if $smarty.get.type == 'D'}selected="selected"{/if} value="D">{$lang.disabled}</option>
		</select>
</div>

{foreach from=$event_fields item=field}
{assign var="f_id" value=$field.field_id}
<div class="search-field">
	<label for="search_fields[{$field.field_id}]">{$field.description}:</label>
	{if $field.field_type == 'S' || $field.field_type == 'R'}
			<select name="search_fields[{$field.field_id}]">
			<option value=""> -- </option>
			{foreach from=$field.variants item=var}
			<option value="{$var.variant_id}" {if $smarty.get.search_fields.$f_id == $var.variant_id}selected="selected"{/if}>{$var.description}</option>
			{/foreach}
			</select>
		{elseif $field.field_type == 'C'}
		    <select name="search_fields[{$field.field_id}]">
			<option value=""> -- </option>
			<option value="Y" {if $smarty.get.search_fields.$f_id == "Y"}selected="selected"{/if}>{$lang.yes}</option>
			<option value="N" {if $smarty.get.search_fields.$f_id == "N"}selected="selected"{/if}>{$lang.no}</option>
			</select>
		{elseif $field.field_type == 'I' || $field.field_type == 'T'}
			<input class="input-text" size="50" type="text" name="search_fields[{$field.field_id}]" value="{$smarty.get.search_fields.$f_id}" />
		{elseif $field.field_type == 'V'}
			{html_select_date field_array="search_fields[`$field.field_id`]" start_year="1970" end_year="+5" all_empty="--" time=$smarty.get.search_fields.$f_id}
		{/if}
</div>
{/foreach}

<div class="buttons-wrapper">
{include file="buttons/search.tpl" but_onclick="document.events_search.submit();"}
</div>
</form>

{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.section}

{/if}
 
<form action="{$index_script}" method="post" name="delete_events_form">
<input type="hidden" name="{$target_name}" value="events" />
<input type="hidden" name="{$mode_name}" value="delete_events" />
<input type="hidden" name="redirect_url" value="{$current_url|escape:html}" />
{if $access_key}
<input type="hidden" name="access_key" value="{$access_key}" />
{/if}

{include file="common_templates/pagination.tpl"}
{foreach from=$events item=event}
	{if $auth.user_id && $auth.user_id == $event.user_id}{assign var="can_delete" value="Y"}{/if}
{/foreach}
<br /><p></p>
<table cellpadding="0" cellspacing="0" width="100%" border="0" class="table">
<tr>
	{if $can_delete == 'Y'}
	<th width="1%" align="center">&nbsp;</th>
	{/if}
	<th>{$lang.title}</th>
	<th>{$lang.start_date}</th>
	<th>{$lang.end_date}</th>
	<th>{$lang.status}</th>
	<th>{$lang.event_type}</th>
</tr>
{if $events}

{foreach from=$events item=event}
<tr {cycle values=",class='table-row'"}>
	{if $can_delete == 'Y'}
	<td align="center">{if $auth.user_id && $auth.user_id == $event.user_id}<input type="checkbox" name="delete_events[{$event.event_id}]" id="delete_checkbox" value="Y" />{else}&nbsp;{/if}</td>
	{/if}
	<td class="side-padding" height="23">
		<b><a href="{$index_script}?{$target_name}=events&{$mode_name}={if $auth.user_id && $auth.user_id == $event.user_id}update{else}details{/if}&event_id={$event.event_id}" class="underlined">{$event.title}</a></b></td>
	<td>{$event.start_date|date_format:$settings.Appearance.date_format}</td>
	<td>{$event.end_date|date_format:$settings.Appearance.date_format}</td>
	<td>{if $event.status == 'A'}{$lang.awaiting}{elseif $event.status == 'P'}{$lang.in_progress}{else}{$lang.finished}{/if}</td>
	<td>{if $event.type == 'P'}{$lang.public}{elseif $event.type == 'U'}{$lang.private}{else}{$lang.disabled}{/if}</td>
</tr>
{/foreach}
{else}
<tr>
	<td colspan="6" align="center">
		<p></p><b>{$lang.no_items_found}</b><p></p></td>
</tr>
{/if}
<tr class="table-footer">
	<td colspan="6"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
</tr>
</table>
{include file="common_templates/pagination.tpl"}

{if $can_delete == 'Y'}
<div class="buttons-wrapper">
{include file="buttons/button.tpl" but_text=$lang.delete_selected but_onclick="fn_delete_selected('delete_events_form','delete_events');" but_arrow="on"}
</div>
{/if}
</form>

<div class="buttons-wrapper">
{include file="buttons/add_new.tpl" but_href="$index_script?$target_name=events&$mode_name=add"}
</div>

{/capture}
{include file="common_templates/mainbox.tpl" content=$smarty.capture.mainbox title=$lang.search}