{* $Id: wishlist_configurable_product.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}
<form action="{$index_script}" method="post" name="{$form_prefix}productform_{$key}">
<input type="hidden" name="{$target_name}" value="checkout" />
<input type="hidden" name="{$mode_name}" value="add" />
<input type="hidden" name="product_data[{$product.product_id}][product_id]" value="{$product.product_id}" />
<input type="hidden" name="product_data[{$product.product_id}][amount]" value="1" />

{assign var="form_obj" value="product_`$form_prefix`_`$key`"}
<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
	var {$form_obj} = new cscart_form('{$form_prefix}productform_{$key}', {if $settings.DHTML.ajax_add_to_cart == 'Y'}true{else}false{/if}, 'cart_status');
	{$form_obj}.set_failed_message(lang.cannot_buy);
	{$form_obj}.set_onsubmit(fn_check_exceptions, '{$product.product_id}');
//]]>
</script>

{if $show_hr}
<hr class="clear-both" />
{else}
	{assign var='show_hr' value=true}
{/if}

<div class="products-list-wrapper">
	<div class="product-image">
		<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}">{include file="common_templates/image.tpl" image_width=$settings.Appearance.thumbnail_width obj_id=$product.product_id images=$product.main_pair object_type="product"}</a>
		<div class="more-info"><a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="underlined">{$lang.view_details}&nbsp;<b>&#8250;&#8250;</b></a></div>
	</div>
	<div class="product-description">
		<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="list-product-title">{$product.product|escape:html}</a>&nbsp;<a href="{$index_script}?{$target_name}=wishlist&amp;cart_id={$key}&amp;{$mode_name}=delete"><img src="{$images_dir}/delete_product.gif" width="12" height="12" border="0" alt="{$lang.remove}" title="{$lang.remove}" style="vertical-align: bottom;" /></a>

		<p class="sku" id="sku_{$product.product_id}" {if !$product.product_code}style="display:none"{/if}>{$lang.sku}: <span id="product_code_{$product.product_id}">{$product.product_code}</span></p>

		{include file="products_pages/product_options.tpl" product_options=$product.product_options product=$product name="cart_products" id=$key location="cart"}

		<p><b>{$lang.configuration}:</b></p>
		<p></p>
		<table cellpadding="0" cellspacing="0" border="0" width="85%" class="table">
		<tr>
			<th width="50%">{$lang.product}</th>
			<th align="center" width="10%">{$lang.price}</th>
		</tr>
		{foreach from=$products item="product_conf" key="key_conf"}
		{if $wishlist.products.$key_conf.extra.in_configuration == $key}
		{assign var="sub_id" value=$product_conf.product_id}
		<tr {cycle values=',class="table-row"'}>
			<td><a href="{$index_script}?{$target_name}=products&amp;{$mode_name}=view&amp;product_id={$product_conf.product_id}" class="underlined">{$product_conf.product}</a></td>
			<td align="center" class="side-padding" nowrap="nowrap">
				{include file="common_templates/price.tpl" value=$product_conf.price}		<input type="hidden" name="product_data[{$product.product_id}][configuration][{$wishlist.products.$key.extra.configuration.$sub_id}]" value="{$product_conf.product_id}" /></td>
			{math equation="item_price + conf_" item_price=$product_conf.price|default:"0" conf_=$conf_price|default:"0" assign="conf_price"}	
		</tr>
		{/if}
		{/foreach}
		<tr {cycle values=',class="table-row"'}>
			<td colspan="4"><hr /></td>
		</tr>
		<tr {cycle values=',class="table-row"'}>
			<td><b>{$lang.product_summary}:</b></td>
			<td align="center" class="side-padding" nowrap="nowrap">
				{math equation="item_price + conf_" item_price=$product.price|default:"0" conf_=$conf_price|default:"0" assign="conf_price"}	
				<b>{include file="common_templates/price.tpl" value=$conf_price}</b></td>
		</tr>
		<tr class="table-footer">
			<td colspan="2"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
		</tr>
		</table>

		{if !($product.zero_price_action == 'R' && $product.price == 0) && !($settings.General.inventory_tracking == 'Y' && $product.amount <= 0 && $product.is_edp != 'Y' && $product.tracking == 'B')}
		<div class="buttons-wrapper">
			{include file="buttons/add_to_cart.tpl" but_onclick="$form_obj.submit();"}
		</div>
		{/if}

	</div>
</div>
</form>