{* $Id: comparison.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

{capture name="mainbox"}

{if !$comparison_data}
	<p class="table-row" align="center"><br /><b>{$lang.no_products_selected}</b><br />&nbsp;</p>
{else}

	{if $smarty.capture.js_loaded != "Y"}
	<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/exceptions.js"></script>
	{capture name="js_loaded"}Y{/capture}
	{/if}
	<div align="right" class="info-field-title" style="margin-bottom: 7px;">
		<ul class="action-bullets">
			<li>{if $action != 'show_all'}<a href="{$index_script}?{$target_name}=product_features&amp;{$mode_name}=compare&amp;{$action_name}=show_all" class="underlined">{$lang.all_features}</a>{else}<b>{$lang.all_features}</b>{/if}</li>
			<li>{if $action != 'similar_only'}<a href="{$index_script}?{$target_name}=product_features&amp;{$mode_name}=compare&amp;{$action_name}=similar_only" class="underlined">{$lang.similar_only}</a>{else}<b>{$lang.similar_only}<b>{/if}</li>
			<li>{if $action != 'different_only'}<a href="{$index_script}?{$target_name}=product_features&amp;{$mode_name}=compare&amp;{$action_name}=different_only" class="underlined">{$lang.different_only}</a>{else}<b>{$lang.different_only}</b>{/if}</li>
		</ul>
	</div>

	{math equation="floor(100/x)" x=$comparison_data.products|@count assign="cell_width"}
	<div style="overflow: auto; width: 100%;">
	<table cellpadding="3" cellspacing="0" border="0" width="100%" class="compare-table">
	<tr>
		<td align="center" valign="middle" class="compare-first-cell" rowspan="3" colspan="2"><b>{$lang.compare}:</b></td>
		{foreach from=$comparison_data.products item=product}
		<td valign="bottom" width="{$cell_width}%" class="table-td-left-border">
			<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}">{include file="common_templates/image.tpl" image_width=$settings.Appearance.thumbnail_width obj_id=$product.product_id images=$product.main_pair object_type="product" no_ids=Y}</a></td>
		{/foreach}
	</tr>
	<tr>
		{foreach from=$comparison_data.products item=product}
		<td valign="top" class="table-td-left-border"><a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="product-title">{$product.product}</a>&nbsp;<a href="{$index_script}?{$target_name}=product_features&amp;{$mode_name}=delete_product&amp;product_id={$product.product_id}&amp;redirect_url={$current_url|escape:url}"><img src="{$images_dir}/delete_product.gif" width="12" height="12" border="0" alt="" style="vertical-align: bottom;" /></a></td>
		{/foreach}
	</tr>
	<tr>
		{foreach from=$comparison_data.products item=product}
			<td class="table-td-bottom-border table-td-left-border"><span class="price">{include file="common_templates/price.tpl" value=$product.price}</span><p></p></td>
		{/foreach}
	</tr>
	{foreach from=$comparison_data.features item=feature key=id name="product_features"}
	<tr {cycle values="class='table-row', " name="fixed"}>
		<td height="30" {if $smarty.foreach.product_features.last}class="table-td-bottom-border"{/if}><a href="{$index_script}?{$target_name}=product_features&amp;{$mode_name}=delete_feature&amp;feature_id={$id}&amp;redirect_url={$current_url|escape:url}"><img src="{$images_dir}/delete_product.gif" width="12" height="12" border="0" alt="" align="bottom" /></a>
		</td>
		<td nowrap="nowrap" {if $smarty.foreach.product_features.last}class="table-td-bottom-border"{/if}><b>{$feature}:</b>&nbsp;&nbsp;&nbsp;</td>
		{foreach from=$comparison_data.products item=product}
		<td class="table-td-left-border {if $smarty.foreach.product_features.last}table-td-bottom-border{/if}">
			{if $product.features.$id.feature_type == 'C'}
				<img src="{$images_dir}/checkbox_{if $product.features.$id.value == 'N'}un{/if}ticked.gif" width="13" height="13" alt="{$product.features.$id.value}" /></td>
			{else}
				{$product.features.$id.value|default:'&nbsp;-'}</td>
			{/if}
		{/foreach}

	</tr>
	{/foreach}
	<tr>
		<td>&nbsp;</td>
		<td>&nbsp;</td>
		{foreach from=$comparison_data.products item=product}
		<td class="table-td-left-border" style="padding: 6px 0px 6px 8px;"><p></p>
			{if !($product.zero_price_action == 'R' && $product.price == 0)}
				{include file="products_pages/buy_now.tpl" hide_wishlist_button="Y" hide_price_info="Y"}
			{else}&nbsp;{/if}</td>
		{/foreach}
	</tr>
	</table>
	</div>
	<br /><br />
	<div class="buttons-wrapper">
		{include file="buttons/button.tpl" but_text=$lang.clear_list but_href="$index_script?$target_name=product_features&$mode_name=clear_list"}&nbsp;&nbsp;&nbsp;
		{include file="buttons/continue_shopping.tpl" but_href=$continue_url|default:$index_script but_arrow="on"}
	</div>

	{if $comparison_data.hidden_features}
	<br /><br />
	{include file="common_templates/subheader.tpl" title=$lang.add_feature}
	<form action="{$index_script}" method="post" name="add_feature_form">
	<input type="hidden" name="{$target_name}" value="product_features" />
	<input type="hidden" name="{$mode_name}" value="add_feature" />
	<input type="hidden" name="redirect_url" value="{$current_url|escape:html}" />
	<select name="add_features[]" multiple="multiple" style="padding: 0px;">
	{foreach from=$comparison_data.hidden_features key=k item=f}
	<option value="{$k}">{$f}</option>
	{/foreach}
	</select>
	<br /><p></p>
	{include file="buttons/button.tpl" but_text=$lang.add but_onclick="document.add_feature_form.submit();"}
	</form>
	{/if}
{/if}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.compare content=$smarty.capture.mainbox}