{* $Id: products_advanced.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}
<div>
{if $products}
{capture name="mainbox"}

{if $smarty.capture.js_loaded != "Y"}
<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/exceptions.js"></script>
{capture name="js_loaded"}Y{/capture}
{/if}

<form action="{$index_script}" method="post" name="products_bulk_purchase">
<input type="hidden" name="{$target_name}" value="checkout" />
<input type="hidden" name="{$mode_name}" value="add" />

{if !$no_pagination}
	{include file="common_templates/pagination.tpl"}
{/if}
{if !$no_sorting}
	{include file="products_pages/sorting.tpl"}
{/if}


<div align="right" class="product-bulk-add-wrapper">{include file="buttons/add_selected_to_cart.tpl" but_onclick="fn_bulk_purchase();" but_style='text' image_style="top_"}</div>
<p></p>

{foreach from=$products item=product key=key name="products"}

<div class="products-list-wrapper">
	<div class="product-image">
		<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}">{include file="common_templates/image.tpl" image_width=$settings.Appearance.thumbnail_width obj_id=$product.product_id images=$product.main_pair object_type="product"}</a>
	</div>
	<div class="float-right">
		<input type="checkbox" id="bulk_addition_{$product.product_id}" name="product_data[{$product.product_id}][amount]" value="1" {if ($product.zero_price_action == 'R' && $product.price == 0) || ($product.product_type == 'C' && $settings.Addons.product_configurator=='Y')}disabled="disabled"{/if} />
	</div>
	<div class="product-description">
			<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="list-product-title">{$product.product|escape:html}</a><br />
			<p class="sku" id="sku_{$product.product_id}" {if !$product.product_code}style="display:none"{/if}>
				{$lang.sku}: <span class="sku" id="product_code_{$product.product_id}">{$product.product_code}</span>
			</p>

			{if !($settings.Addons.product_configurator == 'Y' && $product.product_type == 'C')}
				<div class="{if $product.discounts}product-price-float{else}product-price-wrap{/if}">
				{if $product.price|floatval || $product.zero_price_action == 'P'}{assign var="show_price_values" value=1}{else}{assign var="show_price_values" value=0}{/if}
					{******************************* List price, Old Price **************************}
					{if $product.discounts && $show_price_values}
						<span class="list-price" id="line_old_price_{$product.product_id}">{$lang.old_price}: {include file="common_templates/price.tpl" value=$product.price span_id="old_price_`$product.product_id`" class="list-price"}</span>
					{elseif $show_price_values}
						{if $product.list_price > $product.price}
							<span class="list-price" id="line_list_price_{$product.product_id}">{$lang.list_price}: {include file="common_templates/price.tpl" value=$product.list_price span_id="list_price_`$product.product_id`" class="list-price"}</span>
						{/if}
					{/if}
					{************************ Discounted Price, Our Price, Price ********************}
					<p class="price">
					{if $show_price_values}
						{if $product.discounts}
							<span class="price" id="line_discounted_price_{$product.product_id}">{$lang.discounted_price}: {include file="common_templates/price.tpl" value=$product.discounted_price span_id="discounted_price_`$product.product_id`" class="price"}</span>
						{else}
						<span class="price" id="line_original_price_{$product.product_id}">
							{if $product.list_price > $product.price}
								{$lang.our_price}
							{else}
								{$lang.price}
							{/if}
						: {include file="common_templates/price.tpl" value=$product.price span_id="original_price_`$product.product_id`" class="price"}
						</span>
						{/if}
					{elseif $product.zero_price_action == 'A'}
						<span class="price">{$lang.enter_your_price}: <input class="input-text" type="text" size="3" name="product_data[{$product.product_id}][price]" value="" /></span>
					{elseif $product.zero_price_action == 'R'}
						<span class="price">{$lang.contact_us_for_price}</span>
					{/if}
					{if $show_price_values}
					<span class="price" id="line_zero_price_{$product.product_id}" style="display: none;">{if $product.discounts && !$product.discounted_price|floatval}{$lang.discounted_price}{else}{$lang.price}{/if}: {include file="common_templates/price.tpl" value=0 class="price"}</span>
					{/if}
					{if  $show_price_values && $settings.Appearance.show_prices_taxed_clean == 'Y' && $product.taxed_price}
						{if $product.clean_price != $product.taxed_price && $product.included_tax}
							<span class="list-price" id="line_product_price_{$product.product_id}">({include file="common_templates/price.tpl" value=$product.taxed_price span_id="product_price_`$product.product_id`" class='list-price'} {$lang.inc_tax})	</span>
						{elseif $product.clean_price != $product.taxed_price && !$product.included_tax}
							<span class="list-price">({$lang.including_tax})</span>
						{/if}
					{/if}
					</p>
					{*************************************  You Save: *******************************}
					{if $product.discounts && $show_price_values}
						<span class="list-price" id="line_discount_value_{$product.product_id}">{$lang.you_save}: {include file="common_templates/price.tpl" value=$product.discounts.total span_id="discount_value_`$product.product_id`" class="list-price"}</span>
					{elseif $show_price_values}
						{if $product.list_price > $product.price}
							<span class="list-price" id="line_discount_value_{$product.product_id}">{$lang.you_save}: {include file="common_templates/price.tpl" value=$product.you_save_abs span_id="discount_value_`$product.product_id`" class="list-price"}&nbsp;(<span id="prc_discount_value_{$product.product_id}" class="list-price">{$product.you_save}</span>%)</span>
						{/if}
					{/if}
				</div>
				
					{************************************ Discount label ****************************}
					{if $product.discounts && $show_price_values}
					<div class="discount-label" id="line_prc_discount_value_{$product.product_id}">
						<img class="valign" src="{$images_dir}/discount_label_left.gif" width="5" height="27" border="0" alt="" style="padding-right: 3px;"/>
						{include file="common_templates/modifier.tpl" mod_type="P" mod_value=$product.discount_amount is_integer=true span_id="prc_discount_value_`$product.product_id`" class="discount-label-text valign" display_sign=true}
					</div>
					<div class="clear-both"><img src="{$images_dir}/spacer.gif" width="1" height="1" border="0" alt="" /></div>
					{/if}
					{* / Discount label *}
				{/if}


				<div>
					{if $settings.Addons.reward_points == 'Y'}
						{include file="addons/reward_points/products_pages/product_representation.tpl"}
					{/if}
					{if $product.is_edp == 'Y'}
						<b>[{$lang.text_edp_product}]</b><br /><input type="hidden" name="product_data[{$product.product_id}][is_edp]" value="Y" />
					{/if}

				
					{if $settings.Addons.suppliers == 'Y'}
						{include file="addons/suppliers/supplier_representation.tpl"}
					{/if}				
					
					{if $settings.Addons.rma == 'Y'}
						{include file="addons/rma/return_period_representation.tpl"}
					{/if}				
				
					{if $product.product_options}
						{include file="products_pages/product_options.tpl" id=$product.product_id product_options=$product.product_options name="product_data"}
						<p></p>
					{/if}
					{if $settings.General.inventory_tracking == 'Y' && $settings.General.allow_negative_amount != 'Y' && $product.amount <= 0 && $product.is_edp != 'Y' && $product.tracking == 'B'}
					<p class="price">{$lang.text_out_of_stock}</p>
					{/if}
					{if !($product.zero_price_action == 'R' && $product.price == 0) && !($settings.Addons.product_configurator == 'Y' && $product.product_type == 'C')}
					<div class="buttons-wrapper">
						{if !($settings.General.inventory_tracking == 'Y' && $settings.General.allow_negative_amount != 'Y' && $product.amount <= 0 && $product.is_edp != 'Y' && $product.tracking == 'B')}
								{include file="buttons/add_to_cart.tpl" but_onclick="fn_single_purchase('`$product.product_id`', 'checkout');"}
						{/if}
						{if $auth.user_id && $settings.Addons.wishlist == 'Y' && $hide_wishlist_button != 'Y'}
								&nbsp;{include file="addons/wishlist/add_to_wishlist.tpl" but_onclick="fn_single_purchase('`$product.product_id`', 'wishlist');"}
						{/if}

						{if $product.feature_comparison == 'Y'}
								&nbsp;{include file="buttons/add_to_compare_list.tpl" product_id=$product.product_id}
						{/if}
					</div>
					{/if}
				</div>


			{if $product.short_description || $product.full_description}
			<div class="box" style="margin-top: 20px;">
			{if $product.short_description}
				{$product.short_description}
			{else}
				{$product.full_description|strip_tags|truncate:280:"...<a href=\"`$index_script`?`$target_name`=products&amp;product_id=`$product.product_id`\" class=\"underlined\">`$lang.more_link`</a>"}
			{/if}
			</div>
			{/if}
	</div>
	<div class="clear-both">&nbsp;</div>
</div>	

{if !$smarty.foreach.products.last}
<hr />
{/if}

{/foreach}

<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[ 
	var bulk_products_form = new cscart_form('products_bulk_purchase', {if $settings.DHTML.ajax_add_to_cart == 'Y'}true{else}false{/if});
	bulk_products_form.set_failed_message(lang.cannot_buy);
	fn_check_all_exceptions(false);

{literal}
	function fn_single_purchase(product_id, trg)
	{
		fn_check_all_checkboxes('products_bulk_purchase', false, 'bulk_addition', false);
		document.getElementById('bulk_addition_'+product_id).checked = true;
		bulk_products_form.set_field_value(target_name, trg);
		bulk_products_form.clear_onsubmit();
		bulk_products_form.set_onsubmit(fn_check_exceptions, product_id);
		bulk_products_form.result_id = (trg == 'checkout') ? 'cart_status' : 'wish_list';
		bulk_products_form.submit();
		document.getElementById('bulk_addition_'+product_id).checked = false;
	}

	function fn_bulk_purchase()
	{
		bulk_products_form.set_field_value(target_name, 'checkout');
		bulk_products_form.clear_onsubmit();

		if (fn_check_selected('products_bulk_purchase', 'bulk_addition_', true, false) == false) {
			alert(lang.no_products_selected);
		} else {
			for(var i = 0; i < document.forms['products_bulk_purchase'].length; i++) {
				if (fn_compare_strings(document.forms['products_bulk_purchase'].elements[i].id, 'bulk_addition') && !document.forms['products_bulk_purchase'].elements[i].disabled) {
					if (document.forms['products_bulk_purchase'].elements[i].checked) {
						bulk_products_form.set_onsubmit(fn_check_exceptions, parseInt(document.forms['products_bulk_purchase'].elements[i].id.substring(14)));
					}
				}
			}
			bulk_products_form.result_id = 'cart_status';
			bulk_products_form.submit();
		}
	}
{/literal}
//]]>
</script>

{if !$no_pagination}
	{include file="common_templates/pagination.tpl"}
{/if}
<p></p>
<div align="right" class="product-bulk-add-wrapper">{include file="buttons/add_selected_to_cart.tpl" but_onclick="fn_bulk_purchase();" but_style='text' image_style="bottom_"}</div>
</form>

{/capture}
{if !$title}
	{$smarty.capture.mainbox}
{else}
	{include file="common_templates/mainbox.tpl" title=$title content=$smarty.capture.mainbox}
{/if}
{/if}
</div>