{* $Id: products_search_form.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

{assign var="search_form_name" value=$form_name|default:"search_form"}

<form action="{$index_script}{if $page_part}#{$page_part}{/if}" name="{$search_form_name}" method="get" {if $submit_to}target="{$submit_to}"{/if}>
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="{$mode}" />
{if $action}
<input type="hidden" name="{$action_name}" value="{$action}" />
{/if}
<input type="hidden" name="type" value="{$search_type|default:'simple'}" />

{if $search_products == 'Y'}
<input type="hidden" name="search_products" value="Y" />
{/if}

{if $selected_section != ""}
<input type="hidden" id="selected_section" name="selected_section" value="{$selected_section}" />
{/if}
{if $product_id != ""}
<input type="hidden" id="product_id" name="product_id" value="{$product_id}" />
{/if}
{if $category_id != ""}
<input type="hidden" id="category_id" name="category_id" value="{$category_id}" />
{/if}
{if $discount_id != ""}
<input type="hidden" id="discount_id" name="discount_id" value="{$discount_id}" />
{/if}
{if $report_id != ""}
<input type="hidden" id="report_id" name="report_id" value="{$report_id}">	
{/if}
{if $table_id != ""}
<input type="hidden" id="table_id" name="table_id" value="{$table_id}">	
{/if}
{if $condition_element != ""}
<input type="hidden" id="condition_element" name="condition_element" value="{$condition_element}">	
{/if}
{if $element_hash != ""}
<input type="hidden" id="element_hash" name="element_hash" value="{$element_hash}">	
{/if}

{$extra}

{if $search_products == 'Y'}
<input type="hidden" value="Y" name="pname" />
<input type="hidden" value="Y" name="pshort" />
<input type="hidden" value="Y" name="pfull" />
<input type="hidden" value="Y" name="subcats" />
{/if}

<table cellpadding="1" cellspacing="1" border="0">
<tr>
	<td width="120">{$lang.find_results_with}:</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				<select name="match">
					<option value="any" {if $smarty.get.match == 'any'}selected="selected"{/if}>{$lang.any_words}</option>
					<option value="all" {if $smarty.get.match == 'all'}selected="selected"{/if}>{$lang.all_words}</option>
					<option value="exact" {if $smarty.get.match == 'exact'}selected="selected"{/if}>{$lang.exact_phrase}</option>
				</select></td>
			<td>&nbsp;</td>
			<td>
				<input type="text" name="q" size="45" value="{$search_data.search_string|fn_stripslashes|escape:html}" class="input-text" /></td>
		</tr>
		</table>
	</td>
</tr>
{if $search_products != 'Y'}
<tr>
	<td>{$lang.search_in}:</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td><input type="checkbox" value="Y" {if $search_data.search_product_name == 'Y'}checked="checked"{/if} name="pname" /></td>
			<td>{$lang.product_name}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" {if $search_data.search_short_description == 'Y'}checked="checked"{/if} name="pshort" /></td>
			<td>{$lang.short_description}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td><input type="checkbox" value="Y" {if $search_data.search_full_description == 'Y'}checked="checked"{/if} name="pfull" /></td>
			<td>{$lang.full_description}</td>
		</tr>
		</table>
	</td>
</tr>
{if $product_features}
{split data=$product_features size="4" assign="splitted_features"}
<tr>
	<td class="" valign="top">{$lang.search_by_product_features}:</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		{foreach from=$splitted_features item=features}
		<tr>
			{foreach from=$features item=feature}
			{if $feature}
			{assign var="f_id" value=$feature.feature_id}
			<td><input type="checkbox" value="Y" {if $smarty.get.feature.$f_id}checked="checked"{/if} name="feature[{$feature.feature_id}]" /></td>
			<td>{$feature.description}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			{else}
			<td colspan="3">&nbsp;</td>
			{/if}
			{/foreach}
		</tr>
		{/foreach}
		</table>
	</td>
</tr>
{/if}
{/if}
<tr>
	<td>{$lang.search_in_category}:</td>
	<td>
		{if !$all_categories_list}
		{assign var="all_categories_list" value=0|fn_get_plain_categories_tree:false}
		{/if}
		<select	name="cid">
			<option	value="0" {if $category_data.parent_id == "0"}selected{/if}>- {$lang.all_categories} -</option>
			{foreach from=$all_categories_list item="search_cat"}
			<option	value="{$search_cat.category_id}" {if $search_data.search_category_id == $search_cat.category_id}selected="selected"{/if}>{$search_cat.category|escape:html|indent:$search_cat.level:"&#166;&nbsp;&nbsp;&nbsp;&nbsp;":"&#166;--&nbsp;"}</option>
			{/foreach}
		</select>
	</td>
</tr>
{if $search_products != 'Y'}
<tr>
	<td>&nbsp;</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				<input type="checkbox" value="Y" {if $search_data.search_subcategories == 'Y'}checked="checked"{/if} name="subcats" /></td>
			<td>{$lang.search_in_subcategories}</td>
		</tr>
		</table>
	</td>
</tr>
{/if}
{if $search_form == 'Y'}
<tr>
	<td colspan="2"><p>{include file="common_templates/subheader.tpl" title=$lang.advanced_search_options}</p></td>
</tr>
{if $manufacturers_list}
<tr>
	<td class="">{$lang.search_by_manufacturer}:</td>
	<td>
		<select	name="mid">
			<option	value="0">- {$lang.all_manufacturers} -</option>
			{foreach from=$manufacturers_list item="manufacturer"}
			<option	value="{$manufacturer.manufacturer_id}" {if $smarty.get.mid == $manufacturer.manufacturer_id}selected="selected"{/if}>{$manufacturer.manufacturer}</option>
			{/foreach}
		</select>
	</td>
</tr>
{/if}
<tr>
	<td class="">{$lang.search_by_price}&nbsp;({$currencies.$primary_currency.symbol}):</td>
	<td nowrap="nowrap">
		<input type="text" name="price_from" value="{$smarty.get.price_from|fn_stripslashes|escape:html}" onfocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="price_to" value="{$smarty.get.price_to|fn_stripslashes|escape:html}" onfocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
<tr>
	<td class="">{$lang.search_by_weight}&nbsp;({$settings.General.weight_symbol}):</td>
	<td nowrap="nowrap">
		<input type="text" name="weight_from" value="{$smarty.get.weight_from|fn_stripslashes|escape:html}" onfocus="fn_select_input(this)" class="input-text" />&nbsp;-&nbsp;<input type="text" name="weight_to" value="{$smarty.get.weight_to|fn_stripslashes|escape:html}" onfocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
{/if}
<tr>
	<td class="">{$lang.search_by_sku}:</td>
	<td>
		<input type="text" name="pcode" value="{$smarty.get.pcode|fn_stripslashes|escape:html}" onfocus="fn_select_input(this)" class="input-text" />
	</td>
</tr>
</table>
<p>
{include file="buttons/search.tpl" but_onclick="document.`$search_form_name`.submit();" but_type="input" but_arrow="on"}</p>
</form>
