{if $settings.General.user_multiple_profiles == "Y" && $auth.user_id}
	{if ($no_edit != 'Y' && !$user_data.profile_id) || $target != 'checkout' || $settings.General.one_page_checkout != 'Y'}
	<div class="form-field">
		<label for="profile_id">{$lang.profile_name}:</label>
		<span id="mark_profile_name" class="required-field-mark">&nbsp;</span>
		{if $action == 'add_profile' || $no_edit != 'Y'}
			{assign var="profile_name" value="- `$lang.new` -"}
		{else}
			{assign var="profile_name" value=$lang.main}
		{/if}
			{if $no_edit == 'Y'}
			<select name="user_data[profile_id]" onchange="{$on_change}">
				{if !$skip_create}
				<option selected="selected" value="0">-&nbsp;{$lang.create_profile}&nbsp;-</option>
				{/if}
				{foreach from=$user_profiles item="up"}
					<option {if $up.profile_id == $user_data.profile_id}selected="selected"{/if} value="{$up.profile_id}">{$up.profile_name}</option>
				{/foreach}
			</select>
			{else}
				<input type="hidden" id="profile_id" name="user_data[profile_id]" value="{$user_data.profile_id|default:'0'}" />
				<input type="text" name="user_data[profile_name]" size="32" value="{$user_data.profile_name|default:$profile_name|escape:html}" />
			{/if}
			{if $user_data.profile_id && $user_data.profile_type != 'P'}
				{assign var='delete_link' value="`$index_script`?`$target_name`=profiles&`$mode_name`=update&`$action_name`=delete_profile&profile_id=`$user_data.profile_id`"}
				<a href="{if $use_ajax}javascript: fn_ajax_http_request('{$delete_link}',['checkout_steps', 'cart_items', 'checkout_totals']);{else}{$delete_link}{/if}">{$lang.delete}</a>
			{/if}
	</div>
	{/if}
{else}
<div>
	<input type="hidden" id="profile_name" name="user_data[profile_name]" value="{$user_data.profile_name|default:$lang.main}" />
</div>
{/if}