{* $Id: profiles_info.tpl,v 1.1.1.1 2007/12/13 10:08:03 pshevtsov Exp $ *}

{include file="common_templates/subheader.tpl" title=$lang.customer_information}

{assign var="profile_fields" value=$location|fn_get_profile_fields}
{split data=$profile_fields.C size=2 assign="contact_fields" simple=true}

<h5 class="info-field-title"><b>{$lang.contact_information}</b></h5>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td valign="top" width="50%" class="info-field-body">
		{include file="profiles_pages/profile_fields_info.tpl" fields=$contact_fields.0 title=$lang.contact_information}
	</td>
	<td valign="top" width="50%" class="info-field-body">
		{include file="profiles_pages/profile_fields_info.tpl" fields=$contact_fields.1}
	</td>
</tr>
<tr>
	<td valign="top" width="50%" style="padding-right: 10px;">
		<h5 class="info-field-title"><b>{$lang.billing_address}</b></h5>
		<div class="info-field-body">{include file="profiles_pages/profile_fields_info.tpl" fields=$profile_fields.B title=$lang.billing_address}</div>
	</td>
	<td valign="top" width="50%" style="padding-left: 10px;">
		<h5 class="info-field-title"><b>{$lang.shipping_address}</b></h5>
		<div class="info-field-body">{include file="profiles_pages/profile_fields_info.tpl" fields=$profile_fields.S title=$lang.shipping_address}</div>
	</td>
</tr>
</table>

{if !$details}

{include file="common_templates/subheader.tpl" title=$lang.payment_information}

<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td valign="top" width="50%" style="padding-right: 10px;">
		{if $payment_method.payment && !$order_info}
		<h5 class="info-field-title">
			<b class="float-left valign">{$lang.payment_method}</b>
			<a href="{$index_script}?{$target_name}=checkout&amp;{$mode_name}=checkout#payment_methods" class="underlined float-right">{$lang.change}</a>
		</h5>
		<div class="info-field-body">
			{$payment_method.payment}
		</div>
		{else}
		&nbsp;
		{/if}
	</td>
	<td valign="top" width="50%" style="padding-left: 10px;">
		{if $shipping_method}
		<h5 class="info-field-title">
			<b class="float-left valign">{$lang.shipping_method}</b>
			<a href="{$index_script}?{$target_name}=checkout&amp;{$mode_name}=checkout#shipping_rates" class="underlined float-right">{$lang.change}</a>
		</h5>
		<div class="info-field-body">
		{foreach from=$shipping_method item="shipping" name="f_shipp"}
			{$shipping.shipping}<br />
		{/foreach}
		</div>
		{else}
		&nbsp;
		{/if}

	</td>
</tr>
</table>

{if $payment_method.template}
	<h5 class="info-field-title"><b>{$lang.payment_details}</b></h5>
	<div class="info-field-body">
		{if $settings.General.agree_terms_conditions == 'Y'}
		<div align="left"><input type="checkbox" id="id_accept_terms" name="accept_terms" value="Y" class="valign" /><label for="id_accept_terms" class="valign">&nbsp;{$lang.checkout_terms_n_conditions}</label><br />&nbsp;</div>
		{/if}
		{include file="payments/`$payment_method.template`" payment_id=$payment_method.payment_id}
	</div>
{/if}


{if !$payment_method.template}
	<script type="text/javascript" language="javascript 1.2">
	//<![CDATA[
	{literal}
	function fn_can_place_order()
	{
		return true;
	}
	{/literal}
	//]]>
	</script>
{/if}

{/if}