{* $Id: product_options.tpl,v 1.1.1.1 2007/12/13 10:08:05 pshevtsov Exp $ *}
<tr>
<td>
<table cellpadding="0" cellspacing="2" border="0">
{foreach from=$product_options item="po"}
<tr>
	<td nowrap="nowrap">{$po.option_text|default:$po.option_name}:&nbsp;</td>
	<td>
	{if $po.option_type == "S"}  {* SELECT BOX *}
		<select name="product_data[{$product_id}][product_options][{$po.option_id}]" style="display:'';" id="option_{$po.option_id}" onchange="javascript:fn_check_exceptions({$product_id});">
		{foreach from=$po.variants item="vr" name="vars"}
		<option value="{$vr.variant_id}" {if $smarty.foreach.vars.first}selected{/if}>{$vr.variant_name}{*if $vr.modifier|floatval}&nbsp;({include file="common_templates/modifier.tpl" mod_type=$vr.modifier_type mod_value=$vr.modifier display_sign=true}){/if*}</option>
		{/foreach}
		</select>
	{elseif $po.option_type == "R"} {* RADIO BUTTON *}
		<table cellpadding="0" cellspacing="0" border="0">
		<tr id="option_{$po.option_id}">
			{foreach from=$po.variants item="vr" name="vars"}
			<td><input  id="variant_{$vr.variant_id}" type="radio" name="product_data[{$product_id}][product_options][{$po.option_id}]" value="{$vr.variant_id}" {if $smarty.foreach.vars.first}checked{/if} style="disabled:false;" onclick="javascript:fn_check_exceptions({$product_id});" /></td>
			<td>{$vr.variant_name}&nbsp;{*if $vr.modifier|floatval}({include file="common_templates/modifier.tpl" mod_type=$vr.modifier_type mod_value=$vr.modifier display_sign=true}){/if*}</td>
			<td>&nbsp;</td>
			{/foreach}
		</tr>
		</table>
	{elseif $po.option_type == "C"} {* CHECK BOX *}
		{if $po.variants}

		{foreach from=$po.variants item="vr"}
		{if $vr.position == 0}
			<input id="unchecked_option_{$po.option_id}" type="hidden" name="product_data[{$product_id}][product_options][{$po.option_id}]" value="{$vr.variant_id}" />
		{else}
			<table cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td>
					<input id="option_{$po.option_id}" type="checkbox" name="product_data[{$product_id}][product_options][{$po.option_id}]" value="{$vr.variant_id}" style="disabled:false;" onclick="javascript:fn_check_exceptions({$product_id});" /></td>
				<td>{*if $vr.modifier|floatval}&nbsp;({include file="common_templates/modifier.tpl" mod_type=$vr.modifier_type mod_value=$vr.modifier display_sign=true}){/if*}</td>
				<td>&nbsp;</td>
			</tr>
			</table>
		{/if}
		{/foreach}

		{/if}
	{elseif $po.option_type == "I"} {* INPUT TEXT *}
		<input type="text" name="product_data[{$product_id}][product_options][{$po.option_id}]" value="{$po.value}" size="20" class="input-text" />
	{elseif $po.option_type == "T"} {* TEXT AREA *}
		<textarea name="product_data[{$product_id}][product_options][{$po.option_id}]" class="input-text" cols="20" rows="4">{$po.value|escape:html}</textarea>
	{/if}
	</td>
</tr>
{/foreach}
</table>
</td>
<td id='warning_{$product.product_id}' style="display:none" class="notification-title-e">&nbsp;&nbsp;&nbsp;{$lang.nocombination}

<script type="text/javascript" language="javascript 1.2" defer="defer">

// Option features
var exception_style = '{$settings.General.exception_style}';
var image_location = '{$settings.General.images_location}';
{if $exception.$product_id}
exceptions[{$product_id}] = {$exception.$product_id};
{/if}
if (typeof(price)=='undefined') {$ldelim}
	var price = new Array();
{$rdelim}
price[{$product_id}] = '{$product.price}';
{if $product.list_price}
if (typeof(list_price)=='undefined') {$ldelim}
	var list_price = new Array();
{$rdelim}
list_price[{$product_id}] = '{$product.list_price}';
{/if}
// Define the discounts for the product
{if $discount.$product_id}
if (typeof(pr_d)=='undefined') {$ldelim}
	var pr_d = new Array();
{$rdelim}
pr_d[{$product_id}] = new Array();
pr_d[{$product_id}]['P'] = {if $discount.$product_id.P}{$discount.$product_id.P}{else}0{/if};
pr_d[{$product_id}]['A'] = {if $discount.$product_id.A}{$discount.$product_id.A}{else}0{/if};
{/if}
// Define the array of all options of the product
if (typeof(pr_o)=='undefined') {$ldelim}
	var pr_o = new Array();
{$rdelim}
pr_o[{$product_id}] = new Array();
{foreach from=$product_options item="po" name="ii"}
	pr_o[{$product_id}][{$po.option_id}] = new Array();
	pr_o[{$product_id}][{$po.option_id}]['type'] = '{$po.option_type}';
	pr_o[{$product_id}][{$po.option_id}]['option_id'] = '{$po.option_id}';
	pr_o[{$product_id}][{$po.option_id}]['id'] = 'option_{$po.option_id}';
	pr_o[{$product_id}][{$po.option_id}]['inventory'] = '{$po.inventory}';
	pr_o[{$product_id}][{$po.option_id}]['name'] = '{$po.option_name|escape:javascript}';
	pr_o[{$product_id}][{$po.option_id}]['m'] = new Array();
	pr_o[{$product_id}][{$po.option_id}]['v'] = new Array();
	{foreach from=$po.variants item="var" name="jj"}
		pr_o[{$product_id}][{$po.option_id}]['m'][{$var.variant_id}] = {if $var.modifier|floatval}'{$var.modifier_type}{$var.modifier}'{else}'0'{/if};
		pr_o[{$product_id}][{$po.option_id}]['v'][{$var.variant_id}] = '{$var.variant_name|escape:javascript}';
	{/foreach}
{/foreach}

// images
if (typeof(pr_i)=='undefined') {$ldelim}
	var pr_i = new Array();
{$rdelim}
pr_i[{$product_id}] = new Array();
{foreach from=$product.option_image_pairs item="imag" name="ii" key="_key"}
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1] = new Array();
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['image_id'] = '{$imag.image_id}';
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['detailed_id'] = '{$imag.detailed_id}';
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['options'] = '{$imag.options}';
	{if $imag.image_id}
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['image_size'] = new Array();
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['image_size']['image_x'] = '{$imag.image_size.image_x}';
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['image_size']['image_y'] = '{$imag.image_size.image_y}';
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['image_size']['alt'] = '{$imag.image_size.alt}';
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['image_size']['type'] = '{$imag.image_size.type}';
	{/if}
	{if $imag.detailed_id}
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['detailed_size'] = new Array();
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['detailed_size']['image_x'] = '{$imag.detailed_size.image_x}';
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['detailed_size']['image_y'] = '{$imag.detailed_size.image_y}';
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['detailed_size']['alt'] = '{$imag.detailed_size.alt}';
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['detailed_size']['type'] = '{$imag.detailed_size.type}';
	{/if}
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['image'] = new Image(); 
	{if $settings.General.images_location != "database"}
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['icon'] = '{$product.option_images.$_key.icon.image_path}';
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['detailed'] = '{$product.option_images.$_key.icon.image_path}'
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['image'].src = '{$product.option_images.$_key.icon.image_path}';
	{else}
	pr_i[{$product_id}][{$smarty.foreach.ii.iteration}-1]['image'].src = "{$image_index}?object_id={$product_id}&image_id={$imag.image_id}".replace(/&amp;/gi, '&');
	{/if}
{/foreach}

// amount
if (typeof(pr_a)=='undefined') {$ldelim}
	var pr_a = new Array();
{$rdelim}
pr_a[{$product_id}] = new Array();
{foreach from=$product.option_inventory item="amount" name="ii" key="_key"}
	pr_a[{$product_id}]['{$amount.options}|'] = '{$amount.amount}';
{/foreach}
</script>
</td>
</tr>
