{* $Id: gift_certificates_manage.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{include file="addons/gift_certificates/sections.tpl" section='G'}

<div align="right">
	<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=statuses&status_type=O" class="underlined">{$lang.status_purchased_gift_certificates}</a>&nbsp;&nbsp;
	<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=gift_certificates&{$mode_name}=add" class="underlined">{$lang.add_new_certificate}</a>&nbsp;&nbsp;
</div><p></p>
{capture name="mainbox"}

{capture name="section"}
	{include file="addons/gift_certificates/gift_certificates_search_form.tpl"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.section}

<form action="{$index_script}" method="post" enctype="multipart/form-data" name="gift_cert_list_form">
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="do_{$mode}_update" />
<input type="hidden" name="redirect_url" value="{$current_url}" />

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('gift_cert_list_form', this.checked);" title="{$lang.check_uncheck_all}"></td>
	<td class="manage-header" nowrap="nowrap" width="25%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=gift_cert_code&sort_order={$sort_order}{$url_suffix}">{$lang.code}</a>{if $sort_by == 'gift_cert_code'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap" width="5%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=status&sort_order={$sort_order}{$url_suffix}">{$lang.status}</a>{if $sort_by == 'status'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap" width="30%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=sender&sort_order={$sort_order}{$url_suffix}">{$lang.gift_cert_from}</a>{if $sort_by == 'sender'}{$sort_sign}{/if}&nbsp;/&nbsp;<a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=recipient&sort_order={$sort_order}{$url_suffix}">{$lang.gift_cert_to}</a>{if $sort_by == 'recipient'}{$sort_sign}{/if}</td>	
	<td class="manage-header" nowrap="nowrap" width="10%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=send_via&sort_order={$sort_order}{$url_suffix}">{$lang.type}</a>{if $sort_by == 'send_via'}{$sort_sign}{/if}</td>		
	<td class="manage-header" nowrap="nowrap" width="25%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=timestamp&sort_order={$sort_order}{$url_suffix}">{$lang.date}</a>{if $sort_by == 'timestamp'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap" width="15%">{$lang.current_amount}</td>	
</tr>

{foreach from=$gift_certificates item="gift"}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="delete[{$gift.gift_cert_id}]" id="delete_checkbox" value="Y"></td>
	<td class="side-padding"><a href="{$index_script}?{$target_name}=gift_certificates&{$mode_name}=update&gift_cert_id={$gift.gift_cert_id}" class="underlined"><b>{$gift.gift_cert_code}</b></a></td>
	<td class="side-padding">
		<input type="hidden" name="origin_statuses[{$gift.gift_cert_id}]" value="{$gift.status}">
		{include file="orders_pages/order_status.tpl" status=$gift.status display="select" name="certificate_statuses[`$gift.gift_cert_id`]" type=$smarty.const.STATUSES_GIFT_CERTIFICATE}
	</td>
	<td class="side-padding">{$gift.sender|escape:"html"}&nbsp;/&nbsp;{$gift.recipient|escape:"html"}</td>
	<td class="side-padding">{if $gift.send_via == 'P'}{$lang.mail}{else}{$lang.email}{/if}</td>	
	<td class="side-padding"><a href="{$index_script}?{$target_name}=gift_certificates&{$mode_name}=update&gift_cert_id={$gift.gift_cert_id}" class="underlined">{$gift.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</a></td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$gift.debit}</td>
<tr>
{/foreach}

{if !$gift_certificates}
<tr class="manage-row">
	<td colspan="8" align="center"><p><b>{$lang.no_gift_cert_found}</b></p></td>
{/if}
</table>
{include file="common_templates/pagination.tpl"}
{if 'manage_gift_certificates'|fn_check_privileges:true}
	{if  $gift_certificates}
	<p></p>
	<table cellpadding="0" cellspacing="0" border="0">
	<tr>
		<td>
			<input type="checkbox" name="notify_user" value="Y" /></td>
		<td>{$lang.notify_customer}</td>
	</tr>
	</table>
	<p></p>
	<table border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td>
			{include file="buttons/button.tpl" but_text=$lang.update_status but_onclick="javascript: document.gift_cert_list_form.`$mode_name`.value='update_certificate_statuses'; document.gift_cert_list_form.submit();" but_type="input"}</td>
		<td>&nbsp;&nbsp;&nbsp;</td>
		<td>
			{include file="buttons/button.tpl" but_text=$lang.delete_selected but_onclick="javascript: fn_delete_selected('gift_cert_list_form','delete');" but_type="input"}</td>
		<td>&nbsp;&nbsp;&nbsp;</td>
	</tr>
	</table>
	{/if}
	<p>{include file="buttons/add_new.tpl" but_href="$index_script?$target_name=gift_certificates&$mode_name=add"}</p>
{/if}
</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.gift_certificates content=$smarty.capture.mainbox}