{* $Id: search.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{literal}
<script type="text/javascript" language="javascript 1.2">
var fields = new Array('start_date[from_Month]', 'start_date[from_Day]' , 'start_date[from_Year]', 'end_date[to_Month]', 'end_date[to_Day]' , 'end_date[to_Year]');

function fn_disable_select_date(disable)
{
	for (i in fields) {
		document.events_search.elements[fields[i]].disabled = disable;
	}
}

</script>
{/literal}

{capture name="mainbox"}

{capture name="section"}
<form action="{$index_script}" method="GET" name="events_search">
<input type="hidden" name="{$target_name}" value="events" />
<input type="hidden" name="{$mode_name}" value="search" />
<input type="hidden" name="{$action_name}" value="search" />

<table cellpadding="1" cellspacing="2" border="0">
<tr>
	<td nowrap="nowrap" valign="top" align="right"><p>{$lang.period}:</p></td>
	<td class="required-field-mark">&nbsp;</td>
	<td colspan="5">
		{include file="common_templates/period_selector.tpl" period=$smarty.get.period form_name="events_search"}</td>
</tr>
<tr>
	<td nowrap="nowrap" align="right">{$lang.title}:&nbsp;</td>
	<td class="required-field-mark">&nbsp;</td>
	<td colspan="5"><input class="input-text" name="title" size="50" type="text" value="{$smarty.get.title|escape:html}" /></td>
</tr>
<tr>
	<td nowrap="nowrap" align="right">{$lang.owner}:&nbsp;</td>
	<td class="required-field-mark">&nbsp;</td>
	<td><input class="input-text" name="owner" size="25" type="text" value="{$smarty.get.owner|escape:html}" /></td>
	<td class="required-field-mark">&nbsp;</td>
	<td nowrap="nowrap" align="right">{$lang.subscriber}:&nbsp;</td>
	<td class="required-field-mark">&nbsp;</td>
	<td width="100%"><input class="input-text" name="subscriber" size="25" type="text" value="{$smarty.get.subscriber|escape:html}" /></td>
</tr>
<tr>
	<td nowrap="nowrap" align="right">{$lang.status}:&nbsp;</td>
	<td class="required-field-mark">&nbsp;</td>
	<td>
		<select name="status">
			<option value="">--</option>
			<option {if $smarty.get.status == 'A'}selected="selected"{/if} value="A">{$lang.awaiting}</option>
			<option {if $smarty.get.status == 'P'}selected="selected"{/if} value="P">{$lang.in_progress}</option>
			<option {if $smarty.get.status == 'F'}selected="selected"{/if} value="F">{$lang.finished}</option>
		</select>
	</td>
	<td>&nbsp;</td>
	<td nowrap="nowrap" align="right">{$lang.type}:&nbsp;</td>
	<td class="required-field-mark">&nbsp;</td>
	<td width="100%">
		<select name="type">
			<option value="">--</option>
			<option {if $smarty.get.type == 'P'}selected="selected"{/if} value="P">{$lang.public}</option>
			<option {if $smarty.get.type == 'U'}selected="selected"{/if} value="U">{$lang.private}</option>
			<option {if $smarty.get.type == 'D'}selected="selected"{/if} value="D">{$lang.disabled}</option>
		</select>
	</td>
</tr>


{foreach from=$event_fields item=field}
{assign var="f_id" value=$field.field_id}
<tr>
	<td nowrap="nowrap" align="right">{$field.description}:&nbsp;</td>
	<td valign="middle">&nbsp;</td>
	<td width="85%" style="height: 23px;" colspan="5">
		{if $field.field_type == 'S' || $field.field_type == 'R'}
			<select name="search_fields[{$field.field_id}]">
			<option value=""> -- </option>
			{foreach from=$field.variants item=var}
			<option value="{$var.variant_id}" {if $smarty.get.search_fields.$f_id == $var.variant_id}selected="selected"{/if}>{$var.description}</option>
			{/foreach}
			</select>
		{elseif $field.field_type == 'C'}
		    <select name="search_fields[{$field.field_id}]">
			<option value=""> -- </option>
			<option value="Y" {if $smarty.get.search_fields.$f_id == "Y"}selected="selected"{/if}>{$lang.yes}</option>
			<option value="N" {if $smarty.get.search_fields.$f_id == "N"}selected="selected"{/if}>{$lang.no}</option>
			</select>
		{elseif $field.field_type == 'I' || $field.field_type == 'T'}
			<input class="input-text" size="50" type="text" name="search_fields[{$field.field_id}]" value="{$smarty.get.search_fields.$f_id}" />
		{elseif $field.field_type == 'V'}
			{html_select_date field_array="search_fields[`$field.field_id`]" start_year="1970" end_year="+5" all_empty="--" time=$smarty.get.search_fields.$f_id}
		{/if}
	</td>
</tr>
{/foreach}
</table>

<p></p>
{include file="buttons/search.tpl" but_onclick="javascript: document.events_search.submit();"}
</form>

{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.section}

<br />

<form action="{$index_script}" method="POST" name="delete_events_form">
<input type="hidden" name="{$target_name}" value="events" />
<input type="hidden" name="{$mode_name}" value="delete_events" />
<input type="hidden" name="redirect_url" value="{$current_url}" />

{include file="common_templates/pagination.tpl"}
<table cellpadding="2" cellspacing="1" width="100%" border="0">
<tr>
	<td width="1%" class="manage-header" align="center">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('delete_events_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header">{$lang.title}</td>
	<td class="manage-header">{$lang.start_date}</td>
	<td class="manage-header">{$lang.end_date}</td>
	<td class="manage-header">{$lang.status}</td>
	<td class="manage-header">{$lang.type}</td>
</tr>
{if $events}
{foreach from=$events item=event}
<tr {cycle values="class='manage-row',"}>
	<td align="center">
		<input type="checkbox" name="delete_events[{$event.event_id}]" id="delete_checkbox" value="Y" /></td>
	<td><a href="{$index_script}?{$target_name}=events&{$mode_name}=update&event_id={$event.event_id}" class="underlined"><b>{$event.title}</b></a></td>
	<td>{$event.start_date|date_format:$settings.Appearance.date_format}</td>
	<td>{$event.end_date|date_format:$settings.Appearance.date_format}</td>
	<td>{if $event.status == 'A'}{$lang.awaiting}{elseif $event.status == 'P'}{$lang.in_progress}{else}{$lang.finished}{/if}</td>
	<td>{if $event.type == 'P'}{$lang.public}{elseif $event.type == 'U'}{$lang.private}{else}{$lang.disabled}{/if}</td>
</tr>
{/foreach}
{else}
<tr>
	<td colspan="6" class="manage-row" align="center">
		<p><b>{$lang.no_items_found}</b></p></td>
</tr>
{/if}	
</table>
{include file="common_templates/pagination.tpl"}
{if 'manage_events'|fn_check_privileges:true && $events}
	<p></p>
	{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('delete_events_form','delete_events');"}
{/if}
</form>
{if 'manage_events'|fn_check_privileges:true}
	<p></p>
	{include file="buttons/add_new.tpl" but_href="$index_script?$target_name=events&$mode_name=add" but_type="none"}
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.events content=$smarty.capture.mainbox}
