{* $Id: lists.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file="addons/listmania/list_update_script.tpl"}

{include file="common_templates/select_language.tpl"}

<div id="lm_list_types">
{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<form action="{$index_script}" method="post" name="lm_lists_form">
<input type="hidden" name="{$target_name}" value="listmania" />
<input type="hidden" name="{$mode_name}" value="do_update_lm_list_types" />
<input type="hidden" name="page" value="1" />
{if $smarty.get.list_id}
<input type="hidden" name="list_id" value="{$smarty.get.list_id|escape:html}" />
{/if}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('lm_lists_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=position&sort_order={$sort_order}{$url_suffix}">{$lang.position_short}</a>{if $sort_by == 'position'}{$sort_sign}{/if}</td>
	<td width="100%" class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=list&sort_order={$sort_order}{$url_suffix}">{$lang.list_name}</a>{if $sort_by == 'list'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=object&sort_order={$sort_order}{$url_suffix}">{$lang.object}</a>{if $sort_by == 'object'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=list_object&sort_order={$sort_order}{$url_suffix}">{$lang.list_objects}</a>{if $sort_by == 'list_object'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=type&sort_order={$sort_order}{$url_suffix}">{$lang.type}</a>{if $sort_by == 'type'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=appearance_box&sort_order={$sort_order}{$url_suffix}">{$lang.appearance_box}</a>{if $sort_by == 'appearance_box'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=appearance_order&sort_order={$sort_order}{$url_suffix}">{$lang.appearance_order}</a>{if $sort_by == 'appearance_order'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=appearance_type&sort_order={$sort_order}{$url_suffix}">{$lang.appearance_type}</a>{if $sort_by == 'appearance_type'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=avail&sort_order={$sort_order}{$url_suffix}">{$lang.avail}</a>{if $sort_by == 'avail'}{$sort_sign}{/if}</td>
	<td class="manage-header">&nbsp;</td>
</tr>

{if $lm_lists}
{foreach from=$lm_lists item=lm_list}
<tr {cycle values='class="manage-row", '}>
	<td align="center" width="1%">
		<input type="checkbox" name="lm_list_data[{$lm_list.list_id}][delete]" id="delete_checkbox" value="Y" /></td>
	<td>
		<input type="text" name="lm_list_data[{$lm_list.list_id}][position]" size="3" value="{$lm_list.position}" class="input-text" /></td>
	<td>
		<input type="text" name="lm_list_data[{$lm_list.list_id}][list]" size="25" value="{$lm_list.list}" class="input-text" />{if $lm_list.disabled}&nbsp;<span class="small-note">-&nbsp;[{$lang.disabled}&nbsp;{$lm_list.disabled}]</span>{/if}</td>
	<td nowrap="true">
		{$lm_list.object|fn_lm_get_lang_var:'object'}</td>
	<td nowrap="true">
		{$lm_list.list_object|fn_lm_get_lang_var:'list_object'}</td>
	<td nowrap="true">
		{$lm_list.type|fn_lm_get_lang_var:'type'}</td>
	<td>
		{$lm_list.appearance_box|fn_lm_get_lang_var:'appearance':'box'}</td>
	<td>
		<select name="lm_list_data[{$lm_list.list_id}][appearance_order]"  {if $lm_list.appearance_box == $smarty.const.LM_PRODUCT_DETAILS}disabled="disabled"{/if}>
		{if $lm_list.appearance_box == $smarty.const.LM_PRODUCT_DETAILS}
			<option value="0">- {$lang.not_applicable} -</option>
		{else}
			{foreach from=$lm_appearance.order key='obj_value' item='obj_name'}
			{if $obj_value != $smarty.const.LM_NOT_APPLICABLE}<option value="{$obj_value}" {if $lm_list.appearance_order == $obj_value}selected="selected"{/if}>{$lang.$obj_name}</option>{/if}
			{/foreach}
		{/if}
		</select></td>
	<td>
		{strip}
		<select name="lm_list_data[{$lm_list.list_id}][appearance_type]" class="expanded">
		{foreach from=$listmania_data.slaves.appearance_type key='slave_value' item='variants'}
			{foreach from=$variants item='v'}
				{if $v.list_object == $lm_list.list_object && $v.appearance_box == $lm_list.appearance_box}
					<option value="{$slave_value}" {if $slave_value == $lm_list.appearance_type}selected="selected"{/if}>{$slave_value|fn_lm_get_lang_var:'appearance':'type'}</option>
				{/if}
			{/foreach}
		{/foreach}
		</select>
		{/strip}
	</td>
	<td align="center">
		<input type="hidden" name="lm_list_data[{$lm_list.list_id}][avail]" value="N" />
		<input type="checkbox" name="lm_list_data[{$lm_list.list_id}][avail]" value="Y" {if $lm_list.avail == 'Y'}checked="checked"{/if} /></td>
	<td align="center" nowrap="true">
		&nbsp;{include file="buttons/button.tpl" but_text=$lang.edit but_style='text' but_href="$index_script?$target_name=listmania&$mode_name=list_update&list_id=`$lm_list.list_id`"}&nbsp;</td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="11" align="center"><p><b>{$lang.text_no_items_found|replace:'[items]':$lang.list_types}</b></p></td>
</tr>
{/if}
</table>	
</form>
{include file="common_templates/pagination.tpl"}

{if $lm_lists && 'manage_listmania'|fn_check_privileges:true}
<p></p>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.lm_lists_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('lm_lists_form','do_delete_lm_list_types');"}</td>
</tr>
</table>
<p></p>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/button.tpl" but_text=$lang.apply_list_to_objects but_onclick="javascript: fn_delete_selected('lm_lists_form','apply_selected_lists', true);"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/button.tpl" but_text=$lang.unset_list_to_objects but_onclick="javascript: fn_delete_selected('lm_lists_form','unset_selected_lists', true);"}</td>
</tr>
</table>
{/if}	{* 'manage_listmania'|fn_check_privileges:true *}

<!--lm_list_types--></div>

{if 'manage_listmania'|fn_check_privileges:true}
<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_lm_lists}

<form action="{$index_script}" method="post" name="do_add_lm_lists_form">
<input type="hidden" name="{$target_name}" value="listmania" />
<input type="hidden" name="{$mode_name}" value="do_add_lm_list_types" />
<input type="hidden" name="ajax" value="lm_list_types" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap="nowrap">{$lang.position_short}</td>
	<td class="add-new-header" nowrap="nowrap" width="100%">{$lang.list_name}</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.object}</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.list_objects}</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.type}</td>
	<td class="add-new-header" align="center" nowrap="nowrap">{$lang.appearance_box}</td>
	<td class="add-new-header" align="center" nowrap="nowrap">{$lang.appearance_order}</td>
	<td class="add-new-header" align="center" nowrap="nowrap">{$lang.appearance_type}</td>
	<td class="add-new-header" align="center" nowrap="nowrap">{$lang.avail}</td>
	<td>&nbsp;</td>
</tr>
<tr id="box_add_lm_list" class="manage-row">
	<td>
		<input type="text" name="add_lm_list_data[0][position]" size="3" value="0" class="input-text" /></td>
	<td>
		<input type="text" name="add_lm_list_data[0][list]" size="25" value="" class="input-text" /></td>
	<td>
		<select name="add_lm_list_data[0][object]" id="id_lm_object" onchange="javascript: fn_lm_check_params('object', this.value, this.name, 'add');">
		{foreach from=$lm_object key='obj_value' item='obj_name'}
		<option value="{$obj_value}">{$lang.$obj_name}{$obj_value|fn_lm_check_enabled_addons}</option>
		{/foreach}
		</select></td>
	<td>
		<select name="add_lm_list_data[0][list_object]" id="id_lm_list_object" onchange="javascript: fn_lm_check_params('list_object', this.value, this.name, 'add');">
		</select></td>
	<td>
		<select name="add_lm_list_data[0][type]" id="id_lm_type" onchange="javascript: fn_lm_check_params('type', this.value, this.name, 'add');">
		</select></td>
	<td>
		<select name="add_lm_list_data[0][appearance_box]" id="id_appearance_box" onchange="javascript: fn_lm_check_params('appearance_box', this.value, this.name, 'add');">
		{foreach from=$lm_appearance.box key='obj_value' item='obj_name'}
		<option value="{$obj_value}">{$lang.$obj_name}</option>
		{/foreach}
		</select></td>
	<td>
		<select name="add_lm_list_data[0][appearance_order]" onchange="javascript: fn_lm_check_params('appearance_order', this.value, this.name, 'add');">
		{foreach from=$lm_appearance.order key='obj_value' item='obj_name'}
		<option value="{$obj_value}">{$lang.$obj_name}</option>
		{/foreach}
		</select></td>
	<td>
		<select name="add_lm_list_data[0][appearance_type]" id="id_appearance_type">
		</select></td>
	<td align="center">
		<input type="hidden" name="add_lm_list_data[0][avail]" value="N" />
		<input type="checkbox" name="add_lm_list_data[0][avail]" value="Y" checked="checked" /></td>
	<td nowrap="nowrap">
		{include file="buttons/multiple_buttons.tpl" item_id="add_lm_list"}</td>
</tr>
</table>
<script type="text/javascript" language="javascript" defer="defer">
	fn_lm_check_params('object', document.getElementById('id_lm_object').value, document.getElementById('id_lm_object').name, 'add');
</script>
<br />
{include file="buttons/add_new.tpl" but_onclick="javascript: document.do_add_lm_lists_form.submit();"}

</form>
{/if}	{* 'manage_listmania'|fn_check_privileges:true *}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.listmania content=$smarty.capture.mainbox}
