{* $Id: history.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

<div align="right">
	<span class="bull">&bull;</span>&nbsp;<a href="javascript: if (confirm('{$lang.delete_livehelp_warning|escape:javascript}')) fn_redirect('{$index_script}?{$target_name}={$target}&{$mode_name}=delete'); else void(0);" class="underlined">{$lang.remove_livehelp_data}</a>
	<p></p>
</div>

{capture name="mainbox"}

{capture name="section"}
	{include file="addons/live_help/history_search_form.tpl" search_type="extended"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.lh_site_visitors_filter section_content=$smarty.capture.section}

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:'sort_by':'sort_order'}
{if $sort_order == 'asc'}
	{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
	{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}


<table cellpadding="3" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td align="center" class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=type&sort_order={$sort_order}{$url_suffix}">{$lang.group}</a>{if $sort_by == 'type'}{$sort_sign}{/if}</td>
	<td align="center" class="manage-header" nowrap="nowrap" width="40%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=name&sort_order={$sort_order}{$url_suffix}">{$lang.name}</a>{if $sort_by == 'name'}{$sort_sign}{/if}</td>
	<td align="center" class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=operator_name&sort_order={$sort_order}{$url_suffix}">{$lang.lh_operator}</a>{if $sort_by == 'operator_name'}{$sort_sign}{/if}</td>
	<td align="center" class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=num&sort_order={$sort_order}{$url_suffix}">{$lang.messages}</a>{if $sort_by == 'num'}{$sort_sign}{/if}</td>
	<td align="center" class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=min_date&sort_order={$sort_order}{$url_suffix}">{$lang.lh_earliest}</a>{if $sort_by == 'min_date'}{$sort_sign}{/if}</td>
	<td align="center" class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=max_date&sort_order={$sort_order}{$url_suffix}">{$lang.lh_oldest}</a>{if $sort_by == 'max_date'}{$sort_sign}{/if}</td>
	{if $settings.Addons.statistics == 'Y'}
	<td align="center" class="manage-header" nowrap="nowrap">{$lang.statistics}</td>
	{/if}
</tr>

{if $persons}
	{foreach from=$persons item=person}
		{if $person.type == 'chat'}
			<tr class="text-group-chat">
		{elseif $person.type == 'message'}
			<tr class="text-group-message">
		{elseif $person.type == 'operator'}
			<tr class="text-group-operator">
		{/if}
			<td>{if $person.type == 'chat'}{$lang.lh_chat_session}{elseif $person.type == 'message'}{$lang.lh_left_message}{elseif $person.type == 'operator'}{$lang.lh_operator_chat}{/if}</td>
			<td>
				<a href="{$index_script}?{$target_name}=lh_history&{$mode_name}=view&type={$person.type}&id={$person.id}&operator={$person.operator_id}{if $params.q}&highlight={$params.q}{/if}&reset_period=1{if $person.selected_section}&amp;selected_section={$person.selected_section}{/if}" class="manage-root-item">{$person.name}</a>
			</td>
			<td>{$person.operator_name}</td>
			<td>{$person.num}</td>
			<td>{$person.min_date|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
			<td>{$person.max_date|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
			{if $settings.Addons.statistics == 'Y'}
			<td align="center">{if $person.type == 'chat'}<a href="{$index_script}?{$target_name}=view_statistics&amp;{$mode_name}=visitors_log&amp;from_addon=live_help&amp;ip={$person.ip|escape:url}">{$lang.view}&nbsp;&raquo;</a>{else}&nbsp;{/if}</td>
			{/if}
		</tr>
		{if $params.q}
			{foreach from=$texts item=row}
					{if $person.type == 'chat' && ($row.operator_name == $person.operator_name && $row.name == $person.name)}
					<tr>
						<td colspan="7" class="text-group-chat">-&nbsp;&nbsp;{$row.text}</td>
					</tr>
					{elseif $person.type == 'message' && ($row.operator_name == $person.operator_name && $row.name == $person.name)}
					<tr>
						<td colspan="7" class="text-group-message">-&nbsp;&nbsp;{$row.text}</td>
					</tr>
					{elseif $person.type == 'operator' && (($row.operator_name == $person.operator_name && $row.name == $person.name) ||	($row.operator_name == $person.name && $row.name == $person.operator_name))}
					<tr>
						<td colspan="7" class="text-group-operator">-&nbsp;&nbsp;{$row.text}</td>
					</tr>
					{/if}
			{/foreach}
		{/if}
	{/foreach}
{else}
	<tr>
		<td colspan="7" align="center" class="manage-row">
			<p><b>{$lang.lh_no_messages_found}</b></p></td>
	</tr>
{/if}

</table>

{include file="common_templates/pagination.tpl"}
<p></p>

{/capture}

{include file="common_templates/mainbox.tpl" title=$lang.lh_chat_history content=$smarty.capture.mainbox}