{* $Id: history_search_form.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

<form action="{$index_script}" name="search_form" method="get">
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="{$mode}" />
<input type="hidden" name="action" value="update" />
<input type="hidden" name="page" value="{$page}" />

<table cellpadding="1" cellspacing="1" border="0">

<tr>
	<td width="150">{$lang.lh_filter_operators}:</td>
	<td>
		<select name="operator">
			<option value="all" {if $params.operator == 'all'}selected="selected"{/if}>{$lang.lh_all_operators}</option>
			{foreach from=$operators item=operator}
				<option value="{$operator.id}" {if $params.operator == $operator.id}selected="selected"{/if}>{$operator.login} ({$operator.name})</option>
			{/foreach}
		</select>
	</td>
</tr>

<tr>
	<td>{$lang.lh_history_group}:</td>
	<td nowrap="nowrap">
		<select name="group">
			<option value="all" {if $params.group == 'all'}selected="selected"{/if}>{$lang.lh_all_history}</option>
			<option value="chat" {if $params.group == 'chat'}selected="selected"{/if}>{$lang.lh_chat_sessions}</option>
			<option value="message" {if $params.group == 'message'}selected="selected"{/if}>{$lang.lh_left_messages}</option>
			<option value="operator" {if $params.group == 'operator'}selected="selected"{/if}>{$lang.lh_operators_chat}</option>
		</select>
	</td>
</tr>

<tr>
	<td>{$lang.name}:</td>
	<td><input type="text" name="name" size="30" value="{$params.name|fn_stripslashes|escape:html}" class="input-text" /></td>
</tr>

<tr>
	<td>{$lang.email}:</td>
	<td><input type="text" name="email" size="30" value="{$params.email|fn_stripslashes|escape:html}" class="input-text" /></td>
</tr>

<tr>
	<td>{$lang.period}: </td>
	<td nowrap="nowrap">
		{include file="common_templates/period_selector.tpl" period=$smarty.get.period form_name="search_form"}</td>
</tr>

<tr>
	<td width="120">{$lang.lh_message_contains_word}:</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				<select name="match">
					<option value="any" {if $params.match == 'any' || !$params.match}selected="selected"{/if}>{$lang.any_words}</option>
					<option value="all" {if $params.match == 'all'}selected="selected"{/if}>{$lang.all_words}</option>
					<option value="exact" {if $params.match == 'exact'}selected="selected"{/if}>{$lang.exact_phrase}</option>
				</select></td>
			<td>&nbsp;</td>
			<td>
				<input type="text" name="q" size="45" value="{$params.q|fn_stripslashes|escape:html}" class="input-text" /></td>
		</tr>
		</table>
	</td>
</tr>

</table>
<p></p>

{if 'manage_livehelp'|fn_check_privileges:true}
	{include file="buttons/button.tpl" but_text=$lang.search but_onclick="javascript:document.search_form.submit();" but_type="input" but_arrow="on"}
{/if}
</form>
