{* $Id: news.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}
{** news section **}  

<div align="right"><span class="bull">&bull;</span>&nbsp;<a href="#add_new" class="underlined">{$lang.add_news}</a></div>
<p></p>

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="news_form">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="news" />
<input type="hidden" name="{$mode_name}" value="update" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('news_form', this.checked);" /></td>
	<td class="manage-header" nowrap>{$lang.date}</td>
	<td class="manage-header" nowrap>{$lang.news}</td>
	<td class="manage-header" nowrap>{$lang.separate_page}</td>
	<td class="manage-header" nowrap>{$lang.avail}</td>
	<td class="manage-header" nowrap width="100%">&nbsp;</td>
</tr>

{if $news}

{foreach from=$news item=news}
<tr {cycle values='class="manage-row", '}>
	<td valign="top" align="center">
		<input type="checkbox" name="news[{$news.news_id}][delete]" id="delete_checkbox" value="Y" /></td>
	<td valign="top" align="center" nowrap>
		{html_select_date field_array="news[`$news.news_id`][date]" time="`$news.date`" start_year=$settings.Company.company_start_year}</td>
	<td valign="top">
		<input type="text" name="news[{$news.news_id}][news]" value="{$news.news|escape}" size="20" class="input-text" /></td>
	<td valign="top" align="center">
		<input type="hidden" name="news[{$news.news_id}][separate]" value="N">
		<input type="checkbox" name="news[{$news.news_id}][separate]" value="Y" {if $news.separate == 'Y'}checked="checked"{/if} /></td>
	<td valign="top" align="center">
		<input type="hidden" name="news[{$news.news_id}][avail]" value="N">
		<input type="checkbox" name="news[{$news.news_id}][avail]" value="Y" {if $news.avail == 'Y'}checked="checked"{/if} /></td>
	<td>{include file="buttons/button.tpl" but_style="text" but_text=$lang.details but_href="$index_script?$target_name=news&news_id=`$news.news_id`"}</td>
</tr>
{/foreach}
<tr>
	<td colspan="5">
		<p></p>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/update.tpl" but_onclick="javascript:document.news_form.submit();" but_type="input"}</td>
			<td>&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('news_form', 'delete');"}<td>
		</tr>
		</table>
	</td>	
</tr>

{else}
<tr class="manage-row">
	<td colspan="10" align="center">
		<p><b>{$lang.text_no_news}</b></td>
</tr>
{/if}
</table>
</form>

<br /><br />
<a name="add_new"></a>
{include file="common_templates/subheader.tpl" title=$lang.add_news}

<form action="{$index_script}" method="post" name="add_news_form">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="news" />
<input type="hidden" name="{$mode_name}" value="add" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td width="110" class="field-name">{$lang.news}:</td>
	<td class="required-field-mark">*</td>
	<td width="85%">
		<input type="text" name="news_data[news]" value="" style="width:85%" size="20" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name">{$lang.description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="man_descr" name="news_data[description]" cols="35" rows="8" class="input-text" style="width: 85%"></textarea><br />
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('man_descr');" but_style="text"}
	</td>
</tr>
<tr>
	<td class="field-name">{$lang.date}:</td>
	<td>&nbsp;</td>
	<td>{html_select_date field_array="news_data[date]" start_year=$settings.Company.company_start_year}</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.show_on_separate_page}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="news_data[separate]" value="N" />
		<input type="checkbox" name="news_data[separate]" value="Y" /></td>
</tr>
<tr>
	<td class="field-name">{$lang.available}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="news_data[avail]" value="N" />
		<input type="checkbox" name="news_data[avail]" value="Y" checked="checked" /></td>
</tr>
{if $settings.Addons.discussion == "Y"}
{include file="addons/discussion/allow_discussion.tpl" object_type="N" title=$lang.discussion_title_news}
{/if}

</table>


<p></p>{include file="buttons/add_new.tpl" but_onclick="javascript: document.add_news_form.submit()"}

</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.news content=$smarty.capture.mainbox}
