{* $Id: newsletter_details.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="newsletters_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="newsletters">
<input type="hidden" name="{$mode_name}" value="update">
<input type="hidden" name="redirect_url" value="{$index_script}?{$target_name}=newsletters&newsletter_id={$newsletter.newsletter_id}">

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td width="110" class="field-name">{$lang.subject}:</td>
	<td class="required-field-mark">*</td>
	<td width="100%">
		<input type="text" name="newsletters[{$newsletter.newsletter_id}][newsletter]" value="{$newsletter.newsletter}" style="width:85%" size="20" class="input-text"></td>
</tr>
<tr>
	<td class="field-name">{$lang.body}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="man_descr" name="newsletters[{$newsletter.newsletter_id}][body_html]" cols="35" rows="8" class="input-text" style="width: 85%">{$newsletter.body_html|escape:html}</textarea><br>
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('man_descr');" but_style="text"}
	</td>
</tr>
<tr><td colspan="3">&nbsp;</td></tr>
<tr>
	<td class="field-name">{$lang.send_to}:</td>
	<td>&nbsp;</td>
	<td>
		{capture name="section"}
		<table cellpadding="1" cellspacing="1" border="0" width="100%">
		<tr>
			<td>
				<input type="checkbox" name="send_to[subscribers]" value="Y" checked></td>
			<td nowrap="nowrap">{$lang.site_subscribers}</td>
		</tr>
		<tr>
			<td>
				<input type="checkbox" name="send_to[registered]" value="Y"></td>
			<td nowrap="nowrap">{$lang.all_customers}</td>
		</tr>
		<tr>
			<td>
				<input type="checkbox" name="send_to[active]" value="Y"></td>
			<td nowrap="nowrap">{$lang.active_customers}:</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td nowrap="nowrap">
				<select name="send_options[active_type]">
					<option value="D">{$lang.in_last_24hrs}</option>
					<option value="W">{$lang.in_last_7days}</option>
					<option value="M">{$lang.in_last_month}</option>
				</select>
			</td>
		</tr>
		{if $memberships}
		<tr>
			<td>
				<input type="checkbox" name="send_to[memberships]" value="Y"></td>
			<td nowrap="nowrap">
				{$lang.send_to_membership}:</td>
		</tr>
		<tr>
			<td>
				&nbsp;</td>
			<td>
				<select name="send_options[membership_ids][]" multiple size="5">
				{foreach from=$memberships item=m}
				<option value="{$m.membership_id}">{$m.membership}</option>
				{/foreach}
				</select>
				{$lang.multiple_selectbox_notice}</td>
		</tr>
		{/if}
		{if $settings.Affiliate.enable == 'Y'}
		<tr>
			<td>
				<input type="checkbox" name="send_to[approved_partners]" value="Y"></td>
			<td nowrap="nowrap">{$lang.all_approved_partners}</td>
		</tr>
		{if $partners}
		<tr>
			<td>
				<input type="checkbox" name="send_to[selected_partners]" value="Y"></td>
			<td nowrap="nowrap">
				{$lang.selected_partners}:</td>
		</tr>
		<tr>
			<td>
				&nbsp;</td>
			<td>
				<select name="send_options[partner_ids][]" multiple size="7">
				{foreach from=$partners item=p}
				<option value="{$p.user_id}">{$p.firstname} {$p.lastname}</option>
				{/foreach}
				</select>
				{$lang.multiple_selectbox_notice}</td>
		</tr>
		{/if}
		{/if}
		</table>
		{/capture}
		{include file="common_templates/section.tpl" section_title=$lang.select_recipients section_content=$smarty.capture.section}
	</td>
</tr>
</table>
<p>
<table>
<tr>
	<td>{include file="buttons/update.tpl" but_onclick="javascript:document.newsletters_form.submit();" but_type="input"}</td>
	<td>&nbsp;</td>
	<td>{include file="buttons/button.tpl" but_text="`$lang.save`&nbsp;&amp;&nbsp;`$lang.send`" but_onclick="javascript:document.newsletters_form.`$mode_name`.value='send'; document.newsletters_form.submit();" but_type="input"}</td>
</tr>
</table>
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.newsletters content=$smarty.capture.mainbox}
