{* $Id: configurator_group_details.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="configurator_group_products_form" enctype="multipart/form-data">
<input type="hidden" name="{$target_name}" value="{$smarty.get.target|escape:'html'}" />
<input type="hidden" name="{$mode_name}" value="update_configurator_group_properties" />
<input type="hidden" name="group_id" value="{$configurator_group.group_id}" />

{include file="common_templates/subheader.tpl" title=$lang.configurator_group_properties}

<input type="hidden" name="update_configurator_group_data[configurator_group_type]" value="{$configurator_group.configurator_group_type}" />
<table cellpadding="1" cellspacing="1" border="0">
<tr>
	<td class="field-name" width="110" nowrap="nowrap">
	{$lang.name}:</td>
	<td>&nbsp;</td>
	<td colspan="2"><p><input type="text" name="update_configurator_group_descriptions[configurator_group_name]" value="{$configurator_group.configurator_group_name|escape:html}" class="input-text" style="width: 85%" /></p></td>
</tr>

{assign var="pair" value=$configurator_group.image_pairs}
<tr>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td>{include file="common_templates/create_thumbnails.tpl" width=$settings.Thumbnails.product_thumbnail_width option_name="product_thumbnail_width"}</td>
</tr>
<tr>
	<td class="field-name" width="110" nowrap="nowrap">{$lang.images}:</td>
	<td>&nbsp;</td>
	<td width="100%" colspan="2">
		{include file="common_templates/attach_images.tpl" image_name="configurator_main" image_object_type="conf_group" image_pair=$configurator_group.main_pair image_object_id=$configurator_group.group_id}</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.full_description}:</td>
	<td colspan="3">
	<p>
		<textarea id="group_full_descr" name="update_configurator_group_descriptions[full_description]" cols="55" rows="10" class="input-text" style="width: 85%">{$configurator_group.full_description|escape:html}</textarea><br />
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('group_full_descr');" but_style="text"}
	</p>
	</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.step}:</td>
	<td>&nbsp;</td>
    
	<td>
		<select name="update_configurator_group_data[step_id]">
			<option value="0">--{$lang.none}--</option>
			{foreach from=$configurator_steps item=step}
				<option value="{$step.step_id}" {if $configurator_group.step_id == $step.step_id}selected="selected"{/if}>{$step.step_name}</option>
			{/foreach}
		</select>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.display_type}:</td>
	<td>&nbsp;</td>
	<td>
		<select name="update_configurator_group_data[configurator_group_type]">
			<option value="S" {if $configurator_group.configurator_group_type == "S"}selected="selected"{/if}>{$lang.selectbox}</option>
			<option value="R" {if $configurator_group.configurator_group_type == "R"}selected="selected"{/if}>{$lang.radiogroup}</option>
			<option value="C" {if $configurator_group.configurator_group_type == "C"}selected="selected"{/if}>{$lang.checkbox}</option>
		</select>
		
	</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.available}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="update_configurator_group_data[avail]" value="N" />
		<input type="checkbox" name="update_configurator_group_data[avail]" value="Y" {if $configurator_group.avail=="Y"}checked="checked"{/if} /></td>
	</td>
</tr>
</table>

<p></p>
{if 'manage_catalog'|fn_check_privileges:true}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.configurator_group_products_form.submit()"}</td>
</tr>
</table>
{/if}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.update_group content=$smarty.capture.mainbox}

{capture name="mainbox"}

{include file="common_templates/subheader.tpl" title=$lang.defined_group_products}
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('configurator_group_products_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" width="100%" nowrap="nowrap">{$lang.product_name}</td>
</tr>
{if $configurator_group_products}
{foreach from=$configurator_group_products item=product}
<tr {cycle values='class="manage-row", '}>
	<td>
		<input type="checkbox" name="delete[{$product.product_id}]" id="delete_checkbox" value="Y" /></td>
	<td class="side-padding">
		<a href="{$index_script}?{$target_name}=products&{$mode_name}=update&product_id={$product.product_id}" class="manage-root-item">{$product.product|escape:html}</a></td>
</tr>
{/foreach}

{else}
<tr>
	<td colspan="2" class="manage-row" align="center">
		<p><b>{$lang.text_no_products_defined}</b></p></td>
</tr>
{/if}
</table>
<p>
{if 'manage_catalog'|fn_check_privileges:true}
{if $configurator_group_products}
{** Form submit section **}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('configurator_group_products_form','delete_configurator_group_products', true);"}</td>
</tr>
</table>
{** /Form submit section **}
{/if}
<br />
</form>
</p>

{include file="common_templates/subheader.tpl" title=$lang.add_products}

{capture name="section"}
	{include file="products_pages/products_search_form.tpl" search_products="Y" page_part="discounted_products" extra="<input type=\"hidden\" id=\"group_id\" name=\"group_id\" value=\"`$smarty.get.group_id`\">"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search_for_products section_content=$smarty.capture.section}

{if $smarty.get.search_products == 'Y'}

{if $products}
<form action="{$index_script}" method="post" name="add_group_products">
<input type="hidden" name="{$target_name}" value="{$smarty.get.target|escape:'html'}" />
<input type="hidden" name="{$mode_name}" value="add_configurator_group_products" />
<input type="hidden" name="category_id" value="{$smarty.get.category_id|escape:'html'}" />
<input type="hidden" name="group_id" value="{$configurator_group.group_id}" />
{/if}

{include file="products_pages/products_list.tpl" products=$products form_name="add_group_products" checkbox_id="add_configurator_group_product_checkbox" pagination_suffix="#add_configurator_group_products"}

{if $products}
{** Form submit section **}
<p>{include file="buttons/add_products.tpl" but_onclick="javascript: if (fn_check_selected('add_group_products','add_configurator_group_product_checkbox')) document.add_group_products.submit();"}</p>
{** /Form submit section **}
</form>
{/if}
{/if}
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.group_products content=$smarty.capture.mainbox}