{* $Id: products_update_configurator_groups.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

<div id='content_configurator_groups' style="display: none;">
<form action="{$index_script}" method="post" name="configurator_products_form">
<input type="hidden" name="{$target_name}" value="products">
<input type="hidden" name="{$mode_name}" value="apply_conf_group">
<input type="hidden" name="product_id" value="{$product_data.product_id}">
<input type="hidden" id="selected_section" name="selected_section" value="related_products">

<p>
{** Select some option class **}
{if $configurator_groups}
{include file="common_templates/subheader.tpl" title=$lang.select_product_configurator_groups}
<table cellpadding="3" cellspacing="0" border="0">
<tr>
	<td>{$lang.product_groups}:</td>
	<td>
	<select name="add_group_id">
		{foreach from=$configurator_groups item="group_" key="group_id"}
		<option value="{$group_.group_id}">{$group_.configurator_group_name|escape:html}</option>
		{/foreach}
	</select>
	</td>
</tr>
</table>
<p>
{include file="buttons/button.tpl"  but_text=$lang.apply but_onclick="javascript: document.configurator_products_form.submit();"  action_but="action_"}
</p>
{/if}
<br />
{include file="common_templates/subheader.tpl" title=$lang.product_groups}
<p>

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%" align="center" nowrap="nowrap">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('configurator_products_form', this.checked, 'pocheckbox');" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" align="center" nowrap="nowrap" width="5%">&nbsp;{$lang.position_short}&nbsp;</td>
	<td class="manage-header" nowrap="nowrap" width="20%">&nbsp;{$lang.step}&nbsp;</td>
	<td class="manage-header" nowrap="nowrap" width="20%">&nbsp;{$lang.group_name}&nbsp;</td>
	<td class="manage-header" align="center" nowrap="nowrap">&nbsp;{$lang.default_configuration_products}&nbsp;</td>
	<td class="manage-header" align="center" width="1%" nowrap="nowrap">&nbsp;{$lang.required}&nbsp;</td>
</tr>
{if $conf_product_groups}
{foreach from=$conf_product_groups item="po"}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" id="pocheckbox" name="delete_product_groups[{$po.group_id}]" value="Y" /></td>
	<td align="left">
		<input type="text" name="conf_product_groups[{$po.group_id}][position]" value="{$po.position}" size="3" class="input-text" /></td>
	<td nowrap="nowrap" align="left">&nbsp;{$po.step_name|escape:html}&nbsp;</td>
	<td nowrap="nowrap" align="left">&nbsp;{$po.configurator_group_name|escape:html}&nbsp;</td>
	<td align="left" nowrap="nowrap">
			{if $po.configurator_group_type == 'S' || $po.configurator_group_type == 'R'}
				{if $po.products}
					<select name="default_product_ids[{$po.group_id}][]" id="products_{$po.group_id}">
						<option value="0">{$lang.none}</option>
						{foreach from=$po.products item="group_product"}
						<option value="{$group_product.product_id}" {if $group_product.default == 'Y'} selected="selected" {/if}>{$group_product.product|escape:html}</option>
						{/foreach}
					</select>
				{else}
					{$lang.text_no_items_defined|replace:'[items]':$lang.products}
				{/if}
			{elseif $po.configurator_group_type == 'C'}
				{if $po.products}
					<select name="default_product_ids[{$po.group_id}][]" multiple="multiple" id="products_{$po.group_id}">
						{foreach from=$po.products item="group_product"}
						<option value="{$group_product.product_id}" {if $group_product.default == 'Y'} selected="selected" {/if}>{$group_product.product|escape:html}</option>
						{/foreach}
					</select>
				{else}
					{$lang.text_no_items_defined|replace:'[items]':$lang.products}
				{/if}
			{/if}	
	</td>
	<td align="center" width="1%" nowrap="nowrap" valign="top">
		<input type="hidden" name="conf_product_groups[{$po.group_id}][required]" value="N" />
		<input type="checkbox" id="required_{$po.group_id}" name="conf_product_groups[{$po.group_id}][required]" value="Y" {if $po.required=="Y"}checked="checked"{/if} /></td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="7" align="center"><p><b>{$lang.text_no_items_found|replace:'[items]':$lang.configurator_groups}</b></p></td>
</tr>
{/if}
</table>

</p>
{if $conf_product_groups}
<table cellspacing="0" cellpadding="0" border="0">
<tr>
	<td>

		{include file="buttons/update.tpl" but_onclick="javascript: document.configurator_products_form.`$mode_name`.value='update_conf_groups';document.configurator_products_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('configurator_products_form','do_delete_configurator_groups', false, 'pocheckbox');"}
</tr>
</table>
{/if}
</p>
</form>
</div>
{** /Product groups section **}
