{* $Id: userlog.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="mainbox"}

{** userlog description section **}  

	<table cellpadding="1" cellspacing="1" border="0" width="100%">
	<tr class="manage-header">
		{if $settings.General.use_email_as_login == 'Y'}
		<td class="manage-header">{$lang.email}</td>
		{else}
		<td class="manage-header">{$lang.username}</td>
		{/if}
		<td class="manage-header">{$lang.name}</td>
		<td class="manage-header">{$lang.registered}</td>
		<td class="manage-header">{$lang.type}</td>
		<td class="manage-header" width="1%" align="center">{$lang.points}</td>		
	</tr>
	{foreach from=$users item=user}
	<tr {cycle values='class="manage-row", '}>
		{if $settings.General.use_email_as_login == 'Y'}
		<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.email}</b></a></td>
		{else}
		<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined"><b>{$user.user_login}</b></a></td>
		{/if}
		<td class="side-padding"><a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$user.user_id}" class="underlined">{$user.firstname} {$user.lastname}</a></td>
		<td class="side-padding">{$user.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
		<td class="side-padding">{if $user.user_type == 'A'}{$lang.administrator}{elseif $user.user_type == 'C'}{$lang.customer}{elseif $user.user_type == 'P'}{$lang.partner}{/if}</td>
		<td class="side-padding" align="center">{if $user.points}{$user.points|@unserialize}{else}0{/if}</td>		
	</tr>
	{/foreach}
</table>	
<p></p>
{include file="common_templates/subheader.tpl" title=$lang.log}
<div id="pagination_contents">
{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}
<form action="{$index_script}" method="post" name="userlog_form" enctype="multipart/form-data">
<input type="hidden" name="{$target_name}" value="reward_points" />
<input type="hidden" name="{$mode_name}" value="do_cleanup_logs" />
<input type="hidden" name="user_id" value="{$smarty.get.user_id}" />
<input type="hidden" name="redirect_url" value="{$current_url}" />
{include file="common_templates/pagination.tpl"}
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('userlog_form', this.checked);" title="{$lang.check_uncheck_all}"></td>
	<td class="manage-header" width="15%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=timestamp&sort_order={$sort_order}{$url_suffix}">{$lang.date}</a>{if $sort_by == 'timestamp'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="10%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=amount&sort_order={$sort_order}{$url_suffix}">{$lang.points}</a>{if $sort_by == 'amount'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="75%">{$lang.reason}</td>
</tr>
{if $userlog}
{foreach from=$userlog item="ul"}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="delete[{$ul.change_id}]" id="delete_checkbox" value="Y"></td>
	<td class="side-padding" valign="top">{$ul.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
	<td class="side-padding" align="right"  valign="top">{$ul.amount}</td>
	<td class="side-padding"  valign="top">
		{if $ul.action == $smarty.const.CHANGE_DUE_ORDER}
			{assign var='statuses' value=$smarty.const.STATUSES_ORDER|fn_get_statuses:true}	
			{assign var='reason' value=$ul.reason|@unserialize}			
			{$lang.order}&nbsp;<a href="{$index_script}?{$target_name}=orders&{$mode_name}=details&order_id={$reason.order_id}" class="underlined">&nbsp;<b>#{$reason.order_id}</b></a>:&nbsp;{$statuses[$reason.from]}&nbsp;&#8212;&#8250;&nbsp;{$statuses[$reason.to]}{if $reason.text}&nbsp;({$reason.text|fn_get_lang_var}){/if}
		{elseif $ul.action == $smarty.const.CHANGE_DUE_USE}
			{$lang.text_points_used_in_order}:<a href="{$index_script}?{$target_name}=orders&{$mode_name}=details&order_id={$ul.reason}" class="underlined">&nbsp;<b>#{$ul.reason}</b>&nbsp;</a>
		{elseif $ul.action == $smarty.const.CHANGE_DUE_RMA && $settings.Addons.rma == 'Y'}			
			{include file="addons/rma/rma_userlog.tpl"}
		{else}
			{$ul.reason}
		{/if}
	</td>
</tr>
{/foreach}
{else}
<tr>
	<td class="side-padding" align="center" colspan="5"><b>{$lang.text_no_items_found|replace:"[items]":"`$lang.items`"}</b></td>
</tr>
{/if}
</table>
{if $userlog}
<p></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('userlog_form', 'do_userlog_delete');"}<td>
	<td>&nbsp;&nbsp;&nbsp;</td>		
	<td>
		{include file="buttons/button.tpl" but_text="`$lang.cleanup_log`" but_onclick="javascript:document.userlog_form.submit();" but_type="input"}</td>
	
</tr>
</table>
{/if}
{include file="common_templates/pagination.tpl"}
</form>
<!--pagination_contents--></div>
<p></p>
{** / userlog description section **}

{** Change points section **}
<p></p>
{include file="common_templates/subheader.tpl" title=$lang.change_points}
<p>{$lang.text_mandatory_fields}</p>
<form action="{$index_script}" method="post" name="reward_points_form" enctype="multipart/form-data">
<input type="hidden" name="{$target_name}" value="reward_points" />
<input type="hidden" name="{$mode_name}" value="do_change_points" />
<input type="hidden" name="user_id" value="{$smarty.get.user_id}" />
<input type="hidden" name="redirect_url" value="{$current_url}" />
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td class="field-name" nowrap="nowrap" width="110">{$lang.action}:</td>
   	<td>&nbsp;</td>
	<td>
   		<table cellpadding="1" cellspacing="1" border="0">
   		<tr>
			<td><input type="radio" name="reason[action]" value="A" checked="checked"/></td>
		   	<td>&nbsp;</td>
		   	<td>{$lang.add}</td>
   		</tr>
   		<tr>
			<td><input type="radio" name="reason[action]" value="S" /></td>
		   	<td>&nbsp;</td>
		   	<td>{$lang.subtract}</td>
   		</tr>   		
   		</table></td>   			
</tr>
<tr>
	<td  class="field-name" nowrap="nowrap">{$lang.value}:</td>
   	<td class="required-field-mark">*</td>
   	<td><input type="text" value="" name="reason[amount]" class="input-text" size="5" /></td>
</tr>
<tr>
	<td  class="field-name" nowrap="nowrap">{$lang.reason}:</td>
   	<td>&nbsp;</td>
   	<td>
 		<textarea name="reason[reason]" cols="55" rows="10" class="input-text" style="width: 85%"></textarea>
   	</td>
</tr>
</table>
<p></p>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td><input type="checkbox" name="notify_user" value="Y" checked="checked" /></td>
	<td>{$lang.notify_customer}</td>
</tr>
</table>
<p>{include file="buttons/button.tpl" but_text=$lang.change but_onclick="document.reward_points_form.submit();"}</p>
</form>
{** /Change points section **}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.reward_points_log content=$smarty.capture.mainbox}
