{* $Id: rma_return_details.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{include file="addons/rma/sections.tpl"}

<div align="right">
	{if $settings.Addons.gift_certificates == 'Y' && $return_info.extra.gift_certificates}
	<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=gift_certificates&{$mode_name}=manage{foreach from=$return_info.extra.gift_certificates item='gift_cert' key='gift_cert_key'}&gift_cert_ids[]={$gift_cert_key}{/foreach}" class="underlined">{$lang.related_gift_cert}</a>&nbsp;&nbsp;
	{/if}
	<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=orders&{$mode_name}=details&order_id={$return_info.order_id}" class="underlined">{$lang.related_order}</a>&nbsp;&nbsp;
	<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=rma&{$mode_name}=delete&return_id={$return_info.return_id}" class="underlined">{$lang.delete_this_return}</a>&nbsp;&nbsp;
</div>
<p></p>
{capture name="mainbox"}

<div style="float: left;">
{if $prev_id}
<a class="text-button-link" href="{$index_script}?{$target_name}=rma&amp;{$mode_name}=details&amp;return_id={$prev_id}">&#139;&#139;&nbsp;{$lang.rma_return} #{$prev_id}</a>
{else}
&nbsp;
{/if}
</div>

<div style="float: right;">
{if $next_id}
<a class="text-button-link" href="{$index_script}?{$target_name}=rma&amp;{$mode_name}=details&amp;return_id={$next_id}">{$lang.rma_return} #{$next_id}&nbsp;&#155;&#155;</a>
{else}
&nbsp;
{/if}
</div>

{if $return_info}
<p style="clear: left;" ></p>
<div align="right">{include file="buttons/button_popup.tpl" but_text=$lang.print_slip but_href="`$index_script`?`$target_name`=rma&`$mode_name`=print_slip&return_id=`$return_info.return_id`" width="800" height="600"}</div>
<form action="{$index_script}" method="post" name="return_info_form" />
<input type="hidden" name="{$target_name}" value="rma" />
<input type="hidden" name="{$mode_name}" value="update_details" />
<input type="hidden" name="change_return_status[order_id]" value="{$return_info.order_id}" />
<input type="hidden" name="change_return_status[action]" value="{$return_info.action}" />
<input type="hidden" name="change_return_status[status_from]" value="{$return_info.status}" />
<input type="hidden" name="change_return_status[return_id]" value="{$smarty.get.return_id|escape:"html"}" />
<input type="hidden" name="total_amount" value="{$return_info.total_amount}" />



<table cellpadding="0" cellspacing="0" width="100%" border="0">
<tr>
	<td>
		<table cellpadding="2" cellspacing="0" border="0">
		<tr>
			<td><b>{$lang.rma_return}</b>:&nbsp;</td><td>#{$return_info.return_id}</td>
		</tr>
		<tr>
			<td><b>{$lang.date}</b>:&nbsp;</td><td>{$return_info.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
		</tr>
		<tr>
			<td><b>{$lang.action}</b>:&nbsp;</td><td>{assign var="action_id" value=$return_info.action}{$actions.$action_id.property}</td>
		</tr>
		<tr>
			<td><b>{$lang.status}</b>:&nbsp;</td><td>{include file="orders_pages/order_status.tpl" status=$return_info.status display="select" name="change_return_status[status_to]" type=$smarty.const.STATUSES_RETURN}</td>
		</tr>
		{if $settings.Addons.gift_certificates == 'Y' && $return_info.extra.gift_certificates}
		<tr>
			<td valign="top"><b>{$lang.gift_certificates}</b>:&nbsp;</td>
			<td>
				{foreach from=$return_info.extra.gift_certificates item='gift_cert' key='gift_cert_key'}
				<div><a href="{$index_script}?{$target_name}=gift_certificates&{$mode_name}=delete&gift_cert_id={$gift_cert_key}&extra[return_id]={$smarty.get.return_id|escape:"html"}&return_url={$current_url|escape:"url"}"><img src="{$images_dir}/delete_icon.gif" width="10" height="8" border="0" alt="" align="bottom" /></a>&nbsp;<a class="text-button-link" href="{$index_script}?{$target_name}=gift_certificates&amp;{$mode_name}=update&amp;gift_cert_id={$gift_cert_key}">{$gift_cert.code}</a>&nbsp;({include file="common_templates/price.tpl" value=$gift_cert.amount})</div>
				{/foreach}				
				</td>
		</tr>
		{/if}
		</table>
	</td>
</tr>
</table>

<br />
{capture name="tabsbox"}
{** RETURN PROSUCTS SECTION **}
	<div id='content_return_products'>
		<table cellpadding="2" cellspacing="1" border="0" width="100%">
		<tr>
			<td class="manage-header">
				<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('return_info_form', this.checked, 'delete_accepted_checkbox');" title="{$lang.check_uncheck_all}" {if $return_info.status != $smarty.const.RMA_DEFAULT_STATUS && $settings.Addons.gift_certificates != 'Y'}disabled="disabled"{/if}/></td>
			<td width="100%" class="manage-header">&nbsp;{$lang.product}</td>
			<td class="manage-header" align="center">&nbsp;{$lang.price}</td>
			<td class="manage-header" align="center">&nbsp;{$lang.quantity}</td>
			<td class="manage-header" align="center">&nbsp;{$lang.reason}</td>	
		</tr>
		{if $return_info.items[$smarty.const.RETURN_PRODUCT_ACCEPTED]}		
		{foreach from=$return_info.items[$smarty.const.RETURN_PRODUCT_ACCEPTED] item="ri" key="key"}
		<tr {cycle values="class='manage-row', "} valign="top">
			<td width="1%">
				<input type="checkbox" name="accepted[{$ri.item_id}][chosen]" id="delete_accepted_checkbox" value="Y" {if $return_info.status != $smarty.const.RMA_DEFAULT_STATUS && $settings.Addons.gift_certificates != 'Y'}disabled="disabled"{/if}/></td>
			<td>&nbsp;<a href="{$index_script}?{$target_name}=products&amp;$mode_name}=update&amp;product_id={$ri.product_id}">{$ri.product}</a>
			{if $ri.product_options}<div style="padding-top: 1px; padding-bottom: 2px;">&nbsp;{include file="common_templates/options_info.tpl" product_options=$ri.product_options}</div>{/if}
			</td>
			<td align="right" nowrap="nowrap">
				{if !$ri.price}{$lang.free}{else}{include file="common_templates/price.tpl" value=$ri.price}{/if}</td>
			<td align="center">
				<input type="hidden" name="accepted[{$ri.item_id}][previous_amount]" value="{$ri.amount}" />
				<select name="accepted[{$ri.item_id}][amount]" {if $return_info.status != $smarty.const.RMA_DEFAULT_STATUS  && $settings.Addons.gift_certificates != 'Y'}disabled="disabled"{/if}>
				{section name=$key loop=$ri.amount+1 start='1' step='1'}
						<option value="{$smarty.section.$key.index}" {if $smarty.section.$key.index == $ri.amount}selected="selected"{/if}>{$smarty.section.$key.index}</option>
				{/section}
				</select></td>
			<td nowrap="nowrap">
				{assign var="reason_id" value=$ri.reason}
				&nbsp;{$reasons.$reason_id.property}&nbsp;</td>
		</tr>
		{/foreach}
		{else}
		<tr {cycle values="class='manage-row', "}>
			<td colspan="6" align="center"><p><b>{$lang.text_no_products_found}</b></p></td>
		</tr>
		{/if}
		</table>
		{if $return_info.items[$smarty.const.RETURN_PRODUCT_ACCEPTED]}
		<p></p>
		<table border="0" cellpadding="0" cellspacing="0">
		<tr>
			{if $return_info.status == $smarty.const.RMA_DEFAULT_STATUS && 'manage_rma'|fn_check_privileges:true}
			<td>
				{include file="buttons/button.tpl" but_text=$lang.decline_products but_onclick="javascript: fn_delete_selected('return_info_form', 'decline_products', true, 'delete_accepted_checkbox');"}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			{/if}		
			{if $settings.Addons.gift_certificates == 'Y' && 'manage_gift_certificates'|fn_check_privileges:true}
				<td>{include file="buttons/button.tpl" but_text=$lang.create_gift_certificate but_onclick="javascript: fn_delete_selected('return_info_form', 'create_gift_certificate', true, 'delete_accepted_checkbox');"}</td>
				<td>&nbsp;&nbsp;&nbsp;</td>				
			{/if}
		</tr>
		</table>
		{/if}
	</div>
{** /RETURN PROSUCTS SECTION **}

{** DECLINED PROSUCTS SECTION **}
	<div id='content_declined_products' style="display: none;">
		<table cellpadding="2" cellspacing="1" border="0" width="100%">
		<tr>
			<td class="manage-header">
				<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('return_info_form', this.checked, 'delete_declined_checkbox');" title="{$lang.check_uncheck_all}" {if $return_info.status != $smarty.const.RMA_DEFAULT_STATUS}disabled="disabled"{/if}/></td>
			<td width="100%" class="manage-header">&nbsp;{$lang.product}</td>
			<td class="manage-header" align="center">&nbsp;{$lang.price}</td>
			<td class="manage-header" align="center">&nbsp;{$lang.quantity}</td>
			<td class="manage-header" align="center">&nbsp;{$lang.reason}</td>	
		</tr>
		{if $return_info.items[$smarty.const.RETURN_PRODUCT_DECLINED]}		
		{foreach from=$return_info.items[$smarty.const.RETURN_PRODUCT_DECLINED] item="ri" key="key"}
		<tr {cycle values="class='manage-row', "} valign="top">
			<td width="1%">
				<input type="checkbox" name="declined[{$ri.item_id}][chosen]" id="delete_declined_checkbox" value="Y" {if $return_info.status != $smarty.const.RMA_DEFAULT_STATUS}disabled="disabled"{/if}/></td>
			<td>&nbsp;<a href="{$index_script}?{$target_name}=products&amp;{$mode_name}=update&amp;product_id={$ri.product_id}">{$ri.product}</a>
			{if $ri.product_options}<p>&nbsp;{include file="common_templates/options_info.tpl" product_options=$ri.product_options}</p>{/if}
			</td>
			<td align="right" nowrap="nowrap">
				{if !$ri.price}{$lang.free}{else}{include file="common_templates/price.tpl" value=$ri.price}{/if}</td>
			<td align="center">
				<input type="hidden" name="declined[{$ri.item_id}][previous_amount]" value="{$ri.amount}" />			
				<select name="declined[{$ri.item_id}][amount]" {if $return_info.status != $smarty.const.RMA_DEFAULT_STATUS}disabled="disabled"{/if}>
				{section name=$key loop=$ri.amount+1 start='1' step='1'}
						<option value="{$smarty.section.$key.index}" {if $smarty.section.$key.index == $ri.amount}selected="selected"{/if}>{$smarty.section.$key.index}</option>
				{/section}
				</select></td>
			<td nowrap="nowrap">
				{assign var="reason_id" value=$ri.reason}
				&nbsp;{$reasons.$reason_id.property}&nbsp;</td>
		</tr>
		{/foreach}
		{else}
		<tr {cycle values="class='manage-row', "}>
			<td colspan="6" align="center"><p><b>{$lang.text_no_products_found}</b></p></td>
		</tr>
		{/if}		
		</table>	
		{if $return_info.items[$smarty.const.RETURN_PRODUCT_DECLINED] && $return_info.status == $smarty.const.RMA_DEFAULT_STATUS}
		<p></p>
		<table border="0" cellpadding="0" cellspacing="0">
		<tr>
			{if 'manage_rma'|fn_check_privileges:true}
			<td>
				{include file="buttons/button.tpl" but_text=$lang.accept_products but_onclick="javascript: fn_delete_selected('return_info_form', 'accept_products', true, 'delete_declined_checkbox');"}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			{/if}		
		</tr>
		</table>
		{/if}		
	</div>
{** /DECLINED PROSUCTS SECTION **}

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name='rma'}

<br />
{include file="common_templates/subheader.tpl" title=$lang.comments}
<textarea name="comment" cols="55" rows="8" class="input-text" style="width: 100%">{$return_info.comment}</textarea><br />

<br />
{* Customer info *}
{include file="buttons/button.tpl" but_text=$lang.customer_information but_onclick="javascript: fn_show_tag('customer_info');" but_style="text"}
<div id='customer_info' style="display: none;">{include file="profiles_pages/profiles_info.tpl" user_data=$order_info location="I"}</div>
{* /Customer info *}
<br />

<hr />
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		<input type="hidden" name="change_return_status[notify_user]" value="N" />
		<input type="checkbox" name="change_return_status[notify_user]" value="Y" /></td>
	<td>{$lang.notify_customer}</td>
</tr>
</table>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td><input type="radio" name="change_return_status[recalculate_order]" value="R" /></td>
   	<td>&nbsp;</td>
   	<td>{$lang.recalculate_order}</td>
</tr>
{if $is_refund == 'Y'}
<tr>
	<td><input type="radio" name="change_return_status[recalculate_order]" value="M" /></td>
   	<td>&nbsp;</td>
   	<td>{$lang.manually_recalculate_order}</td>
</tr>
{/if}
<tr>
	<td><input type="radio" name="change_return_status[recalculate_order]" value="D" checked="checked" /></td>
   	<td>&nbsp;</td>
   	<td>{$lang.dont_recalculate_order}</td>
</tr>   		
</table>
<br />
<p></p>
{if 'manage_rma'|fn_check_privileges:true}
	{include file="buttons/button.tpl" but_text=$lang.update but_onclick="javascript:document.return_info_form.submit();"}
{/if}
</form>
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.return_info content=$smarty.capture.mainbox}