{* $Id: rma_returns.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{include file="addons/rma/sections.tpl" section='S'}

{capture name="mainbox"}

{capture name="section"}
	{include file="addons/rma/rma_search_form.tpl"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.section}

<form action="{$index_script}" method="post" target="" enctype="multipart/form-data" name="rma_list_form">
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="update_returns" />

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('rma_list_form', this.checked);" title="{$lang.check_uncheck_all}"></td>
	<td class="manage-header" nowrap="nowrap" width="10%" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=return_id&sort_order={$sort_order}{$url_suffix}">{$lang.id}</a>{if $sort_by == 'return_id'}{$sort_sign}{/if}</td>		
	<td class="manage-header" nowrap="nowrap" width="10%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=status&sort_order={$sort_order}{$url_suffix}">{$lang.status}</a>{if $sort_by == 'status'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap" width="30%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=customer&sort_order={$sort_order}{$url_suffix}">{$lang.customer}</a>{if $sort_by == 'customer'}{$sort_sign}{/if}</td>	
	<td class="manage-header" nowrap="nowrap" width="20%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=timestamp&sort_order={$sort_order}{$url_suffix}">{$lang.date}</a>{if $sort_by == 'timestamp'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap" width="10%"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=action&sort_order={$sort_order}{$url_suffix}">{$lang.action}</a>{if $sort_by == 'action'}{$sort_sign}{/if}</td>		
	<td class="manage-header" nowrap="nowrap" width="10%" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=order_id&sort_order={$sort_order}{$url_suffix}">{$lang.order}&nbsp;{$lang.id}</a>{if $sort_by == 'order_id'}{$sort_sign}{/if}</td>
	<td class="manage-header" nowrap="nowrap" width="10%" align="center"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=amount&sort_order={$sort_order}{$url_suffix}">{$lang.quantity}</a>{if $sort_by == 'amount'}{$sort_sign}{/if}</td>
</tr>

{if $return_requests}

{foreach from=$return_requests item="request"}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" name="delete[{$request.return_id}]" id="delete_checkbox" value="Y"></td>
	<td class="side-padding" align="center"><a href="{$index_script}?{$target_name}=rma&{$mode_name}=details&return_id={$request.return_id}" class="underlined">&nbsp;<b>#{$request.return_id}</b>&nbsp;</a></td>
	<td class="side-padding">
		<input type="hidden" name="origin_statuses[{$request.return_id}]" value="{$request.status}">
		{include file="orders_pages/order_status.tpl" status=$request.status display="view" name="return_statuses[`$request.return_id`]" type=$smarty.const.STATUSES_RETURN}
	</td>
	<td class="side-padding">{$request.firstname} {$request.lastname}</td>
	<td class="side-padding"><a href="{$index_script}?{$target_name}=rma&{$mode_name}=details&return_id={$request.return_id}" class="underlined">{$request.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</a></td>
	<td class="side-padding">{$request.action}</td>		
	<td class="side-padding" align="center"><a href="{$index_script}?{$target_name}=orders&{$mode_name}=details&order_id={$request.order_id}" class="underlined">&nbsp;<b>#{$request.order_id}</b>&nbsp;</a></td>
	<td class="side-padding" align="center">{$request.total_amount}</td>
<tr>
{/foreach}

{else}

<tr class="manage-row">
	<td colspan="8" align="center"><p><b>{$lang.no_return_requests_found}</b></p></td>
	
{/if}
</table>
{include file="common_templates/pagination.tpl"}
{if 'manage_rma'|fn_check_privileges:true}
	{if  $return_requests}
	<p></p>
	<table border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td>
			{include file="buttons/button.tpl" but_text=$lang.delete_selected but_onclick="javascript: fn_delete_selected('rma_list_form','delete_returns');" but_type="input"}</td>
		<td>&nbsp;&nbsp;&nbsp;</td>
		<td>
			{include file="buttons/button.tpl" but_text=$lang.bulk_print but_onclick="javascript: fn_bulk_slip_print();" but_type="input"}</td>
		<td>&nbsp;&nbsp;&nbsp;</td>			
	</tr>
	</table>
	{/if}
{/if}
</form>

{literal}
<script type="text/javascript" language="javascript 1.2">
function fn_bulk_slip_print()
{
	if (fn_check_selected('rma_list_form', 'delete_checkbox')) {
		attrs = document.forms['rma_list_form'].attributes;
		for (i=0; i<attrs.length; i++) {
			if (attrs[i].name.toLowerCase() == 'target') {
				attrs[i].value = "_blank";
				break;
			}
		}

		document.rma_list_form[mode_name].value='bulk_slip_print'; 
		document.rma_list_form.submit();
		attrs[i].value = '';
	}
}
</script>
{/literal}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.return_requests content=$smarty.capture.mainbox}