{* $Id: pages_statistics.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="tabsbox"}

{assign var='stat_type' value=$pages_statistics.type}
<div id="content_{$stat_type}">
	{if $pages_statistics.$stat_type}
	{capture name='table_chart'}

	{include file="common_templates/pagination.tpl" div_id="pages_pagination_contents_$stat_type"}
	<table cellpadding="2" cellspacing="1" border="0">
	{foreach from=$pages_statistics.$stat_type item='page' key='k' name='page'}
	<tr {cycle values=',class="manage-row"'}>
		{math equation="start + i" assign="iteration" start=$num_start i=$smarty.foreach.page.iteration}
		<td>{$iteration}</td>
		<td>
			<div style="overflow: hidden; width: 100%;">
			{if $page.label}{$page.label}{else}{$lang.undefined}{/if}
			{if ($stat_type == $smarty.const.STAT_PAGES_BY_VISITS || $stat_type == $smarty.const.STAT_ENTRY_POINTS || $stat_type == $smarty.const.STAT_EXIT_POINTS) && $page.title}
				<br />{$page.title}
			{/if}
			</div>
			{include file="statistics_pages/graph_bar.tpl" bar_width='400px' value_width=$page.percent|round}
		</td>
		<td align="right">
			{include file="addons/statistics/buttons/visitors_log.tpl" but_text=$page.count form_prefix="`$mode`_`$stat_type`_$k" from_section=$stat_type object_code=$page.label}
			<br /><span class="small-note">{$page.percent}%</span></td>
	</tr>
	{/foreach}
	</table>
	{include file="common_templates/pagination.tpl" div_id="pages_pagination_contents_$stat_type"}

	{/capture}
	{include file='addons/statistics/select_charts.tpl' chart_div_prefix="pages_`$stat_type`_view_style_" content=$smarty.capture.table_chart selected_section=$stat_type chart_title=$lang.$stat_type column_data=$pages_statistics.column_data column_height=$pages_statistics.column_height pie_data=$pages_statistics.pie_data pie_height=$pages_statistics.pie_height}
	{else}
	<div align="center" class="manage-row vertical-padding">
		<b>{$lang.text_no_items_found|replace:'[items]':$lang.pages}</b></div>
	{/if}
<!--content_{$stat_type}--></div>

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name='pages'}
