{* $Id: statistics_edit_filter.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{*if 'view_statistics'|fn_check_privileges:true*}
{capture name="mainbox"}

{** Edit filter **}
<form action="{$index_script}" method="post" name="update_filter_form">
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="do_{if $mode == 'add'}add{else}update{/if}_filter" />
{if $filter.filter_id}
<input type="hidden" name="filter_id" value="{$filter.filter_id}" />
{/if}

<table cellpadding="1" cellspacing="2" border="0" width="100%">
<tr>
	<td class="field-name" width="120" nowrap="nowrap">{$lang.filter_name}:</td>
	<td class="required-field-mark">*</td>
	<td width="100%">
		<input type="text" name="filter_data[filter]" value="{$filter.filter|escape:"html"}" size="55" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.filter_description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="filter_data[description]" cols="55" rows="6" class="input-text" style="width: 85%">{$filter.description|escape:"html"}</textarea></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.conditions}:</td>
	<td>&nbsp;</td>
	<td>
		<select name="filter_data[include]">
		<option value="Y" {if $filter.include == 'Y'}selected="selected"{/if}>{$lang.include}</option>
		<option value="N" {if $filter.include == 'N'}selected="selected"{/if}>{$lang.exclude}</option>
		</select></td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.available}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="filter_data[avail]" value="N" />
		<input type="checkbox" name="filter_data[avail]" value="Y" {if $filter.avail == 'Y'}checked="checked"{/if} /></td>
</tr>
</table>

{include file="common_templates/subheader.tpl" title=$lang.conditions}
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header" id="header">
	<td width="1%"><input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('update_filter_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap">{$lang.field}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.condition}</td>
	<td class="manage-header" nowrap="nowrap" width="2%">{$lang.avail}</td>
</tr>			 
{if $filter.conditions}
{foreach from=$filter.conditions item='condition' key='key'}
<tr class="manage-row">
	<td>
		<input type="checkbox" name="delete[{$key}]" id="delete_checkbox" value="Y" /></td>
	<td>
		<select name="filter_data[conditions][{$key}][field]">
		{foreach from=$condition_fields key='value' item='field'}
		<option value="{$value}" {if $value == $condition.field}selected="selected"{/if}>{$lang.$field}</option>
		{/foreach}
		</select></td>
	<td>
		<input type="text" name="filter_data[conditions][{$key}][condition]" size="55" value="{$condition.condition|escape:"html"}" class="input-text" /></td>
	<td align="center">
		<input type="hidden" name="filter_data[conditions][{$key}][avail]" value="N" />
		<input type="checkbox" name="filter_data[conditions][{$key}][avail]" value="Y" {if $condition.avail == 'Y'}checked="checked"{/if} /></td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td align="center" colspan="4">
		<p><b>{$lang.text_no_items_defined|replace:'[items]':$lang.conditions}</b></p></td>
</tr>
{/if}
</table>
<p></p>

{if $filter.conditions}
{capture name="button"}{if $mode == 'add'}add_new{else}update{/if}{/capture}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/`$smarty.capture.button`.tpl" but_onclick="javascript:document.update_filter_form.submit();"}</td>
{if $mode != 'add'}
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('update_filter_form','do_m_delete_conditions');"}</td>
{/if}
</tr>
</table>
{/if}

</form>
{** /Edit filter **}

{if $filter.filter_id}
{** Add conditions **}
<p></p><br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_condition}

<form action="{$index_script}" method="post" name="add_conditions_form">
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="do_m_add_conditions" />
<input type="hidden" name="filter_id" value="{$filter.filter_id}" />

<table cellpadding="1" cellspacing="1" border="0">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap="nowrap" >{$lang.field}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.condition}</td>
	<td class="add-new-header" nowrap="nowrap" >{$lang.avail}</td>
	<td>&nbsp;</td>
</tr>			 
<tr class="manage-row" id="box_new_condition">
	<td>
		<select name="condition_data[0][field]">
		{foreach from=$condition_fields key='value' item='field'}
		<option value="{$value}">{$lang.$field}</option>
		{/foreach}
		</select></td>
	<td>
		<input type="text" name="condition_data[0][condition]" size="55" value="" class="input-text" /></td>
	<td align="center">
		<input type="hidden" name="condition_data[0][avail]" value="N" />
		<input type="checkbox" name="condition_data[0][avail]" value="Y" checked="checked" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="new_condition"}</td>
</tr>
</table>
<p></p>
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_conditions_form.submit();"}
</form>
{** /Add conditions **}
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.statistic_filter content=$smarty.capture.mainbox}
{*/if*}