{* $Id: visitors.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{include file="common_templates/pagination.tpl"}

<script type="text/javascript" language="javascript 1.2">
{literal}
// 
// Expand/collapse all rows in list
// @tag_id - tag identifier of list that should be expanded or collapsed
// @flag - can be 1 (expand) or -1 (collapse)
function fn_invert_all_extra(tag, flag, parent_id)
{
	var parent = parent_id ? document.getElementById(parent_id) : document;
	var rows = parent.getElementsByTagName(tag);

	for (i = 0; i < rows.length; i++) {
		if (typeof(rows[i].id) != 'undefined' && rows[i].id) {
			fn_show_tag(rows[i].id, flag);
		}
	}

	fn_show_tag('minus_plus', flag);
	fn_show_tag('plus_minus', !flag);

}
{/literal}
</script>

{if $no_sort != 'Y'}
	{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
	{if $sort_order == 'asc'}
	{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
	{else}
	
	{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
	{/if}
	{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
		{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
		{assign var="url_suffix" value="', 'pagination_contents');"}
	{/if}
{/if}

<table id="visitors_log_table" cellpadding="2" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td class="manage-header" width="10%" nowrap="nowrap">
		{if $no_sort != 'Y'}<a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=date&sort_order={$sort_order}{$url_suffix}">{/if}{$lang.date}{if $no_sort != 'Y'}</a>{if $sort_by == 'date'}{$sort_sign}{/if}{/if}</td>
	<td class="manage-header" align="center" nowrap="nowrap">
		{$lang.pages}</td>
	<td class="manage-header" nowrap="nowrap">
		{if $no_sort != 'Y'}<a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=ip&sort_order={$sort_order}{$url_suffix}">{/if}{$lang.ip}{if $no_sort != 'Y'}</a>{if $sort_by == 'ip'}{$sort_sign}{/if}{/if}
		/
		{if $no_sort != 'Y'}<a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=proxy&sort_order={$sort_order}{$url_suffix}">{/if}{$lang.proxy}{if $no_sort != 'Y'}</a>{if $sort_by == 'proxy'}{$sort_sign}{/if}{/if}</td>
	{if $smarty.get.client_type == 'B'}
	<td class="manage-header" nowrap="nowrap">
		{if $no_sort != 'Y'}<a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=robot&sort_order={$sort_order}{$url_suffix}">{/if}{$lang.robot}{if $no_sort != 'Y'}</a>{if $sort_by == 'robot'}{$sort_sign}{/if}{/if}</td>
	{else}
	<td class="manage-header" colspan="3" nowrap="nowrap">
		{if $no_sort != 'Y'}<a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=os&sort_order={$sort_order}{$url_suffix}">{/if}{$lang.operating_system}{if $no_sort != 'Y'}</a>{if $sort_by == 'os'}{$sort_sign}{/if}{/if}
		/
		{if $no_sort != 'Y'}<a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=browser&sort_order={$sort_order}{$url_suffix}">{/if}{$lang.browser}{if $no_sort != 'Y'}</a>{if $sort_by == 'browser'}{$sort_sign}{/if}{/if}</td>
	<td class="manage-header" nowrap="nowrap">
		{if $no_sort != 'Y'}<a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=screen&sort_order={$sort_order}{$url_suffix}">{/if}{$lang.screen}{if $no_sort != 'Y'}</a>{if $sort_by == 'screen'}{$sort_sign}{/if}{/if}</td>
	{/if}
	<td class="manage-header" nowrap="nowrap">
		{if $no_sort != 'Y'}<a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=language&sort_order={$sort_order}{$url_suffix}">{/if}{$lang.language}{if $no_sort != 'Y'}</a>{if $sort_by == 'language'}{$sort_sign}{/if}{/if}</td>
	<td class="manage-header" nowrap="nowrap">
		{if $no_sort != 'Y'}<a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=country&sort_order={$sort_order}{$url_suffix}">{/if}{$lang.country}{if $no_sort != 'Y'}</a>{if $sort_by == 'country'}{$sort_sign}{/if}{/if}</td>
	{if $hide_extra_button != 'Y'}
	<td class="manage-header" align="center" nowrap="nowrap">
		<img src="{$images_dir}/plus_minus.gif" width="13" height="12" border="0" name="plus_minus" id="plus_minus" alt="{$lang.expand_collapse_list}" title="{$lang.expand_collapse_list}" class="hand" onclick="javascript: fn_invert_all_extra('TBODY', false, 'visitors_log_table');"><img src="{$images_dir}/minus_plus.gif" width="13" height="12" border="0" name="minus_plus" id="minus_plus" alt="{$lang.expand_collapse_list}" title="{$lang.expand_collapse_list}" class="hand" onclick="javascript: fn_invert_all_extra('TBODY', true, 'visitors_log_table');" style="display: none"></td>
	{/if}
</tr>
{if	$visitors_log}
{foreach from=$visitors_log item='visitor' name='visitors'}
	{cycle values=',class="manage-row"' assign='row_class'}
<tr {$row_class}>
	<td height="22" nowrap="nowrap">{$visitor.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
	<td align="center" nowrap="nowrap">
		{if $action != 'pages'}<a href="{$index_script}?{$target_name}={$target}&amp;{$mode_name}={$mode}&amp;{$action_name}=pages&amp;client_type={$client_type}&amp;sess_id={$visitor.sess_id}">{/if}{$visitor.requests_count|default:1}{if $action != 'pages'}</a>{/if}</td>
	<td nowrap="nowrap"><b>{$visitor.host_ip}</b> {if $visitor.proxy_ip && $visitor.proxy_ip != '-'} / {$visitor.proxy_ip}{/if}</td>
	{if $smarty.get.client_type == 'B'}
	<td nowrap="nowrap">{if $visitor.robot}{$visitor.robot}{else}{$lang.undefined}{/if}</td>
	{else}
	<td nowrap="nowrap">
		{if $visitor.os}
			{if $visitor.os == 'Windows'}
				<img src="{$images_dir}/addons/live_help/os_windows.gif" width="16" height="16" border="0" alt="{$visitor.os}" title="{$visitor.os}" align="top" />
			{elseif $visitor.os == 'Mac'}
				<img src="{$images_dir}/addons/live_help/os_mac.gif" width="16" height="16" border="0" alt="{$visitor.os}" title="{$visitor.os}" align="top" />
			{elseif $visitor.os == 'Linux'}
				<img src="{$images_dir}/addons/live_help/os_linux.gif" width="16" height="16" border="0" alt="{$visitor.os}" title="{$visitor.os}" align="top" />
			{/if}
			{$visitor.os}
		{else}
			{$lang.undefined}
		{/if}
		</td>
	<td>/</td>
	<td nowrap="nowrap">
		{if $visitor.browser}
			{assign var="browser" value=$visitor.browser|lower|replace:'internet ':''}
			{if $browser == 'explorer' || $browser == 'firefox' || $browser == 'mozilla' || $browser == 'netscape' || $browser == 'safari' || $browser == 'opera'}
				<img src="{$images_dir}/addons/live_help/browser_{$browser}.gif" width="16" height="16" border="0" alt="{$visitor.browser}" title="{$visitor.browser}" align="top" />
			{/if}
			{$visitor.browser} {$visitor.browser_version}
		{else}
			{$lang.undefined}
		{/if}</td>
	<td nowrap="nowrap">{$visitor.screen_x|default:0}x{$visitor.screen_y|default:0} ({$visitor.color|default:0})</td>
	{/if}
	<td nowrap="nowrap">{if $visitor.language}{$visitor.language}{elseif $visitor.client_language}{$visitor.client_language}{else}{$lang.undefined}{/if}</td>
	<td nowrap="nowrap"><img src="{$images_dir}/addons/live_help/flags/{$visitor.country_code|default:'01'|lower}.png" width="16" height="16" border="0" alt="{$visitor.country}" title="{$visitor.country}" align="top" />&nbsp;{if $visitor.country}{$visitor.country}{elseif $visitor.country_code}{$visitor.country_code}{else}{$lang.undefined}{/if}</td>
	{if $hide_extra_button != 'Y'}
	<td align="center" nowrap="nowrap"><a href="javascript: fn_show_tag('visitors_log_{$smarty.foreach.visitors.iteration}');">{$lang.extra}&nbsp;&raquo;</a></td>
	{/if}
</tr>
<tbody id="visitors_log_{$smarty.foreach.visitors.iteration}" {if $hide_extra_button != 'Y'}style="display: none;"{/if}>
<tr {$row_class}>
	<td height="22" colspan="{if $smarty.get.client_type == 'B'}7{else}10{/if}" class="side-padding">
		<div style="overflow: hidden; width: 100%;">
			<span class="field-name nowrap">{$lang.entry_page}:</span>&nbsp;{if $visitor.url}<a href="{$visitor.url}">{$visitor.url}</a>{else}{$lang.undefined}{/if}<br />
			<span class="small-note">{$lang.page_title}:&nbsp;{if $visitor.title}{$visitor.title}{else}-{/if}</span>
		</div></td>
</tr>
<tr {$row_class}>
	<td height="22" colspan="{if $smarty.get.client_type == 'B'}7{else}10{/if}" class="side-padding">
		<div style="overflow: hidden; width: 100%;">
			<span class="field-name nowrap">{$lang.current_page}:</span>&nbsp;{if $visitor.current_url}<a href="{$visitor.current_url}">{$visitor.current_url}</a>{else}-{/if}<br />
			<span class="small-note">{$lang.page_title}:&nbsp;{if $visitor.current_title}{$visitor.current_title}{else}-{/if}</span>
		</div></td>
</tr>
<tr {$row_class}>
	<td height="22" colspan="{if $smarty.get.client_type == 'B'}7{else}10{/if}" class="side-padding">
		<div style="overflow: hidden; width: 100%;">
			<span class="field-name">{$lang.referrer}:</span>&nbsp;{if $visitor.referrer}<a href="{$visitor.referrer}">{$visitor.referrer}</a>{else}-{/if}
			{if $visitor.phrase}<br /><span class="small-note">{$lang.phrase}:&nbsp;{$visitor.phrase}</span>{/if}
		</div></td>
</tr>
<tr {$row_class}>
	<td height="22" colspan="{if $smarty.get.client_type == 'B'}7{else}10{/if}" class="side-padding">
		<span class="field-name">{$lang.user_agent}:</span>&nbsp;{if $visitor.user_agent}{$visitor.user_agent}{else}-{/if}</td>
</tr>
<tr {$row_class}>
	<td colspan="{if $smarty.get.client_type == 'B'}7{else}10{/if}">&nbsp;</td>
</tr>
</tbody>
{/foreach}
{else}
<tr>
	<td colspan="{if $smarty.get.client_type == 'B'}7{else}10{/if}" align="center" class="manage-row">
		<p><b>{$lang.text_no_items_found|replace:'[items]':$lang.visitors}</b></p></td>
</tr>
{/if}
</table>
	
{include file="common_templates/pagination.tpl"}
