{* $Id: pay_affiliates.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

<div align="right">
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=settings&section_id=Affiliate" class="underlined">{$lang.affiliate_settings}</a>
</div>
<p></p>
{capture name="mainbox"}

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

{capture name="filter_section"}
<form action="{$index_script}" method="POST" name="filter_form">
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="do_filter" />

<table cellpadding="1" cellspacing="1" border="0">
<tr>
	<td colspan="3">
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td class="field-name">{$lang.payment_amount} ({$currencies.$primary_currency.symbol}):</td>
			<td>&nbsp;</td>
			<td align="right"><input type="text" name="amount_1" value="{$amount_1|escape:"html"}" size="8" class="input-text" />&nbsp;&nbsp;-&nbsp;&nbsp;<input type="text" name="amount_2" value="{$amount_2|escape:"html"}" size="8" class="input-text" /></td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td class="field-name">{$lang.checking_min_payment}:</td>
	<td>&nbsp;</td>
	<td><input type="checkbox" name="min_payment" value="Y" {if $min_payment}checked="checked"{/if} /></td>
</tr>
<tr>
	<td class="field-name">{$lang.checking_payment_period} ({$period_name}):</td>
	<td>&nbsp;</td>
	<td><input type="checkbox" name="last_payout" value="Y" {if $last_payout=='Y'}checked="checked"{/if} /></td>
</tr>
</table>
<p></p>
{include file="buttons/search.tpl" but_onclick="javascript: document.filter_form.submit();" but_type="input"}
</form>
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.filter_section}

<form action="{$index_script}" method="post" name="pay_affiliates_form">
<input type="hidden" name="{$target_name}" value="payouts" />
<input type="hidden" id="id_mode" name="{$mode_name}" value="do_pay_affiliates" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="3%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('pay_affiliates_form', this.checked, 'pay_checkbox');" title="{$lang.check_uncheck_all}" /></td>
	{if $settings.General.use_email_as_login == 'Y'}
	<td class="manage-header"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=email&sort_order={$sort_order}{$url_suffix}">{$lang.email}</a>{if $sort_by == 'email'}{$sort_sign}{/if}</td>
	{else}
	<td class="manage-header"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=username&sort_order={$sort_order}{$url_suffix}">{$lang.username}</a>{if $sort_by == 'username'}{$sort_sign}{/if}</td>
	{/if}
	<td class="manage-header"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=partner&sort_order={$sort_order}{$url_suffix}">{$lang.partner}</a>{if $sort_by == 'partner'}{$sort_sign}{/if}</td>
	<td class="manage-header" align="right"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=amount&sort_order={$sort_order}{$url_suffix}">{$lang.amount_of_approved_actions}</a>{if $sort_by == 'amount'}{$sort_sign}{/if}</td>
	<td class="manage-header" align="right">{$lang.amount_of_awaiting_approval_actions}</td>
	<td class="manage-header">{$lang.date_of_last_payment}</td>
	<td class="manage-header">&nbsp;</td>
</tr>
{if $partner_balances}
{foreach from=$partner_balances key='user_id' item='partner'}
<tr {cycle values='class="manage-row", '}>
	<td>
		<input type="checkbox" name="partners[{$user_id}]" id="pay_checkbox" value="Y" /></td>
	{if $settings.General.use_email_as_login == 'Y'}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=partners&{$mode_name}=update&user_id={$partner.partner_id}">{$partner.email}</a></td>
	{else}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=partners&{$mode_name}=update&user_id={$partner.partner_id}">{$partner.user_login}</a></td>
	{/if}
	<td class="side-padding"><a href="{$index_script}?{$target_name}=partners&{$mode_name}=update&user_id={$partner.partner_id}">{$partner.firstname} {$partner.lastname}</a></td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$partner.amount} (<a href="{$index_script}?{$target_name}=aff_statistics&{$mode_name}=commissions&{$action_name}=search&statistic_search%5Bpartner_id%5D={$partner.partner_id}&statistic_search%5Bstatus%5D%5BA%5D=A{$date_condition}">{$lang.details}</a>)</td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$partner.amount2} ({if $partner.amount2}<a href="{$index_script}?{$target_name}=aff_statistics&{$mode_name}=commissions&{$action_name}=search&statistic_search%5Bpartner_id%5D={$partner.partner_id}&statistic_search%5Bstatus%5D%5BN%5D=N">{/if}{$lang.details}{if $partner.amount2}</a>{/if})</td>
	<td class="side-padding">{if $partner.last_payout_date}{$partner.last_payout_date|date_format:$settings.Appearance.date_format}{else}&nbsp;---{/if}</td>
	<td class="side-padding" align="right">
		{include file="buttons/button.tpl" but_text=$lang.process but_style="text" but_onclick="javascript: fn_check_all_checkboxes('pay_affiliates_form', false, 'pay_checkbox'); document.pay_affiliates_form.elements['partners[$user_id]'].checked=true; document.pay_affiliates_form.submit();"}
	</td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="7" align="center" class="side-padding"><p><b>{'[items]'|str_replace:$lang.partners:$lang.text_no_items_found}</b></p></td>
</tr>
{/if}
</table>

{include file="common_templates/pagination.tpl"}

{if $partner_balances}
	{include file="buttons/button.tpl" but_text=$lang.process_selected but_onclick="javascript: if (fn_check_selected('pay_affiliates_form', 'pay_checkbox')) `$smarty.ldelim` document.getElementById('id_mode').value='do_m_pay_affiliates'; document.pay_affiliates_form.submit(); `$smarty.rdelim`" action_but="action_"}
{/if}

</form>

<p></p>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.pay_affiliates content=$smarty.capture.mainbox}