{* $Id: carts.tpl,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $ *}

{capture name="mainbox"}

{capture name="section"}
	{include file="cart_pages/carts_search_form.tpl"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search section_content=$smarty.capture.section}

<script type="text/javascript" language="javascript 1.2">
//<![CDATA[
var view_carts = [];
{if $cart_list}
{foreach from=$cart_list item="customer"}
view_carts[view_carts.length] = parseInt('{$customer.user_id|escape:javascript}');
{/foreach}
{/if}

{literal}
function fn_invert_all_carts(flag)
{
	var len = view_carts.length;
	for(var i = 0; i < len; i++) {
		if (!flag && document.getElementById('plustbody_' + view_carts[i]) && document.getElementById('plustbody_' + view_carts[i]).style.display != 'none') {
			document.getElementById('plustbody_' + view_carts[i]).onclick();
		} else if (flag && document.getElementById('minustbody_' + view_carts[i]) && document.getElementById('minustbody_' + view_carts[i]).style.display != 'none') {
			document.getElementById('minustbody_' + view_carts[i]).onclick();
		}
	}
	
	fn_show_tag('minus_plus', flag);
	fn_show_tag('plus_minus', !flag);
}
{/literal}
//]]>
</script>

<form action="{$index_script}" method="post" target="" name="carts_list_form">
<input type="hidden" name="{$target_name}" value="carts" />
<input type="hidden" name="{$mode_name}" value="update_status" />
<input type="hidden" name="redirect_url" value="{$current_url}" />

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table bcart="0" cellpadding="1" cellspacing="1" width="100%">
<tr class="manage-header">
	<td width="1%" align="center">
		&nbsp;<img src="{$images_dir}/plus_minus.gif" width="13" height="12" border="0" name="plus_minus" id="plus_minus" alt="{$lang.expand_collapse_list}" title="{$lang.expand_collapse_list}" class="hand" onclick="fn_invert_all_carts(false)"><img src="{$images_dir}/minus_plus.gif" width="13" height="12" border="0" name="minus_plus" id="minus_plus" alt="{$lang.expand_collapse_list}" title="{$lang.expand_collapse_list}" class="hand" onclick="fn_invert_all_carts(true)" style="display: none"></td>
	<td width="20%" class="manage-header" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=customer&sort_order={$sort_order}{$url_suffix}">{$lang.customer}</a>{if $sort_by == 'customer'}{$sort_sign}{/if}</td>
	<td width="{if $settings.Addons.wishlist == 'Y'}40{else}79{/if}%" class="manage-header" align="center" nowrap="nowrap">{$lang.cart_content}</td>
	{if $settings.Addons.wishlist == 'Y'}
	<td width="39%" class="manage-header" align="center" nowrap="nowrap">{$lang.wishlist_content}</td>
	{/if}
</tr>

{if $cart_list}
{foreach from=$cart_list item="customer"}
<tr class="manage-root-row">
	<td class="side-padding" style="height: 18px;">
		&nbsp;<img src="{$images_dir}/plus.gif" width="14" height="9" border="0" alt="{$lang.expand_sublist_of_items}" title="{$lang.expand_sublist_of_items}" id="plustbody_{$customer.user_id}" class="hand" onclick="javascript: fn_ajax_http_request('{$index_script}?{$target_name}=cart&{$mode_name}=cart_list&user_id={$customer.user_id}', ['cart_products_{$customer.user_id}', 'wishlist_products_{$customer.user_id}']); fn_invert_row('tbody_{$customer.user_id}')"><img src="{$images_dir}/minus.gif" width="14" height="9" border="0" alt="{$lang.collapse_sublist_of_items}" title="{$lang.collapse_sublist_of_items}" id="minustbody_{$customer.user_id}" class="hand" onclick="javascript: fn_invert_row('tbody_{$customer.user_id}')" style="display: none" /></td>
	<td class="side-padding">
		<a href="{$index_script}?{$target_name}=profiles&{$mode_name}=update&user_id={$customer.user_id}" class="underlined">{$customer.firstname} {$customer.lastname}</a></td>
	<td align="center" class="side-padding">{$customer.cart_products|default:'0'} {$lang.product_s}</td>
	{if $settings.Addons.wishlist == 'Y'}
	<td align="center" class="side-padding">{$customer.wishlist_products|default:'0'} {$lang.product_s}</td>
	{/if}
</tr>
<tbody id="tbody_{$customer.user_id}" style="display: none;">
<tr>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
	<td valign="top">
		<div id="cart_products_{$customer.user_id}">
		{if $customer.user_id == $sl_user_id}
			{if $cart_products}
			<table cellpadding="3" cellspacing="0" border="0" width="100%">
			<tr class="manage-subheader">
				<td class="manage-subheader side-padding" width="100%">{$lang.product}</td>
				<td class="manage-subheader" align="center">{$lang.quantity}</td>
				<td class="manage-subheader side-padding" align="right">{$lang.price}</td>
			</tr>
			{foreach from=$cart_products item='product' name='products'}
			<tr>
				<td class="manage-row-left-brd{if $smarty.foreach.products.last} manage-row-bottom-brd{/if}">
				{if $product.item_type == 'P'}
					<a href="{$index_script}?{$target_name}=products&{$mode_name}=update&product_id={$product.product_id}">{$product.product}</a>
				{/if}
				{if $settings.Addons.gift_certificates == 'Y'}
					{include file="addons/gift_certificates/cart_pages/carts.tpl"}					
				{/if}
					</td>
				<td {if $smarty.foreach.products.last}class="manage-row-bottom-brd"{/if} align="center">{$product.amount}</td>
				<td align="right" class="manage-row-right-brd{if $smarty.foreach.products.last} manage-row-bottom-brd{/if}">{include file="common_templates/price.tpl" value=$product.price span_id="c_`$customer.user_id`_$product.item_id"}</td>
			</tr>
			{/foreach}
			<tr>
				<td align="right"><b>{$lang.total}:</b></td>
				<td align="center"><b>{$customer.cart_all_products}</b></td>
				<td align="right"><b>{include file="common_templates/price.tpl" value=$customer.total span_id="u_$customer.user_id"}</b></td>
			</tr>
			</table>
			{else}
			&nbsp;<br />&nbsp;
			{/if}
		{else}
			&nbsp;
		{/if}
		<!--cart_products_{$customer.user_id}--></div>
	</td>
	{if $settings.Addons.wishlist == 'Y'}
	<td valign="top">
		<div id="wishlist_products_{$customer.user_id}">
		{if $customer.user_id == $sl_user_id}
			{if $wishlist_products}
			<table cellpadding="3" cellspacing="0" border="0" style="margin-left: 2px; margin-right: 2px;" width="100%">
			<tr class="manage-subheader">
				<td class="manage-subheader side-padding">{$lang.product}</td>
			</tr>
			{foreach from=$wishlist_products item='product' name='products'}
			<tr>
				<td class="manage-row-both-brd{if $smarty.foreach.products.last} manage-row-bottom-brd{/if}">
				{if $product.item_type == 'P'}
					<a href="{$index_script}?{$target_name}=products&{$mode_name}=update&product_id={$product.product_id}">{$product.product}</a>
				{/if}
				{if $settings.Addons.gift_certificates == 'Y'}
					{include file="addons/gift_certificates/cart_pages/carts.tpl"}					
				{/if}
				</td>
			</tr>
			{/foreach}
			</table>
			<p></p>
			{else}
			&nbsp;<br />&nbsp;
			{/if}
		{else}
			&nbsp;
		{/if}
		<!--wishlist_products_{$customer.user_id}--></div>
	</td>
	{/if}
</tr>
</tbody>
{/foreach}
{else}
<tr>
	<td class="manage-row" align="center" colspan="4">
		<p><b>{$lang.no_data_found}</b></p></td>
</tr>
{/if}
</table>
{include file="common_templates/pagination.tpl"}
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.users_carts content=$smarty.capture.mainbox}
