{* $Id: order_details.tpl,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $*}

<div align="right">
{if $settings.Addons.rma == 'Y'}
	{include file="addons/rma/orders_pages/order_details_top.tpl"}
{/if}
{if $order_info.user_id}
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=profiles&amp;{$mode_name}=act_as_user&user_id={$order_info.user_id}" target="_blank">{$lang.act_on_behalf}</a>&nbsp;&nbsp;
{/if}
</div>
<p></p>

{capture name="mainbox"}

<div style="float: left;">
{if $prev_id}
<a class="text-button-link" href="{$index_script}?{$target_name}=orders&amp;{$mode_name}=details&amp;order_id={$prev_id}">&#139;&#139;&nbsp;{$lang.order} #{$prev_id}</a>
{else}
&nbsp;
{/if}
</div>

<div style="float: right;">
{if $next_id}
<a class="text-button-link" href="{$index_script}?{$target_name}=orders&amp;{$mode_name}=details&amp;order_id={$next_id}">{$lang.order} #{$next_id}&nbsp;&#155;&#155;</a>
{else}
&nbsp;
{/if}
</div>

{if $order_info}
<br style="clear: left;" />
<div align="right">&nbsp;
	<div style="float: right;">
		{include file="buttons/button_popup.tpl" action_but="action_" but_text=$lang.print_invoice but_href="`$index_script`?`$target_name`=orders&`$mode_name`=print_invoice&order_id=`$order_info.order_id`" width="800" height="600"}</div>
	{if 'edit_order'|fn_check_privileges:true}
	<div style="float: right; padding-right: 10px;">
		{include file="buttons/button.tpl" but_text=$lang.edit_order but_href="$index_script?$target_name=order_management&$mode_name=edit&order_id=`$order_info.order_id`"}</div>
	{/if}
</div>
<br style="clear: right;" />
<form action="{$index_script}" method="post" name="order_info_form" />
<input type="hidden" name="{$target_name}" value="orders" />
<input type="hidden" name="{$mode_name}" value="update_details" />
<input type="hidden" name="order_id" value="{$smarty.get.order_id|escape}" />
<input type="hidden" name="order_status" value="{$order_info.status}" />


<table cellpadding="0" cellspacing="0" width="100%" border="0">
<tr>
	<td>
		<table cellpadding="2" cellspacing="0" border="0">
		<tr>
			<td><b>{$lang.order}</b>:&nbsp;</td><td>#{$order_info.order_id}</td>
		</tr>
		<tr>
			<td><b>{$lang.date}</b>:&nbsp;</td><td>{$order_info.timestamp|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
		</tr>
		<tr>
			<td><b>{$lang.status}</b>:&nbsp;</td><td>{include file="orders_pages/order_status.tpl" status=$order_info.status display="select" name="update_order[status]"}</td>
		</tr>
		</table>
	</td>
	{if $settings.Addons.barcode == 'Y'}
	<td align="right">{include file="addons/barcode/barcode.tpl" id=$order_info.order_id}</td>
	{/if}
</tr>
</table>

<br />
{include file="common_templates/subheader.tpl" title=$lang.products_information}
<table cellpadding="2" cellspacing="1" border="0" width="100%">
<tr>
	<td width="5%" class="manage-header">&nbsp;{$lang.sku}</td>
	<td class="manage-header">&nbsp;{$lang.product}</td>
	<td width="5%" class="manage-header" align="center">&nbsp;{$lang.price}</td>
	<td width="5%" class="manage-header" align="center">&nbsp;{$lang.quantity}</td>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/orders_pages/order_details_head.tpl"}
	{/if}
	{if $order_info.use_discount}
	<td width="5%" class="manage-header" align="center">{$lang.discount}</td>
	{/if}
	{if $order_info.taxes}
	<td width="5%" class="manage-header" align="center">&nbsp;{$lang.tax}</td>
	{/if}

	<td width="7%" class="manage-header" align="center">&nbsp;{$lang.subtotal}</td>
</tr>
{foreach from=$order_info.items item="oi" key="key"}
{if $settings.Addons.product_configurator == 'Y' && $oi.extra.configuration}
	{include file="addons/product_configurator/order_details_configurable.tpl"}
{elseif ($settings.Addons.product_configurator != 'Y' || !$oi.extra.in_configuration) && ($settings.Addons.gift_certificates != 'Y' || !$oi.extra.in_certificate)}
<tr {cycle values="class='manage-row', " name="class_cycle"} valign="top">
	<td nowrap="nowrap">{$oi.product_code}</td>
	<td class="side-padding" height="22">
	<a href="{$index_script}?{$target_name}=products&amp;{$mode_name}=update&amp;product_id={$oi.product_id}" class="manage-root-item">{$oi.product|escape:html}</a>
	{if $oi.product_options}<div style="padding-top: 1px; padding-bottom: 2px;">{include file="common_templates/options_info.tpl" product_options=$oi.product_options}</div>{/if}
	{if $settings.Addons.promotions == 'Y'}
		{include file="addons/promotions/orders_pages/order_details_body.tpl"}
	{/if}
	{if $settings.Addons.gift_certificates == 'Y'}
		{include file="addons/gift_certificates/orders_pages/order_details_body.tpl"}
	{/if}
	{if $settings.Addons.rma == 'Y'}
		{include file="addons/rma/orders_pages/order_details_body.tpl"}
	{/if}	
	{if $oi.extra.is_edp && $oi.extra.ekey}
		{assign var="edp_exist" value="Y"}
		<input type="hidden" name="prolongate_data[{$oi.product_id}][ekey]" value="{$oi.extra.ekey}" />
		<table cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td nowrap="nowrap">{$lang.download_key_expiry}: <b>{$oi.extra.ekey_expiry|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"|default:"n/a"}</b><td>
		</tr>
		<tr>
			<td nowrap="nowrap">{$lang.prolongate_download_key}:&nbsp;{html_select_date field_array="prolongate_data[`$oi.product_id`][date]" start_year=$settings.Company.company_start_year end_year="+1"}&nbsp;<b>/</b>&nbsp;{html_select_time  field_array="prolongate_data[`$oi.product_id`][time]" display_seconds=false}</td>
		</tr>
		</table>
	{/if}
	</td>
	<td align="right" nowrap="nowrap">
		{if $oi.extra.exclude_from_calculate}{$lang.free}{else}{include file="common_templates/price.tpl" value=$oi.price}{/if}</td>
	<td align="center">&nbsp;{$oi.amount}</td>
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/orders_pages/order_details_body.tpl"}
	{/if}
	{if $order_info.use_discount}
	<td align="right" class="side-padding" nowrap="nowrap">
		{if $oi.extra.discount|floatval}{include file="common_templates/price.tpl" value=$oi.extra.discount}{else}-{/if}</td>
	{/if}
	{if $order_info.taxes}
	<td align="center" class="side-padding" nowrap="nowrap">
		{if $oi.tax_value|floatval}{include file="common_templates/price.tpl" value=$oi.tax_value}{else}-{/if}</td>
	{/if}
	<td align="right">&nbsp;<b>{if $oi.extra.exclude_from_calculate}{$lang.free}{else}{include file="common_templates/price.tpl" value=$oi.subtotal}{/if}<b></td>
</tr>
{/if}
{/foreach}
{if $settings.Addons.gift_certificates == 'Y'}
		{include file="addons/gift_certificates/orders_pages/order_details_gift_certificates.tpl"}
{/if}
</table>

{if $settings.Addons.rma == 'Y'}
		{include file="addons/rma/orders_pages/order_details.tpl"}
{/if}
{* text_no_items_found*}
{if $edp_exist}
<br />
{include file="buttons/button.tpl" but_text=$lang.prolongate but_onclick="javascript:document.order_info_form.`$mode_name`.value='prolongate_key'; document.order_info_form.submit();"}
{/if}

<br />
{include file="common_templates/subheader.tpl" title=$lang.order_info}

<table cellpadding="2" cellspacing="0" border="0">
<tr>
	<td class="field-name">{$lang.subtotal}:&nbsp;</td>
	<td>{include file="common_templates/price.tpl" value=$order_info.subtotal}</td>
</tr>

{if $order_info.shipping_cost|floatval}
<tr>
	<td class="field-name">{$lang.shipping_cost}:&nbsp;</td>
	<td>{include file="common_templates/price.tpl" value=$order_info.shipping_cost}</td>
</tr>
{/if}
{if $order_info.discount|floatval}
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.including_discount}:</td>
	<td nowrap="nowrap">
		{include file="common_templates/price.tpl" value=$order_info.discount}</td>
</tr>
{/if}
{if $settings.Addons.reward_points == 'Y'}
	{include file="addons/reward_points/orders_pages/order_details_info.tpl"}
{/if}
{if $order_info.shipping_discount.free_shipping=='Y' && $order_info.shipping_discount.discount_id|intval}
<tr>
	<td colspan="2" nowrap="nowrap"><b>{$lang.discount}</b> ({$lang.free_shipping})</td>
</tr>
{/if}
{if $settings.Addons.promotions == 'Y'}
	{include file="addons/promotions/orders_pages/order_details_info.tpl"}
{/if}
{if $order_info.coupons}
{foreach from=$order_info.coupons item="coupon" key="key"}
<tr>
	<td colspan="2" nowrap="nowrap">
		<b>{$lang.discount_coupon}</b> {if $coupon.discount_id}<a href="{$index_script}?{$target_name}=discounts&discount_id={$coupon.discount_id}">{$key}</a>{else}{$key}{/if} ({if $coupon.free_shipping == 'Y'}{$lang.free_shipping}{else}{include file="common_templates/modifier.tpl" mod_value=$coupon.value mod_type=$coupon.value_type}{/if})</td>
</tr>
{/foreach}
{/if}

{if $order_info.taxes}
<tr>
	<td class="field-name">{$lang.including_taxes}:</td>
	<td>&nbsp;</td>
</tr>
{foreach from=$order_info.taxes item=tax_data}
<tr>
	<td>&nbsp;<b>&middot;</b>&nbsp;{$tax_data.description}&nbsp;{include file="common_templates/modifier.tpl" mod_value=$tax_data.rate_value mod_type=$tax_data.rate_type}&nbsp;{if $tax_data.regnumber}({$tax_data.regnumber}){/if}&nbsp;</td>
	<td>{include file="common_templates/price.tpl" value=$tax_data.tax_subtotal}</td>
</tr>
{/foreach}
{/if}
{if $order_info.tax_exempt == 'Y'}
<tr>
	<td class="field-name">{$lang.tax_exempt}</td>
	<td>&nbsp;</td>
<tr>
{/if}

{if $order_info.payment_surcharge|floatval}
<tr>
	<td class="field-name">{$lang.payment_surcharge}:&nbsp;</td>
	<td>{include file="common_templates/price.tpl" value=$order_info.payment_surcharge}</td>
</tr>
{/if}
{if $settings.Addons.rma == 'Y'}
	{include file="addons/rma/orders_pages/order_details_info.tpl"}
{/if}
<tr>
	<td class="field-name">{$lang.order_total}:&nbsp;</td>
	<td class="order-total"><b>{include file="common_templates/price.tpl" value=$order_info.total}</b></td>
</tr>
</table>
<p></p>
<table>
<tr>
	<td valign="top"` class="field-name">{$lang.customer_notes}:&nbsp;</td>
	<td><textarea class="input-text" name="update_order[notes]" cols="45" rows="8">{$order_info.notes|escape:html}</textarea></td>
	<td>&nbsp;&nbsp;</td>
	<td align="right" valign="top" class="field-name">{$lang.order_details}:&nbsp;</td>
	<td><textarea class="input-text" name="update_order[details]" cols="45" rows="8">{$order_info.details|escape:html}</textarea></td>
</tr>
</table>

<br />
{***************** Patyment INFO ******************}
{if $order_info.payment_id}
{include file="common_templates/subheader.tpl" title=$lang.payment_information}
	<table cellpadding="2" cellspacing="0" border="0">
	<tr>
		<td class="field-name">{$lang.method}:&nbsp;</td>
		<td>{$order_info.payment_method.payment}&nbsp;{if $order_info.payment_method.description}({$order_info.payment_method.description}){/if}</td>
	</tr>
	</table>

	{if $order_info.payment_info}
	<div class="light-notice-box" style="padding: 5px; margin: 5px 0px 0px 10px; clear: both;">
		<table cellpadding="2" cellspacing="2" border="0">
		{foreach from=$order_info.payment_info item=item key=key}
		{if $item}
		<tr>
			<td class="field-name">{if $key == 'card'}{$lang.credit_card}{else}{$lang.$key}{/if}:&nbsp;</td>
			<td>{if $key == 'order_status'}{include file="orders_pages/order_status.tpl" status=$item display="view"}{else}{$item}{/if}</td>
		</tr>
		{/if}
		{/foreach}
		</table>
	</div>
	{else}
	<div style="clear: both;"><img src="{$images_dir}/spacer.gif" width="1" height="1" alt="" /></div>
	{/if}

{/if}

{if $settings.Addons.gift_certificates == 'Y'}
	{include file="addons/gift_certificates/orders_pages/order_details_payment_info.tpl"}
{/if}

{***************** Shipping INFO ******************}
{if $order_info.shipping}
<br /><p></p>
{include file="common_templates/subheader.tpl" title=$lang.shipping_information}

{foreach from=$order_info.shipping item="shipping" key="shipping_id" name="f_shipp"}
<table cellpadding="2" cellspacing="0" border="0">
<tr>
	<td class="field-name">{$lang.method}:&nbsp;</td>
	<td>{$shipping.shipping}</td>
</tr>
</table>

<div class="light-notice-box" style="padding: 5px; margin: 5px 0px 5px 10px; clear: both;">
	<table cellpadding="2" cellspacing="2" border="0">
	<tr>
		<td class="field-name">{$lang.tracking_number}:&nbsp;</td>
		<td><input type="text" class="input-text" name="update_shipping[{$shipping_id}][tracking_number]" size="45" value="{$shipping.tracking_number|escape:html}" />&nbsp;</td>
	</tr>
	<tr>
		<td class="field-name">{$lang.carrier}:&nbsp;</td>
		<td>
			<select name="update_shipping[{$shipping_id}][carrier]">
			<option value="">--</option>
			<option value="USP" {if $shipping.carrier == 'USP'}selected="selected"{/if}>{$lang.usps}</option>
			<option value="UPS" {if $shipping.carrier == 'UPS'}selected="selected"{/if}>{$lang.ups}</option>
			<option value="FDX" {if $shipping.carrier == 'FDX'}selected="selected"{/if}>{$lang.fedex}</option>
			<option value="AUP" {if $shipping.carrier == 'AUP'}selected="selected"{/if}>{$lang.australia_post}</option>
			<option value="DHL" {if $shipping.carrier == 'DHL' || $order_info.carrier == 'ARB'}selected="selected"{/if}>{$lang.dhl}</option>
			</select></td>			
	</tr>
	</table>
</div>
{/foreach}
{/if}
{**********\\*********}

<p></p>
{if $settings.Addons.anti_fraud == 'Y'}
{include file="addons/anti_fraud/order_details.tpl"}
{/if}

{if $settings.Affiliate.enable == 'Y' && $order_info.affiliate.commissions}
<br />
{include file="common_templates/subheader.tpl" title=$lang.affiliate_commissions}
<table cellpadding="1" cellspacing="1" border="0">
{foreach from=$order_info.affiliate.commissions item=comm}
{if $comm.action_id}
<tr {cycle values="class='manage-row', "}>
	<td><a href="{$index_script}?{$target_name}=aff_statistics&action_id={$comm.action_id}">#{$comm.action_id} {$comm.title}</a></td>
	<td>{$comm.firstname} {$comm.lastname}</td>
	<td>{include file="common_templates/price.tpl" value=$comm.amount}</td>
</tr>
{/if}
{/foreach}
</table>
{/if}

<br />
{include file="common_templates/subheader.tpl" title=$lang.customer_information}

{* Customer info *}
{include file="profiles_pages/profiles_info.tpl" user_data=$order_info location="I"}
{* /Customer info *}

{if $order_info.ip_address}
<p></p>
<table cellpadding="2" cellspacing="0" border="0">
<tr>
	<td class="field-name">{$lang.ip_address}:&nbsp;</td>
	<td>{$order_info.ip_address}</td>
</tr>
</table>
{/if}

<hr />
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		<input type="hidden" name="notify_user" value="N" />
		<input type="checkbox" name="notify_user" value="Y" /></td>
	<td>{$lang.notify_customer}</td>
</tr>
</table>
<br />
{if $email_changed && 'change_order_status'|fn_check_privileges:true}
<p><b>{$lang.attention}</b><br />
{$lang.notice_update_customer_details}<br />
<input type="checkbox" name="update_customer_details" value="Y" />{$lang.update_customer_info}
</p>
{/if}

{if $settings.Addons.discussion == 'Y'}
{include file="addons/discussion/allow_discussion_order.tpl" object_id=$order_info.order_id object_type="O" title=$lang.discussion_title_order}
<br />
{/if}
<br />

{if 'change_order_status'|fn_check_privileges:true}
<div style="float: left;">
	{include file="buttons/button.tpl" but_text=$lang.update but_onclick="javascript:document.order_info_form.submit();"}</div>
{/if}
</form>

{/if}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.order_info content=$smarty.capture.mainbox}

{if $settings.Addons.discussion == 'Y'}
{include file="addons/discussion/discussion.tpl" object_id=$order_info.order_id object_type="O" title=$lang.discussion_title_order}
{/if}