{* $Id: pages.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

<div align="right"><span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=pages&{$mode_name}=add&parent_id=0" class="underlined">{$lang.add_root_page}</a>&nbsp;</div>
<p></p>

{capture name="mainbox"}

{if $smarty.get.topic_id == ''}
{capture name="section"}
	{include file="pages_pages/pages_search_form.tpl" target=$target search_mode=$mode search_type="extended"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search_for_pages section_content=$smarty.capture.section}
{/if}

<form action="{$index_script}" method="post" name="manage_pages_form" >
<input type="hidden" name="{$target_name}" value="pages" />
<input type="hidden" name="{$mode_name}" value="do_m_update" />
<input type="hidden" name="topic_id" value="{$smarty.get.topic_id}" />
<input type="hidden" name="page" value="{$smarty.get.page}" />

{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.admin_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('manage_pages_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td align="center" class="manage-header" nowrap><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=position&sort_order={$sort_order}{$url_suffix}">{$lang.position_short}</a>{if $sort_by == 'position'}{$sort_sign}{/if}</td>
	<td width="100%" class="manage-header" nowrap><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=page&sort_order={$sort_order}{$url_suffix}">{$lang.page}</a>{if $sort_by == 'page'}{$sort_sign}{/if}</td>
	<td align="center" class="manage-header" nowrap><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=avail&sort_order={$sort_order}{$url_suffix}">{$lang.avail}</a>{if $sort_by == 'avail'}{$sort_sign}{/if}</td>
</tr>

{if $pages}
{foreach from=$pages item=page}
<tr {cycle values='class="manage-row", '}>
	<td>
		<input type="checkbox" name="pages_ids[{$page.page_id}]" id="delete_checkbox" value="Y" /></td>
	<td>
		<input type="text" name="pages_data[{$page.page_id}][position]" size="3" value="{$page.position}" class="input-position" /></td>
	<td width="100%">
		<table cellpadding="0" cellspacing="0" width="100%"	border="0">
		<tr>
			<td>&nbsp;</td>
			<td width="100%">
				<input type="hidden" name="pages_description[{$page.page_id}][page]" value="{$page.page}" />
				<a href="{$index_script}?{$target_name}=pages&{$mode_name}=update&page_id={$page.page_id}" class="manage-root-item{if $page.avail == "N"}-disabled{/if}">{$page.page}</a></td>
			<td align="right" nowrap>
				&nbsp;<a href="{$index_script}?{$target_name}=pages&{$mode_name}=delete&page_id={$page.page_id}" class="manage-small"><img src="{$images_dir}/catalog_del.gif" width="10" height="8" border="0" alt="" align="bottom">{$lang.delete}</a>&nbsp;</td>
		</tr>
		</table>
	</td>
	<td align="center">
		<select name="pages_data[{$page.page_id}][avail]">
			<option value="Y" {if $page.avail == 'Y'}selected="selected"{/if}>{$lang.yes}</option>
			<option value="H" {if $page.avail == 'H'}selected="selected"{/if}>{$lang.hidden}</option>
			<option value="N" {if $page.avail == 'N'}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>
{/foreach}
{else}
<tr>
	<td colspan="3" align="center">
		<p><b>{$lang.text_no_pages_found}</b></p></td>
</tr>
{/if}
</table>
{include file="common_templates/pagination.tpl"}
<p></p>
{if $pages}

{if 'manage_cms'|fn_check_privileges:true}
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript: document.manage_pages_form.submit()"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('manage_pages_form','do_m_delete')" but_arrow="on"}</td>
	</tr>
</table>
<p></p>
{include file="buttons/add_new.tpl" but_href="$index_script?$target_name=pages&$mode_name=add&parent_id=0" but_type="none"}

<br />
{$lang.text_select_fields2edit_note}

<p></p>
{include file="pages_pages/pages_select_fields.tpl"}

<p></p>
{include file="buttons/modify_selected.tpl" but_onclick="javascript: fn_delete_selected('manage_pages_form','do_store_selection',true);" but_arrow="on"}

{/if}
{/if}

</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.pages content=$smarty.capture.mainbox}
