{* $Id: pages_update.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if $mode == "update"}
<div align="right">
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=pages&{$mode_name}=add&topic_id={$page_data.main_topic.topic_id}" class="underlined">{$lang.add_new_page}</a>&nbsp;&nbsp;
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=pages&{$mode_name}=delete&page_id={$smarty.get.page_id}" class="underlined">{$lang.delete_this_page}</a>
</div>
<p></p>
{/if}

{capture name="mainbox"}

{if $mode == "update"}{include file="common_templates/select_language.tpl"}{/if}
<p>{$lang.text_mandatory_fields}</p>

<form action="{$index_script}" method="post" name="page_update_form">
<input type="hidden" name="{$target_name}" value="pages" />
<input type="hidden" name="{$mode_name}" value="do_{$mode}" />
<input type="hidden" id="selected_section" name="selected_section" value="{$selected_section}" />
<input type="hidden" name="page_data[page_id]" value="{$page_data.page_id}" />
<input type="hidden" name="page_data[page_inner_id]" value="{$page_data.page_inner_id}" />

{** General info section **}

<table cellpadding="1" cellspacing="2" border="0" width="100%">
<tr>
	<td class="field-name" width="120" nowrap>{$lang.main_topic}:</td>
	<td>&nbsp;</td>
	<td width="100%">
		<select	name="pages_topics_main[topic_id]" style="width: 85%">
			<option	value="0" {if $page_data.main_topic.topic_id == "0" || $smarty.get.topic_id == '0'}selected{/if}>- {$lang.root_page} -</option>
			{foreach from=$all_topics_list item="topic"}
			<option	value="{$topic.topic_id}" {if $page_data.main_topic.topic_id == $topic.topic_id || $topic.topic_id == $smarty.get.topic_id}selected{/if}>{$topic.topic|indent:$topic.level:"&#166;&nbsp;&nbsp;&nbsp;&nbsp;":"&#166;--&nbsp;"}</option>
			{/foreach}
		</select>
		<input type="hidden" name="pages_topics_main[link_type]" value="M" /></td>
</tr>

<tr>
	<td class="field-name" nowrap>{$lang.page_name}:</td>
	<td class="required-field-mark">*</td>
	<td>
		<input type="text" name="page_description[page]" size="55" value="{$page_data.page|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>
{if !$page_data.page_link}
<tr>
	<td class="field-name" nowrap>{$lang.page_id}:</td>
	<td class="required-field-mark">{if $mode == 'add'}*{/if}</td>
	<td>
		<input type="text" name="page_data[page_id]" size="55" value="{$page_data.page_id}" class="input-text" style="width: 85%" {if $mode == 'update'}readonly="readonly" disabled="disabled"{/if} onkeyup="var matches = this.value.match(/^(\w*)/gi);  if (matches) this.value = matches;" /></td>
</tr>
<tr>
	<td class="field-name" nowrap>&nbsp;</td>
	<td class="required-field-mark"></td>
	<td>
		{$lang.txt_page_access_link} <nobr>{if $mode == 'update'}<a href="{$customer_index}?{$target_name}=pages&page_id={$page_data.page_id|default:$lang.page_id}" target="_blank">{/if}<b>{$customer_index}?{$target_name}=pages&page_id={$page_data.page_id|default:$lang.page_id}</b>{if $mode == 'update'}</a>{/if}</nobr><p></p></td>
</tr>

<tr>
	<td class="field-name" nowrap>{$lang.short_description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="page_short_descr" name="page_description[short_description]" cols="55" rows="5" class="input-text" style="width: 85%">{$page_data.short_description|escape:html}</textarea><br />
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('page_short_descr');" but_style="text"}
	</td>
</tr> 
{/if}
<tr>
	<td class="field-name" nowrap>{$lang.page_link}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="page_data[page_link]" size="55" value="{$page_data.page_link|escape:html}" class="input-text" style="width: 85%" /><br />{$lang.text_page_url_explanation}</td>
</tr>
{if $settings.Addons.seo == 'Y'}
<tr>
	<td class="field-name" nowrap="true">{$lang.seo_name}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="text" name="page_description[seo_name]" size="55" maxlength="255" value="{$page_data.seo_name|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>
{/if}
<tr>
	<td class="field-name" nowrap>{$lang.open_in_new_window}:</td>
	<td>&nbsp;</td>
	<td>
		<input type="hidden" name="page_data[page_type]" value="N" />
		<input type="checkbox" name="page_data[page_type]" value="B" {if $page_data.page_type == 'B'}checked="checked"{/if} />
	</td>
</tr>

<tr>
	<td class="field-name">{$lang.created_date}:</td>
	<td>&nbsp;</td>
	<td nowrap="nowrap">{html_select_date field_array="page_data[timestamp]" time=$page_data.timestamp|default:$smarty.const.TIME start_year=$settings.Company.company_start_year}</td>
</tr>

</table>
{** /General info section **}
<br />

{capture name="tabsbox"}

{** page description section **}
{if !$page_data.page_link}
<table cellpadding="1" cellspacing="2" width="100%"	border="0" id='content_detailed'> 
<tr>
	<td class="field-name" width="110" nowrap>{$lang.full_description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea id="page_full_descr" name="page_description[full_description]" cols="55" rows="10" class="input-text" style="width: 85%">{$page_data.full_description|escape:html}</textarea><br />
		{include file="buttons/button.tpl" but_text=$lang.edit_in_visual_editor but_onclick="javascript: fn_open_editor('page_full_descr');" but_style="text"}
	</td>
</tr>
<tr>
	<td class="field-name" nowrap>{$lang.page_title}:</td>
	<td >&nbsp;</td>
	<td>
		<input type="text" name="page_description[page_title]" size="55" value="{$page_data.page_title|escape:html}" class="input-text" style="width: 85%" /></td>
</tr>
<tr>
	<td class="field-name" nowrap>{$lang.meta_description}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="page_description[meta_description]" cols="55" rows="3" class="input-text" style="width: 85%">{$page_data.meta_description|escape:html}</textarea></td>
</tr>			 

<tr>
	<td class="field-name" nowrap>{$lang.meta_keywords}:</td>
	<td>&nbsp;</td>
	<td>
		<textarea name="page_description[meta_keywords]" cols="55" rows="2" class="input-text" style="width: 85%">{$page_data.meta_keywords|escape:html}</textarea></td>
</tr>			 
<tr>
	<td class="field-name" nowrap>{$lang.available}:</td>
	<td>&nbsp;</td>
	<td>
		<select name="page_data[avail]">
			<option value="Y" {if $page_data.avail == 'Y'}selected="selected"{/if}>{$lang.yes}</option>
			<option value="H" {if $page_data.avail == 'H'}selected="selected"{/if}>{$lang.hidden}</option>
			<option value="N" {if $page_data.avail == 'N'}selected="selected"{/if}>{$lang.no}</option>
		</select>
	</td>
</tr>

{if $settings.Addons.discussion == "Y"}
{include file="addons/discussion/allow_discussion.tpl" object_id=$page_data.page_inner_id object_type="A" title=$lang.discussion_title_page}
{/if}

</table>
{/if}

{** /page description section **}

{** page topics section **}
<table cellpadding="1" cellspacing="2" width="100%"	border="0" id='content_topics' style="display: none;">
<tr>
	<td class="field-name" width="110" nowrap>{$lang.additional_topics}:</td>
	<td>&nbsp;</td>
	<td width="100%">
		<select	name="pages_topics_add[][topic_id]" multiple size="8" style="width: 85%">
			{foreach from=$all_topics_list item="topic"}
			<option	value="{$topic.topic_id}" {if $topic.selected == "true"}selected{/if}>{$topic.topic|indent:$topic.level:"&#166;&nbsp;&nbsp;&nbsp;&nbsp;":"&#166;--&nbsp;"}</option>
			{/foreach}
		</select>
		<input type="hidden" name="pages_topics_add[][link_type]" value="A">
		{$lang.multiple_selectbox_notice}</td>
</tr>
</table>
{** /page topics section **}

{** Form submit section **}

{if 'manage_cms'|fn_check_privileges:true}
<div id="product_save_button">
{if $mode == "add"}
	{include file="buttons/add_new.tpl" but_onclick="javascript: document.page_update_form.submit();"}
{else}
	{include file="buttons/save_changes.tpl" but_onclick="javascript: document.page_update_form.submit();"}
{/if}
</div>
{/if}
{** /Form submit section **}

</form>

{** Discussion addon section **}
{if !$page_data.page_link && $settings.Addons.discussion == "Y"}
{include file="addons/discussion/discussion.tpl" object_id=$page_data.page_inner_id object_type="A" no_box=true}
{/if}
{** /Discussion addon section **}

{** page listmania section **}
{if $settings.Addons.listmania == 'Y'}
	{include file="addons/listmania/select_list.tpl" object_id=$page_data.page_inner_id lists=$lm_lists extra="<input type=\"hidden\" name=\"page_id\" value=\"`$page_data.page_id`\" />"}
{/if}
{** /page listmania section **}

{/capture}
{include file="common_templates/tabsbox.tpl" content=$smarty.capture.tabsbox group_name='page'}

{/capture}

{if $mode == "add"}
{include file="common_templates/mainbox.tpl" title=$lang.add_new_page content=$smarty.capture.mainbox}
{else}
{include file="common_templates/mainbox.tpl" title=$lang.update_pages content=$smarty.capture.mainbox}
{/if}
