{* $Id: global_options.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="mainbox"}

{if !$action}
<form action="{$index_script}" method="post" name="global_options_form">
<input type="hidden" name="{$target_name}" value="product_options">
<input type="hidden" name="{$mode_name}" value="global">
<input type="hidden" name="{$action_name}" value="update">

{include file="common_templates/subheader.tpl" title=$lang.global_options}
<p>
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td width="1%" align="center" nowrap="nowrap">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('global_options_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" align="center" nowrap="nowrap">&nbsp;{$lang.position_short}&nbsp;</td>
	<td class="manage-header" width="70%" nowrap="nowrap">&nbsp;{$lang.option_name}&nbsp;</td>
	<td class="manage-header" nowrap="nowrap">&nbsp;{$lang.inventory}&nbsp;</td>
	<td class="manage-header" align="center" nowrap="nowrap">&nbsp;{$lang.type}&nbsp;</td>
	<td class="manage-header" align="center" nowrap="nowrap">&nbsp;{$lang.avail}&nbsp;</td>
	<td>&nbsp;</td>
</tr>
{if $global_options}
{foreach from=$global_options item="po"}
<tr {cycle values='class="manage-row", '}>
	<td align="center">
		<input type="checkbox" id="delete_checkbox" name="delete_product_options[{$po.option_id}]" value="Y"></td>
	<td align="center">
		<input type="text" name="product_options[{$po.option_id}][position]" value="{$po.position}" size="3" class="input-text" /></td>
	<td>
		<input type="text" name="product_options[{$po.option_id}][option_name]" value="{$po.option_name|escape:html}" class="input-text-100" /></td>
	<td align="center">
		{if 'SRC'|strpos:$po.option_type !== false}
		<input type="hidden" name="product_options[{$po.option_id}][inventory]" value="N" />
		<input type="checkbox" name="product_options[{$po.option_id}][inventory]" value="Y" {if $po.inventory=="Y"}checked="checked"{/if} />
		{else}
		<input type="hidden" name="product_options[{$po.option_id}][inventory]" value="N" />-
		{/if}
		</td>
	<td align="center">
		{include file="products_pages/option_types.tpl" name="product_options[`$po.option_id`][option_type]" value=$po.option_type display="select"}</td>
	<td align="center">
		<input type="hidden" name="product_options[{$po.option_id}][avail]" value="N" />
		<input type="checkbox" name="product_options[{$po.option_id}][avail]" value="Y" {if $po.avail == "Y"}checked="checked"{/if} /></td>
	<td align="right"  nowrap="nowrap">
		&nbsp;{if $po.option_type == 'S' || $po.option_type == 'R' || $po.option_type == 'C'}{include file="buttons/button.tpl" but_text=$lang.details but_style="text" but_href="$index_script?$target_name=product_options&$mode_name=option_details&option_id=`$po.option_id`"}{/if}</td>
</tr>
{/foreach}
{else}
<tr class="manage-row">
	<td colspan="7" align="center"><p><b>{$lang.text_no_items_found|replace:'[items]':$lang.options}</b></p></td>
</tr>
{/if}
</table>
{if 'manage_catalog'|fn_check_privileges:true}
{if $global_options}
<p>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td>
		{include file="buttons/update.tpl" but_onclick="javascript:document.global_options_form.submit();"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('global_options_form','delete', '', '','$action_name');"}</td>
	<td align="right"  width="100%">
		{include file="buttons/button.tpl" but_text=$lang.apply_to_products but_style="text" but_href="$index_script?$target_name=product_options&$mode_name=global&$action_name=apply"}</td>
</tr>
</table>
</p>
{/if}
{/if}
<br />
<br />
</form>

{** New options dialog **}
{if 'manage_catalog'|fn_check_privileges:true}
{include file="common_templates/subheader.tpl" title=$lang.add_options}
<form action="{$index_script}" method="post" name="add_options">
<input type="hidden" name="{$target_name}" value="product_options">
<input type="hidden" name="{$mode_name}" value="global">
<input type="hidden" name="{$action_name}" value="add_option">

{include file="products_pages/products_update_add_options.tpl"}

<p></p>
{include file="buttons/add_new.tpl" but_onclick="javascript: document.add_options.submit();"}

</form>
{** /New options dialog **}
{/if}
<br />
{elseif $action=='apply'}
{** Add option to products **}
{include file="common_templates/subheader.tpl" title=$lang.products}
</p>
{capture name="section"}
	{assign var="class_id" value=$option_class.class_id}
	{include file="products_pages/products_search_form.tpl" target="product_options" mode="global" extra="<input type=\"hidden\" id=\"category_id\" name=\"category_id\" value=\"`$smarty.get.category_id`\">" search_products="Y"}
{/capture}
{include file="common_templates/section.tpl" section_title=$lang.search_for_products section_content=$smarty.capture.section}

<form action="{$index_script}" method="post" name="add_global_options" />
<input type="hidden" name="{$target_name}" value="{$target}" />
<input type="hidden" name="{$mode_name}" value="global" />
<input type="hidden" name="{$action_name}" value="add_global_options" />
<input type="hidden" name="category_id" value="{$smarty.get.category_id|escape:'html'}" />

{if $smarty.get.search_products == 'Y'}
{include file="products_pages/products_list.tpl" products=$products form_name="add_global_options" checkbox_id="add_global_options_checkbox" pagination_suffix="#add_global_options"}
{/if}
<br />
{** Form submit section **}
{** /Form submit section **}
{include file="common_templates/subheader.tpl" title=$lang.select_options}
<p>
<select	id="global_options" name="global_options[]" multiple size="3">
	{foreach from=$global_options item="po"}
	<option	value="{$po.option_id}">{$po.option_name}</option>
	{/foreach}
</select>
{$lang.multiple_selectbox_notice}
</p>
<br />
<p>
<table cellpadding="3" cellspacing="0" border="0">
<tr>
	<td>
	{include file="buttons/button.tpl" but_text=$lang.apply_to_products but_type="input" action_but="action_" but_onclick="javascript: if (fn_check_selected('add_global_options','add_global_options_checkbox')) document.add_global_options.submit();"}</td>
	<td><input type="hidden" name="option_class[link]}" value="N" />
	    <input type="checkbox" name="option_class[link]" value="Y" /></td>
	<td>{$lang.apply_as_link}</td>
</tr>
</table>
</p>
</form>
{** /Add option to products **}
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.global_options content=$smarty.capture.mainbox}