{* $Id: shipping_update.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

<div align="right">
{if 'view_shipping'|fn_check_privileges:true}<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=shippings&{$mode_name}=manage" class="underlined">{$lang.manage_shippings}</a>&nbsp;&nbsp;{/if}
{if 'view_settings'|fn_check_privileges:true}&nbsp;<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=settings&section_id=Shippings" class="underlined">{$lang.realtime_shippings}</a>&nbsp;&nbsp;{/if}
</div>
<p></p>


{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="shippings_form">
<input type="hidden" name="page" value="{$smarty.get.page|escape}" />
<input type="hidden" name="{$target_name}" value="shippings" />
<input type="hidden" name="{$mode_name}" value="update_shipping" />
<input type="hidden" name="shipping_id" value="{$smarty.get.shipping_id|escape:'html'}" />

{include file="common_templates/subheader.tpl" title=$lang.shipping_method_properties}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td class="field-name" width="110">{$lang.shipping_name}:</td>
	<td>&nbsp;</td>
	<td><input type="text" name="shipping_description[shipping]" size="30" value="{$shipping.shipping|escape:html}" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name">{$lang.delivery_time}:</td>
	<td>&nbsp;</td>
	<td><input type="text" name="shipping_description[delivery_time]" size="30" value="{$shipping.delivery_time|escape:html}" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name">{$lang.weight_limit}&nbsp;({$settings.General.weight_symbol}):</td>
	<td>&nbsp;</td>
	<td><input type="text" name="shipping_data[min_weight]" size="4" value="{$shipping.min_weight|escape:html}" class="input-text" />&nbsp;-&nbsp;<input type="text" name="shipping_data[max_weight]" size="4" value="{if $shipping.max_weight != '0.00'}{$shipping.max_weight|escape:html}{/if}" class="input-text" /></td>
</tr>
<tr>
	<td class="field-name">{$lang.rate_calculation}:</td>
	<td>&nbsp;</td>
	<td>
		<table cellpadding="0" cellspacing="0">
		<tr>
			<td><input type="radio" name="shipping_data[rate_calculation]" value="M" {if $shipping.rate_calculation == 'M'}checked="checked"{/if} onclick="document.getElementById('service').disabled=true;" /></td>
			<td>{$lang.rate_calculation_manual}</td>
		</tr>
		<tr>
			<td><input type="radio" name="shipping_data[rate_calculation]" value="R" {if $shipping.rate_calculation == 'R'}checked="checked"{/if} onclick="document.getElementById('service').disabled=false;" /></td>
			<td>{$lang.rate_calculation_realtime}</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.shipping_service}:</td>
	<td>&nbsp;</td>
	<td>
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				<select name="shipping_data[service_id]" id="service" {if $shipping.rate_calculation == 'M'}disabled="disabled"{/if}>
					<option	value="">--</option>
					{foreach from=$services item=service}
					{if ($shipping_settings.intershipper_enabled == 'Y' && $service.intershipper_code) || ($shipping_settings.fedex_enabled == 'Y' && $service.fedex_code) || ($shipping_settings.usps_enabled == 'Y' && $service.usps_code) || ($shipping_settings.ups_enabled == 'Y' && $service.ups_code) || ($shipping_settings.dhl_enabled == 'Y' && $service.dhl_code) || ($shipping_settings.aup_enabled == 'Y' && $service.aup_code)}
					<option	value="{$service.service_id}" {if $shipping.service_id == $service.service_id}selected="selected"{/if}>{$service.description}</option>
					{/if}
					{/foreach}
				</select>
			</td>
			
			<td>&nbsp;&nbsp;<b>{$lang.test}</b>: &nbsp;{$lang.weight} ({$settings.General.weight_symbol})&nbsp;</td>
			<td><input id="weight" type="text" class="input-text" size="3" name="weight" value="0" /></td>
			<td>&nbsp;</td>
			<td>
				{include file="buttons/button_popup.tpl" but_text=$lang.test but_href="$index_script?$target_name=shippings&$mode_name=test&service_id='+document.getElementById('service').value + '&weight='+ document.getElementById('weight').value +'" width="500" height="230" scrollbars="no" toolbar="no" menubar="no"}</td>
		</tr>
		</table>
	</td>
</tr>
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.taxes}:</td>
	<td>&nbsp;</td>
	<td>
		<select	name="shippings_taxes[][tax_id]" multiple size="3">
			{foreach from=$taxes item="tax"}
			{assign var="t_id" value=$tax.tax_id}
			<option	value="{$tax.tax_id}" {if $assigned_taxes.$t_id}selected="selected"{/if}>{$tax.tax}</option>
			{/foreach}
		</select>
		{$lang.multiple_selectbox_notice}</td>
</tr>
{if $settings.Addons.suppliers == 'Y'}
	{include file="addons/suppliers/shippings_pages/shipping_update.tpl"}
{/if}
<tr>
	<td class="field-name" nowrap="nowrap">{$lang.membership}:</td>
	<td>&nbsp;</td>
	<td>
		<select name="shipping_data[membership_id]">
		<option value="">- {$lang.all} -</option>
		{foreach from=$memberships item="membership"}
		<option value="{$membership.membership_id}" {if $shipping.membership_id == $membership.membership_id}selected="selected"{/if}>{$membership.membership}</option>
		{/foreach}
		</select>	
	</td>
</tr>
<tr>
	<td class="field-name">{$lang.available}:</td>
	<td>&nbsp;</td>
	<td><input type="hidden" name="shipping_data[avail]" value="N" />
		<input type="checkbox" name="shipping_data[avail]" value="Y" {if $shipping.avail == "Y"}checked="checked"{/if} />
	</td>
</tr>
</table>
<p></p>

{if 'manage_shipping'|fn_check_privileges:true}
{include file="buttons/button.tpl" but_text=$lang.update but_onclick="javascript:document.shippings_form.submit();"}
{/if}
</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.manage_shippings content=$smarty.capture.mainbox}

{include file="shippings_pages/rates.tpl"}
