{* $Id: shippings.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if 'view_settings'|fn_check_privileges:true}
<div align="right">
<span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=settings&section_id=Shippings" class="underlined">{$lang.realtime_shippings}</a>&nbsp;&nbsp;
</div>
<p></p>
{/if}

{capture name="mainbox"}

{include file="common_templates/select_language.tpl"}

<form action="{$index_script}" method="post" name="shippings_form">
<input type="hidden" name="{$target_name}" value="shippings" />
<input type="hidden" name="{$mode_name}" value="update_shippings" />

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('shippings_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td width="1%" align="center" class="manage-header" nowrap="nowrap">{$lang.position_short}</td>
	<td class="manage-header" width="100%" nowrap="nowrap">{$lang.shipping_name}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.delivery_time}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.weight_limit}&nbsp;({$settings.General.weight_symbol})</td>
	<td class="manage-header" nowrap="nowrap">{$lang.membership}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.avail}</td>
	<td class="manage-header" nowrap="nowrap">&nbsp;</td>
</tr>			 
{if $shippings}
{foreach from=$shippings item=shipping}
<tr {cycle values='class="manage-row", '}>
	<td width="1%">
		<input type="checkbox" name="delete_shippings[{$shipping.shipping_id}]" id="delete_checkbox" value="Y" /></td>
	<td valign="top" align="center">
		<input type="text" name="shipping_data[{$shipping.shipping_id}][position]" size="3" value="{$shipping.position}" class="input-position" /></td>
	<td>
		<input type="text" name="shipping_descriptions[{$shipping.shipping_id}][shipping]" size="50" value="{$shipping.shipping|escape:html}" class="input-text" /></td>
	<td>
		<input type="text" name="shipping_descriptions[{$shipping.shipping_id}][delivery_time]" size="30" value="{$shipping.delivery_time|escape:html}" class="input-text" /></td>
	<td valign="top" align="center">
		<input type="text" name="shipping_data[{$shipping.shipping_id}][min_weight]" size="4" value="{$shipping.min_weight}" class="input-text" />&nbsp;-&nbsp;<input type="text" name="shipping_data[{$shipping.shipping_id}][max_weight]" size="4" value="{if $shipping.max_weight != '0.00'}{$shipping.max_weight}{/if}" class="input-text" /></td>
	<td align="center">
		<select name="shipping_data[{$shipping.shipping_id}][membership_id]">
		<option value="">- {$lang.all} -</option>
		{foreach from=$memberships item="membership"}
		<option value="{$membership.membership_id}" {if $shipping.membership_id == $membership.membership_id}selected="selected"{/if}>{$membership.membership}</option>
		{/foreach}
		</select>	
	</td>
	<td align="center">
		<input type="hidden" name="shipping_data[{$shipping.shipping_id}][avail]" value="N" />
		<input type="checkbox" name="shipping_data[{$shipping.shipping_id}][avail]" value="Y" {if $shipping.avail == "Y"}checked="checked"{/if} /></td>
	<td class="side-padding" align="right">
		{include file="buttons/button.tpl" but_text=$lang.edit but_style="text" but_href="$index_script?$target_name=shippings&$mode_name=update&shipping_id=`$shipping.shipping_id`"}</td>
</tr>
{/foreach}
<tr>
	<td colspan="8"><p></p>
		{if 'manage_shipping'|fn_check_privileges:true}
		<table cellpadding="0" cellspacing="0" border="0">
		<tr>
			<td>
				{include file="buttons/update.tpl" but_onclick="javascript:document.shippings_form.submit();" but_type="input"}</td>
			<td>&nbsp;&nbsp;&nbsp;</td>
			<td>
				{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected('shippings_form','delete_shippings');"}</td>
		</tr>
		</table>
		{/if}
	</td>
</tr>
{else}
<tr class="manage-row">
	<td colspan="7" align="center"><p><b>{$lang.text_no_items_found|replace:'[items]':$lang.manage_shippings}</b></p></td>
</tr>
{/if}
</table>
</form>

<br />{include file="common_templates/subheader.tpl" title=$lang.add_new_shippings}

<form action="{$index_script}" method="post" name="add_shippings_form">
<input type="hidden" name="{$target_name}" value="shippings" />
<input type="hidden" name="{$mode_name}" value="add_shippings" />

<table cellpadding="1" cellspacing="1" border="0">
<tr class="add-new-header" id="header">
	<td width="1%" align="center" class="add-new-header" nowrap="nowrap">{$lang.position_short}</td>
	<td class="add-new-header" nowrap="nowrap" width="100%">{$lang.shipping_name}</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.delivery_time}</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.weight_limit}&nbsp;({$settings.General.weight_symbol})</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.membership}</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.avail}</td>
	<td>&nbsp;</td>
</tr>
<tr class="manage-row" id="box_add_shipping">
	<td>
		<input type="text" name="add_shipping_data[0][position]" size="3" value="" class="input-text" /></td>
	<td>
		<input type="text" name="add_shipping_descriptions[0][shipping]" size="50" value="" class="input-text" /></td>
	<td>
		<input type="text" name="add_shipping_descriptions[0][delivery_time]" size="30" value="" class="input-text" /></td>
	<td align="center">
		<input type="text" name="add_shipping_data[0][min_weight]" size="4" value="" class="input-text" />&nbsp;-&nbsp;<input type="text" name="add_shipping_data[0][max_weight]" size="4" value="" class="input-text" />
		</td>
	<td align="center">
		<select name="add_shipping_data[0][membership_id]">
		<option value="">- {$lang.all} -</option>
		{foreach from=$memberships item="membership"}
		<option value="{$membership.membership_id}">{$membership.membership}</option>
		{/foreach}
		</select>	
	</td>
	<td align="center">
		<input type="hidden" name="add_shipping_data[0][avail]" value="N" />
		<input type="checkbox" name="add_shipping_data[0][avail]" value="Y" checked="checked" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="add_shipping"}</td>
</tr>
</table>
<p></p>

{if 'manage_shipping'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_shippings_form.submit();"}
{/if}
</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.manage_shippings content=$smarty.capture.mainbox}

