{* $Id: sitemap.tpl,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $ *}

<div align="right"><div align="right"><span class="bull">&bull;</span>&nbsp;<a href="{$index_script}?{$target_name}=settings&section_id=Sitemap" class="underlined">{$lang.sitemap_settings}</a></div>
<p></p>

{capture name="mainbox"}
{include file="common_templates/select_language.tpl"}
{$lang.text_sitemap_page}<p>

<form action="{$index_script}" method="post" name="sitemap_form">
<input type="hidden" name="{$target_name}" value="sitemap" />
<input type="hidden" name="{$mode_name}" value="update_sitemap_sections" />

<table cellpadding="1" cellspacing="1" width="100%"	border="0">
<tr class="manage-header">
	<td align="center" width="1%">
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('sitemap_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" width="5%" nowrap="nowrap">{$lang.position_short}</td>
	<td class="manage-header" width="25%" nowrap="nowrap">{$lang.section_name}</td>
	<td class="manage-header" width="5%" nowrap="nowrap">{$lang.avail}</td>
	<td class="manage-header" width="74%">&nbsp;</td>
</tr>			 

{if $sitemap_sections}
	{foreach from=$sitemap_sections item=section}
	<tr {cycle values='class="manage-row", '}>
		<td align="center">
			<input type="checkbox" name="delete_sitemap_sections[{$section.section_id}]" id="delete_checkbox" value="Y" /></td>
		<td>
			<input type="text" name="section_data[{$section.section_id}][position]" size="2" value="{$section.position}" class="input-text" /></td>
		<td>
			<input type="text" name="section_descriptions[{$section.section_id}][section]" size="30" value="{$section.section|escape:html}" class="input-text" /></td>
		<td align="center">
			<input type="hidden" name="section_data[{$section.section_id}][avail]" value="N" />
			<input type="checkbox" name="section_data[{$section.section_id}][avail]" value="Y" {if $section.avail == "Y"}checked="checked"{/if} /></td>
		<td class="side-padding" nowrap="nowrap">
			{include file="buttons/button.tpl" but_text=$lang.edit_links but_style="text" but_href="$index_script?$target_name=sitemap&$mode_name=update&section_id=`$section.section_id`"}</td>
	</tr>
	{/foreach}

	<tr>
		<td colspan="5">
			<p></p>
			{if 'manage_sitemap'|fn_check_privileges:true}
			<table cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td>
					{include file="buttons/update.tpl" but_onclick="javascript:document.sitemap_form.submit();" but_type="input"}</td>
				<td>&nbsp;&nbsp;&nbsp;</td>
				<td>
					{include file="buttons/delete_selected.tpl" but_onclick="javascript:fn_delete_selected('sitemap_form','delete_sitemap_sections');"}</td>
			</tr>
			</table>
			{/if}
		</td>
	</tr>
{else}
	<tr>
		<td colspan="5" align="center" class="manage-row">
			<p><b>{$lang.text_no_sitemap_sections}<b></p></td>
	</tr>
{/if}
</table>
</form>

<br />
{include file="common_templates/subheader.tpl" title=$lang.add_new_site_map_section}

<form action="{$index_script}" method="post" name="add_sitemap_sections_form">
<input type="hidden" name="{$target_name}" value="sitemap" />
<input type="hidden" name="{$mode_name}" value="add_sitemap_sections" />

<table cellpadding="1" cellspacing="1" border="0">
<tr class="add-new-header" id="header">
	<td class="add-new-header" nowrap="nowrap">{$lang.position_short}</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.section_name}</td>
	<td class="add-new-header" nowrap="nowrap">{$lang.avail}</td>
	<td>&nbsp;</td>
</tr>			 
<tr class="manage-row" id="box_add_section">
	<td>
		<input type="text" name="add_section_data[0][position]" size="2" value="" class="input-text" /></td>
	<td>
		<input type="text" name="add_section_descriptions[0][section]" size="30" value="" class="input-text" /></td>
	<td align="center">
		<input type="hidden" name="add_section_data[0][avail]" value="N" />
		<input type="checkbox" name="add_section_data[0][avail]" value="Y" checked="checked" /></td>
	<td>
		{include file="buttons/multiple_buttons.tpl" item_id="add_section"}</td> 	
</tr>
</table>
<p></p>

{if 'manage_sitemap'|fn_check_privileges:true}
{include file="buttons/add_new.tpl" but_onclick="javascript:document.add_sitemap_sections_form.submit();"}
{/if}

</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.manage_sitemap content=$smarty.capture.mainbox}

