{* $Id: edit_table.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="mainbox"}

{if $action=='edit'}{include file="common_templates/select_language.tpl"}{/if}
<br />

<form action="{$index_script}" method="post" name="statistics_table">
<input type="hidden" name="{$target_name}" value="statistics" />
<input type="hidden" name="{$mode_name}" value="table" />
{if $action=='edit'}	<input type="hidden" name="{$action_name}" value="update" />
{else}			<input type="hidden" name="{$action_name}" value="add_new" />{/if}
<input type="hidden" name="report_id" value="{$report_id}" />
<input type="hidden" name="table_id" value="{$table.table_id}" />


<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td width="100px"><b>{$lang.chart_name}: </b></td>
	<td width=""><input type="text" name="table_description[description]" value="{$table.description|escape:html}" size="70" class="input-text" /></td>
</tr>
<tr>
	<td><b>{$lang.position}: </b></td>
	<td><input type="text" name="table[position]" value="{$table.position}" size="3" class="input-text" /></td>
</tr>
<tr>
	<td><b>{$lang.chart_type}: </b> 
	<td>
	<select	name="table[type]">
		<option	value="T">{$lang.table}</option>
		<option	value="B" {if $table.type=='B'}selected="selected"{/if}>{$lang.graphic} [{$lang.bar}] </option>
		<option	value="P" {if $table.type=='P'}selected="selected"{/if}>{$lang.graphic} [{$lang.pie_3d}] </option>
		<option	value="C" {if $table.type=='C'}selected="selected"{/if}>{$lang.graphic} [{$lang.pie}] </option>
	</select>
	</td>
</tr>
<tr>
	<td><b>{$lang.parameter}: </b> 
	<td>
	{if $action=='add_new'}
	<select name="update_element[element_id]">
		{foreach from=$report_elements.parameters item=parmeter}
		{assign var="element_id" value=$parmeter.element_id}
		{assign var="parameter_name" value="reports_parameter_$element_id"}
		<option	value="{$parmeter.element_id}" {if $element.element_id==$parmeter.element_id}selected="selected"{/if}>{$lang.$parameter_name|escape:html}</option>
		{/foreach}
	</select>
	{else}
	{foreach from=$table.elements item=element}
		<select name="update_element[{$element.element_hash}][element_id]">
		{foreach from=$report_elements.parameters item=parmeter}
		{assign var="element_id" value=$parmeter.element_id}
		{assign var="parameter_name" value="reports_parameter_$element_id"}
		<option	value="{$parmeter.element_id}" {if $element.element_id==$parmeter.element_id}selected="selected"{/if}>{$lang.$parameter_name|escape:html}</option>
		{/foreach}
		</select>
	{/foreach}
	{/if}
	</td>
</tr>
<tr>
	<td><b>{$lang.value_to_display}: </b> 
	<td>
	<select	name="table[display]">
		{foreach from=$report_elements.values item=element}
		{assign var="element_id" value=$element.element_id}
		{assign var="element_name" value="reports_parameter_$element_id"}
		<option	value="{$element.code}" {if $table.display == $element.code}selected="selected"{/if}>{$lang.$element_name|escape:html}</option>
		{/foreach}
	</select>
	</select>
	</td>
</tr>
{if $table.type != 'C' && $table.type != 'P'}
<tr>
	<td><b>{$lang.time_interval}: </b> 
	<td>
	<select name="table[interval_id]">
		{foreach from=$intervals item=interval}
		{assign var="interval_id" value=$interval.interval_id}
		{assign var="interval_name" value="reports_interval_$interval_id"}
		<option	value="{$interval.interval_id}" {if $table.interval_id==$interval.interval_id}selected="selected"{/if}>{$lang.$interval_name|escape:html}</option>
		{/foreach}
	</select>
	</td>
</tr>
{/if}
<tr>
	<td><b>{$lang.chart_period}: </b> 
	<td>
	<select name="table[period]">
		{foreach from=$periods key=time_ item=period}
		<option value="{$time_}" {if $time_==$table.period}selected="selected"{/if}>{$period.name}</option>
		{/foreach}
	</select>
	</td>
</tr>
{foreach from=$table.elements item=element}
<tr>
	<td><b>{$lang.limit}: </b>
	<td><input type="text" name="{if $action=='add_new'}update_element[limit_auto]{else}update_element[{$element.element_hash}][limit_auto]{/if}" value="{if $action=='add_new'}5{else}{$element.limit_auto}{/if}" size="3" class="input-text" /></td>
</tr>
<tr>
	<td><b>{$lang.dependence}: </b> 
	<td>
	<select name="{if $action=='add_new'}update_element[dependence]{else}update_element[{$element.element_hash}][dependence]{/if}">
		<option	value="max_n" {if $element.dependence=='max_n'}selected="selected"{/if}>{$lang.max_item}</option>
		<option	value="max_p" {if $element.dependence=='max_p'}selected="selected"{/if}>{$lang.max_amount}</option>
	</select>&nbsp;
	</td>
</tr>
{/foreach}
</table>

<p>
{if $action=='edit'}
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr>
	<td>{include file="buttons/update.tpl" but_onclick="document.statistics_table.submit();"}</td>
	<td align="right">&nbsp;{include file="buttons/button.tpl" but_text=$lang.view_chart  but_onclick="$index_script?$target_name=statistics&$mode_name=reports&report_id=$report_id&table_id=`$table.table_id`" but_style="text"}</td>
</tr>
</table>
{else}
{include file="buttons/add_new.tpl" but_onclick="document.statistics_table.submit();"}
{/if}
</p>
<br />
</form>
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.edit_chart content=$smarty.capture.mainbox}
{if $action=='edit'}
{include file="statistics_pages/table_condition.tpl" target='statistics' mode='table' action=$action}
{/if}

