{* $Id: database.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{include file="tools_pages/sections.tpl" section="database"}

{** include fileuploader **}
{include file="common_templates/file_browser.tpl"}
{** /include fileuploader **}  

{if $backup_files}
<script type="text/javascript" language="javascript 1.2">
function fn_delete_selected_files(form_name)
{ldelim}
	if (!fn_check_selected(form_name))
		return false;
	if (!confirm('{$lang.delete_confirmation|escape:"javascript"}'))
		return false;
	document.forms[form_name].{$mode_name}.value = 'delete';
	document.forms[form_name].submit();
{rdelim}

function fn_restore_from_file(form_name)
{ldelim}
	if (!fn_check_selected(form_name))
		return false;
	if (!confirm('{$lang.text_restore_confirmation|escape:"javascript"}'))
		return false;
	document.forms[form_name].{$mode_name}.value = 'restore';
	document.forms[form_name].submit();
{rdelim}
</script>
{/if}


{capture name="mainbox"}
{include file="common_templates/subheader.tpl" title=$lang.backup}

<form action="{$index_script}" method="post" name="backup_form">
<input type="hidden" name="{$target_name}" value="database" />
<input type="hidden" name="{$mode_name}" value="backup" />

<table cellpadding="3" cellspacing="0" border="0">
<tr>
	<td valign="top" width="120" nowrap="nowrap">{$lang.select_tables}:</td>
	<td valign="top">
		<select name="dbdump_tables[]" id="dbdump_tables" multiple size="10">
		{foreach from=$all_tables item=tbl}
		<option value="{$tbl}" selected>{$tbl}</option>
		{/foreach}
		</select><br />
		<a href="javascript:void(0);" onclick="javascript:fn_select_save_elements('dbdump_tables');" class="underlined">{$lang.select_all}</a> / <a href="javascript:void(0);" onclick="javascript:fn_unselect_save_elements('dbdump_tables');" class="underlined">{$lang.unselect_all}</a>
		{$lang.multiple_selectbox_notice}</td>
</tr>
<tr>
	<td nowrap="nowrap">{$lang.backup_schema}:</td>
	<td>
		<input type="checkbox" name="dbdump_schema" value="Y" checked="checked" /></td>
</tr>
<tr>
	<td nowrap="nowrap">{$lang.backup_data}:</td>
	<td><input type="checkbox" name="dbdump_data" value="Y" checked="checked" /></td>
</tr>
<tr>
	<td>{$lang.compress_dump}:</td>
	<td>
		<input type="hidden" name="dbdump_compress" value="N" />
		<input type="checkbox" name="dbdump_compress" value="Y" checked="checked" /></td>
</tr>
<tr>
	<td valign="top" nowrap="nowrap">{$lang.backup_filename}:</td>
	<td valign="top">
		<input type="text" name="dbdump_filename" size="30" value="dump_{$smarty.now|date_format:"%m%d%Y"}.sql" class="input-text" />
					<br />{$lang.text_backup_filename}<br /><b>{$backup_dir}</b></td>
</tr>
</table>

<p></p>
{include file="buttons/button.tpl" but_text=$lang.backup but_onclick="javascript: document.backup_form.submit();"}

</form>

<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.backup_files}

<p>{$lang.text_backup_management_notice}</p>
<form action="{$index_script}" method="post" name="restore_form" enctype="multipart/form-data">
<input type="hidden" name="fake" value="1" />
<input type="hidden" name="{$target_name}" value="database" />
<input type="hidden" name="{$mode_name}" value="" />

<br />
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="common_templates/fileuploader.tpl" var_name="sql_dump[0]"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td valign="bottom">
		{include file="buttons/button.tpl" but_text=$lang.upload but_onclick="javascript: document.restore_form.`$mode_name`.value='upload'; document.restore_form.submit();"}<p></p></td>
</tr>
</table>
<br />
<table cellpadding="1" cellspacing="1" border="0">
<tr class="manage-header">
	<td>
		<input type="checkbox" name="check_all" value="Y" onclick="fn_check_all_checkboxes('restore_form', this.checked);" title="{$lang.check_uncheck_all}" /></td>
	<td class="manage-header" nowrap="nowrap">{$lang.type}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.filename}</td>
	<td class="manage-header" nowrap="nowrap">{$lang.filesize}</td>
</tr>
{if $backup_files}
	{foreach from=$backup_files item=file key=name}
<tr {cycle values='class="manage-row", '}>
	<td>
		<input type="checkbox" name="backup_files[{$name}]" id="delete_checkbox" value="Y" /></td>
	<td class="side-padding" align="center">[{$file.type}]</td>
	<td class="side-padding">
		<a href="{$index_script}?{$target_name}=database&{$mode_name}=getfile&file={$name}" class="underlined"><b>{$name}</b></a></td>
	<td class="side-padding">
		{$file.size|number_format}&nbsp;{$lang.bytes}</td>
</tr>
	{/foreach}
{else}
<tr class="manage-row">
	<td colspan="4" align="center" style="height:22px"><b>{$lang.no_backup_files}</b></td>
</tr>
{/if}
</table>

{if $backup_files}
<p></p>
<table cellpadding="0" cellspacing="0" border="0">
<tr>
	<td>
		{include file="buttons/button.tpl" but_text=$lang.restore but_onclick="javascript: fn_restore_from_file('restore_form');"}</td>
	<td>&nbsp;&nbsp;&nbsp;</td>
	<td>
		{include file="buttons/delete_selected.tpl" but_onclick="javascript: fn_delete_selected_files('restore_form')"}</td>
</tr>
</table>
{/if}
</form>

<br /><br />
{include file="common_templates/subheader.tpl" title=$lang.maintenance}
{$lang.current_database_size}: <b>{$database_size|number_format}</b> {$lang.bytes}<br /><br />
<form action="{$index_script}" method="post" name="mainainance_form">
<input type="hidden" name="{$target_name}" value="database" />
<input type="hidden" name="{$mode_name}" value="optimize" />
{include file="buttons/button.tpl" but_text=$lang.optimize_database but_onclick="javascript: document.mainainance_form.submit();" but_type="input"}
</form>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.database_maintenance content=$smarty.capture.mainbox}
