{* $Id: product_configurator_groups.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}
{if $product_configurator_steps}

{if !$smarty.capture.comp_js_loaded == "Y"}
<script type="text/javascript" language="javascript 1.2" src="{$skin_dir}/addons/product_configurator/compatibilities.js"></script>
{capture name="comp_js_loaded"}Y{/capture}
{/if}

<p></p>
<div align="center" class="product-details-title"><b>{$lang.product_configuration}</b></div>
<p></p>
<input type="hidden" name="product_data[{$product_id}][price]" value="0" />

{capture name="tabsbox"}
{foreach from=$product_configurator_steps item="step"}
<div id='content_{$step.step_id}' style="display: none;">
<table cellpadding="2" cellspacing="0" border="0" width="100%">
{foreach from=$step.product_configurator_groups item="po" name="groups_name"}
<tr>
	<td>
	<div class="info-field-title">
		<div class="float-left"><b>{$po.configurator_group_name|escape:html}</b></div>
		<div class="float-right">{include file="buttons/button_popup.tpl" but_text=$lang.information but_href="$index_script?$target_name=products&$mode_name=configuration_group&step_id=`$step.step_id`&group_id=`$po.group_id`&product_id=$product_id" width="550" height="450" but_style="text" but_clear=true}</div>
	</div>
	</td>
</tr>
<tr>
	{***************** if there is only one product and it is required - just show it **************}
	{if $po.products_count == '1' && $po.required == 'Y'}
		{foreach from=$po.products item="group_product"}
			<td style="padding: 2px 7px 10px 7px;">
				<input type="hidden" id="group_one_{$po.group_id}" name="product_data[{$product_id}][configuration][{$po.group_id}]" value="{$group_product.product_id}" />
				<table cellpadding="0" cellspacing="0" border="0">
				<tr>	
					<td>{include file="buttons/button_popup_link.tpl" but_href="`$index_script`?`$target_name`=products&`$mode_name`=configuration_product&product_id=`$group_product.product_id`" but_text=$group_product.product}</td>
					<td>&nbsp;({include file="common_templates/price.tpl" value=$group_product.price})&nbsp;</td>
				</tr>
				</table>
			</td>
		{/foreach}
	{else}
	{***************** display the list of products with ability to choose **************}
	<td align="left" valign="top" style="padding: 2px 7px 10px 7px;">
		{if $po.configurator_group_type == 'S'}
			{if $po.products}
				<table cellpadding="1" cellspacing="2" border="0">
				<tr>
					<td>
					<select name="product_data[{$product_id}][configuration][{$po.group_id}]" id="group_{$po.group_id}" onchange="fn_check_exceptions({$product_id});fn_check_compatibilities({$po.group_id},'select','{$po.configurator_group_type}');">
						{if $po.required != "Y"}
							<option id="product_0" value="0">{$lang.none}</option>
						{/if}
						{foreach from=$po.products item="group_product"}
						<option id="product_{$group_product.product_id}" value="{$group_product.product_id}" {if $group_product.selected == 'Y'}selected="selected"{/if}>{$group_product.product} ({include file="common_templates/price.tpl" value=$group_product.price}){if $group_product.recommended == 'Y'}{$lang.recommended}{assign var="hide_link" value="N"}{/if}</option>
						{/foreach}
					</select>
					</td>
					<td class="side-padding" align="right" valign="middle">
						<div id="select_{$po.group_id}" {if !$hide_link }style="display: none;"{/if}>&nbsp;&nbsp;{include file="buttons/button_popup.tpl" but_text=$lang.details but_style="text" but_href="`$index_script`?`$target_name`=products&`$mode_name`=configuration_product&product_id='+document.getElementById('group_`$po.group_id`').value+'"}</div>
					</td>
				</tr>
				</table>
			{else}
			<span class="price">{$lang.text_no_items_defined|replace:'[items]':$lang.products}</span>
			{/if}
		{elseif $po.configurator_group_type == 'R' }
			{if $po.products}
				<table cellpadding="1" cellspacing="2" border="0" id="group_{$po.group_id}">
					{foreach from=$po.products item="group_product" name="vars"}
					{if $smarty.foreach.vars.first && $po.required!='Y'}
					<tr>
						<td><input  id="group_{$po.group_id}_product_0" type="radio" name="product_data[{$product_id}][configuration][{$po.group_id}]" value="0" onclick="fn_check_exceptions({$product_id});fn_check_compatibilities({$po.group_id}, 0, '{$po.configurator_group_type}');" checked="checked" {if $group_product.disabled == true}disabled="disabled"{/if} style="height: 13px;" /></td>
						<td>&nbsp;{$lang.none}</td>
						<td>&nbsp;</td>
					</tr>
					{/if}
					<tr>
						<td><input type="radio" id="group_{$po.group_id}_product_{$group_product.product_id}" name="product_data[{$product_id}][configuration][{$po.group_id}]" value="{$group_product.product_id}" onclick="fn_check_exceptions({$product_id});fn_check_compatibilities({$po.group_id},{$group_product.product_id}, '{$po.configurator_group_type}');" {if $group_product.selected == 'Y'}checked="checked"{/if} {if $group_product.disabled == true}disabled="disabled"{/if} style="height: 13px;"  /></td>
						<td>
							{include file="buttons/button_popup_link.tpl" but_href="`$index_script`?`$target_name`=products&`$mode_name`=configuration_product&product_id=`$group_product.product_id`" but_text=$group_product.product}&nbsp;({include file="common_templates/price.tpl" value=$group_product.price})&nbsp;{if $group_product.recommended == 'Y'}<b>{$lang.recommended}</b>{/if}</td>
						<td>&nbsp;</td>
					</tr>
					{/foreach}
				</table>
			{else}
			<span class="price"> {$lang.text_no_items_defined|replace:'[items]':$lang.products}</span>
			{/if}
		{elseif $po.configurator_group_type == 'C'}
			{if $po.products}
				<table cellpadding="1" cellspacing="2" border="0" id="group_{$po.group_id}" >
				{foreach from=$po.products item="group_product"}
				<tr>
					<td> 
						<input type="checkbox" id="group_{$po.group_id}_product_{$group_product.product_id}" name="product_data[{$product_id}][configuration][{$po.group_id}][]" value="{$group_product.product_id}" onclick="fn_check_exceptions({$product_id}); fn_check_compatibilities({$po.group_id},{$group_product.product_id}, '{$po.configurator_group_type}');" {if $group_product.selected == 'Y'}checked="checked"{/if} {if $group_product.disabled == true}disabled="disabled"{/if} style="height: 13px;" /></td>
					<td>
							<table cellpadding="0" cellspacing="0" border="0">
							<tr>	
							<td>{include file="buttons/button_popup_link.tpl" but_href="`$index_script`?`$target_name`=products&`$mode_name`=configuration_product&product_id=`$group_product.product_id`" but_text=$group_product.product}</td>
							<td>&nbsp;({include file="common_templates/price.tpl" value=$group_product.price})&nbsp;{if $group_product.recommended == 'Y'}<b>{$lang.recommended}</b>{/if}</td>
							</tr>
							</table>
						</td>
					<td>&nbsp;</td>
				</tr>
				{/foreach}	
				</table>
			{else}
			<span class="price">{$lang.text_no_items_defined|replace:'[items]':$lang.products}</span>
			{/if}	
		
		{/if}
		<p></p>
	</td>
	{/if}
</tr>
{/foreach}
</table>
</div>
{/foreach}
{/capture}
{include file="common_templates/tabsbox.tpl" tabs=$pc_sec content=$smarty.capture.tabsbox js_code=$pc_sec section="pconf"}

<p></p>
{if !$smarty.get.edit_configuration}
	<div class="float-left">
	{if !($settings.General.inventory_tracking == 'Y' && $product.amount < '1' && $product.is_edp != 'Y' && $product.tracking == 'B')}
		{include file="buttons/add_to_cart.tpl" but_onclick="fn_add_to_cart(`$product.product_id`, `$smarty.capture.ajax_add_to_cart`);" but_id="add_to_cart_button"}
	{/if}

	{if $settings.Addons.wishlist == 'Y' && $hide_wishlist_button != 'Y'}
		&nbsp;&nbsp;{include file="addons/wishlist/add_to_wishlist.tpl" but_onclick="product_form.set_field_value('$target_name', 'wishlist'); product_form.result_id = 'wish_list'; product_form.submit();" but_id="add_to_wish_button"}
	{/if}

	{if $product.feature_comparison == 'Y'}
		&nbsp;&nbsp;{include file="buttons/add_to_compare_list.tpl" product_id=$product.product_id}
	{/if}
	</div>

	<div class="float-right" >
		{include file="buttons/button.tpl" but_onclick="fn_check_step();" but_text=$lang.continue but_arrow="on" but_id="next_button"}
	</div>
	
{else}
	<script type="text/javascript" language="javascript 1.2">
	//<![CDATA[
	document.getElementById('amount_of_{$product.product_id}').value='{$cart_item.amount}';
	//]]>
	</script>

	<input type="hidden" name="edit_configuration" value="{$smarty.get.edit_configuration|escape:html}" />
	{include file="buttons/update.tpl" but_onclick="document.product_details_form_`$product.product_id`.submit();" but_id="add_to_cart_button"}
{/if}
<div style="clear: left;"></div>
<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
current_step_id = {$current_step_id};
document.getElementById('buttons_line_add').style.display = 'none';
document.getElementById('buttons_line_wish').style.display = 'none';
if (document.getElementById('add_to_cart_button')) document.getElementById('add_to_cart_button').style.display = 'none';
if (document.getElementById('add_to_wish_button')) document.getElementById('add_to_wish_button').style.display = 'none';

// Define the discounts for the product
{if $product.discounts && !$product.product_options}
pr_d[{$product.product_id}] = {ldelim}{rdelim};
pr_d[{$product.product_id}]['P'] = {if $product.discounts.P}{$product.discounts.P}{else}0{/if};
pr_d[{$product.product_id}]['A'] = {if $product.discounts.A}{$product.discounts.A}{else}0{/if};
{/if}

{if $settings.Appearance.show_prices_taxed_clean == 'Y'}
	{include file="products_pages/product_taxes.tpl" id=$product.product_id}
{/if}

var conf = {ldelim}{rdelim};
var conf_prod  = {ldelim}{rdelim};
var conf_product_id = {$product.product_id};
{foreach from=$product_configurator_steps item="step"}
	 conf[{$step.step_id}] = {ldelim}{rdelim};
	{foreach from=$step.product_configurator_groups item="_group" name="__sect"}
		 conf[{$step.step_id}][{$_group.group_id}] = {ldelim}{rdelim};
		 conf_prod[{$_group.group_id}] = {ldelim}{rdelim};
		 conf[{$step.step_id}][{$_group.group_id}]['required'] = '{$_group.required}';
		 conf[{$step.step_id}][{$_group.group_id}]['type'] = '{$_group.configurator_group_type}';
		 conf[{$step.step_id}][{$_group.group_id}]['name'] = '{$_group.configurator_group_name|escape:javascript}';
		{foreach from=$_group.products item="_products" name="__group"}
			 conf_prod[{$_group.group_id}][{$_products.product_id}] = {ldelim}{rdelim};
			 conf_prod[{$_group.group_id}][{$_products.product_id}]['product_id'] = {$_products.product_id};
			 conf_prod[{$_group.group_id}][{$_products.product_id}]['type'] = '{$_group.configurator_group_type}';
			 conf_prod[{$_group.group_id}][{$_products.product_id}]['required'] = '{$_group.required}';
			 conf_prod[{$_group.group_id}][{$_products.product_id}]['price'] = {$_products.price};
			 conf_prod[{$_group.group_id}][{$_products.product_id}]['product_name'] = {if $_group.configurator_group_type == 'S'}document.getElementById('product_{$_products.product_id}').innerHTML{else}"{$_products.product|escape:javascript}"{/if};
			 conf_prod[{$_group.group_id}][{$_products.product_id}]['class_id'] = {if $_products.class_id}{$_products.class_id}{else}''{/if};
			conf_prod[{$_group.group_id}][{$_products.product_id}]['compatible_classes'] = {ldelim}{rdelim};
			{foreach from=$_products.compatible_classes item="compatible_class" key="class_key"  name="__compt"}
				conf_prod[{$_group.group_id}][{$_products.product_id}]['compatible_classes'][{$class_key}]='{$compatible_class.group_id}';
			{/foreach}
		{/foreach}
	{/foreach}
{/foreach}

fn_check_all_compatibilities();
//]]>
</script>
{/if}