//
// $Id: func.js,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $
//

if (!window.frameElement) {	
	var statistics = {
		method: 'POST',
	
		send_request: function (request_url, time_begin)
		{
		
			var params = {
				visitor_environment: {
					url: location.href,
					title: document.title,
					browser: ((browser_info.browser == lang.info_unknown) ? null : browser_info.browser),
					browser_version: ((browser_info.version == lang.info_unknown) ? null : browser_info.version),
					os: ((browser_info.os == lang.info_unknown) ? null : browser_info.os),
					referrer: document.referrer,
					screen_x: (screen.width || null),
					screen_y: (screen.height || null),
					color: (screen.colorDepth || screen.pixelDepth || null),
					time_begin: time_begin
				}
			};
			params.visitor_environment.client_language = this.define_language();
			
			var req = new JsHttpRequest();
			req.caching = false;
			req.silent = true;
			
			req.open(this.method, request_url, true);
			req.send(params);
		},
		
		define_language: function ()
		{
			var n = navigator;
			this.UALanguage = n.language ? n.language : n.browserLanguage ? n.browserLanguage : null;
			this.userLanguage = n.userLanguage ? n.userLanguage : n.systemLanguage ? systemLanguage : null;
			return (this.userLanguage || this.UALanguage);
		}
	}

	cscart_handlers.set_handler(statistics.send_request.bind(statistics), request_url, time_begin);
}
