{* $Id: wishlist.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="mainbox"}

{if $products || ($settings.Addons.gift_certificates == 'Y' && $wishlist.gift_certificates)}

{if $smarty.capture.js_loaded != "Y"}
<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/exceptions.js"></script>
{capture name="js_loaded"}Y{/capture}
{/if}

{assign var='show_hr' value=false}

{if $products}

{foreach from=$products item=product key=key name="products"}
{if $wishlist.products.$key.extra.configuration}
	{include file="addons/product_configurator/wishlist_configurable_product.tpl"}
{elseif !$wishlist.products.$key.extra.in_configuration && !$wishlist.products.$key.extra.in_certificate}

{if $show_hr}
<hr class="clear-both" />
{else}
	{assign var='show_hr' value=true}
{/if}

<div class="products-list-wrapper">
	<div class="product-image">
		<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}">{include file="common_templates/image.tpl" image_width=$settings.Appearance.thumbnail_width obj_id=$product.product_id images=$product.main_pair object_type="product"}</a><br />
		<span class="more-info"><a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="underlined">{$lang.view_details}&nbsp;<b>&#8250;&#8250;</b></a></span>
	</div>
	<div class="product-description">
		<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="list-product-title">{$product.product|escape:html}</a>&nbsp;<a href="{$index_script}?{$target_name}=wishlist&amp;cart_id={$key}&amp;{$mode_name}=delete"><img src="{$images_dir}/delete_product.gif" width="12" height="12" border="0" alt="{$lang.remove}" title="{$lang.remove}" style="vertical-align: bottom;" /></a>

		<p class="sku" id="sku_{$product.product_id}" {if !$product.product_code}style="display:none"{/if}>{$lang.sku}: <span id="product_code_{$product.product_id}">{$product.product_code}</span></p>

		<div class="{if $product.discounts && $product.price|floatval}product-price-float{else}product-price-wrap{/if}">
		{******************************* List price, Old Price **************************}
		{if $product.discounts && $product.price|floatval}
			<div class="list-price">{$lang.old_price}: {include file="common_templates/price.tpl" value=$product.price span_id="original_price_`$key`" class="list-price"}</div>
		{else}
			{if $product.list_price > $product.price && $product.price != 0}
			<div class="list-price">{$lang.list_price}: {include file="common_templates/price.tpl" value=$product.list_price span_id="list_price_`$key`" class="list-price"}</div>
			{/if}
		{/if}
		{************************ Discounted Price, Our Price, Price ********************}
		<span class="price">
		{if $product.price != 0 || $product.zero_price_action == 'P' && $product.product_type != 'C'}
			{if $product.discounts && $product.price|floatval}{$lang.discounted_price}
				{include file="common_templates/price.tpl" value=$product.discounted_price span_id="discounted_price_`$key`" class="price"}
			{else}
				{if $product.list_price > $product.price}{$lang.our_price}{else}{$lang.price}{/if}: {include file="common_templates/price.tpl" value=$product.price span_id="original_price_`$key`" class="price"}
			{/if}
		{elseif $product.zero_price_action == 'A'}
			{$lang.enter_your_price}: <input class="input-text" type="text" size="3" name="product_data[{$key}][price]" value="" />
		{elseif $product.zero_price_action == 'R'}
			{$lang.contact_us_for_price}
		{/if}</span>
		{if ($product.price != 0 || $product.zero_price_action == 'P' && $product.product_type != 'C') && $settings.Appearance.show_prices_taxed_clean == 'Y' && $product.taxed_price}
			{if $product.clean_price != $product.taxed_price && $product.included_tax}
				<span class="list-price">({include file="common_templates/price.tpl" value=$product.taxed_price span_id="product_price_`$key`" class='list-price'} {$lang.inc_tax})</span>
			{elseif $product.clean_price != $product.taxed_price && !$product.included_tax}
				<span class="list-price">({$lang.including_tax})</span>
			{/if}
		{/if}

		{*************************************  You Save: *******************************}
		{if $product.discounts && $product.price|floatval}
			<div class="list-price">{$lang.you_save}: {include file="common_templates/price.tpl" value=$product.discounts.total span_id="save_`$key`" class="list-price"}</div>
		{else}
			{if $product.list_price > $product.price && $product.price|floatval}
				{math equation="list_price - price" list_price=$product.list_price price=$product.price assign="absolute_discount"}
				{math equation="100 - ((price / list_price) * 100)" list_price=$product.list_price price=$product.price format="%d" assign="percent_discount"}
				<div class="list-price">{$lang.you_save}: {include file="common_templates/price.tpl" value=$absolute_discount span_id="save_`$key`" class="list-price"}(<span id="save_p_{$key}" class="list-price">{$percent_discount}</span>%)</div>
			{/if}
		{/if}
		</div>
		{************************************ Discount label ****************************}
		{if $product.discounts && $product.price|floatval}
			<div class="discount-label">
				<img class="valign" src="{$images_dir}/discount_label_left.gif" width="5" height="27" border="0" alt="" style="padding-right: 3px;"/>
				{include file="common_templates/modifier.tpl" mod_type="P" mod_value=$product.discount_amount is_integer=true span_id="prc_discount_value_`$product.product_id`" class="discount-label-text valign" display_sign=true}
			</div>
			<div class="clear-both"><img src="{$images_dir}/spacer.gif" width="1" height="1" border="0" alt="" /></div>
		{/if}
		{* / Discount label *}
		{include file="products_pages/buy_now.tpl" hide_wishlist_button="Y" obj_id=$key}
	</div>
</div>	
{/if}

{/foreach}
{/if}
{if $settings.Addons.gift_certificates == 'Y'}
	{include file="addons/gift_certificates/wishlist/wishlist_gift_certificates.tpl"}
{/if}

<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
	fn_check_all_exceptions(false);
//]]>
</script>

<div class="buttons-wrapper">
	{include file="buttons/button.tpl" but_text=$lang.clear_wishlist but_href="$index_script?$target_name=wishlist&$mode_name=clear"}&nbsp;&nbsp;
	{include file="buttons/continue_shopping.tpl" but_href=$continue_url|default:$index_script but_arrow="on"}
</div>
{else}

<br />
<div align="center"><b>{$lang.text_wishlist_empty}</b>
<br />
<br />
<div class="buttons-wrapper">
	{include file="buttons/continue_shopping.tpl" but_href=$continue_url|default:$index_script but_arrow="on"}
</div>
</div>
{/if}
{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.wishlist_content content=$smarty.capture.mainbox}

{if !$products && $recently_viewed_products}
<br />
{capture name="mainbox"}

{if $settings.Appearance.columns_in_products_list > 1}
	{include file="products_pages/products_multicolumns.tpl" products=$recently_viewed_products form_prefix="recent" columns=$settings.Appearance.columns_in_products_list no_ajax="Y"}
{else}
	{include file="products_pages/products.tpl" products=$recently_viewed_products form_prefix="recent" no_sorting="Y" no_pagination="Y" no_ajax="Y"}
{/if}


{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.recent_products content=$smarty.capture.mainbox}
{/if}
