{* $Id: cart_items.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{capture name="cartbox"}
<div id="cart_items">
{if $mode == 'checkout'}
	{if $cart.coupons|floatval}<input type="hidden" name="c_id" value="" />{/if}
	{if $cart.use_gift_certificates}<input type="hidden" name="cert_code" value="" />{/if}
{/if}
		
{if $cart_products}
{foreach from=$cart_products item="product" key="key" name="cart_products"}
<div class="wrapper">
{if $cart.products.$key.extra.configuration}
	{include file="addons/product_configurator/cart_configurable_product.tpl"}
{elseif !$cart.products.$key.extra.in_configuration && !$cart.products.$key.extra.in_certificate}
	<div class="product-image">
		<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}">
		{include file="common_templates/image.tpl" image_width=$settings.Appearance.thumbnail_width obj_id=$key images=$product.main_pair object_type="product"}</a></div>
	<div class="product-description">
		<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="product-title">{$product.product|escape:html}</a>&nbsp;<a href="{if $use_ajax == true && 1 != $cart.amount}javascript: fn_ajax_http_request('{$index_script}?{$target_name}=checkout&amp;cart_id={$key}&amp;{$mode_name}=delete&amp;redirect_mode={$mode}',['cart_items', 'checkout_totals', 'cart_status', 'checkout_steps' ]);{else}{$index_script}?{$target_name}=checkout&amp;cart_id={$key}&amp;{$mode_name}=delete&amp;redirect_mode={$mode}{/if}"><img src="{$images_dir}/delete_product.gif" width="12" height="12" border="0" alt="{$lang.remove}" style="vertical-align:bottom;" title="{$lang.remove}" /></a>
		<p class="sku" id="sku_{$key}" {if !$product.product_code}style="display: none;"{/if}>
			{$lang.sku}: <span id="product_code_{$key}">{$product.product_code}</span>
		</p>
		<div class="product-price-wrap">
			<input type="hidden" name="cart_products[{$key}][product_id]" value="{$product.product_id}" />
			{if $product.exclude_from_calculate}<input type="hidden" name="cart_products[{$key}][exclude_from_calculate]" value="{$product.exclude_from_calculate}" />{/if}
	
			<div class="product-list-field">
				<label for="amount_{$key}" class="valign">{$lang.quantity}:</label>
				<input type="text" size="3" id="amount_{$key}" name="cart_products[{$key}][amount]" value="{$product.amount}" class="valign input-text" {if $product.is_edp == 'Y' || $product.exclude_from_calculate}disabled="disabled"{/if} onkeypress="cart_changed = true;"/>
				{if $product.is_edp == 'Y' || $product.exclude_from_calculate}
					<input type="hidden" size="3" name="cart_products[{$key}][amount]" value="{$product.amount}" class="valign input-text" />
				{/if}
				&nbsp;<b>X</b>&nbsp;{include file="common_templates/price.tpl" value=$product.unit_price span_id="product_price_`$key`" class="sub-price"}
				&nbsp;<b>=</b>&nbsp;{include file="common_templates/price.tpl" value=$product.subtotal span_id="product_subtotal_`$key`" class="price"}
				{if $settings.Addons.reward_points == 'Y'}
					{if $cart.products.$key.extra.points_info.price}
						&nbsp;(<b><span id="price_in_points_{$key}">{$cart.products.$key.extra.points_info.price}</span></b>&nbsp;{$lang.points_lower})
					{/if}
				{/if}
			</div>
		</div>

	{if $product.product_options}
		<p></p>{include file="products_pages/product_options.tpl" product_options=$product.product_options product=$product name="cart_products" id=$key location="cart"}
	{/if}
		
	{if $settings.Addons.suppliers == 'Y'}
		<p></p>{include file="addons/suppliers/supplier_representation.tpl"}
	{/if}
								
	{if $settings.Addons.rma == 'Y'}
		<p></p>{include file="addons/rma/return_period_representation.tpl"}
	{/if}

	    {if $product.exclude_from_calculate}
			<p></p><b><span class="price">{$lang.free}</span></b>
		{elseif $cart.use_discount || $cart.taxes}
			<p></p>
			<table class="table" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<th>{$lang.price}</th>
				<th>{$lang.quantity}</th>
				{if $cart.use_discount}<th>{$lang.discount}</th>{/if}
				{if $product.taxes}<th>{$lang.tax}</th>{/if}
				<th>{$lang.subtotal}</th>
			</tr>
			<tr>
				<td>{include file="common_templates/price.tpl" value=$product.price span_id="original_price_`$key`" class="none"}</td>
				<td align="center">{$product.amount}</td>
				{if $cart.use_discount}<td>{include file="common_templates/price.tpl" value=$product.discount span_id="discount_subtotal_`$key`" class="none"}</td>{/if}
				{if $product.taxes}<td>{include file="common_templates/price.tpl" value=$product.tax_value span_id="tax_subtotal_`$key`" class="none"}</td>{/if}
				<td>{include file="common_templates/price.tpl" span_id="product_subtotal_2_`$key`" value=$product.subtotal class="none"}</td>
			</tr>
			<tr class="table-footer">
				<td colspan="5"><img src="{$images_dir}/spacer.gif" width="1" height="5" border="0" alt="" /></td>
			</tr>
			</table>
		{/if}
		<p></p>
		{if $settings.Addons.reward_points == 'Y'}
			{include file="addons/reward_points/cart_pages/cart_representation.tpl"}
		{/if}
	</div>
<div class="clear-both">&nbsp;</div>
	{if !$smarty.foreach.cart_products.last || $cart.gift_certificates}
		<hr class="dark-hr" />
	{/if}
{/if}
</div>
{/foreach}
{/if}
{if $settings.Addons.gift_certificates == 'Y'}
	{include file="addons/gift_certificates/cart_pages/cart_items.tpl"}
{/if}
<!--cart_items--></div>
{/capture}
{include file="common_templates/mainbox_cart.tpl" title=$lang.cart_content content=$smarty.capture.cartbox}