{* $Id: categories.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}
{capture name="mainbox"}

{if $subcategories or $category_data.description}
{math equation="ceil(n/c)" assign="rows" n=$subcategories|@count c=$columns|default:"2"}
{split data=$subcategories size=$rows assign="splitted_subcategories"}

{if $category_data.description && $category_data.description != ''}
<div class="category-description">{$category_data.description}</div>
{/if}
<div class="wrapper">
	<div class="categories-image">
		{include file="common_templates/image.tpl" show_detailed='Y' images=$category_data.main_pair object_type="category" no_ids=true}
	</div>
	<div class="subcategories">
	{if $subcategories|@count < 6}
		<ul>
	{/if}
	{foreach from=$splitted_subcategories item="ssubcateg"}
		{if $subcategories|@count >= 6}
			<div class="categories-columns">
				<ul>
		{/if}
			{foreach from=$ssubcateg item=category name="ssubcateg"}
				<li><a href="{$index_script}?{$target_name}=categories&amp;category_id={$category.category_id}" class="underlined-bold">{$category.category|escape:html}</a></li>
		{/foreach}
		{if $subcategories|@count >= 6}
				</ul>
			</div>
		{/if}
	{/foreach}
	{if $subcategories|@count < 6}
	</ul>
	{/if}
	</div>
</div>
<div class="clear-both">&nbsp;</div>
{/if}

{if $products}
{if $settings.Appearance.columns_in_products_list > 1}
	{include file="products_pages/products_multicolumns.tpl" columns=$settings.Appearance.columns_in_products_list}
{elseif $settings.Appearance.advanced_products_list == 'Y' && $client_env.is_javascript == 'Y'}
	{include file="products_pages/products_advanced.tpl" title=""}
{else}
	{include file="products_pages/products.tpl" title=""}
{/if}

{elseif !$subcategories}
<p align="center"><b>{$lang.text_no_products}</b></p>
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$category_data.category content=$smarty.capture.mainbox}

{if $settings.Addons.discussion == 'Y'}
{include file="addons/discussion/discussion.tpl" object_id=$category_data.category_id object_type="C" title=$lang.discussion_title_category}
{/if}