{* $Id: tabsbox.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if $tabs}
	{assign var="section" value=$section|default:"main"}
	<div class="tab-wrapper">
		{foreach from=$tabs item=tab key=key}
		{include file="buttons/tab.tpl" key=$key tab_text=$tab.name url=$tab.url js_code=$tab.js_code separate_form=$tab.separate_form js_switch=$js_switch extra_params=$tab.extra_params section=$section}
		{/foreach}
	</div>
	<div class="tab-content-border">{$content}</div>

	<script type="text/javascript" language="javascript 1.2" defer="defer">
	//<![CDATA[
	var tab_left_image_path = "{$images_dir}/tab_left.gif";
	var tab_right_image_path = "{$images_dir}/tab_right.gif";
	var tab_left_active_image_path = "{$images_dir}/tab_left_active.gif";
	var tab_right_active_image_path = "{$images_dir}/tab_right_active.gif";

	{literal}
	if (!sections) {
		var sections = {};
	}
	{/literal}

	sections['{$section}'] = {$tabs|@to_json};
	var s_section = "{$selected_section|default:$smarty.get.selected_section|escape:javascript}";
	var _sections = sections['{$section}'];

	// Check if selected section exists in current area
	{literal}
	if (typeof(_sections[s_section]) == 'undefined' || (document.getElementById('content_' + s_section) && document.getElementById('content_' + s_section).innerHTML.trim() == '')) {
		for (k in _sections) {
			if (document.getElementById('content_' + k) && document.getElementById('content_' + k).innerHTML.trim() != '') {
				s_section = k;
				break;
			}
		}
	}
	{/literal}
	delete _sections;

	fn_show_section(s_section, sections['{$section}'], 'N', true);
	//]]>
	</script>


{else}
	{$content}
{/if}