{* $Id: products_multicolumns.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if $products}

{if !$smarty.capture.js_loaded}
<script type="text/javascript" language="javascript 1.2" src="{$smarty.const.CSCART_HOST_DIR}/classes/scripts/exceptions.js"></script>
{capture name="js_loaded"}Y{/capture}
{/if}

{capture name="mainbox"}
{if !$no_pagination}
	{include file="common_templates/pagination.tpl"}
{/if}
{if !$no_sorting}
	{include file="products_pages/sorting.tpl"}
{/if}

{if $products|@sizeof < $columns}
{assign var="columns" value=$products|@sizeof}
{/if}
{split data=$products size=$columns|default:"2" assign="splitted_products"}

<table cellspacing="0" cellpadding="0" style="table-layout: fixed;" width="100%" border="0">
{foreach from=$splitted_products item="sproducts" name="sprod"}
<tr>
{foreach from=$sproducts item="product" name="sproducts"}
	{if $smarty.foreach.sproducts.first}
	<td width="5">&nbsp;</td>
	{else}
	<td width="13">&nbsp;</td>
	{/if}
	<td style="{if !$smarty.foreach.sprod.last}border-bottom: 1px solid #d5d5d5;{/if} padding-bottom: 17px; {if !$smarty.foreach.sprod.first}padding-top: 25px;{else}padding-top: 2px;{/if}" valign="top">
	{if $product}
		<table border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td align="left" valign="top" style="padding-left: 10px; padding-right: 15px;">
					<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}">{include file="common_templates/image.tpl" image_width=$settings.Appearance.thumbnail_width obj_id=$product.product_id images=$product.main_pair object_type="product"}</a></td>
			<td align="left" valign="top">
				{if $lm_simultaneous_add == 'Y'}
				<form action="{$index_script}" method="post" onsubmit="return false;" name="{$list.lm_id}_{$product.product_id}_lm_simultaneous_add_form">
					<input type="hidden" name="product_data[{$product.product_id}][product_id]" value="{$product.product_id}" />
					<input type="hidden" name="product_data[{$product.product_id}][amount]" value="1" />
					<input type="checkbox" name="simultaneous_add" value="Y" />
				</form>
				{/if}

				<a href="{$index_script}?{$target_name}=products&amp;product_id={$product.product_id}" class="product-title">{$product.product|escape:html}</a>

				{if $product.product_code || !$no_ids}
				<p class="sku" {if !$no_ids}id="sku_{$product.product_id}"{/if} {if !$product.product_code}style="display:none"{/if}>{$lang.sku}: {if !$no_ids}<span class="sku" id="product_code_{$product.product_id}">{/if}{$product.product_code}{if !$no_ids}</span>{/if}</p>
				{/if}

				{if ($product.price != 0 || $product.zero_price_action == 'P') && !($settings.Addons.product_configurator == 'Y' && $product.product_type == 'C')}
					<p align="left">
						{if $product.discounts}<span class="price" id="line_discounted_price_{$product.product_id}">{$lang.discounted_price}:&nbsp;
							{include file="common_templates/price.tpl" value=$product.discounted_price class="price" span_id="discounted_price_`$product.product_id`"}</span>
						{else}
							<span class="price" id="line_original_price_{$product.product_id}">{$lang.price}:&nbsp;{include file="common_templates/price.tpl" value=$product.price class="price"}</span>{/if}
					</p>
					{if $settings.Appearance.show_prices_taxed_clean == 'Y' && $product.taxed_price}
						{if $product.clean_price != $product.taxed_price && $product.included_tax}
							<span class="list-price">({include file="common_templates/price.tpl" value=$product.taxed_price span_id="product_price_`$product.product_id`" class='list-price'} {$lang.inc_tax})	</span>
						{elseif $product.clean_price != $product.taxed_price && !$product.included_tax}
							<span class="list-price">({$lang.including_tax})</span>
						{/if}
					{/if}
					<span class="price" id="line_zero_price_{$product.product_id}" style="display: none;">{$lang.price}: {include file="common_templates/price.tpl" value=0 class="price"}</span>
					<p></p>
				{/if}

				{if $settings.Addons.suppliers == 'Y'}
					{include file="addons/suppliers/supplier_representation.tpl"}
				{/if}

				{if $hide_buy_now_button != 'Y'}
					{include file="products_pages/buy_now.tpl" hide_wishlist_button="Y" buy_now_column_style="Y"}
				{/if}
			</td>
		</tr>
		</table>
	{/if}
	</td>
	{if $smarty.foreach.sproducts.last}
	<td width="4">&nbsp;</td>
	{else}
	<td width="14">&nbsp;</td>
	{/if}
{/foreach}
</tr>
{/foreach}
</table>

<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
fn_check_all_exceptions(false);
//]]>
</script>

{if !$no_pagination}
	{include file="common_templates/pagination.tpl"}
{/if}
{/capture}
{if !$title}
	{$smarty.capture.mainbox}
{else}
	{include file="common_templates/mainbox.tpl" title=$title content=$smarty.capture.mainbox}
{/if}

{/if}