{* $Id: products_search_results.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}
{if $action == 'feature_search' && $settings.General.extended_product_features_search == 'Y' && $product_features}
{capture name="section"}

<form action="{$index_script}" name="feature_search_form" method="get">
<input type="hidden" name="{$target_name}" value="products" />
<input type="hidden" name="{$mode_name}" value="search" />
<input type="hidden" name="type" value="extended" />
<input type="hidden" name="{$action_name}" value="feature_search" />

<table>
{foreach from=$product_features item="pf"}
<tr>
	<td>{$pf.description}:</td>
	<td>
		{assign var="f_id" value=$pf.feature_id}
		{if $pf.feature_type == 'S'}
		<select name="feature[{$pf.feature_id}]">
			<option value=''>  --  </option>
			{foreach from=$pf.variants item="var"}
				<option value="{$var.variant}" {if $smarty.get.feature.$f_id==$var.variant}selected{/if}>{$var.variant}</option>
			{/foreach}
		</select>
		{elseif $pf.feature_type == 'C'}
		<input type="hidden" name="feature[{$pf.feature_id}]" value="" />
		<input type="checkbox" name="feature[{$pf.feature_id}]" value="Y" {if $smarty.get.feature.$f_id == 'Y'}checked="checked"{/if} />
		{else}
			<input type="text" class="input-text" name="feature[{$pf.feature_id}]" value="{$smarty.get.feature.$f_id}">
		{/if}
	</td>
</tr>
{/foreach}
</table>
<p>
{include file="buttons/search.tpl" but_onclick="document.feature_search_form.submit();" but_arrow="on"}</p>

</form>
{/capture}
{include file="common_templates/section.tpl" section_content=$smarty.capture.section section_title=$lang.search_by_product_features}
{/if}

{capture name="mainbox"}
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td nowrap="nowrap">{$lang.products_found}:&nbsp;<b>{$product_count}</b></td>
	<td align="right">
		<p>{include file="buttons/button.tpl" but_style="text" but_text=$lang.search_again but_href="$index_script?$target_name=search"}</p></td>
</tr>
</table>
<hr width="100%" />
{if $products}

{if $settings.Appearance.columns_in_products_list > 1}
	{include file="products_pages/products_multicolumns.tpl" columns=$settings.Appearance.columns_in_products_list}
{else}
	{include file="products_pages/products.tpl"}
{/if}

<hr width="100%" />
<table cellpadding="0" cellspacing="0" border="0" width="100%">
<tr>
	<td nowrap="nowrap">{$lang.products_found}:&nbsp;<b>{$product_count}</b></td>
	<td align="right">
		<p>{include file="buttons/button.tpl" but_style="text" but_text=$lang.search_again but_href="$index_script?$target_name=search"}</p></td>
</tr>
</table>

{else}
<p align="center"><b>{$lang.text_no_matching_products_found}</b></p>

{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.search_results content=$smarty.capture.mainbox}