{* $Id: profiles.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{include file="profiles_pages/profiles_scripts.tpl"}

{capture name="mainbox"}

<p>{$lang.text_mandatory_fields}</p>
<p></p>

<form name="profile_form" action="{$index_script}" method="post">
<input type="hidden" name="{$target_name}" value="profiles" />
<input type="hidden" name="{$mode_name}" value="{$mode|default:"add"}" />
<input type="hidden" name="{$action_name}" value="{$action}" />

{capture name="group"}
{include file="profiles_pages/profiles_account.tpl"}
{include file="profiles_pages/profile_fields.tpl" section="C" title=$lang.contact_information}
{/capture}
{include file="common_templates/group.tpl" content=$smarty.capture.group}

{if $profile_fields.B || $profile_fields.S}
	{if $settings.General.user_multiple_profiles == "Y"}
	<p>{$lang.text_multiprofile_notice}</p>
	<p></p>
	{/if}
	{if $profile_tabs && $mode == 'update'}
		{capture name="tabsbox"}
			{include file="profiles_pages/multiple_profiles.tpl"}
			{include file="profiles_pages/profile_fields.tpl" section="B" title=$lang.billing_address}
			{include file="profiles_pages/profile_fields.tpl" section="S" title=$lang.shipping_address body_id="sa" shipping_flag=$profile_fields.B|@sizeof|default:false}
		{/capture}
		{include file="common_templates/tabsbox.tpl" tabs=$profile_tabs content=$smarty.capture.tabsbox js_switch="N"}
	{else}
		{capture name="group"}
			{include file="profiles_pages/multiple_profiles.tpl"}
			{include file="profiles_pages/profile_fields.tpl" section="B" title=$lang.billing_address}
			{include file="profiles_pages/profile_fields.tpl" section="S" title=$lang.shipping_address body_id="sa" shipping_flag=$profile_fields.B|@sizeof|default:false}
		{/capture}
		{include file="common_templates/group.tpl" content=$smarty.capture.group}
	{/if}
{/if}

{if $settings.Affiliate.enable == 'Y' && $user_data.user_type != 'P' && $mode == 'update'}
<p id="id_affiliate_agree_notification" style="display: none;">{$lang.affiliate_agree_to_terms_conditions|replace:'[button_name]':$lang.update} (<a href="{$customer_index}?{$target_name}=pages&amp;page_id=affiliate_policy">{$lang.go_to_terms_and_conditions}</a>)</p>
{/if}

{if $mode == 'add' && $settings.Image_verification.use_for_register == 'Y'}
	{include file="common_templates/image_verification.tpl" id="register" align="center"}
{/if}

<div class="buttons-wrapper" align="center">
	{if $mode == "update"}
		{include file="buttons/update_profile.tpl" but_onclick="profiles_form.submit();"}
	{else}
		{include file="buttons/register_profile.tpl" but_onclick="profiles_form.submit();"}
	{/if}
</div>
</form>
{/capture}

{include file="common_templates/mainbox.tpl" title=$lang.profile_details content=$smarty.capture.mainbox}
