{* $Id: step_profile_fields.tpl,v 1.1.1.1 2007/12/13 10:07:59 pshevtsov Exp $ *}

{if $section == 'B'}
<script type="text/javascript" language="javascript 1.2" defer="defer">
//<![CDATA[
	country_state['{$section}'] = {$ldelim}country_id: '', state_id: '', state: ''{$rdelim};
	{if $section == 'B'}
		var field_groups = [];
	{/if}
//]]>
</script>
{/if}

<div class="step-complete-wrapper">
	<div class="float-left" style="width: 40%;">
		{if $section == 'C'}
			<p><b>{if $user_data.title_descr}{$user_data.title_descr}&nbsp;{/if}{$user_data.firstname}&nbsp;{$user_data.lastname}</b></p>
			{if $settings.General.use_email_as_login != 'Y'}<p>{$user_data.email}</p>{/if}
			{if $user_data.company}<p>{$user_data.company}</p>{/if}
			{if $user_data.phone}<p><b>{$lang.phone}:</b>&nbsp;{$user_data.phone}</p>{/if}
			{if $user_data.fax}<p><b>{$lang.fax}:</b>&nbsp;{$user_data.fax}</p>{/if}
			{if $user_data.url}<p>{$user_data.url}</p>{/if}
		{else}
			{assign var='prefix' value=$section|lower}
			{assign var='title' value=$prefix|cat:"_title_descr"}
			{assign var='firstname' value=$prefix|cat:"_firstname"}
			{assign var='lastname' value=$prefix|cat:"_lastname"}
			{assign var='address' value=$prefix|cat:"_address"}
			{assign var='address_2' value=$prefix|cat:"_address_2"}
			{assign var='city' value=$prefix|cat:"_city"}
			{assign var='country' value=$prefix|cat:"_country_descr"}
			{assign var='state' value=$prefix|cat:"_state_descr"}
			{assign var='zipcode' value=$prefix|cat:"_zipcode"}		
			<p><b>{if $user_data.$title}{$user_data.$title}&nbsp;{/if}{$user_data.$firstname}&nbsp;{$user_data.$lastname}</b></p>
			{if $user_data.$address}<p>{$user_data.$address}</p>{/if}
			{if $user_data.$address_2}<p>{$user_data.$address_2}</p>{/if}			
			<p>{$user_data.$city}{if $user_data.$city},{/if}&nbsp;{$user_data.$country}{if $user_data.$country}{if $user_data.$state},{/if}&nbsp;{/if}{$user_data.$state}</p>
			<p>{$user_data.$zipcode}</p>
			{foreach from=$profile_fields.$section item=field}
			{if $field.field_name}
			{assign var="data_name" value="user_data"}
			{assign var="data_id" value=$field.field_name}
			{assign var="value" value=$user_data.$data_id}
			{else}
			{assign var="data_name" value="user_data[fields]"}
			{assign var="data_id" value=$field.field_id}
			{assign var="value" value=$user_data.fields.$data_id}
			{/if}
			<div style="display: none;">
				{if $field.field_type == 'L'} {* Titles selectbox *}
						<input type="hidden" id="elm_{$field.field_id}" value="{$value}" />			
				{elseif $field.field_type == 'A'}  {* State selectbox *}
						<input type="hidden" id="elm_{$field.field_id}_d" value="{$value}" />			
						<input type="hidden" id="elm_{$field.field_id}" value="{$value}" />
				{elseif $field.field_type == 'O'}  {* Countries selectbox *}
						<input type="hidden" id="elm_{$field.field_id}" value="{$value|default:$settings.General.default_country}" />
				{elseif $field.field_type == 'C'}  {* Checkbox *}
						<input type="checkbox" id="elm_{$field.field_id}" value="{$value|default:'N'}" {if $value == 'Y'}checked="checked"{/if}  style="display: none;"/>
				{elseif $field.field_type == 'T'}  {* Textarea *}
						<input type="hidden" id="elm_{$field.field_id}" value="{$value|escape:html}" />		
				{elseif $field.field_type == 'D'}  {* Date *}
						{html_select_date start_year="1970" end_year="+5" time=$value day_extra="id=\"elm_`$field.field_id`_day\"" month_extra="id=\"elm_`$field.field_id`_month\"" year_extra="id=\"elm_`$field.field_id`_year\""}
				{elseif $field.field_type == 'S'}  {* Selectbox *}				
						{foreach from=$field.values key=k item=v name="rfe"}
						{if (!$value && $smarty.foreach.rfe.first) || $value == $k}
						<input type="hidden" id="elm_{$field.field_id}" value="{$value|default:$smarty.foreach.rfe.first}" />
						{/if}
						{/foreach}		
				{elseif $field.field_type == 'R'}  {* Radiogroup *}
					{foreach from=$field.values key=k item=v name="rfe"}
					<input type="radio" id="elm_{$field.field_id}_{$k}" value="{$k}" {if (!$value && $smarty.foreach.rfe.first) || $value == $k}checked="checked"{/if} style="display: none;" />
					{/foreach}				
				{else}  {* Simple input *}
						<input type="hidden" id="elm_{$field.field_id}" value="{$value|escape:html}" />
				{/if}
			</div>
				{if $section == 'B'}
				<script type="text/javascript" language="javascript 1.2" defer="defer">
				//<![CDATA[
					{if $field.field_type == 'A'}
					country_state['{$section}'].state_id = 'elm_{$field.field_id}';
					country_state['{$section}'].state = '{$value|default:$settings.General.default_country|escape:javascript}';
					{/if}
					{if $field.field_type == 'O'}
					country_state['{$section}'].country_id = 'elm_{$field.field_id}';
					{/if}
					{if $field.field_type == 'D'}
						field_groups['elm_{$field.field_id}_day'] = 'elm_{$field.matching_id}_day';
						field_groups['elm_{$field.field_id}_month'] = 'elm_{$field.matching_id}_month';
						field_groups['elm_{$field.field_id}_year'] = 'elm_{$field.matching_id}_year';
					{elseif $field.field_type == 'R'}
						{foreach from=$field.values key=k item=v}
						field_groups['elm_{$field.field_id}_{$k}'] = 'elm_{$field.matching_id}_{$k}';
						{/foreach}
						
					{else}
						field_groups['elm_{$field.field_id}'] = 'elm_{$field.matching_id}';
					{/if}
				//]]>
				</script>
				{/if}
			{/foreach}	
		{/if}
	</div>
	{if $user_data.fields}
	{assign var="profile_section" value=$profile_fields.$section}
	<div class="float-left">
		{strip}
		{foreach from=$user_data.fields item='field' key='field_id'}
		{if $profile_section.$field_id}
			<p class="step-complete-text"><b>{$profile_section.$field_id.description}:</b>&nbsp;
			{if $profile_section.$field_id.field_type == 'C'}  {* Checkbox *}
				{if $field == 'Y'}{$lang.yes}{else}{$lang.no}{/if}
			{elseif $profile_section.$field_id.field_type == 'D'}  {* Date *}
				{$field|date_format:$settings.Appearance.date_format}
			{elseif $profile_section.$field_id.field_type == 'T'}  {* Textarea *}
				{$field|truncate:30:"...":true}				
			{elseif $profile_section.$field_id.field_type == 'R' || $profile_section.$field_id.field_type == 'S'}  {* Radiogroup *}  {* Selectbox *}
				{foreach from=$profile_section.$field_id.values key=k item=v name="rfe"}
				{if !$field && $smarty.foreach.rfe.first}
					{assign var='id' value=$smarty.foreach.rfe.first}
					{$profile_section.$field_id.values.$id}
				{elseif $field == $k}
					{$v}
				{/if}
				{/foreach}
			{else}  {* Simple input *}
				{$field}
			{/if}
			</p>
		{/if}
		{/foreach}
		{/strip}
	</div>	
	{/if}
	<div class="float-right">
		{include file="buttons/button.tpl" but_onclick=$but_onclick but_text=$lang.edit lowercase="Y" but_style='text'}
	</div>				
</div>