{* $Id: invoice_gift_certificates.tpl,v 1.1.1.1 2007/12/13 10:07:58 pshevtsov Exp $ *}

{if $order_info.gift_certificates}

{foreach from=$order_info.gift_certificates item="gift" key="gift_key" name="gift_cycle"}

<tr>
	<td>{$gift.gift_cert_code|default:"&nbsp;"}</td>
	<td>{$lang.gift_certificate}</td>
	<td align="center">&nbsp;1</td>
	<td align="right">{if !$gift.extra.exclude_from_calculate}{include file="common_templates/price.tpl" value=$gift.subtotal}{else}{$lang.free}{/if}</td>	
	{if $settings.Addons.reward_points == 'Y'}
		{include file="addons/reward_points/orders/invoice_body.tpl" oi=$gift}
	{/if}	
	{if $order_info.use_discount}
	<td align="right">-</td>
	{/if}
	{if $order_info.taxes}
	<td align="right">-</td>
	{/if}

	<td align="right"><b>{if !$gift.extra.exclude_from_calculate}{include file="common_templates/price.tpl" value=$gift.subtotal}{else}{$lang.free}{/if}</b>&nbsp;</td>
</tr>
{if $gift.products && $settings.Addons.gift_certificates_opts.free_products_allow == 'Y'}
<tr>
	{assign var="_colspan" value="6"}
	{if $settings.Addons.reward_points == 'Y'}
		{*if $order_info.use_reward_points}
			{math equation="x+1" x=$_colspan assign="_colspan"}
		{/if*}
		{if $order_info.use_pbp}
			{math equation="x+1" x=$_colspan assign="_colspan"}				
		{/if}
	{/if}	
	{if $order_info.use_discount}{assign var="_colspan" value=$_colspan+1}{/if}
	{if $order_info.taxes}{assign var="_colspan" value=$_colspan+1}{/if}
	<td colspan="{$_colspan}">{$lang.free_products} [{$gift.gift_cert_code|default:"&nbsp;"}]:</td>
</tr>
{foreach from=$order_info.items item="sub_oi" key="sub_key"}
{if $sub_oi.extra.in_certificate && $sub_oi.extra.in_certificate == $gift_key}
<tr>
	<td>{$sub_oi.product_code|default:"&nbsp;"}</td>
	<td>{$sub_oi.product}
		{if $sub_oi.product_options}<div style="padding-top: 1px; padding-bottom: 2px;">{include file="common_templates/options_info.tpl" product_options=$sub_oi.product_options}</div>{/if}</td>
	<td align="center">{$sub_oi.amount}</td>
	{math equation="item_price + conf_price" item_price=$sub_oi.price|default:"0" conf_price=$conf_price|default:"0" assign="conf_price"}	
	<td align="right">{include file="common_templates/price.tpl" value=$sub_oi.price}</td>
	{if $settings.Addons.reward_points == 'Y'}
			{include file="addons/reward_points/orders/invoice_body.tpl" oi=$sub_oi}
	{/if}		
	{if $order_info.use_discount}
	{math equation="discount + conf_discount" discount=$sub_oi.extra.discount|default:"0" conf_discount=$conf_discount|default:"0" assign="conf_discount"}
	<td align="right">{if $sub_oi.extra.discount|floatval}{include file="common_templates/price.tpl" value=$sub_oi.extra.discount}{else}&nbsp;-&nbsp;{/if}</td>
	{/if}
	{if $order_info.taxes}
	{math equation="tax + conf_tax" tax=$sub_oi.tax_value|default:"0" conf_tax=$conf_tax|default:"0" assign="conf_tax"}
	<td align="right">{if $sub_oi.tax_value}{include file="common_templates/price.tpl" value=$sub_oi.tax_value}{else}&nbsp;-&nbsp;{/if}</td>
	{/if}
	{math equation="subtotal + conf_subtotal" subtotal=$sub_oi.subtotal|default:"0" conf_subtotal=$conf_subtotal|default:"0" assign="conf_subtotal"}	
	<td align="right">{include file="common_templates/price.tpl" value=$sub_oi.subtotal}&nbsp;</td>
</tr>
{/if}
{/foreach}
{if !$smarty.foreach.gift_cycle.last}
<tr>
	{assign var="_colspan" value="6"}
	{if $settings.Addons.reward_points == 'Y'}
		{*if $order_info.use_reward_points}
			{math equation="x+1" x=$_colspan assign="_colspan"}
		{/if*}
		{if $order_info.use_pbp}
			{math equation="x+1" x=$_colspan assign="_colspan"}				
		{/if}
	{/if}
	{if $order_info.use_discount}{assign var="_colspan" value=$_colspan+1}{/if}
	{if $order_info.taxes}{assign var="_colspan" value=$_colspan+1}{/if}
	<td colspan="{$_colspan}">&nbsp;</td>
</tr>
{/if}
{/if}
{/foreach}

{/if}