{* $Id: action_details.tpl,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $	*}

{capture name="mainbox"}

{assign var="approve_button" value="N"}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="table-head">
	<td class="table-head" width="20%">{$lang.action}</td>
	<td class="table-head" width="20%">{$lang.partner}</td>
	<td class="table-head" width="15%">{$lang.affiliate_plan}</td>
	<td class="table-head" width="15%">{$lang.banner}</td>
	<td class="table-head" width="10%">{$lang.date}</td>
	<td class="table-head" width="5%">{$lang.status}</td>
	<td class="table-head" align="right" width="15%">{$lang.commission}</td>
</tr>
{if $action_data}
{if $action_data.approved != "Y"}
	{assign var="approve_button" value="Y"}
{/if}
<tr class="manage-root-row">
	<td class="side-padding" style="height: 20px;"><b>{$action_data.title}</b><input type="hidden" name="action_ids[{$action_data.action_id}]" value="Y" /></td>
	<td class="side-padding">{$action_data.partner_firstname} {$action_data.partner_lastname}</td>
	<td class="side-padding">{$action_data.plan}</td>
	<td class="side-padding">{if $action_data.banner}{$action_data.banner}{else}&nbsp;&nbsp;---&nbsp;{/if}</td>
	<td class="side-padding">{$action_data.date|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
	<td class="side-padding">{if $action_data.payout_id}{$lang.paidup}{elseif $action_data.approved=='Y'}{$lang.approved}{else}&nbsp;&nbsp;---&nbsp;{/if}</td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$action_data.amount|round:2}</td>
</tr>
{if $action_data.related_actions}
	{foreach from=$action_data.related_actions key='raction_id' item='ra'}
	{if $ra.approved != "Y"}
		{assign var="approve_button" value="Y"}
	{/if}
<tr {cycle values='class="manage-row", '}>
	<td class="side-padding" style="height: 20px;">{$ra.title}</td>
	<td class="side-padding">{$ra.partner_firstname} {$ra.partner_lastname}</td>
	<td class="side-padding">{$ra.plan}</td>
	<td class="side-padding">{if $ra.banner}{$ra.banner}{else}&nbsp;&nbsp;---&nbsp;{/if}</td>
	<td class="side-padding">{$ra.date|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
	<td class="side-padding">{if $ra.payout_id}{$lang.paidup}{elseif $ra.approved=='Y'}{$lang.approved}{else}&nbsp;&nbsp;---&nbsp;{/if}</td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$ra.amount|round:2}</td>
</tr>
	{/foreach}
{/if}
<tr>
	<td colspan="7" class="manage-header"><img src="{$images_dir}/spacer.gif" width="1" height="1" border="0" alt="" title="" /></td>
<tr>
	<td colspan="7">
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
		<tr>
			<td align="right" width="100%"><p><b>{$lang.total}:</b>&nbsp;&nbsp;</p></td>
			<td align="right" nowrap="nowrap">{include file="common_templates/price.tpl" value=$total_commission}</td>
		</tr>
		</table>
	</td>
</tr>
{else}
<tr>
	<td colspan="7" align="center" class="manage-row"><p><b>{$lang.no_data_found}</b></p></td>
</tr>
{/if}
</table>

{if $action_data.extended_data || $action_data.data}
<table cellpadding="1" cellspacing="1" border="0">
{if $action_data.extended_data}
{foreach from=$action_data.extended_data key="ex_key" item="ex_data"}
{if $ex_key=='customer'}
<tr {cycle values='class="manage-row", '}>
	<td class="side-padding">{$lang.customer}:&nbsp;</td>
	<td class="side-padding">
		{$ex_data.firstname} {$ex_data.lastname}</td>
	<td class="side-padding">
		{$lang.email} - <a href="mailto:{$ex_data.email}">{$ex_data.email}</a></td>
	<td class="side-padding" align="right">
		&nbsp;</td>
</tr>
{elseif $ex_key=='order'}
<tr {cycle values='class="manage-row", '}>
	<td class="side-padding">{$lang.order}:&nbsp;</td>
	<td class="side-padding">
		{if $affiliate_plan.show_orders == 'Y'}<a href="{$index_script}?{$target_name}=orders&order_id={$ex_data.order_id}" target="_blank">{/if}#{$ex_data.order_id}{if $affiliate_plan.show_orders == 'Y'}</a>{/if}</td>
	<td class="side-padding">
		{$lang.status} - {include file="orders_pages/order_status.tpl" display="view" status=$ex_data.status}</td>
	<td class="side-padding" align="right">
		{include file="common_templates/price.tpl" value=$ex_data.total}</td>
</tr>
{elseif $ex_key=='product'}
<tr {cycle values='class="manage-row", '}>
	<td class="side-padding">{$lang.product}:&nbsp;</td>
	<td class="side-padding">
		<a href="#" onclick="javascript: window.open('{$index_script}?{$target_name}=products&{$mode_name}=update&product_id={$ex_data.product_id}','product_popup_window','width=450,height=350,toolbar=yes,status=no,scrollbars=yes,resizable=no,menubar=yes,location=no,direction=no');">{$ex_data.product}</a></td>
	<td class="side-padding">
		{$lang.amount} - {$ex_data.amount}</td>
	<td class="side-padding" align="right">
		{include file="common_templates/price.tpl" value=$ex_data.price}</td>
</tr>
{elseif $ex_key=='discount'}
<tr {cycle values='class="manage-row", '}>
	<td class="side-padding">{$lang.coupon}:&nbsp;</td>
	<td class="side-padding" colspan="2">
		{$ex_data.coupon_code}</td>
	<td class="side-padding" align="right">
		{include file="common_templates/modifier.tpl" mod_value=$ex_data.value mod_type=$ex_data.value_type}</td>
</tr>
{/if}
{/foreach}
{/if}
{if $action_data.data}
{foreach from=$action_data.data key="key" item="data"}
{if $key=='R'}
<tr {cycle values='class="manage-row", '}>
	<td class="side-padding">{$lang.url}:&nbsp;</td>
	<td class="side-padding" colspan="2">
		<a href="{$data}">{$data}</a></td>
	<td class="side-padding" align="right">
		&nbsp;</td>
</tr>
{/if}
{/foreach}
{/if}
</table>
{/if}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.commission_details content=$smarty.capture.mainbox}