{* $Id: aff_statistics.tpl,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $	*}

{capture name="mainbox"}

{include file="affiliate/stat_search_form.tpl"}

&nbsp;<a href="#" onclick="javascript: fn_show_tag('general_statistics');"><b>{$lang.general_statistics} &#187;</b></a>
<p></p>

<div id="general_statistics" style="display: none;">

<table cellpadding="2" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td class="manage-header" width="40%">{$lang.action}</td>
	<td class="manage-header" align="right" width="20%">count</td>
	<td class="manage-header" align="right" width="20%">sum</td>
	<td class="manage-header" align="right" width="20%">avg</td>
</tr>
{if $general_stats}
{foreach from=$payout_types key='payout_id' item='a'}
	{assign var='payout' value=$general_stats.$payout_id}
	{assign var='payout_var' value=$a.title}
{if $payout.count}
<tr {cycle values='class="manage-row", '}>
	<td class="side-padding"><b>{$lang.$payout_var}</b></td>
	<td class="side-padding" align="right">{$payout.count|default:'0'}</td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$payout.sum|round:2}</td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$payout.avg|round:2}</td>
</tr>
{/if}
{/foreach}
{if $general_stats.total}
	{assign var='payout' value=$general_stats.total}
<tr class="manage-root-row">
	<td class="dashed-border-top"><b>{$lang.total}</b></td>
	<td class="dashed-border-top" align="right"><b>{$payout.count|default:'0'}</b></td>
	<td class="dashed-border-top" align="right"><b>{include file="common_templates/price.tpl" value=$payout.sum|round:2}</b></td>
	<td class="dashed-border-top" align="right"><b>{include file="common_templates/price.tpl" value=$payout.avg|round:2}</b></td>
</tr>
{/if}
{else}
<tr>
	<td colspan="4" align="center" class="manage-row"><p><b>{$lang.no_data_found}</b></p></td>
</tr>
{/if}
</table>

{if $additional_stats}
<br />
<table cellpadding="2" cellspacing="1" border="0">
{foreach from=$additional_stats key='a_stats_name' item='a_stats_value'}
<tr>
	<td><b>{$lang.$a_stats_name}</b>:</td>
	<td>{$a_stats_value}</td>
</tr>
{/foreach}
</table>
{/if}

</div>

<br />
{include file="common_templates/pagination.tpl"}

{assign var="c_url" value=$current_url|fn_query_remove:"sort_by":"sort_order"}
{if $sort_order == 'asc'}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8595;"}
{else}
{assign var="sort_sign" value="&nbsp;&nbsp;&#8593;"}
{/if}
{if $settings.DHTML.partner_ajax_based_pagination == 'Y'}
	{assign var="url_prefix" value="javascript: fn_ajax_http_request('"}
	{assign var="url_suffix" value="', 'pagination_contents');"}
{/if}

<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="manage-header">
	<td class="manage-header" width="13%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=action&sort_order={$sort_order}{$url_suffix}">{$lang.action}</a>{if $sort_by == 'action'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="10%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=date&sort_order={$sort_order}{$url_suffix}">{$lang.date}</a>{if $sort_by == 'date'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="7%" align="center" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=cost&sort_order={$sort_order}{$url_suffix}">{$lang.cost}</a>{if $sort_by == 'cost'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="15%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=customer&sort_order={$sort_order}{$url_suffix}">{$lang.customer}</a>{if $sort_by == 'customer'}{$sort_sign}{/if}<br />({$lang.ip_address})</td>
	<td class="manage-header" width="10%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=banner&sort_order={$sort_order}{$url_suffix}">{$lang.banner}</a>{if $sort_by == 'banner'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="35%" nowrap="nowrap">{$lang.additional_data}</td>
	<td class="manage-header" width="5%" nowrap="nowrap"><a class="sort-link" href="{$url_prefix}{$c_url}&sort_by=status&sort_order={$sort_order}{$url_suffix}">{$lang.status}</a>{if $sort_by == 'status'}{$sort_sign}{/if}</td>
	<td class="manage-header" width="5%" nowrap="nowrap">&nbsp;</td>
</tr>
{if $list_stats}
{foreach from=$list_stats item='row_stats'}
{if $row_stats.related_actions}
	{assign var="span_rows" value=$row_stats.related_actions|@count}
{else}
	{assign var="span_rows" value="0"}
{/if}
{cycle values='class="manage-row", ' assign="row_class_name"}
<tr {$row_class_name}>
	<td class="side-padding" style="height: 20px;">
		<b>{$row_stats.title}{$action_title}</b>
	</td>
	<td class="side-padding" rowspan="{$span_rows+1}">{$row_stats.date|date_format:"`$settings.Appearance.date_format`, `$settings.Appearance.time_format`"}</td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$row_stats.amount|round:2}{$action_amount}</td>
	<td class="side-padding" rowspan="{$span_rows+1}">
		{$row_stats.customer_firstname} {$row_stats.customer_lastname}
		{if ($row_stats.customer_firstname || $row_stats.customer_lastname) && $row_stats.ip}<br />{/if}
		{if $row_stats.ip}<i>({$row_stats.ip})</i>{/if}</td>
	<td class="side-padding" rowspan="{$span_rows+1}">{if $row_stats.banner}<a href="{$index_script}?{$target_name}={$row_stats.banner_type}&{$mode_name}=update&banner_id={$row_stats.banner_id}">{$row_stats.banner}</a>{else}&nbsp;&nbsp;---&nbsp;{/if}</td>
	<td class="side-padding" rowspan="{$span_rows+1}">
		{include file="affiliate/additional_data.tpl" data=$row_stats.data}</td>
	<td class="side-padding">{if $row_stats.payout_id}{$lang.paidup}{elseif $row_stats.approved=='Y'}{$lang.approved}{else}&nbsp;&nbsp;---&nbsp;{/if}</td>
	<td class="side-padding" rowspan="{$span_rows+1}">{include file="buttons/button.tpl" but_text=$lang.details but_href="$index_script?$target_name=aff_statistics&action_id=`$row_stats.action_id`" but_style="text"}</td>
</tr>
{if $row_stats.related_actions}
	{foreach from=$row_stats.related_actions item='r_action'}
<tr {$row_class_name}>
	<td>
   		<input type="checkbox" name="action_ids[{$r_action.action_id}]" id="delete_checkbox" value="Y" {if $r_action.payout_id}disabled="disabled"{/if} /></td>
	<td class="side-padding" align="right" nowrap="nowrap">{$r_action.title}</td>
	<td class="side-padding" align="right">{include file="common_templates/price.tpl" value=$r_action.amount|round:2}</td>
	<td class="side-padding" nowrap="nowrap">
		{if $r_action.partner_firstname || $r_action.partner_lastname}<a href="{$index_script}?{$target_name}=partners&{$mode_name}=update&user_id={$r_action.partner_id}">{$r_action.partner_firstname} {$r_action.partner_lastname}</a>{else}&nbsp;&nbsp;---&nbsp;{/if}</td>
	<td class="side-padding">{if $r_action.payout_id}{$lang.paidup}{elseif $r_action.approved=='Y'}{$lang.approved}{else}&nbsp;&nbsp;---&nbsp;{/if}</td>
</tr>
	{/foreach}
{/if}
{/foreach}
{else}
<tr>
	<td class="manage-row" colspan="8" align="center"><p><b>{$lang.no_data_found}</b></p></td>
</tr>
{/if}
</table>
{include file="common_templates/pagination.tpl"}

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.approve_commissions content=$smarty.capture.mainbox}