{* $Id: affiliate_plan.tpl,v 1.1.1.1 2007/12/13 10:08:00 pshevtsov Exp $ *}

{capture name="mainbox"}

{if $affiliate_plan.description|escape:html}<p>{$affiliate_plan.description|escape:html}</p>{/if}

<table cellpadding="3" cellspacing="1" border="0">
<tr>
	<td class="field-name">{$lang.aff_cookie_expiration}:&nbsp;</td>
	<td>&nbsp;</td>
	<td>{$affiliate_plan.cookie_expiration|escape:html|default:0}</td>
</tr>
{if $affiliate_plan.payout_types.init_balance.value}
<tr>
	<td class="field-name">{$lang.set_initial_balance}:&nbsp;</td>
	<td>&nbsp;</td>
	<td>
		{include file="common_templates/price.tpl" value=$affiliate_plan.payout_types.init_balance.value}</td>
</tr>
{/if}
{if $affiliate_plan.min_payment}
<tr>
	<td class="field-name">{$lang.minimum_commission_payment}:&nbsp;</td>
	<td>&nbsp;</td>
	<td>{include file="common_templates/price.tpl" value=$affiliate_plan.min_payment}</td>
</tr>
{/if}
{if $affiliate_plan.payout_types}
<tr>
	<td colspan="3">
		<p></p><br>{include file='common_templates/subheader2.tpl' title=$lang.commission_rates}
	</td>
</tr>
{foreach from=$payout_types key='payout_id' item=payout_data}
{if $payout_data.default=='Y' && $affiliate_plan.payout_types.$payout_id.value}
<tr {cycle values='class="table-row", '}>
	{assign var="lang_var" value=$payout_data.title}
	<td class="field-name">{$lang.$lang_var|escape:"html"}</td>
	<td>&nbsp;</td>
	<td>
		{include file="common_templates/modifier.tpl" mod_value=$affiliate_plan.payout_types.$payout_id.value mod_type=$affiliate_plan.payout_types.$payout_id.value_type}
	</td>
</tr>
{/if}
{/foreach}
{/if}
</table>

{if $linked_products}
<p></p><br />
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="table-head">
	<td class="table-head" width="70%" nowrap="nowrap">{$lang.product_name}</td>
	<td class="table-head" width="30%" nowrap="nowrap">{$lang.sales_commission}</td>
</tr>
{foreach from=$linked_products item=product}
<tr {cycle values='class="table-row", '}>
	<td class="side-padding" style="height: 20px;">
		<a name="anchor_product_{$product.product_id}" href="#anchor_product_{$product.product_id}" onclick="javascript: window.open('{$index_script}?{$target_name}=products&product_id={$product.product_id}','product_popup_window','width=450,height=350,toolbar=yes,status=no,scrollbars=yes,resizable=no,menubar=yes,location=no,direction=no');" class="manage-root-item">{$product.product}</a></td>
	<td class="side-padding">
		{include file="common_templates/modifier.tpl" mod_value=$product.sale.value mod_type=$product.sale.value_type}</td>
</tr>
{/foreach}
</table>
{/if}

{if $linked_categories}
<p></p><br />
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="table-head">
	<td class="table-head" width="70%" nowrap="nowrap">{$lang.category_name}</td>
	<td class="table-head" width="30%" nowrap="nowrap">{$lang.sales_commission}</td>
</tr>
{foreach from=$linked_categories item=category}
<tr {cycle values='class="table-row", '}>
	<td class="side-padding" style="height: 20px;">
		<a href="{$customer_index}?{$target_name}=categories&{$mode_name}=update&category_id={$category.category_id}" class="manage-root-item" target="_blank">{$category.category}</a></td>
	<td class="side-padding">
		{include file="common_templates/modifier.tpl" mod_value=$category.sale.value mod_type=$category.sale.value_type}</td>
</tr>
{/foreach}
</table>
{/if}

{if $coupons}
<p></p><br />
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="table-head">
	<td class="table-head" width="35%" nowrap="nowrap">{$lang.coupon_code}</td>
	<td class="manage-header" width="10%" nowrap="nowrap">{$lang.coupon_type}</td>
	<td class="manage-header" width="10%" nowrap="nowrap">{$lang.value}</td>
	<td class="manage-header" width="15%" nowrap="nowrap">{$lang.valid}</td>
	<td class="table-head" width="30%" nowrap="nowrap">{$lang.use_coupons_commission}</td>
</tr>
{foreach from=$coupons item=coupon}
<tr {cycle values='class="table-row", '}>
	<td class="side-padding" style="height: 20px;">
		{$coupon.coupon_code}</td>
	<td class="side-padding">
		{if $coupon.type=='G'}
			{$lang.global}
			{assign var='type' value='globals'}
		{elseif $coupon.type=='C'}
			{$lang.category}
			{assign var='type' value='categories'}
		{elseif $coupon.type=='P'}
			{$lang.product}
			{assign var='type' value='products'}
		{elseif $coupon.type=='U'}
			{$lang.user}
			{assign var='type' value='users'}
		{/if}
	</td>
	<td class="side-padding" nowrap="nowrap">
		{if $coupon.value_type == "A" || $coupon.value_type == "P"}
			{include file="common_templates/modifier.tpl" mod_value=$coupon.value mod_type=$coupon.value_type}
		{elseif $coupon.value_type == "S"}
			{$lang.free_shipping}
		{/if}
	</td>
	<td nowrap="nowrap" class="side-padding" {if (($coupon.from_date<=$coupon.current_date)&&($coupon.to_date>=$coupon.current_date))}style="font-weight: bold;"{/if}>
		{$coupon.from_date|date_format:"`$settings.Appearance.date_format`"} - {$coupon.to_date|date_format:"`$settings.Appearance.date_format`"}</td>
	<td class="side-padding">
		{include file="common_templates/modifier.tpl" mod_value=$coupon.use_coupon.value mod_type=$coupon.use_coupon.value_type}</td>
</tr>
{/foreach}
</table>
{/if}

{if $affiliate_plan.commissions}
<p></p><br />
<table cellpadding="1" cellspacing="1" border="0" width="100%">
<tr class="table-head">
	<td class="table-head" width="70%" nowrap="nowrap">{$lang.multi_tier_affiliates}</td>
	<td class="table-head" width="30%" nowrap="nowrap">{$lang.commission}</td>
</tr>
{foreach from=$affiliate_plan.commissions key='com_id' item='commission'}
<tr {cycle values='class="table-row", '}>
	<td class="side-padding" style="height: 20px;">
		{$lang.level} {$com_id+1}</td>
	<td class="side-padding">
		{include file="common_templates/modifier.tpl" mod_value=$commission mod_type='P'}</td>
</tr>
{/foreach}
</table>
{/if}

<br />
<p>
<b>{$lang.link_new_partner}</b>: <a href="{"$http_location/$index_script?$target_name=profiles&$mode_name=add&aff_id=`$auth.user_id`"}" onClick="javascript: return false;">{"$http_location/$index_script?$target_name=profiles&$mode_name=add&aff_id=`$auth.user_id`"}</a>
</p>

{/capture}
{include file="common_templates/mainbox.tpl" title=$lang.affiliate_plan content=$smarty.capture.mainbox}